package androidx.appcompat.c;

import android.content.Context;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;
import android.view.View;
import androidx.annotation.NonNull;
import androidx.annotation.RestrictTo;
import androidx.appcompat.c.b;
import androidx.appcompat.view.menu.f;
import androidx.appcompat.view.menu.l;
import androidx.appcompat.view.menu.r;
import androidx.appcompat.widget.ActionBarContextView;
import java.lang.ref.WeakReference;

@RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
/* compiled from: StandaloneActionMode */
public class e extends b implements f.a {
    private Context I0;
    private ActionBarContextView J0;
    private b.a K0;
    private WeakReference<View> L0;
    private boolean M0;
    private boolean N0;
    private f O0;

    public e(Context context, ActionBarContextView actionBarContextView, b.a aVar, boolean z) {
        this.I0 = context;
        this.J0 = actionBarContextView;
        this.K0 = aVar;
        f Z = new f(actionBarContextView.getContext()).Z(1);
        this.O0 = Z;
        Z.X(this);
        this.N0 = z;
    }

    @Override // androidx.appcompat.view.menu.f.a
    public boolean a(@NonNull f fVar, @NonNull MenuItem menuItem) {
        return this.K0.d(this, menuItem);
    }

    @Override // androidx.appcompat.view.menu.f.a
    public void b(@NonNull f fVar) {
        k();
        this.J0.o();
    }

    @Override // androidx.appcompat.c.b
    public void c() {
        if (!this.M0) {
            this.M0 = true;
            this.J0.sendAccessibilityEvent(32);
            this.K0.a(this);
        }
    }

    @Override // androidx.appcompat.c.b
    public View d() {
        WeakReference<View> weakReference = this.L0;
        if (weakReference != null) {
            return weakReference.get();
        }
        return null;
    }

    @Override // androidx.appcompat.c.b
    public Menu e() {
        return this.O0;
    }

    @Override // androidx.appcompat.c.b
    public MenuInflater f() {
        return new g(this.J0.getContext());
    }

    @Override // androidx.appcompat.c.b
    public CharSequence g() {
        return this.J0.getSubtitle();
    }

    @Override // androidx.appcompat.c.b
    public CharSequence i() {
        return this.J0.getTitle();
    }

    @Override // androidx.appcompat.c.b
    public void k() {
        this.K0.c(this, this.O0);
    }

    @Override // androidx.appcompat.c.b
    public boolean l() {
        return this.J0.s();
    }

    @Override // androidx.appcompat.c.b
    public boolean m() {
        return this.N0;
    }

    @Override // androidx.appcompat.c.b
    public void n(View view) {
        this.J0.setCustomView(view);
        this.L0 = view != null ? new WeakReference<>(view) : null;
    }

    @Override // androidx.appcompat.c.b
    public void o(int i) {
        p(this.I0.getString(i));
    }

    @Override // androidx.appcompat.c.b
    public void p(CharSequence charSequence) {
        this.J0.setSubtitle(charSequence);
    }

    @Override // androidx.appcompat.c.b
    public void r(int i) {
        s(this.I0.getString(i));
    }

    @Override // androidx.appcompat.c.b
    public void s(CharSequence charSequence) {
        this.J0.setTitle(charSequence);
    }

    @Override // androidx.appcompat.c.b
    public void t(boolean z) {
        super.t(z);
        this.J0.setTitleOptional(z);
    }

    public void u(f fVar, boolean z) {
    }

    public void v(r rVar) {
    }

    public boolean w(r rVar) {
        if (!rVar.hasVisibleItems()) {
            return true;
        }
        new l(this.J0.getContext(), rVar).l();
        return true;
    }
}
