package androidx.appcompat.view.menu;

import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.view.KeyEvent;
import android.view.Menu;
import android.view.MenuItem;
import android.view.SubMenu;
import androidx.annotation.RestrictTo;
import androidx.core.d.b.a;

@RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
/* compiled from: MenuWrapperICS */
public class o extends c implements Menu {
    private final a o;

    public o(Context context, a aVar) {
        super(context);
        if (aVar != null) {
            this.o = aVar;
            return;
        }
        throw new IllegalArgumentException("Wrapped Object can not be null.");
    }

    @Override // android.view.Menu
    public MenuItem add(CharSequence charSequence) {
        return e(this.o.add(charSequence));
    }

    public int addIntentOptions(int i, int i2, int i3, ComponentName componentName, Intent[] intentArr, Intent intent, int i4, MenuItem[] menuItemArr) {
        MenuItem[] menuItemArr2 = menuItemArr != null ? new MenuItem[menuItemArr.length] : null;
        int addIntentOptions = this.o.addIntentOptions(i, i2, i3, componentName, intentArr, intent, i4, menuItemArr2);
        if (menuItemArr2 != null) {
            int length = menuItemArr2.length;
            for (int i5 = 0; i5 < length; i5++) {
                menuItemArr[i5] = e(menuItemArr2[i5]);
            }
        }
        return addIntentOptions;
    }

    @Override // android.view.Menu
    public SubMenu addSubMenu(CharSequence charSequence) {
        return f(this.o.addSubMenu(charSequence));
    }

    public void clear() {
        g();
        this.o.clear();
    }

    public void close() {
        this.o.close();
    }

    public MenuItem findItem(int i) {
        return e(this.o.findItem(i));
    }

    public MenuItem getItem(int i) {
        return e(this.o.getItem(i));
    }

    public boolean hasVisibleItems() {
        return this.o.hasVisibleItems();
    }

    public boolean isShortcutKey(int i, KeyEvent keyEvent) {
        return this.o.isShortcutKey(i, keyEvent);
    }

    public boolean performIdentifierAction(int i, int i2) {
        return this.o.performIdentifierAction(i, i2);
    }

    public boolean performShortcut(int i, KeyEvent keyEvent, int i2) {
        return this.o.performShortcut(i, keyEvent, i2);
    }

    public void removeGroup(int i) {
        h(i);
        this.o.removeGroup(i);
    }

    public void removeItem(int i) {
        i(i);
        this.o.removeItem(i);
    }

    public void setGroupCheckable(int i, boolean z, boolean z2) {
        this.o.setGroupCheckable(i, z, z2);
    }

    public void setGroupEnabled(int i, boolean z) {
        this.o.setGroupEnabled(i, z);
    }

    public void setGroupVisible(int i, boolean z) {
        this.o.setGroupVisible(i, z);
    }

    public void setQwertyMode(boolean z) {
        this.o.setQwertyMode(z);
    }

    public int size() {
        return this.o.size();
    }

    @Override // android.view.Menu
    public MenuItem add(int i) {
        return e(this.o.add(i));
    }

    @Override // android.view.Menu
    public SubMenu addSubMenu(int i) {
        return f(this.o.addSubMenu(i));
    }

    @Override // android.view.Menu
    public MenuItem add(int i, int i2, int i3, CharSequence charSequence) {
        return e(this.o.add(i, i2, i3, charSequence));
    }

    @Override // android.view.Menu
    public SubMenu addSubMenu(int i, int i2, int i3, CharSequence charSequence) {
        return f(this.o.addSubMenu(i, i2, i3, charSequence));
    }

    @Override // android.view.Menu
    public MenuItem add(int i, int i2, int i3, int i4) {
        return e(this.o.add(i, i2, i3, i4));
    }

    @Override // android.view.Menu
    public SubMenu addSubMenu(int i, int i2, int i3, int i4) {
        return f(this.o.addSubMenu(i, i2, i3, i4));
    }
}
