package androidx.constraintlayout.core.motion.f;

import androidx.constraintlayout.core.motion.a;
import androidx.constraintlayout.core.motion.h.e0;
import androidx.constraintlayout.core.motion.h.h;
import androidx.constraintlayout.core.motion.h.o;
import androidx.constraintlayout.core.motion.h.v;
import androidx.constraintlayout.core.motion.h.w;
import java.io.PrintStream;
import java.util.HashMap;
import java.util.HashSet;
import java.util.Iterator;

/* compiled from: MotionKeyCycle */
public class d extends b {
    public static final String A = "wavePeriod";
    public static final String B = "waveOffset";
    public static final String C = "wavePhase";
    public static final String D = "waveShape";
    public static final int E = 0;
    public static final int F = 1;
    public static final int G = 2;
    public static final int H = 3;
    public static final int I = 4;
    public static final int J = 5;
    public static final int K = 6;
    public static final int L = 4;
    private static final String y = "KeyCycle";
    static final String z = "KeyCycle";
    private String M = null;
    private int N = 0;
    private int O = -1;
    private String P = null;
    private float Q = Float.NaN;
    private float R = 0.0f;
    private float S = 0.0f;
    private float T = Float.NaN;
    private float U = Float.NaN;
    private float V = Float.NaN;
    private float W = Float.NaN;
    private float X = Float.NaN;
    private float Y = Float.NaN;
    private float Z = Float.NaN;
    private float a0 = Float.NaN;
    private float b0 = Float.NaN;
    private float c0 = Float.NaN;
    private float d0 = Float.NaN;
    private float e0 = Float.NaN;

    public d() {
        this.w = 4;
        this.x = new HashMap<>();
    }

    @Override // androidx.constraintlayout.core.motion.h.w, androidx.constraintlayout.core.motion.f.b
    public boolean a(int i, int i2) {
        if (i == 401) {
            this.N = i2;
            return true;
        } else if (i == 421) {
            this.O = i2;
            return true;
        } else if (b(i, (float) i2)) {
            return true;
        } else {
            return super.a(i, i2);
        }
    }

    @Override // androidx.constraintlayout.core.motion.h.w, androidx.constraintlayout.core.motion.f.b
    public boolean b(int i, float f) {
        if (i == 315) {
            this.T = f;
            return true;
        } else if (i == 403) {
            this.U = f;
            return true;
        } else if (i != 416) {
            switch (i) {
                case 304:
                    this.c0 = f;
                    return true;
                case 305:
                    this.d0 = f;
                    return true;
                case 306:
                    this.e0 = f;
                    return true;
                case 307:
                    this.V = f;
                    return true;
                case 308:
                    this.Y = f;
                    return true;
                case 309:
                    this.Z = f;
                    return true;
                case 310:
                    this.W = f;
                    return true;
                case 311:
                    this.a0 = f;
                    return true;
                case 312:
                    this.b0 = f;
                    return true;
                default:
                    switch (i) {
                        case w.c.u /*{ENCODED_INT: 423}*/:
                            this.Q = f;
                            return true;
                        case w.c.v /*{ENCODED_INT: 424}*/:
                            this.R = f;
                            return true;
                        case w.c.w /*{ENCODED_INT: 425}*/:
                            this.S = f;
                            return true;
                        default:
                            return super.b(i, f);
                    }
            }
        } else {
            this.X = f;
            return true;
        }
    }

    @Override // androidx.constraintlayout.core.motion.h.w, androidx.constraintlayout.core.motion.f.b
    public boolean c(int i, String str) {
        if (i == 420) {
            this.M = str;
            return true;
        } else if (i != 422) {
            return super.c(i, str);
        } else {
            this.P = str;
            return true;
        }
    }

    /* JADX INFO: Can't fix incorrect switch cases order, some code will duplicate */
    @Override // androidx.constraintlayout.core.motion.h.w
    public int e(String str) {
        char c2;
        str.hashCode();
        switch (str.hashCode()) {
            case -1581616630:
                if (str.equals(w.c.P)) {
                    c2 = 0;
                    break;
                }
                c2 = 65535;
                break;
            case -1310311125:
                if (str.equals("easing")) {
                    c2 = 1;
                    break;
                }
                c2 = 65535;
                break;
            case -1249320806:
                if (str.equals("rotationX")) {
                    c2 = 2;
                    break;
                }
                c2 = 65535;
                break;
            case -1249320805:
                if (str.equals("rotationY")) {
                    c2 = 3;
                    break;
                }
                c2 = 65535;
                break;
            case -1249320804:
                if (str.equals("rotationZ")) {
                    c2 = 4;
                    break;
                }
                c2 = 65535;
                break;
            case -1225497657:
                if (str.equals("translationX")) {
                    c2 = 5;
                    break;
                }
                c2 = 65535;
                break;
            case -1225497656:
                if (str.equals("translationY")) {
                    c2 = 6;
                    break;
                }
                c2 = 65535;
                break;
            case -1225497655:
                if (str.equals("translationZ")) {
                    c2 = 7;
                    break;
                }
                c2 = 65535;
                break;
            case -1019779949:
                if (str.equals("offset")) {
                    c2 = '\b';
                    break;
                }
                c2 = 65535;
                break;
            case -1001078227:
                if (str.equals("progress")) {
                    c2 = '\t';
                    break;
                }
                c2 = 65535;
                break;
            case -991726143:
                if (str.equals(w.c.Q)) {
                    c2 = '\n';
                    break;
                }
                c2 = 65535;
                break;
            case -987906986:
                if (str.equals("pivotX")) {
                    c2 = 11;
                    break;
                }
                c2 = 65535;
                break;
            case -987906985:
                if (str.equals("pivotY")) {
                    c2 = '\f';
                    break;
                }
                c2 = 65535;
                break;
            case -908189618:
                if (str.equals("scaleX")) {
                    c2 = '\r';
                    break;
                }
                c2 = 65535;
                break;
            case -908189617:
                if (str.equals("scaleY")) {
                    c2 = 14;
                    break;
                }
                c2 = 65535;
                break;
            case 92909918:
                if (str.equals("alpha")) {
                    c2 = 15;
                    break;
                }
                c2 = 65535;
                break;
            case 106629499:
                if (str.equals(w.c.S)) {
                    c2 = 16;
                    break;
                }
                c2 = 65535;
                break;
            case 579057826:
                if (str.equals("curveFit")) {
                    c2 = 17;
                    break;
                }
                c2 = 65535;
                break;
            case 803192288:
                if (str.equals("pathRotate")) {
                    c2 = 18;
                    break;
                }
                c2 = 65535;
                break;
            case 1532805160:
                if (str.equals("waveShape")) {
                    c2 = 19;
                    break;
                }
                c2 = 65535;
                break;
            case 1941332754:
                if (str.equals("visibility")) {
                    c2 = 20;
                    break;
                }
                c2 = 65535;
                break;
            default:
                c2 = 65535;
                break;
        }
        switch (c2) {
            case 0:
                return w.c.t;
            case 1:
                return w.c.r;
            case 2:
                return 308;
            case 3:
                return 309;
            case 4:
                return 310;
            case 5:
                return 304;
            case 6:
                return 305;
            case 7:
                return 306;
            case '\b':
                return w.c.v;
            case '\t':
                return 315;
            case '\n':
                return w.c.u;
            case 11:
                return 313;
            case '\f':
                return 314;
            case '\r':
                return 311;
            case 14:
                return 312;
            case 15:
                return w.c.f1684d;
            case 16:
                return w.c.w;
            case 17:
                return w.c.f1682b;
            case 18:
                return w.c.q;
            case 19:
                return w.c.s;
            case 20:
                return w.c.f1683c;
            default:
                return -1;
        }
    }

    @Override // androidx.constraintlayout.core.motion.f.b
    public void f(HashMap<String, o> hashMap) {
    }

    @Override // androidx.constraintlayout.core.motion.f.b
    /* renamed from: g */
    public b clone() {
        return null;
    }

    @Override // androidx.constraintlayout.core.motion.f.b
    public void i(HashSet<String> hashSet) {
        if (!Float.isNaN(this.U)) {
            hashSet.add("alpha");
        }
        if (!Float.isNaN(this.V)) {
            hashSet.add("elevation");
        }
        if (!Float.isNaN(this.W)) {
            hashSet.add("rotationZ");
        }
        if (!Float.isNaN(this.Y)) {
            hashSet.add("rotationX");
        }
        if (!Float.isNaN(this.Z)) {
            hashSet.add("rotationY");
        }
        if (!Float.isNaN(this.a0)) {
            hashSet.add("scaleX");
        }
        if (!Float.isNaN(this.b0)) {
            hashSet.add("scaleY");
        }
        if (!Float.isNaN(this.X)) {
            hashSet.add("pathRotate");
        }
        if (!Float.isNaN(this.c0)) {
            hashSet.add("translationX");
        }
        if (!Float.isNaN(this.d0)) {
            hashSet.add("translationY");
        }
        if (!Float.isNaN(this.e0)) {
            hashSet.add("translationZ");
        }
        if (this.x.size() > 0) {
            Iterator<String> it = this.x.keySet().iterator();
            while (it.hasNext()) {
                hashSet.add("CUSTOM," + it.next());
            }
        }
    }

    public void v(HashMap<String, h> hashMap) {
        h hVar;
        h hVar2;
        for (String str : hashMap.keySet()) {
            if (str.startsWith("CUSTOM")) {
                a aVar = this.x.get(str.substring(7));
                if (!(aVar == null || aVar.m() != 901 || (hVar2 = hashMap.get(str)) == null)) {
                    hVar2.g(this.t, this.O, this.P, -1, this.Q, this.R, this.S, aVar.n(), aVar);
                }
            } else {
                float x = x(str);
                if (!Float.isNaN(x) && (hVar = hashMap.get(str)) != null) {
                    hVar.f(this.t, this.O, this.P, -1, this.Q, this.R, this.S, x);
                }
            }
        }
    }

    public void w() {
        PrintStream printStream = System.out;
        printStream.println("MotionKeyCycle{mWaveShape=" + this.O + ", mWavePeriod=" + this.Q + ", mWaveOffset=" + this.R + ", mWavePhase=" + this.S + ", mRotation=" + this.W + '}');
    }

    public float x(String str) {
        str.hashCode();
        char c2 = 65535;
        switch (str.hashCode()) {
            case -1249320806:
                if (str.equals("rotationX")) {
                    c2 = 0;
                    break;
                }
                break;
            case -1249320805:
                if (str.equals("rotationY")) {
                    c2 = 1;
                    break;
                }
                break;
            case -1249320804:
                if (str.equals("rotationZ")) {
                    c2 = 2;
                    break;
                }
                break;
            case -1225497657:
                if (str.equals("translationX")) {
                    c2 = 3;
                    break;
                }
                break;
            case -1225497656:
                if (str.equals("translationY")) {
                    c2 = 4;
                    break;
                }
                break;
            case -1225497655:
                if (str.equals("translationZ")) {
                    c2 = 5;
                    break;
                }
                break;
            case -1019779949:
                if (str.equals("offset")) {
                    c2 = 6;
                    break;
                }
                break;
            case -1001078227:
                if (str.equals("progress")) {
                    c2 = 7;
                    break;
                }
                break;
            case -908189618:
                if (str.equals("scaleX")) {
                    c2 = '\b';
                    break;
                }
                break;
            case -908189617:
                if (str.equals("scaleY")) {
                    c2 = '\t';
                    break;
                }
                break;
            case -4379043:
                if (str.equals("elevation")) {
                    c2 = '\n';
                    break;
                }
                break;
            case 92909918:
                if (str.equals("alpha")) {
                    c2 = 11;
                    break;
                }
                break;
            case 106629499:
                if (str.equals(w.c.S)) {
                    c2 = '\f';
                    break;
                }
                break;
            case 803192288:
                if (str.equals("pathRotate")) {
                    c2 = '\r';
                    break;
                }
                break;
        }
        switch (c2) {
            case 0:
                return this.Y;
            case 1:
                return this.Z;
            case 2:
                return this.W;
            case 3:
                return this.c0;
            case 4:
                return this.d0;
            case 5:
                return this.e0;
            case 6:
                return this.R;
            case 7:
                return this.T;
            case '\b':
                return this.a0;
            case '\t':
                return this.b0;
            case '\n':
                return this.V;
            case 11:
                return this.U;
            case '\f':
                return this.S;
            case '\r':
                return this.X;
            default:
                return Float.NaN;
        }
    }

    public void y() {
        HashSet<String> hashSet = new HashSet<>();
        i(hashSet);
        e0.c(" ------------- " + this.t + " -------------");
        e0.c("MotionKeyCycle{Shape=" + this.O + ", Period=" + this.Q + ", Offset=" + this.R + ", Phase=" + this.S + '}');
        String[] strArr = (String[]) hashSet.toArray(new String[0]);
        for (int i = 0; i < strArr.length; i++) {
            v.a(strArr[i]);
            e0.c(strArr[i] + ":" + x(strArr[i]));
        }
    }
}
