package androidx.constraintlayout.motion.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewGroup;
import androidx.constraintlayout.widget.ConstraintHelper;
import androidx.constraintlayout.widget.ConstraintLayout;
import androidx.constraintlayout.widget.R;
import java.util.HashMap;

public class MotionHelper extends ConstraintHelper implements q {
    private boolean P0 = false;
    private boolean Q0 = false;
    private float R0;
    protected View[] S0;

    public MotionHelper(Context context) {
        super(context);
    }

    public void J(View view, float f) {
    }

    @Override // androidx.constraintlayout.motion.widget.MotionLayout.l
    public void a(MotionLayout motionLayout, int i, int i2, float f) {
    }

    @Override // androidx.constraintlayout.motion.widget.q
    public void b(MotionLayout motionLayout) {
    }

    @Override // androidx.constraintlayout.motion.widget.MotionLayout.l
    public void c(MotionLayout motionLayout, int i, int i2) {
    }

    @Override // androidx.constraintlayout.motion.widget.MotionLayout.l
    public void d(MotionLayout motionLayout, int i, boolean z, float f) {
    }

    @Override // androidx.constraintlayout.motion.widget.q
    public boolean e() {
        return this.P0;
    }

    @Override // androidx.constraintlayout.motion.widget.q
    public boolean f() {
        return this.Q0;
    }

    @Override // androidx.constraintlayout.motion.widget.q
    public void g(MotionLayout motionLayout, HashMap<View, p> hashMap) {
    }

    @Override // androidx.constraintlayout.motion.widget.b
    public float getProgress() {
        return this.R0;
    }

    @Override // androidx.constraintlayout.motion.widget.q
    public void h(Canvas canvas) {
    }

    @Override // androidx.constraintlayout.motion.widget.q
    public void i(Canvas canvas) {
    }

    @Override // androidx.constraintlayout.motion.widget.q
    public boolean j() {
        return false;
    }

    @Override // androidx.constraintlayout.motion.widget.MotionLayout.l
    public void k(MotionLayout motionLayout, int i) {
    }

    @Override // androidx.constraintlayout.motion.widget.b
    public void setProgress(float f) {
        this.R0 = f;
        int i = 0;
        if (this.f2035b > 0) {
            this.S0 = w((ConstraintLayout) getParent());
            while (i < this.f2035b) {
                J(this.S0[i], f);
                i++;
            }
            return;
        }
        ViewGroup viewGroup = (ViewGroup) getParent();
        int childCount = viewGroup.getChildCount();
        while (i < childCount) {
            View childAt = viewGroup.getChildAt(i);
            if (!(childAt instanceof MotionHelper)) {
                J(childAt, f);
            }
            i++;
        }
    }

    /* access modifiers changed from: protected */
    @Override // androidx.constraintlayout.widget.ConstraintHelper
    public void y(AttributeSet attributeSet) {
        super.y(attributeSet);
        if (attributeSet != null) {
            TypedArray obtainStyledAttributes = getContext().obtainStyledAttributes(attributeSet, R.styleable.MotionHelper);
            int indexCount = obtainStyledAttributes.getIndexCount();
            for (int i = 0; i < indexCount; i++) {
                int index = obtainStyledAttributes.getIndex(i);
                if (index == R.styleable.MotionHelper_onShow) {
                    this.P0 = obtainStyledAttributes.getBoolean(index, this.P0);
                } else if (index == R.styleable.MotionHelper_onHide) {
                    this.Q0 = obtainStyledAttributes.getBoolean(index, this.Q0);
                }
            }
            obtainStyledAttributes.recycle();
        }
    }

    public MotionHelper(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        y(attributeSet);
    }

    public MotionHelper(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        y(attributeSet);
    }
}
