package androidx.core.app;

import android.app.PendingIntent;
import androidx.annotation.RestrictTo;
import androidx.core.graphics.drawable.IconCompat;
import androidx.versionedparcelable.VersionedParcel;

@RestrictTo({RestrictTo.Scope.LIBRARY})
public class RemoteActionCompatParcelizer {
    public static RemoteActionCompat read(VersionedParcel versionedParcel) {
        RemoteActionCompat remoteActionCompat = new RemoteActionCompat();
        remoteActionCompat.f2274a = (IconCompat) versionedParcel.h0(remoteActionCompat.f2274a, 1);
        remoteActionCompat.f2275b = versionedParcel.w(remoteActionCompat.f2275b, 2);
        remoteActionCompat.f2276c = versionedParcel.w(remoteActionCompat.f2276c, 3);
        remoteActionCompat.f2277d = (PendingIntent) versionedParcel.W(remoteActionCompat.f2277d, 4);
        remoteActionCompat.f2278e = versionedParcel.m(remoteActionCompat.f2278e, 5);
        remoteActionCompat.f = versionedParcel.m(remoteActionCompat.f, 6);
        return remoteActionCompat;
    }

    public static void write(RemoteActionCompat remoteActionCompat, VersionedParcel versionedParcel) {
        versionedParcel.j0(false, false);
        versionedParcel.m1(remoteActionCompat.f2274a, 1);
        versionedParcel.z0(remoteActionCompat.f2275b, 2);
        versionedParcel.z0(remoteActionCompat.f2276c, 3);
        versionedParcel.X0(remoteActionCompat.f2277d, 4);
        versionedParcel.n0(remoteActionCompat.f2278e, 5);
        versionedParcel.n0(remoteActionCompat.f, 6);
    }
}
