package androidx.dynamicanimation.a;

import android.os.Looper;
import android.util.AndroidRuntimeException;
import androidx.dynamicanimation.a.b;

/* compiled from: SpringAnimation */
public final class g extends b<g> {
    private static final float G = Float.MAX_VALUE;
    private h H = null;
    private float I = Float.MAX_VALUE;
    private boolean J = false;

    public g(e eVar) {
        super(eVar);
    }

    private void C() {
        h hVar = this.H;
        if (hVar != null) {
            double d2 = (double) hVar.d();
            if (d2 > ((double) this.A)) {
                throw new UnsupportedOperationException("Final position of the spring cannot be greater than the max value.");
            } else if (d2 < ((double) this.B)) {
                throw new UnsupportedOperationException("Final position of the spring cannot be less than the min value.");
            }
        } else {
            throw new UnsupportedOperationException("Incomplete SpringAnimation: Either final position or a spring force needs to be set.");
        }
    }

    public boolean A() {
        return this.H.l > 0.0d;
    }

    public h B() {
        return this.H;
    }

    public g D(h hVar) {
        this.H = hVar;
        return this;
    }

    public void E() {
        if (!A()) {
            throw new UnsupportedOperationException("Spring animations can only come to an end when there is damping");
        } else if (Looper.myLooper() != Looper.getMainLooper()) {
            throw new AndroidRuntimeException("Animations may only be started on the main thread");
        } else if (this.z) {
            this.J = true;
        }
    }

    /* access modifiers changed from: package-private */
    @Override // androidx.dynamicanimation.a.b
    public float f(float f, float f2) {
        return this.H.b(f, f2);
    }

    /* access modifiers changed from: package-private */
    @Override // androidx.dynamicanimation.a.b
    public boolean j(float f, float f2) {
        return this.H.a(f, f2);
    }

    /* access modifiers changed from: package-private */
    @Override // androidx.dynamicanimation.a.b
    public void v(float f) {
    }

    @Override // androidx.dynamicanimation.a.b
    public void w() {
        C();
        this.H.j((double) i());
        super.w();
    }

    /* access modifiers changed from: package-private */
    @Override // androidx.dynamicanimation.a.b
    public boolean y(long j) {
        if (this.J) {
            float f = this.I;
            if (f != Float.MAX_VALUE) {
                this.H.h(f);
                this.I = Float.MAX_VALUE;
            }
            this.v = this.H.d();
            this.u = 0.0f;
            this.J = false;
            return true;
        }
        if (this.I != Float.MAX_VALUE) {
            this.H.d();
            long j2 = j / 2;
            b.p k = this.H.k((double) this.v, (double) this.u, j2);
            this.H.h(this.I);
            this.I = Float.MAX_VALUE;
            b.p k2 = this.H.k((double) k.f3039a, (double) k.f3040b, j2);
            this.v = k2.f3039a;
            this.u = k2.f3040b;
        } else {
            b.p k3 = this.H.k((double) this.v, (double) this.u, j);
            this.v = k3.f3039a;
            this.u = k3.f3040b;
        }
        float max = Math.max(this.v, this.B);
        this.v = max;
        float min = Math.min(max, this.A);
        this.v = min;
        if (!j(min, this.u)) {
            return false;
        }
        this.v = this.H.d();
        this.u = 0.0f;
        return true;
    }

    public void z(float f) {
        if (k()) {
            this.I = f;
            return;
        }
        if (this.H == null) {
            this.H = new h(f);
        }
        this.H.h(f);
        w();
    }

    public <K> g(K k, d<K> dVar) {
        super(k, dVar);
    }

    public <K> g(K k, d<K> dVar, float f) {
        super(k, dVar);
        this.H = new h(f);
    }
}
