package androidx.transition;

import android.animation.Animator;
import android.animation.ObjectAnimator;
import android.content.Context;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewGroup;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;

public class ChangeScroll extends Transition {
    private static final String B1 = "android:changeScroll:x";
    private static final String C1 = "android:changeScroll:y";
    private static final String[] D1 = {B1, C1};

    public ChangeScroll() {
    }

    private void J0(z zVar) {
        zVar.f4307a.put(B1, Integer.valueOf(zVar.f4308b.getScrollX()));
        zVar.f4307a.put(C1, Integer.valueOf(zVar.f4308b.getScrollY()));
    }

    @Override // androidx.transition.Transition
    @Nullable
    public String[] a0() {
        return D1;
    }

    @Override // androidx.transition.Transition
    public void p(@NonNull z zVar) {
        J0(zVar);
    }

    @Override // androidx.transition.Transition
    public void s(@NonNull z zVar) {
        J0(zVar);
    }

    @Override // androidx.transition.Transition
    @Nullable
    public Animator w(@NonNull ViewGroup viewGroup, @Nullable z zVar, @Nullable z zVar2) {
        ObjectAnimator objectAnimator;
        ObjectAnimator objectAnimator2 = null;
        if (zVar == null || zVar2 == null) {
            return null;
        }
        View view = zVar2.f4308b;
        int intValue = ((Integer) zVar.f4307a.get(B1)).intValue();
        int intValue2 = ((Integer) zVar2.f4307a.get(B1)).intValue();
        int intValue3 = ((Integer) zVar.f4307a.get(C1)).intValue();
        int intValue4 = ((Integer) zVar2.f4307a.get(C1)).intValue();
        if (intValue != intValue2) {
            view.setScrollX(intValue);
            objectAnimator = ObjectAnimator.ofInt(view, "scrollX", intValue, intValue2);
        } else {
            objectAnimator = null;
        }
        if (intValue3 != intValue4) {
            view.setScrollY(intValue3);
            objectAnimator2 = ObjectAnimator.ofInt(view, "scrollY", intValue3, intValue4);
        }
        return y.c(objectAnimator, objectAnimator2);
    }

    public ChangeScroll(@NonNull Context context, @NonNull AttributeSet attributeSet) {
        super(context, attributeSet);
    }
}
