package com.alibaba.fastjson.serializer;

import androidx.exifinterface.media.ExifInterface;
import com.alibaba.fastjson.JSONException;
import com.alibaba.fastjson.a;
import com.alibaba.fastjson.util.f;
import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.Writer;
import java.lang.reflect.Type;
import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Collection;
import java.util.Collections;
import java.util.Date;
import java.util.IdentityHashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Locale;
import java.util.TimeZone;
import java.util.zip.GZIPOutputStream;

/* compiled from: JSONSerializer */
public class j0 extends f1 {
    protected final d1 j;
    public final g1 k;
    private int l;
    private String m;
    private String n;
    private DateFormat o;
    private String p;
    protected IdentityHashMap<Object, b1> q;
    protected b1 r;
    protected TimeZone s;
    protected Locale t;

    public j0() {
        this(new g1(), d1.k());
    }

    public static void U(g1 g1Var, Object obj) {
        new j0(g1Var).W(obj);
    }

    public static void V(Writer writer, Object obj) {
        g1 g1Var = new g1();
        try {
            new j0(g1Var).W(obj);
            g1Var.h2(writer);
            g1Var.close();
        } catch (IOException e2) {
            throw new JSONException(e2.getMessage(), e2);
        } catch (Throwable th) {
            g1Var.close();
            throw th;
        }
    }

    private DateFormat x(String str) {
        SimpleDateFormat simpleDateFormat = new SimpleDateFormat(str, this.t);
        simpleDateFormat.setTimeZone(this.s);
        return simpleDateFormat;
    }

    public String A() {
        DateFormat dateFormat = this.o;
        if (dateFormat instanceof SimpleDateFormat) {
            return ((SimpleDateFormat) dateFormat).toPattern();
        }
        return this.n;
    }

    public String B() {
        return this.p;
    }

    public int C() {
        return this.l;
    }

    public d1 D() {
        return this.j;
    }

    public v0 E(Class<?> cls) {
        return this.j.l(cls);
    }

    public g1 F() {
        return this.k;
    }

    public boolean G(f1 f1Var) {
        List<t0> list;
        List<t0> list2 = this.f5716e;
        return (list2 != null && list2.size() > 0) || ((list = f1Var.f5716e) != null && list.size() > 0);
    }

    public boolean H(f1 f1Var) {
        List<y0> list;
        List<y0> list2 = this.f5714c;
        return (list2 != null && list2.size() > 0) || ((list = f1Var.f5714c) != null && list.size() > 0);
    }

    public void I() {
        this.l++;
    }

    public boolean J(SerializerFeature serializerFeature) {
        return this.k.M(serializerFeature);
    }

    public final boolean K(Type type, Object obj) {
        b1 b1Var;
        return this.k.M(SerializerFeature.WriteClassName) && !(type == null && this.k.M(SerializerFeature.NotWriteRootClassName) && ((b1Var = this.r) == null || b1Var.f5684a == null));
    }

    public void L() {
        b1 b1Var = this.r;
        if (b1Var != null) {
            this.r = b1Var.f5684a;
        }
    }

    public void M() {
        this.k.write(10);
        for (int i = 0; i < this.l; i++) {
            this.k.write(this.m);
        }
    }

    public void N(b1 b1Var) {
        this.r = b1Var;
    }

    public void O(b1 b1Var, Object obj, Object obj2, int i) {
        P(b1Var, obj, obj2, i, 0);
    }

    public void P(b1 b1Var, Object obj, Object obj2, int i, int i2) {
        if (!this.k.T0) {
            this.r = new b1(b1Var, obj, obj2, i, i2);
            if (this.q == null) {
                this.q = new IdentityHashMap<>();
            }
            this.q.put(obj, this.r);
        }
    }

    public void Q(Object obj, Object obj2) {
        O(this.r, obj, obj2, 0);
    }

    public void R(String str) {
        this.n = str;
        if (this.o != null) {
            this.o = null;
        }
    }

    public void S(DateFormat dateFormat) {
        this.o = dateFormat;
        if (this.n != null) {
            this.n = null;
        }
    }

    public void T(String str) {
        this.p = str;
    }

    public final void W(Object obj) {
        if (obj == null) {
            this.k.V1();
            return;
        }
        try {
            E(obj.getClass()).c(this, obj, null, null, 0);
        } catch (IOException e2) {
            throw new JSONException(e2.getMessage(), e2);
        }
    }

    public final void X(String str) {
        j1.f5731a.g(this, str);
    }

    public final void Y(Object obj, Class cls) {
        if (obj == null) {
            this.k.V1();
            return;
        }
        try {
            E(cls).c(this, obj, null, null, 0);
        } catch (IOException e2) {
            throw new JSONException(e2.getMessage(), e2);
        }
    }

    /* access modifiers changed from: protected */
    public final void Z(char c2, String str, Object obj) {
        if (c2 != 0) {
            this.k.write(c2);
        }
        this.k.V0(str);
        W(obj);
    }

    public void a0() {
        this.k.V1();
    }

    public void b0(Object obj) {
        b1 b1Var = this.r;
        if (obj == b1Var.f5685b) {
            this.k.write("{\"$ref\":\"@\"}");
            return;
        }
        b1 b1Var2 = b1Var.f5684a;
        if (b1Var2 == null || obj != b1Var2.f5685b) {
            while (true) {
                b1 b1Var3 = b1Var.f5684a;
                if (b1Var3 == null) {
                    break;
                }
                b1Var = b1Var3;
            }
            if (obj == b1Var.f5685b) {
                this.k.write("{\"$ref\":\"$\"}");
                return;
            }
            this.k.write("{\"$ref\":\"");
            this.k.write(this.q.get(obj).toString());
            this.k.write("\"}");
            return;
        }
        this.k.write("{\"$ref\":\"..\"}");
    }

    public final void c0(Object obj, Object obj2) {
        d0(obj, obj2, null, 0);
    }

    public final void d0(Object obj, Object obj2, Type type, int i) {
        if (obj == null) {
            try {
                this.k.V1();
            } catch (IOException e2) {
                throw new JSONException(e2.getMessage(), e2);
            }
        } else {
            E(obj.getClass()).c(this, obj, obj2, type, i);
        }
    }

    public final void e0(Object obj, String str) {
        GZIPOutputStream gZIPOutputStream;
        if (obj instanceof Date) {
            if ("unixtime".equals(str)) {
                this.k.L1((int) (((Date) obj).getTime() / 1000));
            } else if ("millis".equals(str)) {
                this.k.Q1(((Date) obj).getTime());
            } else {
                DateFormat z = z();
                if (z == null) {
                    if (str != null) {
                        try {
                            z = x(str);
                        } catch (IllegalArgumentException unused) {
                            z = x(str.replaceAll(ExifInterface.I4, "'T'"));
                        }
                    } else {
                        String str2 = this.p;
                        if (str2 != null) {
                            z = x(str2);
                        } else {
                            z = x(a.DEFFAULT_DATE_FORMAT);
                        }
                    }
                }
                this.k.Y1(z.format((Date) obj));
            }
        } else if (obj instanceof byte[]) {
            byte[] bArr = (byte[]) obj;
            if ("gzip".equals(str) || "gzip,base64".equals(str)) {
                try {
                    ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
                    if (bArr.length < 512) {
                        gZIPOutputStream = new GZIPOutputStream(byteArrayOutputStream, bArr.length);
                    } else {
                        gZIPOutputStream = new GZIPOutputStream(byteArrayOutputStream);
                    }
                    gZIPOutputStream.write(bArr);
                    gZIPOutputStream.finish();
                    this.k.E0(byteArrayOutputStream.toByteArray());
                    f.a(gZIPOutputStream);
                } catch (IOException e2) {
                    throw new JSONException("write gzipBytes error", e2);
                } catch (Throwable th) {
                    f.a(null);
                    throw th;
                }
            } else if ("hex".equals(str)) {
                this.k.F1(bArr);
            } else {
                this.k.E0(bArr);
            }
        } else if (obj instanceof Collection) {
            Collection collection = (Collection) obj;
            Iterator it = collection.iterator();
            this.k.write(91);
            for (int i = 0; i < collection.size(); i++) {
                Object next = it.next();
                if (i != 0) {
                    this.k.write(44);
                }
                e0(next, str);
            }
            this.k.write(93);
        } else {
            W(obj);
        }
    }

    public boolean s(f1 f1Var) {
        List<v> list;
        List<l1> list2;
        List<v> list3;
        List<l1> list4 = this.f5715d;
        return (list4 != null && list4.size() > 0) || ((list = this.h) != null && list.size() > 0) || (((list2 = f1Var.f5715d) != null && list2.size() > 0) || (((list3 = f1Var.h) != null && list3.size() > 0) || this.k.V0));
    }

    public void t() {
        this.k.close();
    }

    public String toString() {
        return this.k.toString();
    }

    public void u(SerializerFeature serializerFeature, boolean z) {
        this.k.i(serializerFeature, z);
    }

    public boolean v(Object obj) {
        b1 b1Var;
        IdentityHashMap<Object, b1> identityHashMap = this.q;
        if (identityHashMap == null || (b1Var = identityHashMap.get(obj)) == null || obj == Collections.emptyMap()) {
            return false;
        }
        Object obj2 = b1Var.f5686c;
        if (obj2 == null || (obj2 instanceof Integer) || (obj2 instanceof String)) {
            return true;
        }
        return false;
    }

    public void w() {
        this.l--;
    }

    public b1 y() {
        return this.r;
    }

    public DateFormat z() {
        String str;
        if (this.o == null && (str = this.n) != null) {
            this.o = x(str);
        }
        return this.o;
    }

    public j0(g1 g1Var) {
        this(g1Var, d1.k());
    }

    public j0(d1 d1Var) {
        this(new g1(), d1Var);
    }

    public j0(g1 g1Var, d1 d1Var) {
        this.l = 0;
        this.m = "\t";
        this.q = null;
        this.s = a.defaultTimeZone;
        this.t = a.defaultLocale;
        this.k = g1Var;
        this.j = d1Var;
    }
}
