package com.bilibili.boxing_impl;

import android.content.Context;
import android.util.DisplayMetrics;
import android.util.TypedValue;
import android.view.Display;
import android.view.WindowManager;

/* compiled from: WindowManagerHelper */
public class c {
    private static Display a(Context context) {
        WindowManager g = g(context);
        if (g == null) {
            return null;
        }
        return g.getDefaultDisplay();
    }

    private static DisplayMetrics b(Context context) {
        Display a2 = a(context);
        if (a2 == null) {
            return null;
        }
        DisplayMetrics displayMetrics = new DisplayMetrics();
        a2.getMetrics(displayMetrics);
        return displayMetrics;
    }

    public static int c(Context context) {
        DisplayMetrics b2 = b(context);
        if (b2 != null) {
            return b2.heightPixels;
        }
        return 0;
    }

    public static int d(Context context) {
        DisplayMetrics b2 = b(context);
        if (b2 != null) {
            return b2.widthPixels;
        }
        return 0;
    }

    public static int e(Context context) {
        int identifier = context.getResources().getIdentifier("status_bar_height", "dimen", "android");
        if (identifier > 0) {
            return context.getResources().getDimensionPixelSize(identifier);
        }
        return 0;
    }

    public static int f(Context context) {
        TypedValue typedValue = new TypedValue();
        if (context.getTheme().resolveAttribute(16843499, typedValue, true)) {
            return TypedValue.complexToDimensionPixelSize(typedValue.data, context.getResources().getDisplayMetrics());
        }
        return 0;
    }

    private static WindowManager g(Context context) {
        Object systemService = context.getSystemService("window");
        if (systemService == null) {
            return null;
        }
        return (WindowManager) systemService;
    }
}
