package com.bumptech.glide.request.k;

import android.graphics.drawable.Animatable;
import android.graphics.drawable.Drawable;
import android.widget.ImageView;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import com.bumptech.glide.request.l.f;

/* compiled from: ImageViewTarget */
public abstract class j<Z> extends r<ImageView, Z> implements f.a {
    @Nullable
    private Animatable P0;

    public j(ImageView imageView) {
        super(imageView);
    }

    private void v(@Nullable Z z) {
        if (z instanceof Animatable) {
            Z z2 = z;
            this.P0 = z2;
            z2.start();
            return;
        }
        this.P0 = null;
    }

    private void x(@Nullable Z z) {
        w(z);
        v(z);
    }

    @Override // com.bumptech.glide.manager.i, com.bumptech.glide.request.k.b
    public void a() {
        Animatable animatable = this.P0;
        if (animatable != null) {
            animatable.start();
        }
    }

    @Override // com.bumptech.glide.request.k.p
    public void e(@NonNull Z z, @Nullable f<? super Z> fVar) {
        if (fVar == null || !fVar.a(z, this)) {
            x(z);
        } else {
            v(z);
        }
    }

    @Override // com.bumptech.glide.request.l.f.a
    public void f(Drawable drawable) {
        ((ImageView) this.K0).setImageDrawable(drawable);
    }

    @Override // com.bumptech.glide.request.l.f.a
    @Nullable
    public Drawable g() {
        return ((ImageView) this.K0).getDrawable();
    }

    @Override // com.bumptech.glide.request.k.b, com.bumptech.glide.request.k.p
    public void j(@Nullable Drawable drawable) {
        super.j(drawable);
        x(null);
        f(drawable);
    }

    @Override // com.bumptech.glide.request.k.r, com.bumptech.glide.request.k.b, com.bumptech.glide.request.k.p
    public void k(@Nullable Drawable drawable) {
        super.k(drawable);
        x(null);
        f(drawable);
    }

    @Override // com.bumptech.glide.request.k.r, com.bumptech.glide.request.k.b, com.bumptech.glide.request.k.p
    public void l(@Nullable Drawable drawable) {
        super.l(drawable);
        Animatable animatable = this.P0;
        if (animatable != null) {
            animatable.stop();
        }
        x(null);
        f(drawable);
    }

    @Override // com.bumptech.glide.manager.i, com.bumptech.glide.request.k.b
    public void onStop() {
        Animatable animatable = this.P0;
        if (animatable != null) {
            animatable.stop();
        }
    }

    /* access modifiers changed from: protected */
    public abstract void w(@Nullable Z z);

    @Deprecated
    public j(ImageView imageView, boolean z) {
        super(imageView, z);
    }
}
