package com.github.anzewei.parallaxbacklayout.e;

import android.graphics.Canvas;
import android.view.View;
import com.github.anzewei.parallaxbacklayout.widget.ParallaxBackLayout;

/* compiled from: SlideTransform */
public class d implements b {
    @Override // com.github.anzewei.parallaxbacklayout.e.b
    public void a(Canvas canvas, ParallaxBackLayout parallaxBackLayout, View view) {
        int edgeFlag = parallaxBackLayout.getEdgeFlag();
        int width = parallaxBackLayout.getWidth();
        int height = parallaxBackLayout.getHeight();
        int systemLeft = parallaxBackLayout.getSystemLeft();
        int systemTop = parallaxBackLayout.getSystemTop();
        if (edgeFlag == 1) {
            canvas.translate((float) ((view.getLeft() - view.getWidth()) - systemLeft), 0.0f);
        } else if (edgeFlag == 4) {
            canvas.translate(0.0f, (float) ((view.getTop() - view.getHeight()) + systemTop));
        } else if (edgeFlag == 2) {
            canvas.translate((float) (view.getRight() - systemLeft), 0.0f);
            canvas.clipRect(systemLeft, 0, width, height);
        } else if (edgeFlag == 8) {
            canvas.translate(0.0f, (float) (view.getBottom() - systemTop));
            canvas.clipRect(0, systemTop, view.getRight(), height);
        }
    }
}
