package com.google.android.exoplayer2.audio;

import android.os.Handler;
import android.os.Looper;
import android.os.SystemClock;
import com.google.android.exoplayer2.ExoPlaybackException;
import com.google.android.exoplayer2.Format;
import com.google.android.exoplayer2.audio.AudioSink;
import com.google.android.exoplayer2.audio.d;
import com.google.android.exoplayer2.decoder.DecoderInputBuffer;
import com.google.android.exoplayer2.decoder.g;
import com.google.android.exoplayer2.drm.DrmSession;
import com.google.android.exoplayer2.drm.d;
import com.google.android.exoplayer2.drm.f;
import com.google.android.exoplayer2.u;
import com.google.android.exoplayer2.util.b0;
import com.google.android.exoplayer2.util.n;
import com.google.android.exoplayer2.util.z;

/* compiled from: SimpleDecoderAudioRenderer */
public abstract class m extends com.google.android.exoplayer2.a implements com.google.android.exoplayer2.util.m {
    private static final int P0 = 0;
    private static final int Q0 = 1;
    private static final int R0 = 2;
    private final d<f> S0;
    private final boolean T0;
    private final d.a U0;
    private final AudioSink V0;
    private final com.google.android.exoplayer2.m W0;
    private final DecoderInputBuffer X0;
    private com.google.android.exoplayer2.decoder.d Y0;
    private Format Z0;
    private int a1;
    private int b1;
    private com.google.android.exoplayer2.decoder.f<DecoderInputBuffer, ? extends g, ? extends AudioDecoderException> c1;
    private DecoderInputBuffer d1;
    private g e1;
    private DrmSession<f> f1;
    private DrmSession<f> g1;
    private int h1;
    private boolean i1;
    private boolean j1;
    private long k1;
    private boolean l1;
    private boolean m1;
    private boolean n1;
    private boolean o1;
    private boolean p1;

    /* compiled from: SimpleDecoderAudioRenderer */
    private final class b implements AudioSink.a {
        private b() {
        }

        @Override // com.google.android.exoplayer2.audio.AudioSink.a
        public void a(int i) {
            m.this.U0.b(i);
            m.this.P(i);
        }

        @Override // com.google.android.exoplayer2.audio.AudioSink.a
        public void b(int i, long j, long j2) {
            m.this.U0.c(i, j, j2);
            m.this.R(i, j, j2);
        }

        @Override // com.google.android.exoplayer2.audio.AudioSink.a
        public void c() {
            m.this.Q();
            m.this.m1 = true;
        }
    }

    public m() {
        this((Handler) null, (d) null, new AudioProcessor[0]);
    }

    private boolean K() throws ExoPlaybackException, AudioDecoderException, AudioSink.ConfigurationException, AudioSink.InitializationException, AudioSink.WriteException {
        if (this.e1 == null) {
            g gVar = (g) this.c1.b();
            this.e1 = gVar;
            if (gVar == null) {
                return false;
            }
            this.Y0.f += gVar.I0;
        }
        if (this.e1.o()) {
            if (this.h1 == 2) {
                V();
                O();
                this.j1 = true;
            } else {
                this.e1.r();
                this.e1 = null;
                U();
            }
            return false;
        }
        if (this.j1) {
            Format N = N();
            this.V0.e(N.c1, N.a1, N.b1, 0, null, this.a1, this.b1);
            this.j1 = false;
        }
        AudioSink audioSink = this.V0;
        g gVar2 = this.e1;
        if (!audioSink.n(gVar2.K0, gVar2.f8041b)) {
            return false;
        }
        this.Y0.f8040e++;
        this.e1.r();
        this.e1 = null;
        return true;
    }

    private boolean L() throws AudioDecoderException, ExoPlaybackException {
        int i;
        com.google.android.exoplayer2.decoder.f<DecoderInputBuffer, ? extends g, ? extends AudioDecoderException> fVar = this.c1;
        if (fVar == null || this.h1 == 2 || this.n1) {
            return false;
        }
        if (this.d1 == null) {
            DecoderInputBuffer l = fVar.c();
            this.d1 = l;
            if (l == null) {
                return false;
            }
        }
        if (this.h1 == 1) {
            this.d1.q(4);
            this.c1.d(this.d1);
            this.d1 = null;
            this.h1 = 2;
            return false;
        }
        if (this.p1) {
            i = -4;
        } else {
            i = E(this.W0, this.d1, false);
        }
        if (i == -3) {
            return false;
        }
        if (i == -5) {
            S(this.W0.f8542a);
            return true;
        } else if (this.d1.o()) {
            this.n1 = true;
            this.c1.d(this.d1);
            this.d1 = null;
            return false;
        } else {
            boolean W = W(this.d1.u());
            this.p1 = W;
            if (W) {
                return false;
            }
            this.d1.t();
            T(this.d1);
            this.c1.d(this.d1);
            this.i1 = true;
            this.Y0.f8038c++;
            this.d1 = null;
            return true;
        }
    }

    private void M() throws ExoPlaybackException {
        this.p1 = false;
        if (this.h1 != 0) {
            V();
            O();
            return;
        }
        this.d1 = null;
        g gVar = this.e1;
        if (gVar != null) {
            gVar.r();
            this.e1 = null;
        }
        this.c1.flush();
        this.i1 = false;
    }

    private void O() throws ExoPlaybackException {
        if (this.c1 == null) {
            DrmSession<f> drmSession = this.g1;
            this.f1 = drmSession;
            f fVar = null;
            if (drmSession == null || (fVar = drmSession.b()) != null || this.f1.d() != null) {
                try {
                    long elapsedRealtime = SystemClock.elapsedRealtime();
                    z.a("createAudioDecoder");
                    this.c1 = J(this.Z0, fVar);
                    z.c();
                    long elapsedRealtime2 = SystemClock.elapsedRealtime();
                    this.U0.d(this.c1.getName(), elapsedRealtime2, elapsedRealtime2 - elapsedRealtime);
                    this.Y0.f8036a++;
                } catch (AudioDecoderException e2) {
                    throw ExoPlaybackException.createForRenderer(e2, m());
                }
            }
        }
    }

    private void S(Format format) throws ExoPlaybackException {
        Format format2 = this.Z0;
        this.Z0 = format;
        if (!b0.b(format.Q0, format2 == null ? null : format2.Q0)) {
            if (this.Z0.Q0 != null) {
                com.google.android.exoplayer2.drm.d<f> dVar = this.S0;
                if (dVar != null) {
                    DrmSession<f> a2 = dVar.a(Looper.myLooper(), this.Z0.Q0);
                    this.g1 = a2;
                    if (a2 == this.f1) {
                        this.S0.f(a2);
                    }
                } else {
                    throw ExoPlaybackException.createForRenderer(new IllegalStateException("Media requires a DrmSessionManager"), m());
                }
            } else {
                this.g1 = null;
            }
        }
        if (this.i1) {
            this.h1 = 1;
        } else {
            V();
            O();
            this.j1 = true;
        }
        this.a1 = format.d1;
        this.b1 = format.e1;
        this.U0.g(format);
    }

    private void T(DecoderInputBuffer decoderInputBuffer) {
        if (this.l1 && !decoderInputBuffer.n()) {
            if (Math.abs(decoderInputBuffer.M0 - this.k1) > 500000) {
                this.k1 = decoderInputBuffer.M0;
            }
            this.l1 = false;
        }
    }

    private void U() throws ExoPlaybackException {
        this.o1 = true;
        try {
            this.V0.f();
        } catch (AudioSink.WriteException e2) {
            throw ExoPlaybackException.createForRenderer(e2, m());
        }
    }

    private void V() {
        com.google.android.exoplayer2.decoder.f<DecoderInputBuffer, ? extends g, ? extends AudioDecoderException> fVar = this.c1;
        if (fVar != null) {
            this.d1 = null;
            this.e1 = null;
            fVar.release();
            this.c1 = null;
            this.Y0.f8037b++;
            this.h1 = 0;
            this.i1 = false;
        }
    }

    private boolean W(boolean z) throws ExoPlaybackException {
        DrmSession<f> drmSession = this.f1;
        if (drmSession == null || (!z && this.T0)) {
            return false;
        }
        int state = drmSession.getState();
        if (state == 1) {
            throw ExoPlaybackException.createForRenderer(this.f1.d(), m());
        } else if (state != 4) {
            return true;
        } else {
            return false;
        }
    }

    private void Z() {
        long i = this.V0.i(b());
        if (i != Long.MIN_VALUE) {
            if (!this.m1) {
                i = Math.max(this.k1, i);
            }
            this.k1 = i;
            this.m1 = false;
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.exoplayer2.a
    public void B() {
        this.V0.play();
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.exoplayer2.a
    public void C() {
        Z();
        this.V0.pause();
    }

    /* access modifiers changed from: protected */
    public abstract com.google.android.exoplayer2.decoder.f<DecoderInputBuffer, ? extends g, ? extends AudioDecoderException> J(Format format, f fVar) throws AudioDecoderException;

    /* access modifiers changed from: protected */
    public Format N() {
        Format format = this.Z0;
        return Format.k(null, n.w, null, -1, -1, format.a1, format.b1, 2, null, null, 0, null);
    }

    /* access modifiers changed from: protected */
    public void P(int i) {
    }

    /* access modifiers changed from: protected */
    public void Q() {
    }

    /* access modifiers changed from: protected */
    public void R(int i, long j, long j2) {
    }

    /* access modifiers changed from: protected */
    public abstract int X(com.google.android.exoplayer2.drm.d<f> dVar, Format format);

    /* access modifiers changed from: protected */
    public final boolean Y(int i) {
        return this.V0.q(i);
    }

    @Override // com.google.android.exoplayer2.x
    public final int a(Format format) {
        int X = X(this.S0, format);
        if (X <= 2) {
            return X;
        }
        return X | (b0.f9571a >= 21 ? 32 : 0) | 8;
    }

    @Override // com.google.android.exoplayer2.Renderer
    public boolean b() {
        return this.o1 && this.V0.b();
    }

    @Override // com.google.android.exoplayer2.util.m
    public u c() {
        return this.V0.c();
    }

    @Override // com.google.android.exoplayer2.util.m
    public u d(u uVar) {
        return this.V0.d(uVar);
    }

    @Override // com.google.android.exoplayer2.Renderer
    public boolean isReady() {
        return this.V0.g() || (this.Z0 != null && !this.p1 && (p() || this.e1 != null));
    }

    @Override // com.google.android.exoplayer2.util.m
    public long j() {
        if (getState() == 2) {
            Z();
        }
        return this.k1;
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.exoplayer2.a
    public void q() {
        this.Z0 = null;
        this.j1 = true;
        this.p1 = false;
        try {
            V();
            this.V0.release();
            try {
                DrmSession<f> drmSession = this.f1;
                if (drmSession != null) {
                    this.S0.f(drmSession);
                }
                try {
                    DrmSession<f> drmSession2 = this.g1;
                    if (!(drmSession2 == null || drmSession2 == this.f1)) {
                        this.S0.f(drmSession2);
                    }
                } finally {
                    this.f1 = null;
                    this.g1 = null;
                    this.Y0.a();
                    this.U0.e(this.Y0);
                }
            } catch (Throwable th) {
                DrmSession<f> drmSession3 = this.g1;
                if (!(drmSession3 == null || drmSession3 == this.f1)) {
                    this.S0.f(drmSession3);
                }
                throw th;
            } finally {
                this.f1 = null;
                this.g1 = null;
                this.Y0.a();
                this.U0.e(this.Y0);
            }
        } catch (Throwable th2) {
            try {
                DrmSession<f> drmSession4 = this.g1;
                if (!(drmSession4 == null || drmSession4 == this.f1)) {
                    this.S0.f(drmSession4);
                }
                throw th2;
            } finally {
                this.f1 = null;
                this.g1 = null;
                this.Y0.a();
                this.U0.e(this.Y0);
            }
        } finally {
        }
    }

    @Override // com.google.android.exoplayer2.Renderer
    public void r(long j, long j2) throws ExoPlaybackException {
        if (this.o1) {
            try {
                this.V0.f();
            } catch (AudioSink.WriteException e2) {
                throw ExoPlaybackException.createForRenderer(e2, m());
            }
        } else {
            if (this.Z0 == null) {
                this.X0.j();
                int E = E(this.W0, this.X0, true);
                if (E == -5) {
                    S(this.W0.f8542a);
                } else if (E == -4) {
                    com.google.android.exoplayer2.util.a.i(this.X0.o());
                    this.n1 = true;
                    U();
                    return;
                } else {
                    return;
                }
            }
            O();
            if (this.c1 != null) {
                try {
                    z.a("drainAndFeed");
                    while (K()) {
                    }
                    while (L()) {
                    }
                    z.c();
                    this.Y0.a();
                } catch (AudioDecoderException | AudioSink.ConfigurationException | AudioSink.InitializationException | AudioSink.WriteException e3) {
                    throw ExoPlaybackException.createForRenderer(e3, m());
                }
            }
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.exoplayer2.a
    public void s(boolean z) throws ExoPlaybackException {
        com.google.android.exoplayer2.decoder.d dVar = new com.google.android.exoplayer2.decoder.d();
        this.Y0 = dVar;
        this.U0.f(dVar);
        int i = l().f9699b;
        if (i != 0) {
            this.V0.o(i);
        } else {
            this.V0.j();
        }
    }

    @Override // com.google.android.exoplayer2.a, com.google.android.exoplayer2.w.b
    public void t(int i, Object obj) throws ExoPlaybackException {
        if (i == 2) {
            this.V0.m(((Float) obj).floatValue());
        } else if (i != 3) {
            super.t(i, obj);
        } else {
            this.V0.k((a) obj);
        }
    }

    @Override // com.google.android.exoplayer2.a, com.google.android.exoplayer2.Renderer
    public com.google.android.exoplayer2.util.m y() {
        return this;
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.exoplayer2.a
    public void z(long j, boolean z) throws ExoPlaybackException {
        this.V0.a();
        this.k1 = j;
        this.l1 = true;
        this.m1 = true;
        this.n1 = false;
        this.o1 = false;
        if (this.c1 != null) {
            M();
        }
    }

    public m(Handler handler, d dVar, AudioProcessor... audioProcessorArr) {
        this(handler, dVar, null, null, false, audioProcessorArr);
    }

    public m(Handler handler, d dVar, b bVar) {
        this(handler, dVar, bVar, null, false, new AudioProcessor[0]);
    }

    public m(Handler handler, d dVar, b bVar, com.google.android.exoplayer2.drm.d<f> dVar2, boolean z, AudioProcessor... audioProcessorArr) {
        this(handler, dVar, dVar2, z, new DefaultAudioSink(bVar, audioProcessorArr));
    }

    public m(Handler handler, d dVar, com.google.android.exoplayer2.drm.d<f> dVar2, boolean z, AudioSink audioSink) {
        super(1);
        this.S0 = dVar2;
        this.T0 = z;
        this.U0 = new d.a(handler, dVar);
        this.V0 = audioSink;
        audioSink.p(new b());
        this.W0 = new com.google.android.exoplayer2.m();
        this.X0 = DecoderInputBuffer.w();
        this.h1 = 0;
        this.j1 = true;
    }
}
