package com.google.android.exoplayer2.g0.q;

import com.google.android.exoplayer2.C;
import com.google.android.exoplayer2.Format;
import com.google.android.exoplayer2.f;
import com.google.android.exoplayer2.g0.q.h;
import com.google.android.exoplayer2.util.b0;
import com.google.android.exoplayer2.util.n;
import com.google.android.exoplayer2.util.q;
import java.io.IOException;
import java.nio.ByteBuffer;
import java.nio.ByteOrder;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import okio.y0;

/* compiled from: OpusReader */
final class g extends h {
    private static final int r = 3840;
    private static final int s = 48000;
    private static final int t = b0.I("Opus");
    private static final byte[] u = {79, 112, 117, 115, 72, 101, 97, 100};
    private boolean v;

    g() {
    }

    private long l(byte[] bArr) {
        int i = bArr[0] & 255;
        int i2 = i & 3;
        int i3 = 2;
        if (i2 == 0) {
            i3 = 1;
        } else if (!(i2 == 1 || i2 == 2)) {
            i3 = bArr[1] & y0.f22789a;
        }
        int i4 = i >> 3;
        int i5 = i4 & 3;
        return ((long) i3) * ((long) (i4 >= 16 ? f.f8384c << i5 : i4 >= 12 ? 10000 << (i5 & 1) : i5 == 3 ? 60000 : 10000 << i5));
    }

    private void m(List<byte[]> list, int i) {
        list.add(ByteBuffer.allocate(8).order(ByteOrder.nativeOrder()).putLong((((long) i) * C.h) / 48000).array());
    }

    public static boolean n(q qVar) {
        int a2 = qVar.a();
        byte[] bArr = u;
        if (a2 < bArr.length) {
            return false;
        }
        byte[] bArr2 = new byte[bArr.length];
        qVar.i(bArr2, 0, bArr.length);
        return Arrays.equals(bArr2, bArr);
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.exoplayer2.g0.q.h
    public long e(q qVar) {
        return b(l(qVar.f9627a));
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.exoplayer2.g0.q.h
    public boolean h(q qVar, long j, h.b bVar) throws IOException, InterruptedException {
        boolean z = true;
        if (!this.v) {
            byte[] copyOf = Arrays.copyOf(qVar.f9627a, qVar.d());
            int i = copyOf[9] & 255;
            ArrayList arrayList = new ArrayList(3);
            arrayList.add(copyOf);
            m(arrayList, ((copyOf[11] & 255) << 8) | (copyOf[10] & 255));
            m(arrayList, r);
            bVar.f8465a = Format.l(null, n.H, null, -1, -1, i, s, arrayList, null, 0, null);
            this.v = true;
            return true;
        }
        if (qVar.l() != t) {
            z = false;
        }
        qVar.P(0);
        return z;
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.exoplayer2.g0.q.h
    public void j(boolean z) {
        super.j(z);
        if (z) {
            this.v = false;
        }
    }
}
