package com.google.android.exoplayer2.source.d0;

import com.google.android.exoplayer2.C;
import com.google.android.exoplayer2.Format;
import com.google.android.exoplayer2.upstream.DataSpec;
import com.google.android.exoplayer2.upstream.h;
import com.google.android.exoplayer2.util.b0;
import java.io.IOException;
import java.util.Arrays;

/* compiled from: DataChunk */
public abstract class j extends c {
    private static final int i = 16384;
    private byte[] j;
    private int k;
    private volatile boolean l;

    public j(h hVar, DataSpec dataSpec, int i2, Format format, int i3, Object obj, byte[] bArr) {
        super(hVar, dataSpec, i2, format, i3, obj, C.f7870b, C.f7870b);
        this.j = bArr;
    }

    private void g() {
        byte[] bArr = this.j;
        if (bArr == null) {
            this.j = new byte[16384];
        } else if (bArr.length < this.k + 16384) {
            this.j = Arrays.copyOf(bArr, bArr.length + 16384);
        }
    }

    @Override // com.google.android.exoplayer2.upstream.Loader.c
    public final void a() throws IOException, InterruptedException {
        try {
            this.h.o(this.f8778a);
            int i2 = 0;
            this.k = 0;
            while (i2 != -1 && !this.l) {
                g();
                i2 = this.h.read(this.j, this.k, 16384);
                if (i2 != -1) {
                    this.k += i2;
                }
            }
            if (!this.l) {
                e(this.j, this.k);
            }
        } finally {
            b0.j(this.h);
        }
    }

    @Override // com.google.android.exoplayer2.upstream.Loader.c
    public final void b() {
        this.l = true;
    }

    @Override // com.google.android.exoplayer2.source.d0.c
    public long c() {
        return (long) this.k;
    }

    /* access modifiers changed from: protected */
    public abstract void e(byte[] bArr, int i2) throws IOException;

    public byte[] f() {
        return this.j;
    }
}
