package com.google.android.exoplayer2.text.j;

import android.graphics.Color;
import android.text.Layout;
import android.text.SpannableString;
import android.text.SpannableStringBuilder;
import android.text.style.BackgroundColorSpan;
import android.text.style.ForegroundColorSpan;
import android.text.style.StyleSpan;
import android.text.style.UnderlineSpan;
import android.util.Log;
import com.google.android.exoplayer2.text.Cue;
import com.google.android.exoplayer2.text.SubtitleDecoderException;
import com.google.android.exoplayer2.text.f;
import com.google.android.exoplayer2.text.g;
import com.google.android.exoplayer2.util.p;
import com.google.android.exoplayer2.util.q;
import java.util.ArrayList;
import java.util.Collections;
import java.util.List;
import kotlin.text.Typography;
import okio.y0;

/* compiled from: Cea708Decoder */
public final class c extends d {
    private static final int A = 14;
    private static final int A0 = 119;
    private static final int B = 16;
    private static final int B0 = 120;
    private static final int C = 17;
    private static final int C0 = 121;
    private static final int D = 23;
    private static final int D0 = 122;
    private static final int E = 24;
    private static final int E0 = 123;
    private static final int F = 31;
    private static final int F0 = 124;
    private static final int G = 128;
    private static final int G0 = 125;
    private static final int H = 129;
    private static final int H0 = 126;
    private static final int I = 130;
    private static final int I0 = 127;
    private static final int J = 131;
    private static final int K = 132;
    private static final int L = 133;
    private static final int M = 134;
    private static final int N = 135;
    private static final int O = 136;
    private static final int P = 137;
    private static final int Q = 138;
    private static final int R = 139;
    private static final int S = 140;
    private static final int T = 141;
    private static final int U = 142;
    private static final int V = 143;
    private static final int W = 144;
    private static final int X = 145;
    private static final int Y = 146;
    private static final int Z = 151;
    private static final int a0 = 152;
    private static final int b0 = 153;
    private static final int c0 = 154;
    private static final int d0 = 155;
    private static final int e0 = 156;
    private static final int f0 = 157;
    private static final int g0 = 158;
    private static final int h0 = 159;
    private static final String i = "Cea708Decoder";
    private static final int i0 = 127;
    private static final int j = 8;
    private static final int j0 = 32;
    private static final int k = 2;
    private static final int k0 = 33;
    private static final int l = 3;
    private static final int l0 = 37;
    private static final int m = 4;
    private static final int m0 = 42;
    private static final int n = 31;
    private static final int n0 = 44;
    private static final int o = 127;
    private static final int o0 = 48;
    private static final int p = 159;
    private static final int p0 = 49;
    private static final int q = 255;
    private static final int q0 = 50;
    private static final int r = 31;
    private static final int r0 = 51;
    private static final int s = 127;
    private static final int s0 = 52;
    private static final int t = 159;
    private static final int t0 = 53;
    private static final int u = 255;
    private static final int u0 = 57;
    private static final int v = 0;
    private static final int v0 = 58;
    private static final int w = 3;
    private static final int w0 = 60;
    private static final int x = 8;
    private static final int x0 = 61;
    private static final int y = 12;
    private static final int y0 = 63;
    private static final int z = 13;
    private static final int z0 = 118;
    private final q J0 = new q();
    private final p K0 = new p();
    private final int L0;
    private final a[] M0;
    private a N0;
    private List<Cue> O0;
    private List<Cue> P0;
    private b Q0;
    private int R0;

    /* access modifiers changed from: private */
    /* compiled from: Cea708Decoder */
    public static final class a {
        private static final int[] A = {0, 0, 0, 0, 0, 0, 2};
        private static final int[] B = {3, 3, 3, 3, 3, 3, 1};
        private static final boolean[] C = {false, false, false, true, true, true, false};
        private static final int[] D;
        private static final int[] E = {0, 1, 2, 3, 4, 3, 4};
        private static final int[] F = {0, 0, 0, 0, 0, 3, 3};
        private static final int[] G;

        /* renamed from: a  reason: collision with root package name */
        private static final int f9157a = 99;

        /* renamed from: b  reason: collision with root package name */
        private static final int f9158b = 74;

        /* renamed from: c  reason: collision with root package name */
        private static final int f9159c = 209;

        /* renamed from: d  reason: collision with root package name */
        private static final int f9160d = 4;

        /* renamed from: e  reason: collision with root package name */
        private static final int f9161e = 15;
        private static final int f = 0;
        private static final int g = 1;
        private static final int h = 2;
        private static final int i = 3;
        private static final int j = 0;
        private static final int k = 1;
        private static final int l = 2;
        private static final int m = 3;
        private static final int n = 0;
        private static final int o = 3;
        public static final int p = h(2, 2, 2, 0);
        public static final int q;
        public static final int r;
        private static final int s = 1;
        private static final int t = 0;
        private static final int u = 1;
        private static final int v = 2;
        private static final int w = 3;
        private static final int x = 4;
        private static final int y = 1;
        private static final int[] z = {0, 0, 0, 0, 0, 2, 0};
        private final List<SpannableString> H = new ArrayList();
        private final SpannableStringBuilder I = new SpannableStringBuilder();
        private boolean J;
        private boolean K;
        private int L;
        private boolean M;
        private int N;
        private int O;
        private int P;
        private int Q;
        private boolean R;
        private int S;
        private int T;
        private int U;
        private int V;
        private int W;
        private int X;
        private int Y;
        private int Z;
        private int a0;
        private int b0;
        private int c0;

        static {
            int h2 = h(0, 0, 0, 0);
            q = h2;
            int h3 = h(0, 0, 0, 3);
            r = h3;
            D = new int[]{h2, h3, h2, h2, h3, h2, h2};
            G = new int[]{h2, h2, h2, h2, h2, h3, h3};
        }

        public a() {
            l();
        }

        public static int g(int i2, int i3, int i4) {
            return h(i2, i3, i4, 0);
        }

        /* JADX WARNING: Removed duplicated region for block: B:11:0x0025  */
        /* JADX WARNING: Removed duplicated region for block: B:12:0x0028  */
        /* JADX WARNING: Removed duplicated region for block: B:14:0x002b  */
        /* JADX WARNING: Removed duplicated region for block: B:15:0x002e  */
        /* JADX WARNING: Removed duplicated region for block: B:17:0x0031  */
        public static int h(int i2, int i3, int i4, int i5) {
            int i6;
            int i7 = 0;
            com.google.android.exoplayer2.util.a.c(i2, 0, 4);
            com.google.android.exoplayer2.util.a.c(i3, 0, 4);
            com.google.android.exoplayer2.util.a.c(i4, 0, 4);
            com.google.android.exoplayer2.util.a.c(i5, 0, 4);
            if (!(i5 == 0 || i5 == 1)) {
                if (i5 == 2) {
                    i6 = 127;
                } else if (i5 == 3) {
                    i6 = 0;
                }
                int i8 = i2 <= 1 ? 255 : 0;
                int i9 = i3 <= 1 ? 255 : 0;
                if (i4 > 1) {
                    i7 = 255;
                }
                return Color.argb(i6, i8, i9, i7);
            }
            i6 = 255;
            if (i2 <= 1) {
            }
            if (i3 <= 1) {
            }
            if (i4 > 1) {
            }
            return Color.argb(i6, i8, i9, i7);
        }

        public void a(char c2) {
            if (c2 == '\n') {
                this.H.add(d());
                this.I.clear();
                if (this.W != -1) {
                    this.W = 0;
                }
                if (this.X != -1) {
                    this.X = 0;
                }
                if (this.Y != -1) {
                    this.Y = 0;
                }
                if (this.a0 != -1) {
                    this.a0 = 0;
                }
                while (true) {
                    if ((this.R && this.H.size() >= this.Q) || this.H.size() >= 15) {
                        this.H.remove(0);
                    } else {
                        return;
                    }
                }
            } else {
                this.I.append(c2);
            }
        }

        public void b() {
            int length = this.I.length();
            if (length > 0) {
                this.I.delete(length - 1, length);
            }
        }

        /* JADX WARNING: Removed duplicated region for block: B:19:0x0065  */
        /* JADX WARNING: Removed duplicated region for block: B:20:0x0070  */
        /* JADX WARNING: Removed duplicated region for block: B:23:0x0091  */
        /* JADX WARNING: Removed duplicated region for block: B:24:0x0093  */
        /* JADX WARNING: Removed duplicated region for block: B:30:0x009e  */
        /* JADX WARNING: Removed duplicated region for block: B:31:0x00a0  */
        /* JADX WARNING: Removed duplicated region for block: B:37:0x00ac  */
        public b c() {
            Layout.Alignment alignment;
            float f2;
            float f3;
            int i2;
            int i3;
            int i4;
            int i5;
            if (j()) {
                return null;
            }
            SpannableStringBuilder spannableStringBuilder = new SpannableStringBuilder();
            boolean z2 = false;
            for (int i6 = 0; i6 < this.H.size(); i6++) {
                spannableStringBuilder.append((CharSequence) this.H.get(i6));
                spannableStringBuilder.append('\n');
            }
            spannableStringBuilder.append((CharSequence) d());
            int i7 = this.S;
            if (i7 != 0) {
                if (i7 == 1) {
                    alignment = Layout.Alignment.ALIGN_OPPOSITE;
                } else if (i7 == 2) {
                    alignment = Layout.Alignment.ALIGN_CENTER;
                } else if (i7 != 3) {
                    throw new IllegalArgumentException("Unexpected justification value: " + this.S);
                }
                if (!this.M) {
                    f3 = ((float) this.O) / 99.0f;
                    f2 = ((float) this.N) / 99.0f;
                } else {
                    f3 = ((float) this.O) / 209.0f;
                    f2 = ((float) this.N) / 74.0f;
                }
                float f4 = (f3 * 0.9f) + 0.05f;
                float f5 = (f2 * 0.9f) + 0.05f;
                i2 = this.P;
                if (i2 % 3 != 0) {
                    i3 = 0;
                } else {
                    i3 = i2 % 3 == 1 ? 1 : 2;
                }
                if (i2 / 3 != 0) {
                    i4 = 0;
                } else {
                    i4 = i2 / 3 == 1 ? 1 : 2;
                }
                i5 = this.V;
                if (i5 != q) {
                    z2 = true;
                }
                return new b(spannableStringBuilder, alignment, f5, 0, i3, f4, i4, Float.MIN_VALUE, z2, i5, this.L);
            }
            alignment = Layout.Alignment.ALIGN_NORMAL;
            if (!this.M) {
            }
            float f42 = (f3 * 0.9f) + 0.05f;
            float f52 = (f2 * 0.9f) + 0.05f;
            i2 = this.P;
            if (i2 % 3 != 0) {
            }
            if (i2 / 3 != 0) {
            }
            i5 = this.V;
            if (i5 != q) {
            }
            return new b(spannableStringBuilder, alignment, f52, 0, i3, f42, i4, Float.MIN_VALUE, z2, i5, this.L);
        }

        public SpannableString d() {
            SpannableStringBuilder spannableStringBuilder = new SpannableStringBuilder(this.I);
            int length = spannableStringBuilder.length();
            if (length > 0) {
                if (this.W != -1) {
                    spannableStringBuilder.setSpan(new StyleSpan(2), this.W, length, 33);
                }
                if (this.X != -1) {
                    spannableStringBuilder.setSpan(new UnderlineSpan(), this.X, length, 33);
                }
                if (this.Y != -1) {
                    spannableStringBuilder.setSpan(new ForegroundColorSpan(this.Z), this.Y, length, 33);
                }
                if (this.a0 != -1) {
                    spannableStringBuilder.setSpan(new BackgroundColorSpan(this.b0), this.a0, length, 33);
                }
            }
            return new SpannableString(spannableStringBuilder);
        }

        public void e() {
            this.H.clear();
            this.I.clear();
            this.W = -1;
            this.X = -1;
            this.Y = -1;
            this.a0 = -1;
            this.c0 = 0;
        }

        public void f(boolean z2, boolean z3, boolean z4, int i2, boolean z5, int i3, int i4, int i5, int i6, int i7, int i8, int i9) {
            this.J = true;
            this.K = z2;
            this.R = z3;
            this.L = i2;
            this.M = z5;
            this.N = i3;
            this.O = i4;
            this.P = i7;
            int i10 = i5 + 1;
            if (this.Q != i10) {
                this.Q = i10;
                while (true) {
                    if ((!z3 || this.H.size() < this.Q) && this.H.size() < 15) {
                        break;
                    }
                    this.H.remove(0);
                }
            }
            if (!(i8 == 0 || this.T == i8)) {
                this.T = i8;
                int i11 = i8 - 1;
                q(D[i11], r, C[i11], 0, A[i11], B[i11], z[i11]);
            }
            if (i9 != 0 && this.U != i9) {
                this.U = i9;
                int i12 = i9 - 1;
                m(0, 1, 1, false, false, F[i12], E[i12]);
                n(p, G[i12], q);
            }
        }

        public boolean i() {
            return this.J;
        }

        public boolean j() {
            return !i() || (this.H.isEmpty() && this.I.length() == 0);
        }

        public boolean k() {
            return this.K;
        }

        public void l() {
            e();
            this.J = false;
            this.K = false;
            this.L = 4;
            this.M = false;
            this.N = 0;
            this.O = 0;
            this.P = 0;
            this.Q = 15;
            this.R = true;
            this.S = 0;
            this.T = 0;
            this.U = 0;
            int i2 = q;
            this.V = i2;
            this.Z = p;
            this.b0 = i2;
        }

        public void m(int i2, int i3, int i4, boolean z2, boolean z3, int i5, int i6) {
            if (this.W != -1) {
                if (!z2) {
                    this.I.setSpan(new StyleSpan(2), this.W, this.I.length(), 33);
                    this.W = -1;
                }
            } else if (z2) {
                this.W = this.I.length();
            }
            if (this.X != -1) {
                if (!z3) {
                    this.I.setSpan(new UnderlineSpan(), this.X, this.I.length(), 33);
                    this.X = -1;
                }
            } else if (z3) {
                this.X = this.I.length();
            }
        }

        public void n(int i2, int i3, int i4) {
            if (!(this.Y == -1 || this.Z == i2)) {
                this.I.setSpan(new ForegroundColorSpan(this.Z), this.Y, this.I.length(), 33);
            }
            if (i2 != p) {
                this.Y = this.I.length();
                this.Z = i2;
            }
            if (!(this.a0 == -1 || this.b0 == i3)) {
                this.I.setSpan(new BackgroundColorSpan(this.b0), this.a0, this.I.length(), 33);
            }
            if (i3 != q) {
                this.a0 = this.I.length();
                this.b0 = i3;
            }
        }

        public void o(int i2, int i3) {
            if (this.c0 != i2) {
                a('\n');
            }
            this.c0 = i2;
        }

        public void p(boolean z2) {
            this.K = z2;
        }

        public void q(int i2, int i3, boolean z2, int i4, int i5, int i6, int i7) {
            this.V = i2;
            this.S = i7;
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: Cea708Decoder */
    public static final class b {

        /* renamed from: a  reason: collision with root package name */
        public final int f9162a;

        /* renamed from: b  reason: collision with root package name */
        public final int f9163b;

        /* renamed from: c  reason: collision with root package name */
        public final byte[] f9164c;

        /* renamed from: d  reason: collision with root package name */
        int f9165d = 0;

        public b(int i, int i2) {
            this.f9162a = i;
            this.f9163b = i2;
            this.f9164c = new byte[((i2 * 2) - 1)];
        }
    }

    public c(int i2) {
        this.L0 = i2 == -1 ? 1 : i2;
        this.M0 = new a[8];
        for (int i3 = 0; i3 < 8; i3++) {
            this.M0[i3] = new a();
        }
        this.N0 = this.M0[0];
        C();
    }

    private void A() {
        int h = a.h(this.K0.h(2), this.K0.h(2), this.K0.h(2), this.K0.h(2));
        int h2 = this.K0.h(2);
        int g = a.g(this.K0.h(2), this.K0.h(2), this.K0.h(2));
        if (this.K0.g()) {
            h2 |= 4;
        }
        boolean g2 = this.K0.g();
        int h3 = this.K0.h(2);
        int h4 = this.K0.h(2);
        int h5 = this.K0.h(2);
        this.K0.p(8);
        this.N0.q(h, g, g2, h2, h3, h4, h5);
    }

    private void B() {
        b bVar = this.Q0;
        int i2 = bVar.f9165d;
        if (i2 != (bVar.f9163b * 2) - 1) {
            Log.w(i, "DtvCcPacket ended prematurely; size is " + ((this.Q0.f9163b * 2) - 1) + ", but current index is " + this.Q0.f9165d + " (sequence number " + this.Q0.f9162a + "); ignoring packet");
            return;
        }
        this.K0.m(bVar.f9164c, i2);
        int h = this.K0.h(3);
        int h2 = this.K0.h(5);
        if (h == 7) {
            this.K0.p(2);
            h += this.K0.h(6);
        }
        if (h2 == 0) {
            if (h != 0) {
                Log.w(i, "serviceNumber is non-zero (" + h + ") when blockSize is 0");
            }
        } else if (h == this.L0) {
            boolean z2 = false;
            while (this.K0.b() > 0) {
                int h3 = this.K0.h(8);
                if (h3 == 16) {
                    int h4 = this.K0.h(8);
                    if (h4 <= 31) {
                        q(h4);
                    } else if (h4 <= 127) {
                        v(h4);
                    } else if (h4 <= 159) {
                        r(h4);
                    } else if (h4 <= 255) {
                        w(h4);
                    } else {
                        Log.w(i, "Invalid extended command: " + h4);
                    }
                } else if (h3 <= 31) {
                    o(h3);
                } else if (h3 <= 127) {
                    t(h3);
                } else if (h3 <= 159) {
                    p(h3);
                } else if (h3 <= 255) {
                    u(h3);
                } else {
                    Log.w(i, "Invalid base command: " + h3);
                }
                z2 = true;
            }
            if (z2) {
                this.O0 = n();
            }
        }
    }

    private void C() {
        for (int i2 = 0; i2 < 8; i2++) {
            this.M0[i2].l();
        }
    }

    private void m() {
        if (this.Q0 != null) {
            B();
            this.Q0 = null;
        }
    }

    private List<Cue> n() {
        ArrayList arrayList = new ArrayList();
        for (int i2 = 0; i2 < 8; i2++) {
            if (!this.M0[i2].j() && this.M0[i2].k()) {
                arrayList.add(this.M0[i2].c());
            }
        }
        Collections.sort(arrayList);
        return Collections.unmodifiableList(arrayList);
    }

    private void o(int i2) {
        if (i2 == 0) {
            return;
        }
        if (i2 == 3) {
            this.O0 = n();
        } else if (i2 != 8) {
            switch (i2) {
                case 12:
                    C();
                    return;
                case 13:
                    this.N0.a('\n');
                    return;
                case 14:
                    return;
                default:
                    if (i2 >= 17 && i2 <= 23) {
                        Log.w(i, "Currently unsupported COMMAND_EXT1 Command: " + i2);
                        this.K0.p(8);
                        return;
                    } else if (i2 < 24 || i2 > 31) {
                        Log.w(i, "Invalid C0 command: " + i2);
                        return;
                    } else {
                        Log.w(i, "Currently unsupported COMMAND_P16 Command: " + i2);
                        this.K0.p(16);
                        return;
                    }
            }
        } else {
            this.N0.b();
        }
    }

    private void p(int i2) {
        int i3 = 1;
        switch (i2) {
            case 128:
            case 129:
            case 130:
            case 131:
            case 132:
            case 133:
            case 134:
            case 135:
                int i4 = i2 - 128;
                if (this.R0 != i4) {
                    this.R0 = i4;
                    this.N0 = this.M0[i4];
                    return;
                }
                return;
            case 136:
                while (i3 <= 8) {
                    if (this.K0.g()) {
                        this.M0[8 - i3].e();
                    }
                    i3++;
                }
                return;
            case 137:
                for (int i5 = 1; i5 <= 8; i5++) {
                    if (this.K0.g()) {
                        this.M0[8 - i5].p(true);
                    }
                }
                return;
            case 138:
                while (i3 <= 8) {
                    if (this.K0.g()) {
                        this.M0[8 - i3].p(false);
                    }
                    i3++;
                }
                return;
            case 139:
                for (int i6 = 1; i6 <= 8; i6++) {
                    if (this.K0.g()) {
                        a aVar = this.M0[8 - i6];
                        aVar.p(!aVar.k());
                    }
                }
                return;
            case 140:
                while (i3 <= 8) {
                    if (this.K0.g()) {
                        this.M0[8 - i3].l();
                    }
                    i3++;
                }
                return;
            case 141:
                this.K0.p(8);
                return;
            case 142:
                return;
            case 143:
                C();
                return;
            case 144:
                if (!this.N0.i()) {
                    this.K0.p(16);
                    return;
                } else {
                    x();
                    return;
                }
            case 145:
                if (!this.N0.i()) {
                    this.K0.p(24);
                    return;
                } else {
                    y();
                    return;
                }
            case 146:
                if (!this.N0.i()) {
                    this.K0.p(16);
                    return;
                } else {
                    z();
                    return;
                }
            case 147:
            case 148:
            case 149:
            case 150:
            default:
                Log.w(i, "Invalid C1 command: " + i2);
                return;
            case 151:
                if (!this.N0.i()) {
                    this.K0.p(32);
                    return;
                } else {
                    A();
                    return;
                }
            case 152:
            case 153:
            case 154:
            case 155:
            case 156:
            case 157:
            case 158:
            case 159:
                int i7 = i2 - 152;
                s(i7);
                if (this.R0 != i7) {
                    this.R0 = i7;
                    this.N0 = this.M0[i7];
                    return;
                }
                return;
        }
    }

    private void q(int i2) {
        if (i2 > 7) {
            if (i2 <= 15) {
                this.K0.p(8);
            } else if (i2 <= 23) {
                this.K0.p(16);
            } else if (i2 <= 31) {
                this.K0.p(24);
            }
        }
    }

    private void r(int i2) {
        if (i2 <= 135) {
            this.K0.p(32);
        } else if (i2 <= 143) {
            this.K0.p(40);
        } else if (i2 <= 159) {
            this.K0.p(2);
            this.K0.p(this.K0.h(6) * 8);
        }
    }

    private void s(int i2) {
        a aVar = this.M0[i2];
        this.K0.p(2);
        boolean g = this.K0.g();
        boolean g2 = this.K0.g();
        boolean g3 = this.K0.g();
        int h = this.K0.h(3);
        boolean g4 = this.K0.g();
        int h2 = this.K0.h(7);
        int h3 = this.K0.h(8);
        int h4 = this.K0.h(4);
        int h5 = this.K0.h(4);
        this.K0.p(2);
        int h6 = this.K0.h(6);
        this.K0.p(2);
        aVar.f(g, g2, g3, h, g4, h2, h3, h5, h6, h4, this.K0.h(3), this.K0.h(3));
    }

    private void t(int i2) {
        if (i2 == 127) {
            this.N0.a(9835);
        } else {
            this.N0.a((char) (i2 & 255));
        }
    }

    private void u(int i2) {
        this.N0.a((char) (i2 & 255));
    }

    private void v(int i2) {
        if (i2 == 32) {
            this.N0.a(' ');
        } else if (i2 == 33) {
            this.N0.a(Typography.nbsp);
        } else if (i2 == 37) {
            this.N0.a(Typography.ellipsis);
        } else if (i2 == 42) {
            this.N0.a(352);
        } else if (i2 == 44) {
            this.N0.a(338);
        } else if (i2 == 63) {
            this.N0.a(376);
        } else if (i2 == 57) {
            this.N0.a(Typography.tm);
        } else if (i2 == 58) {
            this.N0.a(353);
        } else if (i2 == 60) {
            this.N0.a(339);
        } else if (i2 != 61) {
            switch (i2) {
                case 48:
                    this.N0.a(9608);
                    return;
                case 49:
                    this.N0.a(Typography.leftSingleQuote);
                    return;
                case 50:
                    this.N0.a(Typography.rightSingleQuote);
                    return;
                case 51:
                    this.N0.a(Typography.leftDoubleQuote);
                    return;
                case 52:
                    this.N0.a(Typography.rightDoubleQuote);
                    return;
                case 53:
                    this.N0.a(Typography.bullet);
                    return;
                default:
                    switch (i2) {
                        case 118:
                            this.N0.a(8539);
                            return;
                        case 119:
                            this.N0.a(8540);
                            return;
                        case 120:
                            this.N0.a(8541);
                            return;
                        case 121:
                            this.N0.a(8542);
                            return;
                        case 122:
                            this.N0.a(9474);
                            return;
                        case 123:
                            this.N0.a(9488);
                            return;
                        case 124:
                            this.N0.a(9492);
                            return;
                        case 125:
                            this.N0.a(9472);
                            return;
                        case 126:
                            this.N0.a(9496);
                            return;
                        case 127:
                            this.N0.a(9484);
                            return;
                        default:
                            Log.w(i, "Invalid G2 character: " + i2);
                            return;
                    }
            }
        } else {
            this.N0.a(8480);
        }
    }

    private void w(int i2) {
        if (i2 == 160) {
            this.N0.a(13252);
            return;
        }
        Log.w(i, "Invalid G3 character: " + i2);
        this.N0.a('_');
    }

    private void x() {
        this.N0.m(this.K0.h(4), this.K0.h(2), this.K0.h(2), this.K0.g(), this.K0.g(), this.K0.h(3), this.K0.h(3));
    }

    private void y() {
        int h = a.h(this.K0.h(2), this.K0.h(2), this.K0.h(2), this.K0.h(2));
        int h2 = a.h(this.K0.h(2), this.K0.h(2), this.K0.h(2), this.K0.h(2));
        this.K0.p(2);
        this.N0.n(h, h2, a.g(this.K0.h(2), this.K0.h(2), this.K0.h(2)));
    }

    private void z() {
        this.K0.p(4);
        int h = this.K0.h(4);
        this.K0.p(2);
        this.N0.o(h, this.K0.h(6));
    }

    @Override // com.google.android.exoplayer2.text.j.d, com.google.android.exoplayer2.text.d
    public /* bridge */ /* synthetic */ void a(long j2) {
        super.a(j2);
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.exoplayer2.text.j.d
    public com.google.android.exoplayer2.text.c e() {
        List<Cue> list = this.O0;
        this.P0 = list;
        return new e(list);
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.exoplayer2.text.j.d
    public void f(f fVar) {
        this.J0.N(fVar.L0.array(), fVar.L0.limit());
        while (this.J0.a() >= 3) {
            int D2 = this.J0.D() & 7;
            int i2 = D2 & 3;
            boolean z2 = false;
            boolean z3 = (D2 & 4) == 4;
            byte D3 = (byte) this.J0.D();
            byte D4 = (byte) this.J0.D();
            if ((i2 == 2 || i2 == 3) && z3) {
                if (i2 == 3) {
                    m();
                    int i3 = (D3 & 192) >> 6;
                    int i4 = D3 & y0.f22789a;
                    if (i4 == 0) {
                        i4 = 64;
                    }
                    b bVar = new b(i3, i4);
                    this.Q0 = bVar;
                    byte[] bArr = bVar.f9164c;
                    int i5 = bVar.f9165d;
                    bVar.f9165d = i5 + 1;
                    bArr[i5] = D4;
                } else {
                    if (i2 == 2) {
                        z2 = true;
                    }
                    com.google.android.exoplayer2.util.a.a(z2);
                    b bVar2 = this.Q0;
                    if (bVar2 == null) {
                        Log.e(i, "Encountered DTVCC_PACKET_DATA before DTVCC_PACKET_START");
                    } else {
                        byte[] bArr2 = bVar2.f9164c;
                        int i6 = bVar2.f9165d;
                        int i7 = i6 + 1;
                        bVar2.f9165d = i7;
                        bArr2[i6] = D3;
                        bVar2.f9165d = i7 + 1;
                        bArr2[i7] = D4;
                    }
                }
                b bVar3 = this.Q0;
                if (bVar3.f9165d == (bVar3.f9163b * 2) - 1) {
                    m();
                }
            }
        }
    }

    @Override // com.google.android.exoplayer2.text.j.d, com.google.android.exoplayer2.decoder.c
    public void flush() {
        super.flush();
        this.O0 = null;
        this.P0 = null;
        this.R0 = 0;
        this.N0 = this.M0[0];
        C();
        this.Q0 = null;
    }

    @Override // com.google.android.exoplayer2.text.j.d
    public /* bridge */ /* synthetic */ f g() throws SubtitleDecoderException {
        return super.c();
    }

    @Override // com.google.android.exoplayer2.text.j.d, com.google.android.exoplayer2.decoder.c
    public String getName() {
        return i;
    }

    @Override // com.google.android.exoplayer2.text.j.d
    public /* bridge */ /* synthetic */ g h() throws SubtitleDecoderException {
        return super.b();
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.exoplayer2.text.j.d
    public boolean i() {
        return this.O0 != this.P0;
    }

    @Override // com.google.android.exoplayer2.text.j.d
    public /* bridge */ /* synthetic */ void j(f fVar) throws SubtitleDecoderException {
        super.d(fVar);
    }

    @Override // com.google.android.exoplayer2.text.j.d, com.google.android.exoplayer2.decoder.c
    public /* bridge */ /* synthetic */ void release() {
        super.release();
    }
}
