package com.google.android.exoplayer2.text.o;

import android.text.SpannableStringBuilder;
import android.text.style.ForegroundColorSpan;
import android.text.style.StyleSpan;
import android.text.style.TypefaceSpan;
import android.text.style.UnderlineSpan;
import com.google.android.exoplayer2.C;
import com.google.android.exoplayer2.text.Cue;
import com.google.android.exoplayer2.text.SubtitleDecoderException;
import com.google.android.exoplayer2.text.c;
import com.google.android.exoplayer2.util.b0;
import com.google.android.exoplayer2.util.q;
import java.nio.charset.Charset;
import java.util.List;

/* compiled from: Tx3gDecoder */
public final class a extends com.google.android.exoplayer2.text.a {
    private static final int A = 16711680;
    private static final int B = 0;
    private static final int C = 0;
    private static final int D = -1;
    private static final String E = "sans-serif";
    private static final float F = 0.85f;
    private static final char o = 65279;
    private static final char p = 65534;
    private static final int q = b0.I("styl");
    private static final int r = b0.I("tbox");
    private static final String s = "Serif";
    private static final int t = 8;
    private static final int u = 2;
    private static final int v = 2;
    private static final int w = 12;
    private static final int x = 1;
    private static final int y = 2;
    private static final int z = 4;
    private final q G = new q();
    private boolean H;
    private int I;
    private int J;
    private String K;
    private float L;
    private int M;

    public a(List<byte[]> list) {
        super("Tx3gDecoder");
        G(list);
    }

    private void B(q qVar, SpannableStringBuilder spannableStringBuilder) throws SubtitleDecoderException {
        C(qVar.a() >= 12);
        int J2 = qVar.J();
        int J3 = qVar.J();
        qVar.Q(2);
        int D2 = qVar.D();
        qVar.Q(1);
        int l = qVar.l();
        E(spannableStringBuilder, D2, this.I, J2, J3, 0);
        D(spannableStringBuilder, l, this.J, J2, J3, 0);
    }

    private static void C(boolean z2) throws SubtitleDecoderException {
        if (!z2) {
            throw new SubtitleDecoderException("Unexpected subtitle format.");
        }
    }

    private static void D(SpannableStringBuilder spannableStringBuilder, int i, int i2, int i3, int i4, int i5) {
        if (i != i2) {
            spannableStringBuilder.setSpan(new ForegroundColorSpan((i >>> 8) | ((i & 255) << 24)), i3, i4, i5 | 33);
        }
    }

    private static void E(SpannableStringBuilder spannableStringBuilder, int i, int i2, int i3, int i4, int i5) {
        if (i != i2) {
            int i6 = i5 | 33;
            boolean z2 = true;
            boolean z3 = (i & 1) != 0;
            boolean z4 = (i & 2) != 0;
            if (z3) {
                if (z4) {
                    spannableStringBuilder.setSpan(new StyleSpan(3), i3, i4, i6);
                } else {
                    spannableStringBuilder.setSpan(new StyleSpan(1), i3, i4, i6);
                }
            } else if (z4) {
                spannableStringBuilder.setSpan(new StyleSpan(2), i3, i4, i6);
            }
            if ((i & 4) == 0) {
                z2 = false;
            }
            if (z2) {
                spannableStringBuilder.setSpan(new UnderlineSpan(), i3, i4, i6);
            }
            if (!z2 && !z3 && !z4) {
                spannableStringBuilder.setSpan(new StyleSpan(0), i3, i4, i6);
            }
        }
    }

    private static void F(SpannableStringBuilder spannableStringBuilder, String str, String str2, int i, int i2, int i3) {
        if (str != str2) {
            spannableStringBuilder.setSpan(new TypefaceSpan(str), i, i2, i3 | 33);
        }
    }

    private void G(List<byte[]> list) {
        String str = "sans-serif";
        boolean z2 = false;
        if (list != null && list.size() == 1 && (list.get(0).length == 48 || list.get(0).length == 53)) {
            byte[] bArr = list.get(0);
            this.I = bArr[24];
            this.J = ((bArr[26] & 255) << 24) | ((bArr[27] & 255) << 16) | ((bArr[28] & 255) << 8) | (bArr[29] & 255);
            if (s.equals(b0.w(bArr, 43, bArr.length - 43))) {
                str = C.l;
            }
            this.K = str;
            int i = bArr[25] * 20;
            this.M = i;
            if ((bArr[0] & 32) != 0) {
                z2 = true;
            }
            this.H = z2;
            if (z2) {
                float f = ((float) ((bArr[11] & 255) | ((bArr[10] & 255) << 8))) / ((float) i);
                this.L = f;
                this.L = b0.m(f, 0.0f, 0.95f);
                return;
            }
            this.L = F;
            return;
        }
        this.I = 0;
        this.J = -1;
        this.K = str;
        this.H = false;
        this.L = F;
    }

    private static String H(q qVar) throws SubtitleDecoderException {
        char e2;
        C(qVar.a() >= 2);
        int J2 = qVar.J();
        if (J2 == 0) {
            return "";
        }
        if (qVar.a() < 2 || ((e2 = qVar.e()) != 65279 && e2 != 65534)) {
            return qVar.B(J2, Charset.forName("UTF-8"));
        }
        return qVar.B(J2, Charset.forName(C.k));
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.exoplayer2.text.a
    public c y(byte[] bArr, int i, boolean z2) throws SubtitleDecoderException {
        this.G.N(bArr, i);
        String H2 = H(this.G);
        if (H2.isEmpty()) {
            return b.f9227a;
        }
        SpannableStringBuilder spannableStringBuilder = new SpannableStringBuilder(H2);
        E(spannableStringBuilder, this.I, 0, 0, spannableStringBuilder.length(), A);
        D(spannableStringBuilder, this.J, -1, 0, spannableStringBuilder.length(), A);
        F(spannableStringBuilder, this.K, "sans-serif", 0, spannableStringBuilder.length(), A);
        float f = this.L;
        while (this.G.a() >= 8) {
            int c2 = this.G.c();
            int l = this.G.l();
            int l2 = this.G.l();
            boolean z3 = true;
            if (l2 == q) {
                if (this.G.a() < 2) {
                    z3 = false;
                }
                C(z3);
                int J2 = this.G.J();
                for (int i2 = 0; i2 < J2; i2++) {
                    B(this.G, spannableStringBuilder);
                }
            } else if (l2 == r && this.H) {
                if (this.G.a() < 2) {
                    z3 = false;
                }
                C(z3);
                f = b0.m(((float) this.G.J()) / ((float) this.M), 0.0f, 0.95f);
            }
            this.G.P(c2 + l);
        }
        return new b(new Cue(spannableStringBuilder, null, f, 0, 0, Float.MIN_VALUE, Integer.MIN_VALUE, Float.MIN_VALUE));
    }
}
