package com.google.android.exoplayer2.upstream.cache;

import androidx.annotation.Nullable;
import com.google.android.exoplayer2.C;
import com.google.android.exoplayer2.util.a;
import com.google.android.exoplayer2.util.b0;
import java.io.File;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

/* access modifiers changed from: package-private */
/* compiled from: SimpleCacheSpan */
public final class p extends d {
    private static final String M0 = ".v3.exo";
    private static final Pattern N0 = Pattern.compile("^(.+)\\.(\\d+)\\.(\\d+)\\.v1\\.exo$", 32);
    private static final Pattern O0 = Pattern.compile("^(.+)\\.(\\d+)\\.(\\d+)\\.v2\\.exo$", 32);
    private static final Pattern P0 = Pattern.compile("^(\\d+)\\.(\\d+)\\.(\\d+)\\.v3\\.exo$", 32);

    private p(String str, long j, long j2, long j3, @Nullable File file) {
        super(str, j, j2, j3, file);
    }

    @Nullable
    public static p i(File file, g gVar) {
        String name = file.getName();
        if (!name.endsWith(M0)) {
            file = o(file, gVar);
            if (file == null) {
                return null;
            }
            name = file.getName();
        }
        Matcher matcher = P0.matcher(name);
        if (!matcher.matches()) {
            return null;
        }
        long length = file.length();
        String i = gVar.i(Integer.parseInt(matcher.group(1)));
        if (i == null) {
            return null;
        }
        return new p(i, Long.parseLong(matcher.group(2)), length, Long.parseLong(matcher.group(3)), file);
    }

    public static p j(String str, long j, long j2) {
        return new p(str, j, j2, C.f7870b, null);
    }

    public static p k(String str, long j) {
        return new p(str, j, -1, C.f7870b, null);
    }

    public static p l(String str, long j) {
        return new p(str, j, -1, C.f7870b, null);
    }

    public static File n(File file, int i, long j, long j2) {
        return new File(file, i + "." + j + "." + j2 + M0);
    }

    @Nullable
    private static File o(File file, g gVar) {
        String str;
        String name = file.getName();
        Matcher matcher = O0.matcher(name);
        if (matcher.matches()) {
            str = b0.y0(matcher.group(1));
            if (str == null) {
                return null;
            }
        } else {
            matcher = N0.matcher(name);
            if (!matcher.matches()) {
                return null;
            }
            str = matcher.group(1);
        }
        File n = n(file.getParentFile(), gVar.d(str), Long.parseLong(matcher.group(2)), Long.parseLong(matcher.group(3)));
        if (!file.renameTo(n)) {
            return null;
        }
        return n;
    }

    public p h(int i) {
        a.i(this.J0);
        long currentTimeMillis = System.currentTimeMillis();
        return new p(this.f9436a, this.f9437b, this.I0, currentTimeMillis, n(this.K0.getParentFile(), i, this.f9437b, currentTimeMillis));
    }
}
