package com.google.android.gms.common.api;

import android.os.Looper;
import com.google.android.gms.common.annotation.KeepForSdk;
import com.google.android.gms.common.api.internal.BasePendingResult;
import com.google.android.gms.common.api.internal.n;
import com.google.android.gms.common.api.internal.v;
import com.google.android.gms.common.internal.a0;

@KeepForSdk
public final class l {

    private static final class a<R extends p> extends BasePendingResult<R> {
        private final R q;

        public a(R r) {
            super(Looper.getMainLooper());
            this.q = r;
        }

        /* access modifiers changed from: protected */
        @Override // com.google.android.gms.common.api.internal.BasePendingResult
        public final R l(Status status) {
            if (status.o0() == this.q.d().o0()) {
                return this.q;
            }
            throw new UnsupportedOperationException("Creating failed results is not supported");
        }
    }

    private static final class b<R extends p> extends BasePendingResult<R> {
        private final R q;

        public b(i iVar, R r) {
            super(iVar);
            this.q = r;
        }

        /* access modifiers changed from: protected */
        @Override // com.google.android.gms.common.api.internal.BasePendingResult
        public final R l(Status status) {
            return this.q;
        }
    }

    private static final class c<R extends p> extends BasePendingResult<R> {
        public c(i iVar) {
            super(iVar);
        }

        /* access modifiers changed from: protected */
        @Override // com.google.android.gms.common.api.internal.BasePendingResult
        public final R l(Status status) {
            throw new UnsupportedOperationException("Creating failed results is not supported");
        }
    }

    @KeepForSdk
    private l() {
    }

    public static k<Status> a() {
        v vVar = new v(Looper.getMainLooper());
        vVar.f();
        return vVar;
    }

    public static <R extends p> k<R> b(R r) {
        a0.l(r, "Result must not be null");
        a0.b(r.d().o0() == 16, "Status code must be CommonStatusCodes.CANCELED");
        a aVar = new a(r);
        aVar.f();
        return aVar;
    }

    @KeepForSdk
    public static <R extends p> k<R> c(R r, i iVar) {
        a0.l(r, "Result must not be null");
        a0.b(!r.d().u1(), "Status code must not be SUCCESS");
        b bVar = new b(iVar, r);
        bVar.p(r);
        return bVar;
    }

    @KeepForSdk
    public static <R extends p> j<R> d(R r) {
        a0.l(r, "Result must not be null");
        c cVar = new c(null);
        cVar.p(r);
        return new n(cVar);
    }

    @KeepForSdk
    public static <R extends p> j<R> e(R r, i iVar) {
        a0.l(r, "Result must not be null");
        c cVar = new c(iVar);
        cVar.p(r);
        return new n(cVar);
    }

    @KeepForSdk
    public static k<Status> f(Status status) {
        a0.l(status, "Result must not be null");
        v vVar = new v(Looper.getMainLooper());
        vVar.p(status);
        return vVar;
    }

    @KeepForSdk
    public static k<Status> g(Status status, i iVar) {
        a0.l(status, "Result must not be null");
        v vVar = new v(iVar);
        vVar.p(status);
        return vVar;
    }
}
