package com.google.android.gms.internal.measurement;

import android.os.Bundle;
import android.os.IInterface;
import android.os.RemoteException;
import com.google.android.gms.dynamic.d;
import java.util.Map;

/* compiled from: com.google.android.gms:play-services-measurement-base@@17.2.0 */
public interface za extends IInterface {
    void beginAdUnitExposure(String str, long j) throws RemoteException;

    void clearConditionalUserProperty(String str, String str2, Bundle bundle) throws RemoteException;

    void endAdUnitExposure(String str, long j) throws RemoteException;

    void generateEventId(zb zbVar) throws RemoteException;

    void getAppInstanceId(zb zbVar) throws RemoteException;

    void getCachedAppInstanceId(zb zbVar) throws RemoteException;

    void getConditionalUserProperties(String str, String str2, zb zbVar) throws RemoteException;

    void getCurrentScreenClass(zb zbVar) throws RemoteException;

    void getCurrentScreenName(zb zbVar) throws RemoteException;

    void getGmpAppId(zb zbVar) throws RemoteException;

    void getMaxUserProperties(String str, zb zbVar) throws RemoteException;

    void getTestFlag(zb zbVar, int i) throws RemoteException;

    void getUserProperties(String str, String str2, boolean z, zb zbVar) throws RemoteException;

    void initForTests(Map map) throws RemoteException;

    void initialize(d dVar, zzv zzv, long j) throws RemoteException;

    void isDataCollectionEnabled(zb zbVar) throws RemoteException;

    void logEvent(String str, String str2, Bundle bundle, boolean z, boolean z2, long j) throws RemoteException;

    void logEventAndBundle(String str, String str2, Bundle bundle, zb zbVar, long j) throws RemoteException;

    void logHealthData(int i, String str, d dVar, d dVar2, d dVar3) throws RemoteException;

    void onActivityCreated(d dVar, Bundle bundle, long j) throws RemoteException;

    void onActivityDestroyed(d dVar, long j) throws RemoteException;

    void onActivityPaused(d dVar, long j) throws RemoteException;

    void onActivityResumed(d dVar, long j) throws RemoteException;

    void onActivitySaveInstanceState(d dVar, zb zbVar, long j) throws RemoteException;

    void onActivityStarted(d dVar, long j) throws RemoteException;

    void onActivityStopped(d dVar, long j) throws RemoteException;

    void performAction(Bundle bundle, zb zbVar, long j) throws RemoteException;

    void registerOnMeasurementEventListener(ec ecVar) throws RemoteException;

    void resetAnalyticsData(long j) throws RemoteException;

    void setConditionalUserProperty(Bundle bundle, long j) throws RemoteException;

    void setCurrentScreen(d dVar, String str, String str2, long j) throws RemoteException;

    void setDataCollectionEnabled(boolean z) throws RemoteException;

    void setEventInterceptor(ec ecVar) throws RemoteException;

    void setInstanceIdProvider(fc fcVar) throws RemoteException;

    void setMeasurementEnabled(boolean z, long j) throws RemoteException;

    void setMinimumSessionDuration(long j) throws RemoteException;

    void setSessionTimeoutDuration(long j) throws RemoteException;

    void setUserId(String str, long j) throws RemoteException;

    void setUserProperty(String str, String str2, d dVar, boolean z, long j) throws RemoteException;

    void unregisterOnMeasurementEventListener(ec ecVar) throws RemoteException;
}
