package com.google.android.gms.measurement.internal;

import android.os.Parcel;
import android.os.RemoteException;
import com.google.android.gms.internal.measurement.a1;
import com.google.android.gms.internal.measurement.b0;
import java.util.List;

/* compiled from: com.google.android.gms:play-services-measurement-impl@@17.2.0 */
public abstract class r3 extends a1 implements o3 {
    public r3() {
        super("com.google.android.gms.measurement.internal.IMeasurementService");
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.gms.internal.measurement.a1
    public final boolean b(int i, Parcel parcel, Parcel parcel2, int i2) throws RemoteException {
        switch (i) {
            case 1:
                I0((zzan) b0.a(parcel, zzan.CREATOR), (zzm) b0.a(parcel, zzm.CREATOR));
                parcel2.writeNoException();
                return true;
            case 2:
                w0((zzkj) b0.a(parcel, zzkj.CREATOR), (zzm) b0.a(parcel, zzm.CREATOR));
                parcel2.writeNoException();
                return true;
            case 3:
            case 8:
            default:
                return false;
            case 4:
                L0((zzm) b0.a(parcel, zzm.CREATOR));
                parcel2.writeNoException();
                return true;
            case 5:
                K0((zzan) b0.a(parcel, zzan.CREATOR), parcel.readString(), parcel.readString());
                parcel2.writeNoException();
                return true;
            case 6:
                u0((zzm) b0.a(parcel, zzm.CREATOR));
                parcel2.writeNoException();
                return true;
            case 7:
                List<zzkj> R = R((zzm) b0.a(parcel, zzm.CREATOR), b0.e(parcel));
                parcel2.writeNoException();
                parcel2.writeTypedList(R);
                return true;
            case 9:
                byte[] V = V((zzan) b0.a(parcel, zzan.CREATOR), parcel.readString());
                parcel2.writeNoException();
                parcel2.writeByteArray(V);
                return true;
            case 10:
                k0(parcel.readLong(), parcel.readString(), parcel.readString(), parcel.readString());
                parcel2.writeNoException();
                return true;
            case 11:
                String C0 = C0((zzm) b0.a(parcel, zzm.CREATOR));
                parcel2.writeNoException();
                parcel2.writeString(C0);
                return true;
            case 12:
                Z((zzv) b0.a(parcel, zzv.CREATOR), (zzm) b0.a(parcel, zzm.CREATOR));
                parcel2.writeNoException();
                return true;
            case 13:
                O0((zzv) b0.a(parcel, zzv.CREATOR));
                parcel2.writeNoException();
                return true;
            case 14:
                List<zzkj> j0 = j0(parcel.readString(), parcel.readString(), b0.e(parcel), (zzm) b0.a(parcel, zzm.CREATOR));
                parcel2.writeNoException();
                parcel2.writeTypedList(j0);
                return true;
            case 15:
                List<zzkj> T = T(parcel.readString(), parcel.readString(), parcel.readString(), b0.e(parcel));
                parcel2.writeNoException();
                parcel2.writeTypedList(T);
                return true;
            case 16:
                List<zzv> e0 = e0(parcel.readString(), parcel.readString(), (zzm) b0.a(parcel, zzm.CREATOR));
                parcel2.writeNoException();
                parcel2.writeTypedList(e0);
                return true;
            case 17:
                List<zzv> n0 = n0(parcel.readString(), parcel.readString(), parcel.readString());
                parcel2.writeNoException();
                parcel2.writeTypedList(n0);
                return true;
            case 18:
                c0((zzm) b0.a(parcel, zzm.CREATOR));
                parcel2.writeNoException();
                return true;
        }
    }
}
