package com.google.android.material.tabs;

import android.graphics.RectF;
import android.graphics.drawable.Drawable;
import android.view.View;
import androidx.annotation.FloatRange;
import androidx.annotation.NonNull;

/* compiled from: ElasticTabIndicatorInterpolator */
class a extends b {
    a() {
    }

    private static float e(@FloatRange(from = 0.0d, to = 1.0d) float f) {
        return (float) (1.0d - Math.cos((((double) f) * 3.141592653589793d) / 2.0d));
    }

    private static float f(@FloatRange(from = 0.0d, to = 1.0d) float f) {
        return (float) Math.sin((((double) f) * 3.141592653589793d) / 2.0d);
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.android.material.tabs.b
    public void c(TabLayout tabLayout, View view, View view2, float f, @NonNull Drawable drawable) {
        float f2;
        float f3;
        RectF a2 = b.a(tabLayout, view);
        RectF a3 = b.a(tabLayout, view2);
        if (a2.left < a3.left) {
            f3 = e(f);
            f2 = f(f);
        } else {
            f3 = f(f);
            f2 = e(f);
        }
        drawable.setBounds(com.google.android.material.a.a.c((int) a2.left, (int) a3.left, f3), drawable.getBounds().top, com.google.android.material.a.a.c((int) a2.right, (int) a3.right, f2), drawable.getBounds().bottom);
    }
}
