package com.google.android.material.transition;

import android.animation.Animator;
import android.animation.AnimatorSet;
import android.view.View;
import android.view.ViewGroup;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.transition.Visibility;
import androidx.transition.z;
import com.google.android.material.a.a;
import com.google.android.material.a.b;
import com.google.android.material.transition.s;
import java.util.ArrayList;
import java.util.List;

/* compiled from: MaterialVisibility */
abstract class o<P extends s> extends Visibility {
    private final P I1;
    @Nullable
    private s J1;
    private final List<s> K1 = new ArrayList();

    protected o(P p, @Nullable s sVar) {
        this.I1 = p;
        this.J1 = sVar;
        C0(a.f11327b);
    }

    private static void T0(List<Animator> list, @Nullable s sVar, ViewGroup viewGroup, View view, boolean z) {
        Animator animator;
        if (sVar != null) {
            if (z) {
                animator = sVar.a(viewGroup, view);
            } else {
                animator = sVar.b(viewGroup, view);
            }
            if (animator != null) {
                list.add(animator);
            }
        }
    }

    private Animator V0(ViewGroup viewGroup, View view, boolean z) {
        AnimatorSet animatorSet = new AnimatorSet();
        ArrayList arrayList = new ArrayList();
        T0(arrayList, this.I1, viewGroup, view, z);
        T0(arrayList, this.J1, viewGroup, view, z);
        for (s sVar : this.K1) {
            T0(arrayList, sVar, viewGroup, view, z);
        }
        b.a(animatorSet, arrayList);
        return animatorSet;
    }

    @Override // androidx.transition.Visibility
    public Animator N0(ViewGroup viewGroup, View view, z zVar, z zVar2) {
        return V0(viewGroup, view, true);
    }

    @Override // androidx.transition.Visibility
    public Animator P0(ViewGroup viewGroup, View view, z zVar, z zVar2) {
        return V0(viewGroup, view, false);
    }

    public void S0(@NonNull s sVar) {
        this.K1.add(sVar);
    }

    public void U0() {
        this.K1.clear();
    }

    @NonNull
    public P W0() {
        return this.I1;
    }

    @Nullable
    public s X0() {
        return this.J1;
    }

    public boolean Y0(@NonNull s sVar) {
        return this.K1.remove(sVar);
    }

    public void Z0(@Nullable s sVar) {
        this.J1 = sVar;
    }
}
