package com.google.gson;

import com.google.gson.internal.k;
import com.google.gson.stream.JsonToken;
import com.google.gson.stream.MalformedJsonException;
import com.google.gson.stream.a;
import java.io.IOException;
import java.io.Reader;
import java.io.StringReader;

/* compiled from: JsonParser */
public final class n {
    public k a(a aVar) throws JsonIOException, JsonSyntaxException {
        boolean D = aVar.D();
        aVar.V0(true);
        try {
            k a2 = k.a(aVar);
            aVar.V0(D);
            return a2;
        } catch (StackOverflowError e2) {
            throw new JsonParseException("Failed parsing JSON source: " + aVar + " to Json", e2);
        } catch (OutOfMemoryError e3) {
            throw new JsonParseException("Failed parsing JSON source: " + aVar + " to Json", e3);
        } catch (Throwable th) {
            aVar.V0(D);
            throw th;
        }
    }

    public k b(Reader reader) throws JsonIOException, JsonSyntaxException {
        try {
            a aVar = new a(reader);
            k a2 = a(aVar);
            if (!a2.w()) {
                if (aVar.z0() != JsonToken.END_DOCUMENT) {
                    throw new JsonSyntaxException("Did not consume the entire document.");
                }
            }
            return a2;
        } catch (MalformedJsonException e2) {
            throw new JsonSyntaxException(e2);
        } catch (IOException e3) {
            throw new JsonIOException(e3);
        } catch (NumberFormatException e4) {
            throw new JsonSyntaxException(e4);
        }
    }

    public k c(String str) throws JsonSyntaxException {
        return b(new StringReader(str));
    }
}
