package com.google.zxing;

public final class ChecksumException extends ReaderException {
    private static final ChecksumException I0;

    static {
        ChecksumException checksumException = new ChecksumException();
        I0 = checksumException;
        checksumException.setStackTrace(ReaderException.f12741b);
    }

    private ChecksumException() {
    }

    public static ChecksumException getChecksumInstance() {
        return ReaderException.f12740a ? new ChecksumException() : I0;
    }

    private ChecksumException(Throwable th) {
        super(th);
    }

    public static ChecksumException getChecksumInstance(Throwable th) {
        return ReaderException.f12740a ? new ChecksumException(th) : I0;
    }
}
