package com.google.zxing.p;

import com.google.zxing.BarcodeFormat;
import com.google.zxing.EncodeHintType;
import com.google.zxing.c;
import com.google.zxing.datamatrix.encoder.SymbolShapeHint;
import com.google.zxing.datamatrix.encoder.e;
import com.google.zxing.datamatrix.encoder.i;
import com.google.zxing.datamatrix.encoder.j;
import com.google.zxing.datamatrix.encoder.k;
import com.google.zxing.n;
import com.ibm.icu.util.ULocale;
import java.util.Map;

/* compiled from: DataMatrixWriter */
public final class b implements n {
    private static com.google.zxing.common.b c(com.google.zxing.u.d.b bVar, int i, int i2) {
        com.google.zxing.common.b bVar2;
        int e2 = bVar.e();
        int d2 = bVar.d();
        int max = Math.max(i, e2);
        int max2 = Math.max(i2, d2);
        int min = Math.min(max / e2, max2 / d2);
        int i3 = (max - (e2 * min)) / 2;
        int i4 = (max2 - (d2 * min)) / 2;
        if (i2 < d2 || i < e2) {
            bVar2 = new com.google.zxing.common.b(e2, d2);
            i3 = 0;
            i4 = 0;
        } else {
            bVar2 = new com.google.zxing.common.b(i, i2);
        }
        bVar2.b();
        int i5 = 0;
        while (i5 < d2) {
            int i6 = i3;
            int i7 = 0;
            while (i7 < e2) {
                if (bVar.b(i7, i5) == 1) {
                    bVar2.w(i6, i4, min, min);
                }
                i7++;
                i6 += min;
            }
            i5++;
            i4 += min;
        }
        return bVar2;
    }

    private static com.google.zxing.common.b d(e eVar, k kVar, int i, int i2) {
        int i3 = kVar.i();
        int h = kVar.h();
        com.google.zxing.u.d.b bVar = new com.google.zxing.u.d.b(kVar.k(), kVar.j());
        int i4 = 0;
        for (int i5 = 0; i5 < h; i5++) {
            if (i5 % kVar.g == 0) {
                int i6 = 0;
                for (int i7 = 0; i7 < kVar.k(); i7++) {
                    bVar.h(i6, i4, i7 % 2 == 0);
                    i6++;
                }
                i4++;
            }
            int i8 = 0;
            for (int i9 = 0; i9 < i3; i9++) {
                if (i9 % kVar.f == 0) {
                    bVar.h(i8, i4, true);
                    i8++;
                }
                bVar.h(i8, i4, eVar.e(i9, i5));
                i8++;
                int i10 = kVar.f;
                if (i9 % i10 == i10 - 1) {
                    bVar.h(i8, i4, i5 % 2 == 0);
                    i8++;
                }
            }
            i4++;
            int i11 = kVar.g;
            if (i5 % i11 == i11 - 1) {
                int i12 = 0;
                for (int i13 = 0; i13 < kVar.k(); i13++) {
                    bVar.h(i12, i4, true);
                    i12++;
                }
                i4++;
            }
        }
        return c(bVar, i, i2);
    }

    @Override // com.google.zxing.n
    public com.google.zxing.common.b a(String str, BarcodeFormat barcodeFormat, int i, int i2) {
        return b(str, barcodeFormat, i, i2, null);
    }

    @Override // com.google.zxing.n
    public com.google.zxing.common.b b(String str, BarcodeFormat barcodeFormat, int i, int i2, Map<EncodeHintType, ?> map) {
        c cVar;
        if (str.isEmpty()) {
            throw new IllegalArgumentException("Found empty contents");
        } else if (barcodeFormat != BarcodeFormat.DATA_MATRIX) {
            throw new IllegalArgumentException("Can only encode DATA_MATRIX, but got ".concat(String.valueOf(barcodeFormat)));
        } else if (i < 0 || i2 < 0) {
            throw new IllegalArgumentException("Requested dimensions can't be negative: " + i + ULocale.PRIVATE_USE_EXTENSION + i2);
        } else {
            SymbolShapeHint symbolShapeHint = SymbolShapeHint.FORCE_NONE;
            c cVar2 = null;
            if (map != null) {
                SymbolShapeHint symbolShapeHint2 = (SymbolShapeHint) map.get(EncodeHintType.DATA_MATRIX_SHAPE);
                if (symbolShapeHint2 != null) {
                    symbolShapeHint = symbolShapeHint2;
                }
                c cVar3 = (c) map.get(EncodeHintType.MIN_SIZE);
                if (cVar3 == null) {
                    cVar3 = null;
                }
                cVar = (c) map.get(EncodeHintType.MAX_SIZE);
                if (cVar == null) {
                    cVar = null;
                }
                cVar2 = cVar3;
            } else {
                cVar = null;
            }
            String c2 = j.c(str, symbolShapeHint, cVar2, cVar);
            k o = k.o(c2.length(), symbolShapeHint, cVar2, cVar, true);
            e eVar = new e(i.c(c2, o), o.i(), o.h());
            eVar.k();
            return d(eVar, o, i, i2);
        }
    }
}
