package com.google.zxing.t;

import com.google.zxing.BarcodeFormat;
import com.google.zxing.ChecksumException;
import com.google.zxing.DecodeHintType;
import com.google.zxing.FormatException;
import com.google.zxing.NotFoundException;
import com.google.zxing.ResultMetadataType;
import com.google.zxing.common.d;
import com.google.zxing.j;
import com.google.zxing.k;
import com.google.zxing.l;
import com.google.zxing.r.c;
import com.google.zxing.t.f.a;
import java.util.ArrayList;
import java.util.Map;

/* compiled from: PDF417Reader */
public final class b implements j, c {
    private static k[] f(com.google.zxing.b bVar, Map<DecodeHintType, ?> map, boolean z) throws NotFoundException, FormatException, ChecksumException {
        ArrayList arrayList = new ArrayList();
        com.google.zxing.t.f.b b2 = a.b(bVar, map, z);
        for (l[] lVarArr : b2.b()) {
            d i = com.google.zxing.t.e.j.i(b2.a(), lVarArr[4], lVarArr[5], lVarArr[6], lVarArr[7], i(lVarArr), g(lVarArr));
            k kVar = new k(i.j(), i.g(), lVarArr, BarcodeFormat.PDF_417);
            kVar.j(ResultMetadataType.ERROR_CORRECTION_LEVEL, i.b());
            c cVar = (c) i.f();
            if (cVar != null) {
                kVar.j(ResultMetadataType.PDF417_EXTRA_METADATA, cVar);
            }
            arrayList.add(kVar);
        }
        return (k[]) arrayList.toArray(new k[arrayList.size()]);
    }

    private static int g(l[] lVarArr) {
        return Math.max(Math.max(h(lVarArr[0], lVarArr[4]), (h(lVarArr[6], lVarArr[2]) * 17) / 18), Math.max(h(lVarArr[1], lVarArr[5]), (h(lVarArr[7], lVarArr[3]) * 17) / 18));
    }

    private static int h(l lVar, l lVar2) {
        if (lVar == null || lVar2 == null) {
            return 0;
        }
        return (int) Math.abs(lVar.c() - lVar2.c());
    }

    private static int i(l[] lVarArr) {
        return Math.min(Math.min(j(lVarArr[0], lVarArr[4]), (j(lVarArr[6], lVarArr[2]) * 17) / 18), Math.min(j(lVarArr[1], lVarArr[5]), (j(lVarArr[7], lVarArr[3]) * 17) / 18));
    }

    private static int j(l lVar, l lVar2) {
        if (lVar == null || lVar2 == null) {
            return Integer.MAX_VALUE;
        }
        return (int) Math.abs(lVar.c() - lVar2.c());
    }

    @Override // com.google.zxing.j
    public void a() {
    }

    @Override // com.google.zxing.j
    public k b(com.google.zxing.b bVar, Map<DecodeHintType, ?> map) throws NotFoundException, FormatException, ChecksumException {
        k[] f = f(bVar, map, false);
        if (f != null && f.length != 0 && f[0] != null) {
            return f[0];
        }
        throw NotFoundException.getNotFoundInstance();
    }

    @Override // com.google.zxing.j
    public k c(com.google.zxing.b bVar) throws NotFoundException, FormatException, ChecksumException {
        return b(bVar, null);
    }

    @Override // com.google.zxing.r.c
    public k[] d(com.google.zxing.b bVar) throws NotFoundException {
        return e(bVar, null);
    }

    @Override // com.google.zxing.r.c
    public k[] e(com.google.zxing.b bVar, Map<DecodeHintType, ?> map) throws NotFoundException {
        try {
            return f(bVar, map, true);
        } catch (ChecksumException | FormatException unused) {
            throw NotFoundException.getNotFoundInstance();
        }
    }
}
