package com.ibm.icu.impl.number;

import com.ibm.icu.impl.r;
import com.ibm.icu.text.DecimalFormatSymbols;
import com.ibm.icu.text.NumberFormat;
import com.ibm.icu.text.UnicodeSet;

/* compiled from: CurrencySpacingEnabledModifier */
public class g extends e {
    private static final UnicodeSet N0 = new UnicodeSet("[:digit:]").freeze();
    private static final UnicodeSet O0 = new UnicodeSet("[[:^S:]&[:^Z:]]").freeze();
    static final byte P0 = 0;
    static final byte Q0 = 1;
    static final short R0 = 0;
    static final short S0 = 1;
    private final UnicodeSet T0;
    private final String U0;
    private final UnicodeSet V0;
    private final String W0;

    public g(r rVar, r rVar2, boolean z, boolean z2, DecimalFormatSymbols decimalFormatSymbols) {
        super(rVar, rVar2, z, z2);
        if (rVar.length() <= 0 || rVar.p(rVar.length() - 1) != NumberFormat.Field.CURRENCY) {
            this.T0 = null;
            this.U0 = null;
        } else {
            if (j(decimalFormatSymbols, 0, (byte) 0).r(rVar.s())) {
                UnicodeSet j = j(decimalFormatSymbols, 1, (byte) 0);
                this.T0 = j;
                j.freeze();
                this.U0 = i(decimalFormatSymbols, (byte) 0);
            } else {
                this.T0 = null;
                this.U0 = null;
            }
        }
        if (rVar2.length() <= 0 || rVar2.p(0) != NumberFormat.Field.CURRENCY) {
            this.V0 = null;
            this.W0 = null;
            return;
        }
        if (j(decimalFormatSymbols, 0, (byte) 1).r(rVar2.r())) {
            UnicodeSet j2 = j(decimalFormatSymbols, 1, (byte) 1);
            this.V0 = j2;
            j2.freeze();
            this.W0 = i(decimalFormatSymbols, (byte) 1);
            return;
        }
        this.V0 = null;
        this.W0 = null;
    }

    public static int a(r rVar, int i, int i2, int i3, int i4, DecimalFormatSymbols decimalFormatSymbols) {
        int i5 = 0;
        boolean z = i2 > 0;
        boolean z2 = i4 > 0;
        boolean z3 = (i3 - i) - i2 > 0;
        if (z && z3) {
            i5 = 0 + h(rVar, i + i2, (byte) 0, decimalFormatSymbols);
        }
        return (!z2 || !z3) ? i5 : i5 + h(rVar, i3 + i5, (byte) 1, decimalFormatSymbols);
    }

    private static int h(r rVar, int i, byte b2, DecimalFormatSymbols decimalFormatSymbols) {
        Object obj;
        if (b2 == 0) {
            obj = rVar.p(i - 1);
        } else {
            obj = rVar.p(i);
        }
        if (obj != NumberFormat.Field.CURRENCY) {
            return 0;
        }
        if (!j(decimalFormatSymbols, 0, b2).r(b2 == 0 ? rVar.k(i) : rVar.j(i))) {
            return 0;
        }
        if (!j(decimalFormatSymbols, 1, b2).r(b2 == 0 ? rVar.j(i) : rVar.k(i))) {
            return 0;
        }
        return rVar.v(i, i(decimalFormatSymbols, b2), null);
    }

    private static String i(DecimalFormatSymbols decimalFormatSymbols, byte b2) {
        boolean z = true;
        if (b2 != 1) {
            z = false;
        }
        return decimalFormatSymbols.getPatternForCurrencySpacing(2, z);
    }

    private static UnicodeSet j(DecimalFormatSymbols decimalFormatSymbols, short s, byte b2) {
        boolean z = false;
        int i = s == 0 ? 0 : 1;
        if (b2 == 1) {
            z = true;
        }
        String patternForCurrencySpacing = decimalFormatSymbols.getPatternForCurrencySpacing(i, z);
        if (patternForCurrencySpacing.equals("[:digit:]")) {
            return N0;
        }
        if (patternForCurrencySpacing.equals("[[:^S:]&[:^Z:]]")) {
            return O0;
        }
        return new UnicodeSet(patternForCurrencySpacing);
    }

    @Override // com.ibm.icu.impl.number.e, com.ibm.icu.impl.number.Modifier
    public int c(r rVar, int i, int i2) {
        UnicodeSet unicodeSet;
        UnicodeSet unicodeSet2;
        int i3 = i2 - i;
        int i4 = 0;
        if (i3 > 0 && (unicodeSet2 = this.T0) != null && unicodeSet2.r(rVar.j(i))) {
            i4 = 0 + rVar.v(i, this.U0, null);
        }
        if (i3 > 0 && (unicodeSet = this.V0) != null && unicodeSet.r(rVar.k(i2))) {
            i4 += rVar.v(i2 + i4, this.W0, null);
        }
        return i4 + super.c(rVar, i, i2 + i4);
    }
}
