package com.ibm.icu.lang;

import com.ibm.icu.impl.breakiter.f;
import com.ibm.icu.impl.h2;
import com.ibm.icu.util.ULocale;
import java.util.BitSet;
import java.util.Locale;

public final class UScript {
    public static final int A = 25;
    public static final int A0 = 76;
    public static final int A1 = 125;
    public static final int A2 = 175;
    public static final int B = 26;
    public static final int B0 = 77;
    public static final int B1 = 126;
    public static final int B2 = 176;
    public static final int C = 27;
    public static final int C0 = 78;
    public static final int C1 = 127;
    public static final int C2 = 177;
    public static final int D = 28;
    public static final int D0 = 79;
    public static final int D1 = 128;
    public static final int D2 = 178;
    public static final int E = 29;
    public static final int E0 = 80;
    public static final int E1 = 129;
    public static final int E2 = 179;
    public static final int F = 30;
    public static final int F0 = 81;
    public static final int F1 = 130;
    public static final int F2 = 180;
    public static final int G = 31;
    public static final int G0 = 82;
    public static final int G1 = 131;
    public static final int G2 = 181;
    public static final int H = 32;
    public static final int H0 = 83;
    public static final int H1 = 132;
    public static final int H2 = 182;
    public static final int I = 33;
    public static final int I0 = 84;
    public static final int I1 = 133;
    public static final int I2 = 183;
    public static final int J = 34;
    public static final int J0 = 84;
    public static final int J1 = 134;
    public static final int J2 = 184;
    public static final int K = 35;
    public static final int K0 = 85;
    public static final int K1 = 135;
    public static final int K2 = 185;
    public static final int L = 36;
    public static final int L0 = 86;
    @Deprecated
    public static final int L1 = 135;
    public static final int L2 = 186;
    public static final int M = 37;
    public static final int M0 = 86;
    public static final int M1 = 136;
    public static final int M2 = 187;
    public static final int N = 38;
    public static final int N0 = 87;
    public static final int N1 = 137;
    public static final int N2 = 188;
    public static final int O = 39;
    public static final int O0 = 88;
    public static final int O1 = 138;
    public static final int O2 = 189;
    public static final int P = 40;
    public static final int P0 = 89;
    public static final int P1 = 139;
    public static final int P2 = 190;
    public static final int Q = 40;
    public static final int Q0 = 90;
    public static final int Q1 = 140;
    public static final int Q2 = 191;
    public static final int R = 41;
    public static final int R0 = 91;
    public static final int R1 = 141;
    public static final int R2 = 192;
    public static final int S = 42;
    public static final int S0 = 92;
    public static final int S1 = 142;
    public static final int S2 = 193;
    public static final int T = 43;
    public static final int T0 = 92;
    public static final int T1 = 143;
    public static final int T2 = 194;
    public static final int U = 44;
    public static final int U0 = 93;
    public static final int U1 = 144;
    public static final int U2 = 195;
    public static final int V = 45;
    public static final int V0 = 94;
    public static final int V1 = 145;
    public static final int V2 = 196;
    public static final int W = 46;
    public static final int W0 = 95;
    public static final int W1 = 145;
    public static final int W2 = 197;
    public static final int X = 47;
    public static final int X0 = 96;
    public static final int X1 = 146;
    public static final int X2 = 198;
    public static final int Y = 48;
    public static final int Y0 = 97;
    public static final int Y1 = 147;
    public static final int Y2 = 199;
    public static final int Z = 49;
    public static final int Z0 = 98;
    public static final int Z1 = 148;
    @Deprecated
    public static final int Z2 = 200;

    /* renamed from: a  reason: collision with root package name */
    public static final int f14792a = -1;
    public static final int a0 = 50;
    public static final int a1 = 99;
    public static final int a2 = 149;
    private static final ScriptUsage[] a3 = ScriptUsage.values();

    /* renamed from: b  reason: collision with root package name */
    public static final int f14793b = 0;
    public static final int b0 = 51;
    public static final int b1 = 100;
    public static final int b2 = 150;

    /* renamed from: c  reason: collision with root package name */
    public static final int f14794c = 1;
    public static final int c0 = 52;
    public static final int c1 = 101;
    public static final int c2 = 151;

    /* renamed from: d  reason: collision with root package name */
    public static final int f14795d = 2;
    public static final int d0 = 53;
    public static final int d1 = 102;
    public static final int d2 = 152;

    /* renamed from: e  reason: collision with root package name */
    public static final int f14796e = 3;
    public static final int e0 = 54;
    public static final int e1 = 103;
    public static final int e2 = 153;
    public static final int f = 4;
    public static final int f0 = 55;
    public static final int f1 = 104;
    public static final int f2 = 154;
    public static final int g = 5;
    public static final int g0 = 56;
    public static final int g1 = 105;
    public static final int g2 = 155;
    public static final int h = 6;
    public static final int h0 = 57;
    public static final int h1 = 106;
    public static final int h2 = 156;
    public static final int i = 7;
    public static final int i0 = 58;
    public static final int i1 = 107;
    public static final int i2 = 157;
    public static final int j = 8;
    public static final int j0 = 59;
    public static final int j1 = 108;
    public static final int j2 = 158;
    public static final int k = 9;
    public static final int k0 = 60;
    public static final int k1 = 109;
    public static final int k2 = 159;
    public static final int l = 10;
    public static final int l0 = 61;
    public static final int l1 = 110;
    public static final int l2 = 160;
    public static final int m = 11;
    public static final int m0 = 62;
    public static final int m1 = 111;
    public static final int m2 = 161;
    public static final int n = 12;
    public static final int n0 = 63;
    public static final int n1 = 112;
    public static final int n2 = 162;
    public static final int o = 13;
    public static final int o0 = 64;
    public static final int o1 = 113;
    public static final int o2 = 163;
    public static final int p = 14;
    public static final int p0 = 65;
    public static final int p1 = 114;
    public static final int p2 = 164;
    public static final int q = 15;
    public static final int q0 = 66;
    public static final int q1 = 115;
    public static final int q2 = 165;
    public static final int r = 16;
    public static final int r0 = 67;
    public static final int r1 = 116;
    public static final int r2 = 166;
    public static final int s = 17;
    public static final int s0 = 68;
    public static final int s1 = 117;
    public static final int s2 = 167;
    public static final int t = 18;
    public static final int t0 = 69;
    public static final int t1 = 118;
    public static final int t2 = 168;
    public static final int u = 19;
    public static final int u0 = 70;
    public static final int u1 = 119;
    public static final int u2 = 169;
    public static final int v = 20;
    public static final int v0 = 71;
    public static final int v1 = 120;
    public static final int v2 = 170;
    public static final int w = 21;
    public static final int w0 = 72;
    public static final int w1 = 121;
    public static final int w2 = 171;
    public static final int x = 22;
    public static final int x0 = 73;
    public static final int x1 = 122;
    public static final int x2 = 172;
    public static final int y = 23;
    public static final int y0 = 74;
    public static final int y1 = 123;
    public static final int y2 = 173;
    public static final int z = 24;
    public static final int z0 = 75;
    public static final int z1 = 124;
    public static final int z2 = 174;

    public enum ScriptUsage {
        NOT_ENCODED,
        UNKNOWN,
        EXCLUDED,
        LIMITED_USE,
        ASPIRATIONAL,
        RECOMMENDED
    }

    /* access modifiers changed from: private */
    public static final class a {

        /* renamed from: a  reason: collision with root package name */
        private static final int f14798a = 2097152;

        /* renamed from: b  reason: collision with root package name */
        private static final int f14799b = 4194304;

        /* renamed from: c  reason: collision with root package name */
        private static final int f14800c = 6291456;

        /* renamed from: d  reason: collision with root package name */
        private static final int f14801d = 10485760;

        /* renamed from: e  reason: collision with root package name */
        private static final int f14802e = 16777216;
        private static final int f = 33554432;
        private static final int g = 67108864;
        private static final int[] h = {10485824, 10486536, 27264552, 77595953, 10488213, 44052741, 73405380, 71304162, 77595695, 71369748, 10488069, 10490528, 10490067, 4260656, 77595561, 10488469, 10488341, 44063575, 10529792, 27264464, 44052555, 10488981, 44052651, 44046208, 44043941, 77594700, 10489109, 4200486, 44044288, 4200079, 4260608, 10488597, 4200096, 10489221, 23070480, 10488725, 10488853, 27264908, 44043799, 10489664, 6296768, 39887496, 4200195, 4200227, 4200259, 4200291, 2107406, 21039104, 6297856, 4259840, 4260992, 4260944, 39852368, 4260736, 0, 4200960, 71314432, 21039616, 6334464, 39852416, 6303024, 4260768, 6298373, 6298560, 0, 4263941, 6334976, 0, 0, 0, 0, 4272467, 0, 44063575, 44063575, 4287260, 88149153, 0, 6334852, 6334730, 0, 0, 6298624, 4261447, 23070784, 0, 21039488, 23070666, 21040128, 4260715, 4237376, 21039360, 6385408, 0, 0, 0, 0, 0, 0, 6333769, 0, 4268032, 0, 2162128, 4260512, 44052555, 39852576, 4260480, 21039392, 6298714, 4237616, 6334594, 4315216, 6298499, 0, 6335424, 21039168, 21039872, 6361347, 10529792, 4264067, 21039832, 21039968, 21040015, 0, 21039936, 20973568, 39889536, 0, 0, 6334112, 6333648, 0, 21039712, 4287206, 4308000, 4261120, 4264725, 0, 0, 21096450, 21039520, 21039765, 21039254, 21039219, 4264638, 71375028, 0, 0, 4287055, 37859780, 4264323, 4264144, 4265600, 37847593, 0, 4277248, 4264456, 4265092, 4261175, 4264274, 37820183, 21039348, 4265486, 4264591, 4266688, 4265358, 90302729, 4267022, 4267122, 6362130, 73467061, 44063575, 10490130, 0, 4267280, 4266588, 4266507, 4265995, 6364529, 4267749, 71396928, 23137554, 21040962, 21040921, 21041137, 6414600, 4266446, 6415073, 21041087, 4266252, 37850213, 21040776, 4272101, 21041020, 4287164, 4317840, 71370114, 37822235, 4318438};

        private a() {
        }

        /* access modifiers changed from: private */
        public static final int b(int i) {
            if (i < 0) {
                return 0;
            }
            int[] iArr = h;
            if (i < iArr.length) {
                return iArr[i];
            }
            return 0;
        }
    }

    private UScript() {
    }

    public static final boolean a(int i3) {
        return (a.b(i3) & 33554432) != 0;
    }

    private static int[] b(ULocale uLocale) {
        int[] g3 = g(uLocale);
        if (g3 != null) {
            return g3;
        }
        return g(ULocale.addLikelySubtags(uLocale));
    }

    public static final int[] c(ULocale uLocale) {
        return b(uLocale);
    }

    public static final int[] d(String str) {
        boolean z3;
        int W3;
        if (str.indexOf(95) >= 0 || str.indexOf(45) >= 0) {
            z3 = false;
        } else {
            int W4 = c.W(h.I0, str);
            if (W4 != -1) {
                return new int[]{W4};
            }
            z3 = true;
        }
        int[] b3 = b(new ULocale(str));
        if (b3 != null) {
            return b3;
        }
        if (z3 || (W3 = c.W(h.I0, str)) == -1) {
            return null;
        }
        return new int[]{W3};
    }

    public static final int[] e(Locale locale) {
        return b(ULocale.forLocale(locale));
    }

    public static final int f(String str) {
        int W3 = c.W(h.I0, str);
        if (W3 == -1) {
            return -1;
        }
        return W3;
    }

    private static int[] g(ULocale uLocale) {
        int f3;
        String language = uLocale.getLanguage();
        if (language.equals("ja")) {
            return new int[]{22, 20, 17};
        }
        if (language.equals("ko")) {
            return new int[]{18, 17};
        }
        String script = uLocale.getScript();
        if (language.equals("zh") && script.equals("Hant")) {
            return new int[]{17, 5};
        }
        if (script.length() == 0 || (f3 = f(script)) == -1) {
            return null;
        }
        if (f3 == 73 || f3 == 74) {
            f3 = 17;
        }
        return new int[]{f3};
    }

    public static final String h(int i3) {
        return c.X(h.I0, i3, 1);
    }

    public static final String i(int i3) {
        int b3 = a.b(i3) & f.h;
        return b3 != 0 ? new StringBuilder().appendCodePoint(b3).toString() : "";
    }

    public static final int j(int i3) {
        if ((i3 >= 0) && (i3 <= 1114111)) {
            h2 h2Var = h2.f13853a;
            int g3 = h2Var.g(i3, 0) & h2.R;
            int v3 = h2.v(g3);
            if (g3 < 4194304) {
                return v3;
            }
            if (g3 < 8388608) {
                return 0;
            }
            if (g3 < 12582912) {
                return 1;
            }
            return h2Var.G1[v3];
        }
        throw new IllegalArgumentException(Integer.toString(i3));
    }

    public static final int k(int i3, BitSet bitSet) {
        bitSet.clear();
        h2 h2Var = h2.f13853a;
        int i4 = 0;
        int g3 = h2Var.g(i3, 0) & h2.R;
        int v3 = h2.v(g3);
        if (g3 < 4194304) {
            bitSet.set(v3);
            return v3;
        }
        char[] cArr = h2Var.G1;
        char c3 = v3;
        if (g3 >= 12582912) {
            c3 = cArr[v3 + 1];
        }
        while (true) {
            int i5 = c3 + 1;
            char c4 = cArr[c3];
            bitSet.set(c4 & 32767);
            i4++;
            if (c4 >= 32768) {
                return -i4;
            }
            c3 = i5;
        }
    }

    public static final String l(int i3) {
        return c.X(h.I0, i3, 0);
    }

    public static final ScriptUsage m(int i3) {
        return a3[(a.b(i3) >> 21) & 7];
    }

    public static final boolean n(int i3, int i4) {
        h2 h2Var = h2.f13853a;
        int g3 = h2Var.g(i3, 0) & h2.R;
        int v3 = h2.v(g3);
        if (g3 >= 4194304) {
            char[] cArr = h2Var.G1;
            char c3 = v3;
            if (g3 >= 12582912) {
                c3 = cArr[v3 + 1];
            }
            int i5 = c3;
            if (i4 > 32767) {
                return false;
            }
            while (i4 > cArr[i5 == 1 ? 1 : 0]) {
                i5 = (i5 == 1 ? 1 : 0) + 1;
            }
            if (i4 == (32767 & cArr[i5])) {
                return true;
            }
            return false;
        } else if (i4 == v3) {
            return true;
        } else {
            return false;
        }
    }

    public static final boolean o(int i3) {
        return (a.b(i3) & 67108864) != 0;
    }

    public static final boolean p(int i3) {
        return (a.b(i3) & 16777216) != 0;
    }
}
