package com.ibm.icu.text;

import com.ibm.icu.impl.q2;
import com.ibm.icu.text.p2;

/* compiled from: EscapeTransliterator */
class h0 extends p2 {
    private String W0;
    private String X0;
    private int Y0;
    private int Z0;
    private boolean a1;
    private h0 b1;

    /* access modifiers changed from: package-private */
    /* compiled from: EscapeTransliterator */
    public static class a implements p2.a {
        a() {
        }

        @Override // com.ibm.icu.text.p2.a
        public p2 a(String str) {
            return new h0("Any-Hex/Unicode", "U+", "", 16, 4, true, null);
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: EscapeTransliterator */
    public static class b implements p2.a {
        b() {
        }

        @Override // com.ibm.icu.text.p2.a
        public p2 a(String str) {
            return new h0("Any-Hex/Java", "\\u", "", 16, 4, false, null);
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: EscapeTransliterator */
    public static class c implements p2.a {
        c() {
        }

        @Override // com.ibm.icu.text.p2.a
        public p2 a(String str) {
            return new h0("Any-Hex/C", "\\u", "", 16, 4, true, new h0("", "\\U", "", 16, 8, true, null));
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: EscapeTransliterator */
    public static class d implements p2.a {
        d() {
        }

        @Override // com.ibm.icu.text.p2.a
        public p2 a(String str) {
            return new h0("Any-Hex/XML", "&#x", com.alipay.sdk.util.g.f6031b, 16, 1, true, null);
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: EscapeTransliterator */
    public static class e implements p2.a {
        e() {
        }

        @Override // com.ibm.icu.text.p2.a
        public p2 a(String str) {
            return new h0("Any-Hex/XML10", "&#", com.alipay.sdk.util.g.f6031b, 10, 1, true, null);
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: EscapeTransliterator */
    public static class f implements p2.a {
        f() {
        }

        @Override // com.ibm.icu.text.p2.a
        public p2 a(String str) {
            return new h0("Any-Hex/Perl", "\\x{", com.alipay.sdk.util.g.f6033d, 16, 1, true, null);
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: EscapeTransliterator */
    public static class g implements p2.a {
        g() {
        }

        @Override // com.ibm.icu.text.p2.a
        public p2 a(String str) {
            return new h0("Any-Hex/Plain", "", "", 16, 4, true, null);
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: EscapeTransliterator */
    public static class h implements p2.a {
        h() {
        }

        @Override // com.ibm.icu.text.p2.a
        public p2 a(String str) {
            return new h0("Any-Hex", "\\u", "", 16, 4, false, null);
        }
    }

    h0(String str, String str2, String str3, int i, int i2, boolean z, h0 h0Var) {
        super(str, null);
        this.W0 = str2;
        this.X0 = str3;
        this.Y0 = i;
        this.Z0 = i2;
        this.a1 = z;
        this.b1 = h0Var;
    }

    static void U() {
        p2.F("Any-Hex/Unicode", new a());
        p2.F("Any-Hex/Java", new b());
        p2.F("Any-Hex/C", new c());
        p2.F("Any-Hex/XML", new d());
        p2.F("Any-Hex/XML10", new e());
        p2.F("Any-Hex/Perl", new f());
        p2.F("Any-Hex/Plain", new g());
        p2.F("Any-Hex", new h());
    }

    /* access modifiers changed from: protected */
    @Override // com.ibm.icu.text.p2
    public void B(r1 r1Var, p2.b bVar, boolean z) {
        int i = bVar.f15736c;
        int i2 = bVar.f15737d;
        StringBuilder sb = new StringBuilder(this.W0);
        int length = this.W0.length();
        boolean z2 = false;
        while (i < i2) {
            int e2 = this.a1 ? r1Var.e(i) : r1Var.charAt(i);
            int z3 = this.a1 ? w2.z(e2) : 1;
            if ((-65536 & e2) == 0 || this.b1 == null) {
                if (z2) {
                    sb.setLength(0);
                    sb.append(this.W0);
                    z2 = false;
                } else {
                    sb.setLength(length);
                }
                q2.j(sb, e2, this.Y0, this.Z0);
                sb.append(this.X0);
            } else {
                sb.setLength(0);
                sb.append(this.b1.W0);
                h0 h0Var = this.b1;
                q2.j(sb, e2, h0Var.Y0, h0Var.Z0);
                sb.append(this.b1.X0);
                z2 = true;
            }
            r1Var.a(i, i + z3, sb.toString());
            i += sb.length();
            i2 += sb.length() - z3;
        }
        bVar.f15735b += i2 - bVar.f15737d;
        bVar.f15737d = i2;
        bVar.f15736c = i;
    }

    @Override // com.ibm.icu.text.p2
    public void c(UnicodeSet unicodeSet, UnicodeSet unicodeSet2, UnicodeSet unicodeSet3) {
        unicodeSet2.J(s(unicodeSet));
        for (h0 h0Var = this; h0Var != null; h0Var = h0Var.b1) {
            if (unicodeSet.size() != 0) {
                unicodeSet3.K(h0Var.W0);
                unicodeSet3.K(h0Var.X0);
                StringBuilder sb = new StringBuilder();
                int i = 0;
                while (true) {
                    int i2 = h0Var.Y0;
                    if (i >= i2) {
                        break;
                    }
                    q2.j(sb, i, i2, h0Var.Z0);
                    i++;
                }
                unicodeSet3.K(sb.toString());
            }
        }
    }
}
