package com.ibm.icu.text;

import com.ibm.icu.impl.breakiter.LSTMBreakEngine;
import com.ibm.icu.impl.breakiter.d;
import com.ibm.icu.impl.breakiter.e;
import com.ibm.icu.impl.breakiter.i;
import com.ibm.icu.impl.breakiter.j;
import com.ibm.icu.impl.breakiter.k;
import com.ibm.icu.impl.breakiter.l;
import com.ibm.icu.impl.c0;
import com.ibm.icu.impl.d1;
import com.ibm.icu.impl.v;
import com.ibm.icu.lang.c;
import com.ibm.icu.lang.h;
import com.ibm.icu.util.CodePointTrie;
import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.io.PrintStream;
import java.nio.ByteBuffer;
import java.text.CharacterIterator;
import java.text.StringCharacterIterator;
import java.util.ArrayList;
import java.util.List;
import java.util.MissingResourceException;

/* compiled from: RuleBasedBreakIterator */
public class u1 extends i {
    private static final int c1 = 1;
    private static final int d1 = 0;
    private static final int e1 = 0;
    private static final int f1 = 1;
    private static final int g1 = 2;
    private static final String h1 = "rbbi";
    private static final boolean i1 = (c0.b(h1) && c0.c(h1).indexOf("trace") >= 0);
    private static final l j1;
    private static final List<i> k1;
    @Deprecated
    public static final String l1 = (c0.b(h1) ? c0.c(h1) : null);
    static final /* synthetic */ boolean m1 = false;
    private CharacterIterator n1;
    @Deprecated
    public d1 o1;
    private int p1;
    private int q1;
    private boolean r1;
    private int[] s1;
    private a t1;
    private boolean u1;
    private int v1;
    private b w1;
    private List<i> x1;

    static {
        l lVar = new l();
        j1 = lVar;
        ArrayList arrayList = new ArrayList();
        k1 = arrayList;
        arrayList.add(lVar);
    }

    private u1() {
        this.n1 = new StringCharacterIterator("");
        this.t1 = new a();
        this.u1 = false;
        this.w1 = new b();
        this.v1 = 0;
        List<i> list = k1;
        synchronized (list) {
            this.x1 = new ArrayList(list);
        }
    }

    private static int U(CharacterIterator characterIterator, int i) {
        if (i <= characterIterator.getBeginIndex()) {
            characterIterator.first();
        } else if (i >= characterIterator.getEndIndex()) {
            characterIterator.setIndex(characterIterator.getEndIndex());
        } else if (Character.isLowSurrogate(characterIterator.setIndex(i)) && !Character.isHighSurrogate(characterIterator.previous())) {
            characterIterator.next();
        }
        return characterIterator.getIndex();
    }

    protected static final void h0(int i, CharacterIterator characterIterator) {
        if (i < characterIterator.getBeginIndex() || i > characterIterator.getEndIndex()) {
            throw new IllegalArgumentException("offset out of bounds");
        }
    }

    public static void i0(String str, OutputStream outputStream) throws IOException {
        f1.c(str, outputStream);
    }

    public static u1 k0(InputStream inputStream) throws IOException {
        u1 u1Var = new u1();
        d1 g = d1.g(v.g(inputStream));
        u1Var.o1 = g;
        u1Var.s1 = new int[g.B.f13610e];
        return u1Var;
    }

    @Deprecated
    public static u1 l0(ByteBuffer byteBuffer) throws IOException {
        u1 u1Var = new u1();
        d1 g = d1.g(byteBuffer);
        u1Var.o1 = g;
        u1Var.s1 = new int[g.B.f13610e];
        return u1Var;
    }

    static u1 m0(ByteBuffer byteBuffer, boolean z) throws IOException {
        u1 l0 = l0(byteBuffer);
        l0.u1 = z;
        return l0;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private i n0(int i) {
        l lVar;
        for (i iVar : this.x1) {
            if (iVar.a(i)) {
                return iVar;
            }
        }
        List<i> list = k1;
        synchronized (list) {
            for (i iVar2 : list) {
                if (iVar2.a(i)) {
                    this.x1.add(iVar2);
                    return iVar2;
                }
            }
            int K = c.K(i, h.I0);
            if (K == 22 || K == 20) {
                K = 17;
            }
            if (K == 17) {
                lVar = new d(false);
            } else if (K == 18) {
                lVar = new d(true);
            } else if (K == 23) {
                lVar = new com.ibm.icu.impl.breakiter.h();
            } else if (K == 24) {
                lVar = new j();
            } else if (K == 28) {
                try {
                    lVar = LSTMBreakEngine.k(K, LSTMBreakEngine.l(K));
                } catch (MissingResourceException unused) {
                    lVar = new com.ibm.icu.impl.breakiter.a();
                }
            } else if (K != 38) {
                try {
                    l lVar2 = j1;
                    lVar2.c(i);
                    lVar = lVar2;
                } catch (IOException unused2) {
                    lVar = null;
                }
            } else {
                try {
                    lVar = LSTMBreakEngine.k(K, LSTMBreakEngine.l(K));
                } catch (MissingResourceException unused3) {
                    lVar = new k();
                }
            }
            if (!(lVar == null || lVar == j1)) {
                k1.add(lVar);
                this.x1.add(lVar);
            }
            return lVar;
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private int p0() {
        int i;
        short s;
        int i2;
        int i3;
        char c2;
        int i4;
        int i5;
        boolean z = i1;
        if (z) {
            System.out.println("Handle Next   pos      char  state category");
        }
        this.q1 = 0;
        this.v1 = 0;
        CharacterIterator characterIterator = this.n1;
        d1 d1Var = this.o1;
        CodePointTrie codePointTrie = d1Var.D;
        char[] cArr = d1Var.B.g;
        int i6 = this.p1;
        characterIterator.setIndex(i6);
        int current = characterIterator.current();
        int i7 = 1;
        if (current < 55296 || (current = com.ibm.icu.impl.j.c(characterIterator, current)) != Integer.MAX_VALUE) {
            int h = this.o1.h(1);
            d1.d dVar = this.o1.B;
            int i8 = dVar.f;
            int i9 = dVar.f13609d;
            if ((i8 & 2) != 0) {
                if (z) {
                    System.out.print("            " + d1.j(characterIterator.getIndex(), 5));
                    System.out.print(d1.i(current, 10));
                    PrintStream printStream = System.out;
                    StringBuilder sb = new StringBuilder();
                    sb.append(d1.j(1, 7));
                    i = 2;
                    sb.append(d1.j(2, 6));
                    printStream.println(sb.toString());
                } else {
                    i = 2;
                }
                i2 = i6;
                c2 = 1;
                i3 = 0;
                s = 2;
            } else {
                i = 2;
                i2 = i6;
                c2 = 1;
                i3 = 1;
                s = 3;
            }
            while (c2 != 0) {
                if (current == Integer.MAX_VALUE) {
                    if (i3 == i) {
                        break;
                    }
                    i3 = 2;
                    s = 1;
                } else if (i3 == i7) {
                    s = (short) codePointTrie.b(current);
                    if (s >= i9) {
                        this.v1 += i7;
                    }
                    if (i1) {
                        PrintStream printStream2 = System.out;
                        StringBuilder sb2 = new StringBuilder();
                        sb2.append("            ");
                        i5 = i3;
                        sb2.append(d1.j(characterIterator.getIndex(), 5));
                        printStream2.print(sb2.toString());
                        System.out.print(d1.i(current, 10));
                        System.out.println(d1.j(c2, 7) + d1.j(s, 6));
                    } else {
                        i5 = i3;
                    }
                    int next = characterIterator.next();
                    if (next >= 55296) {
                        next = com.ibm.icu.impl.j.c(characterIterator, next);
                    }
                    current = next;
                    i3 = i5;
                } else {
                    i3 = 1;
                }
                char c3 = cArr[h + 3 + s];
                int h2 = this.o1.h(c3);
                char c4 = cArr[h2 + 0];
                if (c4 == 1) {
                    int index = characterIterator.getIndex();
                    if (current >= 65536 && current <= 1114111) {
                        index--;
                    }
                    i2 = index;
                    this.q1 = cArr[h2 + 2];
                } else if (c4 > 1 && (i4 = this.s1[c4]) >= 0) {
                    this.q1 = cArr[h2 + 2];
                    this.p1 = i4;
                    return i4;
                }
                char c5 = cArr[h2 + 1];
                if (c5 != 0) {
                    int index2 = characterIterator.getIndex();
                    if (current >= 65536 && current <= 1114111) {
                        index2--;
                    }
                    this.s1[c5] = index2;
                }
                i7 = 1;
                i = 2;
                h = h2;
                c2 = c3;
            }
            if (i2 == i6) {
                if (i1) {
                    System.out.println("Iterator did not move. Advancing by 1.");
                }
                characterIterator.setIndex(i6);
                com.ibm.icu.impl.j.b(characterIterator);
                i2 = characterIterator.getIndex();
                this.q1 = 0;
            }
            this.p1 = i2;
            if (i1) {
                System.out.println("result = " + i2);
            }
            return i2;
        }
        this.r1 = true;
        return -1;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private int q0(int i) {
        CharacterIterator characterIterator = this.n1;
        d1 d1Var = this.o1;
        CodePointTrie codePointTrie = d1Var.D;
        char[] cArr = d1Var.C.g;
        U(characterIterator, i);
        if (i1) {
            System.out.print("Handle Previous   pos   char  state category");
        }
        if (characterIterator.getIndex() == characterIterator.getBeginIndex()) {
            return -1;
        }
        char c2 = 1;
        int h = this.o1.h(1);
        for (int d2 = com.ibm.icu.impl.j.d(characterIterator); d2 != Integer.MAX_VALUE; d2 = com.ibm.icu.impl.j.d(characterIterator)) {
            short b2 = (short) codePointTrie.b(d2);
            if (i1) {
                PrintStream printStream = System.out;
                printStream.print("            " + d1.j(characterIterator.getIndex(), 5));
                System.out.print(d1.i(d2, 10));
                PrintStream printStream2 = System.out;
                printStream2.println(d1.j(c2, 7) + d1.j(b2, 6));
            }
            c2 = cArr[h + 3 + b2];
            h = this.o1.h(c2);
            if (c2 == 0) {
                break;
            }
        }
        int index = characterIterator.getIndex();
        if (i1) {
            PrintStream printStream3 = System.out;
            printStream3.println("result = " + index);
        }
        return index;
    }

    @Override // com.ibm.icu.text.i
    public boolean G(int i) {
        h0(i, this.n1);
        int U = U(this.n1, i);
        boolean z = false;
        if ((this.t1.o(U) || this.t1.i(U)) && this.t1.c() == i) {
            z = true;
        }
        if (!z) {
            I();
        }
        return z;
    }

    @Override // com.ibm.icu.text.i
    public int H() {
        CharacterIterator characterIterator = this.n1;
        if (characterIterator == null) {
            return -1;
        }
        int endIndex = characterIterator.getEndIndex();
        G(endIndex);
        int i = this.p1;
        return endIndex;
    }

    @Override // com.ibm.icu.text.i
    public int I() {
        this.t1.g();
        if (this.r1) {
            return -1;
        }
        return this.p1;
    }

    @Override // com.ibm.icu.text.i
    public int J(int i) {
        int i2 = 0;
        if (i > 0) {
            while (i > 0 && i2 != -1) {
                i2 = I();
                i--;
            }
            return i2;
        } else if (i >= 0) {
            return a();
        } else {
            while (i < 0 && i2 != -1) {
                i2 = L();
                i++;
            }
            return i2;
        }
    }

    @Override // com.ibm.icu.text.i
    public int K(int i) {
        CharacterIterator characterIterator = this.n1;
        if (characterIterator == null || i > characterIterator.getEndIndex()) {
            return H();
        }
        if (i < this.n1.getBeginIndex()) {
            return b();
        }
        this.t1.k(i);
        if (this.r1) {
            return -1;
        }
        return this.p1;
    }

    @Override // com.ibm.icu.text.i
    public int L() {
        this.t1.l();
        if (this.r1) {
            return -1;
        }
        return this.p1;
    }

    @Override // com.ibm.icu.text.i
    public void S(CharacterIterator characterIterator) {
        if (characterIterator != null) {
            this.t1.n(characterIterator.getBeginIndex(), 0);
        } else {
            this.t1.m();
        }
        this.w1.d();
        this.n1 = characterIterator;
        b();
    }

    @Override // com.ibm.icu.text.i
    public int a() {
        if (this.n1 != null) {
            return this.p1;
        }
        return -1;
    }

    @Override // com.ibm.icu.text.i
    public int b() {
        CharacterIterator characterIterator = this.n1;
        if (characterIterator == null) {
            return -1;
        }
        characterIterator.first();
        int index = this.n1.getIndex();
        if (!this.t1.o(index)) {
            this.t1.i(index);
        }
        this.t1.c();
        return this.p1;
    }

    @Override // com.ibm.icu.text.i
    public int c(int i) {
        if (i < this.n1.getBeginIndex()) {
            return b();
        }
        this.t1.e(U(this.n1, i));
        if (this.r1) {
            return -1;
        }
        return this.p1;
    }

    @Override // java.lang.Object, com.ibm.icu.text.i
    public Object clone() {
        u1 u1Var = (u1) super.clone();
        CharacterIterator characterIterator = this.n1;
        if (characterIterator != null) {
            u1Var.n1 = (CharacterIterator) characterIterator.clone();
        }
        List<i> list = k1;
        synchronized (list) {
            u1Var.x1 = new ArrayList(list);
        }
        u1Var.s1 = new int[this.o1.B.f13610e];
        u1Var.t1 = new a(this.t1);
        u1Var.w1 = new b(this.w1);
        return u1Var;
    }

    public boolean equals(Object obj) {
        CharacterIterator characterIterator;
        if (obj == null) {
            return false;
        }
        if (this == obj) {
            return true;
        }
        try {
            u1 u1Var = (u1) obj;
            d1 d1Var = this.o1;
            d1 d1Var2 = u1Var.o1;
            if (d1Var != d1Var2 && (d1Var == null || d1Var2 == null)) {
                return false;
            }
            if (d1Var != null && d1Var2 != null && !d1Var.E.equals(d1Var2.E)) {
                return false;
            }
            CharacterIterator characterIterator2 = this.n1;
            if (characterIterator2 == null && u1Var.n1 == null) {
                return true;
            }
            if (characterIterator2 == null || (characterIterator = u1Var.n1) == null) {
                return false;
            }
            if (!characterIterator2.equals(characterIterator)) {
                return false;
            }
            if (this.p1 == u1Var.p1) {
                return true;
            }
            return false;
        } catch (ClassCastException unused) {
            return false;
        }
    }

    public int hashCode() {
        return this.o1.E.hashCode();
    }

    @Deprecated
    public void j0(PrintStream printStream) {
        if (printStream == null) {
            printStream = System.out;
        }
        this.o1.b(printStream);
    }

    @Override // com.ibm.icu.text.i
    public int t() {
        int i = this.q1;
        int[] iArr = this.o1.F;
        return iArr[i + iArr[i]];
    }

    public String toString() {
        d1 d1Var = this.o1;
        return d1Var != null ? d1Var.E : "";
    }

    @Override // com.ibm.icu.text.i
    public int u(int[] iArr) {
        int i = this.o1.F[this.q1];
        if (iArr != null) {
            int min = Math.min(i, iArr.length);
            for (int i2 = 0; i2 < min; i2++) {
                iArr[i2] = this.o1.F[this.q1 + i2 + 1];
            }
        }
        return i;
    }

    @Override // com.ibm.icu.text.i
    public CharacterIterator z() {
        return this.n1;
    }

    /* access modifiers changed from: package-private */
    /* compiled from: RuleBasedBreakIterator */
    public class b {

        /* renamed from: a  reason: collision with root package name */
        static final /* synthetic */ boolean f15856a = false;

        /* renamed from: b  reason: collision with root package name */
        e.a f15857b;

        /* renamed from: c  reason: collision with root package name */
        int f15858c;

        /* renamed from: d  reason: collision with root package name */
        int f15859d;

        /* renamed from: e  reason: collision with root package name */
        int f15860e;
        int f;
        int g;
        int h;
        int i;

        b() {
            this.f15858c = -1;
            this.f15857b = new e.a();
        }

        /* access modifiers changed from: package-private */
        public boolean a(int i2) {
            if (i2 >= this.f15860e || i2 < this.f15859d) {
                this.f15858c = -1;
                return false;
            }
            int i3 = this.f15858c;
            if (i3 < 0 || i3 >= this.f15857b.r() || this.f15857b.b(this.f15858c) != i2) {
                this.f15858c = 0;
                while (this.f15858c < this.f15857b.r()) {
                    int b2 = this.f15857b.b(this.f15858c);
                    if (b2 > i2) {
                        this.h = b2;
                        this.i = this.g;
                        return true;
                    }
                    this.f15858c++;
                }
                this.f15858c = -1;
                return false;
            }
            int i4 = this.f15858c + 1;
            this.f15858c = i4;
            if (i4 >= this.f15857b.r()) {
                this.f15858c = -1;
                return false;
            }
            this.h = this.f15857b.b(this.f15858c);
            this.i = this.g;
            return true;
        }

        /* access modifiers changed from: package-private */
        public void b(int i2, int i3, int i4, int i5) {
            int b2;
            if (i3 - i2 > 1) {
                d();
                this.f = i4;
                this.g = i5;
                u1.this.n1.setIndex(i2);
                int a2 = com.ibm.icu.impl.j.a(u1.this.n1);
                short b3 = (short) u1.this.o1.D.b(a2);
                int i6 = u1.this.o1.B.f13609d;
                int i7 = 0;
                while (true) {
                    int index = u1.this.n1.getIndex();
                    if (index < i3 && b3 < i6) {
                        a2 = com.ibm.icu.impl.j.b(u1.this.n1);
                        b2 = u1.this.o1.D.b(a2);
                    } else if (index >= i3) {
                        break;
                    } else {
                        i n0 = u1.this.n0(a2);
                        if (n0 != null) {
                            i7 += n0.b(u1.this.n1, i2, i3, this.f15857b, u1.this.u1);
                        }
                        a2 = com.ibm.icu.impl.j.a(u1.this.n1);
                        b2 = u1.this.o1.D.b(a2);
                    }
                    b3 = (short) b2;
                }
                if (i7 > 0) {
                    if (i2 < this.f15857b.b(0)) {
                        this.f15857b.e(i2);
                    }
                    if (i3 > this.f15857b.f()) {
                        this.f15857b.p(i3);
                    }
                    this.f15858c = 0;
                    this.f15859d = this.f15857b.b(0);
                    this.f15860e = this.f15857b.f();
                }
            }
        }

        /* access modifiers changed from: package-private */
        public boolean c(int i2) {
            int i3;
            if (i2 <= this.f15859d || i2 > (i3 = this.f15860e)) {
                this.f15858c = -1;
                return false;
            }
            if (i2 == i3) {
                this.f15858c = this.f15857b.r() - 1;
            }
            int i4 = this.f15858c;
            if (i4 > 0 && i4 < this.f15857b.r() && this.f15857b.b(this.f15858c) == i2) {
                int i5 = this.f15858c - 1;
                this.f15858c = i5;
                int b2 = this.f15857b.b(i5);
                this.h = b2;
                this.i = b2 == this.f15859d ? this.f : this.g;
                return true;
            } else if (this.f15858c == 0) {
                this.f15858c = -1;
                return false;
            } else {
                int r = this.f15857b.r();
                while (true) {
                    this.f15858c = r - 1;
                    int i6 = this.f15858c;
                    if (i6 >= 0) {
                        int b3 = this.f15857b.b(i6);
                        if (b3 < i2) {
                            this.h = b3;
                            this.i = b3 == this.f15859d ? this.f : this.g;
                            return true;
                        }
                        r = this.f15858c;
                    } else {
                        this.f15858c = -1;
                        return false;
                    }
                }
            }
        }

        /* access modifiers changed from: package-private */
        public void d() {
            this.f15858c = -1;
            this.f15859d = 0;
            this.f15860e = 0;
            this.f = 0;
            this.g = 0;
            this.f15857b.q();
        }

        b(b bVar) {
            try {
                this.f15857b = (e.a) bVar.f15857b.clone();
                this.f15858c = bVar.f15858c;
                this.f15859d = bVar.f15859d;
                this.f15860e = bVar.f15860e;
                this.f = bVar.f;
                this.g = bVar.g;
                this.h = bVar.h;
                this.i = bVar.i;
            } catch (CloneNotSupportedException e2) {
                throw new RuntimeException(e2);
            }
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: RuleBasedBreakIterator */
    public class a {

        /* renamed from: a  reason: collision with root package name */
        static final boolean f15851a = false;

        /* renamed from: b  reason: collision with root package name */
        static final boolean f15852b = true;

        /* renamed from: c  reason: collision with root package name */
        static final int f15853c = 128;

        /* renamed from: d  reason: collision with root package name */
        static final /* synthetic */ boolean f15854d = false;

        /* renamed from: e  reason: collision with root package name */
        int f15855e;
        int f;
        int g;
        int h;
        int[] i;
        short[] j;
        e.a k;

        a() {
            this.i = new int[128];
            this.j = new short[128];
            this.k = new e.a();
            m();
        }

        private final int f(int i2) {
            return i2 & 127;
        }

        /* access modifiers changed from: package-private */
        public void a(int i2, int i3, boolean z) {
            int f2 = f(this.f + 1);
            int i4 = this.f15855e;
            if (f2 == i4) {
                this.f15855e = f(i4 + 6);
            }
            this.i[f2] = i2;
            this.j[f2] = (short) i3;
            this.f = f2;
            if (z) {
                this.h = f2;
                this.g = i2;
            }
        }

        /* access modifiers changed from: package-private */
        public boolean b(int i2, int i3, boolean z) {
            int f2 = f(this.f15855e - 1);
            int i4 = this.f;
            if (f2 == i4) {
                if (this.h == i4 && !z) {
                    return false;
                }
                this.f = f(i4 - 1);
            }
            this.i[f2] = i2;
            this.j[f2] = (short) i3;
            this.f15855e = f2;
            if (z) {
                this.h = f2;
                this.g = i2;
            }
            return true;
        }

        /* access modifiers changed from: package-private */
        public int c() {
            u1.this.p1 = this.g;
            u1.this.q1 = this.j[this.h];
            u1.this.r1 = false;
            return this.g;
        }

        /* access modifiers changed from: package-private */
        public void d() {
            System.out.printf("fTextIdx:%d   fBufIdx:%d%n", Integer.valueOf(this.g), Integer.valueOf(this.h));
            int i2 = this.f15855e;
            while (true) {
                System.out.printf("%d  %d%n", Integer.valueOf(i2), Integer.valueOf(this.i[i2]));
                if (i2 != this.f) {
                    i2 = f(i2 + 1);
                } else {
                    return;
                }
            }
        }

        /* access modifiers changed from: package-private */
        public void e(int i2) {
            if (i2 == this.g || o(i2) || i(i2)) {
                u1.this.r1 = false;
                g();
            }
        }

        /* access modifiers changed from: package-private */
        public void g() {
            int i2 = this.h;
            if (i2 == this.f) {
                u1.this.r1 = !h();
                u1.this.p1 = this.g;
                u1.this.q1 = this.j[this.h];
                return;
            }
            int f2 = f(i2 + 1);
            this.h = f2;
            this.g = u1.this.p1 = this.i[f2];
            u1.this.q1 = this.j[this.h];
        }

        /* access modifiers changed from: package-private */
        public boolean h() {
            int p0;
            int[] iArr = this.i;
            int i2 = this.f;
            int i3 = iArr[i2];
            short s = this.j[i2];
            if (u1.this.w1.a(i3)) {
                a(u1.this.w1.h, u1.this.w1.i, true);
                return true;
            }
            u1.this.p1 = i3;
            int p02 = u1.this.p0();
            if (p02 == -1) {
                return false;
            }
            int i4 = u1.this.q1;
            if (u1.this.v1 > 0) {
                u1.this.w1.b(i3, p02, s, i4);
                if (u1.this.w1.a(i3)) {
                    a(u1.this.w1.h, u1.this.w1.i, true);
                    return true;
                }
            }
            a(p02, i4, true);
            for (int i5 = 0; i5 < 6 && (p0 = u1.this.p0()) != -1 && u1.this.v1 <= 0; i5++) {
                a(p0, u1.this.q1, false);
            }
            return true;
        }

        /* access modifiers changed from: package-private */
        /* JADX WARNING: Code restructure failed: missing block: B:16:0x0046, code lost:
            if (r6[r9.f15855e] <= (r10 + 15)) goto L_0x0020;
         */
        /* JADX WARNING: Removed duplicated region for block: B:30:0x0098  */
        /* JADX WARNING: Removed duplicated region for block: B:33:0x00a3 A[LOOP:0: B:33:0x00a3->B:36:0x00af, LOOP_START] */
        /* JADX WARNING: Removed duplicated region for block: B:43:0x00c1  */
        public boolean i(int i2) {
            int i3;
            boolean z;
            int[] iArr;
            int[] iArr2;
            int i4;
            int i5;
            int beginIndex = u1.this.n1.getBeginIndex();
            int[] iArr3 = this.i;
            if (i2 <= iArr3[this.f15855e] - 15 || i2 >= iArr3[this.f] + 15) {
                int i6 = beginIndex + 15;
                if (i2 > i6) {
                    int q0 = u1.this.q0(i2);
                    int[] iArr4 = this.i;
                    int i7 = this.f;
                    if (iArr4[i7] >= i2 || iArr4[i7] < q0 - 15) {
                        if (q0 >= i6) {
                            u1.this.p1 = q0;
                            beginIndex = u1.this.p0();
                            if (beginIndex == q0 + 1 || (beginIndex == q0 + 2 && Character.isHighSurrogate(u1.this.n1.setIndex(q0)) && Character.isLowSurrogate(u1.this.n1.next()))) {
                                beginIndex = u1.this.p0();
                            }
                            if (beginIndex == -1) {
                                beginIndex = u1.this.n1.getEndIndex();
                            }
                            i3 = u1.this.q1;
                            z = false;
                            if (!z) {
                                n(beginIndex, i3);
                            }
                            iArr = this.i;
                            if (iArr[this.f] < i2) {
                                do {
                                    int[] iArr5 = this.i;
                                    int i8 = this.f;
                                    if (iArr5[i8] >= i2) {
                                        this.h = i8;
                                        this.g = iArr5[i8];
                                        while (this.g > i2) {
                                            l();
                                        }
                                        return true;
                                    }
                                } while (h());
                                return false;
                            }
                            if (iArr[this.f15855e] > i2) {
                                while (true) {
                                    iArr2 = this.i;
                                    i4 = this.f15855e;
                                    if (iArr2[i4] <= i2) {
                                        break;
                                    }
                                    j();
                                }
                                this.h = i4;
                                this.g = iArr2[i4];
                                while (true) {
                                    i5 = this.g;
                                    if (i5 >= i2) {
                                        break;
                                    }
                                    g();
                                }
                                if (i5 > i2) {
                                    l();
                                }
                            }
                            return true;
                        }
                    }
                }
                z = false;
                i3 = 0;
                if (!z) {
                }
                iArr = this.i;
                if (iArr[this.f] < i2) {
                }
            }
            beginIndex = -1;
            z = true;
            i3 = 0;
            if (!z) {
            }
            iArr = this.i;
            if (iArr[this.f] < i2) {
            }
        }

        /* access modifiers changed from: package-private */
        public boolean j() {
            int i2;
            int i3;
            boolean z;
            int i4;
            int beginIndex = u1.this.n1.getBeginIndex();
            int i5 = this.i[this.f15855e];
            if (i5 == beginIndex) {
                return false;
            }
            boolean z2 = true;
            if (u1.this.w1.c(i5)) {
                b(u1.this.w1.h, u1.this.w1.i, true);
                return true;
            }
            int i6 = i5;
            do {
                int i7 = i6 - 30;
                if (i7 <= beginIndex) {
                    i6 = beginIndex;
                } else {
                    i6 = u1.this.q0(i7);
                }
                if (i6 == -1 || i6 == beginIndex) {
                    i3 = beginIndex;
                    i2 = 0;
                    continue;
                } else {
                    u1.this.p1 = i6;
                    i3 = u1.this.p0();
                    if (i3 == i6 + 1 || (i3 == i6 + 2 && Character.isHighSurrogate(u1.this.n1.setIndex(i6)) && Character.isLowSurrogate(u1.this.n1.next()))) {
                        i3 = u1.this.p0();
                    }
                    i2 = u1.this.q1;
                    continue;
                }
            } while (i3 >= i5);
            this.k.q();
            this.k.p(i3);
            this.k.p(i2);
            while (true) {
                int i8 = u1.this.p1 = i3;
                int p0 = u1.this.p0();
                int i9 = u1.this.q1;
                if (p0 == -1) {
                    break;
                }
                if (u1.this.v1 != 0) {
                    u1.this.w1.b(i8, p0, i2, i9);
                    z = false;
                    while (true) {
                        if (!u1.this.w1.a(i8)) {
                            break;
                        }
                        p0 = u1.this.w1.h;
                        i9 = u1.this.w1.i;
                        if (p0 >= i5) {
                            z = true;
                            break;
                        }
                        this.k.p(p0);
                        this.k.p(i9);
                        i8 = p0;
                        z = true;
                    }
                    i4 = i9;
                } else {
                    i4 = i9;
                    z = false;
                }
                i3 = p0;
                if (!z && i3 < i5) {
                    this.k.p(i3);
                    this.k.p(i4);
                }
                if (i3 >= i5) {
                    break;
                }
                i2 = i4;
            }
            if (!this.k.d()) {
                b(this.k.n(), this.k.n(), true);
            } else {
                z2 = false;
            }
            while (!this.k.d()) {
                if (!b(this.k.n(), this.k.n(), false)) {
                    break;
                }
            }
            return z2;
        }

        /* access modifiers changed from: package-private */
        public void k(int i2) {
            if (i2 != this.g && !o(i2) && !i(i2)) {
                return;
            }
            if (i2 == this.g) {
                l();
            } else {
                c();
            }
        }

        /* access modifiers changed from: package-private */
        public void l() {
            int i2 = this.h;
            if (i2 == this.f15855e) {
                j();
            } else {
                int f2 = f(i2 - 1);
                this.h = f2;
                this.g = this.i[f2];
            }
            u1.this.r1 = this.h == i2;
            u1.this.p1 = this.g;
            u1.this.q1 = this.j[this.h];
        }

        /* access modifiers changed from: package-private */
        public void m() {
            n(0, 0);
        }

        /* access modifiers changed from: package-private */
        public void n(int i2, int i3) {
            this.f15855e = 0;
            this.f = 0;
            this.g = i2;
            this.h = 0;
            this.i[0] = i2;
            this.j[0] = (short) i3;
        }

        /* access modifiers changed from: package-private */
        public boolean o(int i2) {
            int[] iArr = this.i;
            int i3 = this.f15855e;
            if (i2 >= iArr[i3]) {
                int i4 = this.f;
                if (i2 <= iArr[i4]) {
                    if (i2 == iArr[i3]) {
                        this.h = i3;
                        this.g = iArr[i3];
                        return true;
                    } else if (i2 == iArr[i4]) {
                        this.h = i4;
                        this.g = iArr[i4];
                        return true;
                    } else {
                        while (i3 != i4) {
                            int f2 = f(((i3 + i4) + (i3 > i4 ? 128 : 0)) / 2);
                            if (this.i[f2] > i2) {
                                i4 = f2;
                            } else {
                                i3 = f(f2 + 1);
                            }
                        }
                        int f3 = f(i4 - 1);
                        this.h = f3;
                        this.g = this.i[f3];
                        return true;
                    }
                }
            }
            return false;
        }

        a(a aVar) {
            this.i = new int[128];
            this.j = new short[128];
            this.k = new e.a();
            this.f15855e = aVar.f15855e;
            this.f = aVar.f;
            this.g = aVar.g;
            this.h = aVar.h;
            this.i = (int[]) aVar.i.clone();
            this.j = (short[]) aVar.j.clone();
            this.k = new e.a();
        }
    }

    public u1(String str) {
        this();
        try {
            ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
            i0(str, byteArrayOutputStream);
            d1 g = d1.g(ByteBuffer.wrap(byteArrayOutputStream.toByteArray()));
            this.o1 = g;
            this.s1 = new int[g.B.f13610e];
        } catch (IOException e2) {
            throw new RuntimeException("RuleBasedBreakIterator rule compilation internal error: " + e2.getMessage());
        }
    }
}
