package com.ibm.icu.util;

import com.google.android.gms.common.util.m;
import com.ibm.icu.util.ULocale;
import java.util.Date;
import java.util.Locale;

/* access modifiers changed from: package-private */
/* compiled from: CECalendar */
public abstract class c extends Calendar {
    private static final int[][] F1 = {new int[]{0, 0, 1, 1}, new int[]{1, 1, m.f10270d, m.f10270d}, new int[]{0, 0, 12, 12}, new int[]{1, 1, 52, 53}, new int[0], new int[]{1, 1, 5, 30}, new int[]{1, 1, 365, 366}, new int[0], new int[]{-1, -1, 1, 5}, new int[0], new int[0], new int[0], new int[0], new int[0], new int[0], new int[0], new int[0], new int[]{-5000000, -5000000, m.f10270d, m.f10270d}, new int[0], new int[]{-5000000, -5000000, m.f10270d, m.f10270d}, new int[0], new int[0]};
    private static final long serialVersionUID = -999547623066414271L;

    protected c() {
        this(TimeZone.getDefault(), ULocale.getDefault(ULocale.Category.FORMAT));
    }

    public static int ceToJD(long j, int i, int i2, int i3) {
        int i4;
        long j2;
        if (i >= 0) {
            j2 = j + ((long) (i / 13));
            i4 = i % 13;
        } else {
            int i5 = i + 1;
            j2 = j + ((long) ((i5 / 13) - 1));
            i4 = (i5 % 13) + 12;
        }
        return (int) (((((((long) i3) + (365 * j2)) + Calendar.O(j2, 4)) + ((long) (i4 * 30))) + ((long) i2)) - 1);
    }

    public static void jdToCE(int i, int i2, int[] iArr) {
        int[] iArr2 = new int[1];
        int i3 = 365;
        iArr[0] = (Calendar.M(i - i2, 1461, iArr2) * 4) + ((iArr2[0] / 365) - (iArr2[0] / 1460));
        if (iArr2[0] != 1460) {
            i3 = iArr2[0] % 365;
        }
        iArr[1] = i3 / 30;
        iArr[2] = (i3 % 30) + 1;
    }

    /* access modifiers changed from: protected */
    public abstract int Z0();

    /* access modifiers changed from: protected */
    @Override // com.ibm.icu.util.Calendar
    public int p0(int i, int i2, boolean z) {
        return ceToJD((long) i, i2, 0, Z0());
    }

    /* access modifiers changed from: protected */
    @Override // com.ibm.icu.util.Calendar
    public int w0(int i, int i2) {
        return F1[i][i2];
    }

    /* access modifiers changed from: protected */
    @Override // com.ibm.icu.util.Calendar
    public int y0(int i, int i2) {
        if ((i2 + 1) % 13 != 0) {
            return 30;
        }
        return ((i % 4) / 3) + 5;
    }

    protected c(TimeZone timeZone) {
        this(timeZone, ULocale.getDefault(ULocale.Category.FORMAT));
    }

    protected c(Locale locale) {
        this(TimeZone.forLocaleOrDefault(locale), locale);
    }

    protected c(ULocale uLocale) {
        this(TimeZone.forULocaleOrDefault(uLocale), uLocale);
    }

    protected c(TimeZone timeZone, Locale locale) {
        super(timeZone, locale);
        setTimeInMillis(System.currentTimeMillis());
    }

    protected c(TimeZone timeZone, ULocale uLocale) {
        super(timeZone, uLocale);
        setTimeInMillis(System.currentTimeMillis());
    }

    protected c(int i, int i2, int i3) {
        super(TimeZone.getDefault(), ULocale.getDefault(ULocale.Category.FORMAT));
        set(i, i2, i3);
    }

    protected c(Date date) {
        super(TimeZone.getDefault(), ULocale.getDefault(ULocale.Category.FORMAT));
        setTime(date);
    }

    protected c(int i, int i2, int i3, int i4, int i5, int i6) {
        super(TimeZone.getDefault(), ULocale.getDefault(ULocale.Category.FORMAT));
        set(i, i2, i3, i4, i5, i6);
    }
}
