package com.liulishuo.filedownloader.message;

import com.liulishuo.filedownloader.a;
import com.liulishuo.filedownloader.k0.f;
import com.liulishuo.filedownloader.message.BlockCompleteMessage;
import com.liulishuo.filedownloader.message.LargeMessageSnapshot;
import com.liulishuo.filedownloader.message.MessageSnapshot;
import com.liulishuo.filedownloader.message.SmallMessageSnapshot;
import com.liulishuo.filedownloader.model.FileDownloadModel;
import com.liulishuo.filedownloader.o0.e;
import com.liulishuo.filedownloader.o0.h;
import java.io.File;

/* compiled from: MessageSnapshotTaker */
public class d {
    public static MessageSnapshot a(int i, File file, boolean z) {
        long length = file.length();
        if (length > 2147483647L) {
            if (z) {
                return new LargeMessageSnapshot.CompletedFlowDirectlySnapshot(i, true, length);
            }
            return new LargeMessageSnapshot.CompletedSnapshot(i, true, length);
        } else if (z) {
            return new SmallMessageSnapshot.CompletedFlowDirectlySnapshot(i, true, (int) length);
        } else {
            return new SmallMessageSnapshot.CompletedSnapshot(i, true, (int) length);
        }
    }

    public static MessageSnapshot b(int i, long j, Throwable th) {
        if (j > 2147483647L) {
            return new LargeMessageSnapshot.ErrorMessageSnapshot(i, j, th);
        }
        return new SmallMessageSnapshot.ErrorMessageSnapshot(i, (int) j, th);
    }

    public static MessageSnapshot c(a aVar) {
        if (aVar.e()) {
            return new LargeMessageSnapshot.PausedSnapshot(aVar.a(), aVar.H(), aVar.Y());
        }
        return new SmallMessageSnapshot.PausedSnapshot(aVar.a(), aVar.U(), aVar.o());
    }

    public static MessageSnapshot d(int i, long j, long j2, boolean z) {
        if (j2 > 2147483647L) {
            if (z) {
                return new LargeMessageSnapshot.WarnFlowDirectlySnapshot(i, j, j2);
            }
            return new LargeMessageSnapshot.WarnMessageSnapshot(i, j, j2);
        } else if (z) {
            return new SmallMessageSnapshot.WarnFlowDirectlySnapshot(i, (int) j, (int) j2);
        } else {
            return new SmallMessageSnapshot.WarnMessageSnapshot(i, (int) j, (int) j2);
        }
    }

    public static MessageSnapshot e(byte b2, FileDownloadModel fileDownloadModel) {
        return f(b2, fileDownloadModel, null);
    }

    public static MessageSnapshot f(byte b2, FileDownloadModel fileDownloadModel, f.a aVar) {
        MessageSnapshot messageSnapshot;
        IllegalStateException illegalStateException;
        int h = fileDownloadModel.h();
        if (b2 == -4) {
            throw new IllegalStateException(h.o("please use #catchWarn instead %d", Integer.valueOf(h)));
        } else if (b2 != -3) {
            if (b2 != -1) {
                if (b2 != 1) {
                    if (b2 == 2) {
                        String g = fileDownloadModel.s() ? fileDownloadModel.g() : null;
                        if (fileDownloadModel.r()) {
                            return new LargeMessageSnapshot.ConnectedMessageSnapshot(h, aVar.c(), fileDownloadModel.n(), fileDownloadModel.e(), g);
                        }
                        return new SmallMessageSnapshot.ConnectedMessageSnapshot(h, aVar.c(), (int) fileDownloadModel.n(), fileDownloadModel.e(), g);
                    } else if (b2 != 3) {
                        if (b2 != 5) {
                            if (b2 == 6) {
                                return new MessageSnapshot.StartedMessageSnapshot(h);
                            }
                            String o = h.o("it can't takes a snapshot for the task(%s) when its status is %d,", fileDownloadModel, Byte.valueOf(b2));
                            e.i(d.class, "it can't takes a snapshot for the task(%s) when its status is %d,", fileDownloadModel, Byte.valueOf(b2));
                            if (aVar.a() != null) {
                                illegalStateException = new IllegalStateException(o, aVar.a());
                            } else {
                                illegalStateException = new IllegalStateException(o);
                            }
                            if (fileDownloadModel.r()) {
                                return new LargeMessageSnapshot.ErrorMessageSnapshot(h, fileDownloadModel.j(), illegalStateException);
                            }
                            return new SmallMessageSnapshot.ErrorMessageSnapshot(h, (int) fileDownloadModel.j(), illegalStateException);
                        } else if (fileDownloadModel.r()) {
                            messageSnapshot = new LargeMessageSnapshot.RetryMessageSnapshot(h, fileDownloadModel.j(), aVar.a(), aVar.b());
                        } else {
                            messageSnapshot = new SmallMessageSnapshot.RetryMessageSnapshot(h, (int) fileDownloadModel.j(), aVar.a(), aVar.b());
                        }
                    } else if (fileDownloadModel.r()) {
                        return new LargeMessageSnapshot.ProgressMessageSnapshot(h, fileDownloadModel.j());
                    } else {
                        return new SmallMessageSnapshot.ProgressMessageSnapshot(h, (int) fileDownloadModel.j());
                    }
                } else if (fileDownloadModel.r()) {
                    return new LargeMessageSnapshot.PendingMessageSnapshot(h, fileDownloadModel.j(), fileDownloadModel.n());
                } else {
                    return new SmallMessageSnapshot.PendingMessageSnapshot(h, (int) fileDownloadModel.j(), (int) fileDownloadModel.n());
                }
            } else if (fileDownloadModel.r()) {
                messageSnapshot = new LargeMessageSnapshot.ErrorMessageSnapshot(h, fileDownloadModel.j(), aVar.a());
            } else {
                messageSnapshot = new SmallMessageSnapshot.ErrorMessageSnapshot(h, (int) fileDownloadModel.j(), aVar.a());
            }
            return messageSnapshot;
        } else if (fileDownloadModel.r()) {
            return new LargeMessageSnapshot.CompletedSnapshot(h, false, fileDownloadModel.n());
        } else {
            return new SmallMessageSnapshot.CompletedSnapshot(h, false, (int) fileDownloadModel.n());
        }
    }

    public static MessageSnapshot g(MessageSnapshot messageSnapshot) {
        if (messageSnapshot.d() == -3) {
            return new BlockCompleteMessage.BlockCompleteMessageImpl(messageSnapshot);
        }
        throw new IllegalStateException(h.o("take block completed snapshot, must has already be completed. %d %d", Integer.valueOf(messageSnapshot.a()), Byte.valueOf(messageSnapshot.d())));
    }
}
