package com.luck.picture.lib;

import android.content.Context;
import android.content.res.ColorStateList;
import android.text.TextUtils;
import android.view.View;
import android.widget.RelativeLayout;
import android.widget.TextView;
import androidx.core.content.d;
import com.luck.picture.lib.config.PictureSelectionConfig;
import com.luck.picture.lib.entity.LocalMedia;
import com.luck.picture.lib.style.a;
import com.luck.picture.lib.style.b;
import com.luck.picture.lib.z0.c;
import java.util.List;

public class PictureSelectorWeChatStyleActivity extends PictureSelectorActivity {
    private RelativeLayout A1;

    private void a2() {
        this.b1.setVisibility(8);
        this.Z0.setVisibility(8);
    }

    /* access modifiers changed from: protected */
    @Override // com.luck.picture.lib.PictureSelectorActivity
    public void F1(List<LocalMedia> list) {
        super.F1(list);
        u0(list);
    }

    /* access modifiers changed from: protected */
    @Override // com.luck.picture.lib.PictureSelectorActivity
    public void V0(List<LocalMedia> list) {
        int size = list.size();
        if (size != 0) {
            this.Y0.setEnabled(true);
            this.Y0.setSelected(true);
            this.c1.setEnabled(true);
            this.c1.setSelected(true);
            u0(list);
            b bVar = PictureSelectionConfig.f16658a;
            if (bVar != null) {
                int i = bVar.v;
                if (i != 0) {
                    this.Y0.setBackgroundResource(i);
                } else {
                    this.Y0.setBackgroundResource(R.drawable.picture_send_button_bg);
                }
                int[] iArr = PictureSelectionConfig.f16658a.G;
                if (iArr.length > 0) {
                    ColorStateList a2 = c.a(iArr);
                    if (a2 != null) {
                        this.c1.setTextColor(a2);
                    }
                } else {
                    this.c1.setTextColor(d.f(n0(), R.color.picture_color_white));
                }
                b bVar2 = PictureSelectionConfig.f16658a;
                int i2 = bVar2.E;
                if (i2 == 0) {
                    this.c1.setText(getString(R.string.picture_preview_num, new Object[]{Integer.valueOf(size)}));
                } else if (bVar2.f) {
                    this.c1.setText(String.format(getString(i2), Integer.valueOf(size)));
                } else {
                    this.c1.setText(i2);
                }
            } else {
                a aVar = PictureSelectionConfig.f16659b;
                if (aVar != null) {
                    int i3 = aVar.E;
                    if (i3 != 0) {
                        this.Y0.setBackgroundResource(i3);
                    } else {
                        this.Y0.setBackgroundResource(R.drawable.picture_send_button_bg);
                    }
                    int i4 = PictureSelectionConfig.f16659b.p;
                    if (i4 != 0) {
                        this.Y0.setTextColor(i4);
                    } else {
                        this.Y0.setTextColor(d.f(n0(), R.color.picture_color_white));
                    }
                    int i5 = PictureSelectionConfig.f16659b.w;
                    if (i5 != 0) {
                        this.c1.setTextColor(i5);
                    } else {
                        this.c1.setTextColor(d.f(n0(), R.color.picture_color_white));
                    }
                    if (!TextUtils.isEmpty(PictureSelectionConfig.f16659b.y)) {
                        this.c1.setText(PictureSelectionConfig.f16659b.y);
                    } else {
                        this.c1.setText(getString(R.string.picture_preview_num, new Object[]{Integer.valueOf(size)}));
                    }
                } else {
                    this.Y0.setBackgroundResource(R.drawable.picture_send_button_bg);
                    TextView textView = this.Y0;
                    Context n0 = n0();
                    int i6 = R.color.picture_color_white;
                    textView.setTextColor(d.f(n0, i6));
                    this.c1.setTextColor(d.f(n0(), i6));
                    this.c1.setText(getString(R.string.picture_preview_num, new Object[]{Integer.valueOf(size)}));
                }
            }
        } else {
            this.Y0.setEnabled(false);
            this.Y0.setSelected(false);
            this.c1.setEnabled(false);
            this.c1.setSelected(false);
            b bVar3 = PictureSelectionConfig.f16658a;
            if (bVar3 != null) {
                int i7 = bVar3.u;
                if (i7 != 0) {
                    this.Y0.setBackgroundResource(i7);
                } else {
                    this.Y0.setBackgroundResource(R.drawable.picture_send_button_default_bg);
                }
                int i8 = PictureSelectionConfig.f16658a.q;
                if (i8 != 0) {
                    this.Y0.setText(getString(i8));
                } else {
                    this.Y0.setText(getString(R.string.picture_send));
                }
                int i9 = PictureSelectionConfig.f16658a.D;
                if (i9 != 0) {
                    this.c1.setText(getString(i9));
                } else {
                    this.c1.setText(getString(R.string.picture_preview));
                }
            } else {
                a aVar2 = PictureSelectionConfig.f16659b;
                if (aVar2 != null) {
                    int i10 = aVar2.D;
                    if (i10 != 0) {
                        this.Y0.setBackgroundResource(i10);
                    } else {
                        this.Y0.setBackgroundResource(R.drawable.picture_send_button_default_bg);
                    }
                    int i11 = PictureSelectionConfig.f16659b.q;
                    if (i11 != 0) {
                        this.Y0.setTextColor(i11);
                    } else {
                        this.Y0.setTextColor(d.f(n0(), R.color.picture_color_53575e));
                    }
                    int i12 = PictureSelectionConfig.f16659b.s;
                    if (i12 != 0) {
                        this.c1.setTextColor(i12);
                    } else {
                        this.c1.setTextColor(d.f(n0(), R.color.picture_color_9b));
                    }
                    if (!TextUtils.isEmpty(PictureSelectionConfig.f16659b.u)) {
                        this.Y0.setText(PictureSelectionConfig.f16659b.u);
                    } else {
                        this.Y0.setText(getString(R.string.picture_send));
                    }
                    if (!TextUtils.isEmpty(PictureSelectionConfig.f16659b.x)) {
                        this.c1.setText(PictureSelectionConfig.f16659b.x);
                    } else {
                        this.c1.setText(getString(R.string.picture_preview));
                    }
                } else {
                    this.Y0.setBackgroundResource(R.drawable.picture_send_button_default_bg);
                    this.Y0.setTextColor(d.f(n0(), R.color.picture_color_53575e));
                    this.c1.setTextColor(d.f(n0(), R.color.picture_color_9b));
                    this.c1.setText(getString(R.string.picture_preview));
                    this.Y0.setText(getString(R.string.picture_send));
                }
            }
        }
    }

    @Override // com.luck.picture.lib.PictureSelectorActivity
    public void onClick(View view) {
        if (view.getId() == R.id.picture_right) {
            com.luck.picture.lib.widget.d dVar = this.m1;
            if (dVar == null || !dVar.isShowing()) {
                this.Z0.performClick();
            } else {
                this.m1.dismiss();
            }
        } else {
            super.onClick(view);
        }
    }

    @Override // com.luck.picture.lib.PictureBaseActivity, com.luck.picture.lib.PictureSelectorActivity
    public int p0() {
        return R.layout.picture_wechat_style_selector;
    }

    /* access modifiers changed from: protected */
    @Override // com.luck.picture.lib.PictureBaseActivity
    public void u0(List<LocalMedia> list) {
        int i;
        String str;
        String str2;
        String str3;
        String str4;
        String str5;
        int size = list.size();
        a aVar = PictureSelectionConfig.f16659b;
        boolean z = aVar != null;
        PictureSelectionConfig pictureSelectionConfig = this.f16584a;
        if (!pictureSelectionConfig.j2) {
            if (!com.luck.picture.lib.config.b.m(list.get(0).p()) || (i = this.f16584a.k1) <= 0) {
                i = this.f16584a.i1;
            }
            if (this.f16584a.h1 == 1) {
                if (!(z && PictureSelectionConfig.f16659b.J) || TextUtils.isEmpty(PictureSelectionConfig.f16659b.v)) {
                    TextView textView = this.Y0;
                    if (!z || TextUtils.isEmpty(PictureSelectionConfig.f16659b.v)) {
                        str2 = getString(R.string.picture_send);
                    } else {
                        str2 = PictureSelectionConfig.f16659b.v;
                    }
                    textView.setText(str2);
                    return;
                }
                this.Y0.setText(String.format(PictureSelectionConfig.f16659b.v, Integer.valueOf(size), 1));
                return;
            }
            if (!(z && PictureSelectionConfig.f16659b.J) || TextUtils.isEmpty(PictureSelectionConfig.f16659b.v)) {
                TextView textView2 = this.Y0;
                if (!z || TextUtils.isEmpty(PictureSelectionConfig.f16659b.u)) {
                    str = getString(R.string.picture_send_num, new Object[]{Integer.valueOf(size), Integer.valueOf(i)});
                } else {
                    str = PictureSelectionConfig.f16659b.u;
                }
                textView2.setText(str);
                return;
            }
            this.Y0.setText(String.format(PictureSelectionConfig.f16659b.v, Integer.valueOf(size), Integer.valueOf(i)));
        } else if (pictureSelectionConfig.h1 != 1) {
            if (!(z && aVar.J) || TextUtils.isEmpty(aVar.v)) {
                TextView textView3 = this.Y0;
                if (!z || TextUtils.isEmpty(PictureSelectionConfig.f16659b.u)) {
                    str3 = getString(R.string.picture_send_num, new Object[]{Integer.valueOf(size), Integer.valueOf(this.f16584a.i1)});
                } else {
                    str3 = PictureSelectionConfig.f16659b.u;
                }
                textView3.setText(str3);
                return;
            }
            this.Y0.setText(String.format(PictureSelectionConfig.f16659b.v, Integer.valueOf(size), Integer.valueOf(this.f16584a.i1)));
        } else if (size <= 0) {
            TextView textView4 = this.Y0;
            if (!z || TextUtils.isEmpty(aVar.u)) {
                str5 = getString(R.string.picture_send);
            } else {
                str5 = PictureSelectionConfig.f16659b.u;
            }
            textView4.setText(str5);
        } else {
            if (!(z && aVar.J) || TextUtils.isEmpty(aVar.v)) {
                TextView textView5 = this.Y0;
                if (!z || TextUtils.isEmpty(PictureSelectionConfig.f16659b.v)) {
                    str4 = getString(R.string.picture_send);
                } else {
                    str4 = PictureSelectionConfig.f16659b.v;
                }
                textView5.setText(str4);
                return;
            }
            this.Y0.setText(String.format(PictureSelectionConfig.f16659b.v, Integer.valueOf(size), 1));
        }
    }

    @Override // com.luck.picture.lib.PictureBaseActivity, com.luck.picture.lib.PictureSelectorActivity
    public void w0() {
        b bVar = PictureSelectionConfig.f16658a;
        if (bVar != null) {
            int i = bVar.u;
            if (i != 0) {
                this.Y0.setBackgroundResource(i);
            } else {
                this.Y0.setBackgroundResource(R.drawable.picture_send_button_default_bg);
            }
            int i2 = PictureSelectionConfig.f16658a.B;
            if (i2 != 0) {
                this.k1.setBackgroundColor(i2);
            } else {
                this.k1.setBackgroundColor(d.f(n0(), R.color.picture_color_grey));
            }
            int[] iArr = PictureSelectionConfig.f16658a.t;
            if (iArr.length > 0) {
                ColorStateList a2 = c.a(iArr);
                if (a2 != null) {
                    this.Y0.setTextColor(a2);
                }
            } else {
                this.Y0.setTextColor(d.f(n0(), R.color.picture_color_53575e));
            }
            int i3 = PictureSelectionConfig.f16658a.s;
            if (i3 != 0) {
                this.Y0.setTextSize((float) i3);
            }
            if (this.f16584a.J1) {
                int i4 = PictureSelectionConfig.f16658a.H;
                if (i4 != 0) {
                    this.t1.setButtonDrawable(i4);
                }
                int i5 = PictureSelectionConfig.f16658a.K;
                if (i5 != 0) {
                    this.t1.setTextColor(i5);
                }
                int i6 = PictureSelectionConfig.f16658a.J;
                if (i6 != 0) {
                    this.t1.setTextSize((float) i6);
                }
            }
            int i7 = PictureSelectionConfig.f16658a.h;
            if (i7 != 0) {
                this.O0.setBackgroundColor(i7);
            }
            int i8 = PictureSelectionConfig.f16658a.p;
            if (i8 != 0) {
                this.A1.setBackgroundResource(i8);
            } else {
                this.A1.setBackgroundResource(R.drawable.picture_album_bg);
            }
            int i9 = PictureSelectionConfig.f16658a.q;
            if (i9 != 0) {
                this.Y0.setText(getString(i9));
            }
        } else {
            a aVar = PictureSelectionConfig.f16659b;
            if (aVar != null) {
                int i10 = aVar.D;
                if (i10 != 0) {
                    this.Y0.setBackgroundResource(i10);
                } else {
                    this.Y0.setBackgroundResource(R.drawable.picture_send_button_default_bg);
                }
                int i11 = PictureSelectionConfig.f16659b.o;
                if (i11 != 0) {
                    this.k1.setBackgroundColor(i11);
                } else {
                    this.k1.setBackgroundColor(d.f(n0(), R.color.picture_color_grey));
                }
                a aVar2 = PictureSelectionConfig.f16659b;
                int i12 = aVar2.q;
                if (i12 != 0) {
                    this.Y0.setTextColor(i12);
                } else {
                    int i13 = aVar2.j;
                    if (i13 != 0) {
                        this.Y0.setTextColor(i13);
                    } else {
                        this.Y0.setTextColor(d.f(n0(), R.color.picture_color_53575e));
                    }
                }
                int i14 = PictureSelectionConfig.f16659b.l;
                if (i14 != 0) {
                    this.Y0.setTextSize((float) i14);
                }
                if (PictureSelectionConfig.f16659b.B == 0) {
                    this.t1.setTextColor(d.f(this, R.color.picture_color_white));
                }
                if (this.f16584a.J1 && PictureSelectionConfig.f16659b.U == 0) {
                    this.t1.setButtonDrawable(d.i(this, R.drawable.picture_original_wechat_checkbox));
                }
                int i15 = PictureSelectionConfig.f16659b.g;
                if (i15 != 0) {
                    this.O0.setBackgroundColor(i15);
                }
                int i16 = PictureSelectionConfig.f16659b.O;
                if (i16 != 0) {
                    this.A1.setBackgroundResource(i16);
                } else {
                    this.A1.setBackgroundResource(R.drawable.picture_album_bg);
                }
                if (!TextUtils.isEmpty(PictureSelectionConfig.f16659b.u)) {
                    this.Y0.setText(PictureSelectionConfig.f16659b.u);
                }
            } else {
                this.Y0.setBackgroundResource(R.drawable.picture_send_button_default_bg);
                this.A1.setBackgroundResource(R.drawable.picture_album_bg);
                this.Y0.setTextColor(d.f(n0(), R.color.picture_color_53575e));
                int c2 = c.c(n0(), R.attr.picture_bottom_bg);
                RelativeLayout relativeLayout = this.k1;
                if (c2 == 0) {
                    c2 = d.f(n0(), R.color.picture_color_grey);
                }
                relativeLayout.setBackgroundColor(c2);
                this.t1.setTextColor(d.f(this, R.color.picture_color_white));
                this.U0.setImageDrawable(d.i(this, R.drawable.picture_icon_wechat_down));
                if (this.f16584a.J1) {
                    this.t1.setButtonDrawable(d.i(this, R.drawable.picture_original_wechat_checkbox));
                }
            }
        }
        super.w0();
        a2();
    }

    /* access modifiers changed from: protected */
    @Override // com.luck.picture.lib.PictureBaseActivity, com.luck.picture.lib.PictureSelectorActivity
    public void x0() {
        super.x0();
        this.A1 = (RelativeLayout) findViewById(R.id.rlAlbum);
        this.Y0.setOnClickListener(this);
        this.Y0.setText(getString(R.string.picture_send));
        this.c1.setTextSize(16.0f);
        this.t1.setTextSize(16.0f);
        PictureSelectionConfig pictureSelectionConfig = this.f16584a;
        int i = 0;
        boolean z = pictureSelectionConfig.h1 == 1 && pictureSelectionConfig.U0;
        TextView textView = this.Y0;
        if (z) {
            i = 8;
        }
        textView.setVisibility(i);
        this.Y0.setOnClickListener(this);
        if (this.A1.getLayoutParams() instanceof RelativeLayout.LayoutParams) {
            RelativeLayout.LayoutParams layoutParams = (RelativeLayout.LayoutParams) this.A1.getLayoutParams();
            if (z) {
                layoutParams.addRule(14);
            } else {
                layoutParams.addRule(1, R.id.pictureLeftBack);
            }
        }
    }
}
