package com.lxj.xpopup.core;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.FrameLayout;
import androidx.annotation.NonNull;
import com.lxj.xpopup.R;
import com.lxj.xpopup.c.b;
import com.lxj.xpopup.e.c;
import com.lxj.xpopup.enums.PopupAnimation;

public class CenterPopupView extends BasePopupView {
    protected FrameLayout U0 = ((FrameLayout) findViewById(R.id.centerPopupContainer));
    protected int V0;
    protected int W0;

    public CenterPopupView(@NonNull Context context) {
        super(context);
    }

    /* access modifiers changed from: protected */
    @Override // com.lxj.xpopup.core.BasePopupView
    public int getImplLayoutId() {
        return 0;
    }

    /* access modifiers changed from: protected */
    @Override // com.lxj.xpopup.core.BasePopupView
    public int getMaxWidth() {
        int i = this.f17054b.k;
        return i == 0 ? (int) (((float) c.l(getContext())) * 0.86f) : i;
    }

    /* access modifiers changed from: protected */
    @Override // com.lxj.xpopup.core.BasePopupView
    public b getPopupAnimator() {
        return new com.lxj.xpopup.c.c(getPopupContentView(), PopupAnimation.ScaleAlphaFromCenter);
    }

    /* access modifiers changed from: protected */
    @Override // com.lxj.xpopup.core.BasePopupView
    public int getPopupLayoutId() {
        return R.layout._xpopup_center_popup_view;
    }

    /* access modifiers changed from: protected */
    @Override // com.lxj.xpopup.core.BasePopupView
    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        setTranslationY(0.0f);
    }

    /* access modifiers changed from: protected */
    @Override // com.lxj.xpopup.core.BasePopupView
    public void x() {
        super.x();
        View inflate = LayoutInflater.from(getContext()).inflate(getImplLayoutId(), (ViewGroup) this.U0, false);
        FrameLayout.LayoutParams layoutParams = (FrameLayout.LayoutParams) inflate.getLayoutParams();
        layoutParams.gravity = 17;
        this.U0.addView(inflate, layoutParams);
        getPopupContentView().setTranslationX((float) this.f17054b.s);
        getPopupContentView().setTranslationY((float) this.f17054b.t);
        c.a((ViewGroup) getPopupContentView(), getMaxWidth(), getMaxHeight());
    }
}
