package com.lxj.xpopup.core;

import android.content.Context;
import android.graphics.PointF;
import android.graphics.Rect;
import android.os.Build;
import androidx.annotation.NonNull;
import com.lxj.xpopup.c.b;
import com.lxj.xpopup.c.d;
import com.lxj.xpopup.e.c;
import com.lxj.xpopup.enums.PopupAnimation;
import com.lxj.xpopup.enums.PopupPosition;

public class HorizontalAttachPopupView extends AttachPopupView {
    public HorizontalAttachPopupView(@NonNull Context context) {
        super(context);
    }

    private boolean I() {
        return (this.Y0 || this.f17054b.q == PopupPosition.Left) && this.f17054b.q != PopupPosition.Right;
    }

    /* access modifiers changed from: protected */
    @Override // com.lxj.xpopup.core.AttachPopupView
    public void G() {
        float f;
        float f2;
        int measuredWidth = getPopupContentView().getMeasuredWidth();
        int measuredHeight = getPopupContentView().getMeasuredHeight();
        a aVar = this.f17054b;
        PointF pointF = aVar.j;
        boolean z = true;
        if (pointF != null) {
            if (pointF.x <= ((float) (c.l(getContext()) / 2))) {
                z = false;
            }
            this.Y0 = z;
            f = I() ? (this.f17054b.j.x - ((float) measuredWidth)) - ((float) this.V0) : ((float) this.V0) + this.f17054b.j.x;
            f2 = (this.f17054b.j.y - (((float) measuredHeight) * 0.5f)) + ((float) this.U0);
        } else {
            int[] iArr = new int[2];
            aVar.a().getLocationOnScreen(iArr);
            Rect rect = new Rect(iArr[0], iArr[1], iArr[0] + this.f17054b.a().getMeasuredWidth(), iArr[1] + this.f17054b.a().getMeasuredHeight());
            if ((rect.left + rect.right) / 2 <= c.l(getContext()) / 2) {
                z = false;
            }
            this.Y0 = z;
            f = I() ? (float) ((rect.left - measuredWidth) + this.V0) : (float) (rect.right + this.V0);
            f2 = (float) (rect.top + ((rect.height() - measuredHeight) / 2) + this.U0);
        }
        getPopupContentView().setTranslationX(f);
        getPopupContentView().setTranslationY(f2);
    }

    /* access modifiers changed from: protected */
    @Override // com.lxj.xpopup.core.BasePopupView, com.lxj.xpopup.core.AttachPopupView
    public b getPopupAnimator() {
        d dVar;
        if (I()) {
            dVar = new d(getPopupContentView(), PopupAnimation.ScrollAlphaFromRight);
        } else {
            dVar = new d(getPopupContentView(), PopupAnimation.ScrollAlphaFromLeft);
        }
        dVar.i = true;
        return dVar;
    }

    /* access modifiers changed from: protected */
    @Override // com.lxj.xpopup.core.BasePopupView, com.lxj.xpopup.core.AttachPopupView
    public void x() {
        super.x();
        int i = this.f17054b.t;
        if (i == 0) {
            i = c.e(getContext(), 0.0f);
        }
        this.U0 = i;
        int i2 = this.f17054b.s;
        if (i2 == 0) {
            i2 = c.e(getContext(), 4.0f);
        }
        this.V0 = i2;
        if (!this.f17054b.f17096e.booleanValue() && Build.VERSION.SDK_INT < 21 && getPopupBackground() == null) {
            int i3 = this.V0;
            int i4 = this.Z0;
            this.V0 = i3 - i4;
            this.U0 -= i4;
        }
    }
}
