package com.lxj.xpopup.core;

import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.animation.ArgbEvaluator;
import android.animation.ValueAnimator;
import android.content.Context;
import android.graphics.Color;
import android.graphics.Matrix;
import android.graphics.Rect;
import android.graphics.drawable.ColorDrawable;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.animation.LinearInterpolator;
import android.widget.FrameLayout;
import android.widget.ImageView;
import android.widget.TextView;
import android.widget.Toast;
import androidx.annotation.NonNull;
import androidx.transition.ChangeBounds;
import androidx.transition.ChangeImageTransform;
import androidx.transition.ChangeTransform;
import androidx.transition.Transition;
import androidx.transition.TransitionSet;
import androidx.transition.v;
import androidx.transition.w;
import androidx.viewpager.widget.ViewPager;
import com.lxj.xpermission.PermissionConstants;
import com.lxj.xpermission.XPermission;
import com.lxj.xpopup.R;
import com.lxj.xpopup.d.h;
import com.lxj.xpopup.d.k;
import com.lxj.xpopup.enums.PopupStatus;
import com.lxj.xpopup.photoview.PhotoView;
import com.lxj.xpopup.widget.BlankView;
import com.lxj.xpopup.widget.HackyViewPager;
import com.lxj.xpopup.widget.IndicatorCirclePointsLayout;
import com.lxj.xpopup.widget.PhotoViewContainer;
import java.util.ArrayList;
import java.util.List;
import kotlinx.coroutines.internal.m;

public class ImageViewerPopupView extends BasePopupView implements com.lxj.xpopup.d.d, View.OnClickListener {
    protected FrameLayout U0 = ((FrameLayout) findViewById(R.id.container));
    protected PhotoViewContainer V0;
    protected BlankView W0;
    protected TextView X0;
    protected TextView Y0;
    protected HackyViewPager Z0;
    protected ArgbEvaluator a1 = new ArgbEvaluator();
    protected List<Object> b1 = new ArrayList();
    protected k c1;
    protected h d1;
    protected int e1;
    protected Rect f1 = null;
    protected ImageView g1;
    protected PhotoView h1;
    protected boolean i1 = false;
    protected int j1 = -1;
    protected int k1 = -1;
    protected int l1 = -1;
    protected boolean m1 = true;
    protected boolean n1 = true;
    protected boolean o1 = false;
    protected View p1;
    protected int q1 = Color.rgb(32, 36, 46);
    private IndicatorCirclePointsLayout r1;
    private ImageLoadingView s1;

    class a extends ViewPager.k {
        a() {
        }

        @Override // androidx.viewpager.widget.ViewPager.k, androidx.viewpager.widget.ViewPager.h
        public void onPageScrolled(int i, float f, int i2) {
            super.onPageScrolled(i, f, i2);
            ImageViewerPopupView.this.r1.c(i, f);
        }

        @Override // androidx.viewpager.widget.ViewPager.k, androidx.viewpager.widget.ViewPager.h
        public void onPageSelected(int i) {
            ImageViewerPopupView imageViewerPopupView = ImageViewerPopupView.this;
            imageViewerPopupView.e1 = i;
            h hVar = imageViewerPopupView.d1;
            if (hVar != null) {
                hVar.a(imageViewerPopupView, i);
            }
        }
    }

    class b implements Runnable {

        class a extends v {
            a() {
            }

            @Override // androidx.transition.Transition.g, androidx.transition.v
            public void c(@NonNull Transition transition) {
                ImageViewerPopupView.this.Z0.setVisibility(0);
                ImageViewerPopupView.this.h1.setVisibility(4);
                ImageViewerPopupView imageViewerPopupView = ImageViewerPopupView.this;
                imageViewerPopupView.V0.M0 = false;
                b.super.r();
            }
        }

        b() {
        }

        public void run() {
            w.b((ViewGroup) ImageViewerPopupView.this.h1.getParent(), new TransitionSet().A0((long) com.lxj.xpopup.b.a()).O0(new ChangeBounds()).O0(new ChangeTransform()).O0(new ChangeImageTransform()).C0(new b.g.b.a.b()).a(new a()));
            ImageViewerPopupView.this.h1.setTranslationY(0.0f);
            ImageViewerPopupView.this.h1.setTranslationX(0.0f);
            ImageViewerPopupView.this.h1.setScaleType(ImageView.ScaleType.FIT_CENTER);
            ImageViewerPopupView imageViewerPopupView = ImageViewerPopupView.this;
            com.lxj.xpopup.e.c.v(imageViewerPopupView.h1, imageViewerPopupView.V0.getWidth(), ImageViewerPopupView.this.V0.getHeight());
            ImageViewerPopupView imageViewerPopupView2 = ImageViewerPopupView.this;
            imageViewerPopupView2.L(imageViewerPopupView2.q1);
            View view = ImageViewerPopupView.this.p1;
            if (view != null) {
                view.animate().alpha(1.0f).setDuration((long) com.lxj.xpopup.b.a()).start();
            }
        }
    }

    /* access modifiers changed from: package-private */
    public class c implements ValueAnimator.AnimatorUpdateListener {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ int f17074a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ int f17075b;

        c(int i, int i2) {
            this.f17074a = i;
            this.f17075b = i2;
        }

        public void onAnimationUpdate(ValueAnimator valueAnimator) {
            ImageViewerPopupView imageViewerPopupView = ImageViewerPopupView.this;
            imageViewerPopupView.V0.setBackgroundColor(((Integer) imageViewerPopupView.a1.evaluate(valueAnimator.getAnimatedFraction(), Integer.valueOf(this.f17074a), Integer.valueOf(this.f17075b))).intValue());
        }
    }

    /* access modifiers changed from: package-private */
    public class d extends v {
        d() {
        }

        @Override // androidx.transition.Transition.g, androidx.transition.v
        public void c(@NonNull Transition transition) {
            ImageViewerPopupView.this.q();
            ImageViewerPopupView.this.Z0.setVisibility(4);
            ImageViewerPopupView.this.h1.setVisibility(0);
            ImageViewerPopupView.this.Z0.setScaleX(1.0f);
            ImageViewerPopupView.this.Z0.setScaleY(1.0f);
            ImageViewerPopupView.this.h1.setScaleX(1.0f);
            ImageViewerPopupView.this.h1.setScaleY(1.0f);
            ImageViewerPopupView.this.W0.setVisibility(4);
        }
    }

    /* access modifiers changed from: package-private */
    public class e extends AnimatorListenerAdapter {
        e() {
        }

        public void onAnimationEnd(Animator animator) {
            super.onAnimationEnd(animator);
            View view = ImageViewerPopupView.this.p1;
            if (view != null) {
                view.setVisibility(4);
            }
        }
    }

    class f implements XPermission.d {
        f() {
        }

        @Override // com.lxj.xpermission.XPermission.d
        public void a() {
            Context context = ImageViewerPopupView.this.getContext();
            ImageViewerPopupView imageViewerPopupView = ImageViewerPopupView.this;
            k kVar = imageViewerPopupView.c1;
            List<Object> list = imageViewerPopupView.b1;
            boolean z = imageViewerPopupView.o1;
            int i = imageViewerPopupView.e1;
            if (z) {
                i %= list.size();
            }
            com.lxj.xpopup.e.c.t(context, kVar, list.get(i));
        }

        @Override // com.lxj.xpermission.XPermission.d
        public void b() {
            Toast.makeText(ImageViewerPopupView.this.getContext(), "没有保存权限，保存功能无法使用！", 0).show();
        }
    }

    public class g extends androidx.viewpager.widget.a {

        class a implements View.OnClickListener {
            a() {
            }

            public void onClick(View view) {
                ImageViewerPopupView.this.n();
            }
        }

        public g() {
        }

        @Override // androidx.viewpager.widget.a
        public void b(@NonNull ViewGroup viewGroup, int i, @NonNull Object obj) {
            viewGroup.removeView((View) obj);
        }

        @Override // androidx.viewpager.widget.a
        public int e() {
            ImageViewerPopupView imageViewerPopupView = ImageViewerPopupView.this;
            return imageViewerPopupView.o1 ? m.f22051e : imageViewerPopupView.b1.size();
        }

        @Override // androidx.viewpager.widget.a
        @NonNull
        public Object j(@NonNull ViewGroup viewGroup, int i) {
            PhotoView photoView = new PhotoView(viewGroup.getContext());
            ImageViewerPopupView imageViewerPopupView = ImageViewerPopupView.this;
            k kVar = imageViewerPopupView.c1;
            if (kVar != null) {
                List<Object> list = imageViewerPopupView.b1;
                kVar.a(i, i, list.get(imageViewerPopupView.o1 ? i % list.size() : i), photoView);
            }
            viewGroup.addView(photoView);
            photoView.setOnClickListener(new a());
            return photoView;
        }

        @Override // androidx.viewpager.widget.a
        public boolean k(@NonNull View view, @NonNull Object obj) {
            return obj == view;
        }
    }

    public ImageViewerPopupView(@NonNull Context context) {
        super(context);
        if (getImplLayoutId() > 0) {
            View inflate = LayoutInflater.from(getContext()).inflate(getImplLayoutId(), (ViewGroup) this.U0, false);
            this.p1 = inflate;
            inflate.setVisibility(4);
            this.p1.setAlpha(0.0f);
            this.U0.addView(this.p1);
        }
    }

    private void K() {
        if (this.g1 != null) {
            if (this.h1 == null) {
                PhotoView photoView = new PhotoView(getContext());
                this.h1 = photoView;
                this.V0.addView(photoView);
                this.h1.setScaleType(this.g1.getScaleType());
                this.h1.setTranslationX((float) this.f1.left);
                this.h1.setTranslationY((float) this.f1.top);
                com.lxj.xpopup.e.c.v(this.h1, this.f1.width(), this.f1.height());
            }
            a0();
            this.h1.setImageDrawable(this.g1.getDrawable());
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void L(int i) {
        int color = ((ColorDrawable) this.V0.getBackground()).getColor();
        ValueAnimator ofFloat = ValueAnimator.ofFloat(0.0f, 1.0f);
        ofFloat.addUpdateListener(new c(color, i));
        ofFloat.setDuration((long) com.lxj.xpopup.b.a()).setInterpolator(new LinearInterpolator());
        ofFloat.start();
    }

    private void a0() {
        this.W0.setVisibility(this.i1 ? 0 : 4);
        if (this.i1) {
            int i = this.j1;
            if (i != -1) {
                this.W0.J0 = i;
            }
            int i2 = this.l1;
            if (i2 != -1) {
                this.W0.I0 = i2;
            }
            int i3 = this.k1;
            if (i3 != -1) {
                this.W0.K0 = i3;
            }
            com.lxj.xpopup.e.c.v(this.W0, this.f1.width(), this.f1.height());
            this.W0.setTranslationX((float) this.f1.left);
            this.W0.setTranslationY((float) this.f1.top);
            this.W0.invalidate();
        }
    }

    private void c0() {
        if (this.b1.size() > 1) {
            int size = this.o1 ? this.e1 % this.b1.size() : this.e1;
            TextView textView = this.X0;
            textView.setText((size + 1) + "/" + this.b1.size());
        }
        if (this.m1) {
            this.Y0.setVisibility(0);
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.lxj.xpopup.core.BasePopupView
    public void B() {
        super.B();
        this.g1 = null;
    }

    public ImageViewerPopupView M(boolean z) {
        this.o1 = z;
        return this;
    }

    public ImageViewerPopupView N(boolean z) {
        this.n1 = z;
        return this;
    }

    public ImageViewerPopupView O(boolean z) {
        this.i1 = z;
        return this;
    }

    public ImageViewerPopupView P(boolean z) {
        this.m1 = z;
        return this;
    }

    public int Q() {
        return this.s1.getVisibility();
    }

    /* access modifiers changed from: protected */
    public void R() {
        XPermission.q(getContext(), PermissionConstants.i).o(new f()).E();
    }

    public ImageViewerPopupView S(List<Object> list) {
        this.b1 = list;
        return this;
    }

    public ImageViewerPopupView T(int i) {
        this.j1 = i;
        return this;
    }

    public ImageViewerPopupView U(int i) {
        this.l1 = i;
        return this;
    }

    public ImageViewerPopupView V(int i) {
        this.k1 = i;
        return this;
    }

    public ImageViewerPopupView W(ImageView imageView, Object obj) {
        if (this.b1 == null) {
            this.b1 = new ArrayList();
        }
        this.b1.clear();
        this.b1.add(obj);
        X(imageView, 0);
        return this;
    }

    public ImageViewerPopupView X(ImageView imageView, int i) {
        this.g1 = imageView;
        this.e1 = i;
        if (imageView != null) {
            int[] iArr = new int[2];
            imageView.getLocationInWindow(iArr);
            this.f1 = new Rect(iArr[0], iArr[1], iArr[0] + imageView.getWidth(), iArr[1] + imageView.getHeight());
        }
        return this;
    }

    public ImageViewerPopupView Y(h hVar) {
        this.d1 = hVar;
        return this;
    }

    public ImageViewerPopupView Z(k kVar) {
        this.c1 = kVar;
        return this;
    }

    @Override // com.lxj.xpopup.d.d
    public void a(boolean z) {
    }

    @Override // com.lxj.xpopup.d.d
    public void b() {
        n();
    }

    public void b0(boolean z) {
        if (this.s1.getVisibility() == 0 && z) {
            return;
        }
        if (this.s1.getVisibility() == 0 || z) {
            this.s1.setVisibility(z ? 0 : 4);
        }
    }

    @Override // com.lxj.xpopup.d.d
    public void c(int i, float f2, float f3) {
        float f4 = 1.0f - f3;
        this.X0.setAlpha(f4);
        View view = this.p1;
        if (view != null) {
            view.setAlpha(f4);
        }
        if (this.m1) {
            this.Y0.setAlpha(f4);
        }
        this.V0.setBackgroundColor(((Integer) this.a1.evaluate(f3 * 0.8f, Integer.valueOf(this.q1), 0)).intValue());
    }

    public void d0(ImageView imageView) {
        X(imageView, this.e1);
        K();
    }

    @Override // com.lxj.xpopup.core.BasePopupView
    public int getAnimationDuration() {
        return 0;
    }

    /* access modifiers changed from: protected */
    @Override // com.lxj.xpopup.core.BasePopupView
    public int getPopupLayoutId() {
        return R.layout._xpopup_image_viewer_popup_view;
    }

    @Override // com.lxj.xpopup.core.BasePopupView
    public void n() {
        if (this.L0 == PopupStatus.Show) {
            this.L0 = PopupStatus.Dismissing;
            if (this.g1 != null) {
                HackyViewPager hackyViewPager = this.Z0;
                PhotoView photoView = (PhotoView) hackyViewPager.getChildAt(hackyViewPager.getCurrentItem());
                if (photoView != null) {
                    Matrix matrix = new Matrix();
                    photoView.d(matrix);
                    this.h1.k(matrix);
                }
            }
            s();
        }
    }

    public void onClick(View view) {
    }

    /* access modifiers changed from: protected */
    @Override // com.lxj.xpopup.core.BasePopupView
    public void r() {
    }

    @Override // com.lxj.xpopup.core.BasePopupView
    public void s() {
        if (this.g1 == null) {
            this.V0.setBackgroundColor(0);
            q();
            this.Z0.setVisibility(4);
            this.W0.setVisibility(4);
            return;
        }
        this.X0.setVisibility(4);
        this.Y0.setVisibility(4);
        this.Z0.setVisibility(4);
        this.h1.setVisibility(0);
        this.V0.M0 = true;
        w.b((ViewGroup) this.h1.getParent(), new TransitionSet().A0(1000).O0(new ChangeBounds()).O0(new ChangeTransform()).O0(new ChangeImageTransform()).C0(new b.g.b.a.b()).a(new d()));
        this.h1.setTranslationY((float) this.f1.top);
        this.h1.setTranslationX((float) this.f1.left);
        this.h1.setScaleX(1.0f);
        this.h1.setScaleY(1.0f);
        this.h1.setScaleType(this.g1.getScaleType());
        com.lxj.xpopup.e.c.v(this.h1, this.f1.width(), this.f1.height());
        L(0);
        View view = this.p1;
        if (view != null) {
            view.animate().alpha(0.0f).setDuration((long) com.lxj.xpopup.b.a()).setListener(new e()).start();
        }
    }

    public void setLoadingProgress(int i) {
        ImageLoadingView imageLoadingView = this.s1;
        if (imageLoadingView != null && imageLoadingView.getVisibility() == 0) {
            this.s1.setProgress(i);
        }
    }

    @Override // com.lxj.xpopup.core.BasePopupView
    public void t() {
        if (this.g1 == null) {
            this.V0.setBackgroundColor(this.q1);
            this.Z0.setVisibility(0);
            this.V0.M0 = false;
            super.r();
            return;
        }
        this.V0.M0 = true;
        this.h1.setVisibility(0);
        View view = this.p1;
        if (view != null) {
            view.setVisibility(0);
        }
        this.h1.post(new b());
    }

    /* access modifiers changed from: protected */
    @Override // com.lxj.xpopup.core.BasePopupView
    public void x() {
        super.x();
        this.X0 = (TextView) findViewById(R.id.tv_pager_indicator);
        ImageLoadingView imageLoadingView = (ImageLoadingView) findViewById(R.id.loading_view);
        this.s1 = imageLoadingView;
        imageLoadingView.d();
        this.r1 = (IndicatorCirclePointsLayout) findViewById(R.id.indicator);
        this.Y0 = (TextView) findViewById(R.id.tv_save);
        this.W0 = (BlankView) findViewById(R.id.placeholderView);
        PhotoViewContainer photoViewContainer = (PhotoViewContainer) findViewById(R.id.photoViewContainer);
        this.V0 = photoViewContainer;
        photoViewContainer.setOnDragChangeListener(this);
        HackyViewPager hackyViewPager = (HackyViewPager) findViewById(R.id.pager);
        this.Z0 = hackyViewPager;
        hackyViewPager.setAdapter(new g());
        this.Z0.setOffscreenPageLimit(this.b1.size());
        this.Z0.setCurrentItem(this.e1);
        this.Z0.setVisibility(4);
        this.r1.setIndicatorsCount(this.b1.size());
        K();
        if (this.o1) {
            this.Z0.setOffscreenPageLimit(this.b1.size() / 2);
        }
        this.Z0.c(new a());
        if (!this.n1) {
            this.X0.setVisibility(8);
        }
        if (!this.m1) {
            this.Y0.setVisibility(8);
        } else {
            this.Y0.setOnClickListener(this);
        }
    }
}
