package com.lzy.okgo.h;

import android.os.Build;
import android.os.StatFs;
import android.text.TextUtils;
import java.io.BufferedInputStream;
import java.io.BufferedOutputStream;
import java.io.BufferedReader;
import java.io.BufferedWriter;
import java.io.ByteArrayInputStream;
import java.io.ByteArrayOutputStream;
import java.io.CharArrayWriter;
import java.io.Closeable;
import java.io.File;
import java.io.Flushable;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.io.OutputStream;
import java.io.OutputStreamWriter;
import java.io.Reader;
import java.io.UnsupportedEncodingException;
import java.io.Writer;
import java.lang.reflect.Method;
import java.util.ArrayList;
import java.util.List;

/* compiled from: IOUtils */
public class d {
    public static byte[] A(InputStream inputStream) throws IOException {
        ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
        T(inputStream, byteArrayOutputStream);
        byteArrayOutputStream.close();
        return byteArrayOutputStream.toByteArray();
    }

    public static byte[] B(Reader reader) throws IOException {
        ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
        X(reader, byteArrayOutputStream);
        byteArrayOutputStream.close();
        return byteArrayOutputStream.toByteArray();
    }

    public static byte[] C(Reader reader, String str) throws IOException {
        ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
        Y(reader, byteArrayOutputStream, str);
        byteArrayOutputStream.close();
        return byteArrayOutputStream.toByteArray();
    }

    public static byte[] D(CharSequence charSequence) {
        return charSequence == null ? new byte[0] : charSequence.toString().getBytes();
    }

    public static byte[] E(CharSequence charSequence, String str) throws UnsupportedEncodingException {
        return charSequence == null ? new byte[0] : charSequence.toString().getBytes(str);
    }

    public static byte[] F(Object obj) {
        Throwable th;
        ByteArrayOutputStream byteArrayOutputStream;
        IOException e2;
        ObjectOutputStream objectOutputStream;
        ObjectOutputStream objectOutputStream2 = null;
        try {
            byteArrayOutputStream = new ByteArrayOutputStream();
            try {
                objectOutputStream = new ObjectOutputStream(byteArrayOutputStream);
            } catch (IOException e3) {
                e2 = e3;
                objectOutputStream = null;
                try {
                    e.i(e2);
                    c(objectOutputStream);
                    c(byteArrayOutputStream);
                    return null;
                } catch (Throwable th2) {
                    th = th2;
                    objectOutputStream2 = objectOutputStream;
                    c(objectOutputStream2);
                    c(byteArrayOutputStream);
                    throw th;
                }
            } catch (Throwable th3) {
                th = th3;
                c(objectOutputStream2);
                c(byteArrayOutputStream);
                throw th;
            }
            try {
                objectOutputStream.writeObject(obj);
                objectOutputStream.flush();
                byte[] byteArray = byteArrayOutputStream.toByteArray();
                c(objectOutputStream);
                c(byteArrayOutputStream);
                return byteArray;
            } catch (IOException e4) {
                e2 = e4;
                e.i(e2);
                c(objectOutputStream);
                c(byteArrayOutputStream);
                return null;
            }
        } catch (IOException e5) {
            e2 = e5;
            byteArrayOutputStream = null;
            objectOutputStream = null;
            e.i(e2);
            c(objectOutputStream);
            c(byteArrayOutputStream);
            return null;
        } catch (Throwable th4) {
            th = th4;
            byteArrayOutputStream = null;
            c(objectOutputStream2);
            c(byteArrayOutputStream);
            throw th;
        }
    }

    public static char[] G(InputStream inputStream) throws IOException {
        CharArrayWriter charArrayWriter = new CharArrayWriter();
        V(inputStream, charArrayWriter);
        return charArrayWriter.toCharArray();
    }

    public static char[] H(InputStream inputStream, String str) throws IOException {
        CharArrayWriter charArrayWriter = new CharArrayWriter();
        W(inputStream, charArrayWriter, str);
        return charArrayWriter.toCharArray();
    }

    public static char[] I(Reader reader) throws IOException {
        CharArrayWriter charArrayWriter = new CharArrayWriter();
        Z(reader, charArrayWriter);
        return charArrayWriter.toCharArray();
    }

    public static char[] J(CharSequence charSequence) throws IOException {
        CharArrayWriter charArrayWriter = new CharArrayWriter();
        c0(charSequence, charArrayWriter);
        return charArrayWriter.toCharArray();
    }

    public static InputStream K(CharSequence charSequence) {
        return new ByteArrayInputStream(charSequence.toString().getBytes());
    }

    public static InputStream L(CharSequence charSequence, String str) throws UnsupportedEncodingException {
        return new ByteArrayInputStream(charSequence.toString().getBytes(str));
    }

    public static Object M(byte[] bArr) {
        ObjectInputStream objectInputStream;
        ByteArrayInputStream byteArrayInputStream;
        Throwable th;
        Exception e2;
        if (bArr == null) {
            return null;
        }
        try {
            byteArrayInputStream = new ByteArrayInputStream(bArr);
            try {
                objectInputStream = new ObjectInputStream(byteArrayInputStream);
                try {
                    Object readObject = objectInputStream.readObject();
                    c(objectInputStream);
                    c(byteArrayInputStream);
                    return readObject;
                } catch (Exception e3) {
                    e2 = e3;
                    try {
                        e.i(e2);
                        c(objectInputStream);
                        c(byteArrayInputStream);
                        return null;
                    } catch (Throwable th2) {
                        th = th2;
                        c(objectInputStream);
                        c(byteArrayInputStream);
                        throw th;
                    }
                }
            } catch (Exception e4) {
                e2 = e4;
                objectInputStream = null;
                e.i(e2);
                c(objectInputStream);
                c(byteArrayInputStream);
                return null;
            } catch (Throwable th3) {
                th = th3;
                objectInputStream = null;
                c(objectInputStream);
                c(byteArrayInputStream);
                throw th;
            }
        } catch (Exception e5) {
            e2 = e5;
            objectInputStream = null;
            byteArrayInputStream = null;
            e.i(e2);
            c(objectInputStream);
            c(byteArrayInputStream);
            return null;
        } catch (Throwable th4) {
            byteArrayInputStream = null;
            th = th4;
            objectInputStream = null;
            c(objectInputStream);
            c(byteArrayInputStream);
            throw th;
        }
    }

    public static String N(InputStream inputStream) throws IOException {
        return new String(A(inputStream));
    }

    public static String O(InputStream inputStream, String str) throws IOException {
        return new String(A(inputStream), str);
    }

    public static String P(Reader reader) throws IOException {
        return new String(B(reader));
    }

    public static String Q(Reader reader, String str) throws IOException {
        return new String(B(reader), str);
    }

    public static String R(byte[] bArr) {
        return new String(bArr);
    }

    public static String S(byte[] bArr, String str) {
        try {
            return new String(bArr, str);
        } catch (UnsupportedEncodingException unused) {
            return new String(bArr);
        }
    }

    public static void T(InputStream inputStream, OutputStream outputStream) throws IOException {
        byte[] bArr = new byte[4096];
        while (true) {
            int read = inputStream.read(bArr);
            if (read != -1) {
                outputStream.write(bArr, 0, read);
            } else {
                return;
            }
        }
    }

    public static void U(InputStream inputStream, OutputStream outputStream, String str) throws IOException {
        X(new InputStreamReader(inputStream, str), outputStream);
    }

    public static void V(InputStream inputStream, Writer writer) throws IOException {
        Z(new InputStreamReader(inputStream), writer);
    }

    public static void W(InputStream inputStream, Writer writer, String str) throws IOException {
        Z(new InputStreamReader(inputStream, str), writer);
    }

    public static void X(Reader reader, OutputStream outputStream) throws IOException {
        OutputStreamWriter outputStreamWriter = new OutputStreamWriter(outputStream);
        Z(reader, outputStreamWriter);
        outputStreamWriter.flush();
    }

    public static void Y(Reader reader, OutputStream outputStream, String str) throws IOException {
        OutputStreamWriter outputStreamWriter = new OutputStreamWriter(outputStream, str);
        Z(reader, outputStreamWriter);
        outputStreamWriter.flush();
    }

    public static void Z(Reader reader, Writer writer) throws IOException {
        char[] cArr = new char[4096];
        while (true) {
            int read = reader.read(cArr);
            if (-1 != read) {
                writer.write(cArr, 0, read);
            } else {
                return;
            }
        }
    }

    public static boolean a(String str) {
        return new File(str).canRead();
    }

    public static void a0(CharSequence charSequence, OutputStream outputStream) throws IOException {
        if (charSequence != null) {
            outputStream.write(charSequence.toString().getBytes());
        }
    }

    public static boolean b(String str) {
        return new File(str).canWrite();
    }

    public static void b0(CharSequence charSequence, OutputStream outputStream, String str) throws IOException {
        if (charSequence != null) {
            outputStream.write(charSequence.toString().getBytes(str));
        }
    }

    public static void c(Closeable closeable) {
        if (closeable != null) {
            try {
                closeable.close();
            } catch (Exception e2) {
                e.i(e2);
            }
        }
    }

    public static void c0(CharSequence charSequence, Writer writer) throws IOException {
        if (charSequence != null) {
            writer.write(charSequence.toString());
        }
    }

    public static boolean d(InputStream inputStream, InputStream inputStream2) throws IOException {
        BufferedInputStream w = w(inputStream);
        BufferedInputStream w2 = w(inputStream2);
        for (int read = w.read(); -1 != read; read = w.read()) {
            if (read != w2.read()) {
                return false;
            }
        }
        if (w2.read() == -1) {
            return true;
        }
        return false;
    }

    public static void d0(byte[] bArr, OutputStream outputStream) throws IOException {
        if (bArr != null) {
            outputStream.write(bArr);
        }
    }

    public static boolean e(Reader reader, Reader reader2) throws IOException {
        BufferedReader y = y(reader);
        BufferedReader y2 = y(reader2);
        for (int read = y.read(); -1 != read; read = y.read()) {
            if (read != y2.read()) {
                return false;
            }
        }
        if (y2.read() == -1) {
            return true;
        }
        return false;
    }

    public static void e0(byte[] bArr, Writer writer) throws IOException {
        if (bArr != null) {
            writer.write(new String(bArr));
        }
    }

    public static boolean f(Reader reader, Reader reader2) throws IOException {
        BufferedReader y = y(reader);
        BufferedReader y2 = y(reader2);
        String readLine = y.readLine();
        String readLine2 = y2.readLine();
        while (readLine != null && readLine2 != null && readLine.equals(readLine2)) {
            readLine = y.readLine();
            readLine2 = y2.readLine();
        }
        return readLine != null && (readLine2 == null || readLine.equals(readLine2));
    }

    public static void f0(byte[] bArr, Writer writer, String str) throws IOException {
        if (bArr != null) {
            writer.write(new String(bArr, str));
        }
    }

    public static boolean g(File file) {
        if (file.exists()) {
            if (file.isFile()) {
                return true;
            }
            o(file);
        }
        try {
            return file.createNewFile();
        } catch (IOException unused) {
            return false;
        }
    }

    public static void g0(char[] cArr, OutputStream outputStream) throws IOException {
        if (cArr != null) {
            outputStream.write(new String(cArr).getBytes());
        }
    }

    public static boolean h(String str) {
        if (!TextUtils.isEmpty(str)) {
            return g(new File(str));
        }
        return false;
    }

    public static void h0(char[] cArr, OutputStream outputStream, String str) throws IOException {
        if (cArr != null) {
            outputStream.write(new String(cArr).getBytes(str));
        }
    }

    public static boolean i(File file) {
        if (file.exists()) {
            if (file.isDirectory()) {
                return true;
            }
            file.delete();
        }
        return file.mkdirs();
    }

    public static void i0(char[] cArr, Writer writer) throws IOException {
        if (cArr != null) {
            writer.write(cArr);
        }
    }

    public static boolean j(String str) {
        if (!TextUtils.isEmpty(str)) {
            return i(new File(str));
        }
        return false;
    }

    public static boolean k(File file) {
        if (file.exists()) {
            o(file);
        }
        try {
            return file.createNewFile();
        } catch (IOException unused) {
            return false;
        }
    }

    public static boolean l(String str) {
        if (!TextUtils.isEmpty(str)) {
            return k(new File(str));
        }
        return false;
    }

    public static boolean m(File file) {
        return o(file) && i(file);
    }

    public static boolean n(String str) {
        return p(str) && j(str);
    }

    public static boolean o(File file) {
        if (file == null || !file.exists()) {
            return true;
        }
        if (file.isFile()) {
            file.delete();
            return true;
        } else if (!file.isDirectory()) {
            return true;
        } else {
            File[] listFiles = file.listFiles();
            if (listFiles != null) {
                for (File file2 : listFiles) {
                    o(file2);
                }
            }
            file.delete();
            return true;
        }
    }

    public static boolean p(String str) {
        if (TextUtils.isEmpty(str)) {
            return false;
        }
        return o(new File(str));
    }

    public static void q(Flushable flushable) {
        if (flushable != null) {
            try {
                flushable.flush();
            } catch (Exception e2) {
                e.i(e2);
            }
        }
    }

    public static long r(String str) {
        try {
            StatFs statFs = new StatFs(str);
            if (Build.VERSION.SDK_INT >= 18) {
                return s(statFs, "getBlockSizeLong", "getAvailableBlocksLong");
            }
            return s(statFs, "getBlockSize", "getAvailableBlocks");
        } catch (Exception e2) {
            e.i(e2);
            return 0;
        }
    }

    private static long s(StatFs statFs, String str, String str2) {
        try {
            Method method = statFs.getClass().getMethod(str, new Class[0]);
            method.setAccessible(true);
            Method method2 = statFs.getClass().getMethod(str2, new Class[0]);
            method2.setAccessible(true);
            return ((Long) method.invoke(statFs, new Object[0])).longValue() * ((Long) method2.invoke(statFs, new Object[0])).longValue();
        } catch (Throwable th) {
            e.i(th);
            return 0;
        }
    }

    public static List<String> t(InputStream inputStream) throws IOException {
        return v(new InputStreamReader(inputStream));
    }

    public static List<String> u(InputStream inputStream, String str) throws IOException {
        return v(new InputStreamReader(inputStream, str));
    }

    public static List<String> v(Reader reader) throws IOException {
        BufferedReader y = y(reader);
        ArrayList arrayList = new ArrayList();
        for (String readLine = y.readLine(); readLine != null; readLine = y.readLine()) {
            arrayList.add(readLine);
        }
        return arrayList;
    }

    public static BufferedInputStream w(InputStream inputStream) {
        return inputStream instanceof BufferedInputStream ? (BufferedInputStream) inputStream : new BufferedInputStream(inputStream);
    }

    public static BufferedOutputStream x(OutputStream outputStream) {
        return outputStream instanceof BufferedOutputStream ? (BufferedOutputStream) outputStream : new BufferedOutputStream(outputStream);
    }

    public static BufferedReader y(Reader reader) {
        return reader instanceof BufferedReader ? (BufferedReader) reader : new BufferedReader(reader);
    }

    public static BufferedWriter z(Writer writer) {
        return writer instanceof BufferedWriter ? (BufferedWriter) writer : new BufferedWriter(writer);
    }
}
