package com.lzy.okgo.request.base;

import com.lzy.okgo.model.HttpParams;
import java.io.File;
import java.util.List;
import okhttp3.d0;
import okhttp3.i0;
import org.json.JSONArray;
import org.json.JSONObject;

/* compiled from: HasBody */
public interface a<R> {
    R addFileParams(String str, List<File> list);

    R addFileWrapperParams(String str, List<HttpParams.FileWrapper> list);

    R isMultipart(boolean z);

    R isSpliceUrl(boolean z);

    R params(String str, File file);

    R params(String str, File file, String str2);

    R params(String str, File file, String str2, d0 d0Var);

    R upBytes(byte[] bArr);

    R upBytes(byte[] bArr, d0 d0Var);

    R upFile(File file);

    R upFile(File file, d0 d0Var);

    R upJson(String str);

    R upJson(JSONArray jSONArray);

    R upJson(JSONObject jSONObject);

    R upRequestBody(i0 i0Var);

    R upString(String str);

    R upString(String str, d0 d0Var);
}
