package com.niming.framework.base;

import android.content.Context;
import android.util.AttributeSet;
import com.niming.baseadapter.a;

public abstract class BaseAdapterView<T> extends BaseView<T> {
    protected a<T> adapter;
    protected int index = -1;

    public BaseAdapterView(Context context) {
        super(context);
    }

    public void addAdapterReference(a<T> aVar) {
        this.adapter = aVar;
    }

    public void setData(T t, int i) {
        super.setData(t);
        this.index = i;
    }

    public BaseAdapterView(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
    }

    public BaseAdapterView(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
    }
}
