package com.niming.weipa.db;

import androidx.room.Dao;
import androidx.room.Insert;
import androidx.room.Query;
import com.niming.weipa.model.WebsiteBean;
import java.util.List;
import kotlin.Metadata;
import org.jetbrains.annotations.Nullable;

@Dao
@Metadata(d1 = {"\u0000$\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0000\n\u0002\u0010 \n\u0002\u0018\u0002\n\u0002\b\u0003\n\u0002\u0010\u0002\n\u0000\n\u0002\u0010\u000e\n\u0002\b\u0005\bg\u0018\u00002\u00020\u0001J\u0012\u0010\u0007\u001a\u00020\b2\b\u0010\t\u001a\u0004\u0018\u00010\nH'J\b\u0010\u000b\u001a\u00020\bH'J\u0015\u0010\f\u001a\u0004\u0018\u00010\u00042\b\u0010\t\u001a\u0004\u0018\u00010\nH§\u0002J\u0012\u0010\r\u001a\u00020\b2\b\u0010\u000e\u001a\u0004\u0018\u00010\u0004H'R\u001e\u0010\u0002\u001a\f\u0012\u0006\u0012\u0004\u0018\u00010\u0004\u0018\u00010\u00038gX¦\u0004¢\u0006\u0006\u001a\u0004\b\u0005\u0010\u0006¨\u0006\u000f"}, d2 = {"Lcom/niming/weipa/db/BrowseRecordDao;", "", "all", "", "Lcom/niming/weipa/model/WebsiteBean;", "getAll", "()Ljava/util/List;", "delete", "", "arg0", "", "deleteAll", "get", "save", "history", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* compiled from: BrowseRecordDao.kt */
public interface BrowseRecordDao {
    @Query("delete from WebsiteBean where `key`=:arg0")
    void delete(@Nullable String str);

    @Query("delete from WebsiteBean")
    void deleteAll();

    @Query("select * from WebsiteBean where `key`=:arg0")
    @Nullable
    WebsiteBean get(@Nullable String str);

    @Query("select * from WebsiteBean ")
    @Nullable
    List<WebsiteBean> getAll();

    @Insert(onConflict = 1)
    void save(@Nullable WebsiteBean websiteBean);
}
