package com.niming.weipa.h.a;

import android.app.Activity;
import android.view.KeyEvent;
import android.view.View;
import android.widget.ImageView;
import android.widget.TextView;
import androidx.core.app.NotificationCompat;
import androidx.recyclerview.widget.RecyclerView;
import com.alipay.sdk.util.j;
import com.blankj.utilcode.util.KeyboardUtils;
import com.blankj.utilcode.util.ToastUtils;
import com.chad.library.adapter.base.BaseQuickAdapter;
import com.niming.framework.b.g;
import com.niming.framework.net.Result;
import com.niming.framework.widget.XRefreshLayout;
import com.niming.weipa.R;
import com.niming.weipa.model.RefreshEvent;
import com.niming.weipa.model.UphostListBean;
import com.niming.weipa.ui.mine.activity.FocusOnActivity;
import com.niming.weipa.ui.mine.profile_home.PersonalHomePageActivity;
import com.niming.weipa.ui.mine.widget.CheckVideoTypeMenu;
import com.niming.weipa.utils.u;
import com.niming.weipa.utils.v;
import com.niming.weipa.widget.ClearableEditText;
import java.util.ArrayList;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;
import java.util.Objects;
import kotlin.Metadata;
import kotlin.Unit;
import kotlin.jvm.functions.Function1;
import kotlin.jvm.internal.Intrinsics;
import kotlin.jvm.internal.Lambda;
import kotlin.text.StringsKt__StringsKt;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

@Metadata(d1 = {"\u00002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010\u000e\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0006\n\u0002\u0010\u0002\n\u0002\b\u0003\n\u0002\u0010\b\n\u0002\b\u0007\n\u0002\u0018\u0002\n\u0002\b\u0004\u0018\u00002\u00020\u0001B\u0005¢\u0006\u0002\u0010\u0002J\b\u0010\f\u001a\u00020\rH\u0002J\u0018\u0010\u000e\u001a\u00020\r2\u0006\u0010\u000f\u001a\u00020\u00042\u0006\u0010\u0010\u001a\u00020\u0011H\u0002J\b\u0010\u0012\u001a\u00020\u0011H\u0016J\b\u0010\u0013\u001a\u00020\rH\u0002J\b\u0010\u0014\u001a\u00020\rH\u0002J\b\u0010\u0015\u001a\u00020\rH\u0002J\b\u0010\u0016\u001a\u00020\rH\u0002J\u0010\u0010\u0017\u001a\u00020\r2\u0006\u0010\u0018\u001a\u00020\u0019H\u0016J\u0012\u0010\u001a\u001a\u00020\r2\b\u0010\u001b\u001a\u0004\u0018\u00010\u0019H\u0016J\b\u0010\u001c\u001a\u00020\rH\u0002R\u000e\u0010\u0003\u001a\u00020\u0004X\u000e¢\u0006\u0002\n\u0000R\u001a\u0010\u0005\u001a\u00020\u0006X\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u0007\u0010\b\"\u0004\b\t\u0010\nR\u000e\u0010\u000b\u001a\u00020\u0004X\u000e¢\u0006\u0002\n\u0000¨\u0006\u001d"}, d2 = {"Lcom/niming/weipa/ui/filmLibrary/CreatorFragment;", "Lcom/niming/weipa/base/BaseFragment;", "()V", "keyword", "", "mAdapter", "Lcom/niming/weipa/ui/main/adapter/FollowCreatorAdapter;", "getMAdapter", "()Lcom/niming/weipa/ui/main/adapter/FollowCreatorAdapter;", "setMAdapter", "(Lcom/niming/weipa/ui/main/adapter/FollowCreatorAdapter;)V", "type", "getData", "", "getUserFollow", FocusOnActivity.K0, "position", "", "getViewRes", "initListener", "initMenu", "initRecyclerView", "initRefreshLayout", "initView", "view", "Landroid/view/View;", "onClick", "v", "sendTxtMsg", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* compiled from: CreatorFragment.kt */
public final class k extends com.niming.weipa.base.d {
    @NotNull
    private String T0 = "1";
    @NotNull
    private String U0 = "";
    @NotNull
    private com.niming.weipa.ui.main.p.a V0 = new com.niming.weipa.ui.main.p.a();
    @NotNull
    public Map<Integer, View> W0 = new LinkedHashMap();

    @Metadata(d1 = {"\u0000\u0019\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J\b\u0010\u0002\u001a\u00020\u0003H\u0016J\u0010\u0010\u0004\u001a\u00020\u00032\u0006\u0010\u0005\u001a\u00020\u0006H\u0014¨\u0006\u0007"}, d2 = {"com/niming/weipa/ui/filmLibrary/CreatorFragment$getData$1", "Lcom/niming/weipa/net/AbsHttpCallback;", "onFinish", "", "onSuccess", j.f6041c, "Lcom/niming/framework/net/Result;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: CreatorFragment.kt */
    public static final class a extends com.niming.weipa.g.a {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ k f19137a;

        a(k kVar) {
            this.f19137a = kVar;
        }

        @Override // com.lzy.okgo.d.c, com.lzy.okgo.d.a, com.niming.weipa.g.a
        public void onFinish() {
            super.onFinish();
            this.f19137a.setStatusComplete();
            k kVar = this.f19137a;
            int i = R.id.refresh_layout;
            XRefreshLayout xRefreshLayout = (XRefreshLayout) kVar.h0(i);
            if (xRefreshLayout != null) {
                xRefreshLayout.H();
            }
            XRefreshLayout xRefreshLayout2 = (XRefreshLayout) this.f19137a.h0(i);
            if (xRefreshLayout2 != null) {
                xRefreshLayout2.g();
            }
        }

        /* access modifiers changed from: protected */
        @Override // com.niming.weipa.g.a
        public void onSuccess(@NotNull Result result) {
            Intrinsics.checkNotNullParameter(result, j.f6041c);
            if (result.isOk()) {
                List a2 = g.a(result.getData(), UphostListBean.class);
                if (((com.niming.weipa.base.d) this.f19137a).P0 == 1) {
                    this.f19137a.p0().s1(a2);
                } else if (a2.isEmpty()) {
                    ((XRefreshLayout) this.f19137a.h0(R.id.refresh_layout)).B();
                } else {
                    com.niming.weipa.ui.main.p.a p0 = this.f19137a.p0();
                    Intrinsics.checkNotNullExpressionValue(a2, "data");
                    p0.B(a2);
                }
            } else {
                ToastUtils.W(result.getMessage(), new Object[0]);
            }
        }
    }

    @Metadata(d1 = {"\u0000\u0017\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J\u0010\u0010\u0002\u001a\u00020\u00032\u0006\u0010\u0004\u001a\u00020\u0005H\u0014¨\u0006\u0006"}, d2 = {"com/niming/weipa/ui/filmLibrary/CreatorFragment$getUserFollow$1", "Lcom/niming/weipa/net/AbsHttpCallback;", "onSuccess", "", j.f6041c, "Lcom/niming/framework/net/Result;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: CreatorFragment.kt */
    public static final class b extends com.niming.weipa.g.a {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ k f19138a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ int f19139b;

        b(k kVar, int i) {
            this.f19138a = kVar;
            this.f19139b = i;
        }

        /* access modifiers changed from: protected */
        @Override // com.niming.weipa.g.a
        public void onSuccess(@NotNull Result result) {
            Intrinsics.checkNotNullParameter(result, j.f6041c);
            if (result.isOk()) {
                if (((UphostListBean) this.f19138a.p0().getData().get(this.f19139b)).getIs_relation() == 1) {
                    ((UphostListBean) this.f19138a.p0().getData().get(this.f19139b)).setIs_relation(0);
                } else {
                    ((UphostListBean) this.f19138a.p0().getData().get(this.f19139b)).setIs_relation(1);
                }
                this.f19138a.p0().notifyItemChanged(this.f19139b);
                com.niming.framework.b.d.b(new RefreshEvent(33));
            }
        }
    }

    @Metadata(d1 = {"\u0000#\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u000b\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\b\n\u0000\n\u0002\u0018\u0002\n\u0000*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J$\u0010\u0002\u001a\u00020\u00032\b\u0010\u0004\u001a\u0004\u0018\u00010\u00052\u0006\u0010\u0006\u001a\u00020\u00072\b\u0010\b\u001a\u0004\u0018\u00010\tH\u0016¨\u0006\n"}, d2 = {"com/niming/weipa/ui/filmLibrary/CreatorFragment$initListener$1", "Landroid/widget/TextView$OnEditorActionListener;", "onEditorAction", "", "v", "Landroid/widget/TextView;", "actionId", "", NotificationCompat.r0, "Landroid/view/KeyEvent;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: CreatorFragment.kt */
    public static final class c implements TextView.OnEditorActionListener {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ k f19140a;

        c(k kVar) {
            this.f19140a = kVar;
        }

        public boolean onEditorAction(@Nullable TextView textView, int i, @Nullable KeyEvent keyEvent) {
            if (i != 3) {
                return false;
            }
            this.f19140a.D0();
            KeyboardUtils.j(((com.niming.framework.base.b) this.f19140a).I0);
            return true;
        }
    }

    /* access modifiers changed from: package-private */
    @Metadata(d1 = {"\u0000\u0010\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\u0010\u0000\u001a\u00020\u00012\u000e\u0010\u0002\u001a\n \u0004*\u0004\u0018\u00010\u00030\u0003H\n¢\u0006\u0002\b\u0005"}, d2 = {"<anonymous>", "", "it", "Landroid/widget/ImageView;", "kotlin.jvm.PlatformType", "invoke"}, k = 3, mv = {1, 6, 0}, xi = 48)
    /* compiled from: CreatorFragment.kt */
    public static final class d extends Lambda implements Function1<ImageView, Unit> {
        final /* synthetic */ k this$0;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        d(k kVar) {
            super(1);
            this.this$0 = kVar;
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // kotlin.jvm.functions.Function1
        public /* bridge */ /* synthetic */ Unit invoke(ImageView imageView) {
            invoke(imageView);
            return Unit.INSTANCE;
        }

        public final void invoke(ImageView imageView) {
            this.this$0.D0();
            KeyboardUtils.j(((com.niming.framework.base.b) this.this$0).I0);
        }
    }

    /* access modifiers changed from: package-private */
    @Metadata(d1 = {"\u0000\u000e\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0010\u000e\n\u0000\u0010\u0000\u001a\u00020\u00012\u0006\u0010\u0002\u001a\u00020\u0003H\n¢\u0006\u0002\b\u0004"}, d2 = {"<anonymous>", "", "it", "", "invoke"}, k = 3, mv = {1, 6, 0}, xi = 48)
    /* compiled from: CreatorFragment.kt */
    public static final class e extends Lambda implements Function1<String, Unit> {
        final /* synthetic */ ArrayList<String> $menuData;
        final /* synthetic */ k this$0;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        e(k kVar, ArrayList<String> arrayList) {
            super(1);
            this.this$0 = kVar;
            this.$menuData = arrayList;
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // kotlin.jvm.functions.Function1
        public /* bridge */ /* synthetic */ Unit invoke(String str) {
            invoke(str);
            return Unit.INSTANCE;
        }

        public final void invoke(@NotNull String str) {
            Intrinsics.checkNotNullParameter(str, "it");
            ((com.niming.weipa.base.d) this.this$0).P0 = 1;
            if (Intrinsics.areEqual(str, this.$menuData.get(0))) {
                this.this$0.T0 = "1";
                this.this$0.o0();
            } else if (Intrinsics.areEqual(str, this.$menuData.get(1))) {
                this.this$0.T0 = "2";
                this.this$0.o0();
            } else if (Intrinsics.areEqual(str, this.$menuData.get(2))) {
                this.this$0.T0 = "3";
                this.this$0.o0();
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void D0() {
        int i = R.id.et_search_uphost;
        String obj = StringsKt__StringsKt.trim((CharSequence) String.valueOf(((ClearableEditText) h0(i)).getText())).toString();
        KeyboardUtils.s((ClearableEditText) h0(i));
        this.U0 = obj;
        o0();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void o0() {
        com.niming.weipa.g.c.c0().P1(this.P0, 20, this.T0, this.U0, new a(this));
    }

    private final void q0(String str, int i) {
        com.niming.weipa.g.c.c0().O0(str, new b(this, i));
    }

    private final void r0() {
        int i = R.id.et_search_uphost;
        ((ClearableEditText) h0(i)).setOnEditorActionListener(new c(this));
        ((ClearableEditText) h0(i)).setOnTextClearedListener(new g(this));
        u.f((ImageView) h0(R.id.iv_search), 0, new d(this), 1, null);
    }

    /* access modifiers changed from: private */
    public static final void s0(k kVar) {
        Intrinsics.checkNotNullParameter(kVar, "this$0");
        KeyboardUtils.j(kVar.I0);
        kVar.U0 = "";
        kVar.o0();
    }

    private final void t0() {
        ArrayList<String> b2 = v.b("推荐", "最受欢迎", "最新");
        ((CheckVideoTypeMenu) h0(R.id.checkVideoTypeMenu)).k("", b2, new e(this, b2));
    }

    private final void u0() {
        ((RecyclerView) h0(R.id.recycler_view)).setAdapter(this.V0);
        this.V0.i(new h(this));
    }

    /* access modifiers changed from: private */
    public static final void v0(k kVar, BaseQuickAdapter baseQuickAdapter, View view, int i) {
        Intrinsics.checkNotNullParameter(kVar, "this$0");
        Intrinsics.checkNotNullParameter(baseQuickAdapter, "adapter");
        Intrinsics.checkNotNullParameter(view, "view");
        Object obj = baseQuickAdapter.getData().get(i);
        Objects.requireNonNull(obj, "null cannot be cast to non-null type com.niming.weipa.model.UphostListBean");
        String code = ((UphostListBean) obj).getCode();
        int id = view.getId();
        if (id == com.hj.chen.new1126.R.id.ivAvatar) {
            PersonalHomePageActivity.a aVar = PersonalHomePageActivity.f20001a;
            Activity activity = kVar.I0;
            Intrinsics.checkNotNullExpressionValue(activity, "activity");
            aVar.b(activity, code);
        } else if (id == com.hj.chen.new1126.R.id.tv_follow_status) {
            Intrinsics.checkNotNullExpressionValue(code, "uid");
            kVar.q0(code, i);
        }
    }

    private final void w0() {
        int i = R.id.refresh_layout;
        ((XRefreshLayout) h0(i)).h0(new f(this));
        ((XRefreshLayout) h0(i)).O(new i(this));
    }

    /* access modifiers changed from: private */
    public static final void x0(k kVar, com.scwang.smartrefresh.layout.b.j jVar) {
        Intrinsics.checkNotNullParameter(kVar, "this$0");
        Intrinsics.checkNotNullParameter(jVar, "it");
        kVar.P0 = 1;
        kVar.o0();
    }

    /* access modifiers changed from: private */
    public static final void y0(k kVar, com.scwang.smartrefresh.layout.b.j jVar) {
        Intrinsics.checkNotNullParameter(kVar, "this$0");
        Intrinsics.checkNotNullParameter(jVar, "it");
        kVar.P0++;
        kVar.o0();
    }

    public final void E0(@NotNull com.niming.weipa.ui.main.p.a aVar) {
        Intrinsics.checkNotNullParameter(aVar, "<set-?>");
        this.V0 = aVar;
    }

    public void f0() {
        this.W0.clear();
    }

    @Override // com.niming.framework.base.g
    public int getViewRes() {
        return com.hj.chen.new1126.R.layout.frg_creator;
    }

    @Nullable
    public View h0(int i) {
        View findViewById;
        Map<Integer, View> map = this.W0;
        View view = map.get(Integer.valueOf(i));
        if (view != null) {
            return view;
        }
        View view2 = getView();
        if (view2 == null || (findViewById = view2.findViewById(i)) == null) {
            return null;
        }
        map.put(Integer.valueOf(i), findViewById);
        return findViewById;
    }

    @Override // com.niming.weipa.base.d, com.niming.framework.base.g
    public void j(@NotNull View view) {
        Intrinsics.checkNotNullParameter(view, "view");
        super.j(view);
        r0();
        t0();
        w0();
        u0();
        setStatusLoading((XRefreshLayout) h0(R.id.refresh_layout));
        o0();
    }

    public void onClick(@Nullable View view) {
    }

    @Override // com.niming.weipa.base.d, androidx.fragment.app.Fragment
    public /* synthetic */ void onDestroyView() {
        super.onDestroyView();
        f0();
    }

    @NotNull
    public final com.niming.weipa.ui.main.p.a p0() {
        return this.V0;
    }
}
