package com.niming.weipa.h.d;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import com.alipay.sdk.util.j;
import com.blankj.utilcode.util.ToastUtils;
import com.niming.framework.b.g;
import com.niming.framework.net.Result;
import com.niming.framework.widget.TitleView;
import com.niming.framework.widget.XRefreshLayout;
import com.niming.weipa.R;
import com.niming.weipa.base.d;
import com.niming.weipa.model.MessageIndexModel;
import com.niming.weipa.model.MessageListItem;
import com.niming.weipa.ui.mine.widget.n;
import com.niming.weipa.widget.OnlyOneTextEmptyView;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;
import kotlin.Metadata;
import kotlin.jvm.internal.DefaultConstructorMarker;
import kotlin.jvm.internal.Intrinsics;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

@Metadata(d1 = {"\u00002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0010\b\n\u0000\n\u0002\u0010\u0002\n\u0002\b\u0004\n\u0002\u0018\u0002\n\u0002\b\u0006\n\u0002\u0018\u0002\n\u0002\b\u0004\u0018\u0000 \u001b2\u00020\u0001:\u0001\u001bB\u0005¢\u0006\u0002\u0010\u0002J\b\u0010\t\u001a\u00020\nH\u0016J\b\u0010\u000b\u001a\u00020\fH\u0002J\b\u0010\r\u001a\u00020\fH\u0002J\b\u0010\u000e\u001a\u00020\fH\u0002J\u0012\u0010\u000f\u001a\u00020\f2\b\u0010\u0010\u001a\u0004\u0018\u00010\u0011H\u0016J\b\u0010\u0012\u001a\u00020\fH\u0002J\b\u0010\u0013\u001a\u00020\fH\u0002J\"\u0010\u0014\u001a\u00020\f2\u0006\u0010\u0015\u001a\u00020\n2\u0006\u0010\u0016\u001a\u00020\n2\b\u0010\u0017\u001a\u0004\u0018\u00010\u0018H\u0016J\u0012\u0010\u0019\u001a\u00020\f2\b\u0010\u001a\u001a\u0004\u0018\u00010\u0011H\u0016R\u001a\u0010\u0003\u001a\u00020\u0004X\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u0005\u0010\u0006\"\u0004\b\u0007\u0010\b¨\u0006\u001c"}, d2 = {"Lcom/niming/weipa/ui/message/MessageFragment;", "Lcom/niming/weipa/base/BaseFragment;", "()V", "adapter", "Lcom/chad/library/adapter/base/BaseBinderAdapter;", "getAdapter", "()Lcom/chad/library/adapter/base/BaseBinderAdapter;", "setAdapter", "(Lcom/chad/library/adapter/base/BaseBinderAdapter;)V", "getViewRes", "", "initData", "", "initRecyclerView", "initRefreshLayout", "initView", "view", "Landroid/view/View;", "messageIndex", "msgList", "onActivityResult", "requestCode", "resultCode", "data", "Landroid/content/Intent;", "onClick", "v", "Companion", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* compiled from: MessageFragment.kt */
public final class c extends d {
    @NotNull
    public static final a T0 = new a(null);
    @NotNull
    private com.chad.library.adapter.base.a U0 = new com.chad.library.adapter.base.a(null, 1, null);
    @NotNull
    public Map<Integer, View> V0 = new LinkedHashMap();

    @Metadata(d1 = {"\u0000\u0012\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\b\u0003\u0018\u00002\u00020\u0001B\u0007\b\u0002¢\u0006\u0002\u0010\u0002J\u0006\u0010\u0003\u001a\u00020\u0004¨\u0006\u0005"}, d2 = {"Lcom/niming/weipa/ui/message/MessageFragment$Companion;", "", "()V", "newInstance", "Lcom/niming/weipa/ui/message/MessageFragment;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: MessageFragment.kt */
    public static final class a {
        private a() {
        }

        public /* synthetic */ a(DefaultConstructorMarker defaultConstructorMarker) {
            this();
        }

        @NotNull
        public final c a() {
            Bundle bundle = new Bundle();
            c cVar = new c();
            cVar.setArguments(bundle);
            return cVar;
        }
    }

    @Metadata(d1 = {"\u0000\u0019\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J\b\u0010\u0002\u001a\u00020\u0003H\u0016J\u0010\u0010\u0004\u001a\u00020\u00032\u0006\u0010\u0005\u001a\u00020\u0006H\u0014¨\u0006\u0007"}, d2 = {"com/niming/weipa/ui/message/MessageFragment$messageIndex$1", "Lcom/niming/weipa/net/AbsHttpCallback;", "onFinish", "", "onSuccess", j.f6041c, "Lcom/niming/framework/net/Result;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: MessageFragment.kt */
    public static final class b extends com.niming.weipa.g.a {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ c f19153a;

        b(c cVar) {
            this.f19153a = cVar;
        }

        @Override // com.lzy.okgo.d.c, com.lzy.okgo.d.a, com.niming.weipa.g.a
        public void onFinish() {
            super.onFinish();
            this.f19153a.setStatusComplete();
            c cVar = this.f19153a;
            int i = R.id.refreshLayout;
            ((XRefreshLayout) cVar.h0(i)).g();
            ((XRefreshLayout) this.f19153a.h0(i)).H();
        }

        /* access modifiers changed from: protected */
        @Override // com.niming.weipa.g.a
        public void onSuccess(@NotNull Result result) {
            Intrinsics.checkNotNullParameter(result, j.f6041c);
            if (result.isOk()) {
                MessageIndexModel messageIndexModel = (MessageIndexModel) g.b(result.getData(), MessageIndexModel.class);
                if (messageIndexModel == null) {
                    Activity activity = ((com.niming.framework.base.b) this.f19153a).I0;
                    Intrinsics.checkNotNullExpressionValue(activity, "activity");
                    OnlyOneTextEmptyView onlyOneTextEmptyView = new OnlyOneTextEmptyView(activity, null, 0, 6, null);
                    onlyOneTextEmptyView.setContent("暂无私信消息");
                    this.f19153a.l0().e1(onlyOneTextEmptyView);
                    return;
                }
                MessageListItem feedback = messageIndexModel.getFeedback();
                MessageListItem notice = messageIndexModel.getNotice();
                List<MessageListItem> msg = messageIndexModel.getMsg();
                if (feedback == null) {
                    feedback = new MessageListItem();
                }
                if (notice == null) {
                    notice = new MessageListItem();
                }
                feedback.setUser_nick("官方客服");
                notice.setUser_nick("系统消息");
                feedback.setTalk_id(MessageListItem.FEEDBACK);
                notice.setTalk_id(MessageListItem.NOTICE);
                msg.add(0, notice);
                msg.add(1, feedback);
                this.f19153a.l0().getData().clear();
                com.chad.library.adapter.base.a l0 = this.f19153a.l0();
                Intrinsics.checkNotNullExpressionValue(msg, "msg");
                l0.B(msg);
                return;
            }
            ToastUtils.W(result.getMessage(), new Object[0]);
        }
    }

    @Metadata(d1 = {"\u0000\u0019\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J\b\u0010\u0002\u001a\u00020\u0003H\u0016J\u0010\u0010\u0004\u001a\u00020\u00032\u0006\u0010\u0005\u001a\u00020\u0006H\u0014¨\u0006\u0007"}, d2 = {"com/niming/weipa/ui/message/MessageFragment$msgList$1", "Lcom/niming/weipa/net/AbsHttpCallback;", "onFinish", "", "onSuccess", j.f6041c, "Lcom/niming/framework/net/Result;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* renamed from: com.niming.weipa.h.d.c$c  reason: collision with other inner class name */
    /* compiled from: MessageFragment.kt */
    public static final class C0375c extends com.niming.weipa.g.a {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ c f19154a;

        C0375c(c cVar) {
            this.f19154a = cVar;
        }

        @Override // com.lzy.okgo.d.c, com.lzy.okgo.d.a, com.niming.weipa.g.a
        public void onFinish() {
            super.onFinish();
            this.f19154a.setStatusComplete();
            c cVar = this.f19154a;
            int i = R.id.refreshLayout;
            ((XRefreshLayout) cVar.h0(i)).H();
            ((XRefreshLayout) this.f19154a.h0(i)).g();
        }

        /* access modifiers changed from: protected */
        @Override // com.niming.weipa.g.a
        public void onSuccess(@NotNull Result result) {
            Intrinsics.checkNotNullParameter(result, j.f6041c);
            boolean z = false;
            if (result.isOk()) {
                List a2 = g.a(result.getData(), MessageListItem.class);
                XRefreshLayout xRefreshLayout = (XRefreshLayout) this.f19154a.h0(R.id.refreshLayout);
                if (a2.size() >= 15) {
                    z = true;
                }
                xRefreshLayout.f0(z);
                if (((d) this.f19154a).P0 == 1) {
                    if (a2.isEmpty()) {
                        Activity activity = ((com.niming.framework.base.b) this.f19154a).I0;
                        Intrinsics.checkNotNullExpressionValue(activity, "activity");
                        OnlyOneTextEmptyView onlyOneTextEmptyView = new OnlyOneTextEmptyView(activity, null, 0, 6, null);
                        onlyOneTextEmptyView.setContent("暂无私信消息");
                        this.f19154a.l0().e1(onlyOneTextEmptyView);
                        return;
                    }
                    this.f19154a.l0().getData().clear();
                    com.chad.library.adapter.base.a l0 = this.f19154a.l0();
                    Intrinsics.checkNotNullExpressionValue(a2, "parseArray");
                    l0.B(a2);
                } else if (a2.isEmpty()) {
                    c cVar = this.f19154a;
                    ((d) cVar).P0--;
                } else {
                    com.chad.library.adapter.base.a l02 = this.f19154a.l0();
                    Intrinsics.checkNotNullExpressionValue(a2, "parseArray");
                    l02.B(a2);
                }
            } else {
                ToastUtils.W(result.getMessage(), new Object[0]);
            }
        }
    }

    private final void m0() {
        t0();
    }

    private final void n0() {
        int i = R.id.recyclerView;
        ((RecyclerView) h0(i)).setAdapter(this.U0);
        ((RecyclerView) h0(i)).setLayoutManager(new LinearLayoutManager(this.I0));
        this.U0.J1(MessageListItem.class, new n(), null);
    }

    private final void o0() {
        int i = R.id.refreshLayout;
        ((XRefreshLayout) h0(i)).O(new b(this));
        ((XRefreshLayout) h0(i)).h0(new a(this));
    }

    /* access modifiers changed from: private */
    public static final void p0(c cVar, com.scwang.smartrefresh.layout.b.j jVar) {
        Intrinsics.checkNotNullParameter(cVar, "this$0");
        Intrinsics.checkNotNullParameter(jVar, "it");
        cVar.P0++;
        cVar.u0();
    }

    /* access modifiers changed from: private */
    public static final void q0(c cVar, com.scwang.smartrefresh.layout.b.j jVar) {
        Intrinsics.checkNotNullParameter(cVar, "this$0");
        Intrinsics.checkNotNullParameter(jVar, "it");
        cVar.P0 = 1;
        cVar.t0();
    }

    private final void t0() {
        com.niming.weipa.g.c.c0().v0(this.P0, new b(this));
    }

    private final void u0() {
        com.niming.weipa.g.c.c0().x0(this.P0, new C0375c(this));
    }

    public void f0() {
        this.V0.clear();
    }

    @Override // com.niming.framework.base.g
    public int getViewRes() {
        return com.hj.chen.new1126.R.layout.fragment_message;
    }

    @Nullable
    public View h0(int i) {
        View findViewById;
        Map<Integer, View> map = this.V0;
        View view = map.get(Integer.valueOf(i));
        if (view != null) {
            return view;
        }
        View view2 = getView();
        if (view2 == null || (findViewById = view2.findViewById(i)) == null) {
            return null;
        }
        map.put(Integer.valueOf(i), findViewById);
        return findViewById;
    }

    @Override // com.niming.weipa.base.d, com.niming.framework.base.g
    public void j(@Nullable View view) {
        super.j(view);
        setStatusLoading((XRefreshLayout) h0(R.id.refreshLayout));
        V((TitleView) h0(R.id.titleView), "我的消息");
        o0();
        n0();
        m0();
    }

    @NotNull
    public final com.chad.library.adapter.base.a l0() {
        return this.U0;
    }

    @Override // androidx.fragment.app.Fragment
    public void onActivityResult(int i, int i2, @Nullable Intent intent) {
        super.onActivityResult(i, i2, intent);
        if (i == 111 && i2 == 222) {
            this.P0 = 1;
            t0();
        }
    }

    public void onClick(@Nullable View view) {
    }

    @Override // com.niming.weipa.base.d, androidx.fragment.app.Fragment
    public /* synthetic */ void onDestroyView() {
        super.onDestroyView();
        f0();
    }

    public final void v0(@NotNull com.chad.library.adapter.base.a aVar) {
        Intrinsics.checkNotNullParameter(aVar, "<set-?>");
        this.U0 = aVar;
    }
}
