package com.niming.weipa.h.h;

import android.app.Activity;
import android.content.Context;
import android.os.Bundle;
import android.text.TextUtils;
import android.view.View;
import android.widget.ImageView;
import androidx.fragment.app.FragmentActivity;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import com.alipay.sdk.util.j;
import com.blankj.utilcode.util.LogUtils;
import com.blankj.utilcode.util.ToastUtils;
import com.niming.framework.b.g;
import com.niming.framework.basedb.h;
import com.niming.framework.net.Result;
import com.niming.framework.widget.XRefreshLayout;
import com.niming.weipa.R;
import com.niming.weipa.model.Ad2;
import com.niming.weipa.model.AuthLoginDeviceModel;
import com.niming.weipa.ui.focus_on.e0.l;
import com.niming.weipa.ui.tantan.model.CommunityDataType;
import com.niming.weipa.ui.tantan.model.PostListModel;
import com.niming.weipa.utils.v;
import com.youth.banner.Banner;
import com.youth.banner.indicator.CircleIndicator;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;
import java.util.Objects;
import kotlin.Lazy;
import kotlin.LazyKt__LazyJVMKt;
import kotlin.Metadata;
import kotlin.jvm.functions.Function0;
import kotlin.jvm.internal.DefaultConstructorMarker;
import kotlin.jvm.internal.Intrinsics;
import kotlin.jvm.internal.Lambda;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

@Metadata(d1 = {"\u0000`\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0003\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0018\u0002\n\u0002\b\u0004\n\u0002\u0010\u000b\n\u0002\b\u0004\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u000e\n\u0002\b\u0005\n\u0002\u0010\b\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010 \n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\t\u0018\u0000 22\u00020\u0001:\u00012B\u0005¢\u0006\u0002\u0010\u0002J\b\u0010\u001f\u001a\u00020 H\u0016J&\u0010!\u001a\u00020\"2\u000e\u0010#\u001a\n\u0012\u0002\b\u0003\u0012\u0002\b\u00030$2\f\u0010%\u001a\b\u0012\u0004\u0012\u00020'0&H\u0002J\u000e\u0010(\u001a\u00020\"2\u0006\u0010)\u001a\u00020*J\b\u0010+\u001a\u00020\"H\u0002J\b\u0010,\u001a\u00020\"H\u0002J\u0012\u0010-\u001a\u00020\"2\b\u0010.\u001a\u0004\u0018\u00010*H\u0016J\u0006\u0010/\u001a\u00020\"J\u0012\u00100\u001a\u00020\"2\b\u00101\u001a\u0004\u0018\u00010*H\u0016R\u0011\u0010\u0003\u001a\u00020\u0004¢\u0006\b\n\u0000\u001a\u0004\b\u0005\u0010\u0006R\u001b\u0010\u0007\u001a\u00020\b8FX\u0002¢\u0006\f\n\u0004\b\u000b\u0010\f\u001a\u0004\b\t\u0010\nR\u001d\u0010\r\u001a\u0004\u0018\u00010\u000e8FX\u0002¢\u0006\f\n\u0004\b\u0011\u0010\f\u001a\u0004\b\u000f\u0010\u0010R\u001a\u0010\u0012\u001a\u00020\u0013X\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u0012\u0010\u0014\"\u0004\b\u0015\u0010\u0016R\u0010\u0010\u0017\u001a\u0004\u0018\u00010\u0018X\u000e¢\u0006\u0002\n\u0000R\u001a\u0010\u0019\u001a\u00020\u001aX\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u001b\u0010\u001c\"\u0004\b\u001d\u0010\u001e¨\u00063"}, d2 = {"Lcom/niming/weipa/ui/tantan/CommunityChildFragment;", "Lcom/niming/weipa/base/BaseFragment;", "()V", "absHttpCallback2", "Lcom/niming/weipa/net/AbsHttpCallback;", "getAbsHttpCallback2", "()Lcom/niming/weipa/net/AbsHttpCallback;", "adapter", "Lcom/niming/weipa/ui/tantan/adapter/PostAdapter;", "getAdapter", "()Lcom/niming/weipa/ui/tantan/adapter/PostAdapter;", "adapter$delegate", "Lkotlin/Lazy;", "communityDataType", "Lcom/niming/weipa/ui/tantan/model/CommunityDataType;", "getCommunityDataType", "()Lcom/niming/weipa/ui/tantan/model/CommunityDataType;", "communityDataType$delegate", "isLoadNearlyData", "", "()Z", "setLoadNearlyData", "(Z)V", "redDot", "Landroid/widget/ImageView;", "targetCode", "", "getTargetCode", "()Ljava/lang/String;", "setTargetCode", "(Ljava/lang/String;)V", "getViewRes", "", "initBanner", "", "banner", "Lcom/youth/banner/Banner;", "adList", "", "Lcom/niming/weipa/model/Ad2;", "initListener", "headView", "Landroid/view/View;", "initRecyclerView", "initRefreshLayout", "initView", "view", "loadData", "onClick", "v", "Companion", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* compiled from: CommunityChildFragment.kt */
public final class d extends com.niming.weipa.base.d {
    @NotNull
    public static final a T0 = new a(null);
    @NotNull
    private final Lazy U0 = LazyKt__LazyJVMKt.lazy(new C0384d(this));
    @NotNull
    private String V0 = "";
    private boolean W0;
    @Nullable
    private ImageView X0;
    @NotNull
    private final Lazy Y0 = LazyKt__LazyJVMKt.lazy(c.f19200a);
    @NotNull
    private final com.niming.weipa.g.a Z0 = new b(this);
    @NotNull
    public Map<Integer, View> a1 = new LinkedHashMap();

    @Metadata(d1 = {"\u0000\u001e\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u000e\n\u0000\b\u0003\u0018\u00002\u00020\u0001B\u0007\b\u0002¢\u0006\u0002\u0010\u0002J\u001c\u0010\u0003\u001a\u00020\u00042\n\b\u0002\u0010\u0005\u001a\u0004\u0018\u00010\u00062\b\b\u0002\u0010\u0007\u001a\u00020\b¨\u0006\t"}, d2 = {"Lcom/niming/weipa/ui/tantan/CommunityChildFragment$Companion;", "", "()V", "newInstance", "Lcom/niming/weipa/ui/tantan/CommunityChildFragment;", "communityDataType", "Lcom/niming/weipa/ui/tantan/model/CommunityDataType;", "targetCode", "", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: CommunityChildFragment.kt */
    public static final class a {
        private a() {
        }

        public /* synthetic */ a(DefaultConstructorMarker defaultConstructorMarker) {
            this();
        }

        public static /* synthetic */ d b(a aVar, CommunityDataType communityDataType, String str, int i, Object obj) {
            if ((i & 1) != 0) {
                communityDataType = null;
            }
            if ((i & 2) != 0) {
                str = "";
            }
            return aVar.a(communityDataType, str);
        }

        @NotNull
        public final d a(@Nullable CommunityDataType communityDataType, @NotNull String str) {
            Intrinsics.checkNotNullParameter(str, "targetCode");
            Bundle bundle = new Bundle();
            bundle.putSerializable("communityDataType", communityDataType);
            bundle.putString("targetCode", str);
            d dVar = new d();
            dVar.setArguments(bundle);
            return dVar;
        }
    }

    @Metadata(d1 = {"\u0000\u0019\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J\b\u0010\u0002\u001a\u00020\u0003H\u0016J\u0010\u0010\u0004\u001a\u00020\u00032\u0006\u0010\u0005\u001a\u00020\u0006H\u0014¨\u0006\u0007"}, d2 = {"com/niming/weipa/ui/tantan/CommunityChildFragment$absHttpCallback2$1", "Lcom/niming/weipa/net/AbsHttpCallback;", "onFinish", "", "onSuccess", j.f6041c, "Lcom/niming/framework/net/Result;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: CommunityChildFragment.kt */
    public static final class b extends com.niming.weipa.g.a {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ d f19199a;

        b(d dVar) {
            this.f19199a = dVar;
        }

        @Override // com.lzy.okgo.d.c, com.lzy.okgo.d.a, com.niming.weipa.g.a
        public void onFinish() {
            super.onFinish();
            this.f19199a.setStatusComplete();
            d dVar = this.f19199a;
            int i = R.id.refreshLayout;
            XRefreshLayout xRefreshLayout = (XRefreshLayout) dVar.h0(i);
            if (xRefreshLayout != null) {
                xRefreshLayout.g();
            }
            XRefreshLayout xRefreshLayout2 = (XRefreshLayout) this.f19199a.h0(i);
            if (xRefreshLayout2 != null) {
                xRefreshLayout2.H();
            }
        }

        /* access modifiers changed from: protected */
        @Override // com.niming.weipa.g.a
        public void onSuccess(@NotNull Result result) {
            Intrinsics.checkNotNullParameter(result, j.f6041c);
            if (result.isOk()) {
                List<PostListModel> a2 = g.a(result.getData(), PostListModel.class);
                if (!TextUtils.isEmpty(this.f19199a.n0())) {
                    for (PostListModel postListModel : a2) {
                        postListModel.setMyself(true);
                    }
                }
                if (((com.niming.weipa.base.d) this.f19199a).P0 == 1) {
                    this.f19199a.l0().s1(a2);
                } else if (a2.size() > 0) {
                    com.niming.weipa.h.h.f.g l0 = this.f19199a.l0();
                    Intrinsics.checkNotNullExpressionValue(a2, "parseArray");
                    l0.B(a2);
                } else {
                    d dVar = this.f19199a;
                    ((com.niming.weipa.base.d) dVar).P0--;
                }
            } else {
                ToastUtils.W(result.getMessage(), new Object[0]);
            }
        }
    }

    @Metadata(d1 = {"\u0000\b\n\u0000\n\u0002\u0018\u0002\n\u0000\u0010\u0000\u001a\u00020\u0001H\n¢\u0006\u0002\b\u0002"}, d2 = {"<anonymous>", "Lcom/niming/weipa/ui/tantan/adapter/PostAdapter;", "invoke"}, k = 3, mv = {1, 6, 0}, xi = 48)
    /* compiled from: CommunityChildFragment.kt */
    static final class c extends Lambda implements Function0<com.niming.weipa.h.h.f.g> {

        /* renamed from: a  reason: collision with root package name */
        public static final c f19200a = new c();

        c() {
            super(0);
        }

        @NotNull
        /* renamed from: a */
        public final com.niming.weipa.h.h.f.g invoke() {
            return new com.niming.weipa.h.h.f.g(null);
        }
    }

    @Metadata(d1 = {"\u0000\b\n\u0000\n\u0002\u0018\u0002\n\u0000\u0010\u0000\u001a\u0004\u0018\u00010\u0001H\n¢\u0006\u0002\b\u0002"}, d2 = {"<anonymous>", "Lcom/niming/weipa/ui/tantan/model/CommunityDataType;", "invoke"}, k = 3, mv = {1, 6, 0}, xi = 48)
    /* renamed from: com.niming.weipa.h.h.d$d  reason: collision with other inner class name */
    /* compiled from: CommunityChildFragment.kt */
    static final class C0384d extends Lambda implements Function0<CommunityDataType> {
        final /* synthetic */ d this$0;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        C0384d(d dVar) {
            super(0);
            this.this$0 = dVar;
        }

        @Nullable
        /* renamed from: a */
        public final CommunityDataType invoke() {
            Serializable serializable;
            Bundle arguments = this.this$0.getArguments();
            if (arguments == null || (serializable = arguments.getSerializable("communityDataType")) == null) {
                return null;
            }
            return (CommunityDataType) serializable;
        }
    }

    private final void o0(Banner<?, ?> banner, List<? extends Ad2> list) {
        ArrayList b2 = v.b(new String[0]);
        for (Ad2 ad2 : list) {
            b2.add(ad2.getCover());
        }
        if (b2.size() == 0) {
            banner.setVisibility(8);
            return;
        }
        banner.setVisibility(0);
        l lVar = new l(b2, 0.0f, 2, null);
        Context context = getContext();
        Objects.requireNonNull(context, "null cannot be cast to non-null type androidx.fragment.app.FragmentActivity");
        banner.addBannerLifecycleObserver((FragmentActivity) context);
        banner.setIndicator(new CircleIndicator(getContext()));
        banner.setAdapter(lVar);
        banner.setOnBannerListener(new c(this, list));
    }

    /* access modifiers changed from: private */
    public static final void p0(d dVar, List list, Object obj, int i) {
        Intrinsics.checkNotNullParameter(dVar, "this$0");
        Intrinsics.checkNotNullParameter(list, "$adList");
        Context context = dVar.getContext();
        Objects.requireNonNull(context, "null cannot be cast to non-null type android.app.Activity");
        String link = ((Ad2) list.get(i)).getLink();
        Intrinsics.checkNotNullExpressionValue(link, "adList[position].link");
        com.niming.weipa.utils.l.f((Activity) context, link, false, false, ((Ad2) list.get(i)).getPosition(), 8, null);
    }

    private final void r0() {
        int i = R.id.recyclerView;
        ((RecyclerView) h0(i)).setAdapter(l0());
        ((RecyclerView) h0(i)).setLayoutManager(new LinearLayoutManager(this.I0));
    }

    private final void s0() {
        int i = R.id.refreshLayout;
        ((XRefreshLayout) h0(i)).h0(new a(this));
        ((XRefreshLayout) h0(i)).O(new b(this));
    }

    /* access modifiers changed from: private */
    public static final void t0(d dVar, com.scwang.smartrefresh.layout.b.j jVar) {
        Intrinsics.checkNotNullParameter(dVar, "this$0");
        Intrinsics.checkNotNullParameter(jVar, "it");
        dVar.P0 = 1;
        dVar.W0 = false;
        dVar.z0();
    }

    /* access modifiers changed from: private */
    public static final void u0(d dVar, com.scwang.smartrefresh.layout.b.j jVar) {
        Intrinsics.checkNotNullParameter(dVar, "this$0");
        Intrinsics.checkNotNullParameter(jVar, "it");
        dVar.P0++;
        dVar.z0();
    }

    public final void A0(boolean z) {
        this.W0 = z;
    }

    public final void B0(@NotNull String str) {
        Intrinsics.checkNotNullParameter(str, "<set-?>");
        this.V0 = str;
    }

    public void f0() {
        this.a1.clear();
    }

    @Override // com.niming.framework.base.g
    public int getViewRes() {
        return com.hj.chen.new1126.R.layout.fragment_child_community;
    }

    @Nullable
    public View h0(int i) {
        View findViewById;
        Map<Integer, View> map = this.a1;
        View view = map.get(Integer.valueOf(i));
        if (view != null) {
            return view;
        }
        View view2 = getView();
        if (view2 == null || (findViewById = view2.findViewById(i)) == null) {
            return null;
        }
        map.put(Integer.valueOf(i), findViewById);
        return findViewById;
    }

    @Override // com.niming.weipa.base.d, com.niming.framework.base.g
    public void j(@Nullable View view) {
        String string;
        super.j(view);
        Bundle arguments = getArguments();
        String str = "";
        if (!(arguments == null || (string = arguments.getString("targetCode")) == null)) {
            str = string;
        }
        this.V0 = str;
        LogUtils.l(Intrinsics.stringPlus("targetCode", str));
        s0();
        r0();
        setStatusLoading((XRefreshLayout) h0(R.id.refreshLayout));
        z0();
    }

    @NotNull
    public final com.niming.weipa.g.a k0() {
        return this.Z0;
    }

    @NotNull
    public final com.niming.weipa.h.h.f.g l0() {
        return (com.niming.weipa.h.h.f.g) this.Y0.getValue();
    }

    @Nullable
    public final CommunityDataType m0() {
        return (CommunityDataType) this.U0.getValue();
    }

    @NotNull
    public final String n0() {
        return this.V0;
    }

    public void onClick(@Nullable View view) {
    }

    @Override // com.niming.weipa.base.d, androidx.fragment.app.Fragment
    public /* synthetic */ void onDestroyView() {
        super.onDestroyView();
        f0();
    }

    public final void q0(@NotNull View view) {
        Intrinsics.checkNotNullParameter(view, "headView");
        AuthLoginDeviceModel authLoginDeviceModel = (AuthLoginDeviceModel) h.c().d(com.niming.weipa.c.a.i, AuthLoginDeviceModel.class);
    }

    public final boolean v0() {
        return this.W0;
    }

    public final void z0() {
    }
}
