package com.niming.weipa.model;

public class RefreshEvent {
    public static final int BIND_GAME_PHONE_SUCCESS = 32;
    public static final int BIND_INVITE_CODE_SUCCESS = 10;
    public static final int BIND_PHONE_SUCCESS = 8;
    public static final int BUY_COINS_VIDEO_EVENT = 26;
    public static final int CHANGE_PLAY_VIDEO = 3;
    public static final int CHANGE_VIDEO_EVENT = 25;
    public static final int EXCHANGE_WELFARE_SUCCESS = 9;
    public static final int FIND_ACCOUNT_SUCCESS = 11;
    public static final int GAME_BALANCE_NOTICE = 31;
    public static final int GET_USER_INFO_EVENT = 233;
    public static final int LIKE_VIDEO = 7;
    public static final int LOGIN_EXPIRED = 5;
    public static final int MEET_VIDEO_AD = 12;
    public static final int OPEN_GESTURE_PASSWORD = 4;
    public static final int PAGE_COLLECT_FRG = 34;
    public static final int PAGE_FOLLOW_FRG = 33;
    public static final int REFRESH_LINE_NAME = 35;
    public static final int UNBIND_PHONE_SUCCESS = 28;
    public static final int UN_LIKE_VIDEO = 6;
    public static final int UPDATE_AVATAR = 14;
    public static final int UPDATE_LIKES = 16;
    public static final int UPDATE_LOCK_FRG = 18;
    public static final int UPDATE_LOUFENG_DETAIL_VIEWPAGER_POSITION = 29;
    public static final int UPDATE_MY_BUY_VIDEO_NUM = 23;
    public static final int UPDATE_MY_DYNAMIC_NUM = 22;
    public static final int UPDATE_MY_LIKE_NUM = 21;
    public static final int UPDATE_MY_WORK_NUM = 20;
    public static final int UPDATE_NICKNAME = 108;
    public static final int UPDATE_PERSON_PAGE_INFO = 17;
    public static final int UPDATE_PROFILE_INTRO = 19;
    public static final int UPDATE_SUB_VIEWPAGER = 2;
    public static final int UPDATE_USER_INFO_EVENT = 27;
    public static final int UPDATE_VIEWPAGER = 1;
    public static final int UPDATE_WORKS = 15;
    public static final int VERSION_UPDATE = 24;
    public static final int WITHDRAW_CASH_SUCCESS = 13;
    private int code;
    private Object data;

    public RefreshEvent(int i) {
        this.code = i;
    }

    public int getCode() {
        return this.code;
    }

    public Object getData() {
        return this.data;
    }

    public boolean isCode(int i) {
        return this.code == i;
    }

    public void setCode(int i) {
        this.code = i;
    }

    public void setData(Object obj) {
        this.data = obj;
    }

    public RefreshEvent(int i, Object obj) {
        this.code = i;
        this.data = obj;
    }
}
