package com.niming.weipa.model;

import java.io.Serializable;
import java.util.List;

public class ShopInfoModel implements Serializable {
    private List<Ad2> ad;
    private int comment_count;
    private List<CommentsDataBean> comments_data;
    private int is_like;
    private int is_look_contact;
    private List<MmCitydataBean> mm_citydata;
    private ShopInfoBean shop_info;
    private TopMmInfoBean top_mm_info;
    private UserInfoBean user_info;

    public static class MmCitydataBean implements Serializable {
        private String province;
        private List<SonCityBean> son_city;

        public static class SonCityBean {
            private String city;

            public String getCity() {
                return this.city;
            }

            public void setCity(String str) {
                this.city = str;
            }
        }

        public String getProvince() {
            return this.province;
        }

        public List<SonCityBean> getSon_city() {
            return this.son_city;
        }

        public void setProvince(String str) {
            this.province = str;
        }

        public void setSon_city(List<SonCityBean> list) {
            this.son_city = list;
        }
    }

    public static class ShopInfoBean implements Serializable {
        private String code;
        private String contact;
        private String created_at;
        private String deposit_money;
        private int id;
        private int like_count;
        private int mm_count;
        private String serving_area;
        private String serving_intro;
        private int sort;
        private int status;
        private String top_mm_id;
        private int type;
        private String updated_at;

        public String getCode() {
            return this.code;
        }

        public String getContact() {
            return this.contact;
        }

        public String getCreated_at() {
            return this.created_at;
        }

        public String getDeposit_money() {
            return this.deposit_money;
        }

        public int getId() {
            return this.id;
        }

        public int getLike_count() {
            return this.like_count;
        }

        public int getMm_count() {
            return this.mm_count;
        }

        public String getServing_area() {
            return this.serving_area;
        }

        public String getServing_intro() {
            return this.serving_intro;
        }

        public int getSort() {
            return this.sort;
        }

        public int getStatus() {
            return this.status;
        }

        public String getTop_mm_id() {
            return this.top_mm_id;
        }

        public int getType() {
            return this.type;
        }

        public String getUpdated_at() {
            return this.updated_at;
        }

        public void setCode(String str) {
            this.code = str;
        }

        public void setContact(String str) {
            this.contact = str;
        }

        public void setCreated_at(String str) {
            this.created_at = str;
        }

        public void setDeposit_money(String str) {
            this.deposit_money = str;
        }

        public void setId(int i) {
            this.id = i;
        }

        public void setLike_count(int i) {
            this.like_count = i;
        }

        public void setMm_count(int i) {
            this.mm_count = i;
        }

        public void setServing_area(String str) {
            this.serving_area = str;
        }

        public void setServing_intro(String str) {
            this.serving_intro = str;
        }

        public void setSort(int i) {
            this.sort = i;
        }

        public void setStatus(int i) {
            this.status = i;
        }

        public void setTop_mm_id(String str) {
            this.top_mm_id = str;
        }

        public void setType(int i) {
            this.type = i;
        }

        public void setUpdated_at(String str) {
            this.updated_at = str;
        }
    }

    public static class TopMmInfoBean implements Serializable {
        private String city;
        private String code;
        private String cover;
        private String created_at;
        private int id;
        private List<String> images;
        private int is_top;
        private String province;
        private String title;
        private String updated_at;
        private String video;

        public String getCity() {
            return this.city;
        }

        public String getCode() {
            return this.code;
        }

        public String getCover() {
            return this.cover;
        }

        public String getCreated_at() {
            return this.created_at;
        }

        public int getId() {
            return this.id;
        }

        public List<String> getImages() {
            return this.images;
        }

        public int getIs_top() {
            return this.is_top;
        }

        public String getProvince() {
            return this.province;
        }

        public String getTitle() {
            return this.title;
        }

        public String getUpdated_at() {
            return this.updated_at;
        }

        public String getVideo() {
            return this.video;
        }

        public void setCity(String str) {
            this.city = str;
        }

        public void setCode(String str) {
            this.code = str;
        }

        public void setCover(String str) {
            this.cover = str;
        }

        public void setCreated_at(String str) {
            this.created_at = str;
        }

        public void setId(int i) {
            this.id = i;
        }

        public void setImages(List<String> list) {
            this.images = list;
        }

        public void setIs_top(int i) {
            this.is_top = i;
        }

        public void setProvince(String str) {
            this.province = str;
        }

        public void setTitle(String str) {
            this.title = str;
        }

        public void setUpdated_at(String str) {
            this.updated_at = str;
        }

        public void setVideo(String str) {
            this.video = str;
        }
    }

    public static class UserInfoBean implements Serializable {
        private String avatar;
        private String code;
        private String nick;

        public String getAvatar() {
            return this.avatar;
        }

        public String getCode() {
            return this.code;
        }

        public String getNick() {
            return this.nick;
        }

        public void setAvatar(String str) {
            this.avatar = str;
        }

        public void setCode(String str) {
            this.code = str;
        }

        public void setNick(String str) {
            this.nick = str;
        }
    }

    public List<Ad2> getAd() {
        return this.ad;
    }

    public int getComment_count() {
        return this.comment_count;
    }

    public List<CommentsDataBean> getComments_data() {
        return this.comments_data;
    }

    public int getIs_like() {
        return this.is_like;
    }

    public int getIs_look_contact() {
        return this.is_look_contact;
    }

    public List<MmCitydataBean> getMm_citydata() {
        return this.mm_citydata;
    }

    public ShopInfoBean getShop_info() {
        return this.shop_info;
    }

    public TopMmInfoBean getTop_mm_info() {
        return this.top_mm_info;
    }

    public UserInfoBean getUser_info() {
        return this.user_info;
    }

    public void setAd(List<Ad2> list) {
        this.ad = list;
    }

    public void setComment_count(int i) {
        this.comment_count = i;
    }

    public void setComments_data(List<CommentsDataBean> list) {
        this.comments_data = list;
    }

    public void setIs_like(int i) {
        this.is_like = i;
    }

    public void setIs_look_contact(int i) {
        this.is_look_contact = i;
    }

    public void setMm_citydata(List<MmCitydataBean> list) {
        this.mm_citydata = list;
    }

    public void setShop_info(ShopInfoBean shopInfoBean) {
        this.shop_info = shopInfoBean;
    }

    public void setTop_mm_info(TopMmInfoBean topMmInfoBean) {
        this.top_mm_info = topMmInfoBean;
    }

    public void setUser_info(UserInfoBean userInfoBean) {
        this.user_info = userInfoBean;
    }
}
