package com.niming.weipa.share;

import android.view.View;
import android.widget.ImageView;
import android.widget.TextView;
import androidx.annotation.CallSuper;
import androidx.annotation.UiThread;
import androidx.constraintlayout.widget.ConstraintLayout;
import androidx.recyclerview.widget.RecyclerView;
import butterknife.Unbinder;
import butterknife.internal.e;
import com.hj.chen.new1126.R;
import com.niming.framework.widget.TitleView;

public class ShowShareImageActivity_ViewBinding implements Unbinder {
    private ShowShareImageActivity target;

    @UiThread
    public ShowShareImageActivity_ViewBinding(ShowShareImageActivity showShareImageActivity) {
        this(showShareImageActivity, showShareImageActivity.getWindow().getDecorView());
    }

    @Override // butterknife.Unbinder
    @CallSuper
    public void unbind() {
        ShowShareImageActivity showShareImageActivity = this.target;
        if (showShareImageActivity != null) {
            this.target = null;
            showShareImageActivity.ivTopImg = null;
            showShareImageActivity.ivQRCode = null;
            showShareImageActivity.tvContent = null;
            showShareImageActivity.recyclerView = null;
            showShareImageActivity.clContainer = null;
            showShareImageActivity.titleView = null;
            showShareImageActivity.tvTips = null;
            return;
        }
        throw new IllegalStateException("Bindings already cleared.");
    }

    @UiThread
    public ShowShareImageActivity_ViewBinding(ShowShareImageActivity showShareImageActivity, View view) {
        this.target = showShareImageActivity;
        showShareImageActivity.ivTopImg = (ImageView) e.f(view, R.id.ivTopImg, "field 'ivTopImg'", ImageView.class);
        showShareImageActivity.ivQRCode = (ImageView) e.f(view, R.id.ivQRCode, "field 'ivQRCode'", ImageView.class);
        showShareImageActivity.tvContent = (TextView) e.f(view, R.id.tvContent, "field 'tvContent'", TextView.class);
        showShareImageActivity.recyclerView = (RecyclerView) e.f(view, R.id.recycler_view, "field 'recyclerView'", RecyclerView.class);
        showShareImageActivity.clContainer = (ConstraintLayout) e.f(view, R.id.clContainer, "field 'clContainer'", ConstraintLayout.class);
        showShareImageActivity.titleView = (TitleView) e.f(view, R.id.titleView, "field 'titleView'", TitleView.class);
        showShareImageActivity.tvTips = (TextView) e.f(view, R.id.tvTips, "field 'tvTips'", TextView.class);
    }
}
