package com.niming.weipa.ui.community;

import android.content.Intent;
import android.view.View;
import androidx.lifecycle.z;
import com.alipay.sdk.util.j;
import com.chad.library.adapter.base.BaseQuickAdapter;
import com.google.gson.e;
import com.hj.chen.new1126.R;
import com.lzy.okgo.model.HttpParams;
import com.lzy.okgo.request.PostRequest;
import com.niming.framework.net.Result;
import com.niming.weipa.b.m;
import com.niming.weipa.base.g;
import com.niming.weipa.i.d;
import com.niming.weipa.model.BuyPostsBean;
import com.niming.weipa.model.CommunityBean;
import com.niming.weipa.ui.tantan.model.CommunityDataType;
import com.niming.weipa.utils.n;
import java.io.Serializable;
import java.lang.reflect.Type;
import java.util.ArrayList;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;
import java.util.Objects;
import kotlin.Lazy;
import kotlin.LazyKt__LazyJVMKt;
import kotlin.LazyThreadSafetyMode;
import kotlin.Metadata;
import kotlin.jvm.functions.Function0;
import kotlin.jvm.internal.DefaultConstructorMarker;
import kotlin.jvm.internal.Intrinsics;
import kotlin.jvm.internal.Lambda;
import kotlin.jvm.internal.TypeIntrinsics;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

@Metadata(d1 = {"\u0000R\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010\b\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0002\b\u0003\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0005\u0018\u0000 !2\u000e\u0012\u0004\u0012\u00020\u0002\u0012\u0004\u0012\u00020\u00030\u0001:\u0002 !B\u0005¢\u0006\u0002\u0010\u0004J\b\u0010\r\u001a\u00020\u000eH\u0014J\b\u0010\u000f\u001a\u00020\u0010H\u0016J\u000e\u0010\u0011\u001a\b\u0012\u0004\u0012\u00020\u00030\u0012H\u0014J\"\u0010\u0013\u001a\u00020\u00142\u0006\u0010\u0015\u001a\u00020\u00062\u0006\u0010\u0016\u001a\u00020\u00062\b\u0010\u0017\u001a\u0004\u0018\u00010\u0018H\u0016J(\u0010\u0019\u001a\u00020\u00142\u000e\u0010\u001a\u001a\n\u0012\u0002\b\u0003\u0012\u0002\b\u00030\u001b2\u0006\u0010\u001c\u001a\u00020\u001d2\u0006\u0010\u001e\u001a\u00020\u0006H\u0016J(\u0010\u001f\u001a\u00020\u00142\u000e\u0010\u001a\u001a\n\u0012\u0002\b\u0003\u0012\u0002\b\u00030\u001b2\u0006\u0010\u001c\u001a\u00020\u001d2\u0006\u0010\u001e\u001a\u00020\u0006H\u0016R\u000e\u0010\u0005\u001a\u00020\u0006XD¢\u0006\u0002\n\u0000R\u001b\u0010\u0007\u001a\u00020\b8BX\u0002¢\u0006\f\n\u0004\b\u000b\u0010\f\u001a\u0004\b\t\u0010\n¨\u0006\""}, d2 = {"Lcom/niming/weipa/ui/community/BuyPostsListFragment;", "Lcom/niming/weipa/base/DataListFragment;", "Lcom/niming/weipa/model/CommunityBean;", "Lcom/niming/weipa/ui/community/BuyPostsListFragment$BuyViewModel;", "()V", CommunityDataType.TYPE_PERSON, "", "followModel", "Lcom/niming/weipa/viewmodel/CommunityViewModel;", "getFollowModel", "()Lcom/niming/weipa/viewmodel/CommunityViewModel;", "followModel$delegate", "Lkotlin/Lazy;", "getImpleAdapter", "Lcom/niming/weipa/adapter/PostsAdapter;", "getRequestParams", "Lcom/lzy/okgo/model/HttpParams;", "getViewModel", "Ljava/lang/Class;", "onActivityResult", "", "requestCode", "resultCode", "data", "Landroid/content/Intent;", "onItemChildClick", "adapter", "Lcom/chad/library/adapter/base/BaseQuickAdapter;", "view", "Landroid/view/View;", "position", "onItemClick", "BuyViewModel", "Companion", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* compiled from: BuyPostsListFragment.kt */
public final class h extends g<CommunityBean, a> {
    @NotNull
    public static final b U0 = new b(null);
    private final int V0 = 5454;
    @NotNull
    private final Lazy W0 = LazyKt__LazyJVMKt.lazy(LazyThreadSafetyMode.NONE, (Function0) new c(this));
    @NotNull
    public Map<Integer, View> X0 = new LinkedHashMap();

    @Metadata(d1 = {"\u0000\u001c\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\u0018\u00002\b\u0012\u0004\u0012\u00020\u00020\u0001B\u0005¢\u0006\u0002\u0010\u0003J\u0010\u0010\u0004\u001a\u00020\u00052\u0006\u0010\u0006\u001a\u00020\u0007H\u0016¨\u0006\b"}, d2 = {"Lcom/niming/weipa/ui/community/BuyPostsListFragment$BuyViewModel;", "Lcom/niming/weipa/viewmodel/ListDataViewModel;", "Lcom/niming/weipa/model/CommunityBean;", "()V", "requestDataList", "", "params", "Lcom/lzy/okgo/model/HttpParams;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: BuyPostsListFragment.kt */
    public static final class a extends d<CommunityBean> {

        @Metadata(d1 = {"\u0000\u0017\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J\u0010\u0010\u0002\u001a\u00020\u00032\u0006\u0010\u0004\u001a\u00020\u0005H\u0014¨\u0006\u0006¸\u0006\u0000"}, d2 = {"com/niming/weipa/expand/KtExpandKt$request$2", "Lcom/niming/weipa/net/AbsHttpCallback;", "onSuccess", "", j.f6041c, "Lcom/niming/framework/net/Result;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
        /* renamed from: com.niming.weipa.ui.community.h$a$a  reason: collision with other inner class name */
        /* compiled from: KtExpand.kt */
        public static final class C0392a extends com.niming.weipa.g.a {

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ a f19266a;

            @Metadata(d1 = {"\u0000\u000b\n\u0000\n\u0002\u0018\u0002\n\u0000*\u0001\u0000\b\n\u0018\u00002\b\u0012\u0004\u0012\u00028\u00000\u0001¨\u0006\u0002¸\u0006\u0000"}, d2 = {"com/niming/weipa/expand/KtExpandKt$request$2$onSuccess$type$1", "Lcom/google/gson/reflect/TypeToken;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
            /* renamed from: com.niming.weipa.ui.community.h$a$a$a  reason: collision with other inner class name */
            /* compiled from: KtExpand.kt */
            public static final class C0393a extends com.google.gson.u.a<List<BuyPostsBean>> {
            }

            public C0392a(a aVar) {
                this.f19266a = aVar;
            }

            /* access modifiers changed from: protected */
            @Override // com.niming.weipa.g.a
            public void onSuccess(@NotNull Result result) {
                Intrinsics.checkNotNullParameter(result, j.f6041c);
                if (result.isOk()) {
                    Type h = new C0393a().h();
                    if (String.class.isInstance(h)) {
                        String data = result.getData();
                        Objects.requireNonNull(data, "null cannot be cast to non-null type kotlin.collections.MutableList<com.niming.weipa.model.BuyPostsBean>");
                        List<BuyPostsBean> asMutableList = TypeIntrinsics.asMutableList(data);
                        ArrayList arrayList = new ArrayList();
                        for (BuyPostsBean buyPostsBean : asMutableList) {
                            arrayList.add(buyPostsBean.postsInfo);
                        }
                        this.f19266a.f().p(arrayList);
                        return;
                    }
                    ArrayList arrayList2 = new ArrayList();
                    for (BuyPostsBean buyPostsBean2 : (List) new e().o(result.getData(), h)) {
                        arrayList2.add(buyPostsBean2.postsInfo);
                    }
                    this.f19266a.f().p(arrayList2);
                }
            }
        }

        @Override // com.niming.weipa.i.d
        public void g(@NotNull HttpParams httpParams) {
            Intrinsics.checkNotNullParameter(httpParams, "params");
            ((PostRequest) com.lzy.okgo.b.w(com.niming.weipa.g.c.W1(n.j)).params(httpParams)).execute(new C0392a(this));
        }
    }

    @Metadata(d1 = {"\u0000\u0012\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\b\u0003\u0018\u00002\u00020\u0001B\u0007\b\u0002¢\u0006\u0002\u0010\u0002J\u0006\u0010\u0003\u001a\u00020\u0004¨\u0006\u0005"}, d2 = {"Lcom/niming/weipa/ui/community/BuyPostsListFragment$Companion;", "", "()V", "newInstance", "Lcom/niming/weipa/ui/community/BuyPostsListFragment;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: BuyPostsListFragment.kt */
    public static final class b {
        private b() {
        }

        public /* synthetic */ b(DefaultConstructorMarker defaultConstructorMarker) {
            this();
        }

        @NotNull
        public final h a() {
            return new h();
        }
    }

    @Metadata(d1 = {"\u0000\b\n\u0000\n\u0002\u0018\u0002\n\u0000\u0010\u0000\u001a\u00020\u0001H\n¢\u0006\u0002\b\u0002"}, d2 = {"<anonymous>", "Lcom/niming/weipa/viewmodel/CommunityViewModel;", "invoke"}, k = 3, mv = {1, 6, 0}, xi = 48)
    /* compiled from: BuyPostsListFragment.kt */
    static final class c extends Lambda implements Function0<com.niming.weipa.i.b> {
        final /* synthetic */ h this$0;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        c(h hVar) {
            super(0);
            this.this$0 = hVar;
        }

        @NotNull
        /* renamed from: a */
        public final com.niming.weipa.i.b invoke() {
            return (com.niming.weipa.i.b) new z(this.this$0.requireActivity(), new z.d()).a(com.niming.weipa.i.b.class);
        }
    }

    private final com.niming.weipa.i.b s0() {
        return (com.niming.weipa.i.b) this.W0.getValue();
    }

    /* access modifiers changed from: protected */
    @Override // com.niming.weipa.base.f
    @NotNull
    public Class<a> B() {
        return a.class;
    }

    @Override // com.niming.weipa.base.g, com.chad.library.adapter.base.a0.g
    public void N(@NotNull BaseQuickAdapter<?, ?> baseQuickAdapter, @NotNull View view, int i) {
        Intrinsics.checkNotNullParameter(baseQuickAdapter, "adapter");
        Intrinsics.checkNotNullParameter(view, "view");
        U("info", (CommunityBean) f0().getItem(i), PostsDetailsActivity.class, this.V0);
    }

    @Override // com.niming.weipa.base.g
    public void V() {
        this.X0.clear();
    }

    @Override // com.niming.weipa.base.g
    @Nullable
    public View W(int i) {
        View findViewById;
        Map<Integer, View> map = this.X0;
        View view = map.get(Integer.valueOf(i));
        if (view != null) {
            return view;
        }
        View view2 = getView();
        if (view2 == null || (findViewById = view2.findViewById(i)) == null) {
            return null;
        }
        map.put(Integer.valueOf(i), findViewById);
        return findViewById;
    }

    @Override // com.niming.weipa.base.g, com.chad.library.adapter.base.a0.e
    public void X(@NotNull BaseQuickAdapter<?, ?> baseQuickAdapter, @NotNull View view, int i) {
        Intrinsics.checkNotNullParameter(baseQuickAdapter, "adapter");
        Intrinsics.checkNotNullParameter(view, "view");
        CommunityBean communityBean = (CommunityBean) f0().getItem(i);
        int id = view.getId();
        if (id == R.id.avatarView) {
            S("userCode", communityBean.userInfo.getCode(), UpHomeActivity.class);
        } else if (id == R.id.followView) {
            com.niming.weipa.i.b s0 = s0();
            Intrinsics.checkNotNullExpressionValue(s0, "followModel");
            String str = communityBean.userCode;
            Intrinsics.checkNotNullExpressionValue(str, "bean.userCode");
            int i2 = 0;
            com.niming.weipa.i.b.k(s0, 0, str, 1, null);
            if (communityBean.isRelation == 0) {
                i2 = 1;
            }
            communityBean.isRelation = i2;
            f0().notifyItemChanged(i);
        } else if (id == R.id.topicView) {
            S("info", communityBean.postsTypeInfo, TopicDetailsActivity.class);
        }
    }

    @Override // com.niming.weipa.base.g
    @NotNull
    public HttpParams l0() {
        HttpParams httpParams = new HttpParams();
        if (getArguments() != null) {
            httpParams.put("url", n.j, new boolean[0]);
        }
        return httpParams;
    }

    @Override // androidx.fragment.app.Fragment
    public void onActivityResult(int i, int i2, @Nullable Intent intent) {
        super.onActivityResult(i, i2, intent);
        if (i2 == -1 && intent != null) {
            Serializable serializableExtra = intent.getSerializableExtra("info");
            Objects.requireNonNull(serializableExtra, "null cannot be cast to non-null type com.niming.weipa.model.CommunityBean");
            CommunityBean communityBean = (CommunityBean) serializableExtra;
            int size = f0().getData().size();
            int i3 = 0;
            while (i3 < size) {
                int i4 = i3 + 1;
                CommunityBean communityBean2 = (CommunityBean) f0().getItem(i3);
                if (communityBean2.id == communityBean.id) {
                    communityBean2.isLike = communityBean.isLike;
                    communityBean2.isCollect = communityBean.isCollect;
                }
                if (Intrinsics.areEqual(communityBean2.userCode, communityBean.userCode)) {
                    communityBean2.isRelation = communityBean.isRelation;
                }
                i3 = i4;
            }
            f0().notifyItemRangeChanged(0, f0().getData().size());
        }
    }

    @Override // com.niming.weipa.base.g, androidx.fragment.app.Fragment
    public /* synthetic */ void onDestroyView() {
        super.onDestroyView();
        V();
    }

    /* access modifiers changed from: protected */
    @NotNull
    /* renamed from: t0 */
    public m a0() {
        return new m(false, 1, null);
    }
}
