package com.niming.weipa.ui.community;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import com.chad.library.adapter.base.BaseQuickAdapter;
import com.hj.chen.new1126.R;
import com.lzy.okgo.model.HttpParams;
import com.niming.weipa.b.m;
import com.niming.weipa.base.g;
import com.niming.weipa.d.l9;
import com.niming.weipa.i.b;
import com.niming.weipa.model.CommunityBean;
import com.niming.weipa.utils.n;
import java.io.Serializable;
import java.util.LinkedHashMap;
import java.util.Map;
import java.util.Objects;
import kotlin.jvm.internal.DefaultConstructorMarker;
import kotlin.jvm.internal.Intrinsics;

public final class k extends g<CommunityBean, b> {
    public static final a U0 = new a(null);
    private int V0;
    public Map<Integer, View> W0 = new LinkedHashMap();

    public static final class a {
        private a() {
        }

        public /* synthetic */ a(DefaultConstructorMarker defaultConstructorMarker) {
            this();
        }

        public static /* synthetic */ k b(a aVar, int i, int i2, int i3, int i4, boolean z, String str, boolean z2, boolean z3, int i5, Object obj) {
            if ((i5 & 1) != 0) {
                i = 0;
            }
            if ((i5 & 2) != 0) {
                i2 = -1;
            }
            if ((i5 & 4) != 0) {
                i3 = -1;
            }
            if ((i5 & 8) != 0) {
                i4 = -1;
            }
            if ((i5 & 16) != 0) {
                z = false;
            }
            if ((i5 & 32) != 0) {
                str = null;
            }
            if ((i5 & 64) != 0) {
                z2 = false;
            }
            if ((i5 & 128) != 0) {
                z3 = false;
            }
            return aVar.a(i, i2, i3, i4, z, str, z2, z3);
        }

        public final k a(int i, int i2, int i3, int i4, boolean z, String str, boolean z2, boolean z3) {
            k kVar = new k();
            Bundle bundle = new Bundle();
            bundle.putInt("type", i3);
            bundle.putInt("moduleId", i);
            bundle.putInt("posts_type", i2);
            bundle.putInt("posts_type_id", i4);
            bundle.putBoolean("isDetails", z);
            bundle.putString("keywords", str);
            bundle.putBoolean("isCollect", z2);
            bundle.putBoolean("isRecord", z3);
            kVar.setArguments(bundle);
            return kVar;
        }
    }

    private final void t0(CommunityBean communityBean) {
        int size = f0().getData().size();
        int i = 0;
        while (i < size) {
            int i2 = i + 1;
            CommunityBean communityBean2 = (CommunityBean) f0().getItem(i);
            if (communityBean2.id == communityBean.id) {
                communityBean2.isLike = communityBean.isLike;
                communityBean2.isCollect = communityBean.isCollect;
            }
            if (Intrinsics.areEqual(communityBean2.userCode, communityBean.userCode)) {
                communityBean2.isRelation = communityBean.isRelation;
            }
            i = i2;
        }
        f0().notifyItemRangeChanged(0, f0().getData().size());
    }

    @Override // com.niming.weipa.base.f
    public Class<b> B() {
        return b.class;
    }

    @Override // com.niming.weipa.base.f, com.niming.weipa.base.g
    public void E() {
        super.E();
        RecyclerView.LayoutManager layoutManager = ((l9) this.L0).f18330b.getLayoutManager();
        Objects.requireNonNull(layoutManager, "null cannot be cast to non-null type androidx.recyclerview.widget.LinearLayoutManager");
        ((LinearLayoutManager) layoutManager).setInitialPrefetchItemCount(4);
    }

    @Override // com.niming.weipa.base.f
    public boolean G() {
        return false;
    }

    @Override // com.niming.weipa.base.g, com.chad.library.adapter.base.a0.g
    public void N(BaseQuickAdapter<?, ?> baseQuickAdapter, View view, int i) {
        Intrinsics.checkNotNullParameter(baseQuickAdapter, "adapter");
        Intrinsics.checkNotNullParameter(view, "view");
        U("info", (CommunityBean) f0().getItem(i), PostsDetailsActivity.class, this.V0);
    }

    @Override // com.niming.weipa.base.g
    public void V() {
        this.W0.clear();
    }

    @Override // com.niming.weipa.base.g
    public View W(int i) {
        View findViewById;
        Map<Integer, View> map = this.W0;
        View view = map.get(Integer.valueOf(i));
        if (view != null) {
            return view;
        }
        View view2 = getView();
        if (view2 == null || (findViewById = view2.findViewById(i)) == null) {
            return null;
        }
        map.put(Integer.valueOf(i), findViewById);
        return findViewById;
    }

    @Override // com.niming.weipa.base.g, com.chad.library.adapter.base.a0.e
    public void X(BaseQuickAdapter<?, ?> baseQuickAdapter, View view, int i) {
        Intrinsics.checkNotNullParameter(baseQuickAdapter, "adapter");
        Intrinsics.checkNotNullParameter(view, "view");
        CommunityBean communityBean = (CommunityBean) f0().getItem(i);
        int id = view.getId();
        if (id == R.id.avatarView) {
            S("userCode", communityBean.userInfo.getCode(), UpHomeActivity.class);
        } else if (id == R.id.followView) {
            VM vm = this.K0;
            Intrinsics.checkNotNullExpressionValue(vm, "viewModel");
            String str = communityBean.userCode;
            Intrinsics.checkNotNullExpressionValue(str, "bean.userCode");
            int i2 = 0;
            b.k((b) vm, 0, str, 1, null);
            if (communityBean.isRelation == 0) {
                i2 = 1;
            }
            communityBean.isRelation = i2;
            t0(communityBean);
        } else if (id == R.id.topicView) {
            CommunityBean.PostsTypeInfoBean postsTypeInfoBean = communityBean.postsTypeInfo;
            postsTypeInfoBean.moduleId = this.V0;
            S("info", postsTypeInfoBean, TopicDetailsActivity.class);
        }
    }

    @Override // com.niming.weipa.base.g
    public HttpParams l0() {
        HttpParams httpParams = new HttpParams();
        Bundle arguments = getArguments();
        if (arguments != null) {
            this.V0 = arguments.getInt("moduleId");
            String string = arguments.getString("keywords");
            int i = arguments.getInt("type", -1);
            int i2 = arguments.getInt("posts_type", -1);
            int i3 = arguments.getInt("posts_type_id", -1);
            if (i3 != -1) {
                httpParams.put("posts_type_id", i3, new boolean[0]);
            }
            if (i != -1) {
                httpParams.put("type", i, new boolean[0]);
            }
            if (i2 != -1) {
                httpParams.put("posts_type", i2, new boolean[0]);
            }
            if (arguments.getBoolean("isDetails")) {
                httpParams.put("url", n.f20581e, new boolean[0]);
            } else {
                if (!(string == null || string.length() == 0)) {
                    httpParams.put("url", n.r, new boolean[0]);
                    httpParams.put("title", string, new boolean[0]);
                } else if (arguments.getBoolean("isCollect")) {
                    httpParams.put("url", n.k, new boolean[0]);
                } else if (arguments.getBoolean("isRecord")) {
                    httpParams.put("url", n.j, new boolean[0]);
                } else {
                    httpParams.put("url", n.f20580d, new boolean[0]);
                    httpParams.put("module_id", arguments.getInt("moduleId"), new boolean[0]);
                }
            }
        }
        return httpParams;
    }

    @Override // androidx.fragment.app.Fragment
    public void onActivityResult(int i, int i2, Intent intent) {
        super.onActivityResult(i, i2, intent);
        if (i2 == -1 && intent != null) {
            Serializable serializableExtra = intent.getSerializableExtra("info");
            Objects.requireNonNull(serializableExtra, "null cannot be cast to non-null type com.niming.weipa.model.CommunityBean");
            t0((CommunityBean) serializableExtra);
        }
    }

    @Override // com.niming.weipa.base.g, androidx.fragment.app.Fragment
    public /* synthetic */ void onDestroyView() {
        super.onDestroyView();
        V();
    }

    /* renamed from: s0 */
    public m a0() {
        return new m(false, 1, null);
    }
}
