package com.niming.weipa.ui.discovered;

import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.TextView;
import com.alipay.sdk.util.j;
import com.blankj.utilcode.util.ToastUtils;
import com.blankj.utilcode.util.c0;
import com.niming.framework.b.g;
import com.niming.framework.net.Result;
import com.niming.weipa.R;
import com.niming.weipa.base.BaseActivity;
import com.niming.weipa.model.LabelTagInfoModel;
import com.niming.weipa.ui.discovered.model.DiscoverRecommendModel;
import com.niming.weipa.ui.search.SearchAct;
import com.niming.weipa.ui.search.f.r;
import com.niming.weipa.utils.k0;
import com.niming.weipa.utils.u;
import com.niming.weipa.widget.LabelHeaderLayout;
import java.io.Serializable;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;
import java.util.Objects;
import kotlin.Metadata;
import kotlin.Unit;
import kotlin.jvm.functions.Function1;
import kotlin.jvm.internal.DefaultConstructorMarker;
import kotlin.jvm.internal.Intrinsics;
import kotlin.jvm.internal.Lambda;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

@Metadata(d1 = {"\u0000J\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0010\u000e\n\u0002\b\u0004\n\u0002\u0018\u0002\n\u0002\b\b\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0010\b\n\u0000\n\u0002\u0010\u0002\n\u0002\b\u0003\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010\u000b\n\u0002\b\u0007\u0018\u0000 -2\u00020\u0001:\u0001-B\u0005¢\u0006\u0002\u0010\u0002J\b\u0010\u001d\u001a\u00020\u001eH\u0016J\b\u0010\u001f\u001a\u00020 H\u0016J\b\u0010!\u001a\u00020 H\u0002J\u0012\u0010\"\u001a\u00020 2\b\u0010#\u001a\u0004\u0018\u00010$H\u0016J\u0010\u0010%\u001a\u00020 2\u0006\u0010&\u001a\u00020'H\u0002J\u0010\u0010(\u001a\u00020 2\u0006\u0010)\u001a\u00020\u000fH\u0002J\u0010\u0010*\u001a\u00020 2\u0006\u0010+\u001a\u00020\u001eH\u0002J\u0010\u0010,\u001a\u00020 2\u0006\u0010+\u001a\u00020\u001eH\u0002R\u001a\u0010\u0003\u001a\u00020\u0004X.¢\u0006\u000e\n\u0000\u001a\u0004\b\u0005\u0010\u0006\"\u0004\b\u0007\u0010\bR\u001a\u0010\t\u001a\u00020\nX\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\t\u0010\u000b\"\u0004\b\f\u0010\rR\u001a\u0010\u000e\u001a\u00020\u000fX.¢\u0006\u000e\n\u0000\u001a\u0004\b\u0010\u0010\u0011\"\u0004\b\u0012\u0010\u0013R\u001a\u0010\u0014\u001a\u00020\nX\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u0015\u0010\u000b\"\u0004\b\u0016\u0010\rR\u001c\u0010\u0017\u001a\u0004\u0018\u00010\u0018X\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u0019\u0010\u001a\"\u0004\b\u001b\u0010\u001c¨\u0006."}, d2 = {"Lcom/niming/weipa/ui/discovered/LabelDetailAct;", "Lcom/niming/weipa/base/BaseActivity;", "()V", "dataBean", "Lcom/niming/weipa/ui/discovered/model/DiscoverRecommendModel$DataBean;", "getDataBean", "()Lcom/niming/weipa/ui/discovered/model/DiscoverRecommendModel$DataBean;", "setDataBean", "(Lcom/niming/weipa/ui/discovered/model/DiscoverRecommendModel$DataBean;)V", "is_long", "", "()Ljava/lang/String;", "set_long", "(Ljava/lang/String;)V", "labelTagInfoModel", "Lcom/niming/weipa/model/LabelTagInfoModel;", "getLabelTagInfoModel", "()Lcom/niming/weipa/model/LabelTagInfoModel;", "setLabelTagInfoModel", "(Lcom/niming/weipa/model/LabelTagInfoModel;)V", "order_key", "getOrder_key", "setOrder_key", "tvVideoType", "Landroid/widget/TextView;", "getTvVideoType", "()Landroid/widget/TextView;", "setTvVideoType", "(Landroid/widget/TextView;)V", "getViewRes", "", "init", "", "initListener", "initView", "savedInstanceState", "Landroid/os/Bundle;", "renderLikeButton", "isLike", "", "renderTagInfo", "data", "searchTagInfo", r.Y0, "videoLikeType", "Companion", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* compiled from: LabelDetailAct.kt */
public final class LabelDetailAct extends BaseActivity {
    @NotNull

    /* renamed from: a  reason: collision with root package name */
    public static final a f19271a = new a(null);
    public LabelTagInfoModel I0;
    @NotNull
    private String J0 = "";
    @NotNull
    private String K0 = "";
    @Nullable
    private TextView L0;
    @NotNull
    public Map<Integer, View> M0 = new LinkedHashMap();

    /* renamed from: b  reason: collision with root package name */
    public DiscoverRecommendModel.DataBean f19272b;

    @Metadata(d1 = {"\u0000\u001e\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\b\u0002\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\b\u0003\u0018\u00002\u00020\u0001B\u0007\b\u0002¢\u0006\u0002\u0010\u0002J\u0016\u0010\u0003\u001a\u00020\u00042\u0006\u0010\u0005\u001a\u00020\u00062\u0006\u0010\u0007\u001a\u00020\b¨\u0006\t"}, d2 = {"Lcom/niming/weipa/ui/discovered/LabelDetailAct$Companion;", "", "()V", "start", "", "context", "Landroid/content/Context;", "item", "Lcom/niming/weipa/ui/discovered/model/DiscoverRecommendModel$DataBean;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: LabelDetailAct.kt */
    public static final class a {
        private a() {
        }

        public /* synthetic */ a(DefaultConstructorMarker defaultConstructorMarker) {
            this();
        }

        public final void a(@NotNull Context context, @NotNull DiscoverRecommendModel.DataBean dataBean) {
            Intrinsics.checkNotNullParameter(context, "context");
            Intrinsics.checkNotNullParameter(dataBean, "item");
            Intent intent = new Intent(context, LabelDetailAct.class);
            intent.putExtra("dataBean", dataBean);
            context.startActivity(intent);
        }
    }

    /* access modifiers changed from: package-private */
    @Metadata(d1 = {"\u0000\u0010\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\u0010\u0000\u001a\u00020\u00012\u000e\u0010\u0002\u001a\n \u0004*\u0004\u0018\u00010\u00030\u0003H\n¢\u0006\u0002\b\u0005"}, d2 = {"<anonymous>", "", "it", "Landroid/widget/LinearLayout;", "kotlin.jvm.PlatformType", "invoke"}, k = 3, mv = {1, 6, 0}, xi = 48)
    /* compiled from: LabelDetailAct.kt */
    public static final class b extends Lambda implements Function1<LinearLayout, Unit> {
        final /* synthetic */ LabelDetailAct this$0;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        b(LabelDetailAct labelDetailAct) {
            super(1);
            this.this$0 = labelDetailAct;
        }

        public final void a(LinearLayout linearLayout) {
            this.this$0.n0().getIs_like();
            LabelDetailAct labelDetailAct = this.this$0;
            labelDetailAct.z0(labelDetailAct.n0().getId());
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // kotlin.jvm.functions.Function1
        public /* bridge */ /* synthetic */ Unit invoke(LinearLayout linearLayout) {
            a(linearLayout);
            return Unit.INSTANCE;
        }
    }

    /* access modifiers changed from: package-private */
    @Metadata(d1 = {"\u0000\u0010\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\u0010\u0000\u001a\u00020\u00012\u000e\u0010\u0002\u001a\n \u0004*\u0004\u0018\u00010\u00030\u0003H\n¢\u0006\u0002\b\u0005"}, d2 = {"<anonymous>", "", "it", "Landroid/widget/ImageView;", "kotlin.jvm.PlatformType", "invoke"}, k = 3, mv = {1, 6, 0}, xi = 48)
    /* compiled from: LabelDetailAct.kt */
    public static final class c extends Lambda implements Function1<ImageView, Unit> {
        final /* synthetic */ LabelDetailAct this$0;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        c(LabelDetailAct labelDetailAct) {
            super(1);
            this.this$0 = labelDetailAct;
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // kotlin.jvm.functions.Function1
        public /* bridge */ /* synthetic */ Unit invoke(ImageView imageView) {
            invoke(imageView);
            return Unit.INSTANCE;
        }

        public final void invoke(ImageView imageView) {
            SearchAct.a aVar = SearchAct.f20162a;
            Activity activity = ((com.niming.framework.base.BaseActivity) this.this$0).activity;
            Intrinsics.checkNotNullExpressionValue(activity, "activity");
            aVar.a(activity);
        }
    }

    /* access modifiers changed from: package-private */
    @Metadata(d1 = {"\u0000\u0010\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\u0010\u0000\u001a\u00020\u00012\u000e\u0010\u0002\u001a\n \u0004*\u0004\u0018\u00010\u00030\u0003H\n¢\u0006\u0002\b\u0005"}, d2 = {"<anonymous>", "", "it", "Landroid/widget/ImageView;", "kotlin.jvm.PlatformType", "invoke"}, k = 3, mv = {1, 6, 0}, xi = 48)
    /* compiled from: LabelDetailAct.kt */
    public static final class d extends Lambda implements Function1<ImageView, Unit> {
        final /* synthetic */ LabelDetailAct this$0;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        d(LabelDetailAct labelDetailAct) {
            super(1);
            this.this$0 = labelDetailAct;
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // kotlin.jvm.functions.Function1
        public /* bridge */ /* synthetic */ Unit invoke(ImageView imageView) {
            invoke(imageView);
            return Unit.INSTANCE;
        }

        public final void invoke(ImageView imageView) {
            LabelDetailAct.super.onBackPressed();
        }
    }

    @Metadata(d1 = {"\u0000\u0017\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J\u0010\u0010\u0002\u001a\u00020\u00032\u0006\u0010\u0004\u001a\u00020\u0005H\u0014¨\u0006\u0006"}, d2 = {"com/niming/weipa/ui/discovered/LabelDetailAct$searchTagInfo$1", "Lcom/niming/weipa/net/AbsHttpCallback;", "onSuccess", "", j.f6041c, "Lcom/niming/framework/net/Result;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: LabelDetailAct.kt */
    public static final class e extends com.niming.weipa.g.a {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ LabelDetailAct f19273a;

        e(LabelDetailAct labelDetailAct) {
            this.f19273a = labelDetailAct;
        }

        /* access modifiers changed from: protected */
        @Override // com.niming.weipa.g.a
        public void onSuccess(@NotNull Result result) {
            Intrinsics.checkNotNullParameter(result, j.f6041c);
            if (result.isOk()) {
                LabelDetailAct labelDetailAct = this.f19273a;
                Object b2 = g.b(result.getData(), LabelTagInfoModel.class);
                Intrinsics.checkNotNullExpressionValue(b2, "parseObject(result.data,…TagInfoModel::class.java)");
                labelDetailAct.v0((LabelTagInfoModel) b2);
                TextView textView = (TextView) this.f19273a._$_findCachedViewById(R.id.tvToolbarTitle);
                LabelTagInfoModel n0 = this.f19273a.n0();
                textView.setText(n0 == null ? null : n0.getTitle());
                LabelDetailAct labelDetailAct2 = this.f19273a;
                labelDetailAct2.s0(labelDetailAct2.n0());
                return;
            }
            ToastUtils.W(result.getMessage(), new Object[0]);
        }
    }

    @Metadata(d1 = {"\u0000\u0017\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J\u0010\u0010\u0002\u001a\u00020\u00032\u0006\u0010\u0004\u001a\u00020\u0005H\u0014¨\u0006\u0006"}, d2 = {"com/niming/weipa/ui/discovered/LabelDetailAct$videoLikeType$1", "Lcom/niming/weipa/net/AbsHttpCallback;", "onSuccess", "", j.f6041c, "Lcom/niming/framework/net/Result;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: LabelDetailAct.kt */
    public static final class f extends com.niming.weipa.g.a {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ LabelDetailAct f19274a;

        f(LabelDetailAct labelDetailAct) {
            this.f19274a = labelDetailAct;
        }

        /* access modifiers changed from: protected */
        @Override // com.niming.weipa.g.a
        public void onSuccess(@NotNull Result result) {
            Intrinsics.checkNotNullParameter(result, j.f6041c);
            boolean z = false;
            if (result.isOk()) {
                String data = result.getData();
                LabelDetailAct labelDetailAct = this.f19274a;
                Intrinsics.checkNotNullExpressionValue(data, "is_like");
                if (Integer.parseInt(data) == 1) {
                    z = true;
                }
                labelDetailAct.r0(z);
                LabelTagInfoModel n0 = this.f19274a.n0();
                Intrinsics.checkNotNullExpressionValue(data, "is_like");
                n0.setIs_like(Integer.parseInt(data));
                return;
            }
            ToastUtils.W(result.getMessage(), new Object[0]);
        }
    }

    private final void initListener() {
        u.f((LinearLayout) _$_findCachedViewById(R.id.ll_collect), 0, new b(this), 1, null);
        u.f((ImageView) _$_findCachedViewById(R.id.ivSearch), 0, new c(this), 1, null);
        u.f((ImageView) _$_findCachedViewById(R.id.tvBack), 0, new d(this), 1, null);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void r0(boolean z) {
        LinearLayout linearLayout = (LinearLayout) _$_findCachedViewById(R.id.ll_collect);
        if (linearLayout != null) {
            linearLayout.setVisibility(0);
        }
        if (z) {
            ((ImageView) _$_findCachedViewById(R.id.iv_collect)).setImageResource(com.hj.chen.new1126.R.drawable.ic_collected);
            TextView textView = (TextView) _$_findCachedViewById(R.id.tv_collect_text);
            if (textView != null) {
                textView.setText("已收藏");
                return;
            }
            return;
        }
        ((ImageView) _$_findCachedViewById(R.id.iv_collect)).setImageResource(com.hj.chen.new1126.R.drawable.ic_un_collected);
        TextView textView2 = (TextView) _$_findCachedViewById(R.id.tv_collect_text);
        if (textView2 != null) {
            textView2.setText("收藏");
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void s0(LabelTagInfoModel labelTagInfoModel) {
        ((TextView) _$_findCachedViewById(R.id.tv_label)).setText(Intrinsics.stringPlus("#", n0().getTitle()));
        if (labelTagInfoModel.getCover() != null && labelTagInfoModel.getCover().size() > 0) {
            List<String> cover = labelTagInfoModel.getCover();
            Intrinsics.checkNotNullExpressionValue(cover, "data.cover");
            ((LabelHeaderLayout) _$_findCachedViewById(R.id.ivImage)).setHeaderIcons(cover);
        }
        TextView textView = (TextView) _$_findCachedViewById(R.id.tvDescribe);
        if (textView != null) {
            textView.setText(((Object) k0.a(String.valueOf(labelTagInfoModel.getJoin()))) + "人参与 · " + ((Object) k0.a(String.valueOf(labelTagInfoModel.getPlay()))) + "次播放");
        }
        String intro = labelTagInfoModel.getIntro();
        Intrinsics.checkNotNullExpressionValue(intro, "data.intro");
        boolean z = false;
        if (intro.length() == 0) {
            TextView textView2 = (TextView) _$_findCachedViewById(R.id.tvTips);
            if (textView2 != null) {
                textView2.setText("该标签暂未添加详细介绍～");
            }
        } else {
            TextView textView3 = (TextView) _$_findCachedViewById(R.id.tvTips);
            if (textView3 != null) {
                textView3.setText(labelTagInfoModel.getIntro());
            }
        }
        if (labelTagInfoModel.getIs_like() == 1) {
            z = true;
        }
        r0(z);
    }

    private final void t0(int i) {
        com.niming.weipa.g.c.c0().r1(i, new e(this));
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void z0(int i) {
        com.niming.weipa.g.c.c0().E2(i, new f(this));
    }

    @Override // com.niming.weipa.base.BaseActivity
    public void _$_clearFindViewByIdCache() {
        this.M0.clear();
    }

    @Override // com.niming.weipa.base.BaseActivity
    @Nullable
    public View _$_findCachedViewById(int i) {
        Map<Integer, View> map = this.M0;
        View view = map.get(Integer.valueOf(i));
        if (view != null) {
            return view;
        }
        View findViewById = findViewById(i);
        if (findViewById == null) {
            return null;
        }
        map.put(Integer.valueOf(i), findViewById);
        return findViewById;
    }

    @Override // com.niming.framework.base.f
    public int getViewRes() {
        return com.hj.chen.new1126.R.layout.activity_discovered_detail2;
    }

    @Override // com.niming.weipa.base.BaseActivity, com.niming.framework.base.f
    public void init() {
        super.init();
        Serializable serializableExtra = getIntent().getSerializableExtra("dataBean");
        Objects.requireNonNull(serializableExtra, "null cannot be cast to non-null type com.niming.weipa.ui.discovered.model.DiscoverRecommendModel.DataBean");
        u0((DiscoverRecommendModel.DataBean) serializableExtra);
    }

    @Override // com.niming.weipa.base.BaseActivity, com.niming.framework.base.f
    public void initView(@Nullable Bundle bundle) {
        super.initView(bundle);
        setTranslucentBar();
        t0(m0().getKey_id());
        c0.a(getSupportFragmentManager(), com.niming.weipa.ui.search.f.u.V0.a(m0().getKey_id()), com.hj.chen.new1126.R.id.flContainer);
        initListener();
    }

    @NotNull
    public final DiscoverRecommendModel.DataBean m0() {
        DiscoverRecommendModel.DataBean dataBean = this.f19272b;
        if (dataBean != null) {
            return dataBean;
        }
        Intrinsics.throwUninitializedPropertyAccessException("dataBean");
        return null;
    }

    @NotNull
    public final LabelTagInfoModel n0() {
        LabelTagInfoModel labelTagInfoModel = this.I0;
        if (labelTagInfoModel != null) {
            return labelTagInfoModel;
        }
        Intrinsics.throwUninitializedPropertyAccessException("labelTagInfoModel");
        return null;
    }

    @NotNull
    public final String o0() {
        return this.K0;
    }

    @Nullable
    public final TextView p0() {
        return this.L0;
    }

    @NotNull
    public final String q0() {
        return this.J0;
    }

    public final void u0(@NotNull DiscoverRecommendModel.DataBean dataBean) {
        Intrinsics.checkNotNullParameter(dataBean, "<set-?>");
        this.f19272b = dataBean;
    }

    public final void v0(@NotNull LabelTagInfoModel labelTagInfoModel) {
        Intrinsics.checkNotNullParameter(labelTagInfoModel, "<set-?>");
        this.I0 = labelTagInfoModel;
    }

    public final void w0(@NotNull String str) {
        Intrinsics.checkNotNullParameter(str, "<set-?>");
        this.K0 = str;
    }

    public final void x0(@Nullable TextView textView) {
        this.L0 = textView;
    }

    public final void y0(@NotNull String str) {
        Intrinsics.checkNotNullParameter(str, "<set-?>");
        this.J0 = str;
    }
}
