package com.niming.weipa.ui.edit_info;

import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.content.pm.PackageManager;
import android.net.Uri;
import android.os.AsyncTask;
import android.os.Bundle;
import android.text.TextUtils;
import android.view.View;
import android.widget.ImageView;
import android.widget.TextView;
import com.blankj.utilcode.util.LogUtils;
import com.blankj.utilcode.util.ToastUtils;
import com.blankj.utilcode.util.a0;
import com.blankj.utilcode.util.k0;
import com.blankj.utilcode.util.l0;
import com.ibm.icu.text.DateFormat;
import com.liulishuo.filedownloader.model.FileDownloadModel;
import com.lzy.okgo.model.Progress;
import com.monter.changeavaterview.e;
import com.niming.framework.net.Result;
import com.niming.framework.widget.ItemView;
import com.niming.framework.widget.TitleView;
import com.niming.weipa.App;
import com.niming.weipa.R;
import com.niming.weipa.base.BaseActivity;
import com.niming.weipa.h.e.k;
import com.niming.weipa.model.AppUpdate2;
import com.niming.weipa.model.AuthLoginDeviceModel;
import com.niming.weipa.model.RefreshEvent;
import com.niming.weipa.model.UserInfo2;
import com.niming.weipa.notice.j;
import com.niming.weipa.ui.vip.VipDetailActivity4;
import com.niming.weipa.ui.welfare_cards.b.d;
import com.niming.weipa.update.UpdateAppDialogFragment;
import com.niming.weipa.utils.b0;
import com.niming.weipa.utils.c0;
import com.niming.weipa.utils.h0;
import com.niming.weipa.utils.i0;
import com.niming.weipa.utils.s0;
import com.niming.weipa.utils.t0;
import com.niming.weipa.utils.u;
import com.niming.weipa.utils.v;
import java.io.File;
import java.util.LinkedHashMap;
import java.util.Map;
import kotlin.Lazy;
import kotlin.LazyKt__LazyJVMKt;
import kotlin.Metadata;
import kotlin.Unit;
import kotlin.jvm.functions.Function0;
import kotlin.jvm.functions.Function1;
import kotlin.jvm.internal.DefaultConstructorMarker;
import kotlin.jvm.internal.Intrinsics;
import kotlin.jvm.internal.Lambda;
import kotlin.text.StringsKt__StringsJVMKt;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

@Metadata(d1 = {"\u0000B\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010\u000b\n\u0002\b\u0005\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0004\n\u0002\u0010\u000e\n\u0002\b\u0004\n\u0002\u0010\b\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0003\n\u0002\u0018\u0002\n\u0002\b\u000b\u0018\u0000 '2\u00020\u0001:\u0002&'B\u0005¢\u0006\u0002\u0010\u0002J\u0010\u0010\t\u001a\u00020\n2\u0006\u0010\u000b\u001a\u00020\fH\u0002J\b\u0010\r\u001a\u00020\nH\u0002J\b\u0010\u000e\u001a\u00020\nH\u0002J\u0012\u0010\u000f\u001a\u00020\n2\b\u0010\u0010\u001a\u0004\u0018\u00010\u0011H\u0002J\u0010\u0010\u0012\u001a\u00020\n2\u0006\u0010\u0013\u001a\u00020\u0011H\u0002J\b\u0010\u0014\u001a\u00020\nH\u0002J\b\u0010\u0015\u001a\u00020\u0016H\u0016J\u0010\u0010\u0017\u001a\u00020\n2\u0006\u0010\u0018\u001a\u00020\u0019H\u0002J\b\u0010\u001a\u001a\u00020\nH\u0002J\u0012\u0010\u001b\u001a\u00020\n2\b\u0010\u001c\u001a\u0004\u0018\u00010\u001dH\u0016J\u0010\u0010\u001e\u001a\u00020\n2\u0006\u0010\u0018\u001a\u00020\u0019H\u0002J\b\u0010\u001f\u001a\u00020\nH\u0002J\b\u0010 \u001a\u00020\nH\u0002J\b\u0010!\u001a\u00020\nH\u0002J\b\u0010\"\u001a\u00020\nH\u0002J\b\u0010#\u001a\u00020\nH\u0002J\u0010\u0010$\u001a\u00020\n2\u0006\u0010%\u001a\u00020\u0011H\u0002R\u000e\u0010\u0003\u001a\u00020\u0004X\u000e¢\u0006\u0002\n\u0000R\u001d\u0010\u0005\u001a\u0004\u0018\u00010\u00048BX\u0002¢\u0006\f\n\u0004\b\u0007\u0010\b\u001a\u0004\b\u0005\u0010\u0006¨\u0006("}, d2 = {"Lcom/niming/weipa/ui/edit_info/EditPersonActivity;", "Lcom/niming/weipa/base/BaseActivity;", "()V", "inEdit", "", "isCreator", "()Ljava/lang/Boolean;", "isCreator$delegate", "Lkotlin/Lazy;", "avatarUpload", "", "avatar", "Ljava/io/File;", "checkUpdate", "chooseImg", "compressAvatar", FileDownloadModel.K0, "", "deviceRegister", "deviceId", "getMyUserInfo", "getViewRes", "", "handlerAppUpdateInfo", "appUpdate", "Lcom/niming/weipa/model/AppUpdate2;", "initListener", "initView", "savedInstanceState", "Landroid/os/Bundle;", "needOpenUpdateDialog", "reLogin", "showChooseAvatarDialog", "showSelectPictureDialog", "showSelectPictureDialog2", "updateData", "userUpdateAvatar", Progress.FILE_PATH, "ClearCacheTask", "Companion", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* compiled from: EditPersonActivity.kt */
public final class EditPersonActivity extends BaseActivity {
    @NotNull

    /* renamed from: a  reason: collision with root package name */
    public static final b f19345a = new b(null);
    @NotNull

    /* renamed from: b  reason: collision with root package name */
    public static final String f19346b = "title";
    @NotNull
    private final Lazy I0 = LazyKt__LazyJVMKt.lazy(new o(this));
    private boolean J0;
    @NotNull
    public Map<Integer, View> K0 = new LinkedHashMap();

    @Metadata(d1 = {"\u0000(\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0010\b\n\u0002\u0010\u000e\n\u0002\b\u0003\n\u0002\u0010\u0011\n\u0002\b\u0002\n\u0002\u0010\u0002\n\u0002\b\u0002\b\u0004\u0018\u00002\u0018\u0012\u0006\u0012\u0004\u0018\u00010\u0002\u0012\u0006\u0012\u0004\u0018\u00010\u0003\u0012\u0004\u0012\u00020\u00040\u0001B\u0005¢\u0006\u0002\u0010\u0005J%\u0010\u0006\u001a\u00020\u00042\u0016\u0010\u0007\u001a\f\u0012\b\b\u0001\u0012\u0004\u0018\u00010\u00020\b\"\u0004\u0018\u00010\u0002H\u0014¢\u0006\u0002\u0010\tJ\u0010\u0010\n\u001a\u00020\u000b2\u0006\u0010\f\u001a\u00020\u0004H\u0014¨\u0006\r"}, d2 = {"Lcom/niming/weipa/ui/edit_info/EditPersonActivity$ClearCacheTask;", "Landroid/os/AsyncTask;", "Ljava/lang/Void;", "", "", "(Lcom/niming/weipa/ui/edit_info/EditPersonActivity;)V", "doInBackground", "params", "", "([Ljava/lang/Void;)Ljava/lang/String;", "onPostExecute", "", DateFormat.SECOND, "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: EditPersonActivity.kt */
    public final class a extends AsyncTask<Void, Integer, String> {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ EditPersonActivity f19347a;

        public a(EditPersonActivity editPersonActivity) {
            Intrinsics.checkNotNullParameter(editPersonActivity, "this$0");
            this.f19347a = editPersonActivity;
        }

        /* access modifiers changed from: protected */
        @NotNull
        /* renamed from: a */
        public String doInBackground(@NotNull Void... voidArr) {
            Intrinsics.checkNotNullParameter(voidArr, "params");
            c0.a(((com.niming.framework.base.BaseActivity) this.f19347a).activity);
            String d2 = c0.d(((com.niming.framework.base.BaseActivity) this.f19347a).activity);
            Intrinsics.checkNotNullExpressionValue(d2, "getDiskCacheSizeString(activity)");
            return d2;
        }

        /* access modifiers changed from: protected */
        /* renamed from: b */
        public void onPostExecute(@NotNull String str) {
            Intrinsics.checkNotNullParameter(str, DateFormat.SECOND);
            super.onPostExecute(str);
            c0.b(((com.niming.framework.base.BaseActivity) this.f19347a).activity);
            ToastUtils.S("清理成功", new Object[0]);
            ((ItemView) this.f19347a._$_findCachedViewById(R.id.item_clean_cache)).setRightText("0 MB");
        }
    }

    @Metadata(d1 = {"\u0000$\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\b\u0002\n\u0002\u0010\u000e\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u000b\n\u0000\b\u0003\u0018\u00002\u00020\u0001B\u0007\b\u0002¢\u0006\u0002\u0010\u0002J\u0016\u0010\u0005\u001a\u00020\u00062\u0006\u0010\u0007\u001a\u00020\b2\u0006\u0010\t\u001a\u00020\nR\u000e\u0010\u0003\u001a\u00020\u0004XT¢\u0006\u0002\n\u0000¨\u0006\u000b"}, d2 = {"Lcom/niming/weipa/ui/edit_info/EditPersonActivity$Companion;", "", "()V", "KEY", "", "start", "", "context", "Landroid/content/Context;", "isCreator", "", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: EditPersonActivity.kt */
    public static final class b {
        private b() {
        }

        public /* synthetic */ b(DefaultConstructorMarker defaultConstructorMarker) {
            this();
        }

        public final void a(@NotNull Context context, boolean z) {
            Intrinsics.checkNotNullParameter(context, "context");
            Intent intent = new Intent(context, EditPersonActivity.class);
            intent.putExtra("title", z);
            context.startActivity(intent);
        }
    }

    @Metadata(d1 = {"\u0000\u0017\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J\u0010\u0010\u0002\u001a\u00020\u00032\u0006\u0010\u0004\u001a\u00020\u0005H\u0014¨\u0006\u0006"}, d2 = {"com/niming/weipa/ui/edit_info/EditPersonActivity$avatarUpload$1", "Lcom/niming/weipa/net/AbsHttpCallback;", "onSuccess", "", com.alipay.sdk.util.j.f6041c, "Lcom/niming/framework/net/Result;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: EditPersonActivity.kt */
    public static final class c extends com.niming.weipa.g.a {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ EditPersonActivity f19348a;

        c(EditPersonActivity editPersonActivity) {
            this.f19348a = editPersonActivity;
        }

        /* access modifiers changed from: protected */
        @Override // com.niming.weipa.g.a
        public void onSuccess(@NotNull Result result) {
            Intrinsics.checkNotNullParameter(result, com.alipay.sdk.util.j.f6041c);
            if (result.isOk()) {
                String resultStr = result.getResultStr("file_name");
                String resultStr2 = result.getResultStr("file_path");
                EditPersonActivity editPersonActivity = this.f19348a;
                Intrinsics.checkNotNullExpressionValue(resultStr2, "file_path");
                editPersonActivity.L0(resultStr2);
                String str = ((com.niming.framework.base.BaseActivity) this.f19348a).TAG;
                h0.a(str, "file_name = " + ((Object) resultStr) + " ;file_path = " + ((Object) resultStr2));
                return;
            }
            ToastUtils.W(result.getMessage(), new Object[0]);
        }
    }

    @Metadata(d1 = {"\u0000\u0017\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J\u0010\u0010\u0002\u001a\u00020\u00032\u0006\u0010\u0004\u001a\u00020\u0005H\u0014¨\u0006\u0006"}, d2 = {"com/niming/weipa/ui/edit_info/EditPersonActivity$checkUpdate$1", "Lcom/niming/weipa/net/AbsHttpCallback;", "onSuccess", "", com.alipay.sdk.util.j.f6041c, "Lcom/niming/framework/net/Result;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: EditPersonActivity.kt */
    public static final class d extends com.niming.weipa.g.a {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ EditPersonActivity f19349a;

        d(EditPersonActivity editPersonActivity) {
            this.f19349a = editPersonActivity;
        }

        /* access modifiers changed from: protected */
        @Override // com.niming.weipa.g.a
        public void onSuccess(@NotNull Result result) {
            Intrinsics.checkNotNullParameter(result, com.alipay.sdk.util.j.f6041c);
            if (result.isOk()) {
                AppUpdate2 appUpdate2 = (AppUpdate2) com.niming.framework.b.g.b(result.getData(), AppUpdate2.class);
                if (k0.y(appUpdate2)) {
                    EditPersonActivity editPersonActivity = this.f19349a;
                    Intrinsics.checkNotNullExpressionValue(appUpdate2, "appUpdate");
                    editPersonActivity.y0(appUpdate2);
                    return;
                }
                return;
            }
            LogUtils.l("app 信息 未获取到");
        }
    }

    /* access modifiers changed from: package-private */
    @Metadata(d1 = {"\u0000\b\n\u0000\n\u0002\u0010\u0002\n\u0000\u0010\u0000\u001a\u00020\u0001H\n¢\u0006\u0002\b\u0002"}, d2 = {"<anonymous>", "", "invoke"}, k = 3, mv = {1, 6, 0}, xi = 48)
    /* compiled from: EditPersonActivity.kt */
    public static final class e extends Lambda implements Function0<Unit> {
        final /* synthetic */ EditPersonActivity this$0;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        e(EditPersonActivity editPersonActivity) {
            super(0);
            this.this$0 = editPersonActivity;
        }

        public final void a() {
            VipDetailActivity4.a aVar = VipDetailActivity4.f20323a;
            Activity activity = ((com.niming.framework.base.BaseActivity) this.this$0).activity;
            Intrinsics.checkNotNullExpressionValue(activity, "activity");
            aVar.a(activity);
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        @Override // kotlin.jvm.functions.Function0
        public /* bridge */ /* synthetic */ Unit invoke() {
            a();
            return Unit.INSTANCE;
        }
    }

    @Metadata(d1 = {"\u0000\u001f\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0010\u0003\n\u0002\b\u0003\n\u0002\u0018\u0002\n\u0000*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J\u0010\u0010\u0002\u001a\u00020\u00032\u0006\u0010\u0004\u001a\u00020\u0005H\u0016J\b\u0010\u0006\u001a\u00020\u0003H\u0016J\u0010\u0010\u0007\u001a\u00020\u00032\u0006\u0010\b\u001a\u00020\tH\u0016¨\u0006\n"}, d2 = {"com/niming/weipa/ui/edit_info/EditPersonActivity$compressAvatar$2", "Ltop/zibin/luban/OnCompressListener;", "onError", "", "e", "", "onStart", "onSuccess", "file", "Ljava/io/File;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: EditPersonActivity.kt */
    public static final class f implements top.zibin.luban.g {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ EditPersonActivity f19350a;

        f(EditPersonActivity editPersonActivity) {
            this.f19350a = editPersonActivity;
        }

        @Override // top.zibin.luban.g
        public void a() {
        }

        @Override // top.zibin.luban.g
        public void b(@NotNull Throwable th) {
            Intrinsics.checkNotNullParameter(th, "e");
            LogUtils.m("niming", Intrinsics.stringPlus("===压缩失败", th.getLocalizedMessage()));
        }

        @Override // top.zibin.luban.g
        public void c(@NotNull File file) {
            Intrinsics.checkNotNullParameter(file, "file");
            this.f19350a.r0(file);
        }
    }

    @Metadata(d1 = {"\u0000\u0017\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J\u0010\u0010\u0002\u001a\u00020\u00032\u0006\u0010\u0004\u001a\u00020\u0005H\u0014¨\u0006\u0006"}, d2 = {"com/niming/weipa/ui/edit_info/EditPersonActivity$deviceRegister$1", "Lcom/niming/weipa/net/AbsHttpCallback;", "onSuccess", "", com.alipay.sdk.util.j.f6041c, "Lcom/niming/framework/net/Result;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: EditPersonActivity.kt */
    public static final class g extends com.niming.weipa.g.a {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ EditPersonActivity f19351a;

        g(EditPersonActivity editPersonActivity) {
            this.f19351a = editPersonActivity;
        }

        /* access modifiers changed from: protected */
        @Override // com.niming.weipa.g.a
        public void onSuccess(@NotNull Result result) {
            Intrinsics.checkNotNullParameter(result, com.alipay.sdk.util.j.f6041c);
            h0.a(((com.niming.framework.base.BaseActivity) this.f19351a).TAG, Intrinsics.stringPlus("authLoginDevice = ", result.getData()));
            if (result.isOk()) {
                AuthLoginDeviceModel authLoginDeviceModel = (AuthLoginDeviceModel) com.niming.framework.b.g.b(result.getData(), AuthLoginDeviceModel.class);
                com.niming.framework.basedb.h.c().h(com.niming.weipa.c.a.f, authLoginDeviceModel.getAuth().getToken());
                com.niming.framework.basedb.h.c().g(com.niming.weipa.c.a.i, authLoginDeviceModel);
                this.f19351a.finish();
                return;
            }
            ToastUtils.W(result.getMessage(), new Object[0]);
        }
    }

    @Metadata(d1 = {"\u0000\u0017\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J\u0010\u0010\u0002\u001a\u00020\u00032\u0006\u0010\u0004\u001a\u00020\u0005H\u0014¨\u0006\u0006"}, d2 = {"com/niming/weipa/ui/edit_info/EditPersonActivity$getMyUserInfo$1", "Lcom/niming/weipa/net/AbsHttpCallback;", "onSuccess", "", com.alipay.sdk.util.j.f6041c, "Lcom/niming/framework/net/Result;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: EditPersonActivity.kt */
    public static final class h extends com.niming.weipa.g.a {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ EditPersonActivity f19352a;

        h(EditPersonActivity editPersonActivity) {
            this.f19352a = editPersonActivity;
        }

        /* access modifiers changed from: protected */
        @Override // com.niming.weipa.g.a
        public void onSuccess(@NotNull Result result) {
            Intrinsics.checkNotNullParameter(result, com.alipay.sdk.util.j.f6041c);
            if (result.isOk()) {
                UserInfo2 userInfo2 = (UserInfo2) com.niming.framework.b.g.b(result.getData(), UserInfo2.class);
                this.f19352a.updateUserInfo2(userInfo2);
                com.niming.weipa.e.b.g(((com.niming.framework.base.BaseActivity) this.f19352a).activity, userInfo2.getAvatar(), (ImageView) this.f19352a._$_findCachedViewById(R.id.iv_user_avatar));
                return;
            }
            ToastUtils.W(result.getMessage(), new Object[0]);
        }
    }

    /* access modifiers changed from: package-private */
    @Metadata(d1 = {"\u0000\u0010\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\u0010\u0000\u001a\u00020\u00012\u000e\u0010\u0002\u001a\n \u0004*\u0004\u0018\u00010\u00030\u0003H\n¢\u0006\u0002\b\u0005"}, d2 = {"<anonymous>", "", "it", "Landroid/widget/ImageView;", "kotlin.jvm.PlatformType", "invoke"}, k = 3, mv = {1, 6, 0}, xi = 48)
    /* compiled from: EditPersonActivity.kt */
    public static final class i extends Lambda implements Function1<ImageView, Unit> {
        final /* synthetic */ EditPersonActivity this$0;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        i(EditPersonActivity editPersonActivity) {
            super(1);
            this.this$0 = editPersonActivity;
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // kotlin.jvm.functions.Function1
        public /* bridge */ /* synthetic */ Unit invoke(ImageView imageView) {
            invoke(imageView);
            return Unit.INSTANCE;
        }

        public final void invoke(ImageView imageView) {
            this.this$0.t0();
        }
    }

    /* access modifiers changed from: package-private */
    @Metadata(d1 = {"\u0000\u0010\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\u0010\u0000\u001a\u00020\u00012\u000e\u0010\u0002\u001a\n \u0004*\u0004\u0018\u00010\u00030\u0003H\n¢\u0006\u0002\b\u0005"}, d2 = {"<anonymous>", "", "it", "Landroid/widget/TextView;", "kotlin.jvm.PlatformType", "invoke"}, k = 3, mv = {1, 6, 0}, xi = 48)
    /* compiled from: EditPersonActivity.kt */
    public static final class j extends Lambda implements Function1<TextView, Unit> {
        final /* synthetic */ EditPersonActivity this$0;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        j(EditPersonActivity editPersonActivity) {
            super(1);
            this.this$0 = editPersonActivity;
        }

        public final void a(TextView textView) {
            this.this$0.t0();
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // kotlin.jvm.functions.Function1
        public /* bridge */ /* synthetic */ Unit invoke(TextView textView) {
            a(textView);
            return Unit.INSTANCE;
        }
    }

    /* access modifiers changed from: package-private */
    @Metadata(d1 = {"\u0000\u0010\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\u0010\u0000\u001a\u00020\u00012\u000e\u0010\u0002\u001a\n \u0004*\u0004\u0018\u00010\u00030\u0003H\n¢\u0006\u0002\b\u0005"}, d2 = {"<anonymous>", "", "it", "Lcom/niming/framework/widget/ItemView;", "kotlin.jvm.PlatformType", "invoke"}, k = 3, mv = {1, 6, 0}, xi = 48)
    /* compiled from: EditPersonActivity.kt */
    public static final class k extends Lambda implements Function1<ItemView, Unit> {
        final /* synthetic */ EditPersonActivity this$0;

        @Metadata(d1 = {"\u0000\u0017\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0010\u000e\n\u0000*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J\u0010\u0010\u0002\u001a\u00020\u00032\u0006\u0010\u0004\u001a\u00020\u0005H\u0016¨\u0006\u0006"}, d2 = {"com/niming/weipa/ui/edit_info/EditPersonActivity$initListener$3$1", "Lcom/niming/weipa/ui/mine/EditNicknameDialogFragment$OnClickSubmitListener;", "clickSubmit", "", "updateString", "", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
        /* compiled from: EditPersonActivity.kt */
        public static final class a implements k.b {

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ EditPersonActivity f19353a;

            a(EditPersonActivity editPersonActivity) {
                this.f19353a = editPersonActivity;
            }

            @Override // com.niming.weipa.h.e.k.b
            public void a(@NotNull String str) {
                Intrinsics.checkNotNullParameter(str, "updateString");
                ((ItemView) this.f19353a._$_findCachedViewById(R.id.item_nick)).setRightText(str);
            }
        }

        /* access modifiers changed from: package-private */
        @Metadata(d1 = {"\u0000\b\n\u0000\n\u0002\u0010\u0002\n\u0000\u0010\u0000\u001a\u00020\u0001H\n¢\u0006\u0002\b\u0002"}, d2 = {"<anonymous>", "", "invoke"}, k = 3, mv = {1, 6, 0}, xi = 48)
        /* compiled from: EditPersonActivity.kt */
        public static final class b extends Lambda implements Function0<Unit> {
            final /* synthetic */ EditPersonActivity this$0;

            /* JADX INFO: super call moved to the top of the method (can break code semantics) */
            b(EditPersonActivity editPersonActivity) {
                super(0);
                this.this$0 = editPersonActivity;
            }

            public final void a() {
                VipDetailActivity4.a aVar = VipDetailActivity4.f20323a;
                Activity activity = ((com.niming.framework.base.BaseActivity) this.this$0).activity;
                Intrinsics.checkNotNullExpressionValue(activity, "activity");
                aVar.a(activity);
            }

            /* Return type fixed from 'java.lang.Object' to match base method */
            @Override // kotlin.jvm.functions.Function0
            public /* bridge */ /* synthetic */ Unit invoke() {
                a();
                return Unit.INSTANCE;
            }
        }

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        k(EditPersonActivity editPersonActivity) {
            super(1);
            this.this$0 = editPersonActivity;
        }

        public final void a(ItemView itemView) {
            if (this.this$0.getUserInfo2().getIs_vip().equals(DateFormat.YEAR)) {
                k.a aVar = com.niming.weipa.h.e.k.M0;
                String nick = this.this$0.getUserInfo2().getNick();
                Intrinsics.checkNotNullExpressionValue(nick, "userInfo2.nick");
                aVar.a(nick).m0(new a(this.this$0)).show(this.this$0.getSupportFragmentManager(), "nick");
                return;
            }
            com.niming.weipa.notice.c.M0.b("开通会员即可更改昵称～", "立即开通", "取消").o0(new b(this.this$0)).show(this.this$0.getSupportFragmentManager(), "AlterDialogFragment");
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // kotlin.jvm.functions.Function1
        public /* bridge */ /* synthetic */ Unit invoke(ItemView itemView) {
            a(itemView);
            return Unit.INSTANCE;
        }
    }

    /* access modifiers changed from: package-private */
    @Metadata(d1 = {"\u0000\u0010\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\u0010\u0000\u001a\u00020\u00012\u000e\u0010\u0002\u001a\n \u0004*\u0004\u0018\u00010\u00030\u0003H\n¢\u0006\u0002\b\u0005"}, d2 = {"<anonymous>", "", "it", "Lcom/niming/framework/widget/ItemView;", "kotlin.jvm.PlatformType", "invoke"}, k = 3, mv = {1, 6, 0}, xi = 48)
    /* compiled from: EditPersonActivity.kt */
    public static final class l extends Lambda implements Function1<ItemView, Unit> {
        final /* synthetic */ EditPersonActivity this$0;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        l(EditPersonActivity editPersonActivity) {
            super(1);
            this.this$0 = editPersonActivity;
        }

        public final void a(ItemView itemView) {
            this.this$0.s0();
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // kotlin.jvm.functions.Function1
        public /* bridge */ /* synthetic */ Unit invoke(ItemView itemView) {
            a(itemView);
            return Unit.INSTANCE;
        }
    }

    /* access modifiers changed from: package-private */
    @Metadata(d1 = {"\u0000\u0010\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\u0010\u0000\u001a\u00020\u00012\u000e\u0010\u0002\u001a\n \u0004*\u0004\u0018\u00010\u00030\u0003H\n¢\u0006\u0002\b\u0005"}, d2 = {"<anonymous>", "", "it", "Lcom/niming/framework/widget/ItemView;", "kotlin.jvm.PlatformType", "invoke"}, k = 3, mv = {1, 6, 0}, xi = 48)
    /* compiled from: EditPersonActivity.kt */
    public static final class m extends Lambda implements Function1<ItemView, Unit> {
        final /* synthetic */ EditPersonActivity this$0;

        /* access modifiers changed from: package-private */
        @Metadata(d1 = {"\u0000\b\n\u0000\n\u0002\u0010\u0002\n\u0000\u0010\u0000\u001a\u00020\u0001H\n¢\u0006\u0002\b\u0002"}, d2 = {"<anonymous>", "", "invoke"}, k = 3, mv = {1, 6, 0}, xi = 48)
        /* compiled from: EditPersonActivity.kt */
        public static final class a extends Lambda implements Function0<Unit> {
            final /* synthetic */ EditPersonActivity this$0;

            /* JADX INFO: super call moved to the top of the method (can break code semantics) */
            a(EditPersonActivity editPersonActivity) {
                super(0);
                this.this$0 = editPersonActivity;
            }

            public final void a() {
                ren.yale.android.cachewebviewlib.g.l().c();
                com.shuyu.gsyvideoplayer.f.a.a().d(((com.niming.framework.base.BaseActivity) this.this$0).activity, null, null);
                new a(this.this$0).execute(new Void[0]);
                String b2 = t0.b(((com.niming.framework.base.BaseActivity) this.this$0).activity);
                boolean p = a0.p(b2);
                LogUtils.l("videoCacheRootPath = " + ((Object) b2) + " delete = " + p);
            }

            /* Return type fixed from 'java.lang.Object' to match base method */
            @Override // kotlin.jvm.functions.Function0
            public /* bridge */ /* synthetic */ Unit invoke() {
                a();
                return Unit.INSTANCE;
            }
        }

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        m(EditPersonActivity editPersonActivity) {
            super(1);
            this.this$0 = editPersonActivity;
        }

        public final void a(ItemView itemView) {
            com.niming.weipa.notice.c.M0.b("清除缓存，视频草稿将一并清除", "清除", "取消").o0(new a(this.this$0)).show(this.this$0.getSupportFragmentManager(), "AlterDialogFragment");
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // kotlin.jvm.functions.Function1
        public /* bridge */ /* synthetic */ Unit invoke(ItemView itemView) {
            a(itemView);
            return Unit.INSTANCE;
        }
    }

    /* access modifiers changed from: package-private */
    @Metadata(d1 = {"\u0000\u0010\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\u0010\u0000\u001a\u00020\u00012\u000e\u0010\u0002\u001a\n \u0004*\u0004\u0018\u00010\u00030\u0003H\n¢\u0006\u0002\b\u0005"}, d2 = {"<anonymous>", "", "it", "Landroid/widget/TextView;", "kotlin.jvm.PlatformType", "invoke"}, k = 3, mv = {1, 6, 0}, xi = 48)
    /* compiled from: EditPersonActivity.kt */
    public static final class n extends Lambda implements Function1<TextView, Unit> {
        final /* synthetic */ EditPersonActivity this$0;

        @Metadata(d1 = {"\u0000\u0017\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J\u0012\u0010\u0002\u001a\u00020\u00032\b\u0010\u0004\u001a\u0004\u0018\u00010\u0005H\u0014¨\u0006\u0006"}, d2 = {"com/niming/weipa/ui/edit_info/EditPersonActivity$initListener$6$1", "Lcom/niming/weipa/net/AbsHttpCallback;", "onSuccess", "", com.alipay.sdk.util.j.f6041c, "Lcom/niming/framework/net/Result;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
        /* compiled from: EditPersonActivity.kt */
        public static final class a extends com.niming.weipa.g.a {

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ EditPersonActivity f19354a;

            a(EditPersonActivity editPersonActivity) {
                this.f19354a = editPersonActivity;
            }

            /* access modifiers changed from: protected */
            @Override // com.niming.weipa.g.a
            public void onSuccess(@Nullable Result result) {
                this.f19354a.E0();
            }
        }

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        n(EditPersonActivity editPersonActivity) {
            super(1);
            this.this$0 = editPersonActivity;
        }

        public final void a(TextView textView) {
            com.niming.weipa.g.c.c0().o0(new a(this.this$0));
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // kotlin.jvm.functions.Function1
        public /* bridge */ /* synthetic */ Unit invoke(TextView textView) {
            a(textView);
            return Unit.INSTANCE;
        }
    }

    @Metadata(d1 = {"\u0000\n\n\u0000\n\u0002\u0010\u000b\n\u0002\b\u0002\u0010\u0000\u001a\u0004\u0018\u00010\u0001H\n¢\u0006\u0004\b\u0002\u0010\u0003"}, d2 = {"<anonymous>", "", "invoke", "()Ljava/lang/Boolean;"}, k = 3, mv = {1, 6, 0}, xi = 48)
    /* compiled from: EditPersonActivity.kt */
    static final class o extends Lambda implements Function0<Boolean> {
        final /* synthetic */ EditPersonActivity this$0;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        o(EditPersonActivity editPersonActivity) {
            super(0);
            this.this$0 = editPersonActivity;
        }

        @Nullable
        /* renamed from: a */
        public final Boolean invoke() {
            Intent intent = this.this$0.getIntent();
            if (intent == null) {
                return null;
            }
            return Boolean.valueOf(intent.getBooleanExtra("title", false));
        }
    }

    @Metadata(d1 = {"\u0000\u0017\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0010\b\n\u0000*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J\u0010\u0010\u0002\u001a\u00020\u00032\u0006\u0010\u0004\u001a\u00020\u0005H\u0016¨\u0006\u0006"}, d2 = {"com/niming/weipa/ui/edit_info/EditPersonActivity$showChooseAvatarDialog$1", "Lcom/niming/weipa/notice/ListItemDialogFragment$OnAlterClickListener;", "onMakeSureClick", "", "position", "", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: EditPersonActivity.kt */
    public static final class p implements j.c {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ EditPersonActivity f19355a;

        p(EditPersonActivity editPersonActivity) {
            this.f19355a = editPersonActivity;
        }

        @Override // com.niming.weipa.notice.j.c
        public void a(int i) {
            if (i == 0) {
                this.f19355a.I0();
            } else if (i == 1) {
                this.f19355a.G0();
            }
        }
    }

    @Metadata(d1 = {"\u0000\u0017\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J\u0010\u0010\u0002\u001a\u00020\u00032\u0006\u0010\u0004\u001a\u00020\u0005H\u0014¨\u0006\u0006"}, d2 = {"com/niming/weipa/ui/edit_info/EditPersonActivity$userUpdateAvatar$1", "Lcom/niming/weipa/net/AbsHttpCallback;", "onSuccess", "", com.alipay.sdk.util.j.f6041c, "Lcom/niming/framework/net/Result;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: EditPersonActivity.kt */
    public static final class q extends com.niming.weipa.g.a {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ EditPersonActivity f19356a;

        q(EditPersonActivity editPersonActivity) {
            this.f19356a = editPersonActivity;
        }

        /* access modifiers changed from: protected */
        @Override // com.niming.weipa.g.a
        public void onSuccess(@NotNull Result result) {
            Intrinsics.checkNotNullParameter(result, com.alipay.sdk.util.j.f6041c);
            b0.b().g("编辑资料-更改头像");
            com.niming.framework.b.d.b(new RefreshEvent(17));
            this.f19356a.finish();
        }
    }

    private final void D0(AppUpdate2 appUpdate2) {
        UpdateAppDialogFragment f0 = UpdateAppDialogFragment.f0(appUpdate2);
        f0.show(getSupportFragmentManager(), f0.getClass().getSimpleName());
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void E0() {
        String e2 = com.niming.framework.basedb.h.c().e(com.niming.weipa.c.a.f17708a);
        if (TextUtils.isEmpty(e2)) {
            e2 = new s0(this).a().toString();
            com.niming.framework.basedb.h.c().h(com.niming.weipa.c.a.f17708a, e2);
        }
        Intrinsics.checkNotNullExpressionValue(e2, "deviceId");
        w0(e2);
    }

    private final void F0() {
        com.niming.weipa.notice.j.M0.a(v.b("系统头像", "本地上传")).n0(new p(this)).show(getSupportFragmentManager(), "showTypeDialog");
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void G0() {
        e.C0353e eVar = new e.C0353e();
        eVar.c(new b(this));
        eVar.a().show(getSupportFragmentManager(), "select_picture_dialog");
    }

    /* access modifiers changed from: private */
    public static final void H0(EditPersonActivity editPersonActivity, Uri uri) {
        Intrinsics.checkNotNullParameter(editPersonActivity, "this$0");
        editPersonActivity.u0(uri.getPath());
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void I0() {
        new d.a().d().k0(new a(this)).l0(this.activity);
    }

    /* access modifiers changed from: private */
    public static final void J0(EditPersonActivity editPersonActivity, int i2) {
        Intrinsics.checkNotNullParameter(editPersonActivity, "this$0");
        editPersonActivity.L0(String.valueOf(i2 + 1));
    }

    private final void K0() {
        ((ItemView) _$_findCachedViewById(R.id.item_nick)).setRightText(getUserInfo2().getNick());
        try {
            App.a aVar = App.I0;
            ((ItemView) _$_findCachedViewById(R.id.item_version)).setRightText(aVar.a().getPackageManager().getPackageInfo(aVar.a().getPackageName(), 0).versionName);
        } catch (PackageManager.NameNotFoundException e2) {
            e2.printStackTrace();
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void L0(String str) {
        com.niming.weipa.g.c.c0().e2(str, new q(this));
    }

    private final void initListener() {
        u.f((ImageView) _$_findCachedViewById(R.id.iv_user_avatar), 0, new i(this), 1, null);
        u.f((TextView) _$_findCachedViewById(R.id.tv_edit_avatar), 0, new j(this), 1, null);
        u.f((ItemView) _$_findCachedViewById(R.id.item_nick), 0, new k(this), 1, null);
        u.f((ItemView) _$_findCachedViewById(R.id.item_version), 0, new l(this), 1, null);
        u.f((ItemView) _$_findCachedViewById(R.id.item_clean_cache), 0, new m(this), 1, null);
        u.f((TextView) _$_findCachedViewById(R.id.tv_log_out), 0, new n(this), 1, null);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void r0(File file) {
        h0.a("avatarUpload", Intrinsics.stringPlus("avatarUpload  = ", file.getPath()));
        com.niming.weipa.g.c.c0().T1(file, "avatar", new c(this));
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void s0() {
        i0 i0Var = i0.f20556a;
        Activity activity = this.activity;
        Intrinsics.checkNotNullExpressionValue(activity, "activity");
        com.niming.weipa.g.c.c0().d0(i0Var.e(activity, "LINK"), new d(this).setLoadingListener(this, "请求中"));
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void t0() {
        if (getUserInfo2().getIs_vip().equals(DateFormat.YEAR)) {
            F0();
        } else {
            com.niming.weipa.notice.c.M0.b("开通会员即可更改头像～", "立即开通", "取消").o0(new e(this)).show(getSupportFragmentManager(), "AlterDialogFragment");
        }
    }

    private final void u0(String str) {
        h0.a(this.TAG, Intrinsics.stringPlus("avatar ", str));
        String str2 = l0.h() + ((Object) File.separator) + "compress";
        a0.l(str2);
        top.zibin.luban.f.n(this).p(str).l(100).u(true).w(str2).i(c.f19371a).t(new f(this)).m();
    }

    /* access modifiers changed from: private */
    public static final boolean v0(String str) {
        if (TextUtils.isEmpty(str)) {
            return false;
        }
        Intrinsics.checkNotNullExpressionValue(str, FileDownloadModel.K0);
        String lowerCase = str.toLowerCase();
        Intrinsics.checkNotNullExpressionValue(lowerCase, "this as java.lang.String).toLowerCase()");
        return !(StringsKt__StringsJVMKt.endsWith$default(lowerCase, ".gif", false, 2, null));
    }

    private final void w0(String str) {
        String e2 = i0.f20556a.e(this, "APP_CHANNEL");
        if (TextUtils.isEmpty(e2) || !TextUtils.isEmpty("")) {
            e2 = "";
        }
        com.niming.weipa.g.c.c0().b(str, "", e2, new g(this));
    }

    private final void x0() {
        com.niming.weipa.g.c.c0().e0(new h(this));
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void y0(AppUpdate2 appUpdate2) {
        com.niming.framework.basedb.h.c().g(com.niming.weipa.c.a.h, appUpdate2);
        if (com.niming.weipa.update.a.d(com.niming.weipa.a.f, appUpdate2.getVersion_code())) {
            D0(appUpdate2);
        } else {
            ToastUtils.W("已是最新版本", new Object[0]);
        }
    }

    private final Boolean z0() {
        return (Boolean) this.I0.getValue();
    }

    @Override // com.niming.weipa.base.BaseActivity
    public void _$_clearFindViewByIdCache() {
        this.K0.clear();
    }

    @Override // com.niming.weipa.base.BaseActivity
    @Nullable
    public View _$_findCachedViewById(int i2) {
        Map<Integer, View> map = this.K0;
        View view = map.get(Integer.valueOf(i2));
        if (view != null) {
            return view;
        }
        View findViewById = findViewById(i2);
        if (findViewById == null) {
            return null;
        }
        map.put(Integer.valueOf(i2), findViewById);
        return findViewById;
    }

    @Override // com.niming.framework.base.f
    public int getViewRes() {
        return com.hj.chen.new1126.R.layout.activity_edit_person;
    }

    @Override // com.niming.weipa.base.BaseActivity, com.niming.framework.base.f
    public void initView(@Nullable Bundle bundle) {
        super.initView(bundle);
        if (Intrinsics.areEqual(z0(), Boolean.TRUE)) {
            TitleView titleView = (TitleView) _$_findCachedViewById(R.id.titleView);
            Intrinsics.checkNotNullExpressionValue(titleView, "titleView");
            initTitle(titleView, "编辑UP主资料");
        } else {
            TitleView titleView2 = (TitleView) _$_findCachedViewById(R.id.titleView);
            Intrinsics.checkNotNullExpressionValue(titleView2, "titleView");
            initTitle(titleView2, "编辑资料");
        }
        if (!getUserInfo2().isIsset_account() || TextUtils.isEmpty(getUserInfo2().getUser_account())) {
            ((TextView) _$_findCachedViewById(R.id.tv_log_out)).setVisibility(8);
        } else {
            ((TextView) _$_findCachedViewById(R.id.tv_log_out)).setVisibility(0);
        }
        initListener();
        com.niming.weipa.e.b.g(this.activity, getUserInfo2().getAvatar(), (ImageView) _$_findCachedViewById(R.id.iv_user_avatar));
        K0();
    }
}
