package com.niming.weipa.ui.focus_on;

import android.app.Activity;
import android.os.Bundle;
import android.text.TextUtils;
import android.view.View;
import android.widget.TextView;
import androidx.recyclerview.widget.GridLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import com.alipay.sdk.util.j;
import com.blankj.utilcode.util.ToastUtils;
import com.blankj.utilcode.util.z0;
import com.niming.framework.b.g;
import com.niming.framework.net.Result;
import com.niming.weipa.R;
import com.niming.weipa.model.SearchIndexModel;
import com.niming.weipa.model.SearchIndexTagVideo;
import com.niming.weipa.model.VideoDetails;
import com.niming.weipa.model.VideoInfo2;
import com.niming.weipa.ui.focus_on.activity.VideoDetailActivity;
import com.niming.weipa.ui.focus_on.e0.n;
import com.niming.weipa.utils.l;
import com.niming.weipa.utils.u;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;
import java.util.Objects;
import kotlin.Metadata;
import kotlin.Unit;
import kotlin.jvm.functions.Function1;
import kotlin.jvm.internal.DefaultConstructorMarker;
import kotlin.jvm.internal.Intrinsics;
import kotlin.jvm.internal.Lambda;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

@Metadata(d1 = {"\u0000X\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0010\u000e\n\u0002\b\u0005\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\b\n\u0002\b\u0003\n\u0002\u0018\u0002\n\u0002\b\u0004\n\u0002\u0010\u000b\n\u0002\b\u0005\u0018\u0000 /2\u00020\u0001:\u0001/B\u0005¢\u0006\u0002\u0010\u0002J \u0010\u001b\u001a\u00020\u001c2\u0016\u0010\u001d\u001a\u0012\u0012\u0004\u0012\u00020\u001f0\u001ej\b\u0012\u0004\u0012\u00020\u001f` H\u0002J\b\u0010!\u001a\u00020\"H\u0016J\b\u0010#\u001a\u00020\u001cH\u0002J\u0012\u0010$\u001a\u00020\u001c2\b\u0010%\u001a\u0004\u0018\u00010&H\u0016J\u0012\u0010'\u001a\u00020\u001c2\b\u0010(\u001a\u0004\u0018\u00010&H\u0016J\u0018\u0010)\u001a\u00020\u001c2\u0006\u0010*\u001a\u00020+2\u0006\u0010,\u001a\u00020+H\u0016J\u0012\u0010\u000f\u001a\u00020\u001c2\b\u0010\u0015\u001a\u0004\u0018\u00010\u0016H\u0002J\u0010\u0010-\u001a\u00020\u001c2\u0006\u0010.\u001a\u00020\"H\u0002R\u001c\u0010\u0003\u001a\u0004\u0018\u00010\u0004X\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u0005\u0010\u0006\"\u0004\b\u0007\u0010\bR\u001c\u0010\t\u001a\u0004\u0018\u00010\nX\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u000b\u0010\f\"\u0004\b\r\u0010\u000eR\u001c\u0010\u000f\u001a\u0004\u0018\u00010\u0010X\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u0011\u0010\u0012\"\u0004\b\u0013\u0010\u0014R\u001c\u0010\u0015\u001a\u0004\u0018\u00010\u0016X\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u0017\u0010\u0018\"\u0004\b\u0019\u0010\u001a¨\u00060"}, d2 = {"Lcom/niming/weipa/ui/focus_on/FindHotSearchFragment;", "Lcom/niming/weipa/base/BaseFragment;", "()V", "adapter", "Lcom/niming/weipa/ui/focus_on/adapter/FindHotSearchAdapter;", "getAdapter", "()Lcom/niming/weipa/ui/focus_on/adapter/FindHotSearchAdapter;", "setAdapter", "(Lcom/niming/weipa/ui/focus_on/adapter/FindHotSearchAdapter;)V", "hotBeanString", "", "getHotBeanString", "()Ljava/lang/String;", "setHotBeanString", "(Ljava/lang/String;)V", "searchIndexTagVideo", "Lcom/niming/weipa/model/SearchIndexTagVideo;", "getSearchIndexTagVideo", "()Lcom/niming/weipa/model/SearchIndexTagVideo;", "setSearchIndexTagVideo", "(Lcom/niming/weipa/model/SearchIndexTagVideo;)V", "tagBean", "Lcom/niming/weipa/model/SearchIndexModel$TagBean;", "getTagBean", "()Lcom/niming/weipa/model/SearchIndexModel$TagBean;", "setTagBean", "(Lcom/niming/weipa/model/SearchIndexModel$TagBean;)V", "filterData", "", "data", "Ljava/util/ArrayList;", "Lcom/niming/weipa/model/SearchIndexModel$HotBean;", "Lkotlin/collections/ArrayList;", "getViewRes", "", "initRecylverView", "initView", "view", "Landroid/view/View;", "onClick", "v", "onVisibleToUserChanged", "isVisibleToUser", "", "invokeInResumeOrPause", "videoInfo", "video_id", "Companion", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* compiled from: FindHotSearchFragment.kt */
public final class w extends com.niming.weipa.base.d {
    @NotNull
    public static final a T0 = new a(null);
    @Nullable
    private n U0;
    @Nullable
    private SearchIndexModel.TagBean V0;
    @Nullable
    private String W0 = "";
    @Nullable
    private SearchIndexTagVideo X0;
    @NotNull
    public Map<Integer, View> Y0 = new LinkedHashMap();

    @Metadata(d1 = {"\u0000\u001e\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u000e\n\u0000\b\u0003\u0018\u00002\u00020\u0001B\u0007\b\u0002¢\u0006\u0002\u0010\u0002J\u0018\u0010\u0003\u001a\u00020\u00042\u0006\u0010\u0005\u001a\u00020\u00062\b\b\u0002\u0010\u0007\u001a\u00020\b¨\u0006\t"}, d2 = {"Lcom/niming/weipa/ui/focus_on/FindHotSearchFragment$Companion;", "", "()V", "newInstance", "Lcom/niming/weipa/ui/focus_on/FindHotSearchFragment;", "tagBean", "Lcom/niming/weipa/model/SearchIndexModel$TagBean;", "hotBeanString", "", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: FindHotSearchFragment.kt */
    public static final class a {
        private a() {
        }

        public /* synthetic */ a(DefaultConstructorMarker defaultConstructorMarker) {
            this();
        }

        public static /* synthetic */ w b(a aVar, SearchIndexModel.TagBean tagBean, String str, int i, Object obj) {
            if ((i & 2) != 0) {
                str = "";
            }
            return aVar.a(tagBean, str);
        }

        @NotNull
        public final w a(@NotNull SearchIndexModel.TagBean tagBean, @NotNull String str) {
            Intrinsics.checkNotNullParameter(tagBean, "tagBean");
            Intrinsics.checkNotNullParameter(str, "hotBeanString");
            Bundle bundle = new Bundle();
            w wVar = new w();
            if (!TextUtils.isEmpty(str)) {
                bundle.putString("hotBeanString", str);
            }
            bundle.putSerializable("tagBean", tagBean);
            wVar.setArguments(bundle);
            return wVar;
        }
    }

    @Metadata(d1 = {"\u0000\u0010\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\u0010\u0000\u001a\u00020\u00012\u000e\u0010\u0002\u001a\n \u0004*\u0004\u0018\u00010\u00030\u0003H\n¢\u0006\u0002\b\u0005"}, d2 = {"<anonymous>", "", "it", "Landroid/widget/TextView;", "kotlin.jvm.PlatformType", "invoke"}, k = 3, mv = {1, 6, 0}, xi = 48)
    /* compiled from: FindHotSearchFragment.kt */
    static final class b extends Lambda implements Function1<TextView, Unit> {
        final /* synthetic */ w this$0;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        b(w wVar) {
            super(1);
            this.this$0 = wVar;
        }

        public final void a(TextView textView) {
            String more_link;
            w wVar;
            SearchIndexTagVideo n0;
            String position;
            SearchIndexTagVideo n02 = this.this$0.n0();
            if (n02 != null && (more_link = n02.getMore_link()) != null && (n0 = (wVar = this.this$0).n0()) != null && (position = n0.getPosition()) != null) {
                Activity activity = ((com.niming.framework.base.b) wVar).I0;
                Intrinsics.checkNotNullExpressionValue(activity, "activity");
                l.f(activity, more_link, false, false, position, 12, null);
            }
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // kotlin.jvm.functions.Function1
        public /* bridge */ /* synthetic */ Unit invoke(TextView textView) {
            a(textView);
            return Unit.INSTANCE;
        }
    }

    @Metadata(d1 = {"\u0000\u0019\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J\b\u0010\u0002\u001a\u00020\u0003H\u0016J\u0010\u0010\u0004\u001a\u00020\u00032\u0006\u0010\u0005\u001a\u00020\u0006H\u0014¨\u0006\u0007"}, d2 = {"com/niming/weipa/ui/focus_on/FindHotSearchFragment$searchIndexTagVideo$1$1", "Lcom/niming/weipa/net/AbsHttpCallback;", "onFinish", "", "onSuccess", j.f6041c, "Lcom/niming/framework/net/Result;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: FindHotSearchFragment.kt */
    public static final class c extends com.niming.weipa.g.a {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ w f19551a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ SearchIndexModel.TagBean f19552b;

        c(w wVar, SearchIndexModel.TagBean tagBean) {
            this.f19551a = wVar;
            this.f19552b = tagBean;
        }

        @Override // com.lzy.okgo.d.c, com.lzy.okgo.d.a, com.niming.weipa.g.a
        public void onFinish() {
            super.onFinish();
        }

        /* access modifiers changed from: protected */
        @Override // com.niming.weipa.g.a
        public void onSuccess(@NotNull Result result) {
            Intrinsics.checkNotNullParameter(result, j.f6041c);
            if (result.isOk()) {
                SearchIndexTagVideo searchIndexTagVideo = (SearchIndexTagVideo) g.b(result.getData(), SearchIndexTagVideo.class);
                this.f19551a.v0(searchIndexTagVideo);
                w wVar = this.f19551a;
                List<SearchIndexModel.HotBean> video_list = searchIndexTagVideo.getVideo_list();
                Objects.requireNonNull(video_list, "null cannot be cast to non-null type java.util.ArrayList<com.niming.weipa.model.SearchIndexModel.HotBean>{ kotlin.collections.TypeAliasesKt.ArrayList<com.niming.weipa.model.SearchIndexModel.HotBean> }");
                wVar.k0((ArrayList) video_list);
                n l0 = this.f19551a.l0();
                if (l0 != null) {
                    l0.replaceAll(searchIndexTagVideo.getVideo_list());
                }
                w wVar2 = this.f19551a;
                int i = R.id.tvMore;
                TextView textView = (TextView) wVar2.h0(i);
                if (textView != null) {
                    SearchIndexModel.TagBean tagBean = this.f19552b;
                    textView.setText(Intrinsics.stringPlus("更多", tagBean == null ? null : tagBean.getTitle()));
                }
                TextView textView2 = (TextView) this.f19551a.h0(i);
                if (textView2 != null) {
                    textView2.setVisibility(0);
                    return;
                }
                return;
            }
            ToastUtils.W(result.getMessage(), new Object[0]);
        }
    }

    @Metadata(d1 = {"\u0000\u0019\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J\b\u0010\u0002\u001a\u00020\u0003H\u0016J\u0010\u0010\u0004\u001a\u00020\u00032\u0006\u0010\u0005\u001a\u00020\u0006H\u0014¨\u0006\u0007"}, d2 = {"com/niming/weipa/ui/focus_on/FindHotSearchFragment$videoInfo$1", "Lcom/niming/weipa/net/AbsHttpCallback;", "onFinish", "", "onSuccess", j.f6041c, "Lcom/niming/framework/net/Result;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: FindHotSearchFragment.kt */
    public static final class d extends com.niming.weipa.g.a {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ w f19553a;

        d(w wVar) {
            this.f19553a = wVar;
        }

        @Override // com.lzy.okgo.d.c, com.lzy.okgo.d.a, com.niming.weipa.g.a
        public void onFinish() {
            super.onFinish();
            this.f19553a.A();
        }

        /* access modifiers changed from: protected */
        @Override // com.niming.weipa.g.a
        public void onSuccess(@NotNull Result result) {
            Intrinsics.checkNotNullParameter(result, j.f6041c);
            VideoDetails videoDetails = (VideoDetails) g.b(result.getData(), VideoDetails.class);
            VideoInfo2 videoInfo2 = new VideoInfo2();
            videoInfo2.setMu(videoDetails.getMu());
            videoInfo2.setId(videoDetails.getId());
            videoInfo2.setTitle(videoDetails.getTitle());
            videoInfo2.setCover(videoDetails.getCover());
            videoInfo2.setStatus(videoDetails.getStatus());
            videoInfo2.setCoins(videoDetails.getCoins());
            if (TextUtils.isEmpty(videoDetails.getMu())) {
                videoInfo2.setSmu(videoDetails.getSmu());
            } else {
                videoInfo2.setSmu(videoDetails.getMu());
            }
            videoInfo2.setCategory(videoDetails.getCategory());
            videoInfo2.setLike(videoDetails.getLike());
            videoInfo2.setComment(videoDetails.getComment_count());
            videoInfo2.setIs_free(videoDetails.getIs_free());
            videoInfo2.setFrom(videoDetails.getFrom());
            videoInfo2.setIs_long(videoDetails.getIs_long() ? 1 : 0);
            videoInfo2.setUser(videoDetails.getUser());
            videoInfo2.setDuration(videoDetails.getDuration() / 1000);
            videoInfo2.setHot(videoDetails.getHot());
            videoInfo2.setPlay(videoDetails.getPlay());
            if (videoDetails.getIs_long()) {
                VideoDetailActivity.a aVar = VideoDetailActivity.Q0;
                Activity activity = ((com.niming.framework.base.b) this.f19553a).I0;
                Intrinsics.checkNotNullExpressionValue(activity, "activity");
                VideoDetailActivity.a.b(aVar, activity, videoInfo2, 0, 4, null);
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void k0(ArrayList<SearchIndexModel.HotBean> arrayList) {
        Iterator<T> it = arrayList.iterator();
        int i = 1;
        while (it.hasNext()) {
            it.next().setIndex(i);
            i++;
        }
    }

    private final void p0() {
        Activity activity = this.I0;
        Intrinsics.checkNotNullExpressionValue(activity, "activity");
        this.U0 = new n(activity);
        int i = R.id.recyclerView;
        ((RecyclerView) h0(i)).setAdapter(this.U0);
        ((RecyclerView) h0(i)).setLayoutManager(new GridLayoutManager(this.I0, 2));
        com.niming.weipa.widget.j jVar = new com.niming.weipa.widget.j(z0.b(20.0f));
        jVar.d(false);
        jVar.f(false);
        ((RecyclerView) h0(i)).addItemDecoration(jVar);
        n nVar = this.U0;
        if (nVar != null) {
            nVar.setOnItemClickListener(new f(this));
        }
    }

    /* access modifiers changed from: private */
    public static final void q0(w wVar, int i, int i2, int i3) {
        n nVar;
        List data;
        SearchIndexModel.HotBean hotBean;
        Intrinsics.checkNotNullParameter(wVar, "this$0");
        if (!com.niming.framework.b.b.a().c() && (nVar = wVar.U0) != null && (data = nVar.getData()) != null && (hotBean = (SearchIndexModel.HotBean) data.get(i)) != null) {
            wVar.x0(hotBean.getId());
        }
    }

    private final void s0(SearchIndexModel.TagBean tagBean) {
        if (tagBean != null) {
            com.niming.weipa.g.c.c0().e1(tagBean.getId(), new c(this, tagBean));
        }
    }

    private final void x0(int i) {
        M();
        com.niming.weipa.g.c.c0().y2(i, new d(this));
    }

    @Override // com.niming.framework.base.b, com.niming.framework.base.e.b
    public void a(boolean z, boolean z2) {
        super.a(z, z2);
        if (!z) {
            com.lzy.okgo.b.f(com.lzy.okgo.b.p().q(), "videoInfo");
        }
    }

    public void f0() {
        this.Y0.clear();
    }

    @Override // com.niming.framework.base.g
    public int getViewRes() {
        return com.hj.chen.new1126.R.layout.fragment_find_hot_search;
    }

    @Nullable
    public View h0(int i) {
        View findViewById;
        Map<Integer, View> map = this.Y0;
        View view = map.get(Integer.valueOf(i));
        if (view != null) {
            return view;
        }
        View view2 = getView();
        if (view2 == null || (findViewById = view2.findViewById(i)) == null) {
            return null;
        }
        map.put(Integer.valueOf(i), findViewById);
        return findViewById;
    }

    @Override // com.niming.weipa.base.d, com.niming.framework.base.g
    public void j(@Nullable View view) {
        super.j(view);
        Bundle arguments = getArguments();
        Serializable serializable = null;
        this.W0 = arguments == null ? null : arguments.getString("hotBeanString");
        Bundle arguments2 = getArguments();
        if (arguments2 != null) {
            serializable = arguments2.getSerializable("tagBean");
        }
        if (serializable != null) {
            w0((SearchIndexModel.TagBean) serializable);
        }
        p0();
        String str = this.W0;
        if (str != null) {
            List a2 = g.a(str, SearchIndexModel.HotBean.class);
            Objects.requireNonNull(a2, "null cannot be cast to non-null type java.util.ArrayList<com.niming.weipa.model.SearchIndexModel.HotBean>{ kotlin.collections.TypeAliasesKt.ArrayList<com.niming.weipa.model.SearchIndexModel.HotBean> }");
            k0((ArrayList) a2);
            n nVar = this.U0;
            if (nVar != null) {
                nVar.replaceAll(a2);
            }
        } else {
            SearchIndexModel.TagBean tagBean = this.V0;
            if (tagBean != null) {
                s0(tagBean);
            }
        }
        u.f((TextView) h0(R.id.tvMore), 0, new b(this), 1, null);
    }

    @Nullable
    public final n l0() {
        return this.U0;
    }

    @Nullable
    public final String m0() {
        return this.W0;
    }

    @Nullable
    public final SearchIndexTagVideo n0() {
        return this.X0;
    }

    @Nullable
    public final SearchIndexModel.TagBean o0() {
        return this.V0;
    }

    public void onClick(@Nullable View view) {
    }

    @Override // com.niming.weipa.base.d, androidx.fragment.app.Fragment
    public /* synthetic */ void onDestroyView() {
        super.onDestroyView();
        f0();
    }

    public final void t0(@Nullable n nVar) {
        this.U0 = nVar;
    }

    public final void u0(@Nullable String str) {
        this.W0 = str;
    }

    public final void v0(@Nullable SearchIndexTagVideo searchIndexTagVideo) {
        this.X0 = searchIndexTagVideo;
    }

    public final void w0(@Nullable SearchIndexModel.TagBean tagBean) {
        this.V0 = tagBean;
    }
}
