package com.niming.weipa.ui.focus_on;

import android.os.Bundle;
import android.view.View;
import androidx.viewpager.widget.ViewPager;
import com.alipay.sdk.util.j;
import com.blankj.utilcode.util.ToastUtils;
import com.hj.chen.new1126.R;
import com.niming.framework.b.g;
import com.niming.framework.net.Result;
import com.niming.weipa.base.d;
import com.niming.weipa.g.c;
import com.niming.weipa.model.PhotosSearchTypeModel;
import com.niming.weipa.ui.focus_on.e0.v;
import com.ogaclejapan.smarttablayout.SmartTabLayout;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;
import kotlin.Metadata;
import kotlin.jvm.internal.DefaultConstructorMarker;
import kotlin.jvm.internal.Intrinsics;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

@Metadata(d1 = {"\u0000>\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0010\b\n\u0000\n\u0002\u0010\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010 \n\u0002\u0018\u0002\n\u0002\b\u0007\u0018\u0000 \u001f2\u00020\u0001:\u0001\u001fB\u0005¢\u0006\u0002\u0010\u0002J\b\u0010\u000f\u001a\u00020\u0010H\u0016J\b\u0010\u0011\u001a\u00020\u0012H\u0002J\u0010\u0010\u0013\u001a\u00020\u00122\u0006\u0010\u0014\u001a\u00020\u0015H\u0016J\u0016\u0010\u0016\u001a\u00020\u00122\f\u0010\u0017\u001a\b\u0012\u0004\u0012\u00020\u00190\u0018H\u0002J\u0006\u0010\u001a\u001a\u00020\u0012J\u0012\u0010\u001b\u001a\u00020\u00122\b\u0010\u001c\u001a\u0004\u0018\u00010\u0015H\u0016J\b\u0010\u001d\u001a\u00020\u0012H\u0016J\u0006\u0010\u001e\u001a\u00020\u0012R\u001c\u0010\u0003\u001a\u0004\u0018\u00010\u0004X\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u0005\u0010\u0006\"\u0004\b\u0007\u0010\bR\u001c\u0010\t\u001a\u0004\u0018\u00010\nX\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u000b\u0010\f\"\u0004\b\r\u0010\u000e¨\u0006 "}, d2 = {"Lcom/niming/weipa/ui/focus_on/PrivatePhotosFragment;", "Lcom/niming/weipa/base/BaseFragment;", "()V", "tabLayout", "Lcom/ogaclejapan/smarttablayout/SmartTabLayout;", "getTabLayout", "()Lcom/ogaclejapan/smarttablayout/SmartTabLayout;", "setTabLayout", "(Lcom/ogaclejapan/smarttablayout/SmartTabLayout;)V", "viewpager", "Landroidx/viewpager/widget/ViewPager;", "getViewpager", "()Landroidx/viewpager/widget/ViewPager;", "setViewpager", "(Landroidx/viewpager/widget/ViewPager;)V", "getViewRes", "", "initTabLayout", "", "initView", "view", "Landroid/view/View;", "initViewpager", "dataType", "", "Lcom/niming/weipa/model/PhotosSearchTypeModel;", "loadData", "onClick", "v", "onDestroy", "photosSearchType", "Companion", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* compiled from: PrivatePhotosFragment.kt */
public final class y extends d {
    @NotNull
    public static final a T0 = new a(null);
    @Nullable
    private SmartTabLayout U0;
    @Nullable
    private ViewPager V0;
    @NotNull
    public Map<Integer, View> W0 = new LinkedHashMap();

    @Metadata(d1 = {"\u0000\u0012\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\b\u0003\u0018\u00002\u00020\u0001B\u0007\b\u0002¢\u0006\u0002\u0010\u0002J\u0006\u0010\u0003\u001a\u00020\u0004¨\u0006\u0005"}, d2 = {"Lcom/niming/weipa/ui/focus_on/PrivatePhotosFragment$Companion;", "", "()V", "newInstance", "Lcom/niming/weipa/ui/focus_on/PrivatePhotosFragment;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: PrivatePhotosFragment.kt */
    public static final class a {
        private a() {
        }

        public /* synthetic */ a(DefaultConstructorMarker defaultConstructorMarker) {
            this();
        }

        @NotNull
        public final y a() {
            Bundle bundle = new Bundle();
            y yVar = new y();
            yVar.setArguments(bundle);
            return yVar;
        }
    }

    @Metadata(d1 = {"\u0000\u0017\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J\u0010\u0010\u0002\u001a\u00020\u00032\u0006\u0010\u0004\u001a\u00020\u0005H\u0014¨\u0006\u0006"}, d2 = {"com/niming/weipa/ui/focus_on/PrivatePhotosFragment$photosSearchType$1", "Lcom/niming/weipa/net/AbsHttpCallback;", "onSuccess", "", j.f6041c, "Lcom/niming/framework/net/Result;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: PrivatePhotosFragment.kt */
    public static final class b extends com.niming.weipa.g.a {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ y f19645a;

        b(y yVar) {
            this.f19645a = yVar;
        }

        /* access modifiers changed from: protected */
        @Override // com.niming.weipa.g.a
        public void onSuccess(@NotNull Result result) {
            Intrinsics.checkNotNullParameter(result, j.f6041c);
            if (result.isOk()) {
                List a2 = g.a(result.getData(), PhotosSearchTypeModel.class);
                PhotosSearchTypeModel photosSearchTypeModel = new PhotosSearchTypeModel();
                photosSearchTypeModel.setImages_type("全部");
                a2.add(0, photosSearchTypeModel);
                y yVar = this.f19645a;
                Intrinsics.checkNotNullExpressionValue(a2, "parseArray");
                yVar.m0(a2);
                return;
            }
            ToastUtils.W(result.getMessage(), new Object[0]);
        }
    }

    private final void l0() {
        SmartTabLayout smartTabLayout = this.U0;
        if (smartTabLayout != null) {
            smartTabLayout.setViewPager(this.V0);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void m0(List<? extends PhotosSearchTypeModel> list) {
        ViewPager viewPager = this.V0;
        if (viewPager != null) {
            androidx.fragment.app.g childFragmentManager = getChildFragmentManager();
            Intrinsics.checkNotNullExpressionValue(childFragmentManager, "childFragmentManager");
            viewPager.setAdapter(new v(list, childFragmentManager));
        }
        l0();
    }

    public void f0() {
        this.W0.clear();
    }

    @Override // com.niming.framework.base.g
    public int getViewRes() {
        return R.layout.fragment_private_photos;
    }

    @Nullable
    public View h0(int i) {
        View findViewById;
        Map<Integer, View> map = this.W0;
        View view = map.get(Integer.valueOf(i));
        if (view != null) {
            return view;
        }
        View view2 = getView();
        if (view2 == null || (findViewById = view2.findViewById(i)) == null) {
            return null;
        }
        map.put(Integer.valueOf(i), findViewById);
        return findViewById;
    }

    @Override // com.niming.weipa.base.d, com.niming.framework.base.g
    public void j(@NotNull View view) {
        Intrinsics.checkNotNullParameter(view, "view");
        super.j(view);
        this.U0 = (SmartTabLayout) view.findViewById(R.id.tabLayout);
        this.V0 = (ViewPager) view.findViewById(R.id.viewpager);
        n0();
    }

    @Nullable
    public final SmartTabLayout j0() {
        return this.U0;
    }

    @Nullable
    public final ViewPager k0() {
        return this.V0;
    }

    public final void n0() {
        o0();
    }

    public final void o0() {
        c.c0().I0(new b(this));
    }

    public void onClick(@Nullable View view) {
    }

    @Override // com.niming.framework.base.b, com.niming.weipa.base.d, androidx.fragment.app.Fragment
    public void onDestroy() {
        super.onDestroy();
        com.lzy.okgo.b.p().e("photosSearchType");
    }

    @Override // com.niming.weipa.base.d, androidx.fragment.app.Fragment
    public /* synthetic */ void onDestroyView() {
        super.onDestroyView();
        f0();
    }

    public final void p0(@Nullable SmartTabLayout smartTabLayout) {
        this.U0 = smartTabLayout;
    }

    public final void q0(@Nullable ViewPager viewPager) {
        this.V0 = viewPager;
    }
}
