package com.niming.weipa.ui.hot_video.widget;

import android.graphics.drawable.Drawable;
import android.graphics.drawable.ShapeDrawable;
import java.util.Locale;

/* compiled from: SmoothProgressBarUtils */
public final class c {
    private c() {
    }

    static void a(int i) {
        if (i < 0 || i > 360) {
            throw new IllegalArgumentException(String.format(Locale.US, "Illegal angle %d: must be >=0 and <= 360", Integer.valueOf(i)));
        }
    }

    static void b(int[] iArr) {
        if (iArr == null || iArr.length == 0) {
            throw new IllegalArgumentException("You must provide at least 1 color");
        }
    }

    static void c(Object obj, String str) {
        if (obj == null) {
            throw new IllegalArgumentException(String.format(Locale.US, "%s must be not null", str));
        }
    }

    static void d(int i, String str) {
        if (i <= 0) {
            throw new IllegalArgumentException(String.format(Locale.US, "%s must not be null", str));
        }
    }

    static void e(float f, String str) {
        if (f < 0.0f) {
            throw new IllegalArgumentException(String.format(Locale.US, "%s %d must be positive", str, Float.valueOf(f)));
        }
    }

    static void f(float f) {
        if (f <= 0.0f) {
            throw new IllegalArgumentException("Speed must be >= 0");
        }
    }

    public static Drawable g(int[] iArr, float f) {
        if (iArr == null || iArr.length == 0) {
            return null;
        }
        return new ShapeDrawable(new a(f, iArr));
    }
}
