package com.niming.weipa.ui.mine.profile_home;

import android.os.Bundle;
import android.view.View;
import androidx.annotation.NonNull;
import androidx.recyclerview.widget.GridLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import butterknife.BindView;
import com.blankj.utilcode.util.t;
import com.hj.chen.new1126.R;
import com.niming.baseadapter.a;
import com.niming.framework.widget.XRefreshLayout;
import com.niming.weipa.base.d;
import com.niming.weipa.model.RefreshEvent;
import com.niming.weipa.model.VideoInfo2;
import com.niming.weipa.ui.mine.adapter.u;
import com.scwang.smartrefresh.layout.b.j;
import org.greenrobot.eventbus.Subscribe;
import org.greenrobot.eventbus.ThreadMode;

public abstract class BaseShortVideoFragment extends d {
    protected com.niming.baseadapter.b T0;
    protected String U0;
    @BindView(R.id.recycler_view)
    public RecyclerView recyclerView;
    @BindView(R.id.refresh_layout)
    public XRefreshLayout refreshLayout;

    /* access modifiers changed from: package-private */
    public class a implements a.b {
        a() {
        }

        @Override // com.niming.baseadapter.a.b
        public void a(int i, int i2, int i3) {
            BaseShortVideoFragment.this.n0(i, i2, i3);
        }
    }

    /* access modifiers changed from: package-private */
    public class b implements com.scwang.smartrefresh.layout.c.d {
        b() {
        }

        @Override // com.scwang.smartrefresh.layout.c.d
        public void F(@NonNull j jVar) {
            ((d) BaseShortVideoFragment.this).P0 = 1;
            BaseShortVideoFragment.this.j0();
        }
    }

    /* access modifiers changed from: package-private */
    public class c implements com.scwang.smartrefresh.layout.c.b {
        c() {
        }

        @Override // com.scwang.smartrefresh.layout.c.b
        public void n(@NonNull j jVar) {
            BaseShortVideoFragment.h0(BaseShortVideoFragment.this);
            BaseShortVideoFragment.this.j0();
        }
    }

    static /* synthetic */ int h0(BaseShortVideoFragment baseShortVideoFragment) {
        int i = baseShortVideoFragment.P0;
        baseShortVideoFragment.P0 = i + 1;
        return i;
    }

    private void k0() {
        if (i0() == null) {
            this.T0 = new u(this.I0);
        } else {
            this.T0 = i0();
        }
        this.T0.setOnItemClickListener(new a());
        com.niming.weipa.widget.j jVar = new com.niming.weipa.widget.j(t.w(9.0f));
        jVar.d(true);
        jVar.f(true);
        this.recyclerView.setBackgroundColor(getResources().getColor(R.color.main_color));
        this.recyclerView.addItemDecoration(jVar);
        this.recyclerView.setLayoutManager(new GridLayoutManager(this.I0, 2));
        this.recyclerView.setAdapter(this.T0);
    }

    /* access modifiers changed from: protected */
    @Override // com.niming.framework.base.b
    public void E() {
        super.E();
    }

    @Override // com.niming.framework.base.g
    public int getViewRes() {
        return R.layout.fragment_only_recycleview;
    }

    /* access modifiers changed from: protected */
    public com.niming.baseadapter.b<VideoInfo2> i0() {
        return null;
    }

    @Override // com.niming.weipa.base.d, com.niming.framework.base.g
    public void init() {
        super.init();
        Bundle arguments = getArguments();
        if (arguments != null) {
            this.U0 = arguments.getString("targetId");
        }
    }

    @Override // com.niming.weipa.base.d, com.niming.framework.base.g
    public void j(View view) {
        super.j(view);
        setStatusLoading(this.refreshLayout);
        l0();
        k0();
        j0();
    }

    /* access modifiers changed from: protected */
    public abstract void j0();

    /* access modifiers changed from: protected */
    public void l0() {
        this.refreshLayout.setBackgroundColor(getResources().getColor(R.color.main_color));
        this.refreshLayout.h0(new b());
        this.refreshLayout.O(new c());
    }

    @Subscribe(threadMode = ThreadMode.MAIN)
    public void m0(RefreshEvent refreshEvent) {
        if (refreshEvent.isCode(11)) {
            this.P0 = 1;
            j0();
        }
    }

    /* access modifiers changed from: protected */
    public abstract void n0(int i, int i2, int i3);

    public void o0() {
        RecyclerView recyclerView2 = this.recyclerView;
        if (recyclerView2 != null) {
            recyclerView2.getRecycledViewPool().b();
        }
    }

    public void onClick(View view) {
    }
}
