package com.niming.weipa.ui.search.f;

import android.os.Bundle;
import android.view.View;
import com.alipay.sdk.util.j;
import com.blankj.utilcode.util.ToastUtils;
import com.niming.framework.b.g;
import com.niming.framework.net.Result;
import com.niming.framework.widget.XRefreshLayout;
import com.niming.weipa.R;
import com.niming.weipa.base.d;
import com.niming.weipa.model.VideoInfo2;
import com.niming.weipa.ui.mine.widget.VideoRecyclerView;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;
import kotlin.Lazy;
import kotlin.LazyKt__LazyJVMKt;
import kotlin.Metadata;
import kotlin.jvm.functions.Function0;
import kotlin.jvm.internal.DefaultConstructorMarker;
import kotlin.jvm.internal.Intrinsics;
import kotlin.jvm.internal.Lambda;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

@Metadata(d1 = {"\u0000,\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0010\u000e\n\u0002\b\u0005\n\u0002\u0010\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\u0018\u0000 \u00142\u00020\u0001:\u0001\u0014B\u0005¢\u0006\u0002\u0010\u0002J\b\u0010\u000f\u001a\u00020\u0010H\u0016J\u0012\u0010\u0011\u001a\u00020\u00102\b\u0010\u0012\u001a\u0004\u0018\u00010\u0013H\u0016R\u001a\u0010\u0003\u001a\u00020\u0004X\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u0005\u0010\u0006\"\u0004\b\u0007\u0010\bR\u001d\u0010\t\u001a\u0004\u0018\u00010\n8BX\u0002¢\u0006\f\n\u0004\b\r\u0010\u000e\u001a\u0004\b\u000b\u0010\f¨\u0006\u0015"}, d2 = {"Lcom/niming/weipa/ui/search/fragment/UpHostFrg;", "Lcom/niming/weipa/ui/search/fragment/BaseVideoFrg;", "()V", "absHttpCallback", "Lcom/niming/weipa/net/AbsHttpCallback;", "getAbsHttpCallback", "()Lcom/niming/weipa/net/AbsHttpCallback;", "setAbsHttpCallback", "(Lcom/niming/weipa/net/AbsHttpCallback;)V", "userCode", "", "getUserCode", "()Ljava/lang/String;", "userCode$delegate", "Lkotlin/Lazy;", "getVideoList", "", "onClick", "v", "Landroid/view/View;", "Companion", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* compiled from: UpHostFrg.kt */
public final class a0 extends q {
    @NotNull
    public static final a X0 = new a(null);
    @NotNull
    private final Lazy Y0 = LazyKt__LazyJVMKt.lazy(new c(this));
    @NotNull
    private com.niming.weipa.g.a Z0 = new b(this);
    @NotNull
    public Map<Integer, View> a1 = new LinkedHashMap();

    @Metadata(d1 = {"\u0000\u001e\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\b\n\u0000\n\u0002\u0010\u000e\n\u0000\b\u0003\u0018\u00002\u00020\u0001B\u0007\b\u0002¢\u0006\u0002\u0010\u0002J\u001a\u0010\u0003\u001a\u00020\u00042\u0006\u0010\u0005\u001a\u00020\u00062\n\b\u0002\u0010\u0007\u001a\u0004\u0018\u00010\b¨\u0006\t"}, d2 = {"Lcom/niming/weipa/ui/search/fragment/UpHostFrg$Companion;", "", "()V", "newInstance", "Lcom/niming/weipa/ui/search/fragment/UpHostFrg;", "pos", "", "userCode", "", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: UpHostFrg.kt */
    public static final class a {
        private a() {
        }

        public /* synthetic */ a(DefaultConstructorMarker defaultConstructorMarker) {
            this();
        }

        public static /* synthetic */ a0 b(a aVar, int i, String str, int i2, Object obj) {
            if ((i2 & 2) != 0) {
                str = null;
            }
            return aVar.a(i, str);
        }

        @NotNull
        public final a0 a(int i, @Nullable String str) {
            Bundle bundle = new Bundle();
            bundle.putInt("position", i);
            if (str != null) {
                bundle.putString("userCode", str);
            }
            a0 a0Var = new a0();
            a0Var.setArguments(bundle);
            return a0Var;
        }
    }

    @Metadata(d1 = {"\u0000\u0019\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J\b\u0010\u0002\u001a\u00020\u0003H\u0016J\u0010\u0010\u0004\u001a\u00020\u00032\u0006\u0010\u0005\u001a\u00020\u0006H\u0014¨\u0006\u0007"}, d2 = {"com/niming/weipa/ui/search/fragment/UpHostFrg$absHttpCallback$1", "Lcom/niming/weipa/net/AbsHttpCallback;", "onFinish", "", "onSuccess", j.f6041c, "Lcom/niming/framework/net/Result;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: UpHostFrg.kt */
    public static final class b extends com.niming.weipa.g.a {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ a0 f20179a;

        b(a0 a0Var) {
            this.f20179a = a0Var;
        }

        @Override // com.lzy.okgo.d.c, com.lzy.okgo.d.a, com.niming.weipa.g.a
        public void onFinish() {
            super.onFinish();
            this.f20179a.S();
            a0 a0Var = this.f20179a;
            int i = R.id.refreshLayout;
            XRefreshLayout xRefreshLayout = (XRefreshLayout) a0Var.h0(i);
            if (xRefreshLayout != null) {
                xRefreshLayout.g();
            }
            XRefreshLayout xRefreshLayout2 = (XRefreshLayout) this.f20179a.h0(i);
            if (xRefreshLayout2 != null) {
                xRefreshLayout2.H();
            }
        }

        /* access modifiers changed from: protected */
        @Override // com.niming.weipa.g.a
        public void onSuccess(@NotNull Result result) {
            Intrinsics.checkNotNullParameter(result, j.f6041c);
            if (result.isOk()) {
                List<? extends VideoInfo2> a2 = g.a(result.getData(), VideoInfo2.class);
                if (((d) this.f20179a).P0 == 1) {
                    if (a2.size() == 0) {
                        VideoRecyclerView videoRecyclerView = (VideoRecyclerView) this.f20179a.h0(R.id.videoRecyclerView);
                        if (videoRecyclerView != null) {
                            videoRecyclerView.k();
                            return;
                        }
                        return;
                    }
                    VideoRecyclerView videoRecyclerView2 = (VideoRecyclerView) this.f20179a.h0(R.id.videoRecyclerView);
                    if (videoRecyclerView2 != null) {
                        Intrinsics.checkNotNullExpressionValue(a2, "parseArray");
                        videoRecyclerView2.i(a2, false);
                    }
                } else if (a2.size() == 0) {
                    a0 a0Var = this.f20179a;
                    ((d) a0Var).P0--;
                } else {
                    VideoRecyclerView videoRecyclerView3 = (VideoRecyclerView) this.f20179a.h0(R.id.videoRecyclerView);
                    if (videoRecyclerView3 != null) {
                        Intrinsics.checkNotNullExpressionValue(a2, "parseArray");
                        videoRecyclerView3.c(a2, false);
                    }
                }
            } else {
                ToastUtils.W(result.getMessage(), new Object[0]);
            }
        }
    }

    @Metadata(d1 = {"\u0000\n\n\u0000\n\u0002\u0010\u000e\n\u0002\b\u0002\u0010\u0000\u001a\n \u0002*\u0004\u0018\u00010\u00010\u0001H\n¢\u0006\u0002\b\u0003"}, d2 = {"<anonymous>", "", "kotlin.jvm.PlatformType", "invoke"}, k = 3, mv = {1, 6, 0}, xi = 48)
    /* compiled from: UpHostFrg.kt */
    static final class c extends Lambda implements Function0<String> {
        final /* synthetic */ a0 this$0;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        c(a0 a0Var) {
            super(0);
            this.this$0 = a0Var;
        }

        /* renamed from: a */
        public final String invoke() {
            return this.this$0.requireArguments().getString("userCode");
        }
    }

    private final String y0() {
        return (String) this.Y0.getValue();
    }

    @Override // com.niming.weipa.ui.search.f.q
    public void f0() {
        this.a1.clear();
    }

    @Override // com.niming.weipa.ui.search.f.q
    @Nullable
    public View h0(int i) {
        View findViewById;
        Map<Integer, View> map = this.a1;
        View view = map.get(Integer.valueOf(i));
        if (view != null) {
            return view;
        }
        View view2 = getView();
        if (view2 == null || (findViewById = view2.findViewById(i)) == null) {
            return null;
        }
        map.put(Integer.valueOf(i), findViewById);
        return findViewById;
    }

    @Override // com.niming.weipa.ui.search.f.q
    public void l0() {
        d0();
        com.niming.weipa.g.c.c0().c1(y0(), r0(), k0(), this.P0, this.Z0);
    }

    public void onClick(@Nullable View view) {
    }

    @Override // com.niming.weipa.base.d, com.niming.weipa.ui.search.f.q, androidx.fragment.app.Fragment
    public /* synthetic */ void onDestroyView() {
        super.onDestroyView();
        f0();
    }

    @NotNull
    public final com.niming.weipa.g.a x0() {
        return this.Z0;
    }

    public final void z0(@NotNull com.niming.weipa.g.a aVar) {
        Intrinsics.checkNotNullParameter(aVar, "<set-?>");
        this.Z0 = aVar;
    }
}
