package com.niming.weipa.ui.search.f;

import android.app.Activity;
import android.os.Bundle;
import android.view.View;
import android.widget.ImageView;
import androidx.recyclerview.widget.GridLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import com.alipay.sdk.util.j;
import com.blankj.utilcode.util.k0;
import com.blankj.utilcode.util.z0;
import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.viewholder.BaseViewHolder;
import com.niming.framework.b.g;
import com.niming.framework.net.Result;
import com.niming.framework.widget.XRefreshLayout;
import com.niming.weipa.R;
import com.niming.weipa.model.VideoInfo2;
import com.niming.weipa.ui.focus_on.activity.VideoDetailActivity;
import com.niming.weipa.ui.search.SearchResultActivity;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;
import java.util.Objects;
import kotlin.Lazy;
import kotlin.LazyKt__LazyJVMKt;
import kotlin.Metadata;
import kotlin.jvm.functions.Function0;
import kotlin.jvm.internal.DefaultConstructorMarker;
import kotlin.jvm.internal.Intrinsics;
import kotlin.jvm.internal.Lambda;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

@Metadata(d1 = {"\u00001\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010\u000e\n\u0002\b\u0005\n\u0002\b\u0003\n\u0002\u0010\u0002\n\u0000\n\u0002\u0010\b\n\u0002\b\u0004\n\u0002\u0018\u0002\n\u0002\b\u0004*\u0001\n\u0018\u0000 \u00172\u00020\u0001:\u0001\u0017B\u0005¢\u0006\u0002\u0010\u0002J\b\u0010\f\u001a\u00020\rH\u0002J\b\u0010\u000e\u001a\u00020\u000fH\u0016J\u0006\u0010\u0010\u001a\u00020\rJ\b\u0010\u0011\u001a\u00020\rH\u0002J\u0012\u0010\u0012\u001a\u00020\r2\b\u0010\u0013\u001a\u0004\u0018\u00010\u0014H\u0016J\u0012\u0010\u0015\u001a\u00020\r2\b\u0010\u0016\u001a\u0004\u0018\u00010\u0014H\u0016R\u001d\u0010\u0003\u001a\u0004\u0018\u00010\u00048BX\u0002¢\u0006\f\n\u0004\b\u0007\u0010\b\u001a\u0004\b\u0005\u0010\u0006R\u0010\u0010\t\u001a\u00020\nX\u000e¢\u0006\u0004\n\u0002\u0010\u000b¨\u0006\u0018"}, d2 = {"Lcom/niming/weipa/ui/search/fragment/SearchVideoResultFragment;", "Lcom/niming/weipa/base/BaseFragment;", "()V", SearchResultActivity.f20166b, "", "getKeyWord", "()Ljava/lang/String;", "keyWord$delegate", "Lkotlin/Lazy;", "mVideoAdapter", "com/niming/weipa/ui/search/fragment/SearchVideoResultFragment$mVideoAdapter$1", "Lcom/niming/weipa/ui/search/fragment/SearchVideoResultFragment$mVideoAdapter$1;", "getVideoInfo", "", "getViewRes", "", "initRecyclerView", "initRefreshLayout", "initView", "view", "Landroid/view/View;", "onClick", "v", "Companion", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* compiled from: SearchVideoResultFragment.kt */
public final class z extends com.niming.weipa.base.d {
    @NotNull
    public static final a T0 = new a(null);
    @NotNull
    public static final String U0 = "tagID";
    @NotNull
    private d V0;
    @NotNull
    private final Lazy W0 = LazyKt__LazyJVMKt.lazy(new c(this));
    @NotNull
    public Map<Integer, View> X0 = new LinkedHashMap();

    @Metadata(d1 = {"\u0000\u001a\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\b\u0002\n\u0002\u0010\u000e\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\b\u0003\u0018\u00002\u00020\u0001B\u0007\b\u0002¢\u0006\u0002\u0010\u0002J\u000e\u0010\u0005\u001a\u00020\u00062\u0006\u0010\u0007\u001a\u00020\u0004R\u000e\u0010\u0003\u001a\u00020\u0004XT¢\u0006\u0002\n\u0000¨\u0006\b"}, d2 = {"Lcom/niming/weipa/ui/search/fragment/SearchVideoResultFragment$Companion;", "", "()V", "KEY", "", "newInstance", "Lcom/niming/weipa/ui/search/fragment/SearchVideoResultFragment;", SearchResultActivity.f20166b, "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: SearchVideoResultFragment.kt */
    public static final class a {
        private a() {
        }

        public /* synthetic */ a(DefaultConstructorMarker defaultConstructorMarker) {
            this();
        }

        @NotNull
        public final z a(@NotNull String str) {
            Intrinsics.checkNotNullParameter(str, SearchResultActivity.f20166b);
            Bundle bundle = new Bundle();
            bundle.putString("tagID", str);
            z zVar = new z();
            zVar.setArguments(bundle);
            return zVar;
        }
    }

    @Metadata(d1 = {"\u0000\u0017\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J\u0010\u0010\u0002\u001a\u00020\u00032\u0006\u0010\u0004\u001a\u00020\u0005H\u0014¨\u0006\u0006"}, d2 = {"com/niming/weipa/ui/search/fragment/SearchVideoResultFragment$getVideoInfo$1", "Lcom/niming/weipa/net/AbsHttpCallback;", "onSuccess", "", j.f6041c, "Lcom/niming/framework/net/Result;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: SearchVideoResultFragment.kt */
    public static final class b extends com.niming.weipa.g.a {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ z f20204a;

        b(z zVar) {
            this.f20204a = zVar;
        }

        /* access modifiers changed from: protected */
        @Override // com.niming.weipa.g.a
        public void onSuccess(@NotNull Result result) {
            Intrinsics.checkNotNullParameter(result, j.f6041c);
            if (result.isOk()) {
                List a2 = g.a(result.getData(), VideoInfo2.class);
                if (a2 != null) {
                    if (((com.niming.weipa.base.d) this.f20204a).P0 == 1) {
                        this.f20204a.V0.s1(a2);
                    } else {
                        this.f20204a.V0.B(a2);
                        if (k0.o(a2)) {
                            z zVar = this.f20204a;
                            ((com.niming.weipa.base.d) zVar).P0--;
                        }
                    }
                } else {
                    return;
                }
            }
            this.f20204a.setStatusComplete();
            z zVar2 = this.f20204a;
            int i = R.id.refresh_layout;
            if (((XRefreshLayout) zVar2.h0(i)) != null) {
                ((XRefreshLayout) this.f20204a.h0(i)).H();
                ((XRefreshLayout) this.f20204a.h0(i)).g();
            }
        }
    }

    @Metadata(d1 = {"\u0000\b\n\u0000\n\u0002\u0010\u000e\n\u0000\u0010\u0000\u001a\u0004\u0018\u00010\u0001H\n¢\u0006\u0002\b\u0002"}, d2 = {"<anonymous>", "", "invoke"}, k = 3, mv = {1, 6, 0}, xi = 48)
    /* compiled from: SearchVideoResultFragment.kt */
    static final class c extends Lambda implements Function0<String> {
        final /* synthetic */ z this$0;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        c(z zVar) {
            super(0);
            this.this$0 = zVar;
        }

        @Nullable
        /* renamed from: a */
        public final String invoke() {
            Bundle arguments = this.this$0.getArguments();
            if (arguments == null) {
                return null;
            }
            return arguments.getString("tagID");
        }
    }

    @Metadata(d1 = {"\u0000\u001b\n\u0000\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0002\b\u0003*\u0001\u0000\b\n\u0018\u00002\u000e\u0012\u0004\u0012\u00020\u0002\u0012\u0004\u0012\u00020\u00030\u0001J\u0018\u0010\u0004\u001a\u00020\u00052\u0006\u0010\u0006\u001a\u00020\u00032\u0006\u0010\u0007\u001a\u00020\u0002H\u0014¨\u0006\b"}, d2 = {"com/niming/weipa/ui/search/fragment/SearchVideoResultFragment$mVideoAdapter$1", "Lcom/chad/library/adapter/base/BaseQuickAdapter;", "Lcom/niming/weipa/model/VideoInfo2;", "Lcom/chad/library/adapter/base/viewholder/BaseViewHolder;", "convert", "", "holder", "item", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: SearchVideoResultFragment.kt */
    public static final class d extends BaseQuickAdapter<VideoInfo2, BaseViewHolder> {
        d() {
            super(com.hj.chen.new1126.R.layout.item_video_tag, null, 2, null);
        }

        /* access modifiers changed from: protected */
        /* renamed from: G1 */
        public void N(@NotNull BaseViewHolder baseViewHolder, @NotNull VideoInfo2 videoInfo2) {
            Intrinsics.checkNotNullParameter(baseViewHolder, "holder");
            Intrinsics.checkNotNullParameter(videoInfo2, "item");
            baseViewHolder.setText(com.hj.chen.new1126.R.id.tv_title, videoInfo2.getTitle());
            baseViewHolder.setText(com.hj.chen.new1126.R.id.tvDuration, com.shuyu.gsyvideoplayer.k.b.r(videoInfo2.getDuration()));
            baseViewHolder.setText(com.hj.chen.new1126.R.id.tv_play_num, Intrinsics.stringPlus(com.niming.weipa.utils.k0.a(String.valueOf(videoInfo2.getPlay() < 0 ? 0 : videoInfo2.getPlay())), "播放"));
            com.niming.weipa.e.b.k(getContext(), videoInfo2.getCover(), (ImageView) baseViewHolder.getView(com.hj.chen.new1126.R.id.iv_cover));
        }
    }

    public z() {
        d dVar = new d();
        dVar.m(new l(this));
        this.V0 = dVar;
    }

    private final String l0() {
        return (String) this.W0.getValue();
    }

    private final void m0() {
        com.niming.weipa.g.c.c0().w1(l0(), this.P0, new b(this));
    }

    private final void o0() {
        int i = R.id.refresh_layout;
        ((XRefreshLayout) h0(i)).h0(new m(this));
        ((XRefreshLayout) h0(i)).O(new k(this));
    }

    /* access modifiers changed from: private */
    public static final void p0(z zVar, com.scwang.smartrefresh.layout.b.j jVar) {
        Intrinsics.checkNotNullParameter(zVar, "this$0");
        Intrinsics.checkNotNullParameter(jVar, "it");
        zVar.P0 = 1;
        zVar.m0();
    }

    /* access modifiers changed from: private */
    public static final void q0(z zVar, com.scwang.smartrefresh.layout.b.j jVar) {
        Intrinsics.checkNotNullParameter(zVar, "this$0");
        Intrinsics.checkNotNullParameter(jVar, "it");
        zVar.P0++;
        zVar.m0();
    }

    /* access modifiers changed from: private */
    public static final void u0(z zVar, BaseQuickAdapter baseQuickAdapter, View view, int i) {
        Intrinsics.checkNotNullParameter(zVar, "this$0");
        Intrinsics.checkNotNullParameter(baseQuickAdapter, "adapter");
        Intrinsics.checkNotNullParameter(view, "view");
        if (!com.niming.framework.b.b.a().c()) {
            Object obj = baseQuickAdapter.getData().get(i);
            Objects.requireNonNull(obj, "null cannot be cast to non-null type com.niming.weipa.model.VideoInfo2");
            VideoDetailActivity.a aVar = VideoDetailActivity.Q0;
            Activity activity = zVar.I0;
            Intrinsics.checkNotNullExpressionValue(activity, "activity");
            VideoDetailActivity.a.b(aVar, activity, (VideoInfo2) obj, 0, 4, null);
        }
    }

    public void f0() {
        this.X0.clear();
    }

    @Override // com.niming.framework.base.g
    public int getViewRes() {
        return com.hj.chen.new1126.R.layout.frg_tag_video;
    }

    @Nullable
    public View h0(int i) {
        View findViewById;
        Map<Integer, View> map = this.X0;
        View view = map.get(Integer.valueOf(i));
        if (view != null) {
            return view;
        }
        View view2 = getView();
        if (view2 == null || (findViewById = view2.findViewById(i)) == null) {
            return null;
        }
        map.put(Integer.valueOf(i), findViewById);
        return findViewById;
    }

    @Override // com.niming.weipa.base.d, com.niming.framework.base.g
    public void j(@Nullable View view) {
        super.j(view);
        n0();
        o0();
        m0();
    }

    public final void n0() {
        int i = R.id.recycler_view;
        ((RecyclerView) h0(i)).setAdapter(this.V0);
        ((RecyclerView) h0(i)).setLayoutManager(new GridLayoutManager(this.I0, 2));
        com.niming.weipa.widget.j jVar = new com.niming.weipa.widget.j(z0.b(10.0f));
        jVar.f(false);
        jVar.d(false);
        ((RecyclerView) h0(i)).addItemDecoration(jVar);
    }

    public void onClick(@Nullable View view) {
    }

    @Override // com.niming.weipa.base.d, androidx.fragment.app.Fragment
    public /* synthetic */ void onDestroyView() {
        super.onDestroyView();
        f0();
    }
}
