package com.niming.weipa.ui.tantan.model;

import java.io.Serializable;
import java.util.List;

public class PostListModel implements Serializable {
    private String city;
    private int comment;
    private String cover;
    private String created_at;
    private int id;
    private List<String> images;
    private String intro;
    private boolean isDetailShow;
    private int is_like;
    private int is_relation;
    private int is_top;
    private int like;
    private int look;
    private boolean myself;
    private int status;
    private String time;
    private int type;
    private String updated_at;
    private String user_code;
    private UserInfoBean user_info;
    private String video;

    public static class UserInfoBean implements Serializable {
        private String avatar;
        private String city;
        private String code;
        private int is_blogger;
        private String nick;
        private int sex;
        private int v_type;

        public String getAvatar() {
            return this.avatar;
        }

        public String getCity() {
            return this.city;
        }

        public String getCode() {
            return this.code;
        }

        public int getIs_blogger() {
            return this.is_blogger;
        }

        public String getNick() {
            return this.nick;
        }

        public int getSex() {
            return this.sex;
        }

        public int getV_type() {
            return this.v_type;
        }

        public void setAvatar(String str) {
            this.avatar = str;
        }

        public void setCity(String str) {
            this.city = str;
        }

        public void setCode(String str) {
            this.code = str;
        }

        public void setIs_blogger(int i) {
            this.is_blogger = i;
        }

        public void setNick(String str) {
            this.nick = str;
        }

        public void setSex(int i) {
            this.sex = i;
        }

        public void setV_type(int i) {
            this.v_type = i;
        }
    }

    public String getCity() {
        return this.city;
    }

    public int getComment() {
        return this.comment;
    }

    public String getCover() {
        return this.cover;
    }

    public String getCreated_at() {
        return this.created_at;
    }

    public int getId() {
        return this.id;
    }

    public List<String> getImages() {
        return this.images;
    }

    public String getIntro() {
        return this.intro;
    }

    public int getIs_like() {
        return this.is_like;
    }

    public int getIs_relation() {
        return this.is_relation;
    }

    public int getIs_top() {
        return this.is_top;
    }

    public int getLike() {
        return this.like;
    }

    public int getLook() {
        return this.look;
    }

    public int getStatus() {
        return this.status;
    }

    public String getTime() {
        return this.time;
    }

    public int getType() {
        return this.type;
    }

    public String getUpdated_at() {
        return this.updated_at;
    }

    public String getUser_code() {
        return this.user_code;
    }

    public UserInfoBean getUser_info() {
        return this.user_info;
    }

    public String getVideo() {
        return this.video;
    }

    public boolean isDetailShow() {
        return this.isDetailShow;
    }

    public boolean isMyself() {
        return this.myself;
    }

    public void setCity(String str) {
        this.city = str;
    }

    public void setComment(int i) {
        this.comment = i;
    }

    public void setCover(String str) {
        this.cover = str;
    }

    public void setCreated_at(String str) {
        this.created_at = str;
    }

    public void setDetailShow(boolean z) {
        this.isDetailShow = z;
    }

    public void setId(int i) {
        this.id = i;
    }

    public void setImages(List<String> list) {
        this.images = list;
    }

    public void setIntro(String str) {
        this.intro = str;
    }

    public void setIs_like(int i) {
        this.is_like = i;
    }

    public void setIs_relation(int i) {
        this.is_relation = i;
    }

    public void setIs_top(int i) {
        this.is_top = i;
    }

    public void setLike(int i) {
        this.like = i;
    }

    public void setLook(int i) {
        this.look = i;
    }

    public void setMyself(boolean z) {
        this.myself = z;
    }

    public void setStatus(int i) {
        this.status = i;
    }

    public void setTime(String str) {
        this.time = str;
    }

    public void setType(int i) {
        this.type = i;
    }

    public void setUpdated_at(String str) {
        this.updated_at = str;
    }

    public void setUser_code(String str) {
        this.user_code = str;
    }

    public void setUser_info(UserInfoBean userInfoBean) {
        this.user_info = userInfoBean;
    }

    public void setVideo(String str) {
        this.video = str;
    }
}
