package com.niming.weipa.ui.vip;

import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.text.style.ForegroundColorSpan;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;
import androidx.constraintlayout.widget.ConstraintLayout;
import androidx.core.app.NotificationCompat;
import androidx.core.widget.NestedScrollView;
import androidx.recyclerview.widget.GridLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import com.alipay.sdk.util.j;
import com.blankj.utilcode.util.SpanUtils;
import com.blankj.utilcode.util.ToastUtils;
import com.blankj.utilcode.util.z0;
import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.viewholder.BaseViewHolder;
import com.hj.chen.new1126.R;
import com.niming.framework.net.Result;
import com.niming.framework.widget.TitleView;
import com.niming.weipa.base.BaseActivity;
import com.niming.weipa.model.BuyVipModel;
import com.niming.weipa.model.VipListsModel;
import com.niming.weipa.ui.feedback.FeedbackReplyActivity;
import com.niming.weipa.ui.mediaLibrary.y;
import com.niming.weipa.ui.vip.DiamondDetailDetailActivity;
import com.niming.weipa.update.NoticeAppDialogFragment;
import com.niming.weipa.utils.b0;
import com.niming.weipa.utils.i0;
import com.niming.weipa.utils.u;
import com.niming.weipa.widget.n;
import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;
import kotlin.Lazy;
import kotlin.LazyKt__LazyJVMKt;
import kotlin.Metadata;
import kotlin.Unit;
import kotlin.collections.CollectionsKt___CollectionsKt;
import kotlin.collections.IndexedValue;
import kotlin.jvm.functions.Function0;
import kotlin.jvm.functions.Function1;
import kotlin.jvm.internal.DefaultConstructorMarker;
import kotlin.jvm.internal.Intrinsics;
import kotlin.jvm.internal.Lambda;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

@Metadata(d1 = {"\u0000S\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0010\b\n\u0000\n\u0002\b\u0006\n\u0002\u0010!\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0002\b\u0002\n\u0002\u0010\u000e\n\u0002\b\u0005\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010 \n\u0002\b\b*\u0001\f\u0018\u0000 +2\u00020\u0001:\u0001+B\u0005¢\u0006\u0002\u0010\u0002J\u0018\u0010\u0014\u001a\u00020\u00152\u0006\u0010\u0016\u001a\u00020\u00132\u0006\u0010\u0017\u001a\u00020\u0018H\u0002J\b\u0010\u0019\u001a\u00020\nH\u0016J\b\u0010\u001a\u001a\u00020\u0015H\u0002J\b\u0010\u001b\u001a\u00020\u0015H\u0002J\u0012\u0010\u001c\u001a\u00020\u00152\b\u0010\u001d\u001a\u0004\u0018\u00010\u001eH\u0016J\u0012\u0010\u001f\u001a\u00020\u00152\b\u0010 \u001a\u0004\u0018\u00010!H\u0016J\u001e\u0010\"\u001a\u00020\u00152\f\u0010#\u001a\b\u0012\u0004\u0012\u00020\u00130$2\u0006\u0010%\u001a\u00020\nH\u0002J\u0010\u0010&\u001a\u00020\u00152\u0006\u0010'\u001a\u00020\u0018H\u0002J\u0010\u0010(\u001a\u00020\u00152\u0006\u0010\u0016\u001a\u00020\u0013H\u0002J\u0010\u0010)\u001a\u00020\u00152\u0006\u0010\u0016\u001a\u00020\u0013H\u0002J\b\u0010*\u001a\u00020\u0015H\u0002R\u001c\u0010\u0003\u001a\u0004\u0018\u00010\u0004X\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u0005\u0010\u0006\"\u0004\b\u0007\u0010\bR\u000e\u0010\t\u001a\u00020\nX\u000e¢\u0006\u0002\n\u0000R\u001b\u0010\u000b\u001a\u00020\f8BX\u0002¢\u0006\f\n\u0004\b\u000f\u0010\u0010\u001a\u0004\b\r\u0010\u000eR\u0014\u0010\u0011\u001a\b\u0012\u0004\u0012\u00020\u00130\u0012X\u000e¢\u0006\u0002\n\u0000¨\u0006,"}, d2 = {"Lcom/niming/weipa/ui/vip/DiamondDetailActivity;", "Lcom/niming/weipa/base/BaseActivity;", "()V", "buyVipModel", "Lcom/niming/weipa/model/BuyVipModel;", "getBuyVipModel", "()Lcom/niming/weipa/model/BuyVipModel;", "setBuyVipModel", "(Lcom/niming/weipa/model/BuyVipModel;)V", "clickPos", "", "mCoinAdapter", "com/niming/weipa/ui/vip/DiamondDetailActivity$mCoinAdapter$2$1", "getMCoinAdapter", "()Lcom/niming/weipa/ui/vip/DiamondDetailActivity$mCoinAdapter$2$1;", "mCoinAdapter$delegate", "Lkotlin/Lazy;", "mPayTypeList", "", "Lcom/niming/weipa/model/VipListsModel;", "buy", "", "data", "paymentId", "", "getViewRes", "initListener", "initRecyclerView", "initView", "savedInstanceState", "Landroid/os/Bundle;", "onErrorClick", "v", "Landroid/view/View;", "selectPayWay", "vipListsModel", "", "position", "showErrorPay", NotificationCompat.w0, "showPayDialog", "showRechargeDialog", "vipLists", "Companion", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* compiled from: DiamondDetailActivity.kt */
public final class DiamondDetailActivity extends BaseActivity {
    @NotNull

    /* renamed from: a  reason: collision with root package name */
    public static final a f20290a = new a(null);
    @Nullable
    private BuyVipModel I0;
    private int J0 = -1;
    @NotNull
    private List<VipListsModel> K0 = new ArrayList();
    @NotNull
    public Map<Integer, View> L0 = new LinkedHashMap();
    @NotNull

    /* renamed from: b  reason: collision with root package name */
    private final Lazy f20291b = LazyKt__LazyJVMKt.lazy(new e(this));

    @Metadata(d1 = {"\u0000\u0018\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\b\u0002\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\b\u0003\u0018\u00002\u00020\u0001B\u0007\b\u0002¢\u0006\u0002\u0010\u0002J\u000e\u0010\u0003\u001a\u00020\u00042\u0006\u0010\u0005\u001a\u00020\u0006¨\u0006\u0007"}, d2 = {"Lcom/niming/weipa/ui/vip/DiamondDetailActivity$Companion;", "", "()V", "start", "", "context", "Landroid/content/Context;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: DiamondDetailActivity.kt */
    public static final class a {
        private a() {
        }

        public /* synthetic */ a(DefaultConstructorMarker defaultConstructorMarker) {
            this();
        }

        public final void a(@NotNull Context context) {
            Intrinsics.checkNotNullParameter(context, "context");
            context.startActivity(new Intent(context, DiamondDetailActivity.class));
        }
    }

    @Metadata(d1 = {"\u0000\u0019\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J\b\u0010\u0002\u001a\u00020\u0003H\u0016J\u0010\u0010\u0004\u001a\u00020\u00032\u0006\u0010\u0005\u001a\u00020\u0006H\u0014¨\u0006\u0007"}, d2 = {"com/niming/weipa/ui/vip/DiamondDetailActivity$buy$1", "Lcom/niming/weipa/net/AbsHttpCallback;", "onFinish", "", "onSuccess", j.f6041c, "Lcom/niming/framework/net/Result;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: DiamondDetailActivity.kt */
    public static final class b extends com.niming.weipa.g.a {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ VipListsModel f20292a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ DiamondDetailActivity f20293b;

        b(VipListsModel vipListsModel, DiamondDetailActivity diamondDetailActivity) {
            this.f20292a = vipListsModel;
            this.f20293b = diamondDetailActivity;
        }

        @Override // com.lzy.okgo.d.c, com.lzy.okgo.d.a, com.niming.weipa.g.a
        public void onFinish() {
            super.onFinish();
            this.f20293b.dismissDialog();
        }

        /* access modifiers changed from: protected */
        @Override // com.niming.weipa.g.a
        public void onSuccess(@NotNull Result result) {
            Intrinsics.checkNotNullParameter(result, j.f6041c);
            if (result.isOk()) {
                BuyVipModel buyVipModel = (BuyVipModel) com.niming.framework.b.g.b(result.getData(), BuyVipModel.class);
                buyVipModel.setPrice(this.f20292a.getPrice());
                i0 i0Var = i0.f20556a;
                Activity activity = ((com.niming.framework.base.BaseActivity) this.f20293b).activity;
                Intrinsics.checkNotNullExpressionValue(activity, "activity");
                Intrinsics.checkNotNullExpressionValue(buyVipModel, com.liulishuo.filedownloader.services.f.f16553b);
                i0Var.a(activity, buyVipModel);
                return;
            }
            DiamondDetailActivity diamondDetailActivity = this.f20293b;
            String message = result.getMessage();
            Intrinsics.checkNotNullExpressionValue(message, "result.message");
            diamondDetailActivity.B0(message);
        }
    }

    /* access modifiers changed from: package-private */
    @Metadata(d1 = {"\u0000\u0010\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\u0010\u0000\u001a\u00020\u00012\u000e\u0010\u0002\u001a\n \u0004*\u0004\u0018\u00010\u00030\u0003H\n¢\u0006\u0002\b\u0005"}, d2 = {"<anonymous>", "", "it", "Landroid/widget/TextView;", "kotlin.jvm.PlatformType", "invoke"}, k = 3, mv = {1, 6, 0}, xi = 48)
    /* compiled from: DiamondDetailActivity.kt */
    public static final class c extends Lambda implements Function1<TextView, Unit> {
        final /* synthetic */ DiamondDetailActivity this$0;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        c(DiamondDetailActivity diamondDetailActivity) {
            super(1);
            this.this$0 = diamondDetailActivity;
        }

        public final void a(TextView textView) {
            FeedbackReplyActivity.a aVar = FeedbackReplyActivity.f19389a;
            Activity activity = ((com.niming.framework.base.BaseActivity) this.this$0).activity;
            Intrinsics.checkNotNullExpressionValue(activity, "activity");
            aVar.a(activity);
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // kotlin.jvm.functions.Function1
        public /* bridge */ /* synthetic */ Unit invoke(TextView textView) {
            a(textView);
            return Unit.INSTANCE;
        }
    }

    /* access modifiers changed from: package-private */
    @Metadata(d1 = {"\u0000\u0010\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\u0010\u0000\u001a\u00020\u00012\u000e\u0010\u0002\u001a\n \u0004*\u0004\u0018\u00010\u00030\u0003H\n¢\u0006\u0002\b\u0005"}, d2 = {"<anonymous>", "", "it", "Landroid/widget/Button;", "kotlin.jvm.PlatformType", "invoke"}, k = 3, mv = {1, 6, 0}, xi = 48)
    /* compiled from: DiamondDetailActivity.kt */
    public static final class d extends Lambda implements Function1<Button, Unit> {
        final /* synthetic */ DiamondDetailActivity this$0;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        d(DiamondDetailActivity diamondDetailActivity) {
            super(1);
            this.this$0 = diamondDetailActivity;
        }

        public final void a(Button button) {
            List data = this.this$0.s0().getData();
            if (!(data == null || data.isEmpty())) {
                DiamondDetailActivity diamondDetailActivity = this.this$0;
                diamondDetailActivity.E0((VipListsModel) diamondDetailActivity.s0().getData().get(this.this$0.J0));
            }
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // kotlin.jvm.functions.Function1
        public /* bridge */ /* synthetic */ Unit invoke(Button button) {
            a(button);
            return Unit.INSTANCE;
        }
    }

    @Metadata(d1 = {"\u0000\t\n\u0000\n\u0002\b\u0003*\u0001\u0001\u0010\u0000\u001a\u00020\u0001H\n¢\u0006\u0004\b\u0002\u0010\u0003"}, d2 = {"<anonymous>", "com/niming/weipa/ui/vip/DiamondDetailActivity$mCoinAdapter$2$1", "invoke", "()Lcom/niming/weipa/ui/vip/DiamondDetailActivity$mCoinAdapter$2$1;"}, k = 3, mv = {1, 6, 0}, xi = 48)
    /* compiled from: DiamondDetailActivity.kt */
    static final class e extends Lambda implements Function0<a> {
        final /* synthetic */ DiamondDetailActivity this$0;

        @Metadata(d1 = {"\u0000\u001b\n\u0000\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0002\b\u0003*\u0001\u0000\b\n\u0018\u00002\u000e\u0012\u0004\u0012\u00020\u0002\u0012\u0004\u0012\u00020\u00030\u0001J\u0018\u0010\u0004\u001a\u00020\u00052\u0006\u0010\u0006\u001a\u00020\u00032\u0006\u0010\u0007\u001a\u00020\u0002H\u0014¨\u0006\b"}, d2 = {"com/niming/weipa/ui/vip/DiamondDetailActivity$mCoinAdapter$2$1", "Lcom/chad/library/adapter/base/BaseQuickAdapter;", "Lcom/niming/weipa/model/VipListsModel;", "Lcom/chad/library/adapter/base/viewholder/BaseViewHolder;", "convert", "", "holder", "item", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
        /* compiled from: DiamondDetailActivity.kt */
        public static final class a extends BaseQuickAdapter<VipListsModel, BaseViewHolder> {
            a() {
                super(R.layout.item_view_diamond_pay, null, 2, null);
            }

            /* access modifiers changed from: protected */
            /* renamed from: G1 */
            public void N(@NotNull BaseViewHolder baseViewHolder, @NotNull VipListsModel vipListsModel) {
                Intrinsics.checkNotNullParameter(baseViewHolder, "holder");
                Intrinsics.checkNotNullParameter(vipListsModel, "item");
                ((ConstraintLayout) baseViewHolder.getView(R.id.llVipContainer)).setSelected(vipListsModel.isSelected());
                baseViewHolder.setText(R.id.tvVipMoney, String.valueOf(new BigDecimal(vipListsModel.getPrice()).intValue()));
                baseViewHolder.setText(R.id.tvTitle, vipListsModel.getTitle());
                TextView textView = (TextView) baseViewHolder.getView(R.id.tvTips);
                textView.setText(vipListsModel.getMoney());
                textView.getPaint().setFlags(16);
                textView.getPaint().setAntiAlias(true);
            }
        }

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        e(DiamondDetailActivity diamondDetailActivity) {
            super(0);
            this.this$0 = diamondDetailActivity;
        }

        /* access modifiers changed from: private */
        public static final void b(DiamondDetailActivity diamondDetailActivity, BaseQuickAdapter baseQuickAdapter, View view, int i) {
            Intrinsics.checkNotNullParameter(diamondDetailActivity, "this$0");
            Intrinsics.checkNotNullParameter(baseQuickAdapter, "adapter");
            Intrinsics.checkNotNullParameter(view, "view");
            if (!com.niming.framework.b.b.a().c()) {
                diamondDetailActivity.z0(diamondDetailActivity.K0, i);
            }
        }

        @NotNull
        /* renamed from: a */
        public final a invoke() {
            a aVar = new a();
            aVar.m(new d(this.this$0));
            return aVar;
        }
    }

    @Metadata(d1 = {"\u0000\u0013\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0002\b\u0002*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J\b\u0010\u0002\u001a\u00020\u0003H\u0016J\b\u0010\u0004\u001a\u00020\u0003H\u0016¨\u0006\u0005"}, d2 = {"com/niming/weipa/ui/vip/DiamondDetailActivity$showErrorPay$1", "Lcom/niming/weipa/update/NoticeAppDialogFragment$NoticeAppDialogFragmentListener;", "clickClose", "", "clickSure", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: DiamondDetailActivity.kt */
    public static final class f implements NoticeAppDialogFragment.a {
        f() {
        }

        @Override // com.niming.weipa.update.NoticeAppDialogFragment.a
        public void a() {
        }

        @Override // com.niming.weipa.update.NoticeAppDialogFragment.a
        public void b() {
        }
    }

    @Metadata(d1 = {"\u0000\u0019\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J\b\u0010\u0002\u001a\u00020\u0003H\u0016J\u0010\u0010\u0004\u001a\u00020\u00032\u0006\u0010\u0005\u001a\u00020\u0006H\u0014¨\u0006\u0007"}, d2 = {"com/niming/weipa/ui/vip/DiamondDetailActivity$showPayDialog$1$1", "Lcom/niming/weipa/net/AbsHttpCallback;", "onFinish", "", "onSuccess", j.f6041c, "Lcom/niming/framework/net/Result;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: DiamondDetailActivity.kt */
    public static final class g extends com.niming.weipa.g.a {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ n f20294a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ VipListsModel f20295b;

        /* renamed from: c  reason: collision with root package name */
        final /* synthetic */ DiamondDetailActivity f20296c;

        g(n nVar, VipListsModel vipListsModel, DiamondDetailActivity diamondDetailActivity) {
            this.f20294a = nVar;
            this.f20295b = vipListsModel;
            this.f20296c = diamondDetailActivity;
        }

        @Override // com.lzy.okgo.d.c, com.lzy.okgo.d.a, com.niming.weipa.g.a
        public void onFinish() {
            super.onFinish();
            this.f20296c.dismissDialog();
            this.f20294a.Z().setEnabled(true);
        }

        /* access modifiers changed from: protected */
        @Override // com.niming.weipa.g.a
        public void onSuccess(@NotNull Result result) {
            Intrinsics.checkNotNullParameter(result, j.f6041c);
            this.f20294a.dismissAllowingStateLoss();
            if (result.isOk()) {
                BuyVipModel buyVipModel = (BuyVipModel) com.niming.framework.b.g.b(result.getData(), BuyVipModel.class);
                buyVipModel.setPrice(this.f20295b.getPrice());
                i0 i0Var = i0.f20556a;
                Activity activity = ((com.niming.framework.base.BaseActivity) this.f20296c).activity;
                Intrinsics.checkNotNullExpressionValue(activity, "activity");
                Intrinsics.checkNotNullExpressionValue(buyVipModel, com.liulishuo.filedownloader.services.f.f16553b);
                i0Var.a(activity, buyVipModel);
                return;
            }
            DiamondDetailActivity diamondDetailActivity = this.f20296c;
            String message = result.getMessage();
            Intrinsics.checkNotNullExpressionValue(message, "result.message");
            diamondDetailActivity.B0(message);
        }
    }

    @Metadata(d1 = {"\u0000\u0017\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J\u0010\u0010\u0002\u001a\u00020\u00032\u0006\u0010\u0004\u001a\u00020\u0005H\u0016¨\u0006\u0006"}, d2 = {"com/niming/weipa/ui/vip/DiamondDetailActivity$showRechargeDialog$1", "Lcom/niming/weipa/ui/mediaLibrary/RechargeDialog$OnChoosePayType;", "onChose", "", "paymentBean", "Lcom/niming/weipa/model/VipListsModel$PaymentBean;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: DiamondDetailActivity.kt */
    public static final class h implements y.b {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ DiamondDetailActivity f20297a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ VipListsModel f20298b;

        h(DiamondDetailActivity diamondDetailActivity, VipListsModel vipListsModel) {
            this.f20297a = diamondDetailActivity;
            this.f20298b = vipListsModel;
        }

        @Override // com.niming.weipa.ui.mediaLibrary.y.b
        public void a(@NotNull VipListsModel.PaymentBean paymentBean) {
            Intrinsics.checkNotNullParameter(paymentBean, "paymentBean");
            DiamondDetailActivity diamondDetailActivity = this.f20297a;
            VipListsModel vipListsModel = this.f20298b;
            String id = paymentBean.getId();
            Intrinsics.checkNotNullExpressionValue(id, "paymentBean.id");
            diamondDetailActivity.q0(vipListsModel, id);
        }
    }

    @Metadata(d1 = {"\u0000\u0017\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J\u0010\u0010\u0002\u001a\u00020\u00032\u0006\u0010\u0004\u001a\u00020\u0005H\u0014¨\u0006\u0006"}, d2 = {"com/niming/weipa/ui/vip/DiamondDetailActivity$vipLists$1", "Lcom/niming/weipa/net/AbsHttpCallback;", "onSuccess", "", j.f6041c, "Lcom/niming/framework/net/Result;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: DiamondDetailActivity.kt */
    public static final class i extends com.niming.weipa.g.a {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ DiamondDetailActivity f20299a;

        i(DiamondDetailActivity diamondDetailActivity) {
            this.f20299a = diamondDetailActivity;
        }

        /* access modifiers changed from: protected */
        @Override // com.niming.weipa.g.a
        public void onSuccess(@NotNull Result result) {
            Intrinsics.checkNotNullParameter(result, j.f6041c);
            if (result.isOk()) {
                List a2 = com.niming.framework.b.g.a(result.getDataStr("package"), VipListsModel.class);
                this.f20299a.s0().s1(a2);
                DiamondDetailActivity diamondDetailActivity = this.f20299a;
                Intrinsics.checkNotNullExpressionValue(a2, "vipListsModel");
                diamondDetailActivity.K0 = a2;
                DiamondDetailActivity diamondDetailActivity2 = this.f20299a;
                diamondDetailActivity2.z0(diamondDetailActivity2.K0, 0);
                this.f20299a.setStatusComplete();
                return;
            }
            this.f20299a.setStatusNetworkError();
            ToastUtils.W(result.getMessage(), new Object[0]);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void B0(String str) {
        NoticeAppDialogFragment a0 = NoticeAppDialogFragment.a0(str, "好的");
        a0.b0(new f());
        a0.f0(this.activity);
    }

    private final void C0(VipListsModel vipListsModel) {
        new n.a().m(vipListsModel.getPrice()).k(com.niming.framework.b.g.c(vipListsModel)).g().b0(new c(this, vipListsModel)).d0(this.activity);
    }

    /* access modifiers changed from: private */
    public static final void D0(DiamondDetailActivity diamondDetailActivity, VipListsModel vipListsModel, n nVar, int i2, String str) {
        Intrinsics.checkNotNullParameter(diamondDetailActivity, "this$0");
        Intrinsics.checkNotNullParameter(vipListsModel, "$data");
        diamondDetailActivity.showDialog("加载中..");
        nVar.Z().setEnabled(false);
        com.niming.weipa.g.c c0 = com.niming.weipa.g.c.c0();
        String price = vipListsModel.getPrice();
        Intrinsics.checkNotNullExpressionValue(price, "data.price");
        c0.f(Integer.parseInt(price), i2, str, 2, new g(nVar, vipListsModel, diamondDetailActivity));
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void E0(VipListsModel vipListsModel) {
        y b2 = y.a.b(y.f19878b, vipListsModel, 0, 2, null);
        b2.show(getSupportFragmentManager(), "DeleteAllDialog");
        b2.V(new h(this, vipListsModel));
    }

    private final void F0() {
        setStatusLoading((NestedScrollView) _$_findCachedViewById(com.niming.weipa.R.id.refreshLayout));
        com.niming.weipa.g.c.c0().u0(2, new i(this));
    }

    private final void initListener() {
        u.f((TextView) _$_findCachedViewById(com.niming.weipa.R.id.tvContactFeedback), 0, new c(this), 1, null);
        u.f((Button) _$_findCachedViewById(com.niming.weipa.R.id.tv_submit), 0, new d(this), 1, null);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void q0(VipListsModel vipListsModel, String str) {
        showDialog("加载中..");
        com.niming.weipa.g.c.c0().g(vipListsModel.getId(), str, 2, new b(vipListsModel, this));
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final e.a s0() {
        return (e.a) this.f20291b.getValue();
    }

    private final void t0() {
        int i2 = com.niming.weipa.R.id.recyclerView;
        ((RecyclerView) _$_findCachedViewById(i2)).setAdapter(s0());
        ((RecyclerView) _$_findCachedViewById(i2)).setLayoutManager(new GridLayoutManager(this.activity, 3));
        com.niming.weipa.widget.j jVar = new com.niming.weipa.widget.j(z0.b(13.0f));
        jVar.d(false);
        jVar.f(false);
        ((RecyclerView) _$_findCachedViewById(i2)).addItemDecoration(jVar);
    }

    /* access modifiers changed from: private */
    public static final void u0(DiamondDetailActivity diamondDetailActivity, View view) {
        Intrinsics.checkNotNullParameter(diamondDetailActivity, "this$0");
        b0.b().h("VIP充值-点击充值记录");
        VipBuyRecordActivity.r0(diamondDetailActivity.activity, VipBuyRecordActivity.f20319a);
    }

    /* access modifiers changed from: private */
    public static final void v0(DiamondDetailActivity diamondDetailActivity, View view) {
        Intrinsics.checkNotNullParameter(diamondDetailActivity, "this$0");
        DiamondDetailDetailActivity.a aVar = DiamondDetailDetailActivity.f20300a;
        aVar.d(diamondDetailActivity, aVar.a());
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void z0(List<? extends VipListsModel> list, int i2) {
        if (this.J0 != i2) {
            ((Button) _$_findCachedViewById(com.niming.weipa.R.id.tv_submit)).setText(Intrinsics.stringPlus("立即支付:¥", ((VipListsModel) list.get(i2)).getPrice()));
            for (IndexedValue indexedValue : CollectionsKt___CollectionsKt.withIndex(list)) {
                ((VipListsModel) indexedValue.getValue()).setSelected(indexedValue.getIndex() == i2);
            }
            s0().notifyDataSetChanged();
            this.J0 = i2;
        }
    }

    public final void A0(@Nullable BuyVipModel buyVipModel) {
        this.I0 = buyVipModel;
    }

    @Override // com.niming.weipa.base.BaseActivity
    public void _$_clearFindViewByIdCache() {
        this.L0.clear();
    }

    @Override // com.niming.weipa.base.BaseActivity
    @Nullable
    public View _$_findCachedViewById(int i2) {
        Map<Integer, View> map = this.L0;
        View view = map.get(Integer.valueOf(i2));
        if (view != null) {
            return view;
        }
        View findViewById = findViewById(i2);
        if (findViewById == null) {
            return null;
        }
        map.put(Integer.valueOf(i2), findViewById);
        return findViewById;
    }

    @Override // com.niming.framework.base.f
    public int getViewRes() {
        return R.layout.activity_diamond_detail;
    }

    @Override // com.niming.weipa.base.BaseActivity, com.niming.framework.base.f
    public void initView(@Nullable Bundle bundle) {
        super.initView(bundle);
        setTranslucentBar();
        int i2 = com.niming.weipa.R.id.titleView;
        TitleView titleView = (TitleView) _$_findCachedViewById(i2);
        Intrinsics.checkNotNullExpressionValue(titleView, "titleView");
        initTitle(titleView, "金币充值");
        ((TitleView) _$_findCachedViewById(i2)).c();
        ((TitleView) _$_findCachedViewById(i2)).getRightText().setTextColor(getResources().getColor(R.color.white));
        ((TitleView) _$_findCachedViewById(i2)).j("充值记录", new b(this));
        ((TextView) _$_findCachedViewById(com.niming.weipa.R.id.tvContactFeedback)).setText(new SpanUtils().a("支付问题反馈，点击联系").R(new ForegroundColorSpan(getResources().getColor(R.color.white))).a("在线客服").R(new ForegroundColorSpan(getResources().getColor(R.color.color_66_109_221))).p());
        ((TextView) _$_findCachedViewById(com.niming.weipa.R.id.tvDiamondNum)).setText(String.valueOf(getUserInfo2().getCoins()));
        ((TextView) _$_findCachedViewById(com.niming.weipa.R.id.tvDiamondDetail)).setOnClickListener(new a(this));
        t0();
        F0();
        initListener();
    }

    @Override // com.smartcity.commonbase.widget.pagestatus.f, com.niming.framework.base.BaseActivity
    public void onErrorClick(@Nullable View view) {
        super.onErrorClick(view);
        F0();
    }

    @Nullable
    public final BuyVipModel r0() {
        return this.I0;
    }
}
