package com.niming.weipa.ui.vip;

import androidx.annotation.Keep;
import java.io.Serializable;
import java.util.List;

@Keep
public class VipCoinModel implements Serializable {
    private List<CoinItem> list;
    private int score;

    public static class CoinItem implements Serializable {
        private int count;
        private int id;
        private int number;
        private String title;

        public int getCount() {
            return this.count;
        }

        public int getId() {
            return this.id;
        }

        public int getNumber() {
            return this.number;
        }

        public String getTitle() {
            return this.title;
        }

        public void setCount(int i) {
            this.count = i;
        }

        public void setId(int i) {
            this.id = i;
        }

        public void setNumber(int i) {
            this.number = i;
        }

        public void setTitle(String str) {
            this.title = str;
        }
    }

    public List<CoinItem> getList() {
        return this.list;
    }

    public int getScore() {
        return this.score;
    }

    public void setList(List<CoinItem> list2) {
        this.list = list2;
    }

    public void setScore(int i) {
        this.score = i;
    }
}
