package com.niming.weipa.ui.welfare;

import com.google.firebase.analytics.FirebaseAnalytics;
import com.google.gson.annotations.SerializedName;
import java.io.Serializable;
import java.util.List;

public class AppList implements Serializable {
    @SerializedName("boutique_list")
    private List<BoutiqueListDTO> boutiqueList;
    @SerializedName("recommend_list")
    private List<RecommendListDTO> recommendList;

    public static class BoutiqueListDTO implements Serializable {
        @SerializedName("android_link")
        private String androidLink;
        @SerializedName("cover")
        private String cover;
        @SerializedName("created_at")
        private String createdAt;
        @SerializedName("download_num")
        private String downloadNum;
        @SerializedName("id")
        private int id;
        @SerializedName("ios_link")
        private String iosLink;
        @SerializedName("is_boutique")
        private int isBoutique;
        @SerializedName("is_recommend")
        private int isRecommend;
        @SerializedName("name")
        private String name;
        @SerializedName(FirebaseAnalytics.b.B)
        private int score;
        @SerializedName("small_title")
        private String smallTitle;
        @SerializedName("sort")
        private int sort;
        @SerializedName("updated_at")
        private Object updatedAt;

        public String getAndroidLink() {
            return this.androidLink;
        }

        public String getCover() {
            return this.cover;
        }

        public String getCreatedAt() {
            return this.createdAt;
        }

        public String getDownloadNum() {
            return this.downloadNum;
        }

        public int getId() {
            return this.id;
        }

        public String getIosLink() {
            return this.iosLink;
        }

        public int getIsBoutique() {
            return this.isBoutique;
        }

        public int getIsRecommend() {
            return this.isRecommend;
        }

        public String getName() {
            return this.name;
        }

        public int getScore() {
            return this.score;
        }

        public String getSmallTitle() {
            return this.smallTitle;
        }

        public int getSort() {
            return this.sort;
        }

        public Object getUpdatedAt() {
            return this.updatedAt;
        }

        public void setAndroidLink(String str) {
            this.androidLink = str;
        }

        public void setCover(String str) {
            this.cover = str;
        }

        public void setCreatedAt(String str) {
            this.createdAt = str;
        }

        public void setDownloadNum(String str) {
            this.downloadNum = str;
        }

        public void setId(int i) {
            this.id = i;
        }

        public void setIosLink(String str) {
            this.iosLink = str;
        }

        public void setIsBoutique(int i) {
            this.isBoutique = i;
        }

        public void setIsRecommend(int i) {
            this.isRecommend = i;
        }

        public void setName(String str) {
            this.name = str;
        }

        public void setScore(int i) {
            this.score = i;
        }

        public void setSmallTitle(String str) {
            this.smallTitle = str;
        }

        public void setSort(int i) {
            this.sort = i;
        }

        public void setUpdatedAt(Object obj) {
            this.updatedAt = obj;
        }
    }

    public static class RecommendListDTO implements Serializable {
        @SerializedName("android_link")
        private String androidLink;
        @SerializedName("cover")
        private String cover;
        @SerializedName("created_at")
        private String createdAt;
        @SerializedName("download_num")
        private String downloadNum;
        @SerializedName("id")
        private int id;
        @SerializedName("ios_link")
        private String iosLink;
        @SerializedName("is_boutique")
        private int isBoutique;
        @SerializedName("is_recommend")
        private int isRecommend;
        @SerializedName("name")
        private String name;
        @SerializedName(FirebaseAnalytics.b.B)
        private int score;
        @SerializedName("small_title")
        private String smallTitle;
        @SerializedName("sort")
        private int sort;
        @SerializedName("updated_at")
        private Object updatedAt;

        public String getAndroidLink() {
            return this.androidLink;
        }

        public String getCover() {
            return this.cover;
        }

        public String getCreatedAt() {
            return this.createdAt;
        }

        public String getDownloadNum() {
            return this.downloadNum;
        }

        public int getId() {
            return this.id;
        }

        public String getIosLink() {
            return this.iosLink;
        }

        public int getIsBoutique() {
            return this.isBoutique;
        }

        public int getIsRecommend() {
            return this.isRecommend;
        }

        public String getName() {
            return this.name;
        }

        public int getScore() {
            return this.score;
        }

        public String getSmallTitle() {
            return this.smallTitle;
        }

        public int getSort() {
            return this.sort;
        }

        public Object getUpdatedAt() {
            return this.updatedAt;
        }

        public void setAndroidLink(String str) {
            this.androidLink = str;
        }

        public void setCover(String str) {
            this.cover = str;
        }

        public void setCreatedAt(String str) {
            this.createdAt = str;
        }

        public void setDownloadNum(String str) {
            this.downloadNum = str;
        }

        public void setId(int i) {
            this.id = i;
        }

        public void setIosLink(String str) {
            this.iosLink = str;
        }

        public void setIsBoutique(int i) {
            this.isBoutique = i;
        }

        public void setIsRecommend(int i) {
            this.isRecommend = i;
        }

        public void setName(String str) {
            this.name = str;
        }

        public void setScore(int i) {
            this.score = i;
        }

        public void setSmallTitle(String str) {
            this.smallTitle = str;
        }

        public void setSort(int i) {
            this.sort = i;
        }

        public void setUpdatedAt(Object obj) {
            this.updatedAt = obj;
        }
    }

    public List<BoutiqueListDTO> getBoutiqueList() {
        return this.boutiqueList;
    }

    public List<RecommendListDTO> getRecommendList() {
        return this.recommendList;
    }

    public void setBoutiqueList(List<BoutiqueListDTO> list) {
        this.boutiqueList = list;
    }

    public void setRecommendList(List<RecommendListDTO> list) {
        this.recommendList = list;
    }
}
