package com.niming.weipa.work;

import android.content.Context;
import androidx.annotation.NonNull;
import androidx.work.ListenableWorker;
import androidx.work.Worker;
import androidx.work.WorkerParameters;
import com.blankj.utilcode.util.LogUtils;
import com.blankj.utilcode.util.k0;
import com.blankj.utilcode.util.x;
import com.blankj.utilcode.util.z;
import com.niming.framework.b.g;
import com.niming.framework.net.Result;
import com.niming.weipa.g.c;
import com.niming.weipa.utils.k;
import java.io.File;
import okhttp3.j0;

public class UploadLogWork extends Worker {
    public UploadLogWork(@NonNull Context context, @NonNull WorkerParameters workerParameters) {
        super(context, workerParameters);
    }

    @Override // androidx.work.Worker
    @NonNull
    public ListenableWorker.a w() {
        try {
            String u = e().u("file_name");
            File file = new File(u);
            if (!file.exists()) {
                return ListenableWorker.a.a();
            }
            String s = z.s(u);
            LogUtils.m("logwork", "=====日志上传服务器开始:" + s);
            j0 V1 = c.c0().V1(x.l(s));
            LogUtils.m("logwork", "=====日志上传服务器返回数据:");
            if (V1 == null) {
                LogUtils.m("logwork", "=====日志上传失败3:" + u);
                return ListenableWorker.a.c();
            } else if (V1.M()) {
                Result result = (Result) g.b(V1.a().O(), Result.class);
                if (k0.y(result)) {
                    String result2 = result.getResult();
                    LogUtils.l("===decrypt resultResult:" + result2);
                    String j = x.j(result2);
                    LogUtils.l("===decrypt resultResult urlDecode:" + j);
                    String a2 = k.a(j);
                    LogUtils.l("===decrypt:" + a2);
                    result.setResult(a2);
                }
                if (k0.y(result)) {
                    if (result.isOk()) {
                        LogUtils.m("logwork", "=====日志上传成功:" + u);
                        boolean delete = file.delete();
                        LogUtils.m("logwork", "=====日志上传成功删除:" + delete);
                    }
                    return ListenableWorker.a.a();
                }
                LogUtils.m("logwork", "=====日志上传失败1:" + u);
                return ListenableWorker.a.c();
            } else {
                LogUtils.m("logwork", "=====日志上传失败2:" + u);
                return ListenableWorker.a.c();
            }
        } catch (Exception unused) {
            return ListenableWorker.a.c();
        }
    }
}
