package com.readystatesoftware.chuck.internal.support;

import android.content.Context;
import android.content.Intent;
import android.net.Uri;
import android.os.Environment;
import android.widget.Toast;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.nio.channels.FileChannel;

/* compiled from: SQLiteUtils */
public class f {
    public static void a(Context context) {
        if (d(context, c("/"))) {
            String b2 = b(context);
            if (b2 != null) {
                context.startActivity(c(b2));
            } else {
                Toast.makeText(context, "Unable to extract database", 0).show();
            }
        } else {
            Toast.makeText(context, "Unable to resolve a SQLite Intent", 0).show();
        }
    }

    private static String b(Context context) {
        try {
            File externalFilesDir = context.getExternalFilesDir(null);
            File dataDirectory = Environment.getDataDirectory();
            if (externalFilesDir != null && externalFilesDir.canWrite()) {
                File file = new File(dataDirectory, "data/" + context.getPackageName() + "/databases/chuck.db");
                File file2 = new File(externalFilesDir, "chuckdb.temp");
                if (file.exists()) {
                    FileChannel channel = new FileInputStream(file).getChannel();
                    FileChannel channel2 = new FileOutputStream(file2).getChannel();
                    channel2.transferFrom(channel, 0, channel.size());
                    channel.close();
                    channel2.close();
                    return file2.getAbsolutePath();
                }
            }
        } catch (Exception e2) {
            e2.printStackTrace();
        }
        return null;
    }

    private static Intent c(String str) {
        Intent intent = new Intent("android.intent.action.EDIT");
        intent.setData(Uri.parse("sqlite:" + str));
        return intent;
    }

    private static boolean d(Context context, Intent intent) {
        return context.getPackageManager().resolveActivity(intent, 0) != null;
    }
}
