package com.smartcity.commonbase.widget.pagestatus;

import android.graphics.Color;
import android.graphics.drawable.ColorDrawable;
import android.graphics.drawable.Drawable;
import android.view.View;

/* compiled from: ColorUtils */
public class c {
    public static String a(int i) {
        StringBuffer stringBuffer = new StringBuffer();
        String hexString = Integer.toHexString(Color.red(i));
        String hexString2 = Integer.toHexString(Color.green(i));
        String hexString3 = Integer.toHexString(Color.blue(i));
        if (hexString.length() == 1) {
            hexString = "0" + hexString;
        }
        if (hexString2.length() == 1) {
            hexString2 = "0" + hexString2;
        }
        if (hexString3.length() == 1) {
            hexString3 = "0" + hexString3;
        }
        stringBuffer.append("0x");
        stringBuffer.append(hexString);
        stringBuffer.append(hexString2);
        stringBuffer.append(hexString3);
        return stringBuffer.toString();
    }

    public static String b(View view) {
        try {
            Drawable background = view.getBackground();
            if (background == null) {
                return b((View) view.getParent());
            }
            if (background instanceof ColorDrawable) {
                return a(((ColorDrawable) background).getColor());
            }
            return null;
        } catch (Exception unused) {
            return null;
        }
    }

    public static String c(String str) {
        StringBuilder sb = new StringBuilder();
        sb.append("#");
        if (!str.startsWith("#")) {
            str = "#" + str;
        }
        for (int i = str.length() == 9 ? 3 : 1; i < str.length(); i++) {
            int parseInt = Integer.parseInt(str.charAt(i) + "", 16);
            sb.append("" + Integer.toHexString(15 - parseInt).toUpperCase());
        }
        return sb.toString();
    }
}
