package com.yalantis.ucrop.view;

import android.content.Context;
import android.util.AttributeSet;
import android.view.GestureDetector;
import android.view.MotionEvent;
import android.view.ScaleGestureDetector;
import com.yalantis.ucrop.e.h;

public class GestureCropImageView extends CropImageView {
    private static final int q1 = 200;
    private ScaleGestureDetector r1;
    private h s1;
    private GestureDetector t1;
    private float u1;
    private float v1;
    private boolean w1;
    private boolean x1;
    private int y1;

    /* access modifiers changed from: private */
    public class b extends GestureDetector.SimpleOnGestureListener {
        private b() {
        }

        public boolean onDoubleTap(MotionEvent motionEvent) {
            GestureCropImageView gestureCropImageView = GestureCropImageView.this;
            gestureCropImageView.C(gestureCropImageView.getDoubleTapTargetScale(), motionEvent.getX(), motionEvent.getY(), 200);
            return super.onDoubleTap(motionEvent);
        }

        public boolean onScroll(MotionEvent motionEvent, MotionEvent motionEvent2, float f, float f2) {
            GestureCropImageView.this.m(-f, -f2);
            return true;
        }
    }

    /* access modifiers changed from: private */
    public class c extends h.b {
        private c() {
        }

        @Override // com.yalantis.ucrop.e.h.a, com.yalantis.ucrop.e.h.b
        public boolean a(h hVar) {
            GestureCropImageView.this.k(hVar.c(), GestureCropImageView.this.u1, GestureCropImageView.this.v1);
            return true;
        }
    }

    /* access modifiers changed from: private */
    public class d extends ScaleGestureDetector.SimpleOnScaleGestureListener {
        private d() {
        }

        public boolean onScale(ScaleGestureDetector scaleGestureDetector) {
            GestureCropImageView.this.l(scaleGestureDetector.getScaleFactor(), GestureCropImageView.this.u1, GestureCropImageView.this.v1);
            return true;
        }
    }

    public GestureCropImageView(Context context) {
        super(context);
        this.w1 = true;
        this.x1 = true;
        this.y1 = 5;
    }

    private void L() {
        this.t1 = new GestureDetector(getContext(), new b(), null, true);
        this.r1 = new ScaleGestureDetector(getContext(), new d());
        this.s1 = new h(new c());
    }

    public boolean J() {
        return this.w1;
    }

    public boolean K() {
        return this.x1;
    }

    public int getDoubleTapScaleSteps() {
        return this.y1;
    }

    /* access modifiers changed from: protected */
    public float getDoubleTapTargetScale() {
        return getCurrentScale() * ((float) Math.pow((double) (getMaxScale() / getMinScale()), (double) (1.0f / ((float) this.y1))));
    }

    /* access modifiers changed from: protected */
    @Override // com.yalantis.ucrop.view.TransformImageView
    public void i() {
        super.i();
        L();
    }

    public boolean onTouchEvent(MotionEvent motionEvent) {
        if ((motionEvent.getAction() & 255) == 0) {
            u();
        }
        if (motionEvent.getPointerCount() > 1) {
            this.u1 = (motionEvent.getX(0) + motionEvent.getX(1)) / 2.0f;
            this.v1 = (motionEvent.getY(0) + motionEvent.getY(1)) / 2.0f;
        }
        this.t1.onTouchEvent(motionEvent);
        if (this.x1) {
            this.r1.onTouchEvent(motionEvent);
        }
        if (this.w1) {
            this.s1.d(motionEvent);
        }
        if ((motionEvent.getAction() & 255) == 1) {
            A();
        }
        return true;
    }

    public void setDoubleTapScaleSteps(int i) {
        this.y1 = i;
    }

    public void setRotateEnabled(boolean z) {
        this.w1 = z;
    }

    public void setScaleEnabled(boolean z) {
        this.x1 = z;
    }

    public GestureCropImageView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public GestureCropImageView(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        this.w1 = true;
        this.x1 = true;
        this.y1 = 5;
    }
}
