package androidx.appcompat.app;

import android.annotation.SuppressLint;
import android.app.Activity;
import android.app.Dialog;
import android.app.UiModeManager;
import android.content.BroadcastReceiver;
import android.content.ComponentName;
import android.content.Context;
import android.content.ContextWrapper;
import android.content.Intent;
import android.content.IntentFilter;
import android.content.pm.ActivityInfo;
import android.content.pm.PackageManager;
import android.content.res.Configuration;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.media.AudioManager;
import android.os.Build;
import android.os.Bundle;
import android.os.LocaleList;
import android.os.Parcel;
import android.os.Parcelable;
import android.os.PowerManager;
import android.text.TextUtils;
import android.util.AndroidRuntimeException;
import android.util.AttributeSet;
import android.util.Log;
import android.util.TypedValue;
import android.view.ActionMode;
import android.view.ContextThemeWrapper;
import android.view.KeyCharacterMap;
import android.view.KeyEvent;
import android.view.KeyboardShortcutGroup;
import android.view.LayoutInflater;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewConfiguration;
import android.view.ViewGroup;
import android.view.ViewParent;
import android.view.Window;
import android.view.WindowManager;
import android.widget.FrameLayout;
import android.widget.PopupWindow;
import android.widget.TextView;
import androidx.annotation.CallSuper;
import androidx.annotation.IdRes;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RequiresApi;
import androidx.annotation.RestrictTo;
import androidx.annotation.StyleRes;
import androidx.annotation.VisibleForTesting;
import androidx.appcompat.R;
import androidx.appcompat.app.a;
import androidx.appcompat.c.b;
import androidx.appcompat.c.f;
import androidx.appcompat.view.menu.f;
import androidx.appcompat.view.menu.m;
import androidx.appcompat.widget.ActionBarContextView;
import androidx.appcompat.widget.ContentFrameLayout;
import androidx.appcompat.widget.Toolbar;
import androidx.appcompat.widget.ViewStubCompat;
import androidx.appcompat.widget.f0;
import androidx.appcompat.widget.k0;
import androidx.appcompat.widget.l0;
import androidx.appcompat.widget.r;
import androidx.core.content.res.f;
import androidx.core.view.KeyEventDispatcher;
import androidx.core.view.LayoutInflaterCompat;
import androidx.core.view.OnApplyWindowInsetsListener;
import androidx.core.view.ViewCompat;
import androidx.core.view.ViewPropertyAnimatorCompat;
import androidx.core.view.ViewPropertyAnimatorListenerAdapter;
import androidx.core.view.WindowInsetsCompat;
import androidx.lifecycle.Lifecycle;
import java.lang.Thread;
import java.util.List;
import org.xmlpull.v1.XmlPullParser;

/* access modifiers changed from: package-private */
@RestrictTo({RestrictTo.Scope.LIBRARY})
public class AppCompatDelegateImpl extends AppCompatDelegate implements f.a, LayoutInflater.Factory2 {
    private static final b.b.i<String, Integer> V0 = new b.b.i<>();
    private static final boolean W0;
    private static final int[] X0 = {16842836};
    private static final boolean Y0 = (!"robolectric".equals(Build.FINGERPRINT));
    private static final boolean Z0;
    private static boolean a1 = true;
    static final String b1 = ". If the resource you are trying to use is a vector resource, you may be referencing it in an unsupported way. See AppCompatDelegate.setCompatVectorFromResourcesEnabled() for more info.";
    boolean A1;
    boolean B1;
    boolean C1;
    boolean D1;
    private boolean E1;
    private PanelFeatureState[] F1;
    private PanelFeatureState G1;
    private boolean H1;
    private boolean I1;
    private boolean J1;
    private boolean K1;
    boolean L1;
    private int M1;
    private int N1;
    private boolean O1;
    private boolean P1;
    private m Q1;
    private m R1;
    boolean S1;
    int T1;
    private final Runnable U1;
    private boolean V1;
    private Rect W1;
    private Rect X1;
    private g Y1;
    final Object c1;
    final Context d1;
    Window e1;
    private k f1;
    final d g1;
    ActionBar h1;
    MenuInflater i1;
    private CharSequence j1;
    private androidx.appcompat.widget.n k1;
    private i l1;
    private t m1;
    androidx.appcompat.c.b n1;
    ActionBarContextView o1;
    PopupWindow p1;
    Runnable q1;
    ViewPropertyAnimatorCompat r1;
    private boolean s1;
    private boolean t1;
    ViewGroup u1;
    private TextView v1;
    private View w1;
    private boolean x1;
    private boolean y1;
    boolean z1;

    /* access modifiers changed from: protected */
    public static final class PanelFeatureState {

        /* renamed from: a  reason: collision with root package name */
        int f123a;

        /* renamed from: b  reason: collision with root package name */
        int f124b;

        /* renamed from: c  reason: collision with root package name */
        int f125c;

        /* renamed from: d  reason: collision with root package name */
        int f126d;

        /* renamed from: e  reason: collision with root package name */
        int f127e;
        int f;
        ViewGroup g;
        View h;
        View i;
        androidx.appcompat.view.menu.f j;
        androidx.appcompat.view.menu.d k;
        Context l;
        boolean m;
        boolean n;
        boolean o;
        public boolean p;
        boolean q = false;
        boolean r;
        boolean s;
        Bundle t;
        Bundle u;

        /* access modifiers changed from: private */
        @SuppressLint({"BanParcelableUsage"})
        public static class SavedState implements Parcelable {
            public static final Parcelable.Creator<SavedState> CREATOR = new a();
            Bundle I0;

            /* renamed from: a  reason: collision with root package name */
            int f128a;

            /* renamed from: b  reason: collision with root package name */
            boolean f129b;

            class a implements Parcelable.ClassLoaderCreator<SavedState> {
                a() {
                }

                /* renamed from: a */
                public SavedState createFromParcel(Parcel parcel) {
                    return SavedState.a(parcel, null);
                }

                /* renamed from: b */
                public SavedState createFromParcel(Parcel parcel, ClassLoader classLoader) {
                    return SavedState.a(parcel, classLoader);
                }

                /* renamed from: c */
                public SavedState[] newArray(int i) {
                    return new SavedState[i];
                }
            }

            SavedState() {
            }

            static SavedState a(Parcel parcel, ClassLoader classLoader) {
                SavedState savedState = new SavedState();
                savedState.f128a = parcel.readInt();
                boolean z = true;
                if (parcel.readInt() != 1) {
                    z = false;
                }
                savedState.f129b = z;
                if (z) {
                    savedState.I0 = parcel.readBundle(classLoader);
                }
                return savedState;
            }

            public int describeContents() {
                return 0;
            }

            public void writeToParcel(Parcel parcel, int i) {
                parcel.writeInt(this.f128a);
                parcel.writeInt(this.f129b ? 1 : 0);
                if (this.f129b) {
                    parcel.writeBundle(this.I0);
                }
            }
        }

        PanelFeatureState(int i2) {
            this.f123a = i2;
        }

        /* access modifiers changed from: package-private */
        public void a() {
            Bundle bundle;
            androidx.appcompat.view.menu.f fVar = this.j;
            if (fVar != null && (bundle = this.t) != null) {
                fVar.U(bundle);
                this.t = null;
            }
        }

        public void b() {
            androidx.appcompat.view.menu.f fVar = this.j;
            if (fVar != null) {
                fVar.S(this.k);
            }
            this.k = null;
        }

        /* access modifiers changed from: package-private */
        public androidx.appcompat.view.menu.n c(m.a aVar) {
            if (this.j == null) {
                return null;
            }
            if (this.k == null) {
                androidx.appcompat.view.menu.d dVar = new androidx.appcompat.view.menu.d(this.l, R.layout.abc_list_menu_item_layout);
                this.k = dVar;
                dVar.k(aVar);
                this.j.b(this.k);
            }
            return this.k.o(this.g);
        }

        public boolean d() {
            if (this.h == null) {
                return false;
            }
            if (this.i == null && this.k.b().getCount() <= 0) {
                return false;
            }
            return true;
        }

        /* access modifiers changed from: package-private */
        public void e(Parcelable parcelable) {
            SavedState savedState = (SavedState) parcelable;
            this.f123a = savedState.f128a;
            this.s = savedState.f129b;
            this.t = savedState.I0;
            this.h = null;
            this.g = null;
        }

        /* access modifiers changed from: package-private */
        public Parcelable f() {
            SavedState savedState = new SavedState();
            savedState.f128a = this.f123a;
            savedState.f129b = this.o;
            if (this.j != null) {
                Bundle bundle = new Bundle();
                savedState.I0 = bundle;
                this.j.W(bundle);
            }
            return savedState;
        }

        /* access modifiers changed from: package-private */
        public void g(androidx.appcompat.view.menu.f fVar) {
            androidx.appcompat.view.menu.d dVar;
            androidx.appcompat.view.menu.f fVar2 = this.j;
            if (fVar != fVar2) {
                if (fVar2 != null) {
                    fVar2.S(this.k);
                }
                this.j = fVar;
                if (fVar != null && (dVar = this.k) != null) {
                    fVar.b(dVar);
                }
            }
        }

        /* access modifiers changed from: package-private */
        public void h(Context context) {
            TypedValue typedValue = new TypedValue();
            Resources.Theme newTheme = context.getResources().newTheme();
            newTheme.setTo(context.getTheme());
            newTheme.resolveAttribute(R.attr.actionBarPopupTheme, typedValue, true);
            int i2 = typedValue.resourceId;
            if (i2 != 0) {
                newTheme.applyStyle(i2, true);
            }
            newTheme.resolveAttribute(R.attr.panelMenuListTheme, typedValue, true);
            int i3 = typedValue.resourceId;
            if (i3 != 0) {
                newTheme.applyStyle(i3, true);
            } else {
                newTheme.applyStyle(R.style.Theme_AppCompat_CompactMenu, true);
            }
            androidx.appcompat.c.d dVar = new androidx.appcompat.c.d(context, 0);
            dVar.getTheme().setTo(newTheme);
            this.l = dVar;
            TypedArray obtainStyledAttributes = dVar.obtainStyledAttributes(R.styleable.AppCompatTheme);
            this.f124b = obtainStyledAttributes.getResourceId(R.styleable.AppCompatTheme_panelBackground, 0);
            this.f = obtainStyledAttributes.getResourceId(R.styleable.AppCompatTheme_android_windowAnimationStyle, 0);
            obtainStyledAttributes.recycle();
        }
    }

    class a implements Thread.UncaughtExceptionHandler {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ Thread.UncaughtExceptionHandler f130a;

        a(Thread.UncaughtExceptionHandler uncaughtExceptionHandler) {
            this.f130a = uncaughtExceptionHandler;
        }

        private boolean a(Throwable th) {
            String message;
            if (!(th instanceof Resources.NotFoundException) || (message = th.getMessage()) == null) {
                return false;
            }
            if (message.contains("drawable") || message.contains("Drawable")) {
                return true;
            }
            return false;
        }

        public void uncaughtException(@NonNull Thread thread, @NonNull Throwable th) {
            if (a(th)) {
                Resources.NotFoundException notFoundException = new Resources.NotFoundException(th.getMessage() + AppCompatDelegateImpl.b1);
                notFoundException.initCause(th.getCause());
                notFoundException.setStackTrace(th.getStackTrace());
                this.f130a.uncaughtException(thread, notFoundException);
                return;
            }
            this.f130a.uncaughtException(thread, th);
        }
    }

    class b implements Runnable {
        b() {
        }

        public void run() {
            AppCompatDelegateImpl appCompatDelegateImpl = AppCompatDelegateImpl.this;
            if ((appCompatDelegateImpl.T1 & 1) != 0) {
                appCompatDelegateImpl.h0(0);
            }
            AppCompatDelegateImpl appCompatDelegateImpl2 = AppCompatDelegateImpl.this;
            if ((appCompatDelegateImpl2.T1 & 4096) != 0) {
                appCompatDelegateImpl2.h0(108);
            }
            AppCompatDelegateImpl appCompatDelegateImpl3 = AppCompatDelegateImpl.this;
            appCompatDelegateImpl3.S1 = false;
            appCompatDelegateImpl3.T1 = 0;
        }
    }

    /* access modifiers changed from: package-private */
    public class c implements OnApplyWindowInsetsListener {
        c() {
        }

        @Override // androidx.core.view.OnApplyWindowInsetsListener
        public WindowInsetsCompat onApplyWindowInsets(View view, WindowInsetsCompat windowInsetsCompat) {
            int systemWindowInsetTop = windowInsetsCompat.getSystemWindowInsetTop();
            int Y0 = AppCompatDelegateImpl.this.Y0(windowInsetsCompat, null);
            if (systemWindowInsetTop != Y0) {
                windowInsetsCompat = windowInsetsCompat.replaceSystemWindowInsets(windowInsetsCompat.getSystemWindowInsetLeft(), Y0, windowInsetsCompat.getSystemWindowInsetRight(), windowInsetsCompat.getSystemWindowInsetBottom());
            }
            return ViewCompat.onApplyWindowInsets(view, windowInsetsCompat);
        }
    }

    /* access modifiers changed from: package-private */
    public class d implements r.a {
        d() {
        }

        @Override // androidx.appcompat.widget.r.a
        public void a(Rect rect) {
            rect.top = AppCompatDelegateImpl.this.Y0(null, rect);
        }
    }

    /* access modifiers changed from: package-private */
    public class e implements ContentFrameLayout.a {
        e() {
        }

        @Override // androidx.appcompat.widget.ContentFrameLayout.a
        public void a() {
        }

        @Override // androidx.appcompat.widget.ContentFrameLayout.a
        public void onDetachedFromWindow() {
            AppCompatDelegateImpl.this.f0();
        }
    }

    /* access modifiers changed from: package-private */
    public class f implements Runnable {

        class a extends ViewPropertyAnimatorListenerAdapter {
            a() {
            }

            @Override // androidx.core.view.ViewPropertyAnimatorListenerAdapter, androidx.core.view.ViewPropertyAnimatorListener
            public void onAnimationEnd(View view) {
                AppCompatDelegateImpl.this.o1.setAlpha(1.0f);
                AppCompatDelegateImpl.this.r1.setListener(null);
                AppCompatDelegateImpl.this.r1 = null;
            }

            @Override // androidx.core.view.ViewPropertyAnimatorListenerAdapter, androidx.core.view.ViewPropertyAnimatorListener
            public void onAnimationStart(View view) {
                AppCompatDelegateImpl.this.o1.setVisibility(0);
            }
        }

        f() {
        }

        public void run() {
            AppCompatDelegateImpl appCompatDelegateImpl = AppCompatDelegateImpl.this;
            appCompatDelegateImpl.p1.showAtLocation(appCompatDelegateImpl.o1, 55, 0, 0);
            AppCompatDelegateImpl.this.i0();
            if (AppCompatDelegateImpl.this.R0()) {
                AppCompatDelegateImpl.this.o1.setAlpha(0.0f);
                AppCompatDelegateImpl appCompatDelegateImpl2 = AppCompatDelegateImpl.this;
                appCompatDelegateImpl2.r1 = ViewCompat.animate(appCompatDelegateImpl2.o1).alpha(1.0f);
                AppCompatDelegateImpl.this.r1.setListener(new a());
                return;
            }
            AppCompatDelegateImpl.this.o1.setAlpha(1.0f);
            AppCompatDelegateImpl.this.o1.setVisibility(0);
        }
    }

    /* access modifiers changed from: package-private */
    public class g extends ViewPropertyAnimatorListenerAdapter {
        g() {
        }

        @Override // androidx.core.view.ViewPropertyAnimatorListenerAdapter, androidx.core.view.ViewPropertyAnimatorListener
        public void onAnimationEnd(View view) {
            AppCompatDelegateImpl.this.o1.setAlpha(1.0f);
            AppCompatDelegateImpl.this.r1.setListener(null);
            AppCompatDelegateImpl.this.r1 = null;
        }

        @Override // androidx.core.view.ViewPropertyAnimatorListenerAdapter, androidx.core.view.ViewPropertyAnimatorListener
        public void onAnimationStart(View view) {
            AppCompatDelegateImpl.this.o1.setVisibility(0);
            AppCompatDelegateImpl.this.o1.sendAccessibilityEvent(32);
            if (AppCompatDelegateImpl.this.o1.getParent() instanceof View) {
                ViewCompat.requestApplyInsets((View) AppCompatDelegateImpl.this.o1.getParent());
            }
        }
    }

    private class h implements a.b {
        h() {
        }

        @Override // androidx.appcompat.app.a.b
        public void a(Drawable drawable, int i) {
            ActionBar s = AppCompatDelegateImpl.this.s();
            if (s != null) {
                s.l0(drawable);
                s.i0(i);
            }
        }

        @Override // androidx.appcompat.app.a.b
        public Drawable b() {
            f0 F = f0.F(e(), null, new int[]{R.attr.homeAsUpIndicator});
            Drawable h = F.h(0);
            F.I();
            return h;
        }

        @Override // androidx.appcompat.app.a.b
        public void c(int i) {
            ActionBar s = AppCompatDelegateImpl.this.s();
            if (s != null) {
                s.i0(i);
            }
        }

        @Override // androidx.appcompat.app.a.b
        public boolean d() {
            ActionBar s = AppCompatDelegateImpl.this.s();
            return (s == null || (s.p() & 4) == 0) ? false : true;
        }

        @Override // androidx.appcompat.app.a.b
        public Context e() {
            return AppCompatDelegateImpl.this.n0();
        }
    }

    /* access modifiers changed from: private */
    public final class i implements m.a {
        i() {
        }

        @Override // androidx.appcompat.view.menu.m.a
        public void d(@NonNull androidx.appcompat.view.menu.f fVar, boolean z) {
            AppCompatDelegateImpl.this.Z(fVar);
        }

        @Override // androidx.appcompat.view.menu.m.a
        public boolean e(@NonNull androidx.appcompat.view.menu.f fVar) {
            Window.Callback u0 = AppCompatDelegateImpl.this.u0();
            if (u0 == null) {
                return true;
            }
            u0.onMenuOpened(108, fVar);
            return true;
        }
    }

    /* access modifiers changed from: package-private */
    public class j implements b.a {

        /* renamed from: a  reason: collision with root package name */
        private b.a f140a;

        class a extends ViewPropertyAnimatorListenerAdapter {
            a() {
            }

            @Override // androidx.core.view.ViewPropertyAnimatorListenerAdapter, androidx.core.view.ViewPropertyAnimatorListener
            public void onAnimationEnd(View view) {
                AppCompatDelegateImpl.this.o1.setVisibility(8);
                AppCompatDelegateImpl appCompatDelegateImpl = AppCompatDelegateImpl.this;
                PopupWindow popupWindow = appCompatDelegateImpl.p1;
                if (popupWindow != null) {
                    popupWindow.dismiss();
                } else if (appCompatDelegateImpl.o1.getParent() instanceof View) {
                    ViewCompat.requestApplyInsets((View) AppCompatDelegateImpl.this.o1.getParent());
                }
                AppCompatDelegateImpl.this.o1.removeAllViews();
                AppCompatDelegateImpl.this.r1.setListener(null);
                AppCompatDelegateImpl appCompatDelegateImpl2 = AppCompatDelegateImpl.this;
                appCompatDelegateImpl2.r1 = null;
                ViewCompat.requestApplyInsets(appCompatDelegateImpl2.u1);
            }
        }

        public j(b.a aVar) {
            this.f140a = aVar;
        }

        @Override // androidx.appcompat.c.b.a
        public void a(androidx.appcompat.c.b bVar) {
            this.f140a.a(bVar);
            AppCompatDelegateImpl appCompatDelegateImpl = AppCompatDelegateImpl.this;
            if (appCompatDelegateImpl.p1 != null) {
                appCompatDelegateImpl.e1.getDecorView().removeCallbacks(AppCompatDelegateImpl.this.q1);
            }
            AppCompatDelegateImpl appCompatDelegateImpl2 = AppCompatDelegateImpl.this;
            if (appCompatDelegateImpl2.o1 != null) {
                appCompatDelegateImpl2.i0();
                AppCompatDelegateImpl appCompatDelegateImpl3 = AppCompatDelegateImpl.this;
                appCompatDelegateImpl3.r1 = ViewCompat.animate(appCompatDelegateImpl3.o1).alpha(0.0f);
                AppCompatDelegateImpl.this.r1.setListener(new a());
            }
            AppCompatDelegateImpl appCompatDelegateImpl4 = AppCompatDelegateImpl.this;
            d dVar = appCompatDelegateImpl4.g1;
            if (dVar != null) {
                dVar.onSupportActionModeFinished(appCompatDelegateImpl4.n1);
            }
            AppCompatDelegateImpl appCompatDelegateImpl5 = AppCompatDelegateImpl.this;
            appCompatDelegateImpl5.n1 = null;
            ViewCompat.requestApplyInsets(appCompatDelegateImpl5.u1);
        }

        @Override // androidx.appcompat.c.b.a
        public boolean b(androidx.appcompat.c.b bVar, Menu menu) {
            return this.f140a.b(bVar, menu);
        }

        @Override // androidx.appcompat.c.b.a
        public boolean c(androidx.appcompat.c.b bVar, Menu menu) {
            ViewCompat.requestApplyInsets(AppCompatDelegateImpl.this.u1);
            return this.f140a.c(bVar, menu);
        }

        @Override // androidx.appcompat.c.b.a
        public boolean d(androidx.appcompat.c.b bVar, MenuItem menuItem) {
            return this.f140a.d(bVar, menuItem);
        }
    }

    /* access modifiers changed from: private */
    public class l extends m {

        /* renamed from: c  reason: collision with root package name */
        private final PowerManager f144c;

        l(@NonNull Context context) {
            super();
            this.f144c = (PowerManager) context.getApplicationContext().getSystemService("power");
        }

        /* access modifiers changed from: package-private */
        @Override // androidx.appcompat.app.AppCompatDelegateImpl.m
        public IntentFilter b() {
            if (Build.VERSION.SDK_INT < 21) {
                return null;
            }
            IntentFilter intentFilter = new IntentFilter();
            intentFilter.addAction("android.os.action.POWER_SAVE_MODE_CHANGED");
            return intentFilter;
        }

        @Override // androidx.appcompat.app.AppCompatDelegateImpl.m
        public int c() {
            if (Build.VERSION.SDK_INT < 21 || !this.f144c.isPowerSaveMode()) {
                return 1;
            }
            return 2;
        }

        @Override // androidx.appcompat.app.AppCompatDelegateImpl.m
        public void e() {
            AppCompatDelegateImpl.this.e();
        }
    }

    /* access modifiers changed from: package-private */
    @VisibleForTesting
    @RestrictTo({RestrictTo.Scope.LIBRARY})
    public abstract class m {

        /* renamed from: a  reason: collision with root package name */
        private BroadcastReceiver f146a;

        /* access modifiers changed from: package-private */
        public class a extends BroadcastReceiver {
            a() {
            }

            public void onReceive(Context context, Intent intent) {
                m.this.e();
            }
        }

        m() {
        }

        /* access modifiers changed from: package-private */
        public void a() {
            BroadcastReceiver broadcastReceiver = this.f146a;
            if (broadcastReceiver != null) {
                try {
                    AppCompatDelegateImpl.this.d1.unregisterReceiver(broadcastReceiver);
                } catch (IllegalArgumentException unused) {
                }
                this.f146a = null;
            }
        }

        /* access modifiers changed from: package-private */
        @Nullable
        public abstract IntentFilter b();

        /* access modifiers changed from: package-private */
        public abstract int c();

        /* access modifiers changed from: package-private */
        public boolean d() {
            return this.f146a != null;
        }

        /* access modifiers changed from: package-private */
        public abstract void e();

        /* access modifiers changed from: package-private */
        public void f() {
            a();
            IntentFilter b2 = b();
            if (b2 != null && b2.countActions() != 0) {
                if (this.f146a == null) {
                    this.f146a = new a();
                }
                AppCompatDelegateImpl.this.d1.registerReceiver(this.f146a, b2);
            }
        }
    }

    /* access modifiers changed from: private */
    public class n extends m {

        /* renamed from: c  reason: collision with root package name */
        private final l f149c;

        n(@NonNull l lVar) {
            super();
            this.f149c = lVar;
        }

        /* access modifiers changed from: package-private */
        @Override // androidx.appcompat.app.AppCompatDelegateImpl.m
        public IntentFilter b() {
            IntentFilter intentFilter = new IntentFilter();
            intentFilter.addAction("android.intent.action.TIME_SET");
            intentFilter.addAction("android.intent.action.TIMEZONE_CHANGED");
            intentFilter.addAction("android.intent.action.TIME_TICK");
            return intentFilter;
        }

        @Override // androidx.appcompat.app.AppCompatDelegateImpl.m
        public int c() {
            return this.f149c.d() ? 2 : 1;
        }

        @Override // androidx.appcompat.app.AppCompatDelegateImpl.m
        public void e() {
            AppCompatDelegateImpl.this.e();
        }
    }

    /* access modifiers changed from: package-private */
    @RequiresApi(17)
    public static class o {
        private o() {
        }

        static void a(@NonNull Configuration configuration, @NonNull Configuration configuration2, @NonNull Configuration configuration3) {
            int i = configuration.densityDpi;
            int i2 = configuration2.densityDpi;
            if (i != i2) {
                configuration3.densityDpi = i2;
            }
        }
    }

    /* access modifiers changed from: package-private */
    @RequiresApi(24)
    public static class p {
        private p() {
        }

        static void a(@NonNull Configuration configuration, @NonNull Configuration configuration2, @NonNull Configuration configuration3) {
            LocaleList locales = configuration.getLocales();
            LocaleList locales2 = configuration2.getLocales();
            if (!locales.equals(locales2)) {
                configuration3.setLocales(locales2);
                configuration3.locale = configuration2.locale;
            }
        }
    }

    /* access modifiers changed from: package-private */
    @RequiresApi(26)
    public static class q {
        private q() {
        }

        static void a(@NonNull Configuration configuration, @NonNull Configuration configuration2, @NonNull Configuration configuration3) {
            int i = configuration.colorMode & 3;
            int i2 = configuration2.colorMode;
            if (i != (i2 & 3)) {
                configuration3.colorMode |= i2 & 3;
            }
            int i3 = configuration.colorMode & 12;
            int i4 = configuration2.colorMode;
            if (i3 != (i4 & 12)) {
                configuration3.colorMode |= i4 & 12;
            }
        }
    }

    @RequiresApi(17)
    private static class r {
        private r() {
        }

        static void a(ContextThemeWrapper contextThemeWrapper, Configuration configuration) {
            contextThemeWrapper.applyOverrideConfiguration(configuration);
        }
    }

    /* access modifiers changed from: private */
    public class s extends ContentFrameLayout {
        public s(Context context) {
            super(context);
        }

        private boolean c(int i, int i2) {
            return i < -5 || i2 < -5 || i > getWidth() + 5 || i2 > getHeight() + 5;
        }

        public boolean dispatchKeyEvent(KeyEvent keyEvent) {
            return AppCompatDelegateImpl.this.g0(keyEvent) || super.dispatchKeyEvent(keyEvent);
        }

        public boolean onInterceptTouchEvent(MotionEvent motionEvent) {
            if (motionEvent.getAction() != 0 || !c((int) motionEvent.getX(), (int) motionEvent.getY())) {
                return super.onInterceptTouchEvent(motionEvent);
            }
            AppCompatDelegateImpl.this.b0(0);
            return true;
        }

        public void setBackgroundResource(int i) {
            setBackgroundDrawable(androidx.appcompat.a.a.a.d(getContext(), i));
        }
    }

    /* access modifiers changed from: private */
    public final class t implements m.a {
        t() {
        }

        @Override // androidx.appcompat.view.menu.m.a
        public void d(@NonNull androidx.appcompat.view.menu.f fVar, boolean z) {
            androidx.appcompat.view.menu.f G = fVar.G();
            boolean z2 = G != fVar;
            AppCompatDelegateImpl appCompatDelegateImpl = AppCompatDelegateImpl.this;
            if (z2) {
                fVar = G;
            }
            PanelFeatureState l0 = appCompatDelegateImpl.l0(fVar);
            if (l0 == null) {
                return;
            }
            if (z2) {
                AppCompatDelegateImpl.this.Y(l0.f123a, l0, G);
                AppCompatDelegateImpl.this.c0(l0, true);
                return;
            }
            AppCompatDelegateImpl.this.c0(l0, z);
        }

        @Override // androidx.appcompat.view.menu.m.a
        public boolean e(@NonNull androidx.appcompat.view.menu.f fVar) {
            Window.Callback u0;
            if (fVar != fVar.G()) {
                return true;
            }
            AppCompatDelegateImpl appCompatDelegateImpl = AppCompatDelegateImpl.this;
            if (!appCompatDelegateImpl.z1 || (u0 = appCompatDelegateImpl.u0()) == null || AppCompatDelegateImpl.this.L1) {
                return true;
            }
            u0.onMenuOpened(108, fVar);
            return true;
        }
    }

    static {
        int i2 = Build.VERSION.SDK_INT;
        boolean z = false;
        boolean z2 = i2 < 21;
        W0 = z2;
        if (i2 >= 17) {
            z = true;
        }
        Z0 = z;
        if (z2 && !a1) {
            Thread.setDefaultUncaughtExceptionHandler(new a(Thread.getDefaultUncaughtExceptionHandler()));
        }
    }

    AppCompatDelegateImpl(Activity activity, d dVar) {
        this(activity, null, dVar, activity);
    }

    private boolean A0() {
        if (!this.P1 && (this.c1 instanceof Activity)) {
            PackageManager packageManager = this.d1.getPackageManager();
            if (packageManager == null) {
                return false;
            }
            try {
                int i2 = Build.VERSION.SDK_INT;
                ActivityInfo activityInfo = packageManager.getActivityInfo(new ComponentName(this.d1, this.c1.getClass()), i2 >= 29 ? 269221888 : i2 >= 24 ? com.ibm.icu.text.c.h : 0);
                this.O1 = (activityInfo == null || (activityInfo.configChanges & 512) == 0) ? false : true;
            } catch (PackageManager.NameNotFoundException e2) {
                Log.d("AppCompatDelegate", "Exception while getting ActivityInfo", e2);
                this.O1 = false;
            }
        }
        this.P1 = true;
        return this.O1;
    }

    private boolean E0(int i2, KeyEvent keyEvent) {
        if (keyEvent.getRepeatCount() != 0) {
            return false;
        }
        PanelFeatureState r0 = r0(i2, true);
        if (!r0.o) {
            return O0(r0, keyEvent);
        }
        return false;
    }

    /* JADX WARNING: Removed duplicated region for block: B:34:0x006a  */
    private boolean H0(int i2, KeyEvent keyEvent) {
        boolean z;
        androidx.appcompat.widget.n nVar;
        if (this.n1 != null) {
            return false;
        }
        boolean z2 = true;
        PanelFeatureState r0 = r0(i2, true);
        if (i2 != 0 || (nVar = this.k1) == null || !nVar.g() || ViewConfiguration.get(this.d1).hasPermanentMenuKey()) {
            boolean z3 = r0.o;
            if (z3 || r0.n) {
                c0(r0, true);
                z2 = z3;
                if (z2) {
                    AudioManager audioManager = (AudioManager) this.d1.getApplicationContext().getSystemService("audio");
                    if (audioManager != null) {
                        audioManager.playSoundEffect(0);
                    } else {
                        Log.w("AppCompatDelegate", "Couldn't get audio manager");
                    }
                }
                return z2;
            } else if (r0.m) {
                if (r0.r) {
                    r0.m = false;
                    z = O0(r0, keyEvent);
                } else {
                    z = true;
                }
                if (z) {
                    L0(r0, keyEvent);
                    if (z2) {
                    }
                    return z2;
                }
            }
        } else {
            if (this.k1.d()) {
                z2 = this.k1.j();
            } else if (!this.L1 && O0(r0, keyEvent)) {
                z2 = this.k1.k();
            }
            if (z2) {
            }
            return z2;
        }
        z2 = false;
        if (z2) {
        }
        return z2;
    }

    private void L0(PanelFeatureState panelFeatureState, KeyEvent keyEvent) {
        int i2;
        ViewGroup.LayoutParams layoutParams;
        if (!panelFeatureState.o && !this.L1) {
            if (panelFeatureState.f123a == 0) {
                if ((this.d1.getResources().getConfiguration().screenLayout & 15) == 4) {
                    return;
                }
            }
            Window.Callback u0 = u0();
            if (u0 == null || u0.onMenuOpened(panelFeatureState.f123a, panelFeatureState.j)) {
                WindowManager windowManager = (WindowManager) this.d1.getSystemService("window");
                if (windowManager != null && O0(panelFeatureState, keyEvent)) {
                    ViewGroup viewGroup = panelFeatureState.g;
                    if (viewGroup == null || panelFeatureState.q) {
                        if (viewGroup == null) {
                            if (!x0(panelFeatureState) || panelFeatureState.g == null) {
                                return;
                            }
                        } else if (panelFeatureState.q && viewGroup.getChildCount() > 0) {
                            panelFeatureState.g.removeAllViews();
                        }
                        if (!w0(panelFeatureState) || !panelFeatureState.d()) {
                            panelFeatureState.q = true;
                            return;
                        }
                        ViewGroup.LayoutParams layoutParams2 = panelFeatureState.h.getLayoutParams();
                        if (layoutParams2 == null) {
                            layoutParams2 = new ViewGroup.LayoutParams(-2, -2);
                        }
                        panelFeatureState.g.setBackgroundResource(panelFeatureState.f124b);
                        ViewParent parent = panelFeatureState.h.getParent();
                        if (parent instanceof ViewGroup) {
                            ((ViewGroup) parent).removeView(panelFeatureState.h);
                        }
                        panelFeatureState.g.addView(panelFeatureState.h, layoutParams2);
                        if (!panelFeatureState.h.hasFocus()) {
                            panelFeatureState.h.requestFocus();
                        }
                    } else {
                        View view = panelFeatureState.i;
                        if (!(view == null || (layoutParams = view.getLayoutParams()) == null || layoutParams.width != -1)) {
                            i2 = -1;
                            panelFeatureState.n = false;
                            WindowManager.LayoutParams layoutParams3 = new WindowManager.LayoutParams(i2, -2, panelFeatureState.f126d, panelFeatureState.f127e, 1002, 8519680, -3);
                            layoutParams3.gravity = panelFeatureState.f125c;
                            layoutParams3.windowAnimations = panelFeatureState.f;
                            windowManager.addView(panelFeatureState.g, layoutParams3);
                            panelFeatureState.o = true;
                            return;
                        }
                    }
                    i2 = -2;
                    panelFeatureState.n = false;
                    WindowManager.LayoutParams layoutParams32 = new WindowManager.LayoutParams(i2, -2, panelFeatureState.f126d, panelFeatureState.f127e, 1002, 8519680, -3);
                    layoutParams32.gravity = panelFeatureState.f125c;
                    layoutParams32.windowAnimations = panelFeatureState.f;
                    windowManager.addView(panelFeatureState.g, layoutParams32);
                    panelFeatureState.o = true;
                    return;
                }
                return;
            }
            c0(panelFeatureState, true);
        }
    }

    private boolean N0(PanelFeatureState panelFeatureState, int i2, KeyEvent keyEvent, int i3) {
        androidx.appcompat.view.menu.f fVar;
        boolean z = false;
        if (keyEvent.isSystem()) {
            return false;
        }
        if ((panelFeatureState.m || O0(panelFeatureState, keyEvent)) && (fVar = panelFeatureState.j) != null) {
            z = fVar.performShortcut(i2, keyEvent, i3);
        }
        if (z && (i3 & 1) == 0 && this.k1 == null) {
            c0(panelFeatureState, true);
        }
        return z;
    }

    private boolean O0(PanelFeatureState panelFeatureState, KeyEvent keyEvent) {
        androidx.appcompat.widget.n nVar;
        androidx.appcompat.widget.n nVar2;
        androidx.appcompat.widget.n nVar3;
        if (this.L1) {
            return false;
        }
        if (panelFeatureState.m) {
            return true;
        }
        PanelFeatureState panelFeatureState2 = this.G1;
        if (!(panelFeatureState2 == null || panelFeatureState2 == panelFeatureState)) {
            c0(panelFeatureState2, false);
        }
        Window.Callback u0 = u0();
        if (u0 != null) {
            panelFeatureState.i = u0.onCreatePanelView(panelFeatureState.f123a);
        }
        int i2 = panelFeatureState.f123a;
        boolean z = i2 == 0 || i2 == 108;
        if (z && (nVar3 = this.k1) != null) {
            nVar3.e();
        }
        if (panelFeatureState.i == null && (!z || !(M0() instanceof j))) {
            androidx.appcompat.view.menu.f fVar = panelFeatureState.j;
            if (fVar == null || panelFeatureState.r) {
                if (fVar == null && (!y0(panelFeatureState) || panelFeatureState.j == null)) {
                    return false;
                }
                if (z && this.k1 != null) {
                    if (this.l1 == null) {
                        this.l1 = new i();
                    }
                    this.k1.c(panelFeatureState.j, this.l1);
                }
                panelFeatureState.j.m0();
                if (!u0.onCreatePanelMenu(panelFeatureState.f123a, panelFeatureState.j)) {
                    panelFeatureState.g(null);
                    if (z && (nVar2 = this.k1) != null) {
                        nVar2.c(null, this.l1);
                    }
                    return false;
                }
                panelFeatureState.r = false;
            }
            panelFeatureState.j.m0();
            Bundle bundle = panelFeatureState.u;
            if (bundle != null) {
                panelFeatureState.j.T(bundle);
                panelFeatureState.u = null;
            }
            if (!u0.onPreparePanel(0, panelFeatureState.i, panelFeatureState.j)) {
                if (z && (nVar = this.k1) != null) {
                    nVar.c(null, this.l1);
                }
                panelFeatureState.j.l0();
                return false;
            }
            boolean z2 = KeyCharacterMap.load(keyEvent != null ? keyEvent.getDeviceId() : -1).getKeyboardType() != 1;
            panelFeatureState.p = z2;
            panelFeatureState.j.setQwertyMode(z2);
            panelFeatureState.j.l0();
        }
        panelFeatureState.m = true;
        panelFeatureState.n = false;
        this.G1 = panelFeatureState;
        return true;
    }

    private void P0(boolean z) {
        androidx.appcompat.widget.n nVar = this.k1;
        if (nVar == null || !nVar.g() || (ViewConfiguration.get(this.d1).hasPermanentMenuKey() && !this.k1.i())) {
            PanelFeatureState r0 = r0(0, true);
            r0.q = true;
            c0(r0, false);
            L0(r0, null);
            return;
        }
        Window.Callback u0 = u0();
        if (this.k1.d() && z) {
            this.k1.j();
            if (!this.L1) {
                u0.onPanelClosed(108, r0(0, true).j);
            }
        } else if (u0 != null && !this.L1) {
            if (this.S1 && (this.T1 & 1) != 0) {
                this.e1.getDecorView().removeCallbacks(this.U1);
                this.U1.run();
            }
            PanelFeatureState r02 = r0(0, true);
            androidx.appcompat.view.menu.f fVar = r02.j;
            if (fVar != null && !r02.r && u0.onPreparePanel(0, r02.i, fVar)) {
                u0.onMenuOpened(108, r02.j);
                this.k1.k();
            }
        }
    }

    private int Q0(int i2) {
        if (i2 == 8) {
            Log.i("AppCompatDelegate", "You should now use the AppCompatDelegate.FEATURE_SUPPORT_ACTION_BAR id when requesting this feature.");
            return 108;
        } else if (i2 != 9) {
            return i2;
        } else {
            Log.i("AppCompatDelegate", "You should now use the AppCompatDelegate.FEATURE_SUPPORT_ACTION_BAR_OVERLAY id when requesting this feature.");
            return 109;
        }
    }

    private boolean S0(ViewParent viewParent) {
        if (viewParent == null) {
            return false;
        }
        View decorView = this.e1.getDecorView();
        while (viewParent != null) {
            if (viewParent == decorView || !(viewParent instanceof View) || ViewCompat.isAttachedToWindow((View) viewParent)) {
                return false;
            }
            viewParent = viewParent.getParent();
        }
        return true;
    }

    private boolean U(boolean z) {
        if (this.L1) {
            return false;
        }
        int X = X();
        boolean W02 = W0(B0(this.d1, X), z);
        if (X == 0) {
            q0(this.d1).f();
        } else {
            m mVar = this.Q1;
            if (mVar != null) {
                mVar.a();
            }
        }
        if (X == 3) {
            o0(this.d1).f();
        } else {
            m mVar2 = this.R1;
            if (mVar2 != null) {
                mVar2.a();
            }
        }
        return W02;
    }

    private void U0() {
        if (this.t1) {
            throw new AndroidRuntimeException("Window feature must be requested before adding content");
        }
    }

    private void V() {
        ContentFrameLayout contentFrameLayout = (ContentFrameLayout) this.u1.findViewById(16908290);
        View decorView = this.e1.getDecorView();
        contentFrameLayout.b(decorView.getPaddingLeft(), decorView.getPaddingTop(), decorView.getPaddingRight(), decorView.getPaddingBottom());
        TypedArray obtainStyledAttributes = this.d1.obtainStyledAttributes(R.styleable.AppCompatTheme);
        obtainStyledAttributes.getValue(R.styleable.AppCompatTheme_windowMinWidthMajor, contentFrameLayout.getMinWidthMajor());
        obtainStyledAttributes.getValue(R.styleable.AppCompatTheme_windowMinWidthMinor, contentFrameLayout.getMinWidthMinor());
        int i2 = R.styleable.AppCompatTheme_windowFixedWidthMajor;
        if (obtainStyledAttributes.hasValue(i2)) {
            obtainStyledAttributes.getValue(i2, contentFrameLayout.getFixedWidthMajor());
        }
        int i3 = R.styleable.AppCompatTheme_windowFixedWidthMinor;
        if (obtainStyledAttributes.hasValue(i3)) {
            obtainStyledAttributes.getValue(i3, contentFrameLayout.getFixedWidthMinor());
        }
        int i4 = R.styleable.AppCompatTheme_windowFixedHeightMajor;
        if (obtainStyledAttributes.hasValue(i4)) {
            obtainStyledAttributes.getValue(i4, contentFrameLayout.getFixedHeightMajor());
        }
        int i5 = R.styleable.AppCompatTheme_windowFixedHeightMinor;
        if (obtainStyledAttributes.hasValue(i5)) {
            obtainStyledAttributes.getValue(i5, contentFrameLayout.getFixedHeightMinor());
        }
        obtainStyledAttributes.recycle();
        contentFrameLayout.requestLayout();
    }

    @Nullable
    private AppCompatActivity V0() {
        for (Context context = this.d1; context != null; context = ((ContextWrapper) context).getBaseContext()) {
            if (context instanceof AppCompatActivity) {
                return (AppCompatActivity) context;
            }
            if (!(context instanceof ContextWrapper)) {
                break;
            }
        }
        return null;
    }

    private void W(@NonNull Window window) {
        if (this.e1 == null) {
            Window.Callback callback = window.getCallback();
            if (!(callback instanceof k)) {
                k kVar = new k(callback);
                this.f1 = kVar;
                window.setCallback(kVar);
                f0 F = f0.F(this.d1, null, X0);
                Drawable i2 = F.i(0);
                if (i2 != null) {
                    window.setBackgroundDrawable(i2);
                }
                F.I();
                this.e1 = window;
                return;
            }
            throw new IllegalStateException("AppCompat has already installed itself into the Window");
        }
        throw new IllegalStateException("AppCompat has already installed itself into the Window");
    }

    /* JADX WARNING: Removed duplicated region for block: B:21:0x0053  */
    private boolean W0(int i2, boolean z) {
        boolean z2;
        Configuration d0 = d0(this.d1, i2, null);
        boolean A0 = A0();
        int i3 = this.d1.getResources().getConfiguration().uiMode & 48;
        int i4 = d0.uiMode & 48;
        boolean z3 = true;
        if (i3 != i4 && z && !A0 && this.I1 && (Y0 || this.J1)) {
            Object obj = this.c1;
            if ((obj instanceof Activity) && !((Activity) obj).isChild()) {
                androidx.core.app.a.B((Activity) this.c1);
                z2 = true;
                if (!z2 || i3 == i4) {
                    z3 = z2;
                } else {
                    X0(i4, A0, null);
                }
                if (z3) {
                    Object obj2 = this.c1;
                    if (obj2 instanceof AppCompatActivity) {
                        ((AppCompatActivity) obj2).onNightModeChanged(i2);
                    }
                }
                return z3;
            }
        }
        z2 = false;
        if (!z2) {
        }
        z3 = z2;
        if (z3) {
        }
        return z3;
    }

    private int X() {
        int i2 = this.M1;
        return i2 != -100 ? i2 : AppCompatDelegate.o();
    }

    private void X0(int i2, boolean z, @Nullable Configuration configuration) {
        Resources resources = this.d1.getResources();
        Configuration configuration2 = new Configuration(resources.getConfiguration());
        if (configuration != null) {
            configuration2.updateFrom(configuration);
        }
        configuration2.uiMode = i2 | (resources.getConfiguration().uiMode & -49);
        resources.updateConfiguration(configuration2, null);
        int i3 = Build.VERSION.SDK_INT;
        if (i3 < 26) {
            i.a(resources);
        }
        int i4 = this.N1;
        if (i4 != 0) {
            this.d1.setTheme(i4);
            if (i3 >= 23) {
                this.d1.getTheme().applyStyle(this.N1, true);
            }
        }
        if (z) {
            Object obj = this.c1;
            if (obj instanceof Activity) {
                Activity activity = (Activity) obj;
                if (activity instanceof androidx.lifecycle.l) {
                    if (((androidx.lifecycle.l) activity).getLifecycle().b().isAtLeast(Lifecycle.State.STARTED)) {
                        activity.onConfigurationChanged(configuration2);
                    }
                } else if (this.K1) {
                    activity.onConfigurationChanged(configuration2);
                }
            }
        }
    }

    private void Z0(View view) {
        int i2;
        if ((ViewCompat.getWindowSystemUiVisibility(view) & 8192) != 0) {
            i2 = androidx.core.content.d.f(this.d1, R.color.abc_decor_view_status_guard_light);
        } else {
            i2 = androidx.core.content.d.f(this.d1, R.color.abc_decor_view_status_guard);
        }
        view.setBackgroundColor(i2);
    }

    private void a0() {
        m mVar = this.Q1;
        if (mVar != null) {
            mVar.a();
        }
        m mVar2 = this.R1;
        if (mVar2 != null) {
            mVar2.a();
        }
    }

    @NonNull
    private Configuration d0(@NonNull Context context, int i2, @Nullable Configuration configuration) {
        int i3 = i2 != 1 ? i2 != 2 ? context.getApplicationContext().getResources().getConfiguration().uiMode & 48 : 32 : 16;
        Configuration configuration2 = new Configuration();
        configuration2.fontScale = 0.0f;
        if (configuration != null) {
            configuration2.setTo(configuration);
        }
        configuration2.uiMode = i3 | (configuration2.uiMode & -49);
        return configuration2;
    }

    private ViewGroup e0() {
        ViewGroup viewGroup;
        Context context;
        TypedArray obtainStyledAttributes = this.d1.obtainStyledAttributes(R.styleable.AppCompatTheme);
        int i2 = R.styleable.AppCompatTheme_windowActionBar;
        if (obtainStyledAttributes.hasValue(i2)) {
            if (obtainStyledAttributes.getBoolean(R.styleable.AppCompatTheme_windowNoTitle, false)) {
                I(1);
            } else if (obtainStyledAttributes.getBoolean(i2, false)) {
                I(108);
            }
            if (obtainStyledAttributes.getBoolean(R.styleable.AppCompatTheme_windowActionBarOverlay, false)) {
                I(109);
            }
            if (obtainStyledAttributes.getBoolean(R.styleable.AppCompatTheme_windowActionModeOverlay, false)) {
                I(10);
            }
            this.C1 = obtainStyledAttributes.getBoolean(R.styleable.AppCompatTheme_android_windowIsFloating, false);
            obtainStyledAttributes.recycle();
            k0();
            this.e1.getDecorView();
            LayoutInflater from = LayoutInflater.from(this.d1);
            if (this.D1) {
                viewGroup = this.B1 ? (ViewGroup) from.inflate(R.layout.abc_screen_simple_overlay_action_mode, (ViewGroup) null) : (ViewGroup) from.inflate(R.layout.abc_screen_simple, (ViewGroup) null);
            } else if (this.C1) {
                viewGroup = (ViewGroup) from.inflate(R.layout.abc_dialog_title_material, (ViewGroup) null);
                this.A1 = false;
                this.z1 = false;
            } else if (this.z1) {
                TypedValue typedValue = new TypedValue();
                this.d1.getTheme().resolveAttribute(R.attr.actionBarTheme, typedValue, true);
                if (typedValue.resourceId != 0) {
                    context = new androidx.appcompat.c.d(this.d1, typedValue.resourceId);
                } else {
                    context = this.d1;
                }
                viewGroup = (ViewGroup) LayoutInflater.from(context).inflate(R.layout.abc_screen_toolbar, (ViewGroup) null);
                androidx.appcompat.widget.n nVar = (androidx.appcompat.widget.n) viewGroup.findViewById(R.id.decor_content_parent);
                this.k1 = nVar;
                nVar.setWindowCallback(u0());
                if (this.A1) {
                    this.k1.m(109);
                }
                if (this.x1) {
                    this.k1.m(2);
                }
                if (this.y1) {
                    this.k1.m(5);
                }
            } else {
                viewGroup = null;
            }
            if (viewGroup != null) {
                if (Build.VERSION.SDK_INT >= 21) {
                    ViewCompat.setOnApplyWindowInsetsListener(viewGroup, new c());
                } else if (viewGroup instanceof androidx.appcompat.widget.r) {
                    ((androidx.appcompat.widget.r) viewGroup).setOnFitSystemWindowsListener(new d());
                }
                if (this.k1 == null) {
                    this.v1 = (TextView) viewGroup.findViewById(R.id.title);
                }
                l0.c(viewGroup);
                ContentFrameLayout contentFrameLayout = (ContentFrameLayout) viewGroup.findViewById(R.id.action_bar_activity_content);
                ViewGroup viewGroup2 = (ViewGroup) this.e1.findViewById(16908290);
                if (viewGroup2 != null) {
                    while (viewGroup2.getChildCount() > 0) {
                        View childAt = viewGroup2.getChildAt(0);
                        viewGroup2.removeViewAt(0);
                        contentFrameLayout.addView(childAt);
                    }
                    viewGroup2.setId(-1);
                    contentFrameLayout.setId(16908290);
                    if (viewGroup2 instanceof FrameLayout) {
                        ((FrameLayout) viewGroup2).setForeground(null);
                    }
                }
                this.e1.setContentView(viewGroup);
                contentFrameLayout.setAttachListener(new e());
                return viewGroup;
            }
            throw new IllegalArgumentException("AppCompat does not support the current theme features: { windowActionBar: " + this.z1 + ", windowActionBarOverlay: " + this.A1 + ", android:windowIsFloating: " + this.C1 + ", windowActionModeOverlay: " + this.B1 + ", windowNoTitle: " + this.D1 + " }");
        }
        obtainStyledAttributes.recycle();
        throw new IllegalStateException("You need to use a Theme.AppCompat theme (or descendant) with this activity.");
    }

    private void j0() {
        if (!this.t1) {
            this.u1 = e0();
            CharSequence t0 = t0();
            if (!TextUtils.isEmpty(t0)) {
                androidx.appcompat.widget.n nVar = this.k1;
                if (nVar != null) {
                    nVar.setWindowTitle(t0);
                } else if (M0() != null) {
                    M0().B0(t0);
                } else {
                    TextView textView = this.v1;
                    if (textView != null) {
                        textView.setText(t0);
                    }
                }
            }
            V();
            K0(this.u1);
            this.t1 = true;
            PanelFeatureState r0 = r0(0, false);
            if (this.L1) {
                return;
            }
            if (r0 == null || r0.j == null) {
                z0(108);
            }
        }
    }

    private void k0() {
        if (this.e1 == null) {
            Object obj = this.c1;
            if (obj instanceof Activity) {
                W(((Activity) obj).getWindow());
            }
        }
        if (this.e1 == null) {
            throw new IllegalStateException("We have not been given a Window");
        }
    }

    @NonNull
    private static Configuration m0(@NonNull Configuration configuration, @Nullable Configuration configuration2) {
        Configuration configuration3 = new Configuration();
        configuration3.fontScale = 0.0f;
        if (!(configuration2 == null || configuration.diff(configuration2) == 0)) {
            float f2 = configuration.fontScale;
            float f3 = configuration2.fontScale;
            if (f2 != f3) {
                configuration3.fontScale = f3;
            }
            int i2 = configuration.mcc;
            int i3 = configuration2.mcc;
            if (i2 != i3) {
                configuration3.mcc = i3;
            }
            int i4 = configuration.mnc;
            int i5 = configuration2.mnc;
            if (i4 != i5) {
                configuration3.mnc = i5;
            }
            int i6 = Build.VERSION.SDK_INT;
            if (i6 >= 24) {
                p.a(configuration, configuration2, configuration3);
            } else if (!androidx.core.util.h.a(configuration.locale, configuration2.locale)) {
                configuration3.locale = configuration2.locale;
            }
            int i7 = configuration.touchscreen;
            int i8 = configuration2.touchscreen;
            if (i7 != i8) {
                configuration3.touchscreen = i8;
            }
            int i9 = configuration.keyboard;
            int i10 = configuration2.keyboard;
            if (i9 != i10) {
                configuration3.keyboard = i10;
            }
            int i11 = configuration.keyboardHidden;
            int i12 = configuration2.keyboardHidden;
            if (i11 != i12) {
                configuration3.keyboardHidden = i12;
            }
            int i13 = configuration.navigation;
            int i14 = configuration2.navigation;
            if (i13 != i14) {
                configuration3.navigation = i14;
            }
            int i15 = configuration.navigationHidden;
            int i16 = configuration2.navigationHidden;
            if (i15 != i16) {
                configuration3.navigationHidden = i16;
            }
            int i17 = configuration.orientation;
            int i18 = configuration2.orientation;
            if (i17 != i18) {
                configuration3.orientation = i18;
            }
            int i19 = configuration.screenLayout & 15;
            int i20 = configuration2.screenLayout;
            if (i19 != (i20 & 15)) {
                configuration3.screenLayout |= i20 & 15;
            }
            int i21 = configuration.screenLayout & 192;
            int i22 = configuration2.screenLayout;
            if (i21 != (i22 & 192)) {
                configuration3.screenLayout |= i22 & 192;
            }
            int i23 = configuration.screenLayout & 48;
            int i24 = configuration2.screenLayout;
            if (i23 != (i24 & 48)) {
                configuration3.screenLayout |= i24 & 48;
            }
            int i25 = configuration.screenLayout & 768;
            int i26 = configuration2.screenLayout;
            if (i25 != (i26 & 768)) {
                configuration3.screenLayout |= i26 & 768;
            }
            if (i6 >= 26) {
                q.a(configuration, configuration2, configuration3);
            }
            int i27 = configuration.uiMode & 15;
            int i28 = configuration2.uiMode;
            if (i27 != (i28 & 15)) {
                configuration3.uiMode |= i28 & 15;
            }
            int i29 = configuration.uiMode & 48;
            int i30 = configuration2.uiMode;
            if (i29 != (i30 & 48)) {
                configuration3.uiMode |= i30 & 48;
            }
            int i31 = configuration.screenWidthDp;
            int i32 = configuration2.screenWidthDp;
            if (i31 != i32) {
                configuration3.screenWidthDp = i32;
            }
            int i33 = configuration.screenHeightDp;
            int i34 = configuration2.screenHeightDp;
            if (i33 != i34) {
                configuration3.screenHeightDp = i34;
            }
            int i35 = configuration.smallestScreenWidthDp;
            int i36 = configuration2.smallestScreenWidthDp;
            if (i35 != i36) {
                configuration3.smallestScreenWidthDp = i36;
            }
            if (i6 >= 17) {
                o.a(configuration, configuration2, configuration3);
            }
        }
        return configuration3;
    }

    private m o0(@NonNull Context context) {
        if (this.R1 == null) {
            this.R1 = new l(context);
        }
        return this.R1;
    }

    private m q0(@NonNull Context context) {
        if (this.Q1 == null) {
            this.Q1 = new n(l.a(context));
        }
        return this.Q1;
    }

    private void v0() {
        j0();
        if (this.z1 && this.h1 == null) {
            Object obj = this.c1;
            if (obj instanceof Activity) {
                this.h1 = new m((Activity) this.c1, this.A1);
            } else if (obj instanceof Dialog) {
                this.h1 = new m((Dialog) this.c1);
            }
            ActionBar actionBar = this.h1;
            if (actionBar != null) {
                actionBar.X(this.V1);
            }
        }
    }

    private boolean w0(PanelFeatureState panelFeatureState) {
        View view = panelFeatureState.i;
        if (view != null) {
            panelFeatureState.h = view;
            return true;
        } else if (panelFeatureState.j == null) {
            return false;
        } else {
            if (this.m1 == null) {
                this.m1 = new t();
            }
            View view2 = (View) panelFeatureState.c(this.m1);
            panelFeatureState.h = view2;
            if (view2 != null) {
                return true;
            }
            return false;
        }
    }

    private boolean x0(PanelFeatureState panelFeatureState) {
        panelFeatureState.h(n0());
        panelFeatureState.g = new s(panelFeatureState.l);
        panelFeatureState.f125c = 81;
        return true;
    }

    private boolean y0(PanelFeatureState panelFeatureState) {
        Context context = this.d1;
        int i2 = panelFeatureState.f123a;
        if ((i2 == 0 || i2 == 108) && this.k1 != null) {
            TypedValue typedValue = new TypedValue();
            Resources.Theme theme = context.getTheme();
            theme.resolveAttribute(R.attr.actionBarTheme, typedValue, true);
            Resources.Theme theme2 = null;
            if (typedValue.resourceId != 0) {
                theme2 = context.getResources().newTheme();
                theme2.setTo(theme);
                theme2.applyStyle(typedValue.resourceId, true);
                theme2.resolveAttribute(R.attr.actionBarWidgetTheme, typedValue, true);
            } else {
                theme.resolveAttribute(R.attr.actionBarWidgetTheme, typedValue, true);
            }
            if (typedValue.resourceId != 0) {
                if (theme2 == null) {
                    theme2 = context.getResources().newTheme();
                    theme2.setTo(theme);
                }
                theme2.applyStyle(typedValue.resourceId, true);
            }
            if (theme2 != null) {
                androidx.appcompat.c.d dVar = new androidx.appcompat.c.d(context, 0);
                dVar.getTheme().setTo(theme2);
                context = dVar;
            }
        }
        androidx.appcompat.view.menu.f fVar = new androidx.appcompat.view.menu.f(context);
        fVar.X(this);
        panelFeatureState.g(fVar);
        return true;
    }

    private void z0(int i2) {
        this.T1 = (1 << i2) | this.T1;
        if (!this.S1) {
            ViewCompat.postOnAnimation(this.e1.getDecorView(), this.U1);
            this.S1 = true;
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:16:0x005b  */
    @Override // androidx.appcompat.app.AppCompatDelegate
    public void A() {
        ActionBar actionBar;
        if (this.c1 instanceof Activity) {
            AppCompatDelegate.G(this);
        }
        if (this.S1) {
            this.e1.getDecorView().removeCallbacks(this.U1);
        }
        this.K1 = false;
        this.L1 = true;
        if (this.M1 != -100) {
            Object obj = this.c1;
            if ((obj instanceof Activity) && ((Activity) obj).isChangingConfigurations()) {
                V0.put(this.c1.getClass().getName(), Integer.valueOf(this.M1));
                actionBar = this.h1;
                if (actionBar != null) {
                    actionBar.J();
                }
                a0();
            }
        }
        V0.remove(this.c1.getClass().getName());
        actionBar = this.h1;
        if (actionBar != null) {
        }
        a0();
    }

    @Override // androidx.appcompat.app.AppCompatDelegate
    public void B(Bundle bundle) {
        j0();
    }

    /* access modifiers changed from: package-private */
    public int B0(@NonNull Context context, int i2) {
        if (i2 == -100) {
            return -1;
        }
        if (i2 != -1) {
            if (i2 != 0) {
                if (!(i2 == 1 || i2 == 2)) {
                    if (i2 == 3) {
                        return o0(context).c();
                    }
                    throw new IllegalStateException("Unknown value set for night mode. Please use one of the MODE_NIGHT values from AppCompatDelegate.");
                }
            } else if (Build.VERSION.SDK_INT < 23 || ((UiModeManager) context.getApplicationContext().getSystemService(UiModeManager.class)).getNightMode() != 0) {
                return q0(context).c();
            } else {
                return -1;
            }
        }
        return i2;
    }

    @Override // androidx.appcompat.app.AppCompatDelegate
    public void C() {
        ActionBar s2 = s();
        if (s2 != null) {
            s2.u0(true);
        }
    }

    /* access modifiers changed from: package-private */
    public boolean C0() {
        androidx.appcompat.c.b bVar = this.n1;
        if (bVar != null) {
            bVar.c();
            return true;
        }
        ActionBar s2 = s();
        if (s2 == null || !s2.m()) {
            return false;
        }
        return true;
    }

    @Override // androidx.appcompat.app.AppCompatDelegate
    public void D(Bundle bundle) {
    }

    /* access modifiers changed from: package-private */
    public boolean D0(int i2, KeyEvent keyEvent) {
        boolean z = true;
        if (i2 == 4) {
            if ((keyEvent.getFlags() & 128) == 0) {
                z = false;
            }
            this.H1 = z;
        } else if (i2 == 82) {
            E0(0, keyEvent);
            return true;
        }
        return false;
    }

    @Override // androidx.appcompat.app.AppCompatDelegate
    public void E() {
        this.K1 = true;
        e();
    }

    @Override // androidx.appcompat.app.AppCompatDelegate
    public void F() {
        this.K1 = false;
        ActionBar s2 = s();
        if (s2 != null) {
            s2.u0(false);
        }
    }

    /* access modifiers changed from: package-private */
    public boolean F0(int i2, KeyEvent keyEvent) {
        ActionBar s2 = s();
        if (s2 != null && s2.K(i2, keyEvent)) {
            return true;
        }
        PanelFeatureState panelFeatureState = this.G1;
        if (panelFeatureState == null || !N0(panelFeatureState, keyEvent.getKeyCode(), keyEvent, 1)) {
            if (this.G1 == null) {
                PanelFeatureState r0 = r0(0, true);
                O0(r0, keyEvent);
                boolean N0 = N0(r0, keyEvent.getKeyCode(), keyEvent, 1);
                r0.m = false;
                if (N0) {
                    return true;
                }
            }
            return false;
        }
        PanelFeatureState panelFeatureState2 = this.G1;
        if (panelFeatureState2 != null) {
            panelFeatureState2.n = true;
        }
        return true;
    }

    /* access modifiers changed from: package-private */
    public boolean G0(int i2, KeyEvent keyEvent) {
        if (i2 == 4) {
            boolean z = this.H1;
            this.H1 = false;
            PanelFeatureState r0 = r0(0, false);
            if (r0 != null && r0.o) {
                if (!z) {
                    c0(r0, true);
                }
                return true;
            } else if (C0()) {
                return true;
            }
        } else if (i2 == 82) {
            H0(0, keyEvent);
            return true;
        }
        return false;
    }

    @Override // androidx.appcompat.app.AppCompatDelegate
    public boolean I(int i2) {
        int Q0 = Q0(i2);
        if (this.D1 && Q0 == 108) {
            return false;
        }
        if (this.z1 && Q0 == 1) {
            this.z1 = false;
        }
        if (Q0 == 1) {
            U0();
            this.D1 = true;
            return true;
        } else if (Q0 == 2) {
            U0();
            this.x1 = true;
            return true;
        } else if (Q0 == 5) {
            U0();
            this.y1 = true;
            return true;
        } else if (Q0 == 10) {
            U0();
            this.B1 = true;
            return true;
        } else if (Q0 == 108) {
            U0();
            this.z1 = true;
            return true;
        } else if (Q0 != 109) {
            return this.e1.requestFeature(Q0);
        } else {
            U0();
            this.A1 = true;
            return true;
        }
    }

    /* access modifiers changed from: package-private */
    public void I0(int i2) {
        ActionBar s2;
        if (i2 == 108 && (s2 = s()) != null) {
            s2.n(true);
        }
    }

    /* access modifiers changed from: package-private */
    public void J0(int i2) {
        if (i2 == 108) {
            ActionBar s2 = s();
            if (s2 != null) {
                s2.n(false);
            }
        } else if (i2 == 0) {
            PanelFeatureState r0 = r0(i2, true);
            if (r0.o) {
                c0(r0, false);
            }
        }
    }

    @Override // androidx.appcompat.app.AppCompatDelegate
    public void K(int i2) {
        j0();
        ViewGroup viewGroup = (ViewGroup) this.u1.findViewById(16908290);
        viewGroup.removeAllViews();
        LayoutInflater.from(this.d1).inflate(i2, viewGroup);
        this.f1.a().onContentChanged();
    }

    /* access modifiers changed from: package-private */
    public void K0(ViewGroup viewGroup) {
    }

    @Override // androidx.appcompat.app.AppCompatDelegate
    public void L(View view) {
        j0();
        ViewGroup viewGroup = (ViewGroup) this.u1.findViewById(16908290);
        viewGroup.removeAllViews();
        viewGroup.addView(view);
        this.f1.a().onContentChanged();
    }

    @Override // androidx.appcompat.app.AppCompatDelegate
    public void M(View view, ViewGroup.LayoutParams layoutParams) {
        j0();
        ViewGroup viewGroup = (ViewGroup) this.u1.findViewById(16908290);
        viewGroup.removeAllViews();
        viewGroup.addView(view, layoutParams);
        this.f1.a().onContentChanged();
    }

    /* access modifiers changed from: package-private */
    public final ActionBar M0() {
        return this.h1;
    }

    @Override // androidx.appcompat.app.AppCompatDelegate
    public void O(boolean z) {
        this.s1 = z;
    }

    @Override // androidx.appcompat.app.AppCompatDelegate
    @RequiresApi(17)
    public void P(int i2) {
        if (this.M1 != i2) {
            this.M1 = i2;
            if (this.I1) {
                e();
            }
        }
    }

    @Override // androidx.appcompat.app.AppCompatDelegate
    public void Q(Toolbar toolbar) {
        if (this.c1 instanceof Activity) {
            ActionBar s2 = s();
            if (!(s2 instanceof m)) {
                this.i1 = null;
                if (s2 != null) {
                    s2.J();
                }
                if (toolbar != null) {
                    j jVar = new j(toolbar, t0(), this.f1);
                    this.h1 = jVar;
                    this.e1.setCallback(jVar.F0());
                } else {
                    this.h1 = null;
                    this.e1.setCallback(this.f1);
                }
                v();
                return;
            }
            throw new IllegalStateException("This Activity already has an action bar supplied by the window decor. Do not request Window.FEATURE_SUPPORT_ACTION_BAR and set windowActionBar to false in your theme to use a Toolbar instead.");
        }
    }

    @Override // androidx.appcompat.app.AppCompatDelegate
    public void R(@StyleRes int i2) {
        this.N1 = i2;
    }

    /* access modifiers changed from: package-private */
    public final boolean R0() {
        ViewGroup viewGroup;
        return this.t1 && (viewGroup = this.u1) != null && ViewCompat.isLaidOut(viewGroup);
    }

    @Override // androidx.appcompat.app.AppCompatDelegate
    public final void S(CharSequence charSequence) {
        this.j1 = charSequence;
        androidx.appcompat.widget.n nVar = this.k1;
        if (nVar != null) {
            nVar.setWindowTitle(charSequence);
        } else if (M0() != null) {
            M0().B0(charSequence);
        } else {
            TextView textView = this.v1;
            if (textView != null) {
                textView.setText(charSequence);
            }
        }
    }

    @Override // androidx.appcompat.app.AppCompatDelegate
    public androidx.appcompat.c.b T(@NonNull b.a aVar) {
        d dVar;
        if (aVar != null) {
            androidx.appcompat.c.b bVar = this.n1;
            if (bVar != null) {
                bVar.c();
            }
            j jVar = new j(aVar);
            ActionBar s2 = s();
            if (s2 != null) {
                androidx.appcompat.c.b D0 = s2.D0(jVar);
                this.n1 = D0;
                if (!(D0 == null || (dVar = this.g1) == null)) {
                    dVar.onSupportActionModeStarted(D0);
                }
            }
            if (this.n1 == null) {
                this.n1 = T0(jVar);
            }
            return this.n1;
        }
        throw new IllegalArgumentException("ActionMode callback can not be null.");
    }

    /* access modifiers changed from: package-private */
    /* JADX WARNING: Removed duplicated region for block: B:15:0x0025  */
    /* JADX WARNING: Removed duplicated region for block: B:16:0x0029  */
    public androidx.appcompat.c.b T0(@NonNull b.a aVar) {
        androidx.appcompat.c.b bVar;
        androidx.appcompat.c.b bVar2;
        d dVar;
        Context context;
        i0();
        androidx.appcompat.c.b bVar3 = this.n1;
        if (bVar3 != null) {
            bVar3.c();
        }
        if (!(aVar instanceof j)) {
            aVar = new j(aVar);
        }
        d dVar2 = this.g1;
        if (dVar2 != null && !this.L1) {
            try {
                bVar = dVar2.onWindowStartingSupportActionMode(aVar);
            } catch (AbstractMethodError unused) {
            }
            if (bVar == null) {
                this.n1 = bVar;
            } else {
                boolean z = true;
                if (this.o1 == null) {
                    if (this.C1) {
                        TypedValue typedValue = new TypedValue();
                        Resources.Theme theme = this.d1.getTheme();
                        theme.resolveAttribute(R.attr.actionBarTheme, typedValue, true);
                        if (typedValue.resourceId != 0) {
                            Resources.Theme newTheme = this.d1.getResources().newTheme();
                            newTheme.setTo(theme);
                            newTheme.applyStyle(typedValue.resourceId, true);
                            context = new androidx.appcompat.c.d(this.d1, 0);
                            context.getTheme().setTo(newTheme);
                        } else {
                            context = this.d1;
                        }
                        this.o1 = new ActionBarContextView(context);
                        PopupWindow popupWindow = new PopupWindow(context, (AttributeSet) null, R.attr.actionModePopupWindowStyle);
                        this.p1 = popupWindow;
                        androidx.core.widget.o.d(popupWindow, 2);
                        this.p1.setContentView(this.o1);
                        this.p1.setWidth(-1);
                        context.getTheme().resolveAttribute(R.attr.actionBarSize, typedValue, true);
                        this.o1.setContentHeight(TypedValue.complexToDimensionPixelSize(typedValue.data, context.getResources().getDisplayMetrics()));
                        this.p1.setHeight(-2);
                        this.q1 = new f();
                    } else {
                        ViewStubCompat viewStubCompat = (ViewStubCompat) this.u1.findViewById(R.id.action_mode_bar_stub);
                        if (viewStubCompat != null) {
                            viewStubCompat.setLayoutInflater(LayoutInflater.from(n0()));
                            this.o1 = (ActionBarContextView) viewStubCompat.a();
                        }
                    }
                }
                if (this.o1 != null) {
                    i0();
                    this.o1.t();
                    Context context2 = this.o1.getContext();
                    ActionBarContextView actionBarContextView = this.o1;
                    if (this.p1 != null) {
                        z = false;
                    }
                    androidx.appcompat.c.e eVar = new androidx.appcompat.c.e(context2, actionBarContextView, aVar, z);
                    if (aVar.b(eVar, eVar.e())) {
                        eVar.k();
                        this.o1.q(eVar);
                        this.n1 = eVar;
                        if (R0()) {
                            this.o1.setAlpha(0.0f);
                            ViewPropertyAnimatorCompat alpha = ViewCompat.animate(this.o1).alpha(1.0f);
                            this.r1 = alpha;
                            alpha.setListener(new g());
                        } else {
                            this.o1.setAlpha(1.0f);
                            this.o1.setVisibility(0);
                            this.o1.sendAccessibilityEvent(32);
                            if (this.o1.getParent() instanceof View) {
                                ViewCompat.requestApplyInsets((View) this.o1.getParent());
                            }
                        }
                        if (this.p1 != null) {
                            this.e1.getDecorView().post(this.q1);
                        }
                    } else {
                        this.n1 = null;
                    }
                }
            }
            bVar2 = this.n1;
            if (!(bVar2 == null || (dVar = this.g1) == null)) {
                dVar.onSupportActionModeStarted(bVar2);
            }
            return this.n1;
        }
        bVar = null;
        if (bVar == null) {
        }
        bVar2 = this.n1;
        dVar.onSupportActionModeStarted(bVar2);
        return this.n1;
    }

    /* access modifiers changed from: package-private */
    public void Y(int i2, PanelFeatureState panelFeatureState, Menu menu) {
        if (menu == null) {
            if (panelFeatureState == null && i2 >= 0) {
                PanelFeatureState[] panelFeatureStateArr = this.F1;
                if (i2 < panelFeatureStateArr.length) {
                    panelFeatureState = panelFeatureStateArr[i2];
                }
            }
            if (panelFeatureState != null) {
                menu = panelFeatureState.j;
            }
        }
        if ((panelFeatureState == null || panelFeatureState.o) && !this.L1) {
            this.f1.a().onPanelClosed(i2, menu);
        }
    }

    /* access modifiers changed from: package-private */
    public final int Y0(@Nullable WindowInsetsCompat windowInsetsCompat, @Nullable Rect rect) {
        int i2;
        boolean z;
        int i3;
        int i4;
        boolean z2;
        ViewGroup.MarginLayoutParams marginLayoutParams;
        int i5;
        int i6 = 0;
        if (windowInsetsCompat != null) {
            i2 = windowInsetsCompat.getSystemWindowInsetTop();
        } else {
            i2 = rect != null ? rect.top : 0;
        }
        ActionBarContextView actionBarContextView = this.o1;
        if (actionBarContextView == null || !(actionBarContextView.getLayoutParams() instanceof ViewGroup.MarginLayoutParams)) {
            z = false;
        } else {
            ViewGroup.MarginLayoutParams marginLayoutParams2 = (ViewGroup.MarginLayoutParams) this.o1.getLayoutParams();
            boolean z3 = true;
            if (this.o1.isShown()) {
                if (this.W1 == null) {
                    this.W1 = new Rect();
                    this.X1 = new Rect();
                }
                Rect rect2 = this.W1;
                Rect rect3 = this.X1;
                if (windowInsetsCompat == null) {
                    rect2.set(rect);
                } else {
                    rect2.set(windowInsetsCompat.getSystemWindowInsetLeft(), windowInsetsCompat.getSystemWindowInsetTop(), windowInsetsCompat.getSystemWindowInsetRight(), windowInsetsCompat.getSystemWindowInsetBottom());
                }
                l0.a(this.u1, rect2, rect3);
                int i7 = rect2.top;
                int i8 = rect2.left;
                int i9 = rect2.right;
                WindowInsetsCompat rootWindowInsets = ViewCompat.getRootWindowInsets(this.u1);
                if (rootWindowInsets == null) {
                    i3 = 0;
                } else {
                    i3 = rootWindowInsets.getSystemWindowInsetLeft();
                }
                if (rootWindowInsets == null) {
                    i4 = 0;
                } else {
                    i4 = rootWindowInsets.getSystemWindowInsetRight();
                }
                if (marginLayoutParams2.topMargin == i7 && marginLayoutParams2.leftMargin == i8 && marginLayoutParams2.rightMargin == i9) {
                    z2 = false;
                } else {
                    marginLayoutParams2.topMargin = i7;
                    marginLayoutParams2.leftMargin = i8;
                    marginLayoutParams2.rightMargin = i9;
                    z2 = true;
                }
                if (i7 <= 0 || this.w1 != null) {
                    View view = this.w1;
                    if (!(view == null || ((marginLayoutParams = (ViewGroup.MarginLayoutParams) view.getLayoutParams()).height == (i5 = marginLayoutParams2.topMargin) && marginLayoutParams.leftMargin == i3 && marginLayoutParams.rightMargin == i4))) {
                        marginLayoutParams.height = i5;
                        marginLayoutParams.leftMargin = i3;
                        marginLayoutParams.rightMargin = i4;
                        this.w1.setLayoutParams(marginLayoutParams);
                    }
                } else {
                    View view2 = new View(this.d1);
                    this.w1 = view2;
                    view2.setVisibility(8);
                    FrameLayout.LayoutParams layoutParams = new FrameLayout.LayoutParams(-1, marginLayoutParams2.topMargin, 51);
                    layoutParams.leftMargin = i3;
                    layoutParams.rightMargin = i4;
                    this.u1.addView(this.w1, -1, layoutParams);
                }
                View view3 = this.w1;
                if (view3 == null) {
                    z3 = false;
                }
                if (z3 && view3.getVisibility() != 0) {
                    Z0(this.w1);
                }
                if (!this.B1 && z3) {
                    i2 = 0;
                }
                z = z3;
                z3 = z2;
            } else if (marginLayoutParams2.topMargin != 0) {
                marginLayoutParams2.topMargin = 0;
                z = false;
            } else {
                z = false;
                z3 = false;
            }
            if (z3) {
                this.o1.setLayoutParams(marginLayoutParams2);
            }
        }
        View view4 = this.w1;
        if (view4 != null) {
            if (!z) {
                i6 = 8;
            }
            view4.setVisibility(i6);
        }
        return i2;
    }

    /* access modifiers changed from: package-private */
    public void Z(@NonNull androidx.appcompat.view.menu.f fVar) {
        if (!this.E1) {
            this.E1 = true;
            this.k1.n();
            Window.Callback u0 = u0();
            if (u0 != null && !this.L1) {
                u0.onPanelClosed(108, fVar);
            }
            this.E1 = false;
        }
    }

    @Override // androidx.appcompat.view.menu.f.a
    public boolean a(@NonNull androidx.appcompat.view.menu.f fVar, @NonNull MenuItem menuItem) {
        PanelFeatureState l0;
        Window.Callback u0 = u0();
        if (u0 == null || this.L1 || (l0 = l0(fVar.G())) == null) {
            return false;
        }
        return u0.onMenuItemSelected(l0.f123a, menuItem);
    }

    @Override // androidx.appcompat.view.menu.f.a
    public void b(@NonNull androidx.appcompat.view.menu.f fVar) {
        P0(true);
    }

    /* access modifiers changed from: package-private */
    public void b0(int i2) {
        c0(r0(i2, true), true);
    }

    /* access modifiers changed from: package-private */
    public void c0(PanelFeatureState panelFeatureState, boolean z) {
        ViewGroup viewGroup;
        androidx.appcompat.widget.n nVar;
        if (!z || panelFeatureState.f123a != 0 || (nVar = this.k1) == null || !nVar.d()) {
            WindowManager windowManager = (WindowManager) this.d1.getSystemService("window");
            if (!(windowManager == null || !panelFeatureState.o || (viewGroup = panelFeatureState.g) == null)) {
                windowManager.removeView(viewGroup);
                if (z) {
                    Y(panelFeatureState.f123a, panelFeatureState, null);
                }
            }
            panelFeatureState.m = false;
            panelFeatureState.n = false;
            panelFeatureState.o = false;
            panelFeatureState.h = null;
            panelFeatureState.q = true;
            if (this.G1 == panelFeatureState) {
                this.G1 = null;
                return;
            }
            return;
        }
        Z(panelFeatureState.j);
    }

    @Override // androidx.appcompat.app.AppCompatDelegate
    public void d(View view, ViewGroup.LayoutParams layoutParams) {
        j0();
        ((ViewGroup) this.u1.findViewById(16908290)).addView(view, layoutParams);
        this.f1.a().onContentChanged();
    }

    @Override // androidx.appcompat.app.AppCompatDelegate
    public boolean e() {
        return U(true);
    }

    /* access modifiers changed from: package-private */
    public void f0() {
        androidx.appcompat.view.menu.f fVar;
        androidx.appcompat.widget.n nVar = this.k1;
        if (nVar != null) {
            nVar.n();
        }
        if (this.p1 != null) {
            this.e1.getDecorView().removeCallbacks(this.q1);
            if (this.p1.isShowing()) {
                try {
                    this.p1.dismiss();
                } catch (IllegalArgumentException unused) {
                }
            }
            this.p1 = null;
        }
        i0();
        PanelFeatureState r0 = r0(0, false);
        if (r0 != null && (fVar = r0.j) != null) {
            fVar.close();
        }
    }

    /* access modifiers changed from: package-private */
    public boolean g0(KeyEvent keyEvent) {
        View decorView;
        Object obj = this.c1;
        boolean z = true;
        if (((obj instanceof KeyEventDispatcher.Component) || (obj instanceof e)) && (decorView = this.e1.getDecorView()) != null && KeyEventDispatcher.dispatchBeforeHierarchy(decorView, keyEvent)) {
            return true;
        }
        if (keyEvent.getKeyCode() == 82 && this.f1.a().dispatchKeyEvent(keyEvent)) {
            return true;
        }
        int keyCode = keyEvent.getKeyCode();
        if (keyEvent.getAction() != 0) {
            z = false;
        }
        return z ? D0(keyCode, keyEvent) : G0(keyCode, keyEvent);
    }

    @Override // androidx.appcompat.app.AppCompatDelegate
    @NonNull
    @CallSuper
    public Context h(@NonNull Context context) {
        boolean z = true;
        this.I1 = true;
        int B0 = B0(context, X());
        Configuration configuration = null;
        if (Z0 && (context instanceof ContextThemeWrapper)) {
            try {
                r.a((ContextThemeWrapper) context, d0(context, B0, null));
                return context;
            } catch (IllegalStateException unused) {
            }
        }
        if (context instanceof androidx.appcompat.c.d) {
            try {
                ((androidx.appcompat.c.d) context).a(d0(context, B0, null));
                return context;
            } catch (IllegalStateException unused2) {
            }
        }
        if (!Y0) {
            return super.h(context);
        }
        try {
            Configuration configuration2 = context.getPackageManager().getResourcesForApplication(context.getApplicationInfo()).getConfiguration();
            Configuration configuration3 = context.getResources().getConfiguration();
            if (!configuration2.equals(configuration3)) {
                configuration = m0(configuration2, configuration3);
            }
            Configuration d0 = d0(context, B0, configuration);
            androidx.appcompat.c.d dVar = new androidx.appcompat.c.d(context, R.style.Theme_AppCompat_Empty);
            dVar.a(d0);
            boolean z2 = false;
            try {
                if (context.getTheme() == null) {
                    z = false;
                }
                z2 = z;
            } catch (NullPointerException unused3) {
            }
            if (z2) {
                f.e.a(dVar.getTheme());
            }
            return super.h(dVar);
        } catch (PackageManager.NameNotFoundException e2) {
            throw new RuntimeException("Application failed to obtain resources from itself", e2);
        }
    }

    /* access modifiers changed from: package-private */
    public void h0(int i2) {
        PanelFeatureState r0;
        PanelFeatureState r02 = r0(i2, true);
        if (r02.j != null) {
            Bundle bundle = new Bundle();
            r02.j.V(bundle);
            if (bundle.size() > 0) {
                r02.u = bundle;
            }
            r02.j.m0();
            r02.j.clear();
        }
        r02.r = true;
        r02.q = true;
        if ((i2 == 108 || i2 == 0) && this.k1 != null && (r0 = r0(0, false)) != null) {
            r0.m = false;
            O0(r0, null);
        }
    }

    /* access modifiers changed from: package-private */
    public void i0() {
        ViewPropertyAnimatorCompat viewPropertyAnimatorCompat = this.r1;
        if (viewPropertyAnimatorCompat != null) {
            viewPropertyAnimatorCompat.cancel();
        }
    }

    /* access modifiers changed from: package-private */
    public PanelFeatureState l0(Menu menu) {
        PanelFeatureState[] panelFeatureStateArr = this.F1;
        int length = panelFeatureStateArr != null ? panelFeatureStateArr.length : 0;
        for (int i2 = 0; i2 < length; i2++) {
            PanelFeatureState panelFeatureState = panelFeatureStateArr[i2];
            if (panelFeatureState != null && panelFeatureState.j == menu) {
                return panelFeatureState;
            }
        }
        return null;
    }

    @Override // androidx.appcompat.app.AppCompatDelegate
    public View m(View view, String str, @NonNull Context context, @NonNull AttributeSet attributeSet) {
        boolean z;
        boolean z2 = false;
        if (this.Y1 == null) {
            String string = this.d1.obtainStyledAttributes(R.styleable.AppCompatTheme).getString(R.styleable.AppCompatTheme_viewInflaterClass);
            if (string == null) {
                this.Y1 = new g();
            } else {
                try {
                    this.Y1 = (g) Class.forName(string).getDeclaredConstructor(new Class[0]).newInstance(new Object[0]);
                } catch (Throwable th) {
                    Log.i("AppCompatDelegate", "Failed to instantiate custom view inflater " + string + ". Falling back to default.", th);
                    this.Y1 = new g();
                }
            }
        }
        boolean z3 = W0;
        if (z3) {
            if (!(attributeSet instanceof XmlPullParser)) {
                z2 = S0((ViewParent) view);
            } else if (((XmlPullParser) attributeSet).getDepth() > 1) {
                z2 = true;
            }
            z = z2;
        } else {
            z = false;
        }
        return this.Y1.q(view, str, context, attributeSet, z, z3, true, k0.c());
    }

    @Override // androidx.appcompat.app.AppCompatDelegate
    @Nullable
    public <T extends View> T n(@IdRes int i2) {
        j0();
        return (T) this.e1.findViewById(i2);
    }

    /* access modifiers changed from: package-private */
    public final Context n0() {
        ActionBar s2 = s();
        Context A = s2 != null ? s2.A() : null;
        return A == null ? this.d1 : A;
    }

    public final View onCreateView(View view, String str, Context context, AttributeSet attributeSet) {
        return m(view, str, context, attributeSet);
    }

    @Override // androidx.appcompat.app.AppCompatDelegate
    public final a.b p() {
        return new h();
    }

    /* access modifiers changed from: package-private */
    @NonNull
    @RestrictTo({RestrictTo.Scope.LIBRARY})
    @VisibleForTesting
    public final m p0() {
        return q0(this.d1);
    }

    @Override // androidx.appcompat.app.AppCompatDelegate
    public int q() {
        return this.M1;
    }

    @Override // androidx.appcompat.app.AppCompatDelegate
    public MenuInflater r() {
        if (this.i1 == null) {
            v0();
            ActionBar actionBar = this.h1;
            this.i1 = new androidx.appcompat.c.g(actionBar != null ? actionBar.A() : this.d1);
        }
        return this.i1;
    }

    /* access modifiers changed from: protected */
    public PanelFeatureState r0(int i2, boolean z) {
        PanelFeatureState[] panelFeatureStateArr = this.F1;
        if (panelFeatureStateArr == null || panelFeatureStateArr.length <= i2) {
            PanelFeatureState[] panelFeatureStateArr2 = new PanelFeatureState[(i2 + 1)];
            if (panelFeatureStateArr != null) {
                System.arraycopy(panelFeatureStateArr, 0, panelFeatureStateArr2, 0, panelFeatureStateArr.length);
            }
            this.F1 = panelFeatureStateArr2;
            panelFeatureStateArr = panelFeatureStateArr2;
        }
        PanelFeatureState panelFeatureState = panelFeatureStateArr[i2];
        if (panelFeatureState != null) {
            return panelFeatureState;
        }
        PanelFeatureState panelFeatureState2 = new PanelFeatureState(i2);
        panelFeatureStateArr[i2] = panelFeatureState2;
        return panelFeatureState2;
    }

    @Override // androidx.appcompat.app.AppCompatDelegate
    public ActionBar s() {
        v0();
        return this.h1;
    }

    /* access modifiers changed from: package-private */
    public ViewGroup s0() {
        return this.u1;
    }

    @Override // androidx.appcompat.app.AppCompatDelegate
    public boolean t(int i2) {
        boolean z;
        int Q0 = Q0(i2);
        if (Q0 == 1) {
            z = this.D1;
        } else if (Q0 == 2) {
            z = this.x1;
        } else if (Q0 == 5) {
            z = this.y1;
        } else if (Q0 == 10) {
            z = this.B1;
        } else if (Q0 == 108) {
            z = this.z1;
        } else if (Q0 != 109) {
            z = false;
        } else {
            z = this.A1;
        }
        if (z || this.e1.hasFeature(i2)) {
            return true;
        }
        return false;
    }

    /* access modifiers changed from: package-private */
    public final CharSequence t0() {
        Object obj = this.c1;
        if (obj instanceof Activity) {
            return ((Activity) obj).getTitle();
        }
        return this.j1;
    }

    @Override // androidx.appcompat.app.AppCompatDelegate
    public void u() {
        LayoutInflater from = LayoutInflater.from(this.d1);
        if (from.getFactory() == null) {
            LayoutInflaterCompat.setFactory2(from, this);
        } else if (!(from.getFactory2() instanceof AppCompatDelegateImpl)) {
            Log.i("AppCompatDelegate", "The Activity's LayoutInflater already has a Factory installed so we can not install AppCompat's");
        }
    }

    /* access modifiers changed from: package-private */
    public final Window.Callback u0() {
        return this.e1.getCallback();
    }

    @Override // androidx.appcompat.app.AppCompatDelegate
    public void v() {
        ActionBar s2 = s();
        if (s2 == null || !s2.D()) {
            z0(0);
        }
    }

    @Override // androidx.appcompat.app.AppCompatDelegate
    public boolean x() {
        return this.s1;
    }

    @Override // androidx.appcompat.app.AppCompatDelegate
    public void y(Configuration configuration) {
        ActionBar s2;
        if (this.z1 && this.t1 && (s2 = s()) != null) {
            s2.I(configuration);
        }
        androidx.appcompat.widget.f.b().g(this.d1);
        U(false);
    }

    @Override // androidx.appcompat.app.AppCompatDelegate
    public void z(Bundle bundle) {
        this.I1 = true;
        U(false);
        k0();
        Object obj = this.c1;
        if (obj instanceof Activity) {
            String str = null;
            try {
                str = androidx.core.app.k.d((Activity) obj);
            } catch (IllegalArgumentException unused) {
            }
            if (str != null) {
                ActionBar M0 = M0();
                if (M0 == null) {
                    this.V1 = true;
                } else {
                    M0.X(true);
                }
            }
            AppCompatDelegate.c(this);
        }
        this.J1 = true;
    }

    AppCompatDelegateImpl(Dialog dialog, d dVar) {
        this(dialog.getContext(), dialog.getWindow(), dVar, dialog);
    }

    public View onCreateView(String str, Context context, AttributeSet attributeSet) {
        return onCreateView(null, str, context, attributeSet);
    }

    AppCompatDelegateImpl(Context context, Window window, d dVar) {
        this(context, window, dVar, context);
    }

    /* access modifiers changed from: package-private */
    public class k extends androidx.appcompat.c.i {
        k(Window.Callback callback) {
            super(callback);
        }

        /* access modifiers changed from: package-private */
        public final ActionMode b(ActionMode.Callback callback) {
            f.a aVar = new f.a(AppCompatDelegateImpl.this.d1, callback);
            androidx.appcompat.c.b T = AppCompatDelegateImpl.this.T(aVar);
            if (T != null) {
                return aVar.e(T);
            }
            return null;
        }

        @Override // androidx.appcompat.c.i
        public boolean dispatchKeyEvent(KeyEvent keyEvent) {
            return AppCompatDelegateImpl.this.g0(keyEvent) || super.dispatchKeyEvent(keyEvent);
        }

        @Override // androidx.appcompat.c.i
        public boolean dispatchKeyShortcutEvent(KeyEvent keyEvent) {
            return super.dispatchKeyShortcutEvent(keyEvent) || AppCompatDelegateImpl.this.F0(keyEvent.getKeyCode(), keyEvent);
        }

        @Override // androidx.appcompat.c.i
        public void onContentChanged() {
        }

        @Override // androidx.appcompat.c.i
        public boolean onCreatePanelMenu(int i, Menu menu) {
            if (i != 0 || (menu instanceof androidx.appcompat.view.menu.f)) {
                return super.onCreatePanelMenu(i, menu);
            }
            return false;
        }

        @Override // androidx.appcompat.c.i
        public boolean onMenuOpened(int i, Menu menu) {
            super.onMenuOpened(i, menu);
            AppCompatDelegateImpl.this.I0(i);
            return true;
        }

        @Override // androidx.appcompat.c.i
        public void onPanelClosed(int i, Menu menu) {
            super.onPanelClosed(i, menu);
            AppCompatDelegateImpl.this.J0(i);
        }

        @Override // androidx.appcompat.c.i
        public boolean onPreparePanel(int i, View view, Menu menu) {
            androidx.appcompat.view.menu.f fVar = menu instanceof androidx.appcompat.view.menu.f ? (androidx.appcompat.view.menu.f) menu : null;
            if (i == 0 && fVar == null) {
                return false;
            }
            if (fVar != null) {
                fVar.i0(true);
            }
            boolean onPreparePanel = super.onPreparePanel(i, view, menu);
            if (fVar != null) {
                fVar.i0(false);
            }
            return onPreparePanel;
        }

        @Override // androidx.appcompat.c.i, android.view.Window.Callback
        @RequiresApi(24)
        public void onProvideKeyboardShortcuts(List<KeyboardShortcutGroup> list, Menu menu, int i) {
            androidx.appcompat.view.menu.f fVar;
            PanelFeatureState r0 = AppCompatDelegateImpl.this.r0(0, true);
            if (r0 == null || (fVar = r0.j) == null) {
                super.onProvideKeyboardShortcuts(list, menu, i);
            } else {
                super.onProvideKeyboardShortcuts(list, fVar, i);
            }
        }

        @Override // androidx.appcompat.c.i
        public ActionMode onWindowStartingActionMode(ActionMode.Callback callback) {
            if (Build.VERSION.SDK_INT >= 23) {
                return null;
            }
            if (AppCompatDelegateImpl.this.x()) {
                return b(callback);
            }
            return super.onWindowStartingActionMode(callback);
        }

        @Override // androidx.appcompat.c.i
        @RequiresApi(23)
        public ActionMode onWindowStartingActionMode(ActionMode.Callback callback, int i) {
            if (!AppCompatDelegateImpl.this.x() || i != 0) {
                return super.onWindowStartingActionMode(callback, i);
            }
            return b(callback);
        }
    }

    AppCompatDelegateImpl(Context context, Activity activity, d dVar) {
        this(context, null, dVar, activity);
    }

    private AppCompatDelegateImpl(Context context, Window window, d dVar, Object obj) {
        b.b.i<String, Integer> iVar;
        Integer num;
        AppCompatActivity V02;
        this.r1 = null;
        this.s1 = true;
        this.M1 = -100;
        this.U1 = new b();
        this.d1 = context;
        this.g1 = dVar;
        this.c1 = obj;
        if (this.M1 == -100 && (obj instanceof Dialog) && (V02 = V0()) != null) {
            this.M1 = V02.getDelegate().q();
        }
        if (this.M1 == -100 && (num = (iVar = V0).get(obj.getClass().getName())) != null) {
            this.M1 = num.intValue();
            iVar.remove(obj.getClass().getName());
        }
        if (window != null) {
            W(window);
        }
        androidx.appcompat.widget.f.i();
    }
}
