package androidx.constraintlayout.core.motion.f;

import androidx.constraintlayout.core.motion.h.b0;
import androidx.constraintlayout.core.motion.h.o;
import androidx.constraintlayout.core.motion.h.w;
import java.util.HashMap;
import java.util.HashSet;

/* compiled from: MotionKeyPosition */
public class e extends b {
    public static final int A = 2;
    public static final int B = 1;
    public static final int C = 0;
    static final int D = 2;
    static final String y = "KeyPosition";
    protected static final float z = 20.0f;
    public int E;
    public String F = null;
    public int G;
    public int H;
    public float I;
    public float J;
    public float K;
    public float L;
    public float M;
    public float N;
    public int O;
    private float P;
    private float Q;

    public e() {
        int i = b.h;
        this.E = i;
        this.G = i;
        this.H = 0;
        this.I = Float.NaN;
        this.J = Float.NaN;
        this.K = Float.NaN;
        this.L = Float.NaN;
        this.M = Float.NaN;
        this.N = Float.NaN;
        this.O = 0;
        this.P = Float.NaN;
        this.Q = Float.NaN;
        this.w = 2;
    }

    private void v(float f, float f2, float f3, float f4) {
        float f5 = f3 - f;
        float f6 = f4 - f2;
        float f7 = 0.0f;
        float f8 = Float.isNaN(this.K) ? 0.0f : this.K;
        float f9 = Float.isNaN(this.N) ? 0.0f : this.N;
        float f10 = Float.isNaN(this.L) ? 0.0f : this.L;
        if (!Float.isNaN(this.M)) {
            f7 = this.M;
        }
        this.P = (float) ((int) (f + (f8 * f5) + (f7 * f6)));
        this.Q = (float) ((int) (f2 + (f5 * f9) + (f6 * f10)));
    }

    private void w(float f, float f2, float f3, float f4) {
        float f5 = f3 - f;
        float f6 = f4 - f2;
        float f7 = this.K;
        float f8 = this.L;
        this.P = f + (f5 * f7) + ((-f6) * f8);
        this.Q = f2 + (f6 * f7) + (f5 * f8);
    }

    private void y(int i, int i2) {
        float f = this.K;
        float f2 = (float) 0;
        this.P = (((float) (i - 0)) * f) + f2;
        this.Q = (((float) (i2 - 0)) * f) + f2;
    }

    /* access modifiers changed from: package-private */
    public float A() {
        return this.Q;
    }

    public boolean B(int i, int i2, androidx.constraintlayout.core.motion.h.e eVar, androidx.constraintlayout.core.motion.h.e eVar2, float f, float f2) {
        x(i, i2, eVar.a(), eVar.b(), eVar2.a(), eVar2.b());
        return Math.abs(f - this.P) < z && Math.abs(f2 - this.Q) < z;
    }

    public void C(androidx.constraintlayout.core.motion.e eVar, androidx.constraintlayout.core.motion.h.e eVar2, androidx.constraintlayout.core.motion.h.e eVar3, float f, float f2, String[] strArr, float[] fArr) {
        int i = this.O;
        if (i == 1) {
            E(eVar2, eVar3, f, f2, strArr, fArr);
        } else if (i != 2) {
            D(eVar2, eVar3, f, f2, strArr, fArr);
        } else {
            F(eVar, eVar2, eVar3, f, f2, strArr, fArr);
        }
    }

    /* access modifiers changed from: package-private */
    public void D(androidx.constraintlayout.core.motion.h.e eVar, androidx.constraintlayout.core.motion.h.e eVar2, float f, float f2, String[] strArr, float[] fArr) {
        float a2 = eVar.a();
        float b2 = eVar.b();
        float a3 = eVar2.a() - a2;
        float b3 = eVar2.b() - b2;
        if (strArr[0] == null) {
            strArr[0] = "percentX";
            fArr[0] = (f - a2) / a3;
            strArr[1] = "percentY";
            fArr[1] = (f2 - b2) / b3;
        } else if ("percentX".equals(strArr[0])) {
            fArr[0] = (f - a2) / a3;
            fArr[1] = (f2 - b2) / b3;
        } else {
            fArr[1] = (f - a2) / a3;
            fArr[0] = (f2 - b2) / b3;
        }
    }

    /* access modifiers changed from: package-private */
    public void E(androidx.constraintlayout.core.motion.h.e eVar, androidx.constraintlayout.core.motion.h.e eVar2, float f, float f2, String[] strArr, float[] fArr) {
        float a2 = eVar.a();
        float b2 = eVar.b();
        float a3 = eVar2.a() - a2;
        float b3 = eVar2.b() - b2;
        float hypot = (float) Math.hypot((double) a3, (double) b3);
        if (((double) hypot) < 1.0E-4d) {
            System.out.println("distance ~ 0");
            fArr[0] = 0.0f;
            fArr[1] = 0.0f;
            return;
        }
        float f3 = a3 / hypot;
        float f4 = b3 / hypot;
        float f5 = f2 - b2;
        float f6 = f - a2;
        float f7 = ((f3 * f5) - (f6 * f4)) / hypot;
        float f8 = ((f3 * f6) + (f4 * f5)) / hypot;
        if (strArr[0] == null) {
            strArr[0] = "percentX";
            strArr[1] = "percentY";
            fArr[0] = f8;
            fArr[1] = f7;
        } else if ("percentX".equals(strArr[0])) {
            fArr[0] = f8;
            fArr[1] = f7;
        }
    }

    /* access modifiers changed from: package-private */
    public void F(androidx.constraintlayout.core.motion.e eVar, androidx.constraintlayout.core.motion.h.e eVar2, androidx.constraintlayout.core.motion.h.e eVar3, float f, float f2, String[] strArr, float[] fArr) {
        eVar2.a();
        eVar2.b();
        eVar3.a();
        eVar3.b();
        androidx.constraintlayout.core.motion.e n = eVar.n();
        int D2 = n.D();
        int k = n.k();
        if (strArr[0] == null) {
            strArr[0] = "percentX";
            fArr[0] = f / ((float) D2);
            strArr[1] = "percentY";
            fArr[1] = f2 / ((float) k);
        } else if ("percentX".equals(strArr[0])) {
            fArr[0] = f / ((float) D2);
            fArr[1] = f2 / ((float) k);
        } else {
            fArr[1] = f / ((float) D2);
            fArr[0] = f2 / ((float) k);
        }
    }

    @Override // androidx.constraintlayout.core.motion.h.w, androidx.constraintlayout.core.motion.f.b
    public boolean a(int i, int i2) {
        if (i == 100) {
            this.t = i2;
            return true;
        } else if (i == 508) {
            this.E = i2;
            return true;
        } else if (i != 510) {
            return super.a(i, i2);
        } else {
            this.O = i2;
            return true;
        }
    }

    @Override // androidx.constraintlayout.core.motion.h.w, androidx.constraintlayout.core.motion.f.b
    public boolean b(int i, float f) {
        switch (i) {
            case w.g.k /*{ENCODED_INT: 503}*/:
                this.I = f;
                return true;
            case w.g.l /*{ENCODED_INT: 504}*/:
                this.J = f;
                return true;
            case w.g.m /*{ENCODED_INT: 505}*/:
                this.I = f;
                this.J = f;
                return true;
            case w.g.n /*{ENCODED_INT: 506}*/:
                this.K = f;
                return true;
            case w.g.o /*{ENCODED_INT: 507}*/:
                this.L = f;
                return true;
            default:
                return super.b(i, f);
        }
    }

    @Override // androidx.constraintlayout.core.motion.h.w, androidx.constraintlayout.core.motion.f.b
    public boolean c(int i, String str) {
        if (i != 501) {
            return super.c(i, str);
        }
        this.F = str.toString();
        return true;
    }

    @Override // androidx.constraintlayout.core.motion.h.w
    public int e(String str) {
        return b0.a(str);
    }

    @Override // androidx.constraintlayout.core.motion.f.b
    public void f(HashMap<String, o> hashMap) {
    }

    @Override // androidx.constraintlayout.core.motion.f.b
    /* renamed from: g */
    public b clone() {
        return new e().h(this);
    }

    @Override // androidx.constraintlayout.core.motion.f.b
    public b h(b bVar) {
        super.h(bVar);
        e eVar = (e) bVar;
        this.F = eVar.F;
        this.G = eVar.G;
        this.H = eVar.H;
        this.I = eVar.I;
        this.J = Float.NaN;
        this.K = eVar.K;
        this.L = eVar.L;
        this.M = eVar.M;
        this.N = eVar.N;
        this.P = eVar.P;
        this.Q = eVar.Q;
        return this;
    }

    @Override // androidx.constraintlayout.core.motion.f.b
    public void i(HashSet<String> hashSet) {
    }

    /* access modifiers changed from: package-private */
    public void x(int i, int i2, float f, float f2, float f3, float f4) {
        int i3 = this.O;
        if (i3 == 1) {
            w(f, f2, f3, f4);
        } else if (i3 != 2) {
            v(f, f2, f3, f4);
        } else {
            y(i, i2);
        }
    }

    /* access modifiers changed from: package-private */
    public float z() {
        return this.P;
    }
}
