package androidx.core.graphics;

import android.graphics.BlendMode;
import android.graphics.BlendModeColorFilter;
import android.graphics.ColorFilter;
import android.graphics.PorterDuff;
import android.graphics.PorterDuffColorFilter;
import android.os.Build;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;

/* compiled from: BlendModeColorFilterCompat */
public class c {
    private c() {
    }

    @Nullable
    public static ColorFilter a(int i, @NonNull BlendModeCompat blendModeCompat) {
        if (Build.VERSION.SDK_INT >= 29) {
            BlendMode a2 = d.a(blendModeCompat);
            if (a2 != null) {
                return new BlendModeColorFilter(i, a2);
            }
            return null;
        }
        PorterDuff.Mode b2 = d.b(blendModeCompat);
        if (b2 != null) {
            return new PorterDuffColorFilter(i, b2);
        }
        return null;
    }
}
