package com.angcyo.tablayout;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.drawable.Drawable;
import android.util.AttributeSet;
import android.view.View;
import androidx.core.view.ViewCompat;
import com.google.firebase.analytics.FirebaseAnalytics;
import kotlin.Metadata;
import kotlin.Unit;
import kotlin.jvm.functions.Function1;
import kotlin.jvm.internal.Intrinsics;
import kotlin.jvm.internal.Lambda;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

@Metadata(d1 = {"\u0000N\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0010\b\n\u0002\b\b\n\u0002\u0010\u000b\n\u0002\b\u000b\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0003\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0003\b\u0016\u0018\u00002\u00020\u0001B\u0005¢\u0006\u0002\u0010\u0002J\u0010\u0010\u001e\u001a\u00020\u001f2\u0006\u0010 \u001a\u00020!H\u0016J\u000e\u0010\"\u001a\u00020\u001f2\u0006\u0010 \u001a\u00020!J\u001a\u0010#\u001a\u00020\u001f2\u0006\u0010$\u001a\u00020%2\b\u0010&\u001a\u0004\u0018\u00010'H\u0016J(\u0010(\u001a\u00020\u001f2\u0006\u0010)\u001a\u00020*2\u0006\u0010+\u001a\u00020,2\u0006\u0010-\u001a\u00020\n2\u0006\u0010.\u001a\u00020\u0013H\u0016R\u001c\u0010\u0003\u001a\u0004\u0018\u00010\u0004X\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u0005\u0010\u0006\"\u0004\b\u0007\u0010\bR\u001a\u0010\t\u001a\u00020\nX\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u000b\u0010\f\"\u0004\b\r\u0010\u000eR\u001a\u0010\u000f\u001a\u00020\nX\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u0010\u0010\f\"\u0004\b\u0011\u0010\u000eR\u001a\u0010\u0012\u001a\u00020\u0013X\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u0014\u0010\u0015\"\u0004\b\u0016\u0010\u0017R\u001c\u0010\u0018\u001a\u0004\u0018\u00010\u0004X\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u0019\u0010\u0006\"\u0004\b\u001a\u0010\bR\u001c\u0010\u001b\u001a\u0004\u0018\u00010\u0004X\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u001c\u0010\u0006\"\u0004\b\u001d\u0010\b¨\u0006/"}, d2 = {"Lcom/angcyo/tablayout/DslTabBorder;", "Lcom/angcyo/tablayout/DslGradientDrawable;", "()V", "borderBackgroundDrawable", "Landroid/graphics/drawable/Drawable;", "getBorderBackgroundDrawable", "()Landroid/graphics/drawable/Drawable;", "setBorderBackgroundDrawable", "(Landroid/graphics/drawable/Drawable;)V", "borderBackgroundHeightOffset", "", "getBorderBackgroundHeightOffset", "()I", "setBorderBackgroundHeightOffset", "(I)V", "borderBackgroundWidthOffset", "getBorderBackgroundWidthOffset", "setBorderBackgroundWidthOffset", "borderDrawItemBackground", "", "getBorderDrawItemBackground", "()Z", "setBorderDrawItemBackground", "(Z)V", "itemDeselectBgDrawable", "getItemDeselectBgDrawable", "setItemDeselectBgDrawable", "itemSelectBgDrawable", "getItemSelectBgDrawable", "setItemSelectBgDrawable", "draw", "", "canvas", "Landroid/graphics/Canvas;", "drawBorderBackground", "initAttribute", "context", "Landroid/content/Context;", "attributeSet", "Landroid/util/AttributeSet;", "updateItemBackground", "tabLayout", "Lcom/angcyo/tablayout/DslTabLayout;", "itemView", "Landroid/view/View;", FirebaseAnalytics.b.Y, "select", "TabLayout_release"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* compiled from: DslTabBorder.kt */
public class o extends g {
    private boolean B = true;
    @Nullable
    private Drawable C;
    private int D;
    private int E;
    @Nullable
    private Drawable F;
    @Nullable
    private Drawable G;

    /* access modifiers changed from: package-private */
    @Metadata(d1 = {"\u0000\f\n\u0000\n\u0002\u0010\u0002\n\u0002\u0018\u0002\n\u0000\u0010\u0000\u001a\u00020\u0001*\u00020\u0002H\n¢\u0006\u0002\b\u0003"}, d2 = {"<anonymous>", "", "Lcom/angcyo/tablayout/DslGradientDrawable;", "invoke"}, k = 3, mv = {1, 6, 0}, xi = 48)
    /* compiled from: DslTabBorder.kt */
    public static final class a extends Lambda implements Function1<g, Unit> {
        final /* synthetic */ int $borderBackgroundColor;
        final /* synthetic */ o this$0;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        a(int i, o oVar) {
            super(1);
            this.$borderBackgroundColor = i;
            this.this$0 = oVar;
        }

        public final void a(@NotNull g gVar) {
            Intrinsics.checkNotNullParameter(gVar, "$this$configDrawable");
            gVar.n0(this.$borderBackgroundColor);
            gVar.k0(this.this$0.Q());
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // kotlin.jvm.functions.Function1
        public /* bridge */ /* synthetic */ Unit invoke(g gVar) {
            a(gVar);
            return Unit.INSTANCE;
        }
    }

    @Metadata(d1 = {"\u0000\f\n\u0000\n\u0002\u0010\u0002\n\u0002\u0018\u0002\n\u0000\u0010\u0000\u001a\u00020\u0001*\u00020\u0002H\n¢\u0006\u0002\b\u0003"}, d2 = {"<anonymous>", "", "Lcom/angcyo/tablayout/DslGradientDrawable;", "invoke"}, k = 3, mv = {1, 6, 0}, xi = 48)
    /* compiled from: DslTabBorder.kt */
    static final class b extends Lambda implements Function1<g, Unit> {
        final /* synthetic */ boolean $isFirst;
        final /* synthetic */ boolean $isLast;
        final /* synthetic */ DslTabLayout $tabLayout;
        final /* synthetic */ o this$0;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        b(o oVar, boolean z, boolean z2, DslTabLayout dslTabLayout) {
            super(1);
            this.this$0 = oVar;
            this.$isFirst = z;
            this.$isLast = z2;
            this.$tabLayout = dslTabLayout;
        }

        public final void a(@NotNull g gVar) {
            Intrinsics.checkNotNullParameter(gVar, "$this$configDrawable");
            gVar.r0(this.this$0.x0());
            gVar.i0(this.this$0.w0());
            gVar.n0(this.this$0.V());
            boolean z = this.$isFirst;
            if (z && this.$isLast) {
                gVar.k0(this.this$0.Q());
            } else if (z) {
                if (!this.$tabLayout.k()) {
                    gVar.k0(new float[]{this.this$0.Q()[0], this.this$0.Q()[1], this.this$0.Q()[2], this.this$0.Q()[3], 0.0f, 0.0f, 0.0f, 0.0f});
                } else if (this.$tabLayout.l()) {
                    gVar.k0(new float[]{0.0f, 0.0f, this.this$0.Q()[2], this.this$0.Q()[3], this.this$0.Q()[4], this.this$0.Q()[5], 0.0f, 0.0f});
                } else {
                    gVar.k0(new float[]{this.this$0.Q()[0], this.this$0.Q()[1], 0.0f, 0.0f, 0.0f, 0.0f, this.this$0.Q()[6], this.this$0.Q()[7]});
                }
            } else if (!this.$isLast) {
            } else {
                if (!this.$tabLayout.k()) {
                    gVar.k0(new float[]{0.0f, 0.0f, 0.0f, 0.0f, this.this$0.Q()[4], this.this$0.Q()[5], this.this$0.Q()[6], this.this$0.Q()[7]});
                } else if (this.$tabLayout.l()) {
                    gVar.k0(new float[]{this.this$0.Q()[0], this.this$0.Q()[1], 0.0f, 0.0f, 0.0f, 0.0f, this.this$0.Q()[6], this.this$0.Q()[7]});
                } else {
                    gVar.k0(new float[]{0.0f, 0.0f, this.this$0.Q()[2], this.this$0.Q()[3], this.this$0.Q()[4], this.this$0.Q()[5], 0.0f, 0.0f});
                }
            }
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // kotlin.jvm.functions.Function1
        public /* bridge */ /* synthetic */ Unit invoke(g gVar) {
            a(gVar);
            return Unit.INSTANCE;
        }
    }

    @Nullable
    public final Drawable A0() {
        return this.F;
    }

    public final void B0(@Nullable Drawable drawable) {
        this.C = drawable;
    }

    public final void C0(int i) {
        this.E = i;
    }

    public final void D0(int i) {
        this.D = i;
    }

    public final void E0(boolean z) {
        this.B = z;
    }

    public final void F0(@Nullable Drawable drawable) {
        this.G = drawable;
    }

    public final void G0(@Nullable Drawable drawable) {
        this.F = drawable;
    }

    public void H0(@NotNull DslTabLayout dslTabLayout, @NotNull View view, int i, boolean z) {
        Intrinsics.checkNotNullParameter(dslTabLayout, "tabLayout");
        Intrinsics.checkNotNullParameter(view, "itemView");
        if (this.B) {
            if (z) {
                boolean z2 = false;
                boolean z3 = i == 0;
                if (i == dslTabLayout.getDslSelector().i().size() - 1) {
                    z2 = true;
                }
                g x = new g().x(new b(this, z3, z2, dslTabLayout));
                this.F = x;
                ViewCompat.setBackground(view, x);
                return;
            }
            ViewCompat.setBackground(view, this.G);
        }
    }

    @Override // com.angcyo.tablayout.g, com.angcyo.tablayout.d
    public void draw(@NotNull Canvas canvas) {
        Intrinsics.checkNotNullParameter(canvas, "canvas");
        super.draw(canvas);
        Drawable a0 = a0();
        if (a0 != null) {
            a0.setBounds(f(), e(), m() - g(), l() - e());
            a0.draw(canvas);
        }
    }

    @Override // com.angcyo.tablayout.d
    public void n(@NotNull Context context, @Nullable AttributeSet attributeSet) {
        Intrinsics.checkNotNullParameter(context, "context");
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R.styleable.DslTabLayout);
        Intrinsics.checkNotNullExpressionValue(obtainStyledAttributes, "context.obtainStyledAttr…R.styleable.DslTabLayout)");
        int color = obtainStyledAttributes.getColor(R.styleable.DslTabLayout_tab_border_solid_color, U());
        o0(obtainStyledAttributes.getColor(R.styleable.DslTabLayout_tab_border_stroke_color, V()));
        p0(obtainStyledAttributes.getDimensionPixelOffset(R.styleable.DslTabLayout_tab_border_stroke_width, v.k() * 2));
        D((float) obtainStyledAttributes.getDimensionPixelOffset(R.styleable.DslTabLayout_tab_border_radius_size, 0));
        s0(obtainStyledAttributes.getDrawable(R.styleable.DslTabLayout_tab_border_drawable));
        this.B = obtainStyledAttributes.getBoolean(R.styleable.DslTabLayout_tab_border_draw_item_background, this.B);
        this.D = obtainStyledAttributes.getDimensionPixelOffset(R.styleable.DslTabLayout_tab_border_item_background_width_offset, this.D);
        this.E = obtainStyledAttributes.getDimensionPixelOffset(R.styleable.DslTabLayout_tab_border_item_background_height_offset, this.E);
        obtainStyledAttributes.recycle();
        if (a0() == null) {
            this.C = new g().x(new a(color, this)).a0();
            t0();
        }
    }

    public final void u0(@NotNull Canvas canvas) {
        Intrinsics.checkNotNullParameter(canvas, "canvas");
        super.draw(canvas);
        Drawable drawable = this.C;
        if (drawable != null) {
            drawable.setBounds(f(), e(), m() - g(), l() - e());
            drawable.draw(canvas);
        }
    }

    @Nullable
    public final Drawable v0() {
        return this.C;
    }

    public final int w0() {
        return this.E;
    }

    public final int x0() {
        return this.D;
    }

    public final boolean y0() {
        return this.B;
    }

    @Nullable
    public final Drawable z0() {
        return this.G;
    }
}
