package com.bilibili.boxing_impl.ui;

import android.content.Intent;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.Button;
import android.widget.ProgressBar;
import android.widget.Toast;
import androidx.annotation.Nullable;
import androidx.appcompat.widget.Toolbar;
import androidx.fragment.app.Fragment;
import androidx.fragment.app.g;
import androidx.fragment.app.l;
import androidx.viewpager.widget.ViewPager;
import com.bilibili.boxing.AbsBoxingViewActivity;
import com.bilibili.boxing.model.entity.BaseMedia;
import com.bilibili.boxing.model.entity.impl.ImageMedia;
import com.bilibili.boxing_impl.R;
import com.bilibili.boxing_impl.view.HackyViewPager;
import java.util.ArrayList;
import java.util.List;

public class BoxingViewActivity extends AbsBoxingViewActivity {
    public static final String K0 = "com.bilibili.boxing_impl.ui.BoxingViewActivity.type_back";
    HackyViewPager L0;
    ProgressBar M0;
    private boolean N0;
    private boolean O0;
    private boolean P0;
    private boolean Q0 = true;
    private int R0;
    private int S0;
    private int T0;
    private int U0;
    private int V0;
    private String W0;
    private Toolbar X0;
    private c Y0;
    private ImageMedia Z0;
    private Button a1;
    private ArrayList<BaseMedia> b1;
    private ArrayList<BaseMedia> c1;
    private MenuItem d1;

    /* access modifiers changed from: package-private */
    public class a implements View.OnClickListener {
        a() {
        }

        public void onClick(View view) {
            BoxingViewActivity.this.onBackPressed();
        }
    }

    /* access modifiers changed from: package-private */
    public class b implements View.OnClickListener {
        b() {
        }

        public void onClick(View view) {
            BoxingViewActivity.this.A0(false);
        }
    }

    /* access modifiers changed from: private */
    public class c extends l {
        private ArrayList<BaseMedia> o;

        c(g gVar) {
            super(gVar);
        }

        @Override // androidx.viewpager.widget.a
        public int e() {
            ArrayList<BaseMedia> arrayList = this.o;
            if (arrayList == null) {
                return 0;
            }
            return arrayList.size();
        }

        @Override // androidx.fragment.app.l
        public Fragment v(int i) {
            return c.Q((ImageMedia) this.o.get(i));
        }

        public void w(ArrayList<BaseMedia> arrayList) {
            this.o = arrayList;
            l();
        }
    }

    /* access modifiers changed from: private */
    public class d extends ViewPager.k {
        private d() {
        }

        @Override // androidx.viewpager.widget.ViewPager.k, androidx.viewpager.widget.ViewPager.h
        public void onPageSelected(int i) {
            if (BoxingViewActivity.this.X0 != null && i < BoxingViewActivity.this.b1.size()) {
                Toolbar toolbar = BoxingViewActivity.this.X0;
                BoxingViewActivity boxingViewActivity = BoxingViewActivity.this;
                int i2 = R.string.boxing_image_preview_title_fmt;
                Object[] objArr = new Object[2];
                objArr[0] = String.valueOf(i + 1);
                objArr[1] = String.valueOf(BoxingViewActivity.this.O0 ? BoxingViewActivity.this.S0 : BoxingViewActivity.this.b1.size());
                toolbar.setTitle(boxingViewActivity.getString(i2, objArr));
                BoxingViewActivity boxingViewActivity2 = BoxingViewActivity.this;
                boxingViewActivity2.Z0 = (ImageMedia) boxingViewActivity2.b1.get(i);
                BoxingViewActivity.this.invalidateOptionsMenu();
            }
        }

        /* synthetic */ d(BoxingViewActivity boxingViewActivity, a aVar) {
            this();
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void A0(boolean z) {
        Intent intent = new Intent();
        intent.putParcelableArrayListExtra(com.bilibili.boxing.b.f6295a, this.c1);
        intent.putExtra("com.bilibili.boxing_impl.ui.BoxingViewActivity.type_back", z);
        setResult(-1, intent);
        finish();
    }

    private void B0() {
        ArrayList<BaseMedia> arrayList;
        this.c1 = k0();
        this.W0 = i0();
        this.T0 = l0();
        this.O0 = com.bilibili.boxing.g.b.b().a().r();
        this.N0 = com.bilibili.boxing.g.b.b().a().p();
        this.V0 = j0();
        ArrayList<BaseMedia> arrayList2 = new ArrayList<>();
        this.b1 = arrayList2;
        if (!this.O0 && (arrayList = this.c1) != null) {
            arrayList2.addAll(arrayList);
        }
    }

    private void C0() {
        this.Y0 = new c(getSupportFragmentManager());
        this.a1 = (Button) findViewById(R.id.image_items_ok);
        this.L0 = (HackyViewPager) findViewById(R.id.pager);
        this.M0 = (ProgressBar) findViewById(R.id.loading);
        this.L0.setAdapter(this.Y0);
        this.L0.c(new d(this, null));
        if (!this.N0) {
            findViewById(R.id.item_choose_layout).setVisibility(8);
            return;
        }
        G0();
        this.a1.setOnClickListener(new b());
    }

    private void D0(String str, int i, int i2) {
        this.U0 = i;
        o0(i2, str);
    }

    private void E0(int i) {
        this.S0 = i;
        int i2 = this.R0;
        if (i2 <= i / 1000) {
            int i3 = i2 + 1;
            this.R0 = i3;
            D0(this.W0, this.T0, i3);
        }
    }

    private void F0(boolean z) {
        if (this.N0) {
            this.d1.setIcon(z ? com.bilibili.boxing_impl.a.b() : com.bilibili.boxing_impl.a.c());
        }
    }

    private void G0() {
        if (this.N0) {
            int size = this.c1.size();
            int max = Math.max(this.c1.size(), this.V0);
            boolean z = false;
            this.a1.setText(getString(R.string.boxing_image_preview_ok_fmt, new Object[]{String.valueOf(size), String.valueOf(max)}));
            Button button = this.a1;
            if (size > 0) {
                z = true;
            }
            button.setEnabled(z);
        }
    }

    private void H0() {
        int i = this.T0;
        if (this.L0 != null && i >= 0) {
            if (i < this.b1.size() && !this.P0) {
                this.L0.S(this.T0, false);
                this.Z0 = (ImageMedia) this.b1.get(i);
                this.M0.setVisibility(8);
                this.L0.setVisibility(0);
                this.P0 = true;
                invalidateOptionsMenu();
            } else if (i >= this.b1.size()) {
                this.M0.setVisibility(0);
                this.L0.setVisibility(8);
            }
        }
    }

    private void y0() {
        if (this.c1.contains(this.Z0)) {
            this.c1.remove(this.Z0);
        }
        this.Z0.setSelected(false);
    }

    private void z0() {
        Toolbar toolbar = (Toolbar) findViewById(R.id.nav_top_bar);
        this.X0 = toolbar;
        setSupportActionBar(toolbar);
        getSupportActionBar().Y(true);
        this.X0.setNavigationOnClickListener(new a());
        getSupportActionBar().d0(false);
    }

    @Override // com.bilibili.boxing.AbsBoxingViewActivity, com.bilibili.boxing.h.a.b
    public void e0(@Nullable List<BaseMedia> list, int i) {
        if (list != null && i > 0) {
            this.b1.addAll(list);
            this.Y0.l();
            h0(this.b1, this.c1);
            H0();
            Toolbar toolbar = this.X0;
            if (toolbar != null && this.Q0) {
                int i2 = R.string.boxing_image_preview_title_fmt;
                int i3 = this.U0 + 1;
                this.U0 = i3;
                toolbar.setTitle(getString(i2, new Object[]{String.valueOf(i3), String.valueOf(i)}));
                this.Q0 = false;
            }
            E0(i);
        }
    }

    @Override // androidx.activity.ComponentActivity
    public void onBackPressed() {
        A0(true);
    }

    @Override // androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity, com.bilibili.boxing.AbsBoxingViewActivity
    public void onCreate(@Nullable Bundle bundle) {
        super.onCreate(bundle);
        setContentView(R.layout.activity_boxing_view);
        z0();
        B0();
        C0();
        r0();
    }

    public boolean onCreateOptionsMenu(Menu menu) {
        super.onCreateOptionsMenu(menu);
        if (!this.N0) {
            return false;
        }
        getMenuInflater().inflate(R.menu.activity_boxing_image_viewer, menu);
        this.d1 = menu.findItem(R.id.menu_image_item_selected);
        ImageMedia imageMedia = this.Z0;
        if (imageMedia != null) {
            F0(imageMedia.isSelected());
            return true;
        }
        F0(false);
        return true;
    }

    public boolean onOptionsItemSelected(MenuItem menuItem) {
        if (menuItem.getItemId() != R.id.menu_image_item_selected) {
            return super.onOptionsItemSelected(menuItem);
        }
        if (this.Z0 == null) {
            return false;
        }
        if (this.c1.size() < this.V0 || this.Z0.isSelected()) {
            if (this.Z0.isSelected()) {
                y0();
            } else if (!this.c1.contains(this.Z0)) {
                if (this.Z0.isGifOverSize()) {
                    Toast.makeText(getApplicationContext(), R.string.boxing_gif_too_big, 0).show();
                    return true;
                }
                this.Z0.setSelected(true);
                this.c1.add(this.Z0);
            }
            G0();
            F0(this.Z0.isSelected());
            return true;
        }
        Toast.makeText(this, getString(R.string.boxing_max_image_over_fmt, new Object[]{Integer.valueOf(this.V0)}), 0).show();
        return true;
    }

    /* access modifiers changed from: protected */
    @Override // androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity
    public void onSaveInstanceState(Bundle bundle) {
        ArrayList<BaseMedia> arrayList = this.c1;
        if (arrayList != null) {
            bundle.putParcelableArrayList(com.bilibili.boxing.b.f6295a, arrayList);
        }
        bundle.putString(com.bilibili.boxing.b.f6296b, this.W0);
        super.onSaveInstanceState(bundle);
    }

    @Override // com.bilibili.boxing.AbsBoxingViewActivity
    public void r0() {
        if (!this.O0) {
            this.Z0 = (ImageMedia) this.c1.get(this.T0);
            this.X0.setTitle(getString(R.string.boxing_image_preview_title_fmt, new Object[]{String.valueOf(this.T0 + 1), String.valueOf(this.c1.size())}));
            this.M0.setVisibility(8);
            this.L0.setVisibility(0);
            this.Y0.w(this.b1);
            int i = this.T0;
            if (i > 0 && i < this.c1.size()) {
                this.L0.S(this.T0, false);
                return;
            }
            return;
        }
        D0(this.W0, this.T0, this.R0);
        this.Y0.w(this.b1);
    }
}
