package com.bumptech.glide;

import android.graphics.Bitmap;
import android.graphics.drawable.Drawable;
import android.net.Uri;
import androidx.annotation.CheckResult;
import androidx.annotation.DrawableRes;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RawRes;
import java.io.File;
import java.net.URL;

/* compiled from: ModelTypes */
interface g<T> {
    @CheckResult
    @Deprecated
    T f(@Nullable URL url);

    @NonNull
    @CheckResult
    T h(@Nullable Uri uri);

    @NonNull
    @CheckResult
    T m(@Nullable byte[] bArr);

    @NonNull
    @CheckResult
    T n(@Nullable File file);

    @NonNull
    @CheckResult
    T p(@Nullable Drawable drawable);

    @NonNull
    @CheckResult
    T q(@Nullable Bitmap bitmap);

    @NonNull
    @CheckResult
    T r(@Nullable Object obj);

    @NonNull
    @CheckResult
    T s(@Nullable @DrawableRes @RawRes Integer num);

    @NonNull
    @CheckResult
    T t(@Nullable String str);
}
