package com.github.anzewei.parallaxbacklayout.e;

import android.graphics.Canvas;
import android.view.View;
import com.github.anzewei.parallaxbacklayout.widget.ParallaxBackLayout;

/* compiled from: ParallaxTransform */
public class c implements b {
    @Override // com.github.anzewei.parallaxbacklayout.e.b
    public void a(Canvas canvas, ParallaxBackLayout parallaxBackLayout, View view) {
        int edgeFlag = parallaxBackLayout.getEdgeFlag();
        int width = parallaxBackLayout.getWidth();
        int height = parallaxBackLayout.getHeight();
        int systemLeft = parallaxBackLayout.getSystemLeft();
        int systemTop = parallaxBackLayout.getSystemTop();
        if (edgeFlag == 1) {
            int left = (view.getLeft() - width) / 2;
            canvas.translate((float) left, 0.0f);
            canvas.clipRect(0, 0, left + width, view.getBottom());
        } else if (edgeFlag == 4) {
            int top2 = (view.getTop() - view.getHeight()) / 2;
            canvas.translate(0.0f, (float) top2);
            canvas.clipRect(0, 0, view.getRight(), view.getHeight() + top2 + systemTop);
        } else if (edgeFlag == 2) {
            int left2 = ((view.getLeft() + view.getWidth()) - systemLeft) / 2;
            canvas.translate((float) left2, 0.0f);
            canvas.clipRect(left2 + systemLeft, 0, width, view.getBottom());
        } else if (edgeFlag == 8) {
            int bottom = (view.getBottom() - systemTop) / 2;
            canvas.translate(0.0f, (float) bottom);
            canvas.clipRect(0, bottom + systemTop, view.getRight(), height);
        }
    }
}
