package com.google.android.exoplayer2.text;

import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import com.google.android.exoplayer2.ExoPlaybackException;
import com.google.android.exoplayer2.Format;
import com.google.android.exoplayer2.m;
import com.google.android.exoplayer2.util.n;
import java.util.Collections;
import java.util.List;

/* compiled from: TextRenderer */
public final class i extends com.google.android.exoplayer2.a implements Handler.Callback {
    private static final int P0 = 0;
    private static final int Q0 = 1;
    private static final int R0 = 2;
    private static final int S0 = 0;
    private final Handler T0;
    private final h U0;
    private final e V0;
    private final m W0;
    private boolean X0;
    private boolean Y0;
    private int Z0;
    private Format a1;
    private d b1;
    private f c1;
    private g d1;
    private g e1;
    private int f1;

    @Deprecated
    /* compiled from: TextRenderer */
    public interface a extends h {
    }

    public i(h hVar, Looper looper) {
        this(hVar, looper, e.f9148a);
    }

    private void H() {
        N(Collections.emptyList());
    }

    private long I() {
        int i = this.f1;
        if (i == -1 || i >= this.d1.h()) {
            return Long.MAX_VALUE;
        }
        return this.d1.b(this.f1);
    }

    private void J(List<Cue> list) {
        this.U0.g(list);
    }

    private void K() {
        this.c1 = null;
        this.f1 = -1;
        g gVar = this.d1;
        if (gVar != null) {
            gVar.r();
            this.d1 = null;
        }
        g gVar2 = this.e1;
        if (gVar2 != null) {
            gVar2.r();
            this.e1 = null;
        }
    }

    private void L() {
        K();
        this.b1.release();
        this.b1 = null;
        this.Z0 = 0;
    }

    private void M() {
        L();
        this.b1 = this.V0.b(this.a1);
    }

    private void N(List<Cue> list) {
        Handler handler = this.T0;
        if (handler != null) {
            handler.obtainMessage(0, list).sendToTarget();
        } else {
            J(list);
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.exoplayer2.a
    public void D(Format[] formatArr, long j) throws ExoPlaybackException {
        Format format = formatArr[0];
        this.a1 = format;
        if (this.b1 != null) {
            this.Z0 = 1;
        } else {
            this.b1 = this.V0.b(format);
        }
    }

    @Override // com.google.android.exoplayer2.x
    public int a(Format format) {
        return this.V0.a(format) ? com.google.android.exoplayer2.a.G(null, format.Q0) ? 4 : 2 : n.m(format.N0) ? 1 : 0;
    }

    @Override // com.google.android.exoplayer2.Renderer
    public boolean b() {
        return this.Y0;
    }

    public boolean handleMessage(Message message) {
        if (message.what == 0) {
            J((List) message.obj);
            return true;
        }
        throw new IllegalStateException();
    }

    @Override // com.google.android.exoplayer2.Renderer
    public boolean isReady() {
        return true;
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.exoplayer2.a
    public void q() {
        this.a1 = null;
        H();
        L();
    }

    @Override // com.google.android.exoplayer2.Renderer
    public void r(long j, long j2) throws ExoPlaybackException {
        boolean z;
        if (!this.Y0) {
            if (this.e1 == null) {
                this.b1.a(j);
                try {
                    this.e1 = (g) this.b1.b();
                } catch (SubtitleDecoderException e2) {
                    throw ExoPlaybackException.createForRenderer(e2, m());
                }
            }
            if (getState() == 2) {
                if (this.d1 != null) {
                    long I = I();
                    z = false;
                    while (I <= j) {
                        this.f1++;
                        I = I();
                        z = true;
                    }
                } else {
                    z = false;
                }
                g gVar = this.e1;
                if (gVar != null) {
                    if (gVar.o()) {
                        if (!z && I() == Long.MAX_VALUE) {
                            if (this.Z0 == 2) {
                                M();
                            } else {
                                K();
                                this.Y0 = true;
                            }
                        }
                    } else if (this.e1.f8041b <= j) {
                        g gVar2 = this.d1;
                        if (gVar2 != null) {
                            gVar2.r();
                        }
                        g gVar3 = this.e1;
                        this.d1 = gVar3;
                        this.e1 = null;
                        this.f1 = gVar3.a(j);
                        z = true;
                    }
                }
                if (z) {
                    N(this.d1.g(j));
                }
                if (this.Z0 != 2) {
                    while (!this.X0) {
                        try {
                            if (this.c1 == null) {
                                f fVar = (f) this.b1.c();
                                this.c1 = fVar;
                                if (fVar == null) {
                                    return;
                                }
                            }
                            if (this.Z0 == 1) {
                                this.c1.q(4);
                                this.b1.d(this.c1);
                                this.c1 = null;
                                this.Z0 = 2;
                                return;
                            }
                            int E = E(this.W0, this.c1, false);
                            if (E == -4) {
                                if (this.c1.o()) {
                                    this.X0 = true;
                                } else {
                                    f fVar2 = this.c1;
                                    fVar2.O0 = this.W0.f8542a.R0;
                                    fVar2.t();
                                }
                                this.b1.d(this.c1);
                                this.c1 = null;
                            } else if (E == -3) {
                                return;
                            }
                        } catch (SubtitleDecoderException e3) {
                            throw ExoPlaybackException.createForRenderer(e3, m());
                        }
                    }
                }
            }
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.exoplayer2.a
    public void z(long j, boolean z) {
        H();
        this.X0 = false;
        this.Y0 = false;
        if (this.Z0 != 0) {
            M();
            return;
        }
        K();
        this.b1.flush();
    }

    public i(h hVar, Looper looper, e eVar) {
        super(3);
        Handler handler;
        this.U0 = (h) com.google.android.exoplayer2.util.a.g(hVar);
        if (looper == null) {
            handler = null;
        } else {
            handler = new Handler(looper, this);
        }
        this.T0 = handler;
        this.V0 = eVar;
        this.W0 = new m();
    }
}
