package com.google.android.gms.common.images;

import android.graphics.drawable.Drawable;
import android.net.Uri;
import android.widget.ImageView;
import com.google.android.gms.common.internal.y;
import com.google.android.gms.internal.base.e;
import com.google.android.gms.internal.base.zaj;
import java.lang.ref.WeakReference;

public final class d extends b {
    private WeakReference<ImageView> h;

    public d(ImageView imageView, Uri uri) {
        super(uri, 0);
        com.google.android.gms.common.internal.d.c(imageView);
        this.h = new WeakReference<>(imageView);
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.gms.common.images.b
    public final void d(Drawable drawable, boolean z, boolean z2, boolean z3) {
        ImageView imageView = this.h.get();
        if (imageView != null) {
            int i = 0;
            boolean z4 = !z2 && !z3;
            if (z4 && (imageView instanceof zaj)) {
                int b2 = zaj.b();
                int i2 = this.f10048c;
                if (i2 != 0 && b2 == i2) {
                    return;
                }
            }
            boolean e2 = e(z, z2);
            Uri uri = null;
            if (e2) {
                Drawable drawable2 = imageView.getDrawable();
                if (drawable2 == null) {
                    drawable2 = null;
                } else if (drawable2 instanceof e) {
                    drawable2 = ((e) drawable2).c();
                }
                drawable = new e(drawable2, drawable);
            }
            imageView.setImageDrawable(drawable);
            if (imageView instanceof zaj) {
                if (z3) {
                    uri = this.f10046a.f10051a;
                }
                zaj.a(uri);
                if (z4) {
                    i = this.f10048c;
                }
                zaj.c(i);
            }
            if (e2) {
                ((e) drawable).b(250);
            }
        }
    }

    public final boolean equals(Object obj) {
        if (!(obj instanceof d)) {
            return false;
        }
        if (this == obj) {
            return true;
        }
        ImageView imageView = this.h.get();
        ImageView imageView2 = ((d) obj).h.get();
        return (imageView2 == null || imageView == null || !y.a(imageView2, imageView)) ? false : true;
    }

    public final int hashCode() {
        return 0;
    }

    public d(ImageView imageView, int i) {
        super(null, i);
        com.google.android.gms.common.internal.d.c(imageView);
        this.h = new WeakReference<>(imageView);
    }
}
