package com.google.android.gms.internal.measurement;

import android.os.Bundle;
import android.os.IBinder;
import android.os.Parcel;
import android.os.RemoteException;
import com.google.android.gms.dynamic.d;
import java.util.Map;

/* compiled from: com.google.android.gms:play-services-measurement-base@@17.2.0 */
public final class ac extends a implements za {
    ac(IBinder iBinder) {
        super(iBinder, "com.google.android.gms.measurement.api.internal.IAppMeasurementDynamiteService");
    }

    @Override // com.google.android.gms.internal.measurement.za
    public final void beginAdUnitExposure(String str, long j) throws RemoteException {
        Parcel b2 = b();
        b2.writeString(str);
        b2.writeLong(j);
        m(23, b2);
    }

    @Override // com.google.android.gms.internal.measurement.za
    public final void clearConditionalUserProperty(String str, String str2, Bundle bundle) throws RemoteException {
        Parcel b2 = b();
        b2.writeString(str);
        b2.writeString(str2);
        b0.c(b2, bundle);
        m(9, b2);
    }

    @Override // com.google.android.gms.internal.measurement.za
    public final void endAdUnitExposure(String str, long j) throws RemoteException {
        Parcel b2 = b();
        b2.writeString(str);
        b2.writeLong(j);
        m(24, b2);
    }

    @Override // com.google.android.gms.internal.measurement.za
    public final void generateEventId(zb zbVar) throws RemoteException {
        Parcel b2 = b();
        b0.b(b2, zbVar);
        m(22, b2);
    }

    @Override // com.google.android.gms.internal.measurement.za
    public final void getAppInstanceId(zb zbVar) throws RemoteException {
        Parcel b2 = b();
        b0.b(b2, zbVar);
        m(20, b2);
    }

    @Override // com.google.android.gms.internal.measurement.za
    public final void getCachedAppInstanceId(zb zbVar) throws RemoteException {
        Parcel b2 = b();
        b0.b(b2, zbVar);
        m(19, b2);
    }

    @Override // com.google.android.gms.internal.measurement.za
    public final void getConditionalUserProperties(String str, String str2, zb zbVar) throws RemoteException {
        Parcel b2 = b();
        b2.writeString(str);
        b2.writeString(str2);
        b0.b(b2, zbVar);
        m(10, b2);
    }

    @Override // com.google.android.gms.internal.measurement.za
    public final void getCurrentScreenClass(zb zbVar) throws RemoteException {
        Parcel b2 = b();
        b0.b(b2, zbVar);
        m(17, b2);
    }

    @Override // com.google.android.gms.internal.measurement.za
    public final void getCurrentScreenName(zb zbVar) throws RemoteException {
        Parcel b2 = b();
        b0.b(b2, zbVar);
        m(16, b2);
    }

    @Override // com.google.android.gms.internal.measurement.za
    public final void getGmpAppId(zb zbVar) throws RemoteException {
        Parcel b2 = b();
        b0.b(b2, zbVar);
        m(21, b2);
    }

    @Override // com.google.android.gms.internal.measurement.za
    public final void getMaxUserProperties(String str, zb zbVar) throws RemoteException {
        Parcel b2 = b();
        b2.writeString(str);
        b0.b(b2, zbVar);
        m(6, b2);
    }

    @Override // com.google.android.gms.internal.measurement.za
    public final void getTestFlag(zb zbVar, int i) throws RemoteException {
        Parcel b2 = b();
        b0.b(b2, zbVar);
        b2.writeInt(i);
        m(38, b2);
    }

    @Override // com.google.android.gms.internal.measurement.za
    public final void getUserProperties(String str, String str2, boolean z, zb zbVar) throws RemoteException {
        Parcel b2 = b();
        b2.writeString(str);
        b2.writeString(str2);
        b0.d(b2, z);
        b0.b(b2, zbVar);
        m(5, b2);
    }

    @Override // com.google.android.gms.internal.measurement.za
    public final void initForTests(Map map) throws RemoteException {
        Parcel b2 = b();
        b2.writeMap(map);
        m(37, b2);
    }

    @Override // com.google.android.gms.internal.measurement.za
    public final void initialize(d dVar, zzv zzv, long j) throws RemoteException {
        Parcel b2 = b();
        b0.b(b2, dVar);
        b0.c(b2, zzv);
        b2.writeLong(j);
        m(1, b2);
    }

    @Override // com.google.android.gms.internal.measurement.za
    public final void isDataCollectionEnabled(zb zbVar) throws RemoteException {
        Parcel b2 = b();
        b0.b(b2, zbVar);
        m(40, b2);
    }

    @Override // com.google.android.gms.internal.measurement.za
    public final void logEvent(String str, String str2, Bundle bundle, boolean z, boolean z2, long j) throws RemoteException {
        Parcel b2 = b();
        b2.writeString(str);
        b2.writeString(str2);
        b0.c(b2, bundle);
        b0.d(b2, z);
        b0.d(b2, z2);
        b2.writeLong(j);
        m(2, b2);
    }

    @Override // com.google.android.gms.internal.measurement.za
    public final void logEventAndBundle(String str, String str2, Bundle bundle, zb zbVar, long j) throws RemoteException {
        Parcel b2 = b();
        b2.writeString(str);
        b2.writeString(str2);
        b0.c(b2, bundle);
        b0.b(b2, zbVar);
        b2.writeLong(j);
        m(3, b2);
    }

    @Override // com.google.android.gms.internal.measurement.za
    public final void logHealthData(int i, String str, d dVar, d dVar2, d dVar3) throws RemoteException {
        Parcel b2 = b();
        b2.writeInt(i);
        b2.writeString(str);
        b0.b(b2, dVar);
        b0.b(b2, dVar2);
        b0.b(b2, dVar3);
        m(33, b2);
    }

    @Override // com.google.android.gms.internal.measurement.za
    public final void onActivityCreated(d dVar, Bundle bundle, long j) throws RemoteException {
        Parcel b2 = b();
        b0.b(b2, dVar);
        b0.c(b2, bundle);
        b2.writeLong(j);
        m(27, b2);
    }

    @Override // com.google.android.gms.internal.measurement.za
    public final void onActivityDestroyed(d dVar, long j) throws RemoteException {
        Parcel b2 = b();
        b0.b(b2, dVar);
        b2.writeLong(j);
        m(28, b2);
    }

    @Override // com.google.android.gms.internal.measurement.za
    public final void onActivityPaused(d dVar, long j) throws RemoteException {
        Parcel b2 = b();
        b0.b(b2, dVar);
        b2.writeLong(j);
        m(29, b2);
    }

    @Override // com.google.android.gms.internal.measurement.za
    public final void onActivityResumed(d dVar, long j) throws RemoteException {
        Parcel b2 = b();
        b0.b(b2, dVar);
        b2.writeLong(j);
        m(30, b2);
    }

    @Override // com.google.android.gms.internal.measurement.za
    public final void onActivitySaveInstanceState(d dVar, zb zbVar, long j) throws RemoteException {
        Parcel b2 = b();
        b0.b(b2, dVar);
        b0.b(b2, zbVar);
        b2.writeLong(j);
        m(31, b2);
    }

    @Override // com.google.android.gms.internal.measurement.za
    public final void onActivityStarted(d dVar, long j) throws RemoteException {
        Parcel b2 = b();
        b0.b(b2, dVar);
        b2.writeLong(j);
        m(25, b2);
    }

    @Override // com.google.android.gms.internal.measurement.za
    public final void onActivityStopped(d dVar, long j) throws RemoteException {
        Parcel b2 = b();
        b0.b(b2, dVar);
        b2.writeLong(j);
        m(26, b2);
    }

    @Override // com.google.android.gms.internal.measurement.za
    public final void performAction(Bundle bundle, zb zbVar, long j) throws RemoteException {
        Parcel b2 = b();
        b0.c(b2, bundle);
        b0.b(b2, zbVar);
        b2.writeLong(j);
        m(32, b2);
    }

    @Override // com.google.android.gms.internal.measurement.za
    public final void registerOnMeasurementEventListener(ec ecVar) throws RemoteException {
        Parcel b2 = b();
        b0.b(b2, ecVar);
        m(35, b2);
    }

    @Override // com.google.android.gms.internal.measurement.za
    public final void resetAnalyticsData(long j) throws RemoteException {
        Parcel b2 = b();
        b2.writeLong(j);
        m(12, b2);
    }

    @Override // com.google.android.gms.internal.measurement.za
    public final void setConditionalUserProperty(Bundle bundle, long j) throws RemoteException {
        Parcel b2 = b();
        b0.c(b2, bundle);
        b2.writeLong(j);
        m(8, b2);
    }

    @Override // com.google.android.gms.internal.measurement.za
    public final void setCurrentScreen(d dVar, String str, String str2, long j) throws RemoteException {
        Parcel b2 = b();
        b0.b(b2, dVar);
        b2.writeString(str);
        b2.writeString(str2);
        b2.writeLong(j);
        m(15, b2);
    }

    @Override // com.google.android.gms.internal.measurement.za
    public final void setDataCollectionEnabled(boolean z) throws RemoteException {
        Parcel b2 = b();
        b0.d(b2, z);
        m(39, b2);
    }

    @Override // com.google.android.gms.internal.measurement.za
    public final void setEventInterceptor(ec ecVar) throws RemoteException {
        Parcel b2 = b();
        b0.b(b2, ecVar);
        m(34, b2);
    }

    @Override // com.google.android.gms.internal.measurement.za
    public final void setInstanceIdProvider(fc fcVar) throws RemoteException {
        Parcel b2 = b();
        b0.b(b2, fcVar);
        m(18, b2);
    }

    @Override // com.google.android.gms.internal.measurement.za
    public final void setMeasurementEnabled(boolean z, long j) throws RemoteException {
        Parcel b2 = b();
        b0.d(b2, z);
        b2.writeLong(j);
        m(11, b2);
    }

    @Override // com.google.android.gms.internal.measurement.za
    public final void setMinimumSessionDuration(long j) throws RemoteException {
        Parcel b2 = b();
        b2.writeLong(j);
        m(13, b2);
    }

    @Override // com.google.android.gms.internal.measurement.za
    public final void setSessionTimeoutDuration(long j) throws RemoteException {
        Parcel b2 = b();
        b2.writeLong(j);
        m(14, b2);
    }

    @Override // com.google.android.gms.internal.measurement.za
    public final void setUserId(String str, long j) throws RemoteException {
        Parcel b2 = b();
        b2.writeString(str);
        b2.writeLong(j);
        m(7, b2);
    }

    @Override // com.google.android.gms.internal.measurement.za
    public final void setUserProperty(String str, String str2, d dVar, boolean z, long j) throws RemoteException {
        Parcel b2 = b();
        b2.writeString(str);
        b2.writeString(str2);
        b0.b(b2, dVar);
        b0.d(b2, z);
        b2.writeLong(j);
        m(4, b2);
    }

    @Override // com.google.android.gms.internal.measurement.za
    public final void unregisterOnMeasurementEventListener(ec ecVar) throws RemoteException {
        Parcel b2 = b();
        b0.b(b2, ecVar);
        m(36, b2);
    }
}
