package com.google.android.material.datepicker;

import android.content.Context;
import android.os.Bundle;
import android.os.Parcelable;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RestrictTo;
import androidx.annotation.StringRes;
import androidx.annotation.StyleRes;
import androidx.core.util.i;
import java.util.Collection;

@RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
public interface DateSelector<S> extends Parcelable {
    @NonNull
    String D(Context context);

    @StringRes
    int E0();

    @NonNull
    Collection<i<Long, Long>> I();

    @StyleRes
    int K0(Context context);

    void O(@NonNull S s);

    boolean X0();

    @NonNull
    Collection<Long> Z0();

    @Nullable
    S c1();

    void g1(long j);

    @NonNull
    View z0(@NonNull LayoutInflater layoutInflater, @Nullable ViewGroup viewGroup, @Nullable Bundle bundle, @NonNull CalendarConstraints calendarConstraints, @NonNull l<S> lVar);
}
