package com.google.gson;

public enum LongSerializationPolicy {
    DEFAULT {
        @Override // com.google.gson.LongSerializationPolicy
        public k serialize(Long l) {
            return new o((Number) l);
        }
    },
    STRING {
        @Override // com.google.gson.LongSerializationPolicy
        public k serialize(Long l) {
            return new o(String.valueOf(l));
        }
    };

    public abstract k serialize(Long l);
}
