package com.google.gson.internal.m;

import com.google.gson.h;
import com.google.gson.k;
import com.google.gson.l;
import com.google.gson.m;
import com.google.gson.o;
import com.google.gson.stream.JsonToken;
import java.io.IOException;
import java.io.Reader;
import java.util.Iterator;
import java.util.Map;

/* compiled from: JsonTreeReader */
public final class e extends com.google.gson.stream.a {
    private static final Reader x1 = new a();
    private static final Object y1 = new Object();
    private int A1 = 0;
    private String[] B1 = new String[32];
    private int[] C1 = new int[32];
    private Object[] z1 = new Object[32];

    /* compiled from: JsonTreeReader */
    static class a extends Reader {
        a() {
        }

        @Override // java.io.Closeable, java.io.Reader, java.lang.AutoCloseable
        public void close() throws IOException {
            throw new AssertionError();
        }

        @Override // java.io.Reader
        public int read(char[] cArr, int i, int i2) throws IOException {
            throw new AssertionError();
        }
    }

    public e(k kVar) {
        super(x1);
        z1(kVar);
    }

    @Override // com.google.gson.stream.a
    private String M() {
        return " at path " + f();
    }

    private void j1(JsonToken jsonToken) throws IOException {
        if (z0() != jsonToken) {
            throw new IllegalStateException("Expected " + jsonToken + " but was " + z0() + M());
        }
    }

    private Object m1() {
        return this.z1[this.A1 - 1];
    }

    private Object s1() {
        Object[] objArr = this.z1;
        int i = this.A1 - 1;
        this.A1 = i;
        Object obj = objArr[i];
        objArr[i] = null;
        return obj;
    }

    private void z1(Object obj) {
        int i = this.A1;
        Object[] objArr = this.z1;
        if (i == objArr.length) {
            Object[] objArr2 = new Object[(i * 2)];
            int[] iArr = new int[(i * 2)];
            String[] strArr = new String[(i * 2)];
            System.arraycopy(objArr, 0, objArr2, 0, i);
            System.arraycopy(this.C1, 0, iArr, 0, this.A1);
            System.arraycopy(this.B1, 0, strArr, 0, this.A1);
            this.z1 = objArr2;
            this.C1 = iArr;
            this.B1 = strArr;
        }
        Object[] objArr3 = this.z1;
        int i2 = this.A1;
        this.A1 = i2 + 1;
        objArr3[i2] = obj;
    }

    @Override // com.google.gson.stream.a
    public boolean O() throws IOException {
        j1(JsonToken.BOOLEAN);
        boolean f = ((o) s1()).f();
        int i = this.A1;
        if (i > 0) {
            int[] iArr = this.C1;
            int i2 = i - 1;
            iArr[i2] = iArr[i2] + 1;
        }
        return f;
    }

    @Override // com.google.gson.stream.a
    public double P() throws IOException {
        JsonToken z0 = z0();
        JsonToken jsonToken = JsonToken.NUMBER;
        if (z0 == jsonToken || z0 == JsonToken.STRING) {
            double k = ((o) m1()).k();
            if (D() || (!Double.isNaN(k) && !Double.isInfinite(k))) {
                s1();
                int i = this.A1;
                if (i > 0) {
                    int[] iArr = this.C1;
                    int i2 = i - 1;
                    iArr[i2] = iArr[i2] + 1;
                }
                return k;
            }
            throw new NumberFormatException("JSON forbids NaN and infinities: " + k);
        }
        throw new IllegalStateException("Expected " + jsonToken + " but was " + z0 + M());
    }

    @Override // com.google.gson.stream.a
    public int Q() throws IOException {
        JsonToken z0 = z0();
        JsonToken jsonToken = JsonToken.NUMBER;
        if (z0 == jsonToken || z0 == JsonToken.STRING) {
            int m = ((o) m1()).m();
            s1();
            int i = this.A1;
            if (i > 0) {
                int[] iArr = this.C1;
                int i2 = i - 1;
                iArr[i2] = iArr[i2] + 1;
            }
            return m;
        }
        throw new IllegalStateException("Expected " + jsonToken + " but was " + z0 + M());
    }

    @Override // com.google.gson.stream.a
    public long Z() throws IOException {
        JsonToken z0 = z0();
        JsonToken jsonToken = JsonToken.NUMBER;
        if (z0 == jsonToken || z0 == JsonToken.STRING) {
            long r = ((o) m1()).r();
            s1();
            int i = this.A1;
            if (i > 0) {
                int[] iArr = this.C1;
                int i2 = i - 1;
                iArr[i2] = iArr[i2] + 1;
            }
            return r;
        }
        throw new IllegalStateException("Expected " + jsonToken + " but was " + z0 + M());
    }

    @Override // com.google.gson.stream.a
    public void a() throws IOException {
        j1(JsonToken.BEGIN_ARRAY);
        z1(((h) m1()).iterator());
        this.C1[this.A1 - 1] = 0;
    }

    @Override // com.google.gson.stream.a
    public String b0() throws IOException {
        j1(JsonToken.NAME);
        Map.Entry entry = (Map.Entry) ((Iterator) m1()).next();
        String str = (String) entry.getKey();
        this.B1[this.A1 - 1] = str;
        z1(entry.getValue());
        return str;
    }

    @Override // com.google.gson.stream.a
    public void c() throws IOException {
        j1(JsonToken.BEGIN_OBJECT);
        z1(((m) m1()).G().iterator());
    }

    @Override // com.google.gson.stream.a, java.io.Closeable, java.lang.AutoCloseable
    public void close() throws IOException {
        this.z1 = new Object[]{y1};
        this.A1 = 1;
    }

    @Override // com.google.gson.stream.a
    public void d1() throws IOException {
        if (z0() == JsonToken.NAME) {
            b0();
            this.B1[this.A1 - 2] = "null";
        } else {
            s1();
            int i = this.A1;
            if (i > 0) {
                this.B1[i - 1] = "null";
            }
        }
        int i2 = this.A1;
        if (i2 > 0) {
            int[] iArr = this.C1;
            int i3 = i2 - 1;
            iArr[i3] = iArr[i3] + 1;
        }
    }

    @Override // com.google.gson.stream.a
    public String f() {
        StringBuilder sb = new StringBuilder();
        sb.append('$');
        int i = 0;
        while (i < this.A1) {
            Object[] objArr = this.z1;
            if (objArr[i] instanceof h) {
                i++;
                if (objArr[i] instanceof Iterator) {
                    sb.append('[');
                    sb.append(this.C1[i]);
                    sb.append(']');
                }
            } else if (objArr[i] instanceof m) {
                i++;
                if (objArr[i] instanceof Iterator) {
                    sb.append('.');
                    String[] strArr = this.B1;
                    if (strArr[i] != null) {
                        sb.append(strArr[i]);
                    }
                }
            }
            i++;
        }
        return sb.toString();
    }

    @Override // com.google.gson.stream.a
    public void j() throws IOException {
        j1(JsonToken.END_ARRAY);
        s1();
        s1();
        int i = this.A1;
        if (i > 0) {
            int[] iArr = this.C1;
            int i2 = i - 1;
            iArr[i2] = iArr[i2] + 1;
        }
    }

    @Override // com.google.gson.stream.a
    public void k() throws IOException {
        j1(JsonToken.END_OBJECT);
        s1();
        s1();
        int i = this.A1;
        if (i > 0) {
            int[] iArr = this.C1;
            int i2 = i - 1;
            iArr[i2] = iArr[i2] + 1;
        }
    }

    @Override // com.google.gson.stream.a
    public void m0() throws IOException {
        j1(JsonToken.NULL);
        s1();
        int i = this.A1;
        if (i > 0) {
            int[] iArr = this.C1;
            int i2 = i - 1;
            iArr[i2] = iArr[i2] + 1;
        }
    }

    @Override // com.google.gson.stream.a
    public boolean o() throws IOException {
        JsonToken z0 = z0();
        return (z0 == JsonToken.END_OBJECT || z0 == JsonToken.END_ARRAY) ? false : true;
    }

    @Override // com.google.gson.stream.a
    public String toString() {
        return e.class.getSimpleName();
    }

    public void u1() throws IOException {
        j1(JsonToken.NAME);
        Map.Entry entry = (Map.Entry) ((Iterator) m1()).next();
        z1(entry.getValue());
        z1(new o((String) entry.getKey()));
    }

    @Override // com.google.gson.stream.a
    public String w0() throws IOException {
        JsonToken z0 = z0();
        JsonToken jsonToken = JsonToken.STRING;
        if (z0 == jsonToken || z0 == JsonToken.NUMBER) {
            String u = ((o) s1()).u();
            int i = this.A1;
            if (i > 0) {
                int[] iArr = this.C1;
                int i2 = i - 1;
                iArr[i2] = iArr[i2] + 1;
            }
            return u;
        }
        throw new IllegalStateException("Expected " + jsonToken + " but was " + z0 + M());
    }

    @Override // com.google.gson.stream.a
    public JsonToken z0() throws IOException {
        if (this.A1 == 0) {
            return JsonToken.END_DOCUMENT;
        }
        Object m1 = m1();
        if (m1 instanceof Iterator) {
            boolean z = this.z1[this.A1 - 2] instanceof m;
            Iterator it = (Iterator) m1;
            if (!it.hasNext()) {
                return z ? JsonToken.END_OBJECT : JsonToken.END_ARRAY;
            }
            if (z) {
                return JsonToken.NAME;
            }
            z1(it.next());
            return z0();
        } else if (m1 instanceof m) {
            return JsonToken.BEGIN_OBJECT;
        } else {
            if (m1 instanceof h) {
                return JsonToken.BEGIN_ARRAY;
            }
            if (m1 instanceof o) {
                o oVar = (o) m1;
                if (oVar.E()) {
                    return JsonToken.STRING;
                }
                if (oVar.A()) {
                    return JsonToken.BOOLEAN;
                }
                if (oVar.C()) {
                    return JsonToken.NUMBER;
                }
                throw new AssertionError();
            } else if (m1 instanceof l) {
                return JsonToken.NULL;
            } else {
                if (m1 == y1) {
                    throw new IllegalStateException("JsonReader is closed");
                }
                throw new AssertionError();
            }
        }
    }
}
