package com.google.zxing.o;

import com.google.zxing.BarcodeFormat;
import com.google.zxing.EncodeHintType;
import com.google.zxing.common.b;
import com.google.zxing.n;
import com.google.zxing.o.f.a;
import java.nio.charset.Charset;
import java.nio.charset.StandardCharsets;
import java.util.Map;

/* compiled from: AztecWriter */
public final class c implements n {
    private static b c(String str, BarcodeFormat barcodeFormat, int i, int i2, Charset charset, int i3, int i4) {
        if (barcodeFormat == BarcodeFormat.AZTEC) {
            return d(com.google.zxing.o.f.c.e(str.getBytes(charset), i3, i4), i, i2);
        }
        throw new IllegalArgumentException("Can only encode AZTEC, but got ".concat(String.valueOf(barcodeFormat)));
    }

    private static b d(a aVar, int i, int i2) {
        b c2 = aVar.c();
        if (c2 != null) {
            int r = c2.r();
            int m = c2.m();
            int max = Math.max(i, r);
            int max2 = Math.max(i2, m);
            int min = Math.min(max / r, max2 / m);
            int i3 = (max - (r * min)) / 2;
            int i4 = (max2 - (m * min)) / 2;
            b bVar = new b(max, max2);
            int i5 = 0;
            while (i5 < m) {
                int i6 = i3;
                int i7 = 0;
                while (i7 < r) {
                    if (c2.e(i7, i5)) {
                        bVar.w(i6, i4, min, min);
                    }
                    i7++;
                    i6 += min;
                }
                i5++;
                i4 += min;
            }
            return bVar;
        }
        throw new IllegalStateException();
    }

    @Override // com.google.zxing.n
    public b a(String str, BarcodeFormat barcodeFormat, int i, int i2) {
        return b(str, barcodeFormat, i, i2, null);
    }

    @Override // com.google.zxing.n
    public b b(String str, BarcodeFormat barcodeFormat, int i, int i2, Map<EncodeHintType, ?> map) {
        int i3;
        int i4;
        Charset charset;
        Charset charset2 = StandardCharsets.ISO_8859_1;
        int i5 = 33;
        if (map != null) {
            EncodeHintType encodeHintType = EncodeHintType.CHARACTER_SET;
            if (map.containsKey(encodeHintType)) {
                charset2 = Charset.forName(map.get(encodeHintType).toString());
            }
            EncodeHintType encodeHintType2 = EncodeHintType.ERROR_CORRECTION;
            if (map.containsKey(encodeHintType2)) {
                i5 = Integer.parseInt(map.get(encodeHintType2).toString());
            }
            EncodeHintType encodeHintType3 = EncodeHintType.AZTEC_LAYERS;
            if (map.containsKey(encodeHintType3)) {
                charset = charset2;
                i4 = i5;
                i3 = Integer.parseInt(map.get(encodeHintType3).toString());
                return c(str, barcodeFormat, i, i2, charset, i4, i3);
            }
            charset = charset2;
            i4 = i5;
        } else {
            charset = charset2;
            i4 = 33;
        }
        i3 = 0;
        return c(str, barcodeFormat, i, i2, charset, i4, i3);
    }
}
