package com.google.zxing.s.c0.g;

import com.google.zxing.BarcodeFormat;
import com.google.zxing.DecodeHintType;
import com.google.zxing.FormatException;
import com.google.zxing.NotFoundException;
import com.google.zxing.k;
import com.google.zxing.l;
import com.google.zxing.s.c0.a;
import com.google.zxing.s.c0.b;
import com.google.zxing.s.c0.f;
import com.google.zxing.s.c0.g.e.j;
import com.google.zxing.s.r;
import com.ibm.icu.lang.c;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Iterator;
import java.util.List;
import java.util.Map;

/* compiled from: RSSExpandedReader */
public final class d extends a {
    private static final int[] k = {7, 5, 4, 3, 1};
    private static final int[] l = {4, 20, 52, 104, c.p.Y2};
    private static final int[] m = {0, 348, 1388, 2948, 3988};
    private static final int[][] n = {new int[]{1, 8, 4, 1}, new int[]{3, 6, 4, 1}, new int[]{3, 4, 6, 1}, new int[]{3, 2, 8, 1}, new int[]{2, 6, 5, 1}, new int[]{2, 2, 9, 1}};
    private static final int[][] o = {new int[]{1, 3, 9, 27, 81, 32, 96, 77}, new int[]{20, 60, 180, 118, 143, 7, 21, 63}, new int[]{189, 145, 13, 39, 117, 140, c.p.d3, c.p.Z2}, new int[]{193, 157, 49, 147, 19, 57, 171, 91}, new int[]{62, 186, 136, 197, 169, 85, 44, 132}, new int[]{185, 133, 188, 142, 4, 12, 36, 108}, new int[]{113, 128, 173, 97, 80, 29, 87, 50}, new int[]{150, 28, 84, 41, 123, 158, 52, 156}, new int[]{46, 138, c.p.X2, 187, 139, c.p.a3, 196, 166}, new int[]{76, 17, 51, 153, 37, 111, 122, 155}, new int[]{43, 129, 176, 106, 107, 110, 119, 146}, new int[]{16, 48, 144, 10, 30, 90, 59, 177}, new int[]{109, 116, 137, 200, 178, 112, 125, 164}, new int[]{70, c.p.e3, c.p.c3, c.p.W2, 184, 130, 179, 115}, new int[]{134, 191, 151, 31, 93, 68, c.p.Y2, 190}, new int[]{148, 22, 66, 198, 172, 94, 71, 2}, new int[]{6, 18, 54, 162, 64, 192, 154, 40}, new int[]{120, 149, 25, 75, 14, 42, 126, 167}, new int[]{79, 26, 78, 23, 69, c.p.b3, 199, 175}, new int[]{103, 98, 83, 38, 114, 131, 182, 124}, new int[]{161, 61, 183, 127, 170, 88, 53, 159}, new int[]{55, 165, 73, 8, 24, 72, 5, 15}, new int[]{45, 135, 194, 160, 58, 174, 100, 89}};
    private static final int p = 0;
    private static final int q = 1;
    private static final int r = 2;
    private static final int s = 3;
    private static final int t = 4;
    private static final int u = 5;
    private static final int[][] v = {new int[]{0, 0}, new int[]{0, 1, 1}, new int[]{0, 2, 1, 3}, new int[]{0, 4, 1, 3, 2}, new int[]{0, 4, 1, 3, 3, 5}, new int[]{0, 4, 1, 3, 4, 5, 5}, new int[]{0, 0, 1, 1, 2, 2, 3, 3}, new int[]{0, 0, 1, 1, 2, 2, 3, 4, 4}, new int[]{0, 0, 1, 1, 2, 2, 3, 4, 5, 5}, new int[]{0, 0, 1, 1, 2, 3, 3, 4, 4, 5, 5}};
    private static final int w = 11;
    private boolean A;
    private final List<b> x = new ArrayList(11);
    private final List<c> y = new ArrayList();
    private final int[] z = new int[2];

    private void A(com.google.zxing.common.a aVar, List<b> list, int i) throws NotFoundException {
        int[] l2 = l();
        l2[0] = 0;
        l2[1] = 0;
        l2[2] = 0;
        l2[3] = 0;
        int r2 = aVar.r();
        if (i < 0) {
            if (list.isEmpty()) {
                i = 0;
            } else {
                i = list.get(list.size() - 1).b().b()[1];
            }
        }
        boolean z2 = list.size() % 2 != 0;
        if (this.A) {
            z2 = !z2;
        }
        boolean z3 = false;
        while (i < r2) {
            z3 = !aVar.m(i);
            if (!z3) {
                break;
            }
            i++;
        }
        boolean z4 = z3;
        int i2 = 0;
        int i3 = i;
        while (i < r2) {
            if (aVar.m(i) != z4) {
                l2[i2] = l2[i2] + 1;
            } else {
                if (i2 == 3) {
                    if (z2) {
                        J(l2);
                    }
                    if (a.r(l2)) {
                        int[] iArr = this.z;
                        iArr[0] = i3;
                        iArr[1] = i;
                        return;
                    }
                    if (z2) {
                        J(l2);
                    }
                    i3 += l2[0] + l2[1];
                    l2[0] = l2[2];
                    l2[1] = l2[3];
                    l2[2] = 0;
                    l2[3] = 0;
                    i2--;
                } else {
                    i2++;
                }
                l2[i2] = 1;
                z4 = !z4;
            }
            i++;
        }
        throw NotFoundException.getNotFoundInstance();
    }

    private static int B(com.google.zxing.common.a aVar, int i) {
        if (aVar.m(i)) {
            return aVar.p(aVar.q(i));
        }
        return aVar.q(aVar.p(i));
    }

    private static boolean D(com.google.zxing.s.c0.c cVar, boolean z2, boolean z3) {
        return cVar.c() != 0 || !z2 || !z3;
    }

    private static boolean E(Iterable<b> iterable, Iterable<c> iterable2) {
        boolean z2;
        boolean z3;
        Iterator<c> it = iterable2.iterator();
        do {
            z2 = false;
            if (it.hasNext()) {
                c next = it.next();
                Iterator<b> it2 = iterable.iterator();
                while (true) {
                    if (!it2.hasNext()) {
                        z2 = true;
                        continue;
                        break;
                    }
                    b next2 = it2.next();
                    Iterator<b> it3 = next.a().iterator();
                    while (true) {
                        if (it3.hasNext()) {
                            if (next2.equals(it3.next())) {
                                z3 = true;
                                continue;
                                break;
                            }
                        } else {
                            z3 = false;
                            continue;
                            break;
                        }
                    }
                    if (!z3) {
                        continue;
                        break;
                    }
                }
            } else {
                return false;
            }
        } while (!z2);
        return true;
    }

    private static boolean F(List<b> list) {
        boolean z2;
        int[][] iArr = v;
        for (int[] iArr2 : iArr) {
            if (list.size() <= iArr2.length) {
                int i = 0;
                while (true) {
                    if (i >= list.size()) {
                        z2 = true;
                        break;
                    } else if (list.get(i).b().c() != iArr2[i]) {
                        z2 = false;
                        break;
                    } else {
                        i++;
                    }
                }
                if (z2) {
                    return true;
                }
            }
        }
        return false;
    }

    private com.google.zxing.s.c0.c G(com.google.zxing.common.a aVar, int i, boolean z2) {
        int i2;
        int i3;
        int i4;
        if (z2) {
            int i5 = this.z[0] - 1;
            while (i5 >= 0 && !aVar.m(i5)) {
                i5--;
            }
            int i6 = i5 + 1;
            int[] iArr = this.z;
            i4 = iArr[0] - i6;
            i2 = iArr[1];
            i3 = i6;
        } else {
            int[] iArr2 = this.z;
            int i7 = iArr2[0];
            int q2 = aVar.q(iArr2[1] + 1);
            i2 = q2;
            i3 = i7;
            i4 = q2 - this.z[1];
        }
        int[] l2 = l();
        System.arraycopy(l2, 0, l2, 1, l2.length - 1);
        l2[0] = i4;
        try {
            return new com.google.zxing.s.c0.c(a.s(l2, n), new int[]{i3, i2}, i3, i2, i);
        } catch (NotFoundException unused) {
            return null;
        }
    }

    private static void H(List<b> list, List<c> list2) {
        boolean z2;
        Iterator<c> it = list2.iterator();
        while (it.hasNext()) {
            c next = it.next();
            if (next.a().size() != list.size()) {
                Iterator<b> it2 = next.a().iterator();
                while (true) {
                    z2 = false;
                    boolean z3 = true;
                    if (!it2.hasNext()) {
                        z2 = true;
                        break;
                    }
                    b next2 = it2.next();
                    Iterator<b> it3 = list.iterator();
                    while (true) {
                        if (it3.hasNext()) {
                            if (next2.equals(it3.next())) {
                                continue;
                                break;
                            }
                        } else {
                            z3 = false;
                            continue;
                            break;
                        }
                    }
                    if (!z3) {
                        break;
                    }
                }
                if (z2) {
                    it.remove();
                }
            }
        }
    }

    private static void J(int[] iArr) {
        int length = iArr.length;
        for (int i = 0; i < length / 2; i++) {
            int i2 = iArr[i];
            int i3 = (length - i) - 1;
            iArr[i] = iArr[i3];
            iArr[i3] = i2;
        }
    }

    private void K(int i, boolean z2) {
        boolean z3 = false;
        int i2 = 0;
        boolean z4 = false;
        while (true) {
            if (i2 >= this.y.size()) {
                break;
            }
            c cVar = this.y.get(i2);
            if (cVar.b() > i) {
                z3 = cVar.c(this.x);
                break;
            } else {
                z4 = cVar.c(this.x);
                i2++;
            }
        }
        if (!z3 && !z4 && !E(this.x, this.y)) {
            this.y.add(i2, new c(this.x, i, z2));
            H(this.x, this.y);
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:52:0x007f  */
    /* JADX WARNING: Removed duplicated region for block: B:57:0x0094  */
    /* JADX WARNING: Removed duplicated region for block: B:59:0x00a1  */
    /* JADX WARNING: Removed duplicated region for block: B:64:0x00b6  */
    /* JADX WARNING: Removed duplicated region for block: B:70:? A[RETURN, SYNTHETIC] */
    private void t(int i) throws NotFoundException {
        boolean z2;
        boolean z3;
        boolean z4;
        boolean z5;
        int d2 = com.google.zxing.common.l.a.d(o());
        int d3 = com.google.zxing.common.l.a.d(m());
        boolean z6 = false;
        boolean z7 = true;
        if (d2 > 13) {
            z3 = false;
            z2 = true;
        } else {
            z3 = d2 < 4;
            z2 = false;
        }
        if (d3 > 13) {
            z5 = false;
            z4 = true;
        } else {
            z5 = d3 < 4;
            z4 = false;
        }
        int i2 = (d2 + d3) - i;
        boolean z8 = (d2 & 1) == 1;
        if ((d3 & 1) == 0) {
            z6 = true;
        }
        if (i2 != 1) {
            if (i2 == -1) {
                if (z8) {
                    if (z6) {
                        throw NotFoundException.getNotFoundInstance();
                    }
                } else if (z6) {
                    z7 = z3;
                    z5 = true;
                } else {
                    throw NotFoundException.getNotFoundInstance();
                }
            } else if (i2 != 0) {
                throw NotFoundException.getNotFoundInstance();
            } else if (z8) {
                if (z6) {
                    if (d2 >= d3) {
                        z7 = z3;
                        z5 = true;
                    }
                    z4 = true;
                } else {
                    throw NotFoundException.getNotFoundInstance();
                }
            } else if (!z6) {
                z7 = z3;
            } else {
                throw NotFoundException.getNotFoundInstance();
            }
            if (z7) {
            }
            if (z2) {
            }
            if (z5) {
            }
            if (z4) {
            }
        } else if (z8) {
            if (!z6) {
                z7 = z3;
            } else {
                throw NotFoundException.getNotFoundInstance();
            }
        } else if (z6) {
            z7 = z3;
            z4 = true;
            if (z7) {
                if (!z2) {
                    a.q(o(), p());
                } else {
                    throw NotFoundException.getNotFoundInstance();
                }
            }
            if (z2) {
                a.j(o(), p());
            }
            if (z5) {
                if (!z4) {
                    a.q(m(), p());
                } else {
                    throw NotFoundException.getNotFoundInstance();
                }
            }
            if (z4) {
                a.j(m(), n());
                return;
            }
            return;
        } else {
            throw NotFoundException.getNotFoundInstance();
        }
        z2 = true;
        if (z7) {
        }
        if (z2) {
        }
        if (z5) {
        }
        if (z4) {
        }
    }

    private boolean u() {
        b bVar = this.x.get(0);
        b c2 = bVar.c();
        b d2 = bVar.d();
        if (d2 == null) {
            return false;
        }
        int a2 = d2.a();
        int i = 2;
        for (int i2 = 1; i2 < this.x.size(); i2++) {
            b bVar2 = this.x.get(i2);
            a2 += bVar2.c().a();
            i++;
            b d3 = bVar2.d();
            if (d3 != null) {
                a2 += d3.a();
                i++;
            }
        }
        if (((i - 4) * c.p.f3) + (a2 % c.p.f3) == c2.b()) {
            return true;
        }
        return false;
    }

    private List<b> v(List<c> list, int i) throws NotFoundException {
        while (i < this.y.size()) {
            c cVar = this.y.get(i);
            this.x.clear();
            for (c cVar2 : list) {
                this.x.addAll(cVar2.a());
            }
            this.x.addAll(cVar.a());
            if (!F(this.x)) {
                i++;
            } else if (u()) {
                return this.x;
            } else {
                ArrayList arrayList = new ArrayList(list);
                arrayList.add(cVar);
                try {
                    return v(arrayList, i + 1);
                } catch (NotFoundException unused) {
                    continue;
                }
            }
        }
        throw NotFoundException.getNotFoundInstance();
    }

    private List<b> w(boolean z2) {
        List<b> list = null;
        if (this.y.size() > 25) {
            this.y.clear();
            return null;
        }
        this.x.clear();
        if (z2) {
            Collections.reverse(this.y);
        }
        try {
            list = v(new ArrayList(), 0);
        } catch (NotFoundException unused) {
        }
        if (z2) {
            Collections.reverse(this.y);
        }
        return list;
    }

    static k x(List<b> list) throws NotFoundException, FormatException {
        String d2 = j.a(a.a(list)).d();
        l[] a2 = list.get(0).b().a();
        l[] a3 = list.get(list.size() - 1).b().a();
        return new k(d2, null, new l[]{a2[0], a2[1], a3[0], a3[1]}, BarcodeFormat.RSS_EXPANDED);
    }

    /* access modifiers changed from: package-private */
    public List<c> C() {
        return this.y;
    }

    /* access modifiers changed from: package-private */
    public b I(com.google.zxing.common.a aVar, List<b> list, int i) throws NotFoundException {
        com.google.zxing.s.c0.c G;
        b bVar;
        boolean z2 = list.size() % 2 == 0;
        if (this.A) {
            z2 = !z2;
        }
        int i2 = -1;
        boolean z3 = true;
        do {
            A(aVar, list, i2);
            G = G(aVar, i, z2);
            if (G == null) {
                i2 = B(aVar, this.z[0]);
                continue;
            } else {
                z3 = false;
                continue;
            }
        } while (z3);
        b y2 = y(aVar, G, z2, true);
        if (list.isEmpty() || !list.get(list.size() - 1).g()) {
            try {
                bVar = y(aVar, G, z2, false);
            } catch (NotFoundException unused) {
                bVar = null;
            }
            return new b(y2, bVar, G, true);
        }
        throw NotFoundException.getNotFoundInstance();
    }

    @Override // com.google.zxing.j, com.google.zxing.s.r
    public void a() {
        this.x.clear();
        this.y.clear();
    }

    @Override // com.google.zxing.s.r
    public k d(int i, com.google.zxing.common.a aVar, Map<DecodeHintType, ?> map) throws NotFoundException, FormatException {
        this.x.clear();
        this.A = false;
        try {
            return x(z(i, aVar));
        } catch (NotFoundException unused) {
            this.x.clear();
            this.A = true;
            return x(z(i, aVar));
        }
    }

    /* access modifiers changed from: package-private */
    public b y(com.google.zxing.common.a aVar, com.google.zxing.s.c0.c cVar, boolean z2, boolean z3) throws NotFoundException {
        int[] k2 = k();
        for (int i = 0; i < k2.length; i++) {
            k2[i] = 0;
        }
        if (z3) {
            r.h(aVar, cVar.b()[0], k2);
        } else {
            r.g(aVar, cVar.b()[1], k2);
            int i2 = 0;
            for (int length = k2.length - 1; i2 < length; length--) {
                int i3 = k2[i2];
                k2[i2] = k2[length];
                k2[length] = i3;
                i2++;
            }
        }
        float d2 = ((float) com.google.zxing.common.l.a.d(k2)) / 17.0f;
        float f = ((float) (cVar.b()[1] - cVar.b()[0])) / 15.0f;
        if (Math.abs(d2 - f) / f <= 0.3f) {
            int[] o2 = o();
            int[] m2 = m();
            float[] p2 = p();
            float[] n2 = n();
            for (int i4 = 0; i4 < k2.length; i4++) {
                float f2 = (((float) k2[i4]) * 1.0f) / d2;
                int i5 = (int) (0.5f + f2);
                if (i5 <= 0) {
                    if (f2 >= 0.3f) {
                        i5 = 1;
                    } else {
                        throw NotFoundException.getNotFoundInstance();
                    }
                } else if (i5 > 8) {
                    if (f2 <= 8.7f) {
                        i5 = 8;
                    } else {
                        throw NotFoundException.getNotFoundInstance();
                    }
                }
                int i6 = i4 / 2;
                if ((i4 & 1) == 0) {
                    o2[i6] = i5;
                    p2[i6] = f2 - ((float) i5);
                } else {
                    m2[i6] = i5;
                    n2[i6] = f2 - ((float) i5);
                }
            }
            t(17);
            int c2 = (((cVar.c() * 4) + (z2 ? 0 : 2)) + (!z3 ? 1 : 0)) - 1;
            int i7 = 0;
            int i8 = 0;
            for (int length2 = o2.length - 1; length2 >= 0; length2--) {
                if (D(cVar, z2, z3)) {
                    i7 += o2[length2] * o[c2][length2 * 2];
                }
                i8 += o2[length2];
            }
            int i9 = 0;
            for (int length3 = m2.length - 1; length3 >= 0; length3--) {
                if (D(cVar, z2, z3)) {
                    i9 += m2[length3] * o[c2][(length3 * 2) + 1];
                }
            }
            int i10 = i7 + i9;
            if ((i8 & 1) != 0 || i8 > 13 || i8 < 4) {
                throw NotFoundException.getNotFoundInstance();
            }
            int i11 = (13 - i8) / 2;
            int i12 = k[i11];
            return new b((f.b(o2, i12, true) * l[i11]) + f.b(m2, 9 - i12, false) + m[i11], i10);
        }
        throw NotFoundException.getNotFoundInstance();
    }

    /* access modifiers changed from: package-private */
    public List<b> z(int i, com.google.zxing.common.a aVar) throws NotFoundException {
        boolean z2 = false;
        while (!z2) {
            try {
                List<b> list = this.x;
                list.add(I(aVar, list, i));
            } catch (NotFoundException e2) {
                if (!this.x.isEmpty()) {
                    z2 = true;
                } else {
                    throw e2;
                }
            }
        }
        if (u()) {
            return this.x;
        }
        boolean z3 = !this.y.isEmpty();
        K(i, false);
        if (z3) {
            List<b> w2 = w(false);
            if (w2 != null) {
                return w2;
            }
            List<b> w3 = w(true);
            if (w3 != null) {
                return w3;
            }
        }
        throw NotFoundException.getNotFoundInstance();
    }
}
