package com.ibm.icu.number;

import com.ibm.icu.number.NumberFormatter;

/* compiled from: FractionPrecision */
public abstract class e extends p {
    e() {
    }

    public p J(int i) {
        if (i >= 1 && i <= 999) {
            return p.i(this, 1, i, NumberFormatter.RoundingPriority.STRICT, true);
        }
        throw new IllegalArgumentException("Significant digits must be between 1 and 999 (inclusive)");
    }

    public p K(int i) {
        if (i >= 1 && i <= 999) {
            return p.i(this, 1, i, NumberFormatter.RoundingPriority.RELAXED, true);
        }
        throw new IllegalArgumentException("Significant digits must be between 1 and 999 (inclusive)");
    }

    public p L(int i, int i2, NumberFormatter.RoundingPriority roundingPriority) {
        if (i2 >= 1 && i2 >= i && i2 <= 999) {
            return p.i(this, i, i2, roundingPriority, false);
        }
        throw new IllegalArgumentException("Significant digits must be between 1 and 999 (inclusive)");
    }
}
