package com.ibm.icu.util;

import com.google.android.gms.common.util.m;
import com.ibm.icu.lang.c;
import com.ibm.icu.util.ULocale;
import java.util.Date;
import java.util.Locale;

@Deprecated
public class PersianCalendar extends Calendar {
    private static final int[][] F1 = {new int[]{31, 31, 0}, new int[]{31, 31, 31}, new int[]{31, 31, 62}, new int[]{31, 31, 93}, new int[]{31, 31, 124}, new int[]{31, 31, 155}, new int[]{30, 30, 186}, new int[]{30, 30, c.p.k3}, new int[]{30, 30, c.p.O3}, new int[]{30, 30, c.p.s4}, new int[]{30, 30, 306}, new int[]{29, 30, 336}};
    private static final int G1 = 1948320;
    private static final int[][] H1 = {new int[]{0, 0, 0, 0}, new int[]{-5000000, -5000000, m.f10270d, m.f10270d}, new int[]{0, 0, 11, 11}, new int[]{1, 1, 52, 53}, new int[0], new int[]{1, 1, 29, 31}, new int[]{1, 1, 365, 366}, new int[0], new int[]{-1, -1, 5, 5}, new int[0], new int[0], new int[0], new int[0], new int[0], new int[0], new int[0], new int[0], new int[]{-5000000, -5000000, m.f10270d, m.f10270d}, new int[0], new int[]{-5000000, -5000000, m.f10270d, m.f10270d}, new int[0], new int[0]};
    private static final long serialVersionUID = -6727306982975111643L;

    @Deprecated
    public PersianCalendar() {
        this(TimeZone.getDefault(), ULocale.getDefault(ULocale.Category.FORMAT));
    }

    private static final boolean isLeapYear(int i) {
        int[] iArr = new int[1];
        Calendar.M((i * 25) + 11, 33, iArr);
        if (iArr[0] < 8) {
            return true;
        }
        return false;
    }

    @Override // com.ibm.icu.util.Calendar
    @Deprecated
    public String getType() {
        return "persian";
    }

    /* access modifiers changed from: protected */
    @Override // com.ibm.icu.util.Calendar
    @Deprecated
    public void m0(int i) {
        int i2;
        long j = (long) (i - G1);
        int O = ((int) Calendar.O((j * 33) + 3, 12053)) + 1;
        long j2 = (long) O;
        int O2 = (int) (j - (((j2 - 1) * 365) + Calendar.O((j2 * 8) + 21, 33)));
        if (O2 < 216) {
            i2 = O2 / 31;
        } else {
            i2 = (O2 - 6) / 30;
        }
        E0(0, 0);
        E0(1, O);
        E0(19, O);
        E0(2, i2);
        E0(5, (O2 - F1[i2][2]) + 1);
        E0(6, O2 + 1);
    }

    /* access modifiers changed from: protected */
    @Override // com.ibm.icu.util.Calendar
    @Deprecated
    public int p0(int i, int i2, boolean z) {
        if (i2 < 0 || i2 > 11) {
            int[] iArr = new int[1];
            i += Calendar.M(i2, 12, iArr);
            i2 = iArr[0];
        }
        int L = ((i - 1) * 365) + 1948319 + Calendar.L((i * 8) + 21, 33);
        return i2 != 0 ? L + F1[i2][2] : L;
    }

    /* access modifiers changed from: protected */
    @Override // com.ibm.icu.util.Calendar
    @Deprecated
    public int v0() {
        if (K0(19, 1) == 19) {
            return C0(19, 1);
        }
        return C0(1, 1);
    }

    /* access modifiers changed from: protected */
    @Override // com.ibm.icu.util.Calendar
    @Deprecated
    public int w0(int i, int i2) {
        return H1[i][i2];
    }

    /* access modifiers changed from: protected */
    @Override // com.ibm.icu.util.Calendar
    @Deprecated
    public int y0(int i, int i2) {
        if (i2 < 0 || i2 > 11) {
            int[] iArr = new int[1];
            i += Calendar.M(i2, 12, iArr);
            i2 = iArr[0];
        }
        return F1[i2][isLeapYear(i) ? 1 : 0];
    }

    /* access modifiers changed from: protected */
    @Override // com.ibm.icu.util.Calendar
    @Deprecated
    public int z0(int i) {
        return isLeapYear(i) ? 366 : 365;
    }

    @Deprecated
    public PersianCalendar(TimeZone timeZone) {
        this(timeZone, ULocale.getDefault(ULocale.Category.FORMAT));
    }

    @Deprecated
    public PersianCalendar(Locale locale) {
        this(TimeZone.forLocaleOrDefault(locale), locale);
    }

    @Deprecated
    public PersianCalendar(ULocale uLocale) {
        this(TimeZone.forULocaleOrDefault(uLocale), uLocale);
    }

    @Deprecated
    public PersianCalendar(TimeZone timeZone, Locale locale) {
        super(timeZone, locale);
        setTimeInMillis(System.currentTimeMillis());
    }

    @Deprecated
    public PersianCalendar(TimeZone timeZone, ULocale uLocale) {
        super(timeZone, uLocale);
        setTimeInMillis(System.currentTimeMillis());
    }

    @Deprecated
    public PersianCalendar(Date date) {
        super(TimeZone.getDefault(), ULocale.getDefault(ULocale.Category.FORMAT));
        setTime(date);
    }

    @Deprecated
    public PersianCalendar(int i, int i2, int i3) {
        super(TimeZone.getDefault(), ULocale.getDefault(ULocale.Category.FORMAT));
        set(1, i);
        set(2, i2);
        set(5, i3);
    }

    @Deprecated
    public PersianCalendar(int i, int i2, int i3, int i4, int i5, int i6) {
        super(TimeZone.getDefault(), ULocale.getDefault(ULocale.Category.FORMAT));
        set(1, i);
        set(2, i2);
        set(5, i3);
        set(11, i4);
        set(12, i5);
        set(13, i6);
    }
}
