package com.ibm.icu.util;

import com.ibm.icu.impl.v0;
import com.ibm.icu.util.StringTrieBuilder;
import java.nio.CharBuffer;

/* compiled from: CharsTrieBuilder */
public final class f extends StringTrieBuilder {
    static final /* synthetic */ boolean g = false;
    private final char[] h = new char[3];
    private char[] i;
    private int j;

    private void u(StringTrieBuilder.Option option) {
        if (this.i == null) {
            this.i = new char[1024];
        }
        d(option);
    }

    private void w(int i2) {
        char[] cArr = this.i;
        if (i2 > cArr.length) {
            int length = cArr.length;
            do {
                length *= 2;
            } while (length <= i2);
            char[] cArr2 = new char[length];
            char[] cArr3 = this.i;
            int length2 = cArr3.length;
            int i3 = this.j;
            System.arraycopy(cArr3, length2 - i3, cArr2, length - i3, i3);
            this.i = cArr2;
        }
    }

    private int x(char[] cArr, int i2) {
        int i3 = this.j + i2;
        w(i3);
        this.j = i3;
        char[] cArr2 = this.i;
        System.arraycopy(cArr, 0, cArr2, cArr2.length - i3, i2);
        return this.j;
    }

    /* access modifiers changed from: protected */
    @Override // com.ibm.icu.util.StringTrieBuilder
    @Deprecated
    public int g() {
        return 5;
    }

    /* access modifiers changed from: protected */
    @Override // com.ibm.icu.util.StringTrieBuilder
    @Deprecated
    public int h() {
        return 16;
    }

    /* access modifiers changed from: protected */
    @Override // com.ibm.icu.util.StringTrieBuilder
    @Deprecated
    public int i() {
        return 48;
    }

    /* access modifiers changed from: protected */
    @Override // com.ibm.icu.util.StringTrieBuilder
    @Deprecated
    public boolean j() {
        return true;
    }

    /* access modifiers changed from: protected */
    @Override // com.ibm.icu.util.StringTrieBuilder
    @Deprecated
    public int m(int i2) {
        int i3 = this.j + 1;
        w(i3);
        this.j = i3;
        char[] cArr = this.i;
        cArr[cArr.length - i3] = (char) i2;
        return i3;
    }

    /* access modifiers changed from: protected */
    @Override // com.ibm.icu.util.StringTrieBuilder
    @Deprecated
    public int n(int i2, int i3) {
        int i4 = this.j + i3;
        w(i4);
        this.j = i4;
        int length = this.i.length - i4;
        while (i3 > 0) {
            this.i[length] = this.f16046c.charAt(i2);
            i3--;
            length++;
            i2++;
        }
        return this.j;
    }

    /* access modifiers changed from: protected */
    @Override // com.ibm.icu.util.StringTrieBuilder
    @Deprecated
    public int o(int i2) {
        int i3 = this.j - i2;
        if (i3 <= 64511) {
            return m(i3);
        }
        int i4 = 1;
        if (i3 <= 67043327) {
            this.h[0] = (char) ((i3 >> 16) + v0.f);
        } else {
            char[] cArr = this.h;
            cArr[0] = 65535;
            cArr[1] = (char) (i3 >> 16);
            i4 = 2;
        }
        char[] cArr2 = this.h;
        cArr2[i4] = (char) i3;
        return x(cArr2, i4 + 1);
    }

    /* access modifiers changed from: protected */
    @Override // com.ibm.icu.util.StringTrieBuilder
    @Deprecated
    public int p(int i2, boolean z) {
        char c2 = 32768;
        if (i2 < 0 || i2 > 16383) {
            int i3 = 2;
            if (i2 < 0 || i2 > 1073676287) {
                char[] cArr = this.h;
                cArr[0] = 32767;
                cArr[1] = (char) (i2 >> 16);
                cArr[2] = (char) i2;
                i3 = 3;
            } else {
                char[] cArr2 = this.h;
                cArr2[0] = (char) ((i2 >> 16) + 16384);
                cArr2[1] = (char) i2;
            }
            char[] cArr3 = this.h;
            char c3 = cArr3[0];
            if (!z) {
                c2 = 0;
            }
            cArr3[0] = (char) (c3 | c2);
            return x(cArr3, i3);
        }
        if (!z) {
            c2 = 0;
        }
        return m(i2 | c2);
    }

    /* access modifiers changed from: protected */
    @Override // com.ibm.icu.util.StringTrieBuilder
    @Deprecated
    public int q(boolean z, int i2, int i3) {
        if (!z) {
            return m(i3);
        }
        int i4 = 2;
        if (i2 < 0 || i2 > 16646143) {
            char[] cArr = this.h;
            cArr[0] = 32704;
            cArr[1] = (char) (i2 >> 16);
            cArr[2] = (char) i2;
            i4 = 3;
        } else if (i2 <= 255) {
            this.h[0] = (char) ((i2 + 1) << 6);
            i4 = 1;
        } else {
            char[] cArr2 = this.h;
            cArr2[0] = (char) ((32704 & (i2 >> 10)) + 16448);
            cArr2[1] = (char) i2;
        }
        char[] cArr3 = this.h;
        cArr3[0] = (char) (((char) i3) | cArr3[0]);
        return x(cArr3, i4);
    }

    public f r(CharSequence charSequence, int i2) {
        c(charSequence, i2);
        return this;
    }

    public e s(StringTrieBuilder.Option option) {
        return new e(t(option), 0);
    }

    public CharSequence t(StringTrieBuilder.Option option) {
        u(option);
        char[] cArr = this.i;
        int length = cArr.length;
        int i2 = this.j;
        return CharBuffer.wrap(cArr, length - i2, i2);
    }

    public f v() {
        e();
        this.i = null;
        this.j = 0;
        return this;
    }
}
