package com.liulishuo.filedownloader.services;

import android.app.Notification;
import android.content.Intent;
import android.os.IBinder;
import android.os.RemoteCallbackList;
import android.os.RemoteException;
import com.liulishuo.filedownloader.l0.a;
import com.liulishuo.filedownloader.l0.b;
import com.liulishuo.filedownloader.message.MessageSnapshot;
import com.liulishuo.filedownloader.message.c;
import com.liulishuo.filedownloader.model.FileDownloadHeader;
import com.liulishuo.filedownloader.o0.e;
import java.lang.ref.WeakReference;

/* compiled from: FDServiceSeparateHandler */
public class d extends b.a implements c.b, j {
    private final RemoteCallbackList<a> s = new RemoteCallbackList<>();
    private final g t;
    private final WeakReference<FileDownloadService> u;

    d(WeakReference<FileDownloadService> weakReference, g gVar) {
        this.u = weakReference;
        this.t = gVar;
        c.a().c(this);
    }

    private synchronized int S0(MessageSnapshot messageSnapshot) {
        int beginBroadcast;
        RemoteCallbackList<a> remoteCallbackList;
        beginBroadcast = this.s.beginBroadcast();
        for (int i = 0; i < beginBroadcast; i++) {
            try {
                this.s.getBroadcastItem(i).A0(messageSnapshot);
            } catch (RemoteException e2) {
                e.c(this, e2, "callback error", new Object[0]);
                remoteCallbackList = this.s;
            } catch (Throwable th) {
                this.s.finishBroadcast();
                throw th;
            }
        }
        remoteCallbackList = this.s;
        remoteCallbackList.finishBroadcast();
        return beginBroadcast;
    }

    @Override // com.liulishuo.filedownloader.l0.b
    public void A(int i, Notification notification) throws RemoteException {
        WeakReference<FileDownloadService> weakReference = this.u;
        if (weakReference != null && weakReference.get() != null) {
            this.u.get().startForeground(i, notification);
        }
    }

    @Override // com.liulishuo.filedownloader.l0.b
    public void B() throws RemoteException {
        this.t.l();
    }

    @Override // com.liulishuo.filedownloader.l0.b
    public void D0(a aVar) throws RemoteException {
        this.s.unregister(aVar);
    }

    @Override // com.liulishuo.filedownloader.l0.b
    public void K(a aVar) throws RemoteException {
        this.s.register(aVar);
    }

    @Override // com.liulishuo.filedownloader.services.j
    public void b() {
        c.a().c(null);
    }

    @Override // com.liulishuo.filedownloader.services.j
    public IBinder e(Intent intent) {
        return this;
    }

    @Override // com.liulishuo.filedownloader.l0.b
    public byte f(int i) throws RemoteException {
        return this.t.f(i);
    }

    @Override // com.liulishuo.filedownloader.l0.b
    public boolean g0(String str, String str2) throws RemoteException {
        return this.t.i(str, str2);
    }

    @Override // com.liulishuo.filedownloader.l0.b
    public void h(String str, String str2, boolean z, int i, int i2, int i3, boolean z2, FileDownloadHeader fileDownloadHeader, boolean z3) throws RemoteException {
        this.t.n(str, str2, z, i, i2, i3, z2, fileDownloadHeader, z3);
    }

    @Override // com.liulishuo.filedownloader.l0.b
    public boolean i(int i) throws RemoteException {
        return this.t.k(i);
    }

    @Override // com.liulishuo.filedownloader.l0.b
    public void j() throws RemoteException {
        this.t.c();
    }

    @Override // com.liulishuo.filedownloader.l0.b
    public boolean l(int i) throws RemoteException {
        return this.t.m(i);
    }

    @Override // com.liulishuo.filedownloader.message.c.b
    public void m(MessageSnapshot messageSnapshot) {
        S0(messageSnapshot);
    }

    @Override // com.liulishuo.filedownloader.l0.b
    public boolean n(int i) throws RemoteException {
        return this.t.d(i);
    }

    @Override // com.liulishuo.filedownloader.l0.b
    public long s(int i) throws RemoteException {
        return this.t.g(i);
    }

    @Override // com.liulishuo.filedownloader.l0.b
    public void v(boolean z) throws RemoteException {
        WeakReference<FileDownloadService> weakReference = this.u;
        if (weakReference != null && weakReference.get() != null) {
            this.u.get().stopForeground(z);
        }
    }

    @Override // com.liulishuo.filedownloader.l0.b
    public boolean w() throws RemoteException {
        return this.t.j();
    }

    @Override // com.liulishuo.filedownloader.l0.b
    public long x(int i) throws RemoteException {
        return this.t.e(i);
    }

    @Override // com.liulishuo.filedownloader.services.j
    public void y(Intent intent, int i, int i2) {
    }
}
