package com.luck.picture.lib;

import android.content.Intent;
import android.os.Build;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.view.WindowManager;
import android.widget.Button;
import android.widget.ImageView;
import android.widget.TextView;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import com.luck.picture.lib.camera.CustomCameraView;
import com.luck.picture.lib.camera.view.CaptureLayout;
import com.luck.picture.lib.config.PictureSelectionConfig;
import com.luck.picture.lib.entity.LocalMedia;
import com.luck.picture.lib.t0.g;
import com.luck.picture.lib.t0.h;
import com.luck.picture.lib.t0.l;
import java.io.File;

public class PictureCustomCameraActivity extends PictureSelectorCameraEmptyActivity {
    private static final String S0 = PictureCustomCameraActivity.class.getSimpleName();
    private CustomCameraView T0;
    protected boolean U0;

    /* access modifiers changed from: package-private */
    public class a implements com.luck.picture.lib.camera.d.a {
        a() {
        }

        @Override // com.luck.picture.lib.camera.d.a
        public void a(int i, @NonNull String str, @Nullable Throwable th) {
            String str2 = PictureCustomCameraActivity.S0;
            Log.i(str2, "onError: " + str);
        }

        @Override // com.luck.picture.lib.camera.d.a
        public void b(@NonNull File file) {
            PictureCustomCameraActivity.this.f16584a.F2 = com.luck.picture.lib.config.b.D();
            Intent intent = new Intent();
            intent.putExtra(com.luck.picture.lib.config.a.g, file.getAbsolutePath());
            intent.putExtra(com.luck.picture.lib.config.a.w, PictureCustomCameraActivity.this.f16584a);
            PictureCustomCameraActivity pictureCustomCameraActivity = PictureCustomCameraActivity.this;
            if (pictureCustomCameraActivity.f16584a.T0) {
                pictureCustomCameraActivity.S0(intent);
                return;
            }
            pictureCustomCameraActivity.setResult(-1, intent);
            PictureCustomCameraActivity.this.onBackPressed();
        }

        @Override // com.luck.picture.lib.camera.d.a
        public void c(@NonNull File file) {
            PictureCustomCameraActivity.this.f16584a.F2 = com.luck.picture.lib.config.b.y();
            Intent intent = new Intent();
            intent.putExtra(com.luck.picture.lib.config.a.g, file.getAbsolutePath());
            intent.putExtra(com.luck.picture.lib.config.a.w, PictureCustomCameraActivity.this.f16584a);
            PictureCustomCameraActivity pictureCustomCameraActivity = PictureCustomCameraActivity.this;
            if (pictureCustomCameraActivity.f16584a.T0) {
                pictureCustomCameraActivity.S0(intent);
                return;
            }
            pictureCustomCameraActivity.setResult(-1, intent);
            PictureCustomCameraActivity.this.onBackPressed();
        }
    }

    /* access modifiers changed from: package-private */
    public class b implements com.luck.picture.lib.camera.d.c {
        b() {
        }

        @Override // com.luck.picture.lib.camera.d.c
        public void a() {
            PictureCustomCameraActivity.this.onBackPressed();
        }
    }

    /* access modifiers changed from: package-private */
    public class c implements g {
        c() {
        }

        @Override // com.luck.picture.lib.t0.g
        public void a() {
            PictureCustomCameraActivity.this.U0 = true;
        }

        @Override // com.luck.picture.lib.t0.g
        public void onCancel() {
            l<LocalMedia> lVar = PictureSelectionConfig.N0;
            if (lVar != null) {
                lVar.onCancel();
            }
            PictureCustomCameraActivity.this.l0();
        }
    }

    private void X0() {
        if (this.T0 == null) {
            CustomCameraView customCameraView = new CustomCameraView(n0());
            this.T0 = customCameraView;
            setContentView(customCameraView);
            Y0();
        }
    }

    /* access modifiers changed from: private */
    /* renamed from: Z0 */
    public /* synthetic */ void a1(File file, ImageView imageView) {
        com.luck.picture.lib.q0.c cVar;
        if (this.f16584a != null && (cVar = PictureSelectionConfig.K0) != null && file != null) {
            cVar.c(n0(), file.getAbsolutePath(), imageView);
        }
    }

    /* access modifiers changed from: private */
    /* renamed from: b1 */
    public /* synthetic */ void c1(com.luck.picture.lib.p0.b bVar, View view) {
        if (!isFinishing()) {
            bVar.dismiss();
        }
        l<LocalMedia> lVar = PictureSelectionConfig.N0;
        if (lVar != null) {
            lVar.onCancel();
        }
        l0();
    }

    /* access modifiers changed from: private */
    /* renamed from: d1 */
    public /* synthetic */ void e1(com.luck.picture.lib.p0.b bVar, View view) {
        if (!isFinishing()) {
            bVar.dismiss();
        }
        com.luck.picture.lib.x0.a.c(n0());
        this.U0 = true;
    }

    /* access modifiers changed from: protected */
    @Override // com.luck.picture.lib.PictureBaseActivity
    public void J0(boolean z, String[] strArr, String str) {
        if (!isFinishing()) {
            h hVar = PictureSelectionConfig.R0;
            if (hVar != null) {
                hVar.a(n0(), z, strArr, str, new c());
                return;
            }
            com.luck.picture.lib.p0.b bVar = new com.luck.picture.lib.p0.b(n0(), R.layout.picture_wind_base_dialog);
            bVar.setCancelable(false);
            bVar.setCanceledOnTouchOutside(false);
            Button button = (Button) bVar.findViewById(R.id.btn_commit);
            button.setText(getString(R.string.picture_go_setting));
            ((TextView) bVar.findViewById(R.id.tvTitle)).setText(getString(R.string.picture_prompt));
            ((TextView) bVar.findViewById(R.id.tv_content)).setText(str);
            ((Button) bVar.findViewById(R.id.btn_cancel)).setOnClickListener(new e(this, bVar));
            button.setOnClickListener(new c(this, bVar));
            bVar.show();
        }
    }

    /* access modifiers changed from: protected */
    public void Y0() {
        this.T0.w(this.f16584a);
        int i = this.f16584a.q1;
        if (i > 0) {
            this.T0.setRecordVideoMaxTime(i);
        }
        int i2 = this.f16584a.r1;
        if (i2 > 0) {
            this.T0.setRecordVideoMinTime(i2);
        }
        int i3 = this.f16584a.d1;
        if (i3 != 0) {
            this.T0.setCaptureLoadingColor(i3);
        }
        CaptureLayout captureLayout = this.T0.getCaptureLayout();
        if (captureLayout != null) {
            captureLayout.setButtonFeatures(this.f16584a.c1);
        }
        this.T0.setImageCallbackListener(new d(this));
        this.T0.setCameraListener(new a());
        this.T0.setOnClickListener(new b());
    }

    @Override // com.luck.picture.lib.PictureBaseActivity
    public boolean isImmersive() {
        return false;
    }

    @Override // androidx.activity.ComponentActivity, com.luck.picture.lib.PictureSelectorCameraEmptyActivity
    public void onBackPressed() {
        l<LocalMedia> lVar;
        PictureSelectionConfig pictureSelectionConfig = this.f16584a;
        if (!(pictureSelectionConfig == null || !pictureSelectionConfig.T0 || (lVar = PictureSelectionConfig.N0) == null)) {
            lVar.onCancel();
        }
        l0();
    }

    /* access modifiers changed from: protected */
    @Override // androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, androidx.appcompat.app.AppCompatActivity, com.luck.picture.lib.PictureBaseActivity, androidx.fragment.app.FragmentActivity, com.luck.picture.lib.PictureSelectorCameraEmptyActivity
    public void onCreate(Bundle bundle) {
        getWindow().setFlags(1024, 1024);
        getWindow().setFlags(67108864, 67108864);
        getWindow().setFlags(134217728, 134217728);
        if (Build.VERSION.SDK_INT >= 28) {
            WindowManager.LayoutParams attributes = getWindow().getAttributes();
            attributes.layoutInDisplayCutoutMode = 1;
            getWindow().setAttributes(attributes);
        }
        getWindow().addFlags(128);
        super.onCreate(bundle);
        if (!(com.luck.picture.lib.x0.a.a(this, "android.permission.READ_EXTERNAL_STORAGE") && com.luck.picture.lib.x0.a.a(this, "android.permission.WRITE_EXTERNAL_STORAGE"))) {
            com.luck.picture.lib.x0.a.d(this, new String[]{"android.permission.READ_EXTERNAL_STORAGE", "android.permission.WRITE_EXTERNAL_STORAGE"}, 1);
        } else if (!com.luck.picture.lib.x0.a.a(this, "android.permission.CAMERA")) {
            com.luck.picture.lib.x0.a.d(this, new String[]{"android.permission.CAMERA"}, 2);
        } else if (com.luck.picture.lib.x0.a.a(this, "android.permission.RECORD_AUDIO")) {
            X0();
        } else {
            com.luck.picture.lib.x0.a.d(this, new String[]{"android.permission.RECORD_AUDIO"}, 4);
        }
    }

    /* access modifiers changed from: protected */
    @Override // androidx.appcompat.app.AppCompatActivity, com.luck.picture.lib.PictureBaseActivity, androidx.fragment.app.FragmentActivity
    public void onDestroy() {
        CustomCameraView customCameraView = this.T0;
        if (customCameraView != null) {
            customCameraView.H();
        }
        super.onDestroy();
    }

    @Override // com.luck.picture.lib.PictureBaseActivity, androidx.fragment.app.FragmentActivity, com.luck.picture.lib.PictureSelectorCameraEmptyActivity, androidx.core.app.a.d
    public void onRequestPermissionsResult(int i, @NonNull String[] strArr, @NonNull int[] iArr) {
        if (i != 1) {
            if (i != 2) {
                if (i == 4) {
                    if (iArr.length <= 0 || iArr[0] != 0) {
                        J0(false, new String[]{"android.permission.RECORD_AUDIO"}, getString(R.string.picture_audio));
                    } else {
                        X0();
                    }
                }
            } else if (iArr.length <= 0 || iArr[0] != 0) {
                J0(true, new String[]{"android.permission.CAMERA"}, getString(R.string.picture_camera));
            } else if (com.luck.picture.lib.x0.a.a(this, "android.permission.RECORD_AUDIO")) {
                X0();
            } else {
                com.luck.picture.lib.x0.a.d(this, new String[]{"android.permission.RECORD_AUDIO"}, 4);
            }
        } else if (iArr.length <= 0 || iArr[0] != 0) {
            J0(true, new String[]{"android.permission.READ_EXTERNAL_STORAGE", "android.permission.WRITE_EXTERNAL_STORAGE"}, getString(R.string.picture_jurisdiction));
        } else {
            com.luck.picture.lib.x0.a.d(this, new String[]{"android.permission.CAMERA"}, 2);
        }
    }

    /* access modifiers changed from: protected */
    @Override // androidx.fragment.app.FragmentActivity
    public void onResume() {
        super.onResume();
        if (this.U0) {
            if (!(com.luck.picture.lib.x0.a.a(this, "android.permission.READ_EXTERNAL_STORAGE") && com.luck.picture.lib.x0.a.a(this, "android.permission.WRITE_EXTERNAL_STORAGE"))) {
                J0(false, new String[]{"android.permission.READ_EXTERNAL_STORAGE", "android.permission.WRITE_EXTERNAL_STORAGE"}, getString(R.string.picture_jurisdiction));
            } else if (!com.luck.picture.lib.x0.a.a(this, "android.permission.CAMERA")) {
                J0(false, new String[]{"android.permission.CAMERA"}, getString(R.string.picture_camera));
            } else if (com.luck.picture.lib.x0.a.a(this, "android.permission.RECORD_AUDIO")) {
                X0();
            } else {
                J0(false, new String[]{"android.permission.RECORD_AUDIO"}, getString(R.string.picture_audio));
            }
            this.U0 = false;
        }
    }
}
