package com.luck.picture.lib;

import android.content.Intent;
import android.content.res.ColorStateList;
import android.os.Bundle;
import android.os.Handler;
import android.text.TextUtils;
import android.view.View;
import android.view.ViewGroup;
import android.view.animation.Animation;
import android.view.animation.AnimationUtils;
import android.widget.CheckBox;
import android.widget.CompoundButton;
import android.widget.ImageView;
import android.widget.RelativeLayout;
import android.widget.TextView;
import androidx.viewpager.widget.ViewPager;
import com.luck.picture.lib.config.PictureSelectionConfig;
import com.luck.picture.lib.config.b;
import com.luck.picture.lib.entity.LocalMedia;
import com.luck.picture.lib.k0.l;
import com.luck.picture.lib.v0.d;
import com.luck.picture.lib.widget.PreviewViewPager;
import com.luck.picture.lib.z0.c;
import com.luck.picture.lib.z0.h;
import com.luck.picture.lib.z0.k;
import com.luck.picture.lib.z0.m;
import com.luck.picture.lib.z0.n;
import com.luck.picture.lib.z0.o;
import com.luck.picture.lib.z0.p;
import com.yalantis.ucrop.b;
import java.io.File;
import java.util.ArrayList;
import java.util.List;
import org.jetbrains.annotations.NotNull;

public class PicturePreviewActivity extends PictureBaseActivity implements View.OnClickListener, l.a {
    private static final String S0 = PicturePreviewActivity.class.getSimpleName();
    protected ViewGroup T0;
    protected ImageView U0;
    protected TextView V0;
    protected TextView W0;
    protected TextView X0;
    protected TextView Y0;
    protected ImageView Z0;
    protected PreviewViewPager a1;
    protected View b1;
    protected int c1;
    protected boolean d1;
    private int e1;
    protected List<LocalMedia> f1 = new ArrayList();
    protected l g1;
    protected Animation h1;
    protected TextView i1;
    protected View j1;
    protected boolean k1;
    protected int l1;
    protected int m1;
    protected Handler n1;
    protected RelativeLayout o1;
    protected CheckBox p1;
    protected boolean q1;
    protected String r1;
    protected boolean s1;
    protected boolean t1;
    private int u1 = 0;

    class a implements ViewPager.h {
        a() {
        }

        @Override // androidx.viewpager.widget.ViewPager.h
        public void onPageScrollStateChanged(int i) {
        }

        @Override // androidx.viewpager.widget.ViewPager.h
        public void onPageScrolled(int i, float f, int i2) {
            PicturePreviewActivity picturePreviewActivity = PicturePreviewActivity.this;
            picturePreviewActivity.X0(picturePreviewActivity.f16584a.e2, i, i2);
        }

        @Override // androidx.viewpager.widget.ViewPager.h
        public void onPageSelected(int i) {
            PicturePreviewActivity picturePreviewActivity = PicturePreviewActivity.this;
            picturePreviewActivity.c1 = i;
            picturePreviewActivity.r1();
            PicturePreviewActivity picturePreviewActivity2 = PicturePreviewActivity.this;
            LocalMedia z = picturePreviewActivity2.g1.z(picturePreviewActivity2.c1);
            if (z != null) {
                PicturePreviewActivity.this.l1 = z.v();
                PicturePreviewActivity picturePreviewActivity3 = PicturePreviewActivity.this;
                PictureSelectionConfig pictureSelectionConfig = picturePreviewActivity3.f16584a;
                if (!pictureSelectionConfig.e2) {
                    if (pictureSelectionConfig.R1) {
                        picturePreviewActivity3.i1.setText(o.l(Integer.valueOf(z.q())));
                        PicturePreviewActivity.this.h1(z);
                    }
                    PicturePreviewActivity picturePreviewActivity4 = PicturePreviewActivity.this;
                    picturePreviewActivity4.k1(picturePreviewActivity4.c1);
                }
                if (PicturePreviewActivity.this.f16584a.J1) {
                    PicturePreviewActivity.this.p1.setVisibility(b.m(z.p()) ? 8 : 0);
                    PicturePreviewActivity picturePreviewActivity5 = PicturePreviewActivity.this;
                    picturePreviewActivity5.p1.setChecked(picturePreviewActivity5.f16584a.o2);
                }
                PicturePreviewActivity.this.l1(z);
                PicturePreviewActivity picturePreviewActivity6 = PicturePreviewActivity.this;
                if (picturePreviewActivity6.f16584a.H2 && !picturePreviewActivity6.d1 && picturePreviewActivity6.P0) {
                    if (picturePreviewActivity6.c1 != (picturePreviewActivity6.g1.A() - 1) - 10) {
                        PicturePreviewActivity picturePreviewActivity7 = PicturePreviewActivity.this;
                        if (picturePreviewActivity7.c1 != picturePreviewActivity7.g1.A() - 1) {
                            return;
                        }
                    }
                    PicturePreviewActivity.this.g1();
                }
            }
        }
    }

    private void V0(String str, LocalMedia localMedia) {
        if (this.f16584a.T1) {
            this.s1 = false;
            boolean l = b.l(str);
            PictureSelectionConfig pictureSelectionConfig = this.f16584a;
            if (pictureSelectionConfig.h1 != 1 || !l) {
                int size = this.f1.size();
                int i = 0;
                for (int i2 = 0; i2 < size; i2++) {
                    LocalMedia localMedia2 = this.f1.get(i2);
                    if (localMedia2 != null && !TextUtils.isEmpty(localMedia2.u()) && b.l(localMedia2.p())) {
                        i++;
                    }
                }
                if (i <= 0) {
                    this.s1 = true;
                    onBackPressed();
                    return;
                }
                com.luck.picture.lib.u0.a.c(this, (ArrayList) this.f1);
                return;
            }
            pictureSelectionConfig.D2 = localMedia.u();
            com.luck.picture.lib.u0.a.b(this, this.f16584a.D2, localMedia.p());
            return;
        }
        onBackPressed();
    }

    private void W0(List<LocalMedia> list) {
        l lVar = new l(this.f16584a, this);
        this.g1 = lVar;
        lVar.v(list);
        this.a1.setAdapter(this.g1);
        this.a1.setCurrentItem(this.c1);
        r1();
        k1(this.c1);
        LocalMedia z = this.g1.z(this.c1);
        if (z != null) {
            this.l1 = z.v();
            if (this.f16584a.R1) {
                this.W0.setSelected(true);
                this.i1.setText(o.l(Integer.valueOf(z.q())));
                h1(z);
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void X0(boolean z, int i, int i2) {
        if (z && this.g1.A() > 0) {
            if (i2 < this.m1 / 2) {
                LocalMedia z2 = this.g1.z(i);
                if (z2 != null) {
                    this.i1.setSelected(Y0(z2));
                    PictureSelectionConfig pictureSelectionConfig = this.f16584a;
                    if (pictureSelectionConfig.F1) {
                        o1(z2);
                    } else if (pictureSelectionConfig.R1) {
                        this.i1.setText(o.l(Integer.valueOf(z2.q())));
                        h1(z2);
                        k1(i);
                    }
                }
            } else {
                int i3 = i + 1;
                LocalMedia z3 = this.g1.z(i3);
                if (z3 != null) {
                    this.i1.setSelected(Y0(z3));
                    PictureSelectionConfig pictureSelectionConfig2 = this.f16584a;
                    if (pictureSelectionConfig2.F1) {
                        o1(z3);
                    } else if (pictureSelectionConfig2.R1) {
                        this.i1.setText(o.l(Integer.valueOf(z3.q())));
                        h1(z3);
                        k1(i3);
                    }
                }
            }
        }
    }

    /* access modifiers changed from: private */
    /* renamed from: Z0 */
    public /* synthetic */ void a1(CompoundButton compoundButton, boolean z) {
        this.f16584a.o2 = z;
    }

    /* access modifiers changed from: private */
    /* renamed from: b1 */
    public /* synthetic */ void c1(List list, int i, boolean z) {
        l lVar;
        if (!isFinishing()) {
            this.P0 = z;
            if (!z) {
                return;
            }
            if (list.size() <= 0 || (lVar = this.g1) == null) {
                g1();
                return;
            }
            lVar.y().addAll(list);
            this.g1.l();
        }
    }

    /* access modifiers changed from: private */
    /* renamed from: d1 */
    public /* synthetic */ void e1(List list, int i, boolean z) {
        l lVar;
        if (!isFinishing()) {
            this.P0 = z;
            if (!z) {
                return;
            }
            if (list.size() <= 0 || (lVar = this.g1) == null) {
                g1();
                return;
            }
            lVar.y().addAll(list);
            this.g1.l();
        }
    }

    private void f1() {
        long longExtra = getIntent().getLongExtra(com.luck.picture.lib.config.a.z, -1);
        this.u1++;
        d.w(n0()).P(longExtra, this.u1, this.f16584a.G2, new s(this));
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void g1() {
        long longExtra = getIntent().getLongExtra(com.luck.picture.lib.config.a.z, -1);
        this.u1++;
        d.w(n0()).P(longExtra, this.u1, this.f16584a.G2, new p(this));
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void h1(LocalMedia localMedia) {
        if (this.f16584a.R1) {
            this.i1.setText("");
            int size = this.f1.size();
            for (int i = 0; i < size; i++) {
                LocalMedia localMedia2 = this.f1.get(i);
                if (localMedia2.u().equals(localMedia.u()) || localMedia2.o() == localMedia.o()) {
                    localMedia.b0(localMedia2.q());
                    this.i1.setText(o.l(Integer.valueOf(localMedia.q())));
                }
            }
        }
    }

    private void p1(String str, LocalMedia localMedia) {
        if (!this.f16584a.T1 || !b.l(str)) {
            onBackPressed();
            return;
        }
        this.s1 = false;
        PictureSelectionConfig pictureSelectionConfig = this.f16584a;
        if (pictureSelectionConfig.h1 == 1) {
            pictureSelectionConfig.D2 = localMedia.u();
            com.luck.picture.lib.u0.a.b(this, this.f16584a.D2, localMedia.p());
            return;
        }
        com.luck.picture.lib.u0.a.c(this, (ArrayList) this.f1);
    }

    private void q1() {
        this.u1 = 0;
        this.c1 = 0;
        r1();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void r1() {
        if (!this.f16584a.H2 || this.d1) {
            this.X0.setText(getString(R.string.picture_preview_image_num, new Object[]{Integer.valueOf(this.c1 + 1), Integer.valueOf(this.g1.A())}));
            return;
        }
        this.X0.setText(getString(R.string.picture_preview_image_num, new Object[]{Integer.valueOf(this.c1 + 1), Integer.valueOf(this.e1)}));
    }

    private void s1() {
        int size = this.f1.size();
        int i = 0;
        while (i < size) {
            i++;
            this.f1.get(i).b0(i);
        }
    }

    private void t1() {
        Intent intent = new Intent();
        if (this.t1) {
            intent.putExtra(com.luck.picture.lib.config.a.p, this.s1);
            intent.putParcelableArrayListExtra(com.luck.picture.lib.config.a.o, (ArrayList) this.f1);
        }
        PictureSelectionConfig pictureSelectionConfig = this.f16584a;
        if (pictureSelectionConfig.J1) {
            intent.putExtra(com.luck.picture.lib.config.a.r, pictureSelectionConfig.o2);
        }
        setResult(0, intent);
    }

    /* access modifiers changed from: protected */
    public boolean Y0(LocalMedia localMedia) {
        int size = this.f1.size();
        for (int i = 0; i < size; i++) {
            LocalMedia localMedia2 = this.f1.get(i);
            if (localMedia2.u().equals(localMedia.u()) || localMedia2.o() == localMedia.o()) {
                return true;
            }
        }
        return false;
    }

    /* access modifiers changed from: protected */
    public void i1() {
        boolean z;
        LocalMedia localMedia;
        int i;
        if (this.g1.A() > 0) {
            LocalMedia z2 = this.g1.z(this.a1.getCurrentItem());
            String w = z2.w();
            if (TextUtils.isEmpty(w) || new File(w).exists()) {
                String p = this.f1.size() > 0 ? this.f1.get(0).p() : "";
                int size = this.f1.size();
                if (this.f16584a.j2) {
                    int i2 = 0;
                    for (int i3 = 0; i3 < size; i3++) {
                        if (b.m(this.f1.get(i3).p())) {
                            i2++;
                        }
                    }
                    if (b.m(z2.p())) {
                        PictureSelectionConfig pictureSelectionConfig = this.f16584a;
                        if (pictureSelectionConfig.k1 <= 0) {
                            L0(getString(R.string.picture_rule));
                            return;
                        } else if (size >= pictureSelectionConfig.i1 && !this.i1.isSelected()) {
                            L0(getString(R.string.picture_message_max_num, new Object[]{Integer.valueOf(this.f16584a.i1)}));
                            return;
                        } else if (i2 >= this.f16584a.k1 && !this.i1.isSelected()) {
                            L0(m.b(n0(), z2.p(), this.f16584a.k1));
                            return;
                        } else if (!this.i1.isSelected() && this.f16584a.p1 > 0 && z2.l() < ((long) this.f16584a.p1)) {
                            L0(n0().getString(R.string.picture_choose_min_seconds, Integer.valueOf(this.f16584a.p1 / 1000)));
                            return;
                        } else if (!this.i1.isSelected() && this.f16584a.o1 > 0 && z2.l() > ((long) this.f16584a.o1)) {
                            L0(n0().getString(R.string.picture_choose_max_seconds, Integer.valueOf(this.f16584a.o1 / 1000)));
                            return;
                        }
                    } else if (size >= this.f16584a.i1 && !this.i1.isSelected()) {
                        L0(getString(R.string.picture_message_max_num, new Object[]{Integer.valueOf(this.f16584a.i1)}));
                        return;
                    }
                } else if (!TextUtils.isEmpty(p) && !b.p(p, z2.p())) {
                    L0(getString(R.string.picture_rule));
                    return;
                } else if (!b.m(p) || (i = this.f16584a.k1) <= 0) {
                    if (size >= this.f16584a.i1 && !this.i1.isSelected()) {
                        L0(m.b(n0(), p, this.f16584a.i1));
                        return;
                    } else if (b.m(z2.p())) {
                        if (!this.i1.isSelected() && this.f16584a.p1 > 0 && z2.l() < ((long) this.f16584a.p1)) {
                            L0(n0().getString(R.string.picture_choose_min_seconds, Integer.valueOf(this.f16584a.p1 / 1000)));
                            return;
                        } else if (!this.i1.isSelected() && this.f16584a.o1 > 0 && z2.l() > ((long) this.f16584a.o1)) {
                            L0(n0().getString(R.string.picture_choose_max_seconds, Integer.valueOf(this.f16584a.o1 / 1000)));
                            return;
                        }
                    }
                } else if (size >= i && !this.i1.isSelected()) {
                    L0(m.b(n0(), p, this.f16584a.k1));
                    return;
                } else if (!this.i1.isSelected() && this.f16584a.p1 > 0 && z2.l() < ((long) this.f16584a.p1)) {
                    L0(n0().getString(R.string.picture_choose_min_seconds, Integer.valueOf(this.f16584a.p1 / 1000)));
                    return;
                } else if (!this.i1.isSelected() && this.f16584a.o1 > 0 && z2.l() > ((long) this.f16584a.o1)) {
                    L0(n0().getString(R.string.picture_choose_max_seconds, Integer.valueOf(this.f16584a.o1 / 1000)));
                    return;
                }
                if (!this.i1.isSelected()) {
                    this.i1.setSelected(true);
                    this.i1.startAnimation(this.h1);
                    z = true;
                } else {
                    this.i1.setSelected(false);
                    z = false;
                }
                this.t1 = true;
                if (z) {
                    p.a().d();
                    if (this.f16584a.h1 == 1) {
                        this.f1.clear();
                    }
                    if (z2.y() == 0 || z2.n() == 0) {
                        if (b.m(z2.p())) {
                            com.luck.picture.lib.entity.b k = h.k(n0(), z2.u());
                            z2.k0(k.c());
                            z2.X(k.b());
                        } else if (b.l(z2.p())) {
                            com.luck.picture.lib.entity.b j = h.j(n0(), z2.u());
                            z2.k0(j.c());
                            z2.X(j.b());
                        }
                    }
                    this.f1.add(z2);
                    n1(true, z2);
                    z2.b0(this.f1.size());
                    if (this.f16584a.R1) {
                        this.i1.setText(o.l(Integer.valueOf(z2.q())));
                    }
                } else {
                    int size2 = this.f1.size();
                    int i4 = 0;
                    while (true) {
                        if (i4 >= size2) {
                            break;
                        }
                        localMedia = this.f1.get(i4);
                        if (localMedia.u().equals(z2.u()) || localMedia.o() == z2.o()) {
                            this.f1.remove(localMedia);
                            n1(false, z2);
                            s1();
                            h1(localMedia);
                        } else {
                            i4++;
                        }
                    }
                    this.f1.remove(localMedia);
                    n1(false, z2);
                    s1();
                    h1(localMedia);
                }
                m1(true);
                return;
            }
            n.b(n0(), b.F(n0(), z2.p()));
        }
    }

    /* access modifiers changed from: protected */
    public void j1() {
        int i;
        int i2;
        int size = this.f1.size();
        LocalMedia localMedia = this.f1.size() > 0 ? this.f1.get(0) : null;
        String p = localMedia != null ? localMedia.p() : "";
        PictureSelectionConfig pictureSelectionConfig = this.f16584a;
        if (pictureSelectionConfig.j2) {
            int size2 = this.f1.size();
            int i3 = 0;
            int i4 = 0;
            for (int i5 = 0; i5 < size2; i5++) {
                if (b.m(this.f1.get(i5).p())) {
                    i4++;
                } else {
                    i3++;
                }
            }
            PictureSelectionConfig pictureSelectionConfig2 = this.f16584a;
            if (pictureSelectionConfig2.h1 == 2) {
                int i6 = pictureSelectionConfig2.j1;
                if (i6 <= 0 || i3 >= i6) {
                    int i7 = pictureSelectionConfig2.l1;
                    if (i7 > 0 && i4 < i7) {
                        L0(getString(R.string.picture_min_video_num, new Object[]{Integer.valueOf(i7)}));
                        return;
                    }
                } else {
                    L0(getString(R.string.picture_min_img_num, new Object[]{Integer.valueOf(i6)}));
                    return;
                }
            }
        } else if (pictureSelectionConfig.h1 == 2) {
            if (b.l(p) && (i2 = this.f16584a.j1) > 0 && size < i2) {
                L0(getString(R.string.picture_min_img_num, new Object[]{Integer.valueOf(i2)}));
                return;
            } else if (b.m(p) && (i = this.f16584a.l1) > 0 && size < i) {
                L0(getString(R.string.picture_min_video_num, new Object[]{Integer.valueOf(i)}));
                return;
            }
        }
        this.s1 = true;
        this.t1 = true;
        if (this.f16584a.S0 != b.u() || !this.f16584a.j2) {
            p1(p, localMedia);
        } else {
            V0(p, localMedia);
        }
    }

    public void k1(int i) {
        if (this.g1.A() > 0) {
            LocalMedia z = this.g1.z(i);
            if (z != null) {
                this.i1.setSelected(Y0(z));
                return;
            }
            return;
        }
        this.i1.setSelected(false);
    }

    /* access modifiers changed from: protected */
    public void l1(LocalMedia localMedia) {
    }

    /* access modifiers changed from: protected */
    public void m1(boolean z) {
        this.k1 = z;
        if (this.f1.size() != 0) {
            this.Y0.setEnabled(true);
            this.Y0.setSelected(true);
            com.luck.picture.lib.style.a aVar = PictureSelectionConfig.f16659b;
            if (aVar != null) {
                int i = aVar.p;
                if (i != 0) {
                    this.Y0.setTextColor(i);
                } else {
                    this.Y0.setTextColor(androidx.core.content.d.f(n0(), R.color.picture_color_fa632d));
                }
            }
            if (this.I0) {
                t0(this.f1.size());
                return;
            }
            if (this.k1) {
                this.W0.startAnimation(this.h1);
            }
            this.W0.setVisibility(0);
            this.W0.setText(o.l(Integer.valueOf(this.f1.size())));
            com.luck.picture.lib.style.b bVar = PictureSelectionConfig.f16658a;
            if (bVar != null) {
                int i2 = bVar.M;
                if (i2 != 0) {
                    this.Y0.setText(i2);
                    return;
                }
                return;
            }
            com.luck.picture.lib.style.a aVar2 = PictureSelectionConfig.f16659b;
            if (aVar2 == null) {
                this.Y0.setText(getString(R.string.picture_completed));
            } else if (!TextUtils.isEmpty(aVar2.v)) {
                this.Y0.setText(PictureSelectionConfig.f16659b.v);
            }
        } else {
            this.Y0.setEnabled(false);
            this.Y0.setSelected(false);
            com.luck.picture.lib.style.a aVar3 = PictureSelectionConfig.f16659b;
            if (aVar3 != null) {
                int i3 = aVar3.q;
                if (i3 != 0) {
                    this.Y0.setTextColor(i3);
                } else {
                    this.Y0.setTextColor(androidx.core.content.d.f(n0(), R.color.picture_color_9b));
                }
            }
            if (this.I0) {
                t0(0);
                return;
            }
            this.W0.setVisibility(4);
            com.luck.picture.lib.style.b bVar2 = PictureSelectionConfig.f16658a;
            if (bVar2 != null) {
                int i4 = bVar2.L;
                if (i4 != 0) {
                    this.Y0.setText(i4);
                    return;
                }
                return;
            }
            com.luck.picture.lib.style.a aVar4 = PictureSelectionConfig.f16659b;
            if (aVar4 == null) {
                this.Y0.setText(getString(R.string.picture_please_select));
            } else if (!TextUtils.isEmpty(aVar4.u)) {
                this.Y0.setText(PictureSelectionConfig.f16659b.u);
            }
        }
    }

    /* access modifiers changed from: protected */
    public void n1(boolean z, LocalMedia localMedia) {
    }

    /* access modifiers changed from: protected */
    public void o1(LocalMedia localMedia) {
    }

    /* access modifiers changed from: protected */
    @Override // androidx.fragment.app.FragmentActivity
    public void onActivityResult(int i, int i2, Intent intent) {
        Throwable th;
        super.onActivityResult(i, i2, intent);
        if (i2 == -1) {
            if (i == 69) {
                if (intent != null) {
                    intent.putParcelableArrayListExtra(com.luck.picture.lib.config.a.o, (ArrayList) this.f1);
                    setResult(-1, intent);
                }
                finish();
            } else if (i == 609) {
                intent.putParcelableArrayListExtra(b.a.S, com.yalantis.ucrop.b.d(intent));
                intent.putParcelableArrayListExtra(com.luck.picture.lib.config.a.o, (ArrayList) this.f1);
                setResult(-1, intent);
                finish();
            }
        } else if (i2 == 96 && (th = (Throwable) intent.getSerializableExtra(com.yalantis.ucrop.b.m)) != null) {
            n.b(n0(), th.getMessage());
        }
    }

    @Override // androidx.activity.ComponentActivity
    public void onBackPressed() {
        t1();
        finish();
        overridePendingTransition(0, PictureSelectionConfig.J0.J0);
    }

    public void onClick(View view) {
        int id = view.getId();
        if (id == R.id.pictureLeftBack) {
            onBackPressed();
        } else if (id == R.id.picture_tv_ok || id == R.id.tv_media_num) {
            j1();
        } else if (id == R.id.btnCheck) {
            i1();
        }
    }

    /* access modifiers changed from: protected */
    @Override // androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, androidx.appcompat.app.AppCompatActivity, com.luck.picture.lib.PictureBaseActivity, androidx.fragment.app.FragmentActivity
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        if (bundle != null) {
            List<LocalMedia> j = i0.j(bundle);
            if (j == null) {
                j = this.f1;
            }
            this.f1 = j;
            this.s1 = bundle.getBoolean(com.luck.picture.lib.config.a.p, false);
            this.t1 = bundle.getBoolean(com.luck.picture.lib.config.a.q, false);
            k1(this.c1);
            m1(false);
        }
    }

    /* access modifiers changed from: protected */
    @Override // androidx.appcompat.app.AppCompatActivity, com.luck.picture.lib.PictureBaseActivity, androidx.fragment.app.FragmentActivity
    public void onDestroy() {
        super.onDestroy();
        if (!this.R0) {
            com.luck.picture.lib.w0.a.b().a();
        }
        Handler handler = this.n1;
        if (handler != null) {
            handler.removeCallbacksAndMessages(null);
            this.n1 = null;
        }
        Animation animation = this.h1;
        if (animation != null) {
            animation.cancel();
            this.h1 = null;
        }
        l lVar = this.g1;
        if (lVar != null) {
            lVar.w();
        }
    }

    /* access modifiers changed from: protected */
    @Override // androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, androidx.appcompat.app.AppCompatActivity, com.luck.picture.lib.PictureBaseActivity, androidx.fragment.app.FragmentActivity
    public void onSaveInstanceState(@NotNull Bundle bundle) {
        super.onSaveInstanceState(bundle);
        bundle.putBoolean(com.luck.picture.lib.config.a.p, this.s1);
        bundle.putBoolean(com.luck.picture.lib.config.a.q, this.t1);
        i0.n(bundle, this.f1);
    }

    @Override // com.luck.picture.lib.PictureBaseActivity
    public int p0() {
        return R.layout.picture_preview;
    }

    /* access modifiers changed from: protected */
    @Override // com.luck.picture.lib.PictureBaseActivity
    public void t0(int i) {
        int i2;
        String str;
        String str2;
        int i3;
        String str3;
        int i4;
        String str4;
        if (this.f16584a.h1 == 1) {
            if (i <= 0) {
                com.luck.picture.lib.style.b bVar = PictureSelectionConfig.f16658a;
                if (bVar != null) {
                    TextView textView = this.Y0;
                    int i5 = bVar.L;
                    if (i5 == 0) {
                        i5 = R.string.picture_please_select;
                    }
                    textView.setText(getString(i5));
                    return;
                }
                com.luck.picture.lib.style.a aVar = PictureSelectionConfig.f16659b;
                if (aVar != null) {
                    TextView textView2 = this.Y0;
                    if (!TextUtils.isEmpty(aVar.u)) {
                        str4 = PictureSelectionConfig.f16659b.u;
                    } else {
                        str4 = getString(R.string.picture_please_select);
                    }
                    textView2.setText(str4);
                    return;
                }
                return;
            }
            com.luck.picture.lib.style.b bVar2 = PictureSelectionConfig.f16658a;
            if (bVar2 == null) {
                com.luck.picture.lib.style.a aVar2 = PictureSelectionConfig.f16659b;
                if (aVar2 == null) {
                    return;
                }
                if (!aVar2.J || TextUtils.isEmpty(aVar2.v)) {
                    TextView textView3 = this.Y0;
                    if (!TextUtils.isEmpty(PictureSelectionConfig.f16659b.v)) {
                        str3 = PictureSelectionConfig.f16659b.v;
                    } else {
                        str3 = getString(R.string.picture_done);
                    }
                    textView3.setText(str3);
                    return;
                }
                this.Y0.setText(String.format(PictureSelectionConfig.f16659b.v, Integer.valueOf(i), 1));
            } else if (!bVar2.f || (i4 = bVar2.M) == 0) {
                TextView textView4 = this.Y0;
                int i6 = bVar2.M;
                if (i6 == 0) {
                    i6 = R.string.picture_done;
                }
                textView4.setText(getString(i6));
            } else {
                this.Y0.setText(String.format(getString(i4), Integer.valueOf(i), 1));
            }
        } else if (i <= 0) {
            com.luck.picture.lib.style.b bVar3 = PictureSelectionConfig.f16658a;
            if (bVar3 != null) {
                TextView textView5 = this.Y0;
                if (!bVar3.f || (i3 = bVar3.L) == 0) {
                    str2 = getString(R.string.picture_done_front_num, new Object[]{Integer.valueOf(i), Integer.valueOf(this.f16584a.i1)});
                } else {
                    str2 = String.format(getString(i3), Integer.valueOf(i), Integer.valueOf(this.f16584a.i1));
                }
                textView5.setText(str2);
                return;
            }
            com.luck.picture.lib.style.a aVar3 = PictureSelectionConfig.f16659b;
            if (aVar3 != null) {
                TextView textView6 = this.Y0;
                if (!aVar3.J || TextUtils.isEmpty(aVar3.u)) {
                    str = getString(R.string.picture_done_front_num, new Object[]{Integer.valueOf(i), Integer.valueOf(this.f16584a.i1)});
                } else {
                    str = PictureSelectionConfig.f16659b.u;
                }
                textView6.setText(str);
            }
        } else {
            com.luck.picture.lib.style.b bVar4 = PictureSelectionConfig.f16658a;
            if (bVar4 == null) {
                com.luck.picture.lib.style.a aVar4 = PictureSelectionConfig.f16659b;
                if (aVar4 == null) {
                    return;
                }
                if (!aVar4.J || TextUtils.isEmpty(aVar4.v)) {
                    this.Y0.setText(getString(R.string.picture_done_front_num, new Object[]{Integer.valueOf(i), Integer.valueOf(this.f16584a.i1)}));
                } else {
                    this.Y0.setText(String.format(PictureSelectionConfig.f16659b.v, Integer.valueOf(i), Integer.valueOf(this.f16584a.i1)));
                }
            } else if (!bVar4.f || (i2 = bVar4.M) == 0) {
                this.Y0.setText(getString(R.string.picture_done_front_num, new Object[]{Integer.valueOf(i), Integer.valueOf(this.f16584a.i1)}));
            } else {
                this.Y0.setText(String.format(getString(i2), Integer.valueOf(i), Integer.valueOf(this.f16584a.i1)));
            }
        }
    }

    @Override // com.luck.picture.lib.k0.l.a
    public void v() {
        onBackPressed();
    }

    @Override // com.luck.picture.lib.PictureBaseActivity
    public void w0() {
        ColorStateList a2;
        com.luck.picture.lib.style.b bVar = PictureSelectionConfig.f16658a;
        if (bVar != null) {
            int i = bVar.l;
            if (i != 0) {
                this.X0.setTextColor(i);
            }
            int i2 = PictureSelectionConfig.f16658a.k;
            if (i2 != 0) {
                this.X0.setTextSize((float) i2);
            }
            int i3 = PictureSelectionConfig.f16658a.g;
            if (i3 != 0) {
                this.U0.setImageResource(i3);
            }
            int i4 = PictureSelectionConfig.f16658a.B;
            if (i4 != 0) {
                this.o1.setBackgroundColor(i4);
            }
            int i5 = PictureSelectionConfig.f16658a.R;
            if (i5 != 0) {
                this.W0.setBackgroundResource(i5);
            }
            int i6 = PictureSelectionConfig.f16658a.A;
            if (i6 != 0) {
                this.i1.setBackgroundResource(i6);
            }
            int[] iArr = PictureSelectionConfig.f16658a.O;
            if (iArr.length > 0 && (a2 = c.a(iArr)) != null) {
                this.Y0.setTextColor(a2);
            }
            int i7 = PictureSelectionConfig.f16658a.L;
            if (i7 != 0) {
                this.Y0.setText(i7);
            }
            if (PictureSelectionConfig.f16658a.j > 0) {
                this.T0.getLayoutParams().height = PictureSelectionConfig.f16658a.j;
            }
            if (PictureSelectionConfig.f16658a.C > 0) {
                this.o1.getLayoutParams().height = PictureSelectionConfig.f16658a.C;
            }
            if (this.f16584a.J1) {
                int i8 = PictureSelectionConfig.f16658a.H;
                if (i8 != 0) {
                    this.p1.setButtonDrawable(i8);
                } else {
                    this.p1.setButtonDrawable(androidx.core.content.d.i(this, R.drawable.picture_original_checkbox));
                }
                int i9 = PictureSelectionConfig.f16658a.K;
                if (i9 != 0) {
                    this.p1.setTextColor(i9);
                } else {
                    this.p1.setTextColor(androidx.core.content.d.f(this, R.color.picture_color_53575e));
                }
                int i10 = PictureSelectionConfig.f16658a.J;
                if (i10 != 0) {
                    this.p1.setTextSize((float) i10);
                }
            } else {
                this.p1.setButtonDrawable(androidx.core.content.d.i(this, R.drawable.picture_original_checkbox));
                this.p1.setTextColor(androidx.core.content.d.f(this, R.color.picture_color_53575e));
            }
        } else {
            com.luck.picture.lib.style.a aVar = PictureSelectionConfig.f16659b;
            if (aVar != null) {
                int i11 = aVar.h;
                if (i11 != 0) {
                    this.X0.setTextColor(i11);
                }
                int i12 = PictureSelectionConfig.f16659b.i;
                if (i12 != 0) {
                    this.X0.setTextSize((float) i12);
                }
                int i13 = PictureSelectionConfig.f16659b.H;
                if (i13 != 0) {
                    this.U0.setImageResource(i13);
                }
                int i14 = PictureSelectionConfig.f16659b.z;
                if (i14 != 0) {
                    this.o1.setBackgroundColor(i14);
                }
                int i15 = PictureSelectionConfig.f16659b.R;
                if (i15 != 0) {
                    this.W0.setBackgroundResource(i15);
                }
                int i16 = PictureSelectionConfig.f16659b.I;
                if (i16 != 0) {
                    this.i1.setBackgroundResource(i16);
                }
                int i17 = PictureSelectionConfig.f16659b.q;
                if (i17 != 0) {
                    this.Y0.setTextColor(i17);
                }
                if (!TextUtils.isEmpty(PictureSelectionConfig.f16659b.u)) {
                    this.Y0.setText(PictureSelectionConfig.f16659b.u);
                }
                if (PictureSelectionConfig.f16659b.X > 0) {
                    this.T0.getLayoutParams().height = PictureSelectionConfig.f16659b.X;
                }
                if (this.f16584a.J1) {
                    int i18 = PictureSelectionConfig.f16659b.U;
                    if (i18 != 0) {
                        this.p1.setButtonDrawable(i18);
                    } else {
                        this.p1.setButtonDrawable(androidx.core.content.d.i(this, R.drawable.picture_original_checkbox));
                    }
                    int i19 = PictureSelectionConfig.f16659b.B;
                    if (i19 != 0) {
                        this.p1.setTextColor(i19);
                    } else {
                        this.p1.setTextColor(androidx.core.content.d.f(this, R.color.picture_color_53575e));
                    }
                    int i20 = PictureSelectionConfig.f16659b.C;
                    if (i20 != 0) {
                        this.p1.setTextSize((float) i20);
                    }
                } else {
                    this.p1.setButtonDrawable(androidx.core.content.d.i(this, R.drawable.picture_original_checkbox));
                    this.p1.setTextColor(androidx.core.content.d.f(this, R.color.picture_color_53575e));
                }
            } else {
                this.i1.setBackground(c.e(n0(), R.attr.picture_checked_style, R.drawable.picture_checkbox_selector));
                ColorStateList d2 = c.d(n0(), R.attr.picture_ac_preview_complete_textColor);
                if (d2 != null) {
                    this.Y0.setTextColor(d2);
                }
                this.U0.setImageDrawable(c.e(n0(), R.attr.picture_preview_leftBack_icon, R.drawable.picture_icon_back));
                int c2 = c.c(n0(), R.attr.picture_ac_preview_title_textColor);
                if (c2 != 0) {
                    this.X0.setTextColor(c2);
                }
                this.W0.setBackground(c.e(n0(), R.attr.picture_num_style, R.drawable.picture_num_oval));
                int c3 = c.c(n0(), R.attr.picture_ac_preview_bottom_bg);
                if (c3 != 0) {
                    this.o1.setBackgroundColor(c3);
                }
                int g = c.g(n0(), R.attr.picture_titleBar_height);
                if (g > 0) {
                    this.T0.getLayoutParams().height = g;
                }
                if (this.f16584a.J1) {
                    this.p1.setButtonDrawable(c.e(n0(), R.attr.picture_original_check_style, R.drawable.picture_original_wechat_checkbox));
                    int c4 = c.c(n0(), R.attr.picture_original_text_color);
                    if (c4 != 0) {
                        this.p1.setTextColor(c4);
                    }
                }
            }
        }
        this.T0.setBackgroundColor(this.J0);
        m1(false);
    }

    /* access modifiers changed from: protected */
    @Override // com.luck.picture.lib.PictureBaseActivity
    public void x0() {
        super.x0();
        this.n1 = new Handler();
        this.T0 = (ViewGroup) findViewById(R.id.titleBar);
        this.m1 = k.c(this);
        this.h1 = AnimationUtils.loadAnimation(this, R.anim.picture_anim_modal_in);
        this.U0 = (ImageView) findViewById(R.id.pictureLeftBack);
        this.V0 = (TextView) findViewById(R.id.picture_right);
        this.Z0 = (ImageView) findViewById(R.id.ivArrow);
        this.a1 = (PreviewViewPager) findViewById(R.id.preview_pager);
        this.b1 = findViewById(R.id.picture_id_preview);
        this.j1 = findViewById(R.id.btnCheck);
        this.i1 = (TextView) findViewById(R.id.check);
        this.U0.setOnClickListener(this);
        this.Y0 = (TextView) findViewById(R.id.picture_tv_ok);
        this.p1 = (CheckBox) findViewById(R.id.cb_original);
        this.W0 = (TextView) findViewById(R.id.tv_media_num);
        this.o1 = (RelativeLayout) findViewById(R.id.select_bar_layout);
        this.Y0.setOnClickListener(this);
        this.W0.setOnClickListener(this);
        this.X0 = (TextView) findViewById(R.id.picture_title);
        this.b1.setVisibility(8);
        this.Z0.setVisibility(8);
        this.V0.setVisibility(8);
        this.i1.setVisibility(0);
        this.j1.setVisibility(0);
        this.c1 = getIntent().getIntExtra("position", 0);
        if (this.I0) {
            t0(0);
        }
        this.W0.setSelected(this.f16584a.R1);
        this.j1.setOnClickListener(this);
        if (getIntent().getParcelableArrayListExtra(com.luck.picture.lib.config.a.o) != null) {
            this.f1 = getIntent().getParcelableArrayListExtra(com.luck.picture.lib.config.a.o);
        }
        this.d1 = getIntent().getBooleanExtra(com.luck.picture.lib.config.a.v, false);
        this.q1 = getIntent().getBooleanExtra(com.luck.picture.lib.config.a.x, this.f16584a.K1);
        this.r1 = getIntent().getStringExtra(com.luck.picture.lib.config.a.y);
        if (this.d1) {
            W0(getIntent().getParcelableArrayListExtra(com.luck.picture.lib.config.a.n));
        } else {
            ArrayList arrayList = new ArrayList(com.luck.picture.lib.w0.a.b().c());
            boolean z = arrayList.size() == 0;
            this.e1 = getIntent().getIntExtra(com.luck.picture.lib.config.a.B, 0);
            if (this.f16584a.H2) {
                if (z) {
                    q1();
                } else {
                    this.u1 = getIntent().getIntExtra(com.luck.picture.lib.config.a.A, 0);
                }
                W0(arrayList);
                f1();
                r1();
            } else {
                W0(arrayList);
                if (z) {
                    this.f16584a.H2 = true;
                    q1();
                    f1();
                }
            }
        }
        this.a1.c(new a());
        if (this.f16584a.J1) {
            boolean booleanExtra = getIntent().getBooleanExtra(com.luck.picture.lib.config.a.r, this.f16584a.o2);
            this.p1.setVisibility(0);
            this.f16584a.o2 = booleanExtra;
            this.p1.setChecked(booleanExtra);
            this.p1.setOnCheckedChangeListener(new q(this));
        }
    }
}
