package com.luck.picture.lib.z0;

import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.graphics.Matrix;
import android.net.Uri;
import androidx.exifinterface.media.ExifInterface;
import com.luck.picture.lib.config.b;
import java.io.BufferedOutputStream;
import java.io.File;
import java.io.FileOutputStream;
import java.io.InputStream;

/* compiled from: BitmapUtils */
public class d {
    public static int a(Context context, String str) {
        ExifInterface exifInterface;
        int i;
        InputStream inputStream = null;
        try {
            if (b.g(str)) {
                inputStream = context.getContentResolver().openInputStream(Uri.parse(str));
                exifInterface = new ExifInterface(inputStream);
            } else {
                exifInterface = new ExifInterface(str);
            }
            int l = exifInterface.l(ExifInterface.h, 1);
            if (l == 3) {
                i = 180;
            } else if (l == 6) {
                i = 90;
            } else if (l != 8) {
                return 0;
            } else {
                i = 270;
            }
            i.d(inputStream);
            return i;
        } catch (Exception e2) {
            e2.printStackTrace();
            return 0;
        } finally {
            i.d(inputStream);
        }
    }

    public static void b(Context context, boolean z, String str) {
        if (z) {
            try {
                int a2 = a(context, str);
                if (a2 > 0) {
                    BitmapFactory.Options options = new BitmapFactory.Options();
                    options.inSampleSize = 2;
                    File file = new File(str);
                    Bitmap c2 = c(BitmapFactory.decodeFile(file.getAbsolutePath(), options), a2);
                    if (c2 != null) {
                        d(c2, file);
                        c2.recycle();
                    }
                }
            } catch (Exception e2) {
                e2.printStackTrace();
            }
        }
    }

    public static Bitmap c(Bitmap bitmap, int i) {
        Matrix matrix = new Matrix();
        matrix.postRotate((float) i);
        return Bitmap.createBitmap(bitmap, 0, 0, bitmap.getWidth(), bitmap.getHeight(), matrix, true);
    }

    private static void d(Bitmap bitmap, File file) {
        Throwable th;
        Exception e2;
        BufferedOutputStream bufferedOutputStream = null;
        try {
            BufferedOutputStream bufferedOutputStream2 = new BufferedOutputStream(new FileOutputStream(file));
            try {
                bitmap.compress(Bitmap.CompressFormat.JPEG, 80, bufferedOutputStream2);
                bufferedOutputStream2.flush();
                i.d(bufferedOutputStream2);
            } catch (Exception e3) {
                e2 = e3;
                bufferedOutputStream = bufferedOutputStream2;
                try {
                    e2.printStackTrace();
                    i.d(bufferedOutputStream);
                } catch (Throwable th2) {
                    th = th2;
                    i.d(bufferedOutputStream);
                    throw th;
                }
            } catch (Throwable th3) {
                th = th3;
                bufferedOutputStream = bufferedOutputStream2;
                i.d(bufferedOutputStream);
                throw th;
            }
        } catch (Exception e4) {
            e2 = e4;
            e2.printStackTrace();
            i.d(bufferedOutputStream);
        }
    }
}
