package com.lxj.xpopup.impl;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.Rect;
import android.view.View;
import android.view.WindowManager;
import android.widget.FrameLayout;
import androidx.annotation.NonNull;
import com.lxj.xpopup.b;
import com.lxj.xpopup.c.g;
import com.lxj.xpopup.core.CenterPopupView;
import com.lxj.xpopup.e.c;
import com.lxj.xpopup.enums.PopupAnimation;

public class FullScreenPopupView extends CenterPopupView {
    Paint X0 = new Paint();
    Rect Y0;

    public FullScreenPopupView(@NonNull Context context) {
        super(context);
    }

    @Override // com.lxj.xpopup.core.BasePopupView, com.lxj.xpopup.e.d.c
    public void d(boolean z) {
        if (!z) {
            i();
            getPopupContentView().setPadding(0, 0, 0, 0);
            return;
        }
        j(true);
    }

    /* access modifiers changed from: protected */
    public void dispatchDraw(Canvas canvas) {
        super.dispatchDraw(canvas);
        if (this.f17054b.r.booleanValue()) {
            this.X0.setColor(b.f17020c);
            Rect rect = new Rect(0, 0, c.l(getContext()), c.j());
            this.Y0 = rect;
            canvas.drawRect(rect, this.X0);
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.lxj.xpopup.core.BasePopupView, com.lxj.xpopup.core.CenterPopupView
    public int getMaxWidth() {
        return 0;
    }

    /* access modifiers changed from: protected */
    @Override // com.lxj.xpopup.core.BasePopupView, com.lxj.xpopup.core.CenterPopupView
    public com.lxj.xpopup.c.b getPopupAnimator() {
        return new g(getPopupContentView(), PopupAnimation.TranslateFromBottom);
    }

    /* access modifiers changed from: protected */
    @Override // com.lxj.xpopup.core.BasePopupView
    public void j(boolean z) {
        int rotation = ((WindowManager) getContext().getSystemService("window")).getDefaultDisplay().getRotation();
        View popupContentView = getPopupContentView();
        FrameLayout.LayoutParams layoutParams = (FrameLayout.LayoutParams) popupContentView.getLayoutParams();
        layoutParams.gravity = 48;
        popupContentView.setLayoutParams(layoutParams);
        int i = (z || c.o(getContext())) ? c.i() : 0;
        if (rotation == 0) {
            popupContentView.setPadding(popupContentView.getPaddingLeft(), popupContentView.getPaddingTop(), popupContentView.getPaddingRight(), i);
        } else if (rotation == 1 || rotation == 3) {
            popupContentView.setPadding(popupContentView.getPaddingLeft(), popupContentView.getPaddingTop(), popupContentView.getPaddingRight(), 0);
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.lxj.xpopup.core.BasePopupView, com.lxj.xpopup.core.CenterPopupView
    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        this.X0 = null;
    }

    /* access modifiers changed from: protected */
    @Override // com.lxj.xpopup.core.BasePopupView, com.lxj.xpopup.core.CenterPopupView
    public void x() {
        super.x();
        this.f17054b.f17096e = Boolean.FALSE;
    }
}
