package com.lxj.xpopup.impl;

import android.content.Context;
import android.graphics.Rect;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.view.WindowManager;
import android.widget.FrameLayout;
import androidx.annotation.NonNull;
import com.lxj.xpopup.c.g;
import com.lxj.xpopup.core.AttachPopupView;
import com.lxj.xpopup.e.c;
import com.lxj.xpopup.enums.PopupAnimation;
import com.lxj.xpopup.enums.PopupPosition;

public abstract class PartShadowPopupView extends AttachPopupView {

    class a implements View.OnLongClickListener {
        a() {
        }

        public boolean onLongClick(View view) {
            if (!PartShadowPopupView.this.f17054b.f17094c.booleanValue()) {
                return false;
            }
            PartShadowPopupView.this.n();
            return false;
        }
    }

    class b implements com.lxj.xpopup.d.b {
        b() {
        }

        @Override // com.lxj.xpopup.d.b
        public void a() {
            if (PartShadowPopupView.this.f17054b.f17094c.booleanValue()) {
                PartShadowPopupView.this.n();
            }
        }
    }

    public PartShadowPopupView(@NonNull Context context) {
        super(context);
    }

    /* access modifiers changed from: protected */
    @Override // com.lxj.xpopup.core.AttachPopupView
    public void G() {
        if (this.f17054b.a() != null) {
            this.J0.f17025a = getPopupContentView();
            int rotation = ((WindowManager) getContext().getSystemService("window")).getDefaultDisplay().getRotation();
            ViewGroup.MarginLayoutParams marginLayoutParams = (ViewGroup.MarginLayoutParams) getPopupContentView().getLayoutParams();
            if (rotation == 0) {
                marginLayoutParams.width = getMeasuredWidth();
            } else if (rotation == 1 || rotation == 3) {
                marginLayoutParams.width = getMeasuredWidth() - (c.o(getContext()) ? c.i() : 0);
            }
            if (this.f17054b.v && getPopupImplView() != null) {
                getPopupImplView().setTranslationX((((float) c.l(getContext())) / 2.0f) - (((float) getPopupContentView().getMeasuredWidth()) / 2.0f));
            }
            int[] iArr = new int[2];
            this.f17054b.a().getLocationOnScreen(iArr);
            Rect rect = new Rect(iArr[0], iArr[1], iArr[0] + this.f17054b.a().getMeasuredWidth(), iArr[1] + this.f17054b.a().getMeasuredHeight());
            if ((rect.top + (rect.height() / 2) > getMeasuredHeight() / 2 || this.f17054b.q == PopupPosition.Top) && this.f17054b.q != PopupPosition.Bottom) {
                marginLayoutParams.height = rect.top;
                this.X0 = true;
                marginLayoutParams.topMargin = -this.U0;
                View childAt = ((ViewGroup) getPopupContentView()).getChildAt(0);
                FrameLayout.LayoutParams layoutParams = (FrameLayout.LayoutParams) childAt.getLayoutParams();
                layoutParams.gravity = 80;
                if (getMaxHeight() != 0) {
                    layoutParams.height = Math.min(childAt.getMeasuredHeight(), getMaxHeight());
                }
                childAt.setLayoutParams(layoutParams);
            } else {
                marginLayoutParams.height = getMeasuredHeight() - rect.bottom;
                if (c.o(getContext())) {
                    marginLayoutParams.height -= c.i();
                }
                this.X0 = false;
                marginLayoutParams.topMargin = rect.bottom + this.U0;
                View childAt2 = ((ViewGroup) getPopupContentView()).getChildAt(0);
                FrameLayout.LayoutParams layoutParams2 = (FrameLayout.LayoutParams) childAt2.getLayoutParams();
                layoutParams2.gravity = 48;
                if (getMaxHeight() != 0) {
                    layoutParams2.height = Math.min(childAt2.getMeasuredHeight(), getMaxHeight());
                }
                childAt2.setLayoutParams(layoutParams2);
            }
            getPopupContentView().setLayoutParams(marginLayoutParams);
            this.W0.setOnLongClickListener(new a());
            this.W0.setOnClickOutsideListener(new b());
            return;
        }
        throw new IllegalArgumentException("atView must not be null for PartShadowPopupView！");
    }

    @Override // com.lxj.xpopup.core.BasePopupView, com.lxj.xpopup.e.d.c
    public void d(boolean z) {
        super.d(z);
        if (!z) {
            FrameLayout.LayoutParams layoutParams = (FrameLayout.LayoutParams) getPopupContentView().getLayoutParams();
            layoutParams.height = c.k(getContext());
            getPopupContentView().setLayoutParams(layoutParams);
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.lxj.xpopup.core.BasePopupView, com.lxj.xpopup.core.AttachPopupView
    public com.lxj.xpopup.c.b getPopupAnimator() {
        return new g(getPopupImplView(), this.X0 ? PopupAnimation.TranslateFromBottom : PopupAnimation.TranslateFromTop);
    }

    @Override // com.lxj.xpopup.core.BasePopupView
    public boolean onTouchEvent(MotionEvent motionEvent) {
        if (this.f17054b.f17094c.booleanValue()) {
            n();
        }
        return !this.f17054b.f17094c.booleanValue();
    }

    /* access modifiers changed from: protected */
    @Override // com.lxj.xpopup.core.BasePopupView, com.lxj.xpopup.core.AttachPopupView
    public void x() {
        super.x();
        int i = this.f17054b.t;
        if (i == 0) {
            i = c.e(getContext(), 0.0f);
        }
        this.U0 = i;
        int i2 = this.f17054b.s;
        if (i2 == 0) {
            i2 = c.e(getContext(), 0.0f);
        }
        this.V0 = i2;
        getPopupImplView().setTranslationX((float) this.f17054b.s);
        getPopupImplView().setTranslationY((float) this.f17054b.t);
    }
}
