package com.monter.scrollpiker;

import android.content.Context;
import android.content.res.TypedArray;
import android.util.AttributeSet;
import com.monter.scrollpiker.PickerView;
import java.util.List;

public class DivisionPickerView extends PickerViewGroup {
    public static final int O0 = 0;
    public static final int P0 = 1;
    private final d Q0;
    private final d R0;
    private final d S0;
    private PickerView T0;
    private PickerView U0;
    private PickerView V0;
    private int W0;
    private b X0;

    class a implements PickerView.g {
        a() {
        }

        @Override // com.monter.scrollpiker.PickerView.g
        public void a(PickerView pickerView, int i, int i2) {
            if (pickerView == DivisionPickerView.this.T0) {
                DivisionPickerView.this.R0.i(DivisionPickerView.this.Q0.b(DivisionPickerView.this.T0.getSelectedItemPosition()).i());
                DivisionPickerView.this.S0.i(DivisionPickerView.this.R0.b(DivisionPickerView.this.U0.getSelectedItemPosition()).i());
            } else if (pickerView == DivisionPickerView.this.U0) {
                DivisionPickerView.this.S0.i(DivisionPickerView.this.R0.b(DivisionPickerView.this.U0.getSelectedItemPosition()).i());
            }
            if (DivisionPickerView.this.X0 != null) {
                DivisionPickerView.this.X0.a(DivisionPickerView.this.getSelectedDivision());
            }
        }
    }

    public interface b {
        void a(c cVar);
    }

    public DivisionPickerView(Context context) {
        this(context, null);
    }

    private void j() {
        if (this.W0 == 1) {
            this.V0.setVisibility(8);
        } else {
            this.V0.setVisibility(0);
        }
    }

    public PickerView getCityPicker() {
        return this.U0;
    }

    public PickerView getDivisionPicker() {
        return this.V0;
    }

    public PickerView getProvincePicker() {
        return this.T0;
    }

    public c getSelectedDivision() {
        c cVar = this.W0 == 0 ? (c) this.V0.t(c.class) : null;
        if (cVar == null) {
            cVar = (c) this.U0.t(c.class);
        }
        return cVar == null ? (c) this.T0.t(c.class) : cVar;
    }

    public void setDivisions(List<? extends c> list) {
        this.Q0.i(list);
        this.T0.setAdapter(this.Q0);
        this.R0.i(this.Q0.b(this.T0.getSelectedItemPosition()).i());
        this.U0.setAdapter(this.R0);
        this.S0.i(this.R0.b(this.U0.getSelectedItemPosition()).i());
        this.V0.setAdapter(this.S0);
        a aVar = new a();
        this.T0.setOnSelectedItemChangedListener(aVar);
        this.U0.setOnSelectedItemChangedListener(aVar);
        this.V0.setOnSelectedItemChangedListener(aVar);
    }

    public void setOnSelectedDateChangedListener(b bVar) {
        this.X0 = bVar;
    }

    public void setType(int i) {
        this.W0 = i;
        j();
    }

    public DivisionPickerView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public DivisionPickerView(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        this.Q0 = new d();
        this.R0 = new d();
        this.S0 = new d();
        this.W0 = 0;
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R.styleable.DivisionPickerView);
        this.W0 = obtainStyledAttributes.getInt(R.styleable.DivisionPickerView_divisionPickerType, 0);
        obtainStyledAttributes.recycle();
        PickerView pickerView = new PickerView(context);
        this.T0 = pickerView;
        settlePickerView(pickerView);
        PickerView pickerView2 = new PickerView(context);
        this.U0 = pickerView2;
        settlePickerView(pickerView2);
        PickerView pickerView3 = new PickerView(context);
        this.V0 = pickerView3;
        settlePickerView(pickerView3);
        j();
    }
}
