package com.niming.framework.b;

import android.content.ClipData;
import android.content.ClipboardManager;
import android.content.Intent;
import android.net.Uri;
import com.blankj.utilcode.util.g1;

/* compiled from: ClipboardUtils */
public final class c {
    private c() {
        throw new UnsupportedOperationException("u can't instantiate me...");
    }

    public static void a(Intent intent) {
        ((ClipboardManager) g1.a().getSystemService("clipboard")).setPrimaryClip(ClipData.newIntent("intent", intent));
    }

    public static void b(CharSequence charSequence) {
        ((ClipboardManager) g1.a().getSystemService("clipboard")).setPrimaryClip(ClipData.newPlainText("text", charSequence));
    }

    public static void c(Uri uri) {
        ((ClipboardManager) g1.a().getSystemService("clipboard")).setPrimaryClip(ClipData.newUri(g1.a().getContentResolver(), "uri", uri));
    }

    public static Intent d() {
        ClipData primaryClip = ((ClipboardManager) g1.a().getSystemService("clipboard")).getPrimaryClip();
        if (primaryClip == null || primaryClip.getItemCount() <= 0) {
            return null;
        }
        return primaryClip.getItemAt(0).getIntent();
    }

    public static CharSequence e() {
        ClipData primaryClip = ((ClipboardManager) g1.a().getSystemService("clipboard")).getPrimaryClip();
        if (primaryClip == null || primaryClip.getItemCount() <= 0) {
            return null;
        }
        return primaryClip.getItemAt(0).coerceToText(g1.a());
    }

    public static Uri f() {
        ClipData primaryClip = ((ClipboardManager) g1.a().getSystemService("clipboard")).getPrimaryClip();
        if (primaryClip == null || primaryClip.getItemCount() <= 0) {
            return null;
        }
        return primaryClip.getItemAt(0).getUri();
    }
}
