package com.niming.framework.widget;

import android.content.Context;
import android.graphics.drawable.AnimationDrawable;
import android.util.AttributeSet;
import android.util.Log;
import androidx.appcompat.widget.AppCompatImageView;

public class AnimatorImageView extends AppCompatImageView {
    public AnimatorImageView(Context context) {
        super(context);
    }

    public void b(boolean z) {
        try {
            AnimationDrawable animationDrawable = (AnimationDrawable) getDrawable();
            if (animationDrawable != null) {
                animationDrawable.stop();
                if (z) {
                    animationDrawable.start();
                }
            }
        } catch (Exception e2) {
            Log.e("AnimatorImageView", e2.getMessage());
        }
    }

    /* access modifiers changed from: protected */
    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        if (getVisibility() == 0) {
            b(true);
        }
    }

    /* access modifiers changed from: protected */
    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        b(false);
    }

    public void setVisibility(int i) {
        super.setVisibility(i);
        if (i == 0) {
            b(true);
        } else {
            b(false);
        }
    }

    public AnimatorImageView(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
    }

    public AnimatorImageView(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
    }
}
