package com.niming.weipa.db;

import com.niming.weipa.model.SearchHistory;
import java.util.List;

public class HistroySearchUtil {
    public static List<SearchHistory> getSearchHistories() {
        return AppDataBase.getInstance().historySearchDao().getAll();
    }

    public static void remove(String str) {
        AppDataBase.getInstance().historySearchDao().delete(str);
    }

    public static void removeALL() {
        AppDataBase.getInstance().historySearchDao().deleteAll();
    }

    public static void save(String str) {
        SearchHistory searchHistory = new SearchHistory();
        searchHistory.setKey(str);
        searchHistory.setLastTime(System.currentTimeMillis());
        save(searchHistory);
    }

    private static void save(SearchHistory searchHistory) {
        AppDataBase.getInstance().historySearchDao().save(searchHistory);
    }
}
