package com.niming.weipa.h.e;

import android.app.Activity;
import android.os.Bundle;
import android.text.TextUtils;
import android.view.View;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.TextView;
import androidx.core.app.NotificationCompat;
import com.blankj.utilcode.util.LogUtils;
import com.hj.chen.new1126.R;
import com.ibm.icu.text.DateFormat;
import com.niming.framework.net.Result;
import com.niming.framework.widget.ItemView;
import com.niming.weipa.model.NoticeEvent;
import com.niming.weipa.model.RefreshEvent;
import com.niming.weipa.model.UserInfo2;
import com.niming.weipa.share.ShareAct;
import com.niming.weipa.ui.community.MyPostsActivity;
import com.niming.weipa.ui.download.MyVideoDownloadActivity2;
import com.niming.weipa.ui.edit_info.EditPersonActivity;
import com.niming.weipa.ui.exchange.ExchangeCentreAct;
import com.niming.weipa.ui.feedback.FeedbackReplyActivity;
import com.niming.weipa.ui.login.MyLoginActivity;
import com.niming.weipa.ui.mine.activity.AddGroupActivity;
import com.niming.weipa.ui.mine.activity.MyCollectActivity;
import com.niming.weipa.ui.mine.activity.MyMessageActivity2;
import com.niming.weipa.ui.mine.activity.RecruitActivity;
import com.niming.weipa.ui.vip.DiamondDetailActivity;
import com.niming.weipa.ui.vip.VipDetailActivity4;
import com.niming.weipa.ui.welfare_cards.InputInviteCodeActivity;
import com.niming.weipa.utils.u;
import java.util.LinkedHashMap;
import java.util.Map;
import java.util.Objects;
import kotlin.Metadata;
import kotlin.Unit;
import kotlin.jvm.functions.Function1;
import kotlin.jvm.internal.DefaultConstructorMarker;
import kotlin.jvm.internal.Intrinsics;
import kotlin.jvm.internal.Lambda;
import org.greenrobot.eventbus.Subscribe;
import org.greenrobot.eventbus.ThreadMode;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

@Metadata(d1 = {"\u0000L\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010\u000e\n\u0002\b\u0006\n\u0002\u0010\u0002\n\u0002\b\u0002\n\u0002\u0010\b\n\u0002\b\u0003\n\u0002\u0018\u0002\n\u0002\b\u0004\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010\u000b\n\u0002\b\u0003\n\u0002\u0018\u0002\n\u0002\b\u0002\u0018\u0000 \"2\u00020\u0001:\u0001\"B\u0005¢\u0006\u0002\u0010\u0002J\b\u0010\n\u001a\u00020\u000bH\u0002J\b\u0010\f\u001a\u00020\u000bH\u0002J\b\u0010\r\u001a\u00020\u000eH\u0016J\b\u0010\u000f\u001a\u00020\u000bH\u0002J\u0010\u0010\u0010\u001a\u00020\u000b2\u0006\u0010\u0011\u001a\u00020\u0012H\u0016J\u0012\u0010\u0013\u001a\u00020\u000b2\b\u0010\u0014\u001a\u0004\u0018\u00010\u0012H\u0016J\u0010\u0010\u0015\u001a\u00020\u000b2\u0006\u0010\u0016\u001a\u00020\u0017H\u0007J\u0010\u0010\u0018\u001a\u00020\u000b2\u0006\u0010\u0019\u001a\u00020\u001aH\u0007J\u0018\u0010\u001b\u001a\u00020\u000b2\u0006\u0010\u001c\u001a\u00020\u001d2\u0006\u0010\u001e\u001a\u00020\u001dH\u0016J\u0010\u0010\u001f\u001a\u00020\u000b2\u0006\u0010 \u001a\u00020!H\u0002R\u001a\u0010\u0003\u001a\u00020\u0004X\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u0005\u0010\u0006\"\u0004\b\u0007\u0010\bR\u000e\u0010\t\u001a\u00020\u0004X\u000e¢\u0006\u0002\n\u0000¨\u0006#"}, d2 = {"Lcom/niming/weipa/ui/mine/MineFragment;", "Lcom/niming/weipa/base/BaseFragment;", "()V", "avatarUrl", "", "getAvatarUrl", "()Ljava/lang/String;", "setAvatarUrl", "(Ljava/lang/String;)V", "userCode", "getMsgData", "", "getMyUserInfo", "getViewRes", "", "initListener", "initView", "view", "Landroid/view/View;", "onClick", "v", "onMessageEvent", NotificationCompat.r0, "Lcom/niming/weipa/model/RefreshEvent;", "onNoticeEvent", FeedbackReplyActivity.K0, "Lcom/niming/weipa/model/NoticeEvent;", "onVisibleToUserChanged", "isVisibleToUser", "", "invokeInResumeOrPause", "renderUI", com.liulishuo.filedownloader.services.f.f16553b, "Lcom/niming/weipa/model/UserInfo2;", "Companion", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* compiled from: MineFragment.kt */
public final class n extends com.niming.weipa.base.d {
    @NotNull
    public static final a T0 = new a(null);
    @NotNull
    private String U0 = "";
    @NotNull
    private String V0 = "";
    @NotNull
    public Map<Integer, View> W0 = new LinkedHashMap();

    @Metadata(d1 = {"\u0000\u0012\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\b\u0003\u0018\u00002\u00020\u0001B\u0007\b\u0002¢\u0006\u0002\u0010\u0002J\u0006\u0010\u0003\u001a\u00020\u0004¨\u0006\u0005"}, d2 = {"Lcom/niming/weipa/ui/mine/MineFragment$Companion;", "", "()V", "newInstance", "Lcom/niming/weipa/ui/mine/MineFragment;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: MineFragment.kt */
    public static final class a {
        private a() {
        }

        public /* synthetic */ a(DefaultConstructorMarker defaultConstructorMarker) {
            this();
        }

        @NotNull
        public final n a() {
            Bundle bundle = new Bundle();
            n nVar = new n();
            nVar.setArguments(bundle);
            return nVar;
        }
    }

    @Metadata(d1 = {"\u0000\u0017\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J\u0010\u0010\u0002\u001a\u00020\u00032\u0006\u0010\u0004\u001a\u00020\u0005H\u0014¨\u0006\u0006"}, d2 = {"com/niming/weipa/ui/mine/MineFragment$getMsgData$1", "Lcom/niming/weipa/net/AbsHttpCallback;", "onSuccess", "", com.alipay.sdk.util.j.f6041c, "Lcom/niming/framework/net/Result;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: MineFragment.kt */
    public static final class b extends com.niming.weipa.g.a {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ n f19170a;

        b(n nVar) {
            this.f19170a = nVar;
        }

        /* access modifiers changed from: protected */
        @Override // com.niming.weipa.g.a
        public void onSuccess(@NotNull Result result) {
            Intrinsics.checkNotNullParameter(result, com.alipay.sdk.util.j.f6041c);
            if (!result.isOk()) {
                return;
            }
            if (Intrinsics.areEqual(result.getData(), "1")) {
                com.niming.weipa.e.b.i(((com.niming.framework.base.b) this.f19170a).I0, R.drawable.ic_got_message, (ImageView) this.f19170a.h0(com.niming.weipa.R.id.ivMessage));
            } else {
                com.niming.weipa.e.b.i(((com.niming.framework.base.b) this.f19170a).I0, R.drawable.ic_no_msg, (ImageView) this.f19170a.h0(com.niming.weipa.R.id.ivMessage));
            }
        }
    }

    @Metadata(d1 = {"\u0000\u0017\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J\u0010\u0010\u0002\u001a\u00020\u00032\u0006\u0010\u0004\u001a\u00020\u0005H\u0014¨\u0006\u0006"}, d2 = {"com/niming/weipa/ui/mine/MineFragment$getMyUserInfo$1", "Lcom/niming/weipa/net/AbsHttpCallback;", "onSuccess", "", com.alipay.sdk.util.j.f6041c, "Lcom/niming/framework/net/Result;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: MineFragment.kt */
    public static final class c extends com.niming.weipa.g.a {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ n f19171a;

        c(n nVar) {
            this.f19171a = nVar;
        }

        /* access modifiers changed from: protected */
        @Override // com.niming.weipa.g.a
        public void onSuccess(@NotNull Result result) {
            Intrinsics.checkNotNullParameter(result, com.alipay.sdk.util.j.f6041c);
            if (result.isOk()) {
                UserInfo2 userInfo2 = (UserInfo2) com.niming.framework.b.g.b(result.getData(), UserInfo2.class);
                com.niming.framework.basedb.h.c().g(com.niming.weipa.c.a.f17712e, userInfo2);
                n nVar = this.f19171a;
                Intrinsics.checkNotNullExpressionValue(userInfo2, com.liulishuo.filedownloader.services.f.f16553b);
                nVar.r0(userInfo2);
                com.niming.framework.b.d.b(new RefreshEvent(27));
            }
        }
    }

    /* access modifiers changed from: package-private */
    @Metadata(d1 = {"\u0000\u0010\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\u0010\u0000\u001a\u00020\u00012\u000e\u0010\u0002\u001a\n \u0004*\u0004\u0018\u00010\u00030\u0003H\n¢\u0006\u0002\b\u0005"}, d2 = {"<anonymous>", "", "it", "Lcom/niming/framework/widget/ItemView;", "kotlin.jvm.PlatformType", "invoke"}, k = 3, mv = {1, 6, 0}, xi = 48)
    /* compiled from: MineFragment.kt */
    public static final class d extends Lambda implements Function1<ItemView, Unit> {
        final /* synthetic */ n this$0;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        d(n nVar) {
            super(1);
            this.this$0 = nVar;
        }

        public final void a(ItemView itemView) {
            MyVideoDownloadActivity2.a aVar = MyVideoDownloadActivity2.f19291a;
            Activity activity = ((com.niming.framework.base.b) this.this$0).I0;
            Intrinsics.checkNotNullExpressionValue(activity, "activity");
            aVar.a(activity);
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // kotlin.jvm.functions.Function1
        public /* bridge */ /* synthetic */ Unit invoke(ItemView itemView) {
            a(itemView);
            return Unit.INSTANCE;
        }
    }

    /* access modifiers changed from: package-private */
    @Metadata(d1 = {"\u0000\u0010\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\u0010\u0000\u001a\u00020\u00012\u000e\u0010\u0002\u001a\n \u0004*\u0004\u0018\u00010\u00030\u0003H\n¢\u0006\u0002\b\u0005"}, d2 = {"<anonymous>", "", "it", "Lcom/niming/framework/widget/ItemView;", "kotlin.jvm.PlatformType", "invoke"}, k = 3, mv = {1, 6, 0}, xi = 48)
    /* compiled from: MineFragment.kt */
    public static final class e extends Lambda implements Function1<ItemView, Unit> {
        final /* synthetic */ n this$0;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        e(n nVar) {
            super(1);
            this.this$0 = nVar;
        }

        public final void a(ItemView itemView) {
            InputInviteCodeActivity.a aVar = InputInviteCodeActivity.f20442a;
            Activity activity = ((com.niming.framework.base.b) this.this$0).I0;
            Intrinsics.checkNotNullExpressionValue(activity, "activity");
            aVar.a(activity);
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // kotlin.jvm.functions.Function1
        public /* bridge */ /* synthetic */ Unit invoke(ItemView itemView) {
            a(itemView);
            return Unit.INSTANCE;
        }
    }

    /* access modifiers changed from: package-private */
    @Metadata(d1 = {"\u0000\u0010\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\u0010\u0000\u001a\u00020\u00012\u000e\u0010\u0002\u001a\n \u0004*\u0004\u0018\u00010\u00030\u0003H\n¢\u0006\u0002\b\u0005"}, d2 = {"<anonymous>", "", "it", "Landroid/widget/TextView;", "kotlin.jvm.PlatformType", "invoke"}, k = 3, mv = {1, 6, 0}, xi = 48)
    /* compiled from: MineFragment.kt */
    public static final class f extends Lambda implements Function1<TextView, Unit> {
        final /* synthetic */ n this$0;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        f(n nVar) {
            super(1);
            this.this$0 = nVar;
        }

        public final void a(TextView textView) {
            MyCollectActivity.a aVar = MyCollectActivity.O0;
            Activity activity = ((com.niming.framework.base.b) this.this$0).I0;
            Intrinsics.checkNotNullExpressionValue(activity, "activity");
            MyCollectActivity.a.b(aVar, activity, 0, 2, null);
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // kotlin.jvm.functions.Function1
        public /* bridge */ /* synthetic */ Unit invoke(TextView textView) {
            a(textView);
            return Unit.INSTANCE;
        }
    }

    /* access modifiers changed from: package-private */
    @Metadata(d1 = {"\u0000\u0010\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\u0010\u0000\u001a\u00020\u00012\u000e\u0010\u0002\u001a\n \u0004*\u0004\u0018\u00010\u00030\u0003H\n¢\u0006\u0002\b\u0005"}, d2 = {"<anonymous>", "", "it", "Landroid/widget/TextView;", "kotlin.jvm.PlatformType", "invoke"}, k = 3, mv = {1, 6, 0}, xi = 48)
    /* compiled from: MineFragment.kt */
    public static final class g extends Lambda implements Function1<TextView, Unit> {
        final /* synthetic */ n this$0;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        g(n nVar) {
            super(1);
            this.this$0 = nVar;
        }

        public final void a(TextView textView) {
            MyCollectActivity.a aVar = MyCollectActivity.O0;
            Activity activity = ((com.niming.framework.base.b) this.this$0).I0;
            Intrinsics.checkNotNullExpressionValue(activity, "activity");
            aVar.a(activity, 1);
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // kotlin.jvm.functions.Function1
        public /* bridge */ /* synthetic */ Unit invoke(TextView textView) {
            a(textView);
            return Unit.INSTANCE;
        }
    }

    /* access modifiers changed from: package-private */
    @Metadata(d1 = {"\u0000\u0010\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\u0010\u0000\u001a\u00020\u00012\u000e\u0010\u0002\u001a\n \u0004*\u0004\u0018\u00010\u00030\u0003H\n¢\u0006\u0002\b\u0005"}, d2 = {"<anonymous>", "", "it", "Landroid/widget/TextView;", "kotlin.jvm.PlatformType", "invoke"}, k = 3, mv = {1, 6, 0}, xi = 48)
    /* compiled from: MineFragment.kt */
    public static final class h extends Lambda implements Function1<TextView, Unit> {
        final /* synthetic */ n this$0;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        h(n nVar) {
            super(1);
            this.this$0 = nVar;
        }

        public final void a(TextView textView) {
            RecruitActivity.a aVar = RecruitActivity.f19946a;
            Activity activity = ((com.niming.framework.base.b) this.this$0).I0;
            Intrinsics.checkNotNullExpressionValue(activity, "activity");
            aVar.a(activity);
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // kotlin.jvm.functions.Function1
        public /* bridge */ /* synthetic */ Unit invoke(TextView textView) {
            a(textView);
            return Unit.INSTANCE;
        }
    }

    /* access modifiers changed from: package-private */
    @Metadata(d1 = {"\u0000\u0010\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\u0010\u0000\u001a\u00020\u00012\u000e\u0010\u0002\u001a\n \u0004*\u0004\u0018\u00010\u00030\u0003H\n¢\u0006\u0002\b\u0005"}, d2 = {"<anonymous>", "", "it", "Lcom/niming/framework/widget/ItemView;", "kotlin.jvm.PlatformType", "invoke"}, k = 3, mv = {1, 6, 0}, xi = 48)
    /* compiled from: MineFragment.kt */
    public static final class i extends Lambda implements Function1<ItemView, Unit> {
        final /* synthetic */ n this$0;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        i(n nVar) {
            super(1);
            this.this$0 = nVar;
        }

        public final void a(ItemView itemView) {
            MyCollectActivity.a aVar = MyCollectActivity.O0;
            Activity activity = ((com.niming.framework.base.b) this.this$0).I0;
            Intrinsics.checkNotNullExpressionValue(activity, "activity");
            aVar.a(activity, 2);
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // kotlin.jvm.functions.Function1
        public /* bridge */ /* synthetic */ Unit invoke(ItemView itemView) {
            a(itemView);
            return Unit.INSTANCE;
        }
    }

    /* access modifiers changed from: package-private */
    @Metadata(d1 = {"\u0000\u0010\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\u0010\u0000\u001a\u00020\u00012\u000e\u0010\u0002\u001a\n \u0004*\u0004\u0018\u00010\u00030\u0003H\n¢\u0006\u0002\b\u0005"}, d2 = {"<anonymous>", "", "it", "Landroid/widget/TextView;", "kotlin.jvm.PlatformType", "invoke"}, k = 3, mv = {1, 6, 0}, xi = 48)
    /* compiled from: MineFragment.kt */
    public static final class j extends Lambda implements Function1<TextView, Unit> {
        final /* synthetic */ n this$0;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        j(n nVar) {
            super(1);
            this.this$0 = nVar;
        }

        public final void a(TextView textView) {
            if (this.this$0.U0.length() > 0) {
                MyPostsActivity.a aVar = MyPostsActivity.V0;
                Activity activity = ((com.niming.framework.base.b) this.this$0).I0;
                Intrinsics.checkNotNullExpressionValue(activity, "activity");
                aVar.a(activity, this.this$0.U0);
            }
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // kotlin.jvm.functions.Function1
        public /* bridge */ /* synthetic */ Unit invoke(TextView textView) {
            a(textView);
            return Unit.INSTANCE;
        }
    }

    /* access modifiers changed from: package-private */
    @Metadata(d1 = {"\u0000\u0010\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\u0010\u0000\u001a\u00020\u00012\u000e\u0010\u0002\u001a\n \u0004*\u0004\u0018\u00010\u00030\u0003H\n¢\u0006\u0002\b\u0005"}, d2 = {"<anonymous>", "", "it", "Landroid/widget/ImageView;", "kotlin.jvm.PlatformType", "invoke"}, k = 3, mv = {1, 6, 0}, xi = 48)
    /* compiled from: MineFragment.kt */
    public static final class k extends Lambda implements Function1<ImageView, Unit> {
        final /* synthetic */ n this$0;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        k(n nVar) {
            super(1);
            this.this$0 = nVar;
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // kotlin.jvm.functions.Function1
        public /* bridge */ /* synthetic */ Unit invoke(ImageView imageView) {
            invoke(imageView);
            return Unit.INSTANCE;
        }

        public final void invoke(ImageView imageView) {
            MyMessageActivity2.a aVar = MyMessageActivity2.f19936a;
            Activity activity = ((com.niming.framework.base.b) this.this$0).I0;
            Intrinsics.checkNotNullExpressionValue(activity, "activity");
            aVar.a(activity);
        }
    }

    /* access modifiers changed from: package-private */
    @Metadata(d1 = {"\u0000\u0010\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\u0010\u0000\u001a\u00020\u00012\u000e\u0010\u0002\u001a\n \u0004*\u0004\u0018\u00010\u00030\u0003H\n¢\u0006\u0002\b\u0005"}, d2 = {"<anonymous>", "", "it", "Landroid/widget/ImageView;", "kotlin.jvm.PlatformType", "invoke"}, k = 3, mv = {1, 6, 0}, xi = 48)
    /* compiled from: MineFragment.kt */
    public static final class l extends Lambda implements Function1<ImageView, Unit> {
        final /* synthetic */ n this$0;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        l(n nVar) {
            super(1);
            this.this$0 = nVar;
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // kotlin.jvm.functions.Function1
        public /* bridge */ /* synthetic */ Unit invoke(ImageView imageView) {
            invoke(imageView);
            return Unit.INSTANCE;
        }

        public final void invoke(ImageView imageView) {
            EditPersonActivity.b bVar = EditPersonActivity.f19345a;
            Activity activity = ((com.niming.framework.base.b) this.this$0).I0;
            Intrinsics.checkNotNullExpressionValue(activity, "activity");
            bVar.a(activity, false);
        }
    }

    /* access modifiers changed from: package-private */
    @Metadata(d1 = {"\u0000\u0010\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\u0010\u0000\u001a\u00020\u00012\u000e\u0010\u0002\u001a\n \u0004*\u0004\u0018\u00010\u00030\u0003H\n¢\u0006\u0002\b\u0005"}, d2 = {"<anonymous>", "", "it", "Landroid/widget/TextView;", "kotlin.jvm.PlatformType", "invoke"}, k = 3, mv = {1, 6, 0}, xi = 48)
    /* compiled from: MineFragment.kt */
    public static final class m extends Lambda implements Function1<TextView, Unit> {
        final /* synthetic */ n this$0;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        m(n nVar) {
            super(1);
            this.this$0 = nVar;
        }

        public final void a(TextView textView) {
            MyLoginActivity.a aVar = MyLoginActivity.f19782a;
            Activity activity = ((com.niming.framework.base.b) this.this$0).I0;
            Intrinsics.checkNotNullExpressionValue(activity, "activity");
            aVar.a(activity);
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // kotlin.jvm.functions.Function1
        public /* bridge */ /* synthetic */ Unit invoke(TextView textView) {
            a(textView);
            return Unit.INSTANCE;
        }
    }

    /* access modifiers changed from: package-private */
    @Metadata(d1 = {"\u0000\u0010\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\u0010\u0000\u001a\u00020\u00012\u000e\u0010\u0002\u001a\n \u0004*\u0004\u0018\u00010\u00030\u0003H\n¢\u0006\u0002\b\u0005"}, d2 = {"<anonymous>", "", "it", "Landroid/widget/LinearLayout;", "kotlin.jvm.PlatformType", "invoke"}, k = 3, mv = {1, 6, 0}, xi = 48)
    /* renamed from: com.niming.weipa.h.e.n$n  reason: collision with other inner class name */
    /* compiled from: MineFragment.kt */
    public static final class C0382n extends Lambda implements Function1<LinearLayout, Unit> {
        final /* synthetic */ n this$0;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        C0382n(n nVar) {
            super(1);
            this.this$0 = nVar;
        }

        public final void a(LinearLayout linearLayout) {
            VipDetailActivity4.a aVar = VipDetailActivity4.f20323a;
            Activity activity = ((com.niming.framework.base.b) this.this$0).I0;
            Intrinsics.checkNotNullExpressionValue(activity, "activity");
            aVar.a(activity);
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // kotlin.jvm.functions.Function1
        public /* bridge */ /* synthetic */ Unit invoke(LinearLayout linearLayout) {
            a(linearLayout);
            return Unit.INSTANCE;
        }
    }

    /* access modifiers changed from: package-private */
    @Metadata(d1 = {"\u0000\u0010\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\u0010\u0000\u001a\u00020\u00012\u000e\u0010\u0002\u001a\n \u0004*\u0004\u0018\u00010\u00030\u0003H\n¢\u0006\u0002\b\u0005"}, d2 = {"<anonymous>", "", "it", "Landroid/widget/LinearLayout;", "kotlin.jvm.PlatformType", "invoke"}, k = 3, mv = {1, 6, 0}, xi = 48)
    /* compiled from: MineFragment.kt */
    public static final class o extends Lambda implements Function1<LinearLayout, Unit> {
        final /* synthetic */ n this$0;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        o(n nVar) {
            super(1);
            this.this$0 = nVar;
        }

        public final void a(LinearLayout linearLayout) {
            DiamondDetailActivity.a aVar = DiamondDetailActivity.f20290a;
            Activity activity = ((com.niming.framework.base.b) this.this$0).I0;
            Intrinsics.checkNotNullExpressionValue(activity, "activity");
            aVar.a(activity);
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // kotlin.jvm.functions.Function1
        public /* bridge */ /* synthetic */ Unit invoke(LinearLayout linearLayout) {
            a(linearLayout);
            return Unit.INSTANCE;
        }
    }

    /* access modifiers changed from: package-private */
    @Metadata(d1 = {"\u0000\u0010\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\u0010\u0000\u001a\u00020\u00012\u000e\u0010\u0002\u001a\n \u0004*\u0004\u0018\u00010\u00030\u0003H\n¢\u0006\u0002\b\u0005"}, d2 = {"<anonymous>", "", "it", "Landroid/widget/LinearLayout;", "kotlin.jvm.PlatformType", "invoke"}, k = 3, mv = {1, 6, 0}, xi = 48)
    /* compiled from: MineFragment.kt */
    public static final class p extends Lambda implements Function1<LinearLayout, Unit> {
        final /* synthetic */ n this$0;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        p(n nVar) {
            super(1);
            this.this$0 = nVar;
        }

        public final void a(LinearLayout linearLayout) {
            ShareAct.Companion companion = ShareAct.Companion;
            Activity activity = ((com.niming.framework.base.b) this.this$0).I0;
            Intrinsics.checkNotNullExpressionValue(activity, "activity");
            companion.start(activity);
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // kotlin.jvm.functions.Function1
        public /* bridge */ /* synthetic */ Unit invoke(LinearLayout linearLayout) {
            a(linearLayout);
            return Unit.INSTANCE;
        }
    }

    /* access modifiers changed from: package-private */
    @Metadata(d1 = {"\u0000\u0010\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\u0010\u0000\u001a\u00020\u00012\u000e\u0010\u0002\u001a\n \u0004*\u0004\u0018\u00010\u00030\u0003H\n¢\u0006\u0002\b\u0005"}, d2 = {"<anonymous>", "", "it", "Lcom/niming/framework/widget/ItemView;", "kotlin.jvm.PlatformType", "invoke"}, k = 3, mv = {1, 6, 0}, xi = 48)
    /* compiled from: MineFragment.kt */
    public static final class q extends Lambda implements Function1<ItemView, Unit> {
        final /* synthetic */ n this$0;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        q(n nVar) {
            super(1);
            this.this$0 = nVar;
        }

        public final void a(ItemView itemView) {
            ExchangeCentreAct.a aVar = ExchangeCentreAct.f19377a;
            Activity activity = ((com.niming.framework.base.b) this.this$0).I0;
            Intrinsics.checkNotNullExpressionValue(activity, "activity");
            aVar.a(activity);
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // kotlin.jvm.functions.Function1
        public /* bridge */ /* synthetic */ Unit invoke(ItemView itemView) {
            a(itemView);
            return Unit.INSTANCE;
        }
    }

    /* access modifiers changed from: package-private */
    @Metadata(d1 = {"\u0000\u0010\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\u0010\u0000\u001a\u00020\u00012\u000e\u0010\u0002\u001a\n \u0004*\u0004\u0018\u00010\u00030\u0003H\n¢\u0006\u0002\b\u0005"}, d2 = {"<anonymous>", "", "it", "Lcom/niming/framework/widget/ItemView;", "kotlin.jvm.PlatformType", "invoke"}, k = 3, mv = {1, 6, 0}, xi = 48)
    /* compiled from: MineFragment.kt */
    public static final class r extends Lambda implements Function1<ItemView, Unit> {
        final /* synthetic */ n this$0;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        r(n nVar) {
            super(1);
            this.this$0 = nVar;
        }

        public final void a(ItemView itemView) {
            FeedbackReplyActivity.a aVar = FeedbackReplyActivity.f19389a;
            Activity activity = ((com.niming.framework.base.b) this.this$0).I0;
            Intrinsics.checkNotNullExpressionValue(activity, "activity");
            aVar.a(activity);
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // kotlin.jvm.functions.Function1
        public /* bridge */ /* synthetic */ Unit invoke(ItemView itemView) {
            a(itemView);
            return Unit.INSTANCE;
        }
    }

    /* access modifiers changed from: package-private */
    @Metadata(d1 = {"\u0000\u0010\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\u0010\u0000\u001a\u00020\u00012\u000e\u0010\u0002\u001a\n \u0004*\u0004\u0018\u00010\u00030\u0003H\n¢\u0006\u0002\b\u0005"}, d2 = {"<anonymous>", "", "it", "Lcom/niming/framework/widget/ItemView;", "kotlin.jvm.PlatformType", "invoke"}, k = 3, mv = {1, 6, 0}, xi = 48)
    /* compiled from: MineFragment.kt */
    public static final class s extends Lambda implements Function1<ItemView, Unit> {
        final /* synthetic */ n this$0;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        s(n nVar) {
            super(1);
            this.this$0 = nVar;
        }

        public final void a(ItemView itemView) {
            AddGroupActivity.a aVar = AddGroupActivity.f19881a;
            Activity activity = ((com.niming.framework.base.b) this.this$0).I0;
            Intrinsics.checkNotNullExpressionValue(activity, "activity");
            aVar.a(activity);
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // kotlin.jvm.functions.Function1
        public /* bridge */ /* synthetic */ Unit invoke(ItemView itemView) {
            a(itemView);
            return Unit.INSTANCE;
        }
    }

    private final void m0() {
        com.niming.weipa.g.c.c0().f0(new b(this));
    }

    private final void n0() {
        com.niming.weipa.g.c.c0().e0(new c(this));
    }

    private final void o0() {
        u.f((ImageView) h0(com.niming.weipa.R.id.ivMessage), 0, new k(this), 1, null);
        u.f((ImageView) h0(com.niming.weipa.R.id.ivSetting), 0, new l(this), 1, null);
        u.f((TextView) h0(com.niming.weipa.R.id.tv_login), 0, new m(this), 1, null);
        u.f((LinearLayout) h0(com.niming.weipa.R.id.ll_vip), 0, new C0382n(this), 1, null);
        u.f((LinearLayout) h0(com.niming.weipa.R.id.ll_recharge), 0, new o(this), 1, null);
        u.f((LinearLayout) h0(com.niming.weipa.R.id.ll_share), 0, new p(this), 1, null);
        u.f((ItemView) h0(com.niming.weipa.R.id.item_date_center), 0, new q(this), 1, null);
        u.f((ItemView) h0(com.niming.weipa.R.id.item_business_center), 0, new r(this), 1, null);
        u.f((ItemView) h0(com.niming.weipa.R.id.item_communication_group), 0, new s(this), 1, null);
        u.f((ItemView) h0(com.niming.weipa.R.id.item_download), 0, new d(this), 1, null);
        u.f((ItemView) h0(com.niming.weipa.R.id.item_bind_invite_code), 0, new e(this), 1, null);
        u.f((TextView) h0(com.niming.weipa.R.id.tv_collect), 0, new f(this), 1, null);
        u.f((TextView) h0(com.niming.weipa.R.id.followView), 0, new g(this), 1, null);
        u.f((TextView) h0(com.niming.weipa.R.id.tv_recruit), 0, new h(this), 1, null);
        u.f((ItemView) h0(com.niming.weipa.R.id.item_my_purchase), 0, new i(this), 1, null);
        u.f((TextView) h0(com.niming.weipa.R.id.postsView), 0, new j(this), 1, null);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void r0(UserInfo2 userInfo2) {
        String code = userInfo2.getCode();
        Intrinsics.checkNotNullExpressionValue(code, "model.code");
        this.U0 = code;
        LogUtils.m(this.Q0, userInfo2.toString());
        if (!Intrinsics.areEqual(this.V0, userInfo2.getAvatar())) {
            com.niming.weipa.e.b.g(getContext(), userInfo2.getAvatar(), (ImageView) h0(com.niming.weipa.R.id.iv_user_avatar));
            String avatar = userInfo2.getAvatar();
            Intrinsics.checkNotNullExpressionValue(avatar, "model.avatar");
            this.V0 = avatar;
        }
        ((TextView) h0(com.niming.weipa.R.id.tv_user_title)).setText(userInfo2.getNick());
        ((TextView) h0(com.niming.weipa.R.id.tv_id)).setText(Intrinsics.stringPlus("ID: ", userInfo2.get_id()));
        if (!userInfo2.isIsset_account() || TextUtils.isEmpty(userInfo2.getUser_account())) {
            ((TextView) h0(com.niming.weipa.R.id.tv_login)).setVisibility(0);
        } else {
            ((TextView) h0(com.niming.weipa.R.id.tv_login)).setVisibility(8);
        }
        if (Intrinsics.areEqual(userInfo2.getIs_vip(), DateFormat.YEAR)) {
            ((TextView) h0(com.niming.weipa.R.id.tv_vip_content)).setText(((Object) userInfo2.getVip_expired_text()) + " 剩余可下载次数" + userInfo2.getDownload_num());
        } else {
            ((TextView) h0(com.niming.weipa.R.id.tv_vip_content)).setText(Intrinsics.stringPlus("开通VIP全场畅看 剩余可下载次数", Integer.valueOf(userInfo2.getDownload_num())));
        }
        ((TextView) h0(com.niming.weipa.R.id.tv_balance)).setText(Intrinsics.stringPlus("当前余额 ", Integer.valueOf(userInfo2.getCoins())));
    }

    @Override // com.niming.framework.base.b, com.niming.framework.base.e.b
    public void a(boolean z, boolean z2) {
        super.a(z, z2);
        if (z) {
            n0();
            m0();
        }
    }

    public void f0() {
        this.W0.clear();
    }

    @Override // com.niming.framework.base.g
    public int getViewRes() {
        return R.layout.fragment_profile_4;
    }

    @Nullable
    public View h0(int i2) {
        View findViewById;
        Map<Integer, View> map = this.W0;
        View view = map.get(Integer.valueOf(i2));
        if (view != null) {
            return view;
        }
        View view2 = getView();
        if (view2 == null || (findViewById = view2.findViewById(i2)) == null) {
            return null;
        }
        map.put(Integer.valueOf(i2), findViewById);
        return findViewById;
    }

    @Override // com.niming.weipa.base.d, com.niming.framework.base.g
    public void j(@NotNull View view) {
        Intrinsics.checkNotNullParameter(view, "view");
        super.j(view);
        o0();
    }

    @NotNull
    public final String l0() {
        return this.V0;
    }

    public void onClick(@Nullable View view) {
    }

    @Override // com.niming.weipa.base.d, androidx.fragment.app.Fragment
    public /* synthetic */ void onDestroyView() {
        super.onDestroyView();
        f0();
    }

    @Subscribe(threadMode = ThreadMode.MAIN)
    public final void p0(@NotNull RefreshEvent refreshEvent) {
        Intrinsics.checkNotNullParameter(refreshEvent, NotificationCompat.r0);
        if (refreshEvent.isCode(8) || refreshEvent.isCode(28) || refreshEvent.isCode(17) || refreshEvent.isCode(9)) {
            n0();
        } else if (refreshEvent.isCode(11)) {
            n0();
        } else if (refreshEvent.isCode(233)) {
            UserInfo2 R = R();
            Intrinsics.checkNotNullExpressionValue(R, "userInfo2");
            r0(R);
        }
    }

    @Subscribe(threadMode = ThreadMode.MAIN)
    public final void q0(@NotNull NoticeEvent noticeEvent) {
        Intrinsics.checkNotNullParameter(noticeEvent, FeedbackReplyActivity.K0);
        if (noticeEvent.isCode(1)) {
            Object data = noticeEvent.getData();
            Objects.requireNonNull(data, "null cannot be cast to non-null type kotlin.Int");
            if (((Integer) data).intValue() == 3) {
                n0();
                m0();
            }
        }
    }

    public final void s0(@NotNull String str) {
        Intrinsics.checkNotNullParameter(str, "<set-?>");
        this.V0 = str;
    }
}
