package com.niming.weipa.h.e;

import android.app.Activity;
import android.content.ComponentName;
import android.content.Intent;
import android.content.pm.PackageManager;
import android.os.AsyncTask;
import android.os.Bundle;
import android.text.SpannableStringBuilder;
import android.text.SpannedString;
import android.text.TextUtils;
import android.text.style.ForegroundColorSpan;
import android.view.View;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.TextView;
import androidx.cardview.widget.CardView;
import androidx.constraintlayout.widget.ConstraintLayout;
import androidx.core.app.NotificationCompat;
import androidx.fragment.app.FragmentActivity;
import androidx.recyclerview.widget.RecyclerView;
import com.alipay.sdk.util.j;
import com.blankj.utilcode.util.LogUtils;
import com.blankj.utilcode.util.ToastUtils;
import com.blankj.utilcode.util.a0;
import com.blankj.utilcode.util.k0;
import com.blankj.utilcode.util.t;
import com.blankj.utilcode.util.u0;
import com.chad.library.adapter.base.BaseQuickAdapter;
import com.ibm.icu.impl.number.Padder;
import com.ibm.icu.text.DateFormat;
import com.niming.framework.net.Result;
import com.niming.framework.widget.ItemView;
import com.niming.weipa.App;
import com.niming.weipa.R;
import com.niming.weipa.model.AppUpdate2;
import com.niming.weipa.model.NoticeEvent;
import com.niming.weipa.model.RefreshEvent;
import com.niming.weipa.model.UserInfo2;
import com.niming.weipa.ui.edit_info.EditUphostActivity;
import com.niming.weipa.ui.feedback.FeedbackReplyActivity;
import com.niming.weipa.ui.lock.CreateGesturePasswordActivity;
import com.niming.weipa.ui.lock.ValidatePasswordActivity;
import com.niming.weipa.ui.login.BindPhoneActivity;
import com.niming.weipa.ui.login.RebindPhoneActivity;
import com.niming.weipa.ui.mine.activity.AccountPwdActivity;
import com.niming.weipa.ui.mine.activity.AlterAccountAct;
import com.niming.weipa.ui.mine.activity.DouyinIdCardAct;
import com.niming.weipa.ui.mine.activity.MyMessageActivity2;
import com.niming.weipa.ui.mine.model.AppDetailData;
import com.niming.weipa.ui.vip.DiamondDetailActivity;
import com.niming.weipa.ui.vip.InviteShareAct;
import com.niming.weipa.ui.vip.VipDetailActivity4;
import com.niming.weipa.update.UpdateAppDialogFragment;
import com.niming.weipa.utils.b0;
import com.niming.weipa.utils.c0;
import com.niming.weipa.utils.i0;
import com.niming.weipa.utils.l0;
import com.niming.weipa.utils.t0;
import com.niming.weipa.utils.u;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;
import java.util.Objects;
import kotlin.Metadata;
import kotlin.Unit;
import kotlin.collections.CollectionsKt__CollectionsKt;
import kotlin.jvm.functions.Function0;
import kotlin.jvm.functions.Function1;
import kotlin.jvm.internal.DefaultConstructorMarker;
import kotlin.jvm.internal.Intrinsics;
import kotlin.jvm.internal.Lambda;
import kotlin.text.Regex;
import kotlin.text.StringsKt__StringsKt;
import org.greenrobot.eventbus.Subscribe;
import org.greenrobot.eventbus.ThreadMode;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

@Metadata(d1 = {"\u0000n\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010\u000e\n\u0002\b\u0005\n\u0002\u0010!\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\b\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0002\b\t\n\u0002\u0018\u0002\n\u0002\b\u0003\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0018\u0002\n\u0002\b\u0004\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010\u000b\n\u0002\b\u0003\n\u0002\u0018\u0002\n\u0002\b\u0004\u0018\u0000 72\u00020\u00012\u00020\u0002:\u0003678B\u0005¢\u0006\u0002\u0010\u0003J\u0018\u0010\u0011\u001a\u00020\u00122\u0006\u0010\u0013\u001a\u00020\u000e2\u0006\u0010\r\u001a\u00020\u000eH\u0002J\b\u0010\u0014\u001a\u00020\u0012H\u0002J\b\u0010\u0015\u001a\u00020\u0012H\u0002J\b\u0010\u0016\u001a\u00020\u0012H\u0002J\b\u0010\u0017\u001a\u00020\u0012H\u0002J\b\u0010\u0018\u001a\u00020\u0012H\u0002J\b\u0010\u0019\u001a\u00020\u000eH\u0016J\u0010\u0010\u001a\u001a\u00020\u00122\u0006\u0010\u001b\u001a\u00020\u001cH\u0002J\b\u0010\u001d\u001a\u00020\u0012H\u0002J\u0010\u0010\u001e\u001a\u00020\u00122\u0006\u0010\u001f\u001a\u00020 H\u0016J\u0010\u0010!\u001a\u00020\u00122\u0006\u0010\u001b\u001a\u00020\u001cH\u0002J\"\u0010\"\u001a\u00020\u00122\u0006\u0010#\u001a\u00020\u000e2\u0006\u0010$\u001a\u00020\u000e2\b\u0010%\u001a\u0004\u0018\u00010&H\u0016J\u0010\u0010'\u001a\u00020\u00122\u0006\u0010(\u001a\u00020 H\u0016J\u0010\u0010)\u001a\u00020\u00122\u0006\u0010*\u001a\u00020+H\u0007J\u0010\u0010,\u001a\u00020\u00122\u0006\u0010-\u001a\u00020.H\u0007J\u0018\u0010/\u001a\u00020\u00122\u0006\u00100\u001a\u0002012\u0006\u00102\u001a\u000201H\u0016J\u0010\u00103\u001a\u00020\u00122\u0006\u00104\u001a\u000205H\u0002R\u001a\u0010\u0004\u001a\u00020\u0005X\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u0006\u0010\u0007\"\u0004\b\b\u0010\tR\u0014\u0010\n\u001a\b\u0012\u0004\u0012\u00020\f0\u000bX\u0004¢\u0006\u0002\n\u0000R\u000e\u0010\r\u001a\u00020\u000eX\u000e¢\u0006\u0002\n\u0000R\u000e\u0010\u000f\u001a\u00020\u0010X\u0004¢\u0006\u0002\n\u0000¨\u00069"}, d2 = {"Lcom/niming/weipa/ui/mine/MineFragment1;", "Lcom/niming/weipa/base/BaseFragment;", "Lcom/niming/weipa/utils/OnLazyClickListener;", "()V", "avatarUrl", "", "getAvatarUrl", "()Ljava/lang/String;", "setAvatarUrl", "(Ljava/lang/String;)V", "iconList", "", "Lcom/niming/weipa/ui/mine/model/AppDetailData;", "lastPos", "", "mAdapter", "Lcom/niming/weipa/ui/mine/adapter/DeskIconAdapter;", "changeIcon", "", "position", "checkUpdate", "clickLockPwd", "closeGesturePassword", "getMsgData", "getMyUserInfo", "getViewRes", "handlerAppUpdateInfo", "appUpdate", "Lcom/niming/weipa/model/AppUpdate2;", "initListener", "initView", "view", "Landroid/view/View;", "needOpenUpdateDialog", "onActivityResult", "requestCode", "resultCode", "data", "Landroid/content/Intent;", "onLazyClick", "v", "onMessageEvent", NotificationCompat.r0, "Lcom/niming/weipa/model/RefreshEvent;", "onNoticeEvent", FeedbackReplyActivity.K0, "Lcom/niming/weipa/model/NoticeEvent;", "onVisibleToUserChanged", "isVisibleToUser", "", "invokeInResumeOrPause", "renderUI", com.liulishuo.filedownloader.services.f.f16553b, "Lcom/niming/weipa/model/UserInfo2;", "ClearCacheTask", "Companion", "GetCacheSizeTask", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* compiled from: MineFragment1.kt */
public final class o extends com.niming.weipa.base.d implements l0 {
    @NotNull
    public static final b T0 = new b(null);
    @NotNull
    public static final String U0 = "iconPos";
    @NotNull
    private final List<AppDetailData> V0;
    @NotNull
    private final com.niming.weipa.ui.mine.adapter.h W0;
    private int X0 = u0.i().n(U0, 0);
    @NotNull
    private String Y0 = "";
    @NotNull
    public Map<Integer, View> Z0 = new LinkedHashMap();

    @Metadata(d1 = {"\u0000(\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0010\b\n\u0002\u0010\u000e\n\u0002\b\u0003\n\u0002\u0010\u0011\n\u0002\b\u0002\n\u0002\u0010\u0002\n\u0002\b\u0002\b\u0004\u0018\u00002\u0018\u0012\u0006\u0012\u0004\u0018\u00010\u0002\u0012\u0006\u0012\u0004\u0018\u00010\u0003\u0012\u0004\u0012\u00020\u00040\u0001B\u0005¢\u0006\u0002\u0010\u0005J%\u0010\u0006\u001a\u00020\u00042\u0016\u0010\u0007\u001a\f\u0012\b\b\u0001\u0012\u0004\u0018\u00010\u00020\b\"\u0004\u0018\u00010\u0002H\u0014¢\u0006\u0002\u0010\tJ\u0010\u0010\n\u001a\u00020\u000b2\u0006\u0010\f\u001a\u00020\u0004H\u0014¨\u0006\r"}, d2 = {"Lcom/niming/weipa/ui/mine/MineFragment1$ClearCacheTask;", "Landroid/os/AsyncTask;", "Ljava/lang/Void;", "", "", "(Lcom/niming/weipa/ui/mine/MineFragment1;)V", "doInBackground", "params", "", "([Ljava/lang/Void;)Ljava/lang/String;", "onPostExecute", "", DateFormat.SECOND, "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: MineFragment1.kt */
    public final class a extends AsyncTask<Void, Integer, String> {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ o f19172a;

        public a(o oVar) {
            Intrinsics.checkNotNullParameter(oVar, "this$0");
            this.f19172a = oVar;
        }

        /* access modifiers changed from: protected */
        @NotNull
        /* renamed from: a */
        public String doInBackground(@NotNull Void... voidArr) {
            Intrinsics.checkNotNullParameter(voidArr, "params");
            c0.a(((com.niming.framework.base.b) this.f19172a).I0);
            String d2 = c0.d(((com.niming.framework.base.b) this.f19172a).I0);
            Intrinsics.checkNotNullExpressionValue(d2, "getDiskCacheSizeString(activity)");
            return d2;
        }

        /* access modifiers changed from: protected */
        /* renamed from: b */
        public void onPostExecute(@NotNull String str) {
            Intrinsics.checkNotNullParameter(str, DateFormat.SECOND);
            super.onPostExecute(str);
            c0.b(((com.niming.framework.base.b) this.f19172a).I0);
            ToastUtils.S("清理成功", new Object[0]);
            ((ItemView) this.f19172a.h0(R.id.item_clean_cache)).setRightText("0 MB");
        }
    }

    @Metadata(d1 = {"\u0000\u0018\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\b\u0002\n\u0002\u0010\u000e\n\u0000\n\u0002\u0018\u0002\n\u0000\b\u0003\u0018\u00002\u00020\u0001B\u0007\b\u0002¢\u0006\u0002\u0010\u0002J\u0006\u0010\u0005\u001a\u00020\u0006R\u000e\u0010\u0003\u001a\u00020\u0004XT¢\u0006\u0002\n\u0000¨\u0006\u0007"}, d2 = {"Lcom/niming/weipa/ui/mine/MineFragment1$Companion;", "", "()V", "KEY", "", "newInstance", "Lcom/niming/weipa/ui/mine/MineFragment1;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: MineFragment1.kt */
    public static final class b {
        private b() {
        }

        public /* synthetic */ b(DefaultConstructorMarker defaultConstructorMarker) {
            this();
        }

        @NotNull
        public final o a() {
            Bundle bundle = new Bundle();
            o oVar = new o();
            oVar.setArguments(bundle);
            return oVar;
        }
    }

    @Metadata(d1 = {"\u0000(\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0010\b\n\u0002\u0010\u000e\n\u0002\b\u0003\n\u0002\u0010\u0011\n\u0002\b\u0002\n\u0002\u0010\u0002\n\u0002\b\u0002\b\u0004\u0018\u00002\u0018\u0012\u0006\u0012\u0004\u0018\u00010\u0002\u0012\u0006\u0012\u0004\u0018\u00010\u0003\u0012\u0004\u0012\u00020\u00040\u0001B\u0005¢\u0006\u0002\u0010\u0005J%\u0010\u0006\u001a\u00020\u00042\u0016\u0010\u0007\u001a\f\u0012\b\b\u0001\u0012\u0004\u0018\u00010\u00020\b\"\u0004\u0018\u00010\u0002H\u0014¢\u0006\u0002\u0010\tJ\u0010\u0010\n\u001a\u00020\u000b2\u0006\u0010\f\u001a\u00020\u0004H\u0014¨\u0006\r"}, d2 = {"Lcom/niming/weipa/ui/mine/MineFragment1$GetCacheSizeTask;", "Landroid/os/AsyncTask;", "Ljava/lang/Void;", "", "", "(Lcom/niming/weipa/ui/mine/MineFragment1;)V", "doInBackground", "params", "", "([Ljava/lang/Void;)Ljava/lang/String;", "onPostExecute", "", DateFormat.SECOND, "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: MineFragment1.kt */
    public final class c extends AsyncTask<Void, Integer, String> {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ o f19173a;

        public c(o oVar) {
            Intrinsics.checkNotNullParameter(oVar, "this$0");
            this.f19173a = oVar;
        }

        /* access modifiers changed from: protected */
        @NotNull
        /* renamed from: a */
        public String doInBackground(@NotNull Void... voidArr) {
            Intrinsics.checkNotNullParameter(voidArr, "params");
            String d2 = c0.d(((com.niming.framework.base.b) this.f19173a).I0);
            Intrinsics.checkNotNullExpressionValue(d2, "getDiskCacheSizeString(activity)");
            return d2;
        }

        /* access modifiers changed from: protected */
        /* renamed from: b */
        public void onPostExecute(@NotNull String str) {
            int i;
            Intrinsics.checkNotNullParameter(str, DateFormat.SECOND);
            super.onPostExecute(str);
            try {
                String b0 = a0.b0(t0.b(this.f19173a.getContext()));
                int i2 = 0;
                LogUtils.l(Intrinsics.stringPlus("size = ", b0));
                if (!TextUtils.isEmpty(b0)) {
                    Intrinsics.checkNotNullExpressionValue(b0, "videoCacheSize");
                    i = Integer.parseInt((String) StringsKt__StringsKt.split$default((CharSequence) b0, new String[]{"."}, false, 0, 6, (Object) null).get(0));
                } else {
                    i = 0;
                }
                if (!TextUtils.isEmpty(str)) {
                    i2 = Integer.parseInt((String) StringsKt__StringsKt.split$default((CharSequence) str, new String[]{"."}, false, 0, 6, (Object) null).get(0));
                }
                ((ItemView) this.f19173a.h0(R.id.item_clean_cache)).setRightText((i + i2) + " MB");
            } catch (Exception unused) {
                ((ItemView) this.f19173a.h0(R.id.item_clean_cache)).setRightText(a0.b0(t0.b(this.f19173a.getContext())));
            }
        }
    }

    @Metadata(d1 = {"\u0000\u0017\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J\u0010\u0010\u0002\u001a\u00020\u00032\u0006\u0010\u0004\u001a\u00020\u0005H\u0014¨\u0006\u0006"}, d2 = {"com/niming/weipa/ui/mine/MineFragment1$checkUpdate$1", "Lcom/niming/weipa/net/AbsHttpCallback;", "onSuccess", "", j.f6041c, "Lcom/niming/framework/net/Result;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: MineFragment1.kt */
    public static final class d extends com.niming.weipa.g.a {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ o f19174a;

        d(o oVar) {
            this.f19174a = oVar;
        }

        /* access modifiers changed from: protected */
        @Override // com.niming.weipa.g.a
        public void onSuccess(@NotNull Result result) {
            Intrinsics.checkNotNullParameter(result, j.f6041c);
            if (result.isOk()) {
                AppUpdate2 appUpdate2 = (AppUpdate2) com.niming.framework.b.g.b(result.getData(), AppUpdate2.class);
                if (k0.y(appUpdate2)) {
                    o oVar = this.f19174a;
                    Intrinsics.checkNotNullExpressionValue(appUpdate2, "appUpdate");
                    oVar.s0(appUpdate2);
                    return;
                }
                return;
            }
            LogUtils.l("app 信息 未获取到");
        }
    }

    @Metadata(d1 = {"\u0000\u0017\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J\u0010\u0010\u0002\u001a\u00020\u00032\u0006\u0010\u0004\u001a\u00020\u0005H\u0014¨\u0006\u0006"}, d2 = {"com/niming/weipa/ui/mine/MineFragment1$getMsgData$1", "Lcom/niming/weipa/net/AbsHttpCallback;", "onSuccess", "", j.f6041c, "Lcom/niming/framework/net/Result;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: MineFragment1.kt */
    public static final class e extends com.niming.weipa.g.a {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ o f19175a;

        e(o oVar) {
            this.f19175a = oVar;
        }

        /* access modifiers changed from: protected */
        @Override // com.niming.weipa.g.a
        public void onSuccess(@NotNull Result result) {
            Intrinsics.checkNotNullParameter(result, j.f6041c);
            if (!result.isOk()) {
                return;
            }
            if (Intrinsics.areEqual(result.getData(), "1")) {
                ImageView imageView = (ImageView) this.f19175a.h0(R.id.iv_has_msg);
                if (imageView != null) {
                    imageView.setVisibility(0);
                    return;
                }
                return;
            }
            ImageView imageView2 = (ImageView) this.f19175a.h0(R.id.iv_has_msg);
            if (imageView2 != null) {
                imageView2.setVisibility(8);
            }
        }
    }

    @Metadata(d1 = {"\u0000\u0017\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J\u0010\u0010\u0002\u001a\u00020\u00032\u0006\u0010\u0004\u001a\u00020\u0005H\u0014¨\u0006\u0006"}, d2 = {"com/niming/weipa/ui/mine/MineFragment1$getMyUserInfo$1", "Lcom/niming/weipa/net/AbsHttpCallback;", "onSuccess", "", j.f6041c, "Lcom/niming/framework/net/Result;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: MineFragment1.kt */
    public static final class f extends com.niming.weipa.g.a {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ o f19176a;

        f(o oVar) {
            this.f19176a = oVar;
        }

        /* access modifiers changed from: protected */
        @Override // com.niming.weipa.g.a
        public void onSuccess(@NotNull Result result) {
            Intrinsics.checkNotNullParameter(result, j.f6041c);
            if (result.isOk()) {
                UserInfo2 userInfo2 = (UserInfo2) com.niming.framework.b.g.b(result.getData(), UserInfo2.class);
                com.niming.framework.basedb.h.c().g(com.niming.weipa.c.a.f17712e, userInfo2);
                o oVar = this.f19176a;
                Intrinsics.checkNotNullExpressionValue(userInfo2, com.liulishuo.filedownloader.services.f.f16553b);
                oVar.F0(userInfo2);
                com.niming.framework.b.d.b(new RefreshEvent(27));
            }
        }
    }

    /* access modifiers changed from: package-private */
    @Metadata(d1 = {"\u0000\u0010\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\u0010\u0000\u001a\u00020\u00012\u000e\u0010\u0002\u001a\n \u0004*\u0004\u0018\u00010\u00030\u0003H\n¢\u0006\u0002\b\u0005"}, d2 = {"<anonymous>", "", "it", "Landroidx/cardview/widget/CardView;", "kotlin.jvm.PlatformType", "invoke"}, k = 3, mv = {1, 6, 0}, xi = 48)
    /* compiled from: MineFragment1.kt */
    public static final class g extends Lambda implements Function1<CardView, Unit> {
        final /* synthetic */ o this$0;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        g(o oVar) {
            super(1);
            this.this$0 = oVar;
        }

        public final void a(CardView cardView) {
            MyMessageActivity2.a aVar = MyMessageActivity2.f19936a;
            Activity activity = ((com.niming.framework.base.b) this.this$0).I0;
            Intrinsics.checkNotNullExpressionValue(activity, "activity");
            aVar.a(activity);
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // kotlin.jvm.functions.Function1
        public /* bridge */ /* synthetic */ Unit invoke(CardView cardView) {
            a(cardView);
            return Unit.INSTANCE;
        }
    }

    @Metadata(d1 = {"\u0000\b\n\u0000\n\u0002\u0010\u0002\n\u0000\u0010\u0000\u001a\u00020\u0001H\n¢\u0006\u0002\b\u0002"}, d2 = {"<anonymous>", "", "invoke"}, k = 3, mv = {1, 6, 0}, xi = 48)
    /* compiled from: MineFragment1.kt */
    static final class h extends Lambda implements Function0<Unit> {
        final /* synthetic */ o this$0;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        h(o oVar) {
            super(0);
            this.this$0 = oVar;
        }

        public final void a() {
            ren.yale.android.cachewebviewlib.g.l().c();
            com.shuyu.gsyvideoplayer.f.a.a().d(((com.niming.framework.base.b) this.this$0).I0, null, null);
            new a(this.this$0).execute(new Void[0]);
            String b2 = t0.b(this.this$0.getContext());
            boolean p = a0.p(b2);
            LogUtils.l("videoCacheRootPath = " + ((Object) b2) + " delete = " + p);
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        @Override // kotlin.jvm.functions.Function0
        public /* bridge */ /* synthetic */ Unit invoke() {
            a();
            return Unit.INSTANCE;
        }
    }

    public o() {
        List<AppDetailData> list = CollectionsKt__CollectionsKt.mutableListOf(new AppDetailData("海角社区", com.hj.chen.new1126.R.drawable.icon_douying_logo, false, "com.niming.weipa.ui.splash.SplashActivity"), new AppDetailData("干货", com.hj.chen.new1126.R.drawable.ic_launcher2, false, "com.niming.weipa.launcher2"), new AppDetailData("一起学", com.hj.chen.new1126.R.drawable.ic_launcher3, false, "com.niming.weipa.launcher3"), new AppDetailData("知识辅导", com.hj.chen.new1126.R.drawable.ic_launcher4, false, "com.niming.weipa.launcher4"), new AppDetailData("D盘管家", com.hj.chen.new1126.R.drawable.ic_launcher5, false, "com.niming.weipa.launcher5"));
        this.V0 = list;
        this.W0 = new com.niming.weipa.ui.mine.adapter.h(list);
    }

    private final void C0(AppUpdate2 appUpdate2) {
        UpdateAppDialogFragment f0 = UpdateAppDialogFragment.f0(appUpdate2);
        androidx.fragment.app.g fragmentManager = getFragmentManager();
        Intrinsics.checkNotNull(fragmentManager);
        f0.show(fragmentManager, f0.getClass().getSimpleName());
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void F0(UserInfo2 userInfo2) {
        String str;
        LogUtils.m(this.Q0, userInfo2.toString());
        if (!Intrinsics.areEqual(this.Y0, userInfo2.getAvatar())) {
            com.niming.weipa.e.b.g(getContext(), userInfo2.getAvatar(), (ImageView) h0(R.id.iv_user_avatar));
            String avatar = userInfo2.getAvatar();
            Intrinsics.checkNotNullExpressionValue(avatar, "model.avatar");
            this.Y0 = avatar;
        }
        ((TextView) h0(R.id.tv_user_title)).setText(userInfo2.getNick());
        ((TextView) h0(R.id.tvDonYinID)).setText(userInfo2.getCode());
        ((TextView) h0(R.id.tvCurrentDiamondNum)).setText(Intrinsics.stringPlus("当前钻石余额：", com.niming.weipa.utils.k0.a(String.valueOf(userInfo2.getCoins()))));
        if (!TextUtils.isEmpty(R().getRank_type_str())) {
            str = R().getRank_type_str();
            Intrinsics.checkNotNullExpressionValue(str, "userInfo2.rank_type_str");
        } else {
            str = "VIP会员";
        }
        ((TextView) h0(R.id.tvVip)).setText(str);
        ((TextView) h0(R.id.tvVIPTip)).setText(userInfo2.getVip_expired_text());
        if (!TextUtils.isEmpty(userInfo2.getBind_mobile())) {
            String bind_mobile = userInfo2.getBind_mobile();
            Intrinsics.checkNotNullExpressionValue(bind_mobile, "phoneNumber");
            String replace = new Regex("(\\d{3})\\d{4}(\\d{4})").replace(bind_mobile, "$1****$2");
            int i = R.id.itemBindPhone;
            ((ItemView) h0(i)).setRightText(Intrinsics.stringPlus(Padder.f14124a, replace));
            SpannableStringBuilder spannableStringBuilder = new SpannableStringBuilder();
            SpannableStringBuilder append = spannableStringBuilder.append((CharSequence) replace);
            Intrinsics.checkNotNullExpressionValue(append, "append(showPhone)");
            ForegroundColorSpan foregroundColorSpan = new ForegroundColorSpan(getResources().getColor(com.hj.chen.new1126.R.color.colorAccent));
            int length = append.length();
            append.append((CharSequence) " 换绑");
            append.setSpan(foregroundColorSpan, length, append.length(), 17);
            ((ItemView) h0(i)).setRightText(new SpannedString(spannableStringBuilder));
            ((ItemView) h0(i)).d();
            ((TextView) h0(R.id.tv_tip)).setVisibility(8);
        } else {
            ((ItemView) h0(R.id.itemBindPhone)).setRightText("立即绑定");
            ((TextView) h0(R.id.tv_tip)).setVisibility(0);
        }
        if (userInfo2.isIsset_account()) {
            ((ItemView) h0(R.id.itemLoginPwd)).setVisibility(0);
        } else {
            ((ItemView) h0(R.id.itemLoginPwd)).setVisibility(8);
        }
    }

    private final void l0(int i, int i2) {
        PackageManager packageManager = this.I0.getPackageManager();
        packageManager.setComponentEnabledSetting(new ComponentName(this.I0, this.V0.get(i2).getCls()), 2, 1);
        packageManager.setComponentEnabledSetting(new ComponentName(this.I0, this.V0.get(i).getCls()), 1, 1);
    }

    private final void m0() {
        i0 i0Var = i0.f20556a;
        Activity activity = this.I0;
        Intrinsics.checkNotNullExpressionValue(activity, "activity");
        com.niming.weipa.g.c.c0().d0(i0Var.e(activity, "LINK"), new d(this).setLoadingListener(this, "请求中"));
    }

    private final void n0() {
        if (TextUtils.isEmpty(com.niming.framework.basedb.h.c().e(com.niming.weipa.c.a.k))) {
            b0.b().h("设置-点击生成锁屏密码");
            CreateGesturePasswordActivity.q0(this.I0);
            return;
        }
        b0.b().h("设置-点击关闭锁屏密码");
        ValidatePasswordActivity.i0(this.I0, 1, true);
    }

    private final void o0() {
        com.niming.framework.basedb.h.c().f(com.niming.weipa.c.a.k);
    }

    private final void q0() {
        com.niming.weipa.g.c.c0().f0(new e(this));
    }

    private final void r0() {
        com.niming.weipa.g.c.c0().e0(new f(this));
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void s0(AppUpdate2 appUpdate2) {
        com.niming.framework.basedb.h.c().g(com.niming.weipa.c.a.h, appUpdate2);
        if (com.niming.weipa.update.a.d(com.niming.weipa.a.f, appUpdate2.getVersion_code())) {
            C0(appUpdate2);
        } else {
            ToastUtils.W("已是最新版本", new Object[0]);
        }
    }

    private final void t0() {
        ((ImageView) h0(R.id.iv_user_avatar)).setOnClickListener(this);
        ((LinearLayout) h0(R.id.ll_title)).setOnClickListener(this);
        u.f((CardView) h0(R.id.civ_msg), 0, new g(this), 1, null);
        ((CardView) h0(R.id.cv_id)).setOnClickListener(this);
        ((ConstraintLayout) h0(R.id.cl_vip_panel)).setOnClickListener(this);
        ((ConstraintLayout) h0(R.id.cl_diamond_panel)).setOnClickListener(this);
        ((ItemView) h0(R.id.itemLock)).getRightSwitch().setOnClickListener(new b(this));
        ((TextView) h0(R.id.tv_user_title)).setOnClickListener(this);
        ((ItemView) h0(R.id.item_clean_cache)).setOnClickListener(this);
        ((ItemView) h0(R.id.item_check_update)).setOnClickListener(this);
        ((LinearLayout) h0(R.id.ll_alter_account)).setOnClickListener(this);
        ((ItemView) h0(R.id.item_invite_share)).setOnClickListener(this);
        ((ItemView) h0(R.id.itemBindPhone)).setOnClickListener(new d(this));
        ((ItemView) h0(R.id.itemLoginPwd)).setOnClickListener(new a(this));
    }

    /* access modifiers changed from: private */
    public static final void u0(o oVar, View view) {
        Intrinsics.checkNotNullParameter(oVar, "this$0");
        oVar.n0();
    }

    /* access modifiers changed from: private */
    public static final void v0(o oVar, View view) {
        Intrinsics.checkNotNullParameter(oVar, "this$0");
        if (TextUtils.isEmpty(oVar.R().getBind_mobile())) {
            BindPhoneActivity.a aVar = BindPhoneActivity.f19767a;
            Activity activity = oVar.I0;
            Intrinsics.checkNotNullExpressionValue(activity, "activity");
            aVar.a(activity);
            return;
        }
        RebindPhoneActivity.a aVar2 = RebindPhoneActivity.f19786a;
        Activity activity2 = oVar.I0;
        Intrinsics.checkNotNullExpressionValue(activity2, "activity");
        String bind_mobile = oVar.R().getBind_mobile();
        Intrinsics.checkNotNullExpressionValue(bind_mobile, "userInfo2.bind_mobile");
        aVar2.a(activity2, bind_mobile);
    }

    /* access modifiers changed from: private */
    public static final void w0(o oVar, View view) {
        Intrinsics.checkNotNullParameter(oVar, "this$0");
        AccountPwdActivity.a aVar = AccountPwdActivity.f19879a;
        Activity activity = oVar.I0;
        Intrinsics.checkNotNullExpressionValue(activity, "activity");
        aVar.a(activity);
    }

    /* access modifiers changed from: private */
    public static final void x0(o oVar, BaseQuickAdapter baseQuickAdapter, View view, int i) {
        Intrinsics.checkNotNullParameter(oVar, "this$0");
        Intrinsics.checkNotNullParameter(baseQuickAdapter, "adapter");
        Intrinsics.checkNotNullParameter(view, "$noName_1");
        if (i != oVar.X0) {
            oVar.V0.get(i).setSelected(true);
            oVar.V0.get(oVar.X0).setSelected(false);
            baseQuickAdapter.notifyItemChanged(i);
            baseQuickAdapter.notifyItemChanged(oVar.X0);
            oVar.l0(i, oVar.X0);
            oVar.X0 = i;
            u0.i().x(U0, oVar.X0);
        }
    }

    @Subscribe(threadMode = ThreadMode.MAIN)
    public final void D0(@NotNull RefreshEvent refreshEvent) {
        Intrinsics.checkNotNullParameter(refreshEvent, NotificationCompat.r0);
        if (refreshEvent.isCode(8) || refreshEvent.isCode(28) || refreshEvent.isCode(17) || refreshEvent.isCode(9)) {
            r0();
        } else if (refreshEvent.isCode(11)) {
            r0();
        } else if (refreshEvent.isCode(233)) {
            UserInfo2 R = R();
            Intrinsics.checkNotNullExpressionValue(R, "userInfo2");
            F0(R);
        }
    }

    @Subscribe(threadMode = ThreadMode.MAIN)
    public final void E0(@NotNull NoticeEvent noticeEvent) {
        Intrinsics.checkNotNullParameter(noticeEvent, FeedbackReplyActivity.K0);
        if (noticeEvent.isCode(1)) {
            Object data = noticeEvent.getData();
            Objects.requireNonNull(data, "null cannot be cast to non-null type kotlin.Int");
            if (((Integer) data).intValue() == 4) {
                r0();
            }
        }
    }

    public final void G0(@NotNull String str) {
        Intrinsics.checkNotNullParameter(str, "<set-?>");
        this.Y0 = str;
    }

    @Override // com.niming.framework.base.b, com.niming.framework.base.e.b
    public void a(boolean z, boolean z2) {
        super.a(z, z2);
        if (z) {
            ((ItemView) h0(R.id.itemLock)).setChecked(!TextUtils.isEmpty(com.niming.framework.basedb.h.c().e(com.niming.weipa.c.a.k)));
            r0();
            q0();
        }
    }

    public void f0() {
        this.Z0.clear();
    }

    @Override // com.niming.framework.base.g
    public int getViewRes() {
        return com.hj.chen.new1126.R.layout.fragment_mine;
    }

    @Nullable
    public View h0(int i) {
        View findViewById;
        Map<Integer, View> map = this.Z0;
        View view = map.get(Integer.valueOf(i));
        if (view != null) {
            return view;
        }
        View view2 = getView();
        if (view2 == null || (findViewById = view2.findViewById(i)) == null) {
            return null;
        }
        map.put(Integer.valueOf(i), findViewById);
        return findViewById;
    }

    @Override // com.niming.weipa.base.d, com.niming.framework.base.g
    public void j(@NotNull View view) {
        Intrinsics.checkNotNullParameter(view, "view");
        super.j(view);
        t0();
        new c(this).execute(new Void[0]);
        try {
            App.a aVar = App.I0;
            ((ItemView) h0(R.id.item_check_update)).setRightText(aVar.a().getPackageManager().getPackageInfo(aVar.a().getPackageName(), 0).versionName);
        } catch (PackageManager.NameNotFoundException e2) {
            e2.printStackTrace();
        }
        this.V0.get(this.X0).setSelected(true);
        int i = R.id.rv_desk_icon;
        ((RecyclerView) h0(i)).setAdapter(this.W0);
        com.niming.weipa.widget.j jVar = new com.niming.weipa.widget.j(t.w(10.0f));
        jVar.d(false);
        jVar.f(false);
        ((RecyclerView) h0(i)).addItemDecoration(jVar);
        this.W0.m(new c(this));
    }

    @Override // androidx.fragment.app.Fragment
    public void onActivityResult(int i, int i2, @Nullable Intent intent) {
        super.onActivityResult(i, i2, intent);
        boolean z = true;
        if (i != 42) {
            if (i == 100) {
                ItemView itemView = (ItemView) h0(R.id.itemLock);
                if (i2 == 0) {
                    z = false;
                }
                itemView.setChecked(z);
            }
        } else if (TextUtils.isEmpty(com.niming.framework.basedb.h.c().e(com.niming.weipa.c.a.k))) {
            o0();
        } else {
            ((ItemView) h0(R.id.itemLock)).setChecked(true);
        }
    }

    @Override // com.niming.weipa.utils.l0
    public void onClick(View view) {
        l0.a.a(this, view);
    }

    @Override // com.niming.weipa.base.d, androidx.fragment.app.Fragment
    public /* synthetic */ void onDestroyView() {
        super.onDestroyView();
        f0();
    }

    @Override // com.niming.weipa.utils.l0
    public void onLazyClick(@NotNull View view) {
        Intrinsics.checkNotNullParameter(view, "v");
        switch (view.getId()) {
            case com.hj.chen.new1126.R.id.cl_diamond_panel /*{ENCODED_INT: 2131296530}*/:
                DiamondDetailActivity.a aVar = DiamondDetailActivity.f20290a;
                Activity activity = this.I0;
                Intrinsics.checkNotNullExpressionValue(activity, "activity");
                aVar.a(activity);
                return;
            case com.hj.chen.new1126.R.id.cl_vip_panel /*{ENCODED_INT: 2131296532}*/:
                VipDetailActivity4.a aVar2 = VipDetailActivity4.f20323a;
                Activity activity2 = this.I0;
                Intrinsics.checkNotNullExpressionValue(activity2, "activity");
                aVar2.a(activity2);
                return;
            case com.hj.chen.new1126.R.id.cv_id /*{ENCODED_INT: 2131296583}*/:
                DouyinIdCardAct.a aVar3 = DouyinIdCardAct.f19912a;
                Activity activity3 = this.I0;
                Intrinsics.checkNotNullExpressionValue(activity3, "activity");
                aVar3.a(activity3);
                return;
            case com.hj.chen.new1126.R.id.item_check_update /*{ENCODED_INT: 2131296824}*/:
                m0();
                return;
            case com.hj.chen.new1126.R.id.item_clean_cache /*{ENCODED_INT: 2131296826}*/:
                com.niming.weipa.notice.c o0 = com.niming.weipa.notice.c.M0.b("清除缓存，视频草稿将一并清除", "清除", "取消").o0(new h(this));
                Activity activity4 = this.I0;
                Objects.requireNonNull(activity4, "null cannot be cast to non-null type androidx.fragment.app.FragmentActivity");
                o0.show(((FragmentActivity) activity4).getSupportFragmentManager(), "AlterDialogFragment");
                return;
            case com.hj.chen.new1126.R.id.item_invite_share /*{ENCODED_INT: 2131296834}*/:
                InviteShareAct.a aVar4 = InviteShareAct.f20305a;
                Activity activity5 = this.I0;
                Intrinsics.checkNotNullExpressionValue(activity5, "activity");
                aVar4.a(activity5);
                return;
            case com.hj.chen.new1126.R.id.iv_user_avatar /*{ENCODED_INT: 2131296969}*/:
            case com.hj.chen.new1126.R.id.tv_user_title /*{ENCODED_INT: 2131297888}*/:
                EditUphostActivity.a aVar5 = EditUphostActivity.f19357a;
                Activity activity6 = this.I0;
                Intrinsics.checkNotNullExpressionValue(activity6, "activity");
                aVar5.a(activity6, false);
                return;
            case com.hj.chen.new1126.R.id.ll_alter_account /*{ENCODED_INT: 2131297059}*/:
                AlterAccountAct.a aVar6 = AlterAccountAct.f19885a;
                Activity activity7 = this.I0;
                Intrinsics.checkNotNullExpressionValue(activity7, "activity");
                aVar6.a(activity7);
                return;
            case com.hj.chen.new1126.R.id.ll_title /*{ENCODED_INT: 2131297083}*/:
                String obj = ((TextView) h0(R.id.tvDonYinID)).getText().toString();
                i0 i0Var = i0.f20556a;
                Activity activity8 = this.I0;
                Intrinsics.checkNotNullExpressionValue(activity8, "activity");
                i0Var.c(activity8, obj);
                ToastUtils.W("已复制", new Object[0]);
                return;
            default:
                return;
        }
    }

    @NotNull
    public final String p0() {
        return this.Y0;
    }
}
