package com.niming.weipa.h.e;

import android.app.Activity;
import android.os.Bundle;
import android.view.View;
import android.widget.ImageView;
import android.widget.TextView;
import androidx.constraintlayout.widget.ConstraintLayout;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import com.alipay.sdk.util.j;
import com.blankj.utilcode.util.ToastUtils;
import com.blankj.utilcode.util.k0;
import com.blankj.utilcode.util.t;
import com.niming.framework.b.g;
import com.niming.framework.net.Result;
import com.niming.framework.widget.XRefreshLayout;
import com.niming.weipa.R;
import com.niming.weipa.model.LabelTagInfoModel;
import com.niming.weipa.model.VideoInfo2;
import com.niming.weipa.ui.discovered.LabelDetailAct;
import com.niming.weipa.ui.discovered.model.DiscoverRecommendModel;
import com.niming.weipa.ui.focus_on.activity.VideoDetailActivity;
import com.niming.weipa.ui.mediaLibrary.CollectedLabelAct;
import com.niming.weipa.ui.mine.adapter.q;
import com.niming.weipa.ui.mine.widget.CheckVideoTypeMenu;
import com.niming.weipa.ui.mine.widget.VideoRecyclerView;
import com.niming.weipa.utils.v;
import java.util.ArrayList;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;
import kotlin.Metadata;
import kotlin.Unit;
import kotlin.jvm.functions.Function1;
import kotlin.jvm.internal.DefaultConstructorMarker;
import kotlin.jvm.internal.Intrinsics;
import kotlin.jvm.internal.Lambda;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

@Metadata(d1 = {"\u00008\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010\u000b\n\u0000\n\u0002\u0010\u000e\n\u0002\b\u0004\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0010\u0002\n\u0000\n\u0002\u0010\b\n\u0002\b\u0005\n\u0002\u0018\u0002\n\u0002\b\u0007\u0018\u0000 \u001f2\u00020\u0001:\u0001\u001fB\u0005¢\u0006\u0002\u0010\u0002J\b\u0010\u0010\u001a\u00020\u0011H\u0002J\b\u0010\u0012\u001a\u00020\u0013H\u0016J\b\u0010\u0014\u001a\u00020\u0011H\u0002J\b\u0010\u0015\u001a\u00020\u0011H\u0002J\b\u0010\u0016\u001a\u00020\u0011H\u0002J\u0012\u0010\u0017\u001a\u00020\u00112\b\u0010\u0018\u001a\u0004\u0018\u00010\u0019H\u0016J\u0012\u0010\u001a\u001a\u00020\u00112\b\u0010\u001b\u001a\u0004\u0018\u00010\u0019H\u0016J\b\u0010\u001c\u001a\u00020\u0011H\u0002J\b\u0010\u001d\u001a\u00020\u0011H\u0002J\b\u0010\u001e\u001a\u00020\u0011H\u0002R\u000e\u0010\u0003\u001a\u00020\u0004X\u000e¢\u0006\u0002\n\u0000R\u001a\u0010\u0005\u001a\u00020\u0006X\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u0005\u0010\u0007\"\u0004\b\b\u0010\tR\u001a\u0010\n\u001a\u00020\u000bX.¢\u0006\u000e\n\u0000\u001a\u0004\b\f\u0010\r\"\u0004\b\u000e\u0010\u000f¨\u0006 "}, d2 = {"Lcom/niming/weipa/ui/mine/ProfileLikeOrUnLockFragment;", "Lcom/niming/weipa/base/BaseFragment;", "()V", "isLike", "", "is_long", "", "()Ljava/lang/String;", "set_long", "(Ljava/lang/String;)V", "labelAdapter", "Lcom/niming/weipa/ui/mine/adapter/ProfileLikeLabelAdapter;", "getLabelAdapter", "()Lcom/niming/weipa/ui/mine/adapter/ProfileLikeLabelAdapter;", "setLabelAdapter", "(Lcom/niming/weipa/ui/mine/adapter/ProfileLikeLabelAdapter;)V", "getVideoInfo", "", "getViewRes", "", "initLabelRecyclerView", "initMenu", "initRefreshLayout", "initView", "view", "Landroid/view/View;", "onClick", "v", "videoBuyShortList", "videoLikeTypeList", "videoLikeVideoList", "Companion", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* compiled from: ProfileLikeOrUnLockFragment.kt */
public final class p extends com.niming.weipa.base.d {
    @NotNull
    public static final a T0 = new a(null);
    private boolean U0 = true;
    @NotNull
    private String V0 = "";
    public q W0;
    @NotNull
    public Map<Integer, View> X0 = new LinkedHashMap();

    @Metadata(d1 = {"\u0000\u0018\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u000b\n\u0000\b\u0003\u0018\u00002\u00020\u0001B\u0007\b\u0002¢\u0006\u0002\u0010\u0002J\u000e\u0010\u0003\u001a\u00020\u00042\u0006\u0010\u0005\u001a\u00020\u0006¨\u0006\u0007"}, d2 = {"Lcom/niming/weipa/ui/mine/ProfileLikeOrUnLockFragment$Companion;", "", "()V", "newInstance", "Lcom/niming/weipa/ui/mine/ProfileLikeOrUnLockFragment;", "isLike", "", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: ProfileLikeOrUnLockFragment.kt */
    public static final class a {
        private a() {
        }

        public /* synthetic */ a(DefaultConstructorMarker defaultConstructorMarker) {
            this();
        }

        @NotNull
        public final p a(boolean z) {
            Bundle bundle = new Bundle();
            bundle.putBoolean("isLike", z);
            p pVar = new p();
            pVar.setArguments(bundle);
            return pVar;
        }
    }

    /* access modifiers changed from: package-private */
    @Metadata(d1 = {"\u0000\u000e\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0010\u000e\n\u0000\u0010\u0000\u001a\u00020\u00012\u0006\u0010\u0002\u001a\u00020\u0003H\n¢\u0006\u0002\b\u0004"}, d2 = {"<anonymous>", "", "it", "", "invoke"}, k = 3, mv = {1, 6, 0}, xi = 48)
    /* compiled from: ProfileLikeOrUnLockFragment.kt */
    public static final class b extends Lambda implements Function1<String, Unit> {
        final /* synthetic */ ArrayList<String> $menuData;
        final /* synthetic */ p this$0;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        b(p pVar, ArrayList<String> arrayList) {
            super(1);
            this.this$0 = pVar;
            this.$menuData = arrayList;
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // kotlin.jvm.functions.Function1
        public /* bridge */ /* synthetic */ Unit invoke(String str) {
            invoke(str);
            return Unit.INSTANCE;
        }

        public final void invoke(@NotNull String str) {
            Intrinsics.checkNotNullParameter(str, "it");
            ((com.niming.weipa.base.d) this.this$0).P0 = 1;
            if (Intrinsics.areEqual(str, this.$menuData.get(0))) {
                this.this$0.z0("");
                this.this$0.n0();
            } else if (Intrinsics.areEqual(str, this.$menuData.get(1))) {
                this.this$0.z0("1");
                this.this$0.n0();
            } else if (Intrinsics.areEqual(str, this.$menuData.get(2))) {
                this.this$0.z0("0");
                this.this$0.n0();
            }
        }
    }

    @Metadata(d1 = {"\u0000!\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0010\b\n\u0000\n\u0002\u0010 \n\u0002\u0018\u0002\n\u0000*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J\u001e\u0010\u0002\u001a\u00020\u00032\u0006\u0010\u0004\u001a\u00020\u00052\f\u0010\u0006\u001a\b\u0012\u0004\u0012\u00020\b0\u0007H\u0016¨\u0006\t"}, d2 = {"com/niming/weipa/ui/mine/ProfileLikeOrUnLockFragment$initView$1", "Lcom/niming/weipa/ui/mine/widget/VideoRecyclerView$OnItemClickListener;", "onItemClickListener", "", "position", "", "datas", "", "Lcom/niming/weipa/model/VideoInfo2;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: ProfileLikeOrUnLockFragment.kt */
    public static final class c implements VideoRecyclerView.a {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ p f19177a;

        c(p pVar) {
            this.f19177a = pVar;
        }

        @Override // com.niming.weipa.ui.mine.widget.VideoRecyclerView.a
        public void a(int i, @NotNull List<? extends VideoInfo2> list) {
            Intrinsics.checkNotNullParameter(list, "datas");
            VideoInfo2 videoInfo2 = (VideoInfo2) list.get(i);
            if (videoInfo2.getIs_long() == 1) {
                VideoDetailActivity.a aVar = VideoDetailActivity.Q0;
                Activity activity = ((com.niming.framework.base.b) this.f19177a).I0;
                Intrinsics.checkNotNullExpressionValue(activity, "activity");
                VideoDetailActivity.a.b(aVar, activity, videoInfo2, 0, 4, null);
            }
        }
    }

    @Metadata(d1 = {"\u0000\u0019\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J\b\u0010\u0002\u001a\u00020\u0003H\u0016J\u0010\u0010\u0004\u001a\u00020\u00032\u0006\u0010\u0005\u001a\u00020\u0006H\u0014¨\u0006\u0007"}, d2 = {"com/niming/weipa/ui/mine/ProfileLikeOrUnLockFragment$videoBuyShortList$1", "Lcom/niming/weipa/net/AbsHttpCallback;", "onFinish", "", "onSuccess", j.f6041c, "Lcom/niming/framework/net/Result;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: ProfileLikeOrUnLockFragment.kt */
    public static final class d extends com.niming.weipa.g.a {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ p f19178a;

        d(p pVar) {
            this.f19178a = pVar;
        }

        @Override // com.lzy.okgo.d.c, com.lzy.okgo.d.a, com.niming.weipa.g.a
        public void onFinish() {
            super.onFinish();
            p pVar = this.f19178a;
            int i = R.id.refreshLayout;
            ((XRefreshLayout) pVar.h0(i)).H();
            ((XRefreshLayout) this.f19178a.h0(i)).g();
            this.f19178a.setStatusComplete();
        }

        /* access modifiers changed from: protected */
        @Override // com.niming.weipa.g.a
        public void onSuccess(@NotNull Result result) {
            List a2;
            Intrinsics.checkNotNullParameter(result, j.f6041c);
            if (result.isOk() && (a2 = g.a(result.getData(), VideoInfo2.class)) != null) {
                if (((com.niming.weipa.base.d) this.f19178a).P0 != 1) {
                    VideoRecyclerView videoRecyclerView = (VideoRecyclerView) this.f19178a.h0(R.id.videoRecyclerView);
                    Intrinsics.checkNotNullExpressionValue(videoRecyclerView, "videoRecyclerView");
                    VideoRecyclerView.d(videoRecyclerView, a2, false, 2, null);
                    if (k0.o(a2)) {
                        p pVar = this.f19178a;
                        ((com.niming.weipa.base.d) pVar).P0--;
                    }
                } else if (a2.size() == 0) {
                    ((VideoRecyclerView) this.f19178a.h0(R.id.videoRecyclerView)).k();
                } else {
                    VideoRecyclerView videoRecyclerView2 = (VideoRecyclerView) this.f19178a.h0(R.id.videoRecyclerView);
                    Intrinsics.checkNotNullExpressionValue(videoRecyclerView2, "videoRecyclerView");
                    VideoRecyclerView.j(videoRecyclerView2, a2, false, 2, null);
                }
            }
        }
    }

    @Metadata(d1 = {"\u0000\u0017\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J\u0010\u0010\u0002\u001a\u00020\u00032\u0006\u0010\u0004\u001a\u00020\u0005H\u0014¨\u0006\u0006"}, d2 = {"com/niming/weipa/ui/mine/ProfileLikeOrUnLockFragment$videoLikeTypeList$1", "Lcom/niming/weipa/net/AbsHttpCallback;", "onSuccess", "", j.f6041c, "Lcom/niming/framework/net/Result;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: ProfileLikeOrUnLockFragment.kt */
    public static final class e extends com.niming.weipa.g.a {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ p f19179a;

        e(p pVar) {
            this.f19179a = pVar;
        }

        /* access modifiers changed from: protected */
        @Override // com.niming.weipa.g.a
        public void onSuccess(@NotNull Result result) {
            Intrinsics.checkNotNullParameter(result, j.f6041c);
            if (result.isOk()) {
                List a2 = g.a(result.getDataStr("data"), LabelTagInfoModel.class);
                if (a2.size() == 0) {
                    ConstraintLayout constraintLayout = (ConstraintLayout) this.f19179a.h0(R.id.clLabelContainer);
                    if (constraintLayout != null) {
                        constraintLayout.setVisibility(8);
                        return;
                    }
                    return;
                }
                ConstraintLayout constraintLayout2 = (ConstraintLayout) this.f19179a.h0(R.id.clLabelContainer);
                if (constraintLayout2 != null) {
                    constraintLayout2.setVisibility(0);
                }
                this.f19179a.m0().replaceAll(a2);
                return;
            }
            ToastUtils.W(result.getMessage(), new Object[0]);
        }
    }

    @Metadata(d1 = {"\u0000\u0019\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J\b\u0010\u0002\u001a\u00020\u0003H\u0016J\u0010\u0010\u0004\u001a\u00020\u00032\u0006\u0010\u0005\u001a\u00020\u0006H\u0014¨\u0006\u0007"}, d2 = {"com/niming/weipa/ui/mine/ProfileLikeOrUnLockFragment$videoLikeVideoList$1", "Lcom/niming/weipa/net/AbsHttpCallback;", "onFinish", "", "onSuccess", j.f6041c, "Lcom/niming/framework/net/Result;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: ProfileLikeOrUnLockFragment.kt */
    public static final class f extends com.niming.weipa.g.a {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ p f19180a;

        f(p pVar) {
            this.f19180a = pVar;
        }

        @Override // com.lzy.okgo.d.c, com.lzy.okgo.d.a, com.niming.weipa.g.a
        public void onFinish() {
            super.onFinish();
            this.f19180a.setStatusComplete();
            p pVar = this.f19180a;
            int i = R.id.refreshLayout;
            ((XRefreshLayout) pVar.h0(i)).H();
            ((XRefreshLayout) this.f19180a.h0(i)).g();
        }

        /* access modifiers changed from: protected */
        @Override // com.niming.weipa.g.a
        public void onSuccess(@NotNull Result result) {
            Intrinsics.checkNotNullParameter(result, j.f6041c);
            if (result.isOk()) {
                List a2 = g.a(result.getData(), VideoInfo2.class);
                if (a2 != null) {
                    if (((com.niming.weipa.base.d) this.f19180a).P0 == 1) {
                        if (a2.size() == 0) {
                            ((VideoRecyclerView) this.f19180a.h0(R.id.videoRecyclerView)).k();
                            return;
                        }
                        VideoRecyclerView videoRecyclerView = (VideoRecyclerView) this.f19180a.h0(R.id.videoRecyclerView);
                        Intrinsics.checkNotNullExpressionValue(videoRecyclerView, "videoRecyclerView");
                        VideoRecyclerView.j(videoRecyclerView, a2, false, 2, null);
                    } else if (k0.o(a2)) {
                        p pVar = this.f19180a;
                        ((com.niming.weipa.base.d) pVar).P0--;
                    } else {
                        VideoRecyclerView videoRecyclerView2 = (VideoRecyclerView) this.f19180a.h0(R.id.videoRecyclerView);
                        Intrinsics.checkNotNullExpressionValue(videoRecyclerView2, "videoRecyclerView");
                        VideoRecyclerView.d(videoRecyclerView2, a2, false, 2, null);
                    }
                }
            } else {
                ToastUtils.W(result.getMessage(), new Object[0]);
            }
        }
    }

    private final void A0() {
        com.niming.weipa.g.c.c0().q2(this.P0, new d(this));
    }

    private final void B0() {
        com.niming.weipa.g.c.c0().F2(1, new e(this));
    }

    private final void C0() {
        com.niming.weipa.g.c.c0().G2(this.V0, this.P0, new f(this));
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void n0() {
        if (this.U0) {
            C0();
        } else {
            A0();
        }
    }

    private final void o0() {
        Activity activity = this.I0;
        Intrinsics.checkNotNullExpressionValue(activity, "activity");
        y0(new q(activity));
        int i = R.id.labelRecyclerView;
        ((RecyclerView) h0(i)).setAdapter(m0());
        ((RecyclerView) h0(i)).setLayoutManager(new LinearLayoutManager(this.I0, 0, false));
        com.niming.weipa.widget.j jVar = new com.niming.weipa.widget.j(t.w(10.0f));
        jVar.d(false);
        jVar.f(false);
        ((RecyclerView) h0(i)).addItemDecoration(jVar);
        m0().setOnItemClickListener(new g(this));
    }

    /* access modifiers changed from: private */
    public static final void p0(p pVar, int i, int i2, int i3) {
        Intrinsics.checkNotNullParameter(pVar, "this$0");
        if (!com.niming.framework.b.b.a().c()) {
            DiscoverRecommendModel.DataBean dataBean = new DiscoverRecommendModel.DataBean();
            dataBean.setKeys_title(((LabelTagInfoModel) pVar.m0().getData().get(i)).getTitle());
            dataBean.setKey_id(((LabelTagInfoModel) pVar.m0().getData().get(i)).getId());
            LabelDetailAct.a aVar = LabelDetailAct.f19271a;
            Activity activity = pVar.I0;
            Intrinsics.checkNotNullExpressionValue(activity, "activity");
            aVar.a(activity, dataBean);
        }
    }

    private final void q0() {
        ArrayList<String> b2 = v.b("全部", "长视频", "短视频");
        ((CheckVideoTypeMenu) h0(R.id.checkVideoTypeMenu)).k("", b2, new b(this, b2));
    }

    private final void r0() {
        int i = R.id.refreshLayout;
        ((XRefreshLayout) h0(i)).O(new e(this));
        ((XRefreshLayout) h0(i)).h0(new f(this));
    }

    /* access modifiers changed from: private */
    public static final void s0(p pVar, com.scwang.smartrefresh.layout.b.j jVar) {
        Intrinsics.checkNotNullParameter(pVar, "this$0");
        Intrinsics.checkNotNullParameter(jVar, "it");
        pVar.P0++;
        pVar.n0();
    }

    /* access modifiers changed from: private */
    public static final void t0(p pVar, com.scwang.smartrefresh.layout.b.j jVar) {
        Intrinsics.checkNotNullParameter(pVar, "this$0");
        Intrinsics.checkNotNullParameter(jVar, "it");
        pVar.P0 = 1;
        pVar.n0();
    }

    public void f0() {
        this.X0.clear();
    }

    @Override // com.niming.framework.base.g
    public int getViewRes() {
        return com.hj.chen.new1126.R.layout.fragment_profile_like_or_unlock;
    }

    @Nullable
    public View h0(int i) {
        View findViewById;
        Map<Integer, View> map = this.X0;
        View view = map.get(Integer.valueOf(i));
        if (view != null) {
            return view;
        }
        View view2 = getView();
        if (view2 == null || (findViewById = view2.findViewById(i)) == null) {
            return null;
        }
        map.put(Integer.valueOf(i), findViewById);
        return findViewById;
    }

    @Override // com.niming.weipa.base.d, com.niming.framework.base.g
    public void j(@Nullable View view) {
        super.j(view);
        Bundle arguments = getArguments();
        this.U0 = arguments == null ? true : arguments.getBoolean("isLike");
        r0();
        if (this.U0) {
            o0();
            B0();
            ((ConstraintLayout) h0(R.id.clLabelContainer)).setVisibility(0);
        } else {
            ((ConstraintLayout) h0(R.id.clLabelContainer)).setVisibility(8);
        }
        q0();
        setStatusLoading((XRefreshLayout) h0(R.id.refreshLayout));
        n0();
        ((TextView) h0(R.id.tvMore)).setOnClickListener(this);
        ((ImageView) h0(R.id.ivRightArrow)).setOnClickListener(this);
        ((VideoRecyclerView) h0(R.id.videoRecyclerView)).setOnItemClickListener1(new c(this));
    }

    @NotNull
    public final q m0() {
        q qVar = this.W0;
        if (qVar != null) {
            return qVar;
        }
        Intrinsics.throwUninitializedPropertyAccessException("labelAdapter");
        return null;
    }

    public void onClick(@Nullable View view) {
        Integer valueOf = view == null ? null : Integer.valueOf(view.getId());
        boolean z = true;
        if ((valueOf == null || valueOf.intValue() != com.hj.chen.new1126.R.id.ivRightArrow) && (valueOf == null || valueOf.intValue() != com.hj.chen.new1126.R.id.tvMore)) {
            z = false;
        }
        if (z) {
            CollectedLabelAct.a aVar = CollectedLabelAct.f19837a;
            Activity activity = this.I0;
            Intrinsics.checkNotNullExpressionValue(activity, "activity");
            aVar.a(activity);
        }
    }

    @Override // com.niming.weipa.base.d, androidx.fragment.app.Fragment
    public /* synthetic */ void onDestroyView() {
        super.onDestroyView();
        f0();
    }

    @NotNull
    public final String u0() {
        return this.V0;
    }

    public final void y0(@NotNull q qVar) {
        Intrinsics.checkNotNullParameter(qVar, "<set-?>");
        this.W0 = qVar;
    }

    public final void z0(@NotNull String str) {
        Intrinsics.checkNotNullParameter(str, "<set-?>");
        this.V0 = str;
    }
}
