package com.niming.weipa.model;

import androidx.annotation.Keep;
import java.io.Serializable;

@Keep
public class CommentModel implements Serializable {
    private String comment_msg;
    private int comment_status;
    private int comment_table;
    private String content_id;
    private String created_at;
    private String posts_id;
    private String user_code;
    private UserBean user_info;

    public static class UserBean implements Serializable {
        private String avatar;
        private String code;
        private String nick;
        private int rank_type;

        public String getAvatar() {
            return this.avatar;
        }

        public String getCode() {
            return this.code;
        }

        public String getNick() {
            return this.nick;
        }

        public int getRank_type() {
            return this.rank_type;
        }

        public void setAvatar(String str) {
            this.avatar = str;
        }

        public void setCode(String str) {
            this.code = str;
        }

        public void setNick(String str) {
            this.nick = str;
        }

        public void setRank_type(int i) {
            this.rank_type = i;
        }
    }

    public String getComment_msg() {
        return this.comment_msg;
    }

    public int getComment_status() {
        return this.comment_status;
    }

    public int getComment_table() {
        return this.comment_table;
    }

    public String getContent_id() {
        return this.content_id;
    }

    public String getCreated_at() {
        return this.created_at;
    }

    public String getPosts_id() {
        return this.posts_id;
    }

    public String getUser_code() {
        return this.user_code;
    }

    public UserBean getUser_info() {
        return this.user_info;
    }

    public void setComment_msg(String str) {
        this.comment_msg = str;
    }

    public void setComment_status(int i) {
        this.comment_status = i;
    }

    public void setComment_table(int i) {
        this.comment_table = i;
    }

    public void setContent_id(String str) {
        this.content_id = str;
    }

    public void setCreated_at(String str) {
        this.created_at = str;
    }

    public void setPosts_id(String str) {
        this.posts_id = str;
    }

    public void setUser_code(String str) {
        this.user_code = str;
    }

    public void setUser_info(UserBean userBean) {
        this.user_info = userBean;
    }
}
