package com.niming.weipa.notice;

import android.os.Bundle;
import android.view.View;
import android.widget.TextView;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.viewholder.BaseViewHolder;
import com.hj.chen.new1126.R;
import com.niming.framework.widget.d.f;
import com.niming.weipa.utils.v;
import java.util.ArrayList;
import java.util.LinkedHashMap;
import java.util.Map;
import kotlin.Metadata;
import kotlin.jvm.internal.DefaultConstructorMarker;
import kotlin.jvm.internal.Intrinsics;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

@Metadata(d1 = {"\u0000X\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0018\u0002\n\u0002\u0010\u000e\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0010\u0007\n\u0000\n\u0002\u0010\b\n\u0002\b\u0002\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0003\n\u0002\u0018\u0002\n\u0002\b\u0007\u0018\u0000 -2\u00020\u0001:\u0003-./B\u0005¢\u0006\u0002\u0010\u0002J\b\u0010\u001d\u001a\u00020\u001eH\u0016J\b\u0010\u001f\u001a\u00020 H\u0016J\b\u0010!\u001a\u00020 H\u0014J\u0010\u0010\"\u001a\u00020#2\u0006\u0010$\u001a\u00020%H\u0014J\b\u0010&\u001a\u00020#H\u0002J\u0010\u0010'\u001a\u00020#2\u0006\u0010(\u001a\u00020)H\u0014J\u0010\u0010*\u001a\u00020#2\u0006\u0010+\u001a\u00020)H\u0016J\u000e\u0010,\u001a\u00020\u00002\u0006\u0010\u0011\u001a\u00020\u0012R\u001a\u0010\u0003\u001a\u00020\u0004X\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u0005\u0010\u0006\"\u0004\b\u0007\u0010\bR*\u0010\t\u001a\u0012\u0012\u0004\u0012\u00020\u000b0\nj\b\u0012\u0004\u0012\u00020\u000b`\fX\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\r\u0010\u000e\"\u0004\b\u000f\u0010\u0010R\u001c\u0010\u0011\u001a\u0004\u0018\u00010\u0012X\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u0013\u0010\u0014\"\u0004\b\u0015\u0010\u0016R\u001c\u0010\u0017\u001a\u0004\u0018\u00010\u0018X\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u0019\u0010\u001a\"\u0004\b\u001b\u0010\u001c¨\u00060"}, d2 = {"Lcom/niming/weipa/notice/ListItemDialogFragment;", "Lcom/niming/framework/base/BaseDialogFragment;", "()V", "adapter", "Lcom/chad/library/adapter/base/BaseBinderAdapter;", "getAdapter", "()Lcom/chad/library/adapter/base/BaseBinderAdapter;", "setAdapter", "(Lcom/chad/library/adapter/base/BaseBinderAdapter;)V", "itemList", "Ljava/util/ArrayList;", "", "Lkotlin/collections/ArrayList;", "getItemList", "()Ljava/util/ArrayList;", "setItemList", "(Ljava/util/ArrayList;)V", "onAlterClickListener", "Lcom/niming/weipa/notice/ListItemDialogFragment$OnAlterClickListener;", "getOnAlterClickListener", "()Lcom/niming/weipa/notice/ListItemDialogFragment$OnAlterClickListener;", "setOnAlterClickListener", "(Lcom/niming/weipa/notice/ListItemDialogFragment$OnAlterClickListener;)V", "recyclerView", "Landroidx/recyclerview/widget/RecyclerView;", "getRecyclerView", "()Landroidx/recyclerview/widget/RecyclerView;", "setRecyclerView", "(Landroidx/recyclerview/widget/RecyclerView;)V", "getDimAmount", "", "getGravity", "", "getViewRes", "initBundle", "", "bundle", "Landroid/os/Bundle;", "initRecyclerView", "initView", "view", "Landroid/view/View;", "onClick", "v", "setOnClickListener", "Companion", "DialogViewBinder", "OnAlterClickListener", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* compiled from: ListItemDialogFragment.kt */
public final class j extends com.niming.framework.base.a {
    @NotNull
    public static final a M0 = new a(null);
    @Nullable
    private RecyclerView N0;
    @NotNull
    private com.chad.library.adapter.base.a O0 = new com.chad.library.adapter.base.a(null, 1, null);
    @NotNull
    private ArrayList<String> P0 = v.b(new String[0]);
    @Nullable
    private c Q0;
    @NotNull
    public Map<Integer, View> R0 = new LinkedHashMap();

    @Metadata(d1 = {"\u0000 \n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\u0010\u000e\n\u0002\u0018\u0002\n\u0000\b\u0003\u0018\u00002\u00020\u0001B\u0007\b\u0002¢\u0006\u0002\u0010\u0002J\u001e\u0010\u0003\u001a\u00020\u00042\u0016\u0010\u0005\u001a\u0012\u0012\u0004\u0012\u00020\u00070\u0006j\b\u0012\u0004\u0012\u00020\u0007`\b¨\u0006\t"}, d2 = {"Lcom/niming/weipa/notice/ListItemDialogFragment$Companion;", "", "()V", "instance", "Lcom/niming/weipa/notice/ListItemDialogFragment;", "itemList", "Ljava/util/ArrayList;", "", "Lkotlin/collections/ArrayList;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: ListItemDialogFragment.kt */
    public static final class a {
        private a() {
        }

        public /* synthetic */ a(DefaultConstructorMarker defaultConstructorMarker) {
            this();
        }

        @NotNull
        public final j a(@NotNull ArrayList<String> arrayList) {
            Intrinsics.checkNotNullParameter(arrayList, "itemList");
            j jVar = new j();
            Bundle bundle = new Bundle();
            bundle.putStringArrayList("itemList", arrayList);
            jVar.setArguments(bundle);
            return jVar;
        }
    }

    @Metadata(d1 = {"\u0000$\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0010\u000e\n\u0002\b\u0002\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010\b\n\u0000\u0018\u00002\b\u0012\u0004\u0012\u00020\u00020\u0001B\u0005¢\u0006\u0002\u0010\u0003J\u0018\u0010\u0004\u001a\u00020\u00052\u0006\u0010\u0006\u001a\u00020\u00072\u0006\u0010\b\u001a\u00020\u0002H\u0016J\b\u0010\t\u001a\u00020\nH\u0016¨\u0006\u000b"}, d2 = {"Lcom/niming/weipa/notice/ListItemDialogFragment$DialogViewBinder;", "Lcom/chad/library/adapter/base/binder/QuickItemBinder;", "", "()V", "convert", "", "holder", "Lcom/chad/library/adapter/base/viewholder/BaseViewHolder;", "data", "getLayoutId", "", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: ListItemDialogFragment.kt */
    public static final class b extends com.chad.library.adapter.base.v.c<String> {
        @Override // com.chad.library.adapter.base.v.c
        public int x() {
            return R.layout.item_view_dialog_list_item;
        }

        /* renamed from: y */
        public void c(@NotNull BaseViewHolder baseViewHolder, @NotNull String str) {
            Intrinsics.checkNotNullParameter(baseViewHolder, "holder");
            Intrinsics.checkNotNullParameter(str, "data");
            ((TextView) baseViewHolder.getView(R.id.tvContent)).setText(str);
        }
    }

    @Metadata(d1 = {"\u0000\u0016\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0010\b\n\u0000\bf\u0018\u00002\u00020\u0001J\u0010\u0010\u0002\u001a\u00020\u00032\u0006\u0010\u0004\u001a\u00020\u0005H&¨\u0006\u0006"}, d2 = {"Lcom/niming/weipa/notice/ListItemDialogFragment$OnAlterClickListener;", "", "onMakeSureClick", "", "position", "", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: ListItemDialogFragment.kt */
    public interface c {
        void a(int i);
    }

    private final void h0() {
        RecyclerView recyclerView = this.N0;
        if (recyclerView != null) {
            recyclerView.setLayoutManager(new LinearLayoutManager(getActivity()));
        }
        RecyclerView recyclerView2 = this.N0;
        if (recyclerView2 != null) {
            recyclerView2.setAdapter(this.O0);
        }
        f fVar = new f(getContext(), 1);
        fVar.f(getResources().getDrawable(R.drawable.shape_line_white250));
        RecyclerView recyclerView3 = this.N0;
        if (recyclerView3 != null) {
            recyclerView3.addItemDecoration(fVar);
        }
        this.O0.J1(String.class, new b(), null);
        this.O0.B(this.P0);
        this.O0.m(new b(this));
    }

    /* access modifiers changed from: private */
    public static final void i0(j jVar, BaseQuickAdapter baseQuickAdapter, View view, int i) {
        Intrinsics.checkNotNullParameter(jVar, "this$0");
        Intrinsics.checkNotNullParameter(baseQuickAdapter, "adapter");
        Intrinsics.checkNotNullParameter(view, "view");
        jVar.dismissAllowingStateLoss();
        c cVar = jVar.Q0;
        if (cVar != null) {
            cVar.a(i);
        }
    }

    @Override // com.niming.framework.base.a
    public float M() {
        return 0.7f;
    }

    @Override // com.niming.framework.base.a
    public int O() {
        return 17;
    }

    /* access modifiers changed from: protected */
    @Override // com.niming.framework.base.a
    public void S(@NotNull Bundle bundle) {
        Intrinsics.checkNotNullParameter(bundle, "bundle");
        super.S(bundle);
        ArrayList<String> stringArrayList = bundle.getStringArrayList("itemList");
        Intrinsics.checkNotNullExpressionValue(stringArrayList, "bundle.getStringArrayList(\"itemList\")");
        this.P0 = stringArrayList;
    }

    public void W() {
        this.R0.clear();
    }

    @Nullable
    public View Z(int i) {
        View findViewById;
        Map<Integer, View> map = this.R0;
        View view = map.get(Integer.valueOf(i));
        if (view != null) {
            return view;
        }
        View view2 = getView();
        if (view2 == null || (findViewById = view2.findViewById(i)) == null) {
            return null;
        }
        map.put(Integer.valueOf(i), findViewById);
        return findViewById;
    }

    @NotNull
    public final com.chad.library.adapter.base.a a0() {
        return this.O0;
    }

    @NotNull
    public final ArrayList<String> b0() {
        return this.P0;
    }

    @Nullable
    public final c d0() {
        return this.Q0;
    }

    @Nullable
    public final RecyclerView f0() {
        return this.N0;
    }

    /* access modifiers changed from: protected */
    @Override // com.niming.framework.base.a
    public int getViewRes() {
        return R.layout.dialog_fragment_item_list;
    }

    /* access modifiers changed from: protected */
    @Override // com.niming.framework.base.a
    public void j(@NotNull View view) {
        Intrinsics.checkNotNullParameter(view, "view");
        this.N0 = (RecyclerView) view.findViewById(R.id.recyclerView);
        h0();
    }

    public final void k0(@NotNull com.chad.library.adapter.base.a aVar) {
        Intrinsics.checkNotNullParameter(aVar, "<set-?>");
        this.O0 = aVar;
    }

    public final void l0(@NotNull ArrayList<String> arrayList) {
        Intrinsics.checkNotNullParameter(arrayList, "<set-?>");
        this.P0 = arrayList;
    }

    public final void m0(@Nullable c cVar) {
        this.Q0 = cVar;
    }

    @NotNull
    public final j n0(@NotNull c cVar) {
        Intrinsics.checkNotNullParameter(cVar, "onAlterClickListener");
        this.Q0 = cVar;
        return this;
    }

    public final void o0(@Nullable RecyclerView recyclerView) {
        this.N0 = recyclerView;
    }

    @Override // com.niming.framework.base.a
    public void onClick(@NotNull View view) {
        Intrinsics.checkNotNullParameter(view, "v");
        super.onClick(view);
    }

    @Override // com.niming.framework.base.a, androidx.fragment.app.b, androidx.fragment.app.Fragment
    public /* synthetic */ void onDestroyView() {
        super.onDestroyView();
        W();
    }
}
