package com.niming.weipa.share;

import android.content.Context;
import android.content.Intent;
import android.graphics.Bitmap;
import android.os.Bundle;
import android.view.View;
import android.widget.ImageView;
import android.widget.TextView;
import androidx.core.content.d;
import androidx.lifecycle.m;
import com.blankj.utilcode.constant.PermissionConstants;
import com.blankj.utilcode.util.UtilsTransActivity;
import com.blankj.utilcode.util.m0;
import com.niming.framework.widget.TitleView;
import com.niming.weipa.R;
import com.niming.weipa.base.BaseActivity;
import com.niming.weipa.g.c;
import com.niming.weipa.model.ShareLinkModel;
import com.niming.weipa.model.ShareModel;
import com.niming.weipa.ui.promote.c.a;
import com.niming.weipa.utils.p0;
import com.niming.weipa.utils.u;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;
import kotlin.Metadata;
import kotlin.coroutines.Continuation;
import kotlin.jvm.JvmStatic;
import kotlin.jvm.internal.DefaultConstructorMarker;
import kotlin.jvm.internal.Intrinsics;
import kotlinx.coroutines.d2;
import kotlinx.coroutines.f1;
import kotlinx.coroutines.g;
import kotlinx.coroutines.i;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

@Metadata(d1 = {"\u0000@\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u000e\n\u0002\b\u0002\n\u0002\u0010\u0002\n\u0002\b\u0002\n\u0002\u0010\b\n\u0002\b\u0003\n\u0002\u0018\u0002\n\u0002\b\u0004\n\u0002\u0018\u0002\n\u0002\b\u0002\u0018\u0000 \u00182\u00020\u0001:\u0001\u0018B\u0005¢\u0006\u0002\u0010\u0002J\u001b\u0010\u0005\u001a\u0004\u0018\u00010\u00062\u0006\u0010\u0007\u001a\u00020\bH@ø\u0001\u0000¢\u0006\u0002\u0010\tJ\b\u0010\n\u001a\u00020\u000bH\u0002J\b\u0010\f\u001a\u00020\u000bH\u0002J\b\u0010\r\u001a\u00020\u000eH\u0016J\b\u0010\u000f\u001a\u00020\u000bH\u0002J\u0012\u0010\u0010\u001a\u00020\u000b2\b\u0010\u0011\u001a\u0004\u0018\u00010\u0012H\u0016J\u0012\u0010\u0013\u001a\u00020\u000b2\b\u0010\u0014\u001a\u0004\u0018\u00010\u0006H\u0002J\u0012\u0010\u0015\u001a\u00020\u000b2\b\u0010\u0016\u001a\u0004\u0018\u00010\u0017H\u0002R\u0010\u0010\u0003\u001a\u0004\u0018\u00010\u0004X\u000e¢\u0006\u0002\n\u0000\u0002\u0004\n\u0002\b\u0019¨\u0006\u0019"}, d2 = {"Lcom/niming/weipa/share/ShareAct;", "Lcom/niming/weipa/base/BaseActivity;", "()V", "adapter", "Lcom/niming/weipa/ui/promote/adapter/InviteRecordAdapter;", "createImage", "Landroid/graphics/Bitmap;", "url", "", "(Ljava/lang/String;Lkotlin/coroutines/Continuation;)Ljava/lang/Object;", "getData", "", "getInviteRecordList", "getViewRes", "", "initListener", "initView", "savedInstanceState", "Landroid/os/Bundle;", "saveQrImage", "bitmap", "setUI", "info", "Lcom/niming/weipa/model/ShareLinkModel;", "Companion", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* compiled from: ShareAct.kt */
public final class ShareAct extends BaseActivity {
    @NotNull
    public static final Companion Companion = new Companion(null);
    @NotNull
    public Map<Integer, View> _$_findViewCache = new LinkedHashMap();
    @Nullable
    private a adapter;

    @Metadata(d1 = {"\u0000\u0018\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\b\u0002\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\b\u0003\u0018\u00002\u00020\u0001B\u0007\b\u0002¢\u0006\u0002\u0010\u0002J\u0010\u0010\u0003\u001a\u00020\u00042\u0006\u0010\u0005\u001a\u00020\u0006H\u0007¨\u0006\u0007"}, d2 = {"Lcom/niming/weipa/share/ShareAct$Companion;", "", "()V", "start", "", "context", "Landroid/content/Context;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: ShareAct.kt */
    public static final class Companion {
        private Companion() {
        }

        public /* synthetic */ Companion(DefaultConstructorMarker defaultConstructorMarker) {
            this();
        }

        @JvmStatic
        public final void start(@NotNull Context context) {
            Intrinsics.checkNotNullParameter(context, "context");
            context.startActivity(new Intent(context, ShareAct.class));
        }
    }

    /* access modifiers changed from: private */
    public final Object createImage(String str, Continuation<? super Bitmap> continuation) {
        return g.i(f1.f(), new ShareAct$createImage$2(str, null), continuation);
    }

    private final void getData() {
        c.c0().C1(new ShareAct$getData$1(this));
        getInviteRecordList();
    }

    private final void getInviteRecordList() {
        c.c0().m0(this.currentPage, new ShareAct$getInviteRecordList$1(this));
    }

    private final void initListener() {
        u.f((ImageView) _$_findCachedViewById(R.id.iv_save_img), 0, new ShareAct$initListener$1(this), 1, null);
    }

    /* access modifiers changed from: private */
    public final void saveQrImage(Bitmap bitmap) {
        m0.E(PermissionConstants.i).H(a.f19246a).q(new ShareAct$saveQrImage$2(bitmap, this)).I();
    }

    /* access modifiers changed from: private */
    /* renamed from: saveQrImage$lambda-0  reason: not valid java name */
    public static final void m5saveQrImage$lambda0(UtilsTransActivity utilsTransActivity, m0.d.a aVar) {
        Intrinsics.checkNotNullParameter(utilsTransActivity, "$noName_0");
        Intrinsics.checkNotNullParameter(aVar, "shouldRequest");
        aVar.a(true);
    }

    /* access modifiers changed from: private */
    public final void setUI(ShareLinkModel shareLinkModel) {
        if (shareLinkModel != null) {
            p0.a((TextView) _$_findCachedViewById(R.id.tv_invited_count)).a("累计邀请").g(-1).a(shareLinkModel.getCount()).g(d.f(this, com.hj.chen.new1126.R.color.color_66_109_221)).a("人").g(d.f(this, com.hj.chen.new1126.R.color.color_66_109_221)).b();
            List<ShareModel> share = shareLinkModel.getShare();
            if (!(share == null || share.isEmpty())) {
                u.f((ImageView) _$_findCachedViewById(R.id.iv_copy_link), 0, new ShareAct$setUI$1$1(this, share), 1, null);
                d2 unused = i.f(m.a(this), null, null, new ShareAct$setUI$1$2(this, share, null), 3, null);
            }
            p0.a((TextView) _$_findCachedViewById(R.id.tvQrInviteCode)).a("我的推广码  ").g(-1).a(shareLinkModel.getCode()).g(d.f(this, com.hj.chen.new1126.R.color.color_66_109_221)).b();
        }
    }

    @JvmStatic
    public static final void start(@NotNull Context context) {
        Companion.start(context);
    }

    @Override // com.niming.weipa.base.BaseActivity
    public void _$_clearFindViewByIdCache() {
        this._$_findViewCache.clear();
    }

    @Override // com.niming.weipa.base.BaseActivity
    @Nullable
    public View _$_findCachedViewById(int i) {
        Map<Integer, View> map = this._$_findViewCache;
        View view = map.get(Integer.valueOf(i));
        if (view != null) {
            return view;
        }
        View findViewById = findViewById(i);
        if (findViewById == null) {
            return null;
        }
        map.put(Integer.valueOf(i), findViewById);
        return findViewById;
    }

    @Override // com.niming.framework.base.f
    public int getViewRes() {
        return com.hj.chen.new1126.R.layout.act_share;
    }

    @Override // com.niming.weipa.base.BaseActivity, com.niming.framework.base.f
    public void initView(@Nullable Bundle bundle) {
        super.initView(bundle);
        TitleView titleView = (TitleView) _$_findCachedViewById(R.id.titleView);
        Intrinsics.checkNotNullExpressionValue(titleView, "titleView");
        initTitle(titleView, "分享推广");
        initListener();
        getData();
    }
}
