package com.niming.weipa.share.widget;

import android.content.Context;
import android.text.method.ScrollingMovementMethod;
import android.view.View;
import android.widget.TextView;
import com.blankj.utilcode.util.ToastUtils;
import com.google.firebase.analytics.FirebaseAnalytics;
import com.hj.chen.new1126.R;
import com.niming.framework.base.BaseView;
import com.niming.framework.basedb.h;
import com.niming.framework.net.Result;
import com.niming.weipa.g.a;
import com.niming.weipa.g.c;
import com.niming.weipa.model.AuthLoginDeviceModel;
import com.niming.weipa.utils.i0;

public class ShareTextViewItem extends BaseShareViewItem {
    private TextView tvTextShare;

    public ShareTextViewItem(Context context) {
        super(context);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void reportAction(String str, String str2) {
        c.c0().Q0(str, str2, new a() {
            /* class com.niming.weipa.share.widget.ShareTextViewItem.AnonymousClass2 */

            /* access modifiers changed from: protected */
            @Override // com.niming.weipa.g.a
            public void onSuccess(Result result) {
            }
        });
    }

    /* access modifiers changed from: package-private */
    @Override // com.niming.weipa.share.widget.BaseShareViewItem
    public int addInflaterView() {
        return R.layout.item_view_share_text;
    }

    public String getShareUrl() {
        return ((AuthLoginDeviceModel) h.c().d(com.niming.weipa.c.a.i, AuthLoginDeviceModel.class)).getConfig().getSys().getShare_url();
    }

    /* access modifiers changed from: protected */
    @Override // com.niming.weipa.share.widget.BaseShareViewItem, com.niming.framework.base.BaseView
    public void initView() {
        super.initView();
        TextView textView = (TextView) findViewById(R.id.tvTextShare);
        this.tvTextShare = textView;
        textView.setMovementMethod(ScrollingMovementMethod.getInstance());
        findViewById(R.id.llShareTextContainer).setOnClickListener(new View.OnClickListener() {
            /* class com.niming.weipa.share.widget.ShareTextViewItem.AnonymousClass1 */

            public void onClick(View view) {
                i0.f20556a.c(((BaseView) ShareTextViewItem.this).context, ShareTextViewItem.this.getShareUrl());
                ToastUtils.V("已复制到剪切板");
                ShareTextViewItem.this.reportAction(FirebaseAnalytics.a.s, "");
            }
        });
    }

    /* access modifiers changed from: protected */
    @Override // com.niming.weipa.share.widget.BaseShareViewItem, com.niming.framework.base.BaseView
    public void update() {
        super.update();
        this.tvTextShare.setText(this.data.getTextShare().getText());
    }
}
