package com.niming.weipa.ui.download;

import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.TextView;
import androidx.core.app.NotificationCompat;
import androidx.core.content.d;
import androidx.fragment.app.FragmentActivity;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import com.blankj.utilcode.util.k0;
import com.blankj.utilcode.util.t;
import com.liulishuo.filedownloader.o0.h;
import com.niming.framework.widget.TitleView;
import com.niming.framework.widget.XRefreshLayout;
import com.niming.weipa.R;
import com.niming.weipa.base.BaseActivity;
import com.niming.weipa.model.Task;
import com.niming.weipa.utils.u;
import com.niming.weipa.widget.j;
import java.io.File;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;
import java.util.Objects;
import kotlin.Metadata;
import kotlin.Unit;
import kotlin.collections.CollectionsKt__CollectionsKt;
import kotlin.jvm.functions.Function0;
import kotlin.jvm.functions.Function1;
import kotlin.jvm.internal.DefaultConstructorMarker;
import kotlin.jvm.internal.Intrinsics;
import kotlin.jvm.internal.Lambda;
import kotlin.ranges.IntRange;
import org.greenrobot.eventbus.Subscribe;
import org.greenrobot.eventbus.ThreadMode;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

@Metadata(d1 = {"\u0000\\\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u000b\n\u0000\n\u0002\u0010\b\n\u0000\n\u0002\u0010\u0002\n\u0002\b\u0003\n\u0002\u0010%\n\u0002\u0010\u000e\n\u0000\n\u0002\u0010!\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010 \n\u0002\b\n\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\u0018\u0000 '2\u00020\u0001:\u0001'B\u0005¢\u0006\u0002\u0010\u0002J\b\u0010\u0013\u001a\u00020\nH\u0002J$\u0010\u0013\u001a\u00020\n2\f\u0010\u0014\u001a\b\u0012\u0004\u0012\u00020\u00120\u00152\f\u0010\u0016\u001a\b\u0012\u0004\u0012\u00020\u000f0\u0015H\u0002J\b\u0010\u0017\u001a\u00020\nH\u0002J\u0010\u0010\u0018\u001a\u00020\n2\u0006\u0010\u0019\u001a\u00020\u0012H\u0002J\u0010\u0010\u001a\u001a\u00020\n2\u0006\u0010\u0019\u001a\u00020\u0012H\u0002J\b\u0010\u001b\u001a\u00020\bH\u0016J\b\u0010\u001c\u001a\u00020\nH\u0002J\u0006\u0010\u001d\u001a\u00020\nJ\u0012\u0010\u001e\u001a\u00020\n2\b\u0010\u001f\u001a\u0004\u0018\u00010 H\u0016J\u0010\u0010!\u001a\u00020\n2\u0006\u0010\"\u001a\u00020#H\u0016J\u0010\u0010$\u001a\u00020\n2\u0006\u0010%\u001a\u00020&H\u0007R\u0010\u0010\u0003\u001a\u0004\u0018\u00010\u0004X\u000e¢\u0006\u0002\n\u0000R\u000e\u0010\u0005\u001a\u00020\u0006X\u000e¢\u0006\u0002\n\u0000R\u000e\u0010\u0007\u001a\u00020\bX\u000e¢\u0006\u0002\n\u0000R\u0014\u0010\t\u001a\u00020\n8BX\u0004¢\u0006\u0006\u001a\u0004\b\u000b\u0010\fR\u001a\u0010\r\u001a\u000e\u0012\u0004\u0012\u00020\u000f\u0012\u0004\u0012\u00020\b0\u000eX\u0004¢\u0006\u0002\n\u0000R\u0014\u0010\u0010\u001a\b\u0012\u0004\u0012\u00020\u00120\u0011X\u0004¢\u0006\u0002\n\u0000¨\u0006("}, d2 = {"Lcom/niming/weipa/ui/download/MyVideoDownloadActivity2;", "Lcom/niming/weipa/base/BaseActivity;", "()V", "adapter", "Lcom/niming/weipa/ui/download/adapter/MyVideoDownloadAdapter;", "isSelectAll", "", "mode", "", "netData", "", "getNetData", "()Lkotlin/Unit;", "positionMap", "", "", "taskList", "", "Lcom/niming/weipa/model/Task;", "clickDelete", "selectedItem", "", "temps", "clickTitleRight", "deletePendingTask", "task", "deleteVideo", "getViewRes", "initByMode", "initRecyclerView", "initView", "savedInstanceState", "Landroid/os/Bundle;", "onErrorClick", "v", "Landroid/view/View;", "onEvent", NotificationCompat.r0, "Lcom/niming/weipa/ui/download/model/AppEvent;", "Companion", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* compiled from: MyVideoDownloadActivity2.kt */
public final class MyVideoDownloadActivity2 extends BaseActivity {
    @NotNull

    /* renamed from: a  reason: collision with root package name */
    public static final a f19291a = new a(null);
    @Nullable
    private com.niming.weipa.ui.download.i.a I0;
    private boolean J0;
    @NotNull
    private final List<Task> K0 = new ArrayList();
    @NotNull
    private final Map<String, Integer> L0 = new HashMap();
    @NotNull
    public Map<Integer, View> M0 = new LinkedHashMap();

    /* renamed from: b  reason: collision with root package name */
    private int f19292b = 1;

    @Metadata(d1 = {"\u0000\u0018\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\b\u0002\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\b\u0003\u0018\u00002\u00020\u0001B\u0007\b\u0002¢\u0006\u0002\u0010\u0002J\u000e\u0010\u0003\u001a\u00020\u00042\u0006\u0010\u0005\u001a\u00020\u0006¨\u0006\u0007"}, d2 = {"Lcom/niming/weipa/ui/download/MyVideoDownloadActivity2$Companion;", "", "()V", "start", "", "context", "Landroid/content/Context;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: MyVideoDownloadActivity2.kt */
    public static final class a {
        private a() {
        }

        public /* synthetic */ a(DefaultConstructorMarker defaultConstructorMarker) {
            this();
        }

        public final void a(@NotNull Context context) {
            Intrinsics.checkNotNullParameter(context, "context");
            context.startActivity(new Intent(context, MyVideoDownloadActivity2.class));
        }
    }

    @Metadata(d1 = {"\u0000\u0010\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\u0010\u0000\u001a\u00020\u00012\u000e\u0010\u0002\u001a\n \u0004*\u0004\u0018\u00010\u00030\u0003H\n¢\u0006\u0002\b\u0005"}, d2 = {"<anonymous>", "", "it", "Landroid/widget/LinearLayout;", "kotlin.jvm.PlatformType", "invoke"}, k = 3, mv = {1, 6, 0}, xi = 48)
    /* compiled from: MyVideoDownloadActivity2.kt */
    static final class b extends Lambda implements Function1<LinearLayout, Unit> {
        final /* synthetic */ MyVideoDownloadActivity2 this$0;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        b(MyVideoDownloadActivity2 myVideoDownloadActivity2) {
            super(1);
            this.this$0 = myVideoDownloadActivity2;
        }

        public final void a(LinearLayout linearLayout) {
            MyVideoDownloadActivity2 myVideoDownloadActivity2 = this.this$0;
            myVideoDownloadActivity2.J0 = !myVideoDownloadActivity2.J0;
            if (this.this$0.J0) {
                ImageView imageView = (ImageView) this.this$0._$_findCachedViewById(R.id.ivChooseState);
                if (imageView != null) {
                    imageView.setImageDrawable(d.i(((com.niming.framework.base.BaseActivity) this.this$0).activity, com.hj.chen.new1126.R.drawable.download_selected));
                }
            } else {
                ImageView imageView2 = (ImageView) this.this$0._$_findCachedViewById(R.id.ivChooseState);
                if (imageView2 != null) {
                    imageView2.setImageDrawable(d.i(((com.niming.framework.base.BaseActivity) this.this$0).activity, com.hj.chen.new1126.R.drawable.download_unselected));
                }
            }
            com.niming.weipa.ui.download.i.a aVar = this.this$0.I0;
            if (aVar != null) {
                aVar.A(this.this$0.J0);
            }
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // kotlin.jvm.functions.Function1
        public /* bridge */ /* synthetic */ Unit invoke(LinearLayout linearLayout) {
            a(linearLayout);
            return Unit.INSTANCE;
        }
    }

    @Metadata(d1 = {"\u0000\u0010\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\u0010\u0000\u001a\u00020\u00012\u000e\u0010\u0002\u001a\n \u0004*\u0004\u0018\u00010\u00030\u0003H\n¢\u0006\u0002\b\u0005"}, d2 = {"<anonymous>", "", "it", "Landroid/widget/LinearLayout;", "kotlin.jvm.PlatformType", "invoke"}, k = 3, mv = {1, 6, 0}, xi = 48)
    /* compiled from: MyVideoDownloadActivity2.kt */
    static final class c extends Lambda implements Function1<LinearLayout, Unit> {
        final /* synthetic */ MyVideoDownloadActivity2 this$0;

        /* access modifiers changed from: package-private */
        @Metadata(d1 = {"\u0000\b\n\u0000\n\u0002\u0010\u0002\n\u0000\u0010\u0000\u001a\u00020\u0001H\n¢\u0006\u0002\b\u0002"}, d2 = {"<anonymous>", "", "invoke"}, k = 3, mv = {1, 6, 0}, xi = 48)
        /* compiled from: MyVideoDownloadActivity2.kt */
        public static final class a extends Lambda implements Function0<Unit> {
            final /* synthetic */ MyVideoDownloadActivity2 this$0;

            /* JADX INFO: super call moved to the top of the method (can break code semantics) */
            a(MyVideoDownloadActivity2 myVideoDownloadActivity2) {
                super(0);
                this.this$0 = myVideoDownloadActivity2;
            }

            public final void a() {
                this.this$0.m0();
            }

            /* Return type fixed from 'java.lang.Object' to match base method */
            @Override // kotlin.jvm.functions.Function0
            public /* bridge */ /* synthetic */ Unit invoke() {
                a();
                return Unit.INSTANCE;
            }
        }

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        c(MyVideoDownloadActivity2 myVideoDownloadActivity2) {
            super(1);
            this.this$0 = myVideoDownloadActivity2;
        }

        public final void a(LinearLayout linearLayout) {
            com.niming.weipa.notice.c o0 = com.niming.weipa.notice.c.M0.b("确认要删除吗", "删除", "取消").o0(new a(this.this$0));
            Activity activity = ((com.niming.framework.base.BaseActivity) this.this$0).activity;
            Objects.requireNonNull(activity, "null cannot be cast to non-null type androidx.fragment.app.FragmentActivity");
            o0.show(((FragmentActivity) activity).getSupportFragmentManager(), "AlterDialogFragment");
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // kotlin.jvm.functions.Function1
        public /* bridge */ /* synthetic */ Unit invoke(LinearLayout linearLayout) {
            a(linearLayout);
            return Unit.INSTANCE;
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void m0() {
        com.niming.weipa.ui.download.i.a aVar = this.I0;
        IntRange intRange = null;
        List<? extends Task> x = aVar == null ? null : aVar.x();
        if (k0.z(x)) {
            ArrayList arrayList = new ArrayList();
            if (x != null) {
                intRange = CollectionsKt__CollectionsKt.getIndices(x);
            }
            Intrinsics.checkNotNull(intRange);
            int first = intRange.getFirst();
            int last = intRange.getLast();
            if (first <= last) {
                while (true) {
                    int i = first + 1;
                    String videoId = ((Task) x.get(first)).getVideoId();
                    Intrinsics.checkNotNullExpressionValue(videoId, "selectedItem[i].videoId");
                    arrayList.add(videoId);
                    if (first == last) {
                        break;
                    }
                    first = i;
                }
            }
            n0(x, arrayList);
        }
    }

    private final void n0(List<? extends Task> list, List<String> list2) {
        for (Task task : list) {
            if (task.getStatus() == 111) {
                q0(task);
            } else if (task.getStatus() == 109) {
                com.niming.weipa.ui.download.j.c.o().p(task.getOriginDownloadUrl());
                p0(task);
            } else {
                p0(task);
            }
        }
    }

    private final void o0() {
        if (this.f19292b == 1) {
            this.f19292b = 2;
            s0();
            com.niming.weipa.ui.download.i.a aVar = this.I0;
            if (aVar != null) {
                aVar.B(2);
                return;
            }
            return;
        }
        this.f19292b = 1;
        s0();
        com.niming.weipa.ui.download.i.a aVar2 = this.I0;
        if (aVar2 != null) {
            aVar2.B(0);
        }
    }

    private final void p0(Task task) {
        com.niming.weipa.ui.download.j.c.o().t(task.getOriginDownloadUrl());
        q0(task);
    }

    private final void q0(Task task) {
        StringBuilder sb = new StringBuilder();
        sb.append(h.w());
        String str = File.separator;
        sb.append(str);
        sb.append(com.niming.weipa.ui.download.j.c.f19308b);
        sb.append(str);
        Long id = task.getId();
        Intrinsics.checkNotNullExpressionValue(id, "task.id");
        sb.append(id.longValue());
        String sb2 = sb.toString();
        Intrinsics.checkNotNullExpressionValue(sb2, "StringBuilder().append(F…)\n            .toString()");
        File file = new File(sb2);
        if (file.exists()) {
            File[] listFiles = file.listFiles();
            int length = listFiles.length;
            for (int i = 0; i < length; i++) {
                listFiles[i].delete();
            }
            file.delete();
        }
        new com.niming.weipa.utils.x0.c().c(task);
        this.K0.remove(task);
        com.niming.weipa.ui.download.i.a aVar = this.I0;
        Intrinsics.checkNotNull(aVar);
        aVar.remove(task);
        com.niming.framework.b.d.b(new com.niming.weipa.ui.download.model.a("update_cache", (String) null));
    }

    private final Unit r0() {
        return Unit.INSTANCE;
    }

    private final void s0() {
        TextView textView = null;
        if (this.f19292b == 1) {
            int i = R.id.titleView;
            TitleView titleView = (TitleView) _$_findCachedViewById(i);
            if (titleView != null) {
                titleView.setTitle("我的下载");
            }
            TitleView titleView2 = (TitleView) _$_findCachedViewById(i);
            if (titleView2 != null) {
                textView = titleView2.getRightText();
            }
            if (textView != null) {
                textView.setText("编辑");
            }
            View _$_findCachedViewById = _$_findCachedViewById(R.id.viewBottomBg);
            Intrinsics.checkNotNull(_$_findCachedViewById);
            _$_findCachedViewById.setVisibility(8);
            LinearLayout linearLayout = (LinearLayout) _$_findCachedViewById(R.id.llAll);
            if (linearLayout != null) {
                linearLayout.setVisibility(8);
            }
            LinearLayout linearLayout2 = (LinearLayout) _$_findCachedViewById(R.id.llDelete);
            if (linearLayout2 != null) {
                linearLayout2.setVisibility(8);
                return;
            }
            return;
        }
        int i2 = R.id.titleView;
        TitleView titleView3 = (TitleView) _$_findCachedViewById(i2);
        if (titleView3 != null) {
            titleView3.setTitle("已选0个");
        }
        TitleView titleView4 = (TitleView) _$_findCachedViewById(i2);
        if (titleView4 != null) {
            textView = titleView4.getRightText();
        }
        if (textView != null) {
            textView.setText("取消");
        }
        View _$_findCachedViewById2 = _$_findCachedViewById(R.id.viewBottomBg);
        Intrinsics.checkNotNull(_$_findCachedViewById2);
        _$_findCachedViewById2.setVisibility(0);
        LinearLayout linearLayout3 = (LinearLayout) _$_findCachedViewById(R.id.llAll);
        if (linearLayout3 != null) {
            linearLayout3.setVisibility(0);
        }
        LinearLayout linearLayout4 = (LinearLayout) _$_findCachedViewById(R.id.llDelete);
        if (linearLayout4 != null) {
            linearLayout4.setVisibility(0);
        }
    }

    /* access modifiers changed from: private */
    public static final void u0(MyVideoDownloadActivity2 myVideoDownloadActivity2, int i, int i2) {
        int i3;
        Intrinsics.checkNotNullParameter(myVideoDownloadActivity2, "this$0");
        TitleView titleView = (TitleView) myVideoDownloadActivity2._$_findCachedViewById(R.id.titleView);
        if (titleView != null) {
            titleView.setTitle("已选" + i + (char) 20010);
        }
        boolean z = true;
        if (i != 0) {
            TextView textView = (TextView) myVideoDownloadActivity2._$_findCachedViewById(R.id.tvDelete);
            if (textView != null) {
                textView.setTextColor(myVideoDownloadActivity2.getResources().getColor(com.hj.chen.new1126.R.color.color_text_white));
            }
            LinearLayout linearLayout = (LinearLayout) myVideoDownloadActivity2._$_findCachedViewById(R.id.llDelete);
            if (linearLayout != null) {
                linearLayout.setEnabled(true);
            }
        } else {
            TextView textView2 = (TextView) myVideoDownloadActivity2._$_findCachedViewById(R.id.tvDelete);
            if (textView2 != null) {
                textView2.setTextColor(myVideoDownloadActivity2.getResources().getColor(com.hj.chen.new1126.R.color.color_text_gray));
            }
            LinearLayout linearLayout2 = (LinearLayout) myVideoDownloadActivity2._$_findCachedViewById(R.id.llDelete);
            if (linearLayout2 != null) {
                linearLayout2.setEnabled(false);
            }
        }
        if (i != i2) {
            z = false;
        }
        myVideoDownloadActivity2.J0 = z;
        ImageView imageView = (ImageView) myVideoDownloadActivity2._$_findCachedViewById(R.id.ivChooseState);
        if (z) {
            if (imageView != null) {
                i3 = com.hj.chen.new1126.R.drawable.download_selected;
            } else {
                return;
            }
        } else if (imageView != null) {
            i3 = com.hj.chen.new1126.R.drawable.download_unselected;
        } else {
            return;
        }
        imageView.setImageResource(i3);
    }

    /* access modifiers changed from: private */
    public static final void v0(MyVideoDownloadActivity2 myVideoDownloadActivity2, View view) {
        Intrinsics.checkNotNullParameter(myVideoDownloadActivity2, "this$0");
        myVideoDownloadActivity2.o0();
    }

    @Override // com.niming.weipa.base.BaseActivity
    public void _$_clearFindViewByIdCache() {
        this.M0.clear();
    }

    @Override // com.niming.weipa.base.BaseActivity
    @Nullable
    public View _$_findCachedViewById(int i) {
        Map<Integer, View> map = this.M0;
        View view = map.get(Integer.valueOf(i));
        if (view != null) {
            return view;
        }
        View findViewById = findViewById(i);
        if (findViewById == null) {
            return null;
        }
        map.put(Integer.valueOf(i), findViewById);
        return findViewById;
    }

    @Override // com.niming.framework.base.f
    public int getViewRes() {
        return com.hj.chen.new1126.R.layout.activity_my_download;
    }

    @Override // com.niming.weipa.base.BaseActivity, com.niming.framework.base.f
    public void initView(@Nullable Bundle bundle) {
        super.initView(bundle);
        int i = R.id.titleView;
        TitleView titleView = (TitleView) _$_findCachedViewById(i);
        Intrinsics.checkNotNullExpressionValue(titleView, "titleView");
        initTitle(titleView);
        TitleView titleView2 = (TitleView) _$_findCachedViewById(i);
        if (titleView2 != null) {
            titleView2.j("编辑", new g(this));
        }
        t0();
        s0();
        int i2 = R.id.refreshLayout;
        XRefreshLayout xRefreshLayout = (XRefreshLayout) _$_findCachedViewById(i2);
        if (xRefreshLayout != null) {
            xRefreshLayout.f0(false);
        }
        XRefreshLayout xRefreshLayout2 = (XRefreshLayout) _$_findCachedViewById(i2);
        if (xRefreshLayout2 != null) {
            xRefreshLayout2.A(false);
        }
        ArrayList<Task> j = new com.niming.weipa.utils.x0.c().j();
        if (!j.isEmpty()) {
            this.K0.addAll(j);
            int size = this.K0.size();
            for (int i3 = 0; i3 < size; i3++) {
                Map<String, Integer> map = this.L0;
                map.put(this.K0.get(i3).getId().longValue() + "", Integer.valueOf(i3));
            }
            com.niming.weipa.ui.download.i.a aVar = this.I0;
            if (aVar != null) {
                aVar.replaceAll(this.K0);
            }
        }
        u.f((LinearLayout) _$_findCachedViewById(R.id.llAll), 0, new b(this), 1, null);
        u.f((LinearLayout) _$_findCachedViewById(R.id.llDelete), 0, new c(this), 1, null);
    }

    @Override // com.smartcity.commonbase.widget.pagestatus.f, com.niming.framework.base.BaseActivity
    public void onErrorClick(@NotNull View view) {
        Intrinsics.checkNotNullParameter(view, "v");
        this.currentPage = 1;
        setStatusLoading((XRefreshLayout) _$_findCachedViewById(R.id.refreshLayout));
        r0();
    }

    public final void t0() {
        int i = R.id.recyclerView;
        RecyclerView recyclerView = (RecyclerView) _$_findCachedViewById(i);
        if (recyclerView != null) {
            recyclerView.setLayoutManager(new LinearLayoutManager(this.activity));
        }
        com.niming.weipa.ui.download.i.a aVar = new com.niming.weipa.ui.download.i.a(this.activity);
        this.I0 = aVar;
        if (aVar != null) {
            aVar.C(new h(this));
        }
        RecyclerView recyclerView2 = (RecyclerView) _$_findCachedViewById(i);
        if (recyclerView2 != null) {
            recyclerView2.setAdapter(this.I0);
        }
        j jVar = new j(t.w(20.0f));
        jVar.d(false);
        jVar.f(true);
        RecyclerView recyclerView3 = (RecyclerView) _$_findCachedViewById(i);
        if (recyclerView3 != null) {
            recyclerView3.addItemDecoration(jVar);
        }
    }

    @Subscribe(threadMode = ThreadMode.MAIN)
    public final void y0(@NotNull com.niming.weipa.ui.download.model.a aVar) {
        Intrinsics.checkNotNullParameter(aVar, NotificationCompat.r0);
        String b2 = aVar.b();
        if (Intrinsics.areEqual("progress", b2) || Intrinsics.areEqual(com.niming.weipa.ui.download.j.c.f19311e, b2) || Intrinsics.areEqual("start", b2) || Intrinsics.areEqual(com.niming.weipa.ui.download.j.c.f, b2) || Intrinsics.areEqual(com.niming.weipa.ui.download.j.c.g, b2)) {
            Object c2 = aVar.c();
            Objects.requireNonNull(c2, "null cannot be cast to non-null type com.niming.weipa.ui.download.db.CacheProgress");
            com.niming.weipa.ui.download.j.a aVar2 = (com.niming.weipa.ui.download.j.a) c2;
            String d2 = aVar2.d();
            int a2 = aVar2.a();
            int c3 = aVar2.c();
            int b3 = aVar2.b();
            Integer num = this.L0.get(d2);
            Intrinsics.checkNotNull(num);
            int intValue = num.intValue();
            com.niming.weipa.ui.download.i.a aVar3 = this.I0;
            Intrinsics.checkNotNull(aVar3);
            Task task = (Task) aVar3.getData().get(intValue);
            task.setStatus(c3);
            task.setProgress(a2);
            task.setSpeed(b3);
            com.niming.weipa.ui.download.i.a aVar4 = this.I0;
            Intrinsics.checkNotNull(aVar4);
            aVar4.notifyItemChanged(intValue, "payload");
        } else if (Intrinsics.areEqual(b2, "update_speed")) {
            Object c4 = aVar.c();
            Objects.requireNonNull(c4, "null cannot be cast to non-null type com.niming.weipa.ui.download.db.CacheProgress");
            com.niming.weipa.ui.download.j.a aVar5 = (com.niming.weipa.ui.download.j.a) c4;
            String d3 = aVar5.d();
            aVar5.a();
            aVar5.c();
            int b4 = aVar5.b();
            Integer num2 = this.L0.get(d3);
            Intrinsics.checkNotNull(num2);
            int intValue2 = num2.intValue();
            this.K0.get(intValue2).setSpeed(b4);
            com.niming.weipa.ui.download.i.a aVar6 = this.I0;
            Intrinsics.checkNotNull(aVar6);
            aVar6.notifyItemChanged(intValue2, "payload");
        } else if (Intrinsics.areEqual(b2, "update_see_position")) {
            Object c5 = aVar.c();
            Objects.requireNonNull(c5, "null cannot be cast to non-null type com.niming.weipa.model.Task");
            Task task2 = (Task) c5;
            Map<String, Integer> map = this.L0;
            Integer num3 = map.get(task2.getId().longValue() + "");
            Intrinsics.checkNotNull(num3);
            int intValue3 = num3.intValue();
            this.K0.get(intValue3).setSeeDuration(task2.getSeeDuration());
            com.niming.weipa.ui.download.i.a aVar7 = this.I0;
            Intrinsics.checkNotNull(aVar7);
            aVar7.notifyItemChanged(intValue3, "payload");
        }
    }
}
