package com.niming.weipa.ui.focus_on.activity;

import android.os.Bundle;
import android.text.TextUtils;
import android.view.View;
import android.widget.EditText;
import android.widget.ImageView;
import android.widget.TextView;
import androidx.recyclerview.widget.RecyclerView;
import com.alipay.sdk.util.j;
import com.blankj.utilcode.util.ToastUtils;
import com.blankj.utilcode.util.k0;
import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.viewholder.BaseViewHolder;
import com.niming.framework.b.g;
import com.niming.framework.net.Result;
import com.niming.framework.widget.XRefreshLayout;
import com.niming.weipa.R;
import com.niming.weipa.expand.KtExpandKt;
import com.niming.weipa.model.CommentModel;
import com.niming.weipa.model.VideoDetails;
import com.niming.weipa.utils.o;
import com.niming.weipa.utils.u;
import java.io.Serializable;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;
import java.util.Objects;
import kotlin.Lazy;
import kotlin.LazyKt__LazyJVMKt;
import kotlin.Metadata;
import kotlin.Unit;
import kotlin.jvm.functions.Function0;
import kotlin.jvm.functions.Function1;
import kotlin.jvm.internal.DefaultConstructorMarker;
import kotlin.jvm.internal.Intrinsics;
import kotlin.jvm.internal.Lambda;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

@Metadata(d1 = {"\u00001\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\b\u0003\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0010\b\n\u0000\n\u0002\u0010\u0002\n\u0002\b\u0004\n\u0002\u0018\u0002\n\u0002\b\u0006*\u0001\u0004\u0018\u0000 \u00192\u00020\u0001:\u0001\u0019B\u0005¢\u0006\u0002\u0010\u0002J\b\u0010\f\u001a\u00020\rH\u0016J\b\u0010\u000e\u001a\u00020\u000fH\u0002J\u0006\u0010\u0010\u001a\u00020\u000fJ\b\u0010\u0011\u001a\u00020\u000fH\u0002J\u0012\u0010\u0012\u001a\u00020\u000f2\b\u0010\u0013\u001a\u0004\u0018\u00010\u0014H\u0016J\b\u0010\u0015\u001a\u00020\u000fH\u0002J\u0012\u0010\u0016\u001a\u00020\u000f2\b\u0010\u0017\u001a\u0004\u0018\u00010\u0014H\u0016J\b\u0010\u0018\u001a\u00020\u000fH\u0002R\u0010\u0010\u0003\u001a\u00020\u0004X\u000e¢\u0006\u0004\n\u0002\u0010\u0005R\u001b\u0010\u0006\u001a\u00020\u00078BX\u0002¢\u0006\f\n\u0004\b\n\u0010\u000b\u001a\u0004\b\b\u0010\t¨\u0006\u001a"}, d2 = {"Lcom/niming/weipa/ui/focus_on/activity/VideoCommentFragment;", "Lcom/niming/weipa/base/BaseFragment;", "()V", "mCommentAdapter", "com/niming/weipa/ui/focus_on/activity/VideoCommentFragment$mCommentAdapter$1", "Lcom/niming/weipa/ui/focus_on/activity/VideoCommentFragment$mCommentAdapter$1;", "videoDetails", "Lcom/niming/weipa/model/VideoDetails;", "getVideoDetails", "()Lcom/niming/weipa/model/VideoDetails;", "videoDetails$delegate", "Lkotlin/Lazy;", "getViewRes", "", "initListener", "", "initRecyclerView", "initRefreshLayout", "initView", "view", "Landroid/view/View;", "loadData", "onClick", "v", "sendTxtMsg", "Companion", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* compiled from: VideoCommentFragment.kt */
public final class k extends com.niming.weipa.base.d {
    @NotNull
    public static final a T0 = new a(null);
    @NotNull
    public static final String U0 = "videoId";
    @NotNull
    private d V0;
    @NotNull
    private final Lazy W0 = LazyKt__LazyJVMKt.lazy(new f(this));
    @NotNull
    public Map<Integer, View> X0 = new LinkedHashMap();

    @Metadata(d1 = {"\u0000\u001e\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\b\u0002\n\u0002\u0010\u000e\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\b\u0003\u0018\u00002\u00020\u0001B\u0007\b\u0002¢\u0006\u0002\u0010\u0002J\u000e\u0010\u0005\u001a\u00020\u00062\u0006\u0010\u0007\u001a\u00020\bR\u000e\u0010\u0003\u001a\u00020\u0004XT¢\u0006\u0002\n\u0000¨\u0006\t"}, d2 = {"Lcom/niming/weipa/ui/focus_on/activity/VideoCommentFragment$Companion;", "", "()V", "KEY", "", "newInstance", "Lcom/niming/weipa/ui/focus_on/activity/VideoCommentFragment;", "videoDetails", "Lcom/niming/weipa/model/VideoDetails;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: VideoCommentFragment.kt */
    public static final class a {
        private a() {
        }

        public /* synthetic */ a(DefaultConstructorMarker defaultConstructorMarker) {
            this();
        }

        @NotNull
        public final k a(@NotNull VideoDetails videoDetails) {
            Intrinsics.checkNotNullParameter(videoDetails, "videoDetails");
            Bundle bundle = new Bundle();
            bundle.putSerializable("videoId", videoDetails);
            k kVar = new k();
            kVar.setArguments(bundle);
            return kVar;
        }
    }

    /* access modifiers changed from: package-private */
    @Metadata(d1 = {"\u0000\u0010\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\u0010\u0000\u001a\u00020\u00012\u000e\u0010\u0002\u001a\n \u0004*\u0004\u0018\u00010\u00030\u0003H\n¢\u0006\u0002\b\u0005"}, d2 = {"<anonymous>", "", "it", "Landroid/widget/ImageView;", "kotlin.jvm.PlatformType", "invoke"}, k = 3, mv = {1, 6, 0}, xi = 48)
    /* compiled from: VideoCommentFragment.kt */
    public static final class b extends Lambda implements Function1<ImageView, Unit> {
        final /* synthetic */ k this$0;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        b(k kVar) {
            super(1);
            this.this$0 = kVar;
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // kotlin.jvm.functions.Function1
        public /* bridge */ /* synthetic */ Unit invoke(ImageView imageView) {
            invoke(imageView);
            return Unit.INSTANCE;
        }

        public final void invoke(ImageView imageView) {
            this.this$0.x0();
        }
    }

    @Metadata(d1 = {"\u0000\u0017\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J\u0010\u0010\u0002\u001a\u00020\u00032\u0006\u0010\u0004\u001a\u00020\u0005H\u0014¨\u0006\u0006"}, d2 = {"com/niming/weipa/ui/focus_on/activity/VideoCommentFragment$loadData$1", "Lcom/niming/weipa/net/AbsHttpCallback;", "onSuccess", "", j.f6041c, "Lcom/niming/framework/net/Result;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: VideoCommentFragment.kt */
    public static final class c extends com.niming.weipa.g.a {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ k f19487a;

        c(k kVar) {
            this.f19487a = kVar;
        }

        /* access modifiers changed from: protected */
        @Override // com.niming.weipa.g.a
        public void onSuccess(@NotNull Result result) {
            Intrinsics.checkNotNullParameter(result, j.f6041c);
            if (result.isOk()) {
                List a2 = g.a(result.getData(), CommentModel.class);
                if (a2 != null) {
                    if (((com.niming.weipa.base.d) this.f19487a).P0 == 1) {
                        this.f19487a.V0.s1(a2);
                    } else {
                        this.f19487a.V0.B(a2);
                        if (k0.o(a2)) {
                            k kVar = this.f19487a;
                            ((com.niming.weipa.base.d) kVar).P0--;
                        }
                    }
                } else {
                    return;
                }
            }
            this.f19487a.setStatusComplete();
            k kVar2 = this.f19487a;
            int i = R.id.refresh_layout;
            if (((XRefreshLayout) kVar2.h0(i)) != null) {
                ((XRefreshLayout) this.f19487a.h0(i)).H();
                ((XRefreshLayout) this.f19487a.h0(i)).g();
            }
        }
    }

    @Metadata(d1 = {"\u0000\u001b\n\u0000\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0002\b\u0003*\u0001\u0000\b\n\u0018\u00002\u000e\u0012\u0004\u0012\u00020\u0002\u0012\u0004\u0012\u00020\u00030\u0001J\u0018\u0010\u0004\u001a\u00020\u00052\u0006\u0010\u0006\u001a\u00020\u00032\u0006\u0010\u0007\u001a\u00020\u0002H\u0014¨\u0006\b"}, d2 = {"com/niming/weipa/ui/focus_on/activity/VideoCommentFragment$mCommentAdapter$1", "Lcom/chad/library/adapter/base/BaseQuickAdapter;", "Lcom/niming/weipa/model/CommentModel;", "Lcom/chad/library/adapter/base/viewholder/BaseViewHolder;", "convert", "", "holder", "item", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: VideoCommentFragment.kt */
    public static final class d extends BaseQuickAdapter<CommentModel, BaseViewHolder> {
        d() {
            super(com.hj.chen.new1126.R.layout.item_video_comment, null, 2, null);
        }

        /* access modifiers changed from: protected */
        /* renamed from: G1 */
        public void N(@NotNull BaseViewHolder baseViewHolder, @NotNull CommentModel commentModel) {
            Intrinsics.checkNotNullParameter(baseViewHolder, "holder");
            Intrinsics.checkNotNullParameter(commentModel, "item");
            com.niming.weipa.e.b.g(getContext(), commentModel.getUser_info().getAvatar(), (ImageView) baseViewHolder.getView(com.hj.chen.new1126.R.id.iv_avatar));
            baseViewHolder.setText(com.hj.chen.new1126.R.id.tvNickname, commentModel.getUser_info().getNick());
            baseViewHolder.setText(com.hj.chen.new1126.R.id.tvPlaceAndTime, commentModel.getCreated_at());
            baseViewHolder.setText(com.hj.chen.new1126.R.id.tvContent, commentModel.getComment_msg());
            KtExpandKt.j((TextView) baseViewHolder.getView(com.hj.chen.new1126.R.id.tvPlaceAndTime), o.f20592a.a().d(Integer.valueOf(commentModel.getUser_info().getRank_type())), 0, 0, 0, 0, 34, 11, 30, null);
        }
    }

    @Metadata(d1 = {"\u0000\u0017\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J\u0010\u0010\u0002\u001a\u00020\u00032\u0006\u0010\u0004\u001a\u00020\u0005H\u0014¨\u0006\u0006"}, d2 = {"com/niming/weipa/ui/focus_on/activity/VideoCommentFragment$sendTxtMsg$1", "Lcom/niming/weipa/net/AbsHttpCallback;", "onSuccess", "", j.f6041c, "Lcom/niming/framework/net/Result;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: VideoCommentFragment.kt */
    public static final class e extends com.niming.weipa.g.a {
        e() {
        }

        /* access modifiers changed from: protected */
        @Override // com.niming.weipa.g.a
        public void onSuccess(@NotNull Result result) {
            Intrinsics.checkNotNullParameter(result, j.f6041c);
            if (result.isOk()) {
                ToastUtils.W("评论成功，等待审核", new Object[0]);
            } else {
                ToastUtils.W(result.getMessage(), new Object[0]);
            }
        }
    }

    @Metadata(d1 = {"\u0000\b\n\u0000\n\u0002\u0018\u0002\n\u0000\u0010\u0000\u001a\u00020\u0001H\n¢\u0006\u0002\b\u0002"}, d2 = {"<anonymous>", "Lcom/niming/weipa/model/VideoDetails;", "invoke"}, k = 3, mv = {1, 6, 0}, xi = 48)
    /* compiled from: VideoCommentFragment.kt */
    static final class f extends Lambda implements Function0<VideoDetails> {
        final /* synthetic */ k this$0;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        f(k kVar) {
            super(0);
            this.this$0 = kVar;
        }

        @NotNull
        /* renamed from: a */
        public final VideoDetails invoke() {
            Bundle arguments = this.this$0.getArguments();
            Serializable serializable = arguments == null ? null : arguments.getSerializable("videoId");
            Objects.requireNonNull(serializable, "null cannot be cast to non-null type com.niming.weipa.model.VideoDetails");
            return (VideoDetails) serializable;
        }
    }

    public k() {
        d dVar = new d();
        dVar.m(e.f19481a);
        this.V0 = dVar;
    }

    private final VideoDetails m0() {
        return (VideoDetails) this.W0.getValue();
    }

    private final void n0() {
        u.f((ImageView) h0(R.id.iv_send), 0, new b(this), 1, null);
    }

    private final void p0() {
        int i = R.id.refresh_layout;
        ((XRefreshLayout) h0(i)).h0(new d(this));
        ((XRefreshLayout) h0(i)).O(new f(this));
    }

    /* access modifiers changed from: private */
    public static final void q0(k kVar, com.scwang.smartrefresh.layout.b.j jVar) {
        Intrinsics.checkNotNullParameter(kVar, "this$0");
        Intrinsics.checkNotNullParameter(jVar, "it");
        kVar.P0 = 1;
        kVar.v0();
    }

    /* access modifiers changed from: private */
    public static final void r0(k kVar, com.scwang.smartrefresh.layout.b.j jVar) {
        Intrinsics.checkNotNullParameter(kVar, "this$0");
        Intrinsics.checkNotNullParameter(jVar, "it");
        kVar.P0++;
        kVar.v0();
    }

    private final void v0() {
        com.niming.weipa.g.c.c0().s2(m0().getId(), this.P0, new c(this));
    }

    /* access modifiers changed from: private */
    public static final void w0(BaseQuickAdapter baseQuickAdapter, View view, int i) {
        Intrinsics.checkNotNullParameter(baseQuickAdapter, "adapter");
        Intrinsics.checkNotNullParameter(view, "view");
        if (com.niming.framework.b.b.a().c()) {
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void x0() {
        String obj = ((EditText) h0(R.id.et_content)).getText().toString();
        if (TextUtils.isEmpty(obj)) {
            ToastUtils.W("请输入", new Object[0]);
        }
        com.niming.weipa.g.c.c0().a(m0().getId(), obj, new e());
    }

    public void f0() {
        this.X0.clear();
    }

    @Override // com.niming.framework.base.g
    public int getViewRes() {
        return com.hj.chen.new1126.R.layout.frg_video_comment;
    }

    @Nullable
    public View h0(int i) {
        View findViewById;
        Map<Integer, View> map = this.X0;
        View view = map.get(Integer.valueOf(i));
        if (view != null) {
            return view;
        }
        View view2 = getView();
        if (view2 == null || (findViewById = view2.findViewById(i)) == null) {
            return null;
        }
        map.put(Integer.valueOf(i), findViewById);
        return findViewById;
    }

    @Override // com.niming.weipa.base.d, com.niming.framework.base.g
    public void j(@Nullable View view) {
        super.j(view);
        com.niming.weipa.e.b.g(getContext(), R().getAvatar(), (ImageView) h0(R.id.iv_avatar));
        v0();
        o0();
        p0();
        n0();
    }

    public final void o0() {
        ((RecyclerView) h0(R.id.rv_comment)).setAdapter(this.V0);
    }

    public void onClick(@Nullable View view) {
    }

    @Override // com.niming.weipa.base.d, androidx.fragment.app.Fragment
    public /* synthetic */ void onDestroyView() {
        super.onDestroyView();
        f0();
    }
}
