package com.niming.weipa.ui.focus_on.activity;

import android.app.Activity;
import android.os.Bundle;
import android.text.TextUtils;
import android.view.View;
import android.widget.ImageView;
import android.widget.TextView;
import androidx.recyclerview.widget.RecyclerView;
import com.alipay.sdk.util.j;
import com.blankj.utilcode.util.ToastUtils;
import com.blankj.utilcode.util.k0;
import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.viewholder.BaseViewHolder;
import com.niming.framework.net.Result;
import com.niming.framework.widget.XRefreshLayout;
import com.niming.weipa.R;
import com.niming.weipa.model.Ad2;
import com.niming.weipa.model.Task;
import com.niming.weipa.model.VideoDetails;
import com.niming.weipa.model.VideoInfo2;
import com.niming.weipa.share.ShareAct;
import com.niming.weipa.ui.focus_on.activity.VideoDetailActivity;
import com.niming.weipa.utils.u;
import com.niming.weipa.utils.v;
import com.youth.banner.Banner;
import java.io.Serializable;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;
import java.util.Objects;
import kotlin.Lazy;
import kotlin.LazyKt__LazyJVMKt;
import kotlin.Metadata;
import kotlin.Unit;
import kotlin.collections.CollectionsKt___CollectionsKt;
import kotlin.jvm.functions.Function0;
import kotlin.jvm.functions.Function1;
import kotlin.jvm.internal.DefaultConstructorMarker;
import kotlin.jvm.internal.Intrinsics;
import kotlin.jvm.internal.Lambda;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

@Metadata(d1 = {"\u00009\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\b\u0003\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0010\u0002\n\u0000\n\u0002\u0010\b\n\u0002\b\u0006\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0010\u000b\n\u0002\b\u0005*\u0001\u0004\u0018\u0000  2\u00020\u0001:\u0001 B\u0005¢\u0006\u0002\u0010\u0002J\u0010\u0010\f\u001a\u00020\r2\u0006\u0010\u000e\u001a\u00020\u000fH\u0002J\b\u0010\u0010\u001a\u00020\u000fH\u0016J\b\u0010\u0011\u001a\u00020\rH\u0002J\u0006\u0010\u0012\u001a\u00020\rJ\b\u0010\u0013\u001a\u00020\rH\u0002J\u0012\u0010\u0014\u001a\u00020\r2\b\u0010\u0015\u001a\u0004\u0018\u00010\u0016H\u0016J\b\u0010\u0017\u001a\u00020\rH\u0002J\u0012\u0010\u0018\u001a\u00020\r2\b\u0010\u0019\u001a\u0004\u0018\u00010\u0016H\u0016J\u0010\u0010\u001a\u001a\u00020\r2\u0006\u0010\u001b\u001a\u00020\u001cH\u0002J\u0010\u0010\u001d\u001a\u00020\r2\u0006\u0010\u001e\u001a\u00020\u000fH\u0002J\u0010\u0010\u001f\u001a\u00020\r2\u0006\u0010\u000e\u001a\u00020\u000fH\u0002R\u0010\u0010\u0003\u001a\u00020\u0004X\u000e¢\u0006\u0004\n\u0002\u0010\u0005R\u001b\u0010\u0006\u001a\u00020\u00078BX\u0002¢\u0006\f\n\u0004\b\n\u0010\u000b\u001a\u0004\b\b\u0010\t¨\u0006!"}, d2 = {"Lcom/niming/weipa/ui/focus_on/activity/VideoDetailFragment;", "Lcom/niming/weipa/base/BaseFragment;", "()V", "mVideoAdapter", "com/niming/weipa/ui/focus_on/activity/VideoDetailFragment$mVideoAdapter$1", "Lcom/niming/weipa/ui/focus_on/activity/VideoDetailFragment$mVideoAdapter$1;", "videoDetails", "Lcom/niming/weipa/model/VideoDetails;", "getVideoDetails", "()Lcom/niming/weipa/model/VideoDetails;", "videoDetails$delegate", "Lkotlin/Lazy;", "downloadVideo", "", "videoId", "", "getViewRes", "initListener", "initRecyclerView", "initRefreshLayout", "initView", "view", "Landroid/view/View;", "loadData", "onClick", "v", "updateLikeUI", "isLike", "", "videoDownloadAuth", "video_id", "videoLike", "Companion", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* compiled from: VideoDetailFragment.kt */
public final class l extends com.niming.weipa.base.d {
    @NotNull
    public static final a T0 = new a(null);
    @NotNull
    public static final String U0 = "videoId";
    @NotNull
    private g V0;
    @NotNull
    private final Lazy W0 = LazyKt__LazyJVMKt.lazy(new h(this));
    @NotNull
    public Map<Integer, View> X0 = new LinkedHashMap();

    @Metadata(d1 = {"\u0000\u001e\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\b\u0002\n\u0002\u0010\u000e\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\b\u0003\u0018\u00002\u00020\u0001B\u0007\b\u0002¢\u0006\u0002\u0010\u0002J\u000e\u0010\u0005\u001a\u00020\u00062\u0006\u0010\u0007\u001a\u00020\bR\u000e\u0010\u0003\u001a\u00020\u0004XT¢\u0006\u0002\n\u0000¨\u0006\t"}, d2 = {"Lcom/niming/weipa/ui/focus_on/activity/VideoDetailFragment$Companion;", "", "()V", "KEY", "", "newInstance", "Lcom/niming/weipa/ui/focus_on/activity/VideoDetailFragment;", "videoDetails", "Lcom/niming/weipa/model/VideoDetails;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: VideoDetailFragment.kt */
    public static final class a {
        private a() {
        }

        public /* synthetic */ a(DefaultConstructorMarker defaultConstructorMarker) {
            this();
        }

        @NotNull
        public final l a(@NotNull VideoDetails videoDetails) {
            Intrinsics.checkNotNullParameter(videoDetails, "videoDetails");
            Bundle bundle = new Bundle();
            bundle.putSerializable("videoId", videoDetails);
            l lVar = new l();
            lVar.setArguments(bundle);
            return lVar;
        }
    }

    @Metadata(d1 = {"\u0000\u0017\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J\u0010\u0010\u0002\u001a\u00020\u00032\u0006\u0010\u0004\u001a\u00020\u0005H\u0014¨\u0006\u0006"}, d2 = {"com/niming/weipa/ui/focus_on/activity/VideoDetailFragment$downloadVideo$1", "Lcom/niming/weipa/net/AbsHttpCallback;", "onSuccess", "", j.f6041c, "Lcom/niming/framework/net/Result;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: VideoDetailFragment.kt */
    public static final class b extends com.niming.weipa.g.a {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ l f19488a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ int f19489b;

        b(l lVar, int i) {
            this.f19488a = lVar;
            this.f19489b = i;
        }

        /* access modifiers changed from: protected */
        @Override // com.niming.weipa.g.a
        public void onSuccess(@NotNull Result result) {
            Intrinsics.checkNotNullParameter(result, j.f6041c);
            if (result.isOk()) {
                this.f19488a.E0(this.f19489b);
            } else {
                ToastUtils.W(result.getMessage(), new Object[0]);
            }
        }
    }

    /* access modifiers changed from: package-private */
    @Metadata(d1 = {"\u0000\u0010\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\u0010\u0000\u001a\u00020\u00012\u000e\u0010\u0002\u001a\n \u0004*\u0004\u0018\u00010\u00030\u0003H\n¢\u0006\u0002\b\u0005"}, d2 = {"<anonymous>", "", "it", "Landroid/widget/TextView;", "kotlin.jvm.PlatformType", "invoke"}, k = 3, mv = {1, 6, 0}, xi = 48)
    /* compiled from: VideoDetailFragment.kt */
    public static final class c extends Lambda implements Function1<TextView, Unit> {
        final /* synthetic */ l this$0;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        c(l lVar) {
            super(1);
            this.this$0 = lVar;
        }

        public final void a(TextView textView) {
            l lVar = this.this$0;
            lVar.F0(lVar.s0().getId());
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // kotlin.jvm.functions.Function1
        public /* bridge */ /* synthetic */ Unit invoke(TextView textView) {
            a(textView);
            return Unit.INSTANCE;
        }
    }

    @Metadata(d1 = {"\u0000\u0010\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\u0010\u0000\u001a\u00020\u00012\u000e\u0010\u0002\u001a\n \u0004*\u0004\u0018\u00010\u00030\u0003H\n¢\u0006\u0002\b\u0005"}, d2 = {"<anonymous>", "", "it", "Landroid/widget/TextView;", "kotlin.jvm.PlatformType", "invoke"}, k = 3, mv = {1, 6, 0}, xi = 48)
    /* compiled from: VideoDetailFragment.kt */
    static final class d extends Lambda implements Function1<TextView, Unit> {
        final /* synthetic */ l this$0;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        d(l lVar) {
            super(1);
            this.this$0 = lVar;
        }

        public final void a(TextView textView) {
            ShareAct.Companion companion = ShareAct.Companion;
            Activity activity = ((com.niming.framework.base.b) this.this$0).I0;
            Intrinsics.checkNotNullExpressionValue(activity, "activity");
            companion.start(activity);
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // kotlin.jvm.functions.Function1
        public /* bridge */ /* synthetic */ Unit invoke(TextView textView) {
            a(textView);
            return Unit.INSTANCE;
        }
    }

    @Metadata(d1 = {"\u0000\u0010\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\u0010\u0000\u001a\u00020\u00012\u000e\u0010\u0002\u001a\n \u0004*\u0004\u0018\u00010\u00030\u0003H\n¢\u0006\u0002\b\u0005"}, d2 = {"<anonymous>", "", "it", "Landroid/widget/TextView;", "kotlin.jvm.PlatformType", "invoke"}, k = 3, mv = {1, 6, 0}, xi = 48)
    /* compiled from: VideoDetailFragment.kt */
    static final class e extends Lambda implements Function1<TextView, Unit> {
        final /* synthetic */ l this$0;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        e(l lVar) {
            super(1);
            this.this$0 = lVar;
        }

        public final void a(TextView textView) {
            if (this.this$0.R().getDownload_num() == 0) {
                ToastUtils.W("您没有下载次数了", new Object[0]);
                return;
            }
            l lVar = this.this$0;
            lVar.r0(lVar.s0().getId());
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // kotlin.jvm.functions.Function1
        public /* bridge */ /* synthetic */ Unit invoke(TextView textView) {
            a(textView);
            return Unit.INSTANCE;
        }
    }

    @Metadata(d1 = {"\u0000\u0017\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J\u0010\u0010\u0002\u001a\u00020\u00032\u0006\u0010\u0004\u001a\u00020\u0005H\u0014¨\u0006\u0006"}, d2 = {"com/niming/weipa/ui/focus_on/activity/VideoDetailFragment$loadData$1", "Lcom/niming/weipa/net/AbsHttpCallback;", "onSuccess", "", j.f6041c, "Lcom/niming/framework/net/Result;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: VideoDetailFragment.kt */
    public static final class f extends com.niming.weipa.g.a {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ l f19490a;

        f(l lVar) {
            this.f19490a = lVar;
        }

        /* access modifiers changed from: protected */
        @Override // com.niming.weipa.g.a
        public void onSuccess(@NotNull Result result) {
            Intrinsics.checkNotNullParameter(result, j.f6041c);
            if (result.isOk()) {
                List a2 = com.niming.framework.b.g.a(result.getData(), VideoInfo2.class);
                if (a2 != null) {
                    if (((com.niming.weipa.base.d) this.f19490a).P0 == 1) {
                        this.f19490a.V0.s1(a2);
                    } else {
                        this.f19490a.V0.B(a2);
                        if (k0.o(a2)) {
                            l lVar = this.f19490a;
                            ((com.niming.weipa.base.d) lVar).P0--;
                        }
                    }
                } else {
                    return;
                }
            }
            this.f19490a.setStatusComplete();
            l lVar2 = this.f19490a;
            int i = R.id.refresh_layout;
            if (((XRefreshLayout) lVar2.h0(i)) != null) {
                ((XRefreshLayout) this.f19490a.h0(i)).H();
                ((XRefreshLayout) this.f19490a.h0(i)).g();
            }
        }
    }

    @Metadata(d1 = {"\u0000\u001b\n\u0000\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0002\b\u0003*\u0001\u0000\b\n\u0018\u00002\u000e\u0012\u0004\u0012\u00020\u0002\u0012\u0004\u0012\u00020\u00030\u0001J\u0018\u0010\u0004\u001a\u00020\u00052\u0006\u0010\u0006\u001a\u00020\u00032\u0006\u0010\u0007\u001a\u00020\u0002H\u0014¨\u0006\b"}, d2 = {"com/niming/weipa/ui/focus_on/activity/VideoDetailFragment$mVideoAdapter$1", "Lcom/chad/library/adapter/base/BaseQuickAdapter;", "Lcom/niming/weipa/model/VideoInfo2;", "Lcom/chad/library/adapter/base/viewholder/BaseViewHolder;", "convert", "", "holder", "item", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: VideoDetailFragment.kt */
    public static final class g extends BaseQuickAdapter<VideoInfo2, BaseViewHolder> {

        @Metadata(d1 = {"\u0000\u001b\n\u0000\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0002\b\u0003*\u0001\u0000\b\n\u0018\u00002\u000e\u0012\u0004\u0012\u00020\u0002\u0012\u0004\u0012\u00020\u00030\u0001J\u0018\u0010\u0004\u001a\u00020\u00052\u0006\u0010\u0006\u001a\u00020\u00032\u0006\u0010\u0007\u001a\u00020\u0002H\u0014¨\u0006\b"}, d2 = {"com/niming/weipa/ui/focus_on/activity/VideoDetailFragment$mVideoAdapter$1$convert$innerAdapter$1", "Lcom/chad/library/adapter/base/BaseQuickAdapter;", "Lcom/niming/weipa/model/VideoInfo2$CategoryBean;", "Lcom/chad/library/adapter/base/viewholder/BaseViewHolder;", "convert", "", "holder", "item", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
        /* compiled from: VideoDetailFragment.kt */
        public static final class a extends BaseQuickAdapter<VideoInfo2.CategoryBean, BaseViewHolder> {
            a() {
                super(com.hj.chen.new1126.R.layout.item_video_detail_tag, null, 2, null);
            }

            /* access modifiers changed from: protected */
            /* renamed from: G1 */
            public void N(@NotNull BaseViewHolder baseViewHolder, @NotNull VideoInfo2.CategoryBean categoryBean) {
                Intrinsics.checkNotNullParameter(baseViewHolder, "holder");
                Intrinsics.checkNotNullParameter(categoryBean, "item");
                baseViewHolder.setText(com.hj.chen.new1126.R.id.tvTitle, categoryBean.getTitle());
            }
        }

        g() {
            super(com.hj.chen.new1126.R.layout.item_recommend_video, null, 2, null);
        }

        /* access modifiers changed from: protected */
        /* renamed from: G1 */
        public void N(@NotNull BaseViewHolder baseViewHolder, @NotNull VideoInfo2 videoInfo2) {
            Intrinsics.checkNotNullParameter(baseViewHolder, "holder");
            Intrinsics.checkNotNullParameter(videoInfo2, "item");
            baseViewHolder.setText(com.hj.chen.new1126.R.id.tvVideoTitle, videoInfo2.getTitle());
            baseViewHolder.setText(com.hj.chen.new1126.R.id.tvDuration, com.shuyu.gsyvideoplayer.k.b.r(videoInfo2.getDuration()));
            String a2 = com.niming.weipa.utils.k0.a(String.valueOf(videoInfo2.getPlay() < 0 ? 0 : videoInfo2.getPlay()));
            baseViewHolder.setText(com.hj.chen.new1126.R.id.tv_watch_num, "观看" + ((Object) a2) + (char) 20154);
            com.niming.weipa.e.b.k(getContext(), videoInfo2.getCover(), (ImageView) baseViewHolder.getView(com.hj.chen.new1126.R.id.ivVideoCover));
            a aVar = new a();
            List<VideoInfo2.CategoryBean> category = videoInfo2.getCategory();
            Intrinsics.checkNotNullExpressionValue(category, "item.category");
            aVar.s1(CollectionsKt___CollectionsKt.take(category, 2));
            ((RecyclerView) baseViewHolder.getView(com.hj.chen.new1126.R.id.rv_tag)).setAdapter(aVar);
        }
    }

    @Metadata(d1 = {"\u0000\b\n\u0000\n\u0002\u0018\u0002\n\u0000\u0010\u0000\u001a\u00020\u0001H\n¢\u0006\u0002\b\u0002"}, d2 = {"<anonymous>", "Lcom/niming/weipa/model/VideoDetails;", "invoke"}, k = 3, mv = {1, 6, 0}, xi = 48)
    /* compiled from: VideoDetailFragment.kt */
    static final class h extends Lambda implements Function0<VideoDetails> {
        final /* synthetic */ l this$0;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        h(l lVar) {
            super(0);
            this.this$0 = lVar;
        }

        @NotNull
        /* renamed from: a */
        public final VideoDetails invoke() {
            Bundle arguments = this.this$0.getArguments();
            Serializable serializable = arguments == null ? null : arguments.getSerializable("videoId");
            Objects.requireNonNull(serializable, "null cannot be cast to non-null type com.niming.weipa.model.VideoDetails");
            return (VideoDetails) serializable;
        }
    }

    @Metadata(d1 = {"\u0000\u0017\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J\u0010\u0010\u0002\u001a\u00020\u00032\u0006\u0010\u0004\u001a\u00020\u0005H\u0014¨\u0006\u0006"}, d2 = {"com/niming/weipa/ui/focus_on/activity/VideoDetailFragment$videoLike$1", "Lcom/niming/weipa/net/AbsHttpCallback;", "onSuccess", "", j.f6041c, "Lcom/niming/framework/net/Result;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: VideoDetailFragment.kt */
    public static final class i extends com.niming.weipa.g.a {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ l f19491a;

        i(l lVar) {
            this.f19491a = lVar;
        }

        /* access modifiers changed from: protected */
        @Override // com.niming.weipa.g.a
        public void onSuccess(@NotNull Result result) {
            Intrinsics.checkNotNullParameter(result, j.f6041c);
            int i = 0;
            if (result.isOk()) {
                Integer valueOf = Integer.valueOf(result.getData());
                boolean z = valueOf != null && valueOf.intValue() == 1;
                VideoDetails s0 = this.f19491a.s0();
                Intrinsics.checkNotNullExpressionValue(valueOf, "like");
                s0.setIs_like(valueOf.intValue());
                if (valueOf.intValue() == 1) {
                    this.f19491a.s0().setLike(this.f19491a.s0().getLike() + 1);
                } else {
                    if (this.f19491a.s0().getLike() - 1 >= 0) {
                        i = this.f19491a.s0().getLike() - 1;
                    }
                    this.f19491a.s0().setLike(i);
                }
                ((TextView) this.f19491a.h0(R.id.tv_collect)).setText(com.niming.weipa.utils.k0.a(this.f19491a.s0().getLike() + ""));
                this.f19491a.D0(z);
                return;
            }
            ToastUtils.W(result.getMessage(), new Object[0]);
        }
    }

    public l() {
        g gVar = new g();
        gVar.m(new i(this));
        this.V0 = gVar;
    }

    private final void B0() {
        com.niming.weipa.g.c.c0().K0(s0().getId(), this.P0, new f(this));
    }

    /* access modifiers changed from: private */
    public static final void C0(l lVar, BaseQuickAdapter baseQuickAdapter, View view, int i2) {
        Intrinsics.checkNotNullParameter(lVar, "this$0");
        Intrinsics.checkNotNullParameter(baseQuickAdapter, "adapter");
        Intrinsics.checkNotNullParameter(view, "view");
        if (!com.niming.framework.b.b.a().c()) {
            Object obj = baseQuickAdapter.getData().get(i2);
            Objects.requireNonNull(obj, "null cannot be cast to non-null type com.niming.weipa.model.VideoInfo2");
            VideoDetailActivity.a aVar = VideoDetailActivity.Q0;
            Activity activity = lVar.I0;
            Intrinsics.checkNotNullExpressionValue(activity, "activity");
            VideoDetailActivity.a.b(aVar, activity, (VideoInfo2) obj, 0, 4, null);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void D0(boolean z) {
        ((TextView) h0(R.id.tv_collect)).setCompoundDrawablesRelativeWithIntrinsicBounds(z ? com.hj.chen.new1126.R.drawable.cancle_collect : com.hj.chen.new1126.R.drawable.ic_collect, 0, 0, 0);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    /* JADX WARNING: Removed duplicated region for block: B:15:0x0036  */
    /* JADX WARNING: Removed duplicated region for block: B:16:0x0038  */
    /* JADX WARNING: Removed duplicated region for block: B:19:0x004d  */
    /* JADX WARNING: Removed duplicated region for block: B:20:0x004f  */
    /* JADX WARNING: Removed duplicated region for block: B:23:0x0061  */
    /* JADX WARNING: Removed duplicated region for block: B:24:0x0063  */
    /* JADX WARNING: Removed duplicated region for block: B:27:0x0078  */
    /* JADX WARNING: Removed duplicated region for block: B:28:0x007a  */
    /* JADX WARNING: Removed duplicated region for block: B:31:0x0096  */
    /* JADX WARNING: Removed duplicated region for block: B:32:0x0098  */
    /* JADX WARNING: Removed duplicated region for block: B:35:0x00be  */
    /* JADX WARNING: Removed duplicated region for block: B:36:0x00d7  */
    private final void E0(int i2) {
        String str;
        Task l;
        VideoDetails s0 = s0();
        if (TextUtils.isEmpty(s0 == null ? null : s0.getMu())) {
            VideoDetails s02 = s0();
            if (s02 != null) {
                str = s02.getSmu();
                Task task = new Task();
                VideoDetails s03 = s0();
                task.setVideoId((s03 == null ? null : Integer.valueOf(s03.getId())).toString());
                VideoDetails s04 = s0();
                task.setTitle(s04 == null ? null : s04.getTitle());
                task.setIntro("");
                VideoDetails s05 = s0();
                task.setDuration((s05 == null ? null : Integer.valueOf(s05.getDuration())).intValue());
                VideoDetails s06 = s0();
                task.setCover(s06 == null ? null : s06.getCover());
                task.setDownloadUrl(str);
                task.setOriginDownloadUrl(str);
                task.setProgress(0);
                task.setStatus(108);
                VideoDetails s07 = s0();
                task.setExpendCoins((s07 == null ? null : Integer.valueOf(s07.getCoins())).intValue());
                task.setIsLong(true);
                new com.niming.weipa.utils.x0.c().f(task);
                l = new com.niming.weipa.utils.x0.c().l(str);
                if (l != null) {
                    com.niming.weipa.ui.download.j.c.o().k(l);
                    com.niming.framework.b.d.b(new com.niming.weipa.ui.download.model.a("update_cache", (String) null));
                    ToastUtils.W("已添加到下载列表呢", new Object[0]);
                    return;
                }
                ToastUtils.W("出错了，请重试呢", new Object[0]);
                return;
            }
        } else {
            VideoDetails s08 = s0();
            if (s08 != null) {
                str = s08.getMu();
                Task task2 = new Task();
                VideoDetails s032 = s0();
                task2.setVideoId((s032 == null ? null : Integer.valueOf(s032.getId())).toString());
                VideoDetails s042 = s0();
                task2.setTitle(s042 == null ? null : s042.getTitle());
                task2.setIntro("");
                VideoDetails s052 = s0();
                task2.setDuration((s052 == null ? null : Integer.valueOf(s052.getDuration())).intValue());
                VideoDetails s062 = s0();
                task2.setCover(s062 == null ? null : s062.getCover());
                task2.setDownloadUrl(str);
                task2.setOriginDownloadUrl(str);
                task2.setProgress(0);
                task2.setStatus(108);
                VideoDetails s072 = s0();
                task2.setExpendCoins((s072 == null ? null : Integer.valueOf(s072.getCoins())).intValue());
                task2.setIsLong(true);
                new com.niming.weipa.utils.x0.c().f(task2);
                l = new com.niming.weipa.utils.x0.c().l(str);
                if (l != null) {
                }
            }
        }
        str = null;
        Task task22 = new Task();
        VideoDetails s0322 = s0();
        task22.setVideoId((s0322 == null ? null : Integer.valueOf(s0322.getId())).toString());
        VideoDetails s0422 = s0();
        task22.setTitle(s0422 == null ? null : s0422.getTitle());
        task22.setIntro("");
        VideoDetails s0522 = s0();
        task22.setDuration((s0522 == null ? null : Integer.valueOf(s0522.getDuration())).intValue());
        VideoDetails s0622 = s0();
        task22.setCover(s0622 == null ? null : s0622.getCover());
        task22.setDownloadUrl(str);
        task22.setOriginDownloadUrl(str);
        task22.setProgress(0);
        task22.setStatus(108);
        VideoDetails s0722 = s0();
        task22.setExpendCoins((s0722 == null ? null : Integer.valueOf(s0722.getCoins())).intValue());
        task22.setIsLong(true);
        new com.niming.weipa.utils.x0.c().f(task22);
        l = new com.niming.weipa.utils.x0.c().l(str);
        if (l != null) {
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void F0(int i2) {
        com.niming.weipa.g.c.c0().B2(i2, true, new i(this));
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void r0(int i2) {
        com.niming.weipa.g.c.c0().o(i2, new b(this, i2));
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final VideoDetails s0() {
        return (VideoDetails) this.W0.getValue();
    }

    private final void t0() {
        u.f((TextView) h0(R.id.tv_collect), 0, new c(this), 1, null);
    }

    private final void v0() {
        int i2 = R.id.refresh_layout;
        ((XRefreshLayout) h0(i2)).h0(new h(this));
        ((XRefreshLayout) h0(i2)).O(new j(this));
    }

    /* access modifiers changed from: private */
    public static final void w0(l lVar, com.scwang.smartrefresh.layout.b.j jVar) {
        Intrinsics.checkNotNullParameter(lVar, "this$0");
        Intrinsics.checkNotNullParameter(jVar, "it");
        lVar.P0 = 1;
        lVar.B0();
    }

    /* access modifiers changed from: private */
    public static final void x0(l lVar, com.scwang.smartrefresh.layout.b.j jVar) {
        Intrinsics.checkNotNullParameter(lVar, "this$0");
        Intrinsics.checkNotNullParameter(jVar, "it");
        lVar.P0++;
        lVar.B0();
    }

    public void f0() {
        this.X0.clear();
    }

    @Override // com.niming.framework.base.g
    public int getViewRes() {
        return com.hj.chen.new1126.R.layout.frg_video_detail;
    }

    @Nullable
    public View h0(int i2) {
        View findViewById;
        Map<Integer, View> map = this.X0;
        View view = map.get(Integer.valueOf(i2));
        if (view != null) {
            return view;
        }
        View view2 = getView();
        if (view2 == null || (findViewById = view2.findViewById(i2)) == null) {
            return null;
        }
        map.put(Integer.valueOf(i2), findViewById);
        return findViewById;
    }

    @Override // com.niming.weipa.base.d, com.niming.framework.base.g
    public void j(@Nullable View view) {
        super.j(view);
        ((TextView) h0(R.id.tvTitle)).setText(s0().getTitle());
        ((TextView) h0(R.id.tv_watch_num)).setText(s0().getPlay() + "次播放");
        ((TextView) h0(R.id.tv_collect)).setText(String.valueOf(com.niming.weipa.utils.k0.a(String.valueOf(s0().getLike()))));
        D0(s0().getIs_like());
        u.f((TextView) h0(R.id.tv_share), 0, new d(this), 1, null);
        u.f((TextView) h0(R.id.tv_download), 0, new e(this), 1, null);
        Activity activity = this.I0;
        Intrinsics.checkNotNullExpressionValue(activity, "activity");
        Banner banner = (Banner) h0(R.id.ivAdBanner);
        Intrinsics.checkNotNullExpressionValue(banner, "ivAdBanner");
        List<Ad2> ad_data = s0().getAd_data();
        Intrinsics.checkNotNullExpressionValue(ad_data, "videoDetails.ad_data");
        v.l(activity, banner, ad_data);
        B0();
        u0();
        v0();
        t0();
    }

    public void onClick(@Nullable View view) {
    }

    @Override // com.niming.weipa.base.d, androidx.fragment.app.Fragment
    public /* synthetic */ void onDestroyView() {
        super.onDestroyView();
        f0();
    }

    public final void u0() {
        ((RecyclerView) h0(R.id.rv_video)).setAdapter(this.V0);
    }
}
