package com.niming.weipa.ui.focus_on.widget;

import android.app.Activity;
import android.content.Context;
import android.view.View;
import android.widget.TextView;
import androidx.constraintlayout.widget.ConstraintLayout;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import androidx.recyclerview.widget.d0;
import androidx.recyclerview.widget.z;
import com.blankj.utilcode.util.LogUtils;
import com.blankj.utilcode.util.r;
import com.blankj.utilcode.util.t;
import com.niming.weipa.R;
import com.niming.weipa.model.RecommendBinderModel;
import com.niming.weipa.model.RecommendModel;
import com.niming.weipa.model.VideoInfo2;
import com.niming.weipa.ui.focus_on.e0.s;
import com.niming.weipa.utils.l;
import com.niming.weipa.utils.u;
import com.niming.weipa.widget.XPreviewVideoPlayer;
import com.niming.weipa.widget.j;
import java.util.Objects;
import kotlin.Metadata;
import kotlin.Unit;
import kotlin.jvm.functions.Function1;
import kotlin.jvm.internal.Intrinsics;
import kotlin.jvm.internal.Lambda;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

@Metadata(d1 = {"\u0000T\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\t\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0018\u0002\n\u0002\b\t\n\u0002\u0010\u0002\n\u0002\b\u0004\n\u0002\u0010\b\n\u0002\b\u0003\u0018\u00002\b\u0012\u0004\u0012\u00020\u00020\u0001B\u0015\u0012\u0006\u0010\u0003\u001a\u00020\u0004\u0012\u0006\u0010\u0005\u001a\u00020\u0006¢\u0006\u0002\u0010\u0007J\b\u0010.\u001a\u00020/H\u0002J\u0006\u00100\u001a\u00020/J\u001a\u00101\u001a\u00020/2\b\u00102\u001a\u0004\u0018\u00010\u00132\u0006\u00103\u001a\u000204H\u0002J\u0010\u00105\u001a\u00020/2\u0006\u00106\u001a\u00020\u0002H\u0016R\u001a\u0010\b\u001a\u00020\tX.¢\u0006\u000e\n\u0000\u001a\u0004\b\n\u0010\u000b\"\u0004\b\f\u0010\rR\u001a\u0010\u0003\u001a\u00020\u0004X\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u000e\u0010\u000f\"\u0004\b\u0010\u0010\u0011R\u001c\u0010\u0012\u001a\u0004\u0018\u00010\u0013X\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u0014\u0010\u0015\"\u0004\b\u0016\u0010\u0017R\u001a\u0010\u0018\u001a\u00020\u0019X.¢\u0006\u000e\n\u0000\u001a\u0004\b\u001a\u0010\u001b\"\u0004\b\u001c\u0010\u001dR\u001c\u0010\u001e\u001a\u0004\u0018\u00010\u001fX\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b \u0010!\"\u0004\b\"\u0010#R\u001c\u0010$\u001a\u0004\u0018\u00010%X\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b&\u0010'\"\u0004\b(\u0010)R\u001a\u0010\u0005\u001a\u00020\u0006X\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b*\u0010+\"\u0004\b,\u0010-¨\u00067"}, d2 = {"Lcom/niming/weipa/ui/focus_on/widget/IndexTypeVideo1PreviewView2;", "Lcom/niming/weipa/ui/focus_on/widget/BaseViewHolderViewHolder;", "Lcom/niming/weipa/model/RecommendBinderModel;", "context", "Landroid/content/Context;", "view", "Landroid/view/View;", "(Landroid/content/Context;Landroid/view/View;)V", "adapter", "Lcom/niming/weipa/ui/focus_on/adapter/IndexTypePreviewVideoAdapter;", "getAdapter", "()Lcom/niming/weipa/ui/focus_on/adapter/IndexTypePreviewVideoAdapter;", "setAdapter", "(Lcom/niming/weipa/ui/focus_on/adapter/IndexTypePreviewVideoAdapter;)V", "getContext", "()Landroid/content/Context;", "setContext", "(Landroid/content/Context;)V", "curPreviewVideoPlayer", "Lcom/niming/weipa/widget/XPreviewVideoPlayer;", "getCurPreviewVideoPlayer", "()Lcom/niming/weipa/widget/XPreviewVideoPlayer;", "setCurPreviewVideoPlayer", "(Lcom/niming/weipa/widget/XPreviewVideoPlayer;)V", "data", "Lcom/niming/weipa/model/RecommendModel;", "getData", "()Lcom/niming/weipa/model/RecommendModel;", "setData", "(Lcom/niming/weipa/model/RecommendModel;)V", "linearLayoutManager", "Landroidx/recyclerview/widget/LinearLayoutManager;", "getLinearLayoutManager", "()Landroidx/recyclerview/widget/LinearLayoutManager;", "setLinearLayoutManager", "(Landroidx/recyclerview/widget/LinearLayoutManager;)V", "snapHelper", "Landroidx/recyclerview/widget/SnapHelper;", "getSnapHelper", "()Landroidx/recyclerview/widget/SnapHelper;", "setSnapHelper", "(Landroidx/recyclerview/widget/SnapHelper;)V", "getView", "()Landroid/view/View;", "setView", "(Landroid/view/View;)V", "initRecyclerView", "", "initUI", "playVideo", "previewVideoPlayer", "position", "", "update", "t", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* compiled from: IndexTypeVideo1PreviewView2.kt */
public final class q extends n<RecommendBinderModel> {
    @NotNull

    /* renamed from: a  reason: collision with root package name */
    private Context f19608a;
    @NotNull

    /* renamed from: b  reason: collision with root package name */
    private View f19609b;

    /* renamed from: c  reason: collision with root package name */
    public RecommendModel f19610c;

    /* renamed from: d  reason: collision with root package name */
    public s f19611d;
    @Nullable

    /* renamed from: e  reason: collision with root package name */
    private XPreviewVideoPlayer f19612e;
    @Nullable
    private d0 f;
    @Nullable
    private LinearLayoutManager g;

    @Metadata(d1 = {"\u0000\u0019\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\b\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0003*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J\"\u0010\u0002\u001a\u00020\u00032\b\u0010\u0004\u001a\u0004\u0018\u00010\u00052\u0006\u0010\u0006\u001a\u00020\u00032\u0006\u0010\u0007\u001a\u00020\u0003H\u0016¨\u0006\b"}, d2 = {"com/niming/weipa/ui/focus_on/widget/IndexTypeVideo1PreviewView2$initRecyclerView$1", "Landroidx/recyclerview/widget/PagerSnapHelper;", "findTargetSnapPosition", "", "layoutManager", "Landroidx/recyclerview/widget/RecyclerView$LayoutManager;", "velocityX", "velocityY", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: IndexTypeVideo1PreviewView2.kt */
    public static final class a extends z {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ q f19613a;

        a(q qVar) {
            this.f19613a = qVar;
        }

        @Override // androidx.recyclerview.widget.z, androidx.recyclerview.widget.d0
        public int findTargetSnapPosition(@Nullable RecyclerView.LayoutManager layoutManager, int i, int i2) {
            View view;
            LogUtils.m("findTargetSnapPosition", "findTargetSnapPosition");
            int findTargetSnapPosition = super.findTargetSnapPosition(layoutManager, i, i2);
            RecyclerView.z findViewHolderForAdapterPosition = ((RecyclerView) this.f19613a.itemView.findViewById(R.id.recyclerView)).findViewHolderForAdapterPosition(findTargetSnapPosition);
            if (findViewHolderForAdapterPosition == null) {
                view = null;
            } else {
                view = findViewHolderForAdapterPosition.itemView;
            }
            Objects.requireNonNull(view, "null cannot be cast to non-null type com.niming.weipa.ui.focus_on.widget.IndexTypePreviewVideoChildView");
            this.f19613a.o((XPreviewVideoPlayer) ((IndexTypePreviewVideoChildView) view).b(R.id.previewVideoPlayer));
            q qVar = this.f19613a;
            qVar.l(qVar.e(), findTargetSnapPosition);
            return findTargetSnapPosition;
        }
    }

    /* access modifiers changed from: package-private */
    @Metadata(d1 = {"\u0000\u0010\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\u0010\u0000\u001a\u00020\u00012\u000e\u0010\u0002\u001a\n \u0004*\u0004\u0018\u00010\u00030\u0003H\n¢\u0006\u0002\b\u0005"}, d2 = {"<anonymous>", "", "it", "Landroid/widget/TextView;", "kotlin.jvm.PlatformType", "invoke"}, k = 3, mv = {1, 6, 0}, xi = 48)
    /* compiled from: IndexTypeVideo1PreviewView2.kt */
    public static final class b extends Lambda implements Function1<TextView, Unit> {
        final /* synthetic */ q this$0;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        b(q qVar) {
            super(1);
            this.this$0 = qVar;
        }

        public final void a(TextView textView) {
            Activity activity = (Activity) this.this$0.d();
            String more_link = this.this$0.f().getMore_link();
            Intrinsics.checkNotNullExpressionValue(more_link, "data.more_link");
            l.f(activity, more_link, false, false, "", 12, null);
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // kotlin.jvm.functions.Function1
        public /* bridge */ /* synthetic */ Unit invoke(TextView textView) {
            a(textView);
            return Unit.INSTANCE;
        }
    }

    /* JADX INFO: super call moved to the top of the method (can break code semantics) */
    public q(@NotNull Context context, @NotNull View view) {
        super(view);
        Intrinsics.checkNotNullParameter(context, "context");
        Intrinsics.checkNotNullParameter(view, "view");
        this.f19608a = context;
        this.f19609b = view;
        k();
    }

    private final void j() {
        m(new s(this.f19608a));
        View view = this.itemView;
        int i = R.id.recyclerView;
        ((RecyclerView) view.findViewById(i)).setAdapter(c());
        LinearLayoutManager linearLayoutManager = new LinearLayoutManager(this.f19608a);
        this.g = linearLayoutManager;
        if (linearLayoutManager != null) {
            linearLayoutManager.setOrientation(0);
        }
        LinearLayoutManager linearLayoutManager2 = this.g;
        if (linearLayoutManager2 != null) {
            linearLayoutManager2.setInitialPrefetchItemCount(2);
        }
        ((RecyclerView) this.itemView.findViewById(i)).setLayoutManager(this.g);
        j jVar = new j(t.w(6.0f));
        jVar.d(false);
        jVar.f(false);
        ((RecyclerView) this.itemView.findViewById(i)).addItemDecoration(jVar);
        a aVar = new a(this);
        this.f = aVar;
        if (aVar != null) {
            aVar.attachToRecyclerView((RecyclerView) this.itemView.findViewById(i));
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void l(XPreviewVideoPlayer xPreviewVideoPlayer, int i) {
        VideoInfo2 videoInfo2 = f().getVideo_1_data().get(i);
        if (xPreviewVideoPlayer != null) {
            xPreviewVideoPlayer.setPlayTag("RecommendedVideoTAG");
        }
        if (xPreviewVideoPlayer != null) {
            xPreviewVideoPlayer.setPlayPosition(f().getVideo_1_data().get(i).getId());
        }
        if (xPreviewVideoPlayer != null) {
            xPreviewVideoPlayer.c0(videoInfo2.getSmu(), true, "");
        }
        if (xPreviewVideoPlayer != null) {
            xPreviewVideoPlayer.f0();
        }
    }

    @NotNull
    public final s c() {
        s sVar = this.f19611d;
        if (sVar != null) {
            return sVar;
        }
        Intrinsics.throwUninitializedPropertyAccessException("adapter");
        return null;
    }

    @NotNull
    public final Context d() {
        return this.f19608a;
    }

    @Nullable
    public final XPreviewVideoPlayer e() {
        return this.f19612e;
    }

    @NotNull
    public final RecommendModel f() {
        RecommendModel recommendModel = this.f19610c;
        if (recommendModel != null) {
            return recommendModel;
        }
        Intrinsics.throwUninitializedPropertyAccessException("data");
        return null;
    }

    @Nullable
    public final LinearLayoutManager g() {
        return this.g;
    }

    @Nullable
    public final d0 h() {
        return this.f;
    }

    @NotNull
    public final View i() {
        return this.f19609b;
    }

    public final void k() {
        j();
        u.f((TextView) this.itemView.findViewById(R.id.tvMore), 0, new b(this), 1, null);
    }

    public final void m(@NotNull s sVar) {
        Intrinsics.checkNotNullParameter(sVar, "<set-?>");
        this.f19611d = sVar;
    }

    public final void n(@NotNull Context context) {
        Intrinsics.checkNotNullParameter(context, "<set-?>");
        this.f19608a = context;
    }

    public final void o(@Nullable XPreviewVideoPlayer xPreviewVideoPlayer) {
        this.f19612e = xPreviewVideoPlayer;
    }

    public final void p(@NotNull RecommendModel recommendModel) {
        Intrinsics.checkNotNullParameter(recommendModel, "<set-?>");
        this.f19610c = recommendModel;
    }

    public final void q(@Nullable LinearLayoutManager linearLayoutManager) {
        this.g = linearLayoutManager;
    }

    public final void r(@Nullable d0 d0Var) {
        this.f = d0Var;
    }

    public final void s(@NotNull View view) {
        Intrinsics.checkNotNullParameter(view, "<set-?>");
        this.f19609b = view;
    }

    /* renamed from: t */
    public void a(@NotNull RecommendBinderModel recommendBinderModel) {
        Intrinsics.checkNotNullParameter(recommendBinderModel, "t");
        RecommendModel recommendModel = recommendBinderModel.getRecommendModel();
        Intrinsics.checkNotNullExpressionValue(recommendModel, "t.recommendModel");
        p(recommendModel);
        if (r.r(f().getVideo_1_data())) {
            ((ConstraintLayout) this.itemView.findViewById(R.id.rootContainer)).setVisibility(8);
            return;
        }
        c().replaceAll(f().getVideo_1_data());
        ((TextView) this.itemView.findViewById(R.id.tvModelTitle)).setText(f().getTitle());
        ((TextView) this.itemView.findViewById(R.id.tvMore)).setText(f().getLink_copywriter());
    }
}
