package com.niming.weipa.ui.focus_on;

import android.app.Activity;
import android.os.Bundle;
import android.view.View;
import androidx.recyclerview.widget.RecyclerView;
import androidx.recyclerview.widget.StaggeredGridLayoutManager;
import com.alipay.sdk.util.j;
import com.blankj.utilcode.util.k0;
import com.blankj.utilcode.util.z0;
import com.niming.framework.b.g;
import com.niming.framework.net.Result;
import com.niming.framework.widget.XRefreshLayout;
import com.niming.weipa.R;
import com.niming.weipa.base.d;
import com.niming.weipa.g.c;
import com.niming.weipa.model.VideoInfo2;
import com.niming.weipa.ui.focus_on.activity.VideoDetailActivity;
import com.niming.weipa.ui.mine.adapter.r;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;
import kotlin.Metadata;
import kotlin.jvm.internal.DefaultConstructorMarker;
import kotlin.jvm.internal.Intrinsics;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

@Metadata(d1 = {"\u00002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0010\u000e\n\u0002\b\u0005\n\u0002\u0010\u0002\n\u0000\n\u0002\u0010\b\n\u0002\b\u0004\n\u0002\u0018\u0002\n\u0002\b\u0004\u0018\u0000 \u001a2\u00020\u0001:\u0001\u001aB\u0005¢\u0006\u0002\u0010\u0002J\u0006\u0010\u000f\u001a\u00020\u0010J\b\u0010\u0011\u001a\u00020\u0012H\u0016J\u0006\u0010\u0013\u001a\u00020\u0010J\b\u0010\u0014\u001a\u00020\u0010H\u0002J\u0012\u0010\u0015\u001a\u00020\u00102\b\u0010\u0016\u001a\u0004\u0018\u00010\u0017H\u0016J\u0012\u0010\u0018\u001a\u00020\u00102\b\u0010\u0019\u001a\u0004\u0018\u00010\u0017H\u0016R\u001c\u0010\u0003\u001a\u0004\u0018\u00010\u0004X\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u0005\u0010\u0006\"\u0004\b\u0007\u0010\bR\u001a\u0010\t\u001a\u00020\nX\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u000b\u0010\f\"\u0004\b\r\u0010\u000e¨\u0006\u001b"}, d2 = {"Lcom/niming/weipa/ui/focus_on/MoreTAVideoFragment;", "Lcom/niming/weipa/base/BaseFragment;", "()V", "adapter", "Lcom/niming/weipa/ui/mine/adapter/ProfileLikeOrUnLockAdapter;", "getAdapter", "()Lcom/niming/weipa/ui/mine/adapter/ProfileLikeOrUnLockAdapter;", "setAdapter", "(Lcom/niming/weipa/ui/mine/adapter/ProfileLikeOrUnLockAdapter;)V", "targetId", "", "getTargetId", "()Ljava/lang/String;", "setTargetId", "(Ljava/lang/String;)V", "getVideoInfo", "", "getViewRes", "", "initRecyclerView", "initRefreshLayout", "initView", "view", "Landroid/view/View;", "onClick", "v", "Companion", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* compiled from: MoreTAVideoFragment.kt */
public final class x extends d {
    @NotNull
    public static final a T0 = new a(null);
    @Nullable
    private r U0;
    @NotNull
    private String V0 = "";
    @NotNull
    public Map<Integer, View> W0 = new LinkedHashMap();

    @Metadata(d1 = {"\u0000\u0018\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u000e\n\u0000\b\u0003\u0018\u00002\u00020\u0001B\u0007\b\u0002¢\u0006\u0002\u0010\u0002J\u000e\u0010\u0003\u001a\u00020\u00042\u0006\u0010\u0005\u001a\u00020\u0006¨\u0006\u0007"}, d2 = {"Lcom/niming/weipa/ui/focus_on/MoreTAVideoFragment$Companion;", "", "()V", "newInstance", "Lcom/niming/weipa/ui/focus_on/MoreTAVideoFragment;", "targetId", "", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: MoreTAVideoFragment.kt */
    public static final class a {
        private a() {
        }

        public /* synthetic */ a(DefaultConstructorMarker defaultConstructorMarker) {
            this();
        }

        @NotNull
        public final x a(@NotNull String str) {
            Intrinsics.checkNotNullParameter(str, "targetId");
            Bundle bundle = new Bundle();
            bundle.putString("targetId", str);
            x xVar = new x();
            xVar.setArguments(bundle);
            return xVar;
        }
    }

    @Metadata(d1 = {"\u0000\u0017\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J\u0010\u0010\u0002\u001a\u00020\u00032\u0006\u0010\u0004\u001a\u00020\u0005H\u0014¨\u0006\u0006"}, d2 = {"com/niming/weipa/ui/focus_on/MoreTAVideoFragment$getVideoInfo$1", "Lcom/niming/weipa/net/AbsHttpCallback;", "onSuccess", "", j.f6041c, "Lcom/niming/framework/net/Result;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: MoreTAVideoFragment.kt */
    public static final class b extends com.niming.weipa.g.a {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ x f19644a;

        b(x xVar) {
            this.f19644a = xVar;
        }

        /* access modifiers changed from: protected */
        @Override // com.niming.weipa.g.a
        public void onSuccess(@NotNull Result result) {
            Intrinsics.checkNotNullParameter(result, j.f6041c);
            if (result.isOk()) {
                List a2 = g.a(result.getData(), VideoInfo2.class);
                if (a2 != null) {
                    if (((d) this.f19644a).P0 == 1) {
                        r k0 = this.f19644a.k0();
                        if (k0 != null) {
                            k0.replaceAll(a2);
                        }
                    } else {
                        r k02 = this.f19644a.k0();
                        if (k02 != null) {
                            k02.addAll(a2);
                        }
                        if (k0.o(a2)) {
                            x xVar = this.f19644a;
                            ((d) xVar).P0--;
                        }
                    }
                } else {
                    return;
                }
            }
            this.f19644a.setStatusComplete();
            x xVar2 = this.f19644a;
            int i = R.id.refresh_layout;
            if (((XRefreshLayout) xVar2.h0(i)) != null) {
                ((XRefreshLayout) this.f19644a.h0(i)).H();
                ((XRefreshLayout) this.f19644a.h0(i)).g();
            }
        }
    }

    /* access modifiers changed from: private */
    public static final void o0(x xVar, int i, int i2, int i3) {
        r rVar;
        List data;
        VideoInfo2 videoInfo2;
        Intrinsics.checkNotNullParameter(xVar, "this$0");
        if (!com.niming.framework.b.b.a().c() && (rVar = xVar.U0) != null && (data = rVar.getData()) != null && (videoInfo2 = (VideoInfo2) data.get(i)) != null) {
            VideoDetailActivity.a aVar = VideoDetailActivity.Q0;
            Activity activity = xVar.I0;
            Intrinsics.checkNotNullExpressionValue(activity, "activity");
            VideoDetailActivity.a.b(aVar, activity, videoInfo2, 0, 4, null);
        }
    }

    private final void p0() {
        int i = R.id.refresh_layout;
        ((XRefreshLayout) h0(i)).A(false);
        ((XRefreshLayout) h0(i)).h0(new g(this));
        ((XRefreshLayout) h0(i)).O(new i(this));
    }

    /* access modifiers changed from: private */
    public static final void q0(x xVar, com.scwang.smartrefresh.layout.b.j jVar) {
        Intrinsics.checkNotNullParameter(xVar, "this$0");
        Intrinsics.checkNotNullParameter(jVar, "it");
        xVar.P0 = 1;
        xVar.m0();
    }

    /* access modifiers changed from: private */
    public static final void r0(x xVar, com.scwang.smartrefresh.layout.b.j jVar) {
        Intrinsics.checkNotNullParameter(xVar, "this$0");
        Intrinsics.checkNotNullParameter(jVar, "it");
        xVar.P0++;
        xVar.m0();
    }

    public void f0() {
        this.W0.clear();
    }

    @Override // com.niming.framework.base.g
    public int getViewRes() {
        return com.hj.chen.new1126.R.layout.fragment_only_recycleview;
    }

    @Nullable
    public View h0(int i) {
        View findViewById;
        Map<Integer, View> map = this.W0;
        View view = map.get(Integer.valueOf(i));
        if (view != null) {
            return view;
        }
        View view2 = getView();
        if (view2 == null || (findViewById = view2.findViewById(i)) == null) {
            return null;
        }
        map.put(Integer.valueOf(i), findViewById);
        return findViewById;
    }

    @Override // com.niming.weipa.base.d, com.niming.framework.base.g
    public void j(@Nullable View view) {
        String string;
        super.j(view);
        Bundle arguments = getArguments();
        String str = "";
        if (!(arguments == null || (string = arguments.getString("targetId")) == null)) {
            str = string;
        }
        this.V0 = str;
        n0();
        p0();
        m0();
    }

    @Nullable
    public final r k0() {
        return this.U0;
    }

    @NotNull
    public final String l0() {
        return this.V0;
    }

    public final void m0() {
        c.c0().t0(this.P0, this.V0, new b(this));
    }

    public final void n0() {
        Activity activity = this.I0;
        Intrinsics.checkNotNullExpressionValue(activity, "activity");
        this.U0 = new r(activity);
        int i = R.id.recycler_view;
        ((RecyclerView) h0(i)).setAdapter(this.U0);
        ((RecyclerView) h0(i)).setLayoutManager(new StaggeredGridLayoutManager(2, 1));
        com.niming.weipa.widget.j jVar = new com.niming.weipa.widget.j(z0.b(6.0f));
        jVar.f(false);
        jVar.d(false);
        ((RecyclerView) h0(i)).addItemDecoration(jVar);
        r rVar = this.U0;
        if (rVar != null) {
            rVar.setOnItemClickListener(new h(this));
        }
    }

    public void onClick(@Nullable View view) {
    }

    @Override // com.niming.weipa.base.d, androidx.fragment.app.Fragment
    public /* synthetic */ void onDestroyView() {
        super.onDestroyView();
        f0();
    }

    public final void v0(@Nullable r rVar) {
        this.U0 = rVar;
    }

    public final void w0(@NotNull String str) {
        Intrinsics.checkNotNullParameter(str, "<set-?>");
        this.V0 = str;
    }
}
