package com.niming.weipa.ui.main;

import android.app.Activity;
import android.os.Bundle;
import android.view.View;
import android.widget.FrameLayout;
import android.widget.ImageView;
import android.widget.LinearLayout;
import androidx.core.app.NotificationCompat;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import com.alipay.sdk.util.j;
import com.blankj.utilcode.util.ToastUtils;
import com.chad.library.adapter.base.BaseQuickAdapter;
import com.niming.framework.b.g;
import com.niming.framework.net.Result;
import com.niming.framework.widget.XRefreshLayout;
import com.niming.weipa.R;
import com.niming.weipa.model.RefreshEvent;
import com.niming.weipa.model.UphostListBean;
import com.niming.weipa.model.VideoInfo2;
import com.niming.weipa.ui.focus_on.activity.VideoDetailActivity;
import com.niming.weipa.ui.main.FollowUpHostAct;
import com.niming.weipa.ui.mine.widget.CheckVideoTypeMenu;
import com.niming.weipa.ui.mine.widget.VideoRecyclerView;
import com.niming.weipa.utils.u;
import com.niming.weipa.utils.v;
import java.util.ArrayList;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;
import java.util.Objects;
import kotlin.Metadata;
import kotlin.Unit;
import kotlin.jvm.functions.Function1;
import kotlin.jvm.internal.DefaultConstructorMarker;
import kotlin.jvm.internal.Intrinsics;
import kotlin.jvm.internal.Lambda;
import org.greenrobot.eventbus.Subscribe;
import org.greenrobot.eventbus.ThreadMode;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

@Metadata(d1 = {"\u0000J\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0010\u000e\n\u0002\b\u0004\n\u0002\u0010\b\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0006\n\u0002\u0010\u0002\n\u0002\b\b\n\u0002\u0018\u0002\n\u0002\b\u0004\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010\u000b\n\u0002\b\u0003\u0018\u0000 +2\u00020\u0001:\u0001+B\u0005¢\u0006\u0002\u0010\u0002J\b\u0010\u0017\u001a\u00020\u0018H\u0002J\u0006\u0010\u0019\u001a\u00020\u0018J\b\u0010\u001a\u001a\u00020\u000fH\u0016J\b\u0010\u001b\u001a\u00020\u0018H\u0002J\b\u0010\u001c\u001a\u00020\u0018H\u0002J\b\u0010\u001d\u001a\u00020\u0018H\u0002J\b\u0010\u001e\u001a\u00020\u0018H\u0002J\u0012\u0010\u001f\u001a\u00020\u00182\b\u0010 \u001a\u0004\u0018\u00010!H\u0016J\u0012\u0010\"\u001a\u00020\u00182\b\u0010#\u001a\u0004\u0018\u00010!H\u0016J\u0010\u0010$\u001a\u00020\u00182\u0006\u0010%\u001a\u00020&H\u0007J\u0018\u0010'\u001a\u00020\u00182\u0006\u0010(\u001a\u00020)2\u0006\u0010*\u001a\u00020)H\u0016R\u001a\u0010\u0003\u001a\u00020\u0004X\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u0005\u0010\u0006\"\u0004\b\u0007\u0010\bR\u001a\u0010\t\u001a\u00020\nX\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\t\u0010\u000b\"\u0004\b\f\u0010\rR\u000e\u0010\u000e\u001a\u00020\u000fX\u000e¢\u0006\u0002\n\u0000R\u001a\u0010\u0010\u001a\u00020\u0011X\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u0012\u0010\u0013\"\u0004\b\u0014\u0010\u0015R\u000e\u0010\u0016\u001a\u00020\nX\u000e¢\u0006\u0002\n\u0000¨\u0006,"}, d2 = {"Lcom/niming/weipa/ui/main/FollowFragment;", "Lcom/niming/weipa/base/BaseFragment;", "()V", "httpCallback", "Lcom/niming/weipa/net/AbsHttpCallback;", "getHttpCallback", "()Lcom/niming/weipa/net/AbsHttpCallback;", "setHttpCallback", "(Lcom/niming/weipa/net/AbsHttpCallback;)V", "is_long", "", "()Ljava/lang/String;", "set_long", "(Ljava/lang/String;)V", "lastClickPos", "", "mAdapter", "Lcom/niming/weipa/ui/main/adapter/FollowListAdapter;", "getMAdapter", "()Lcom/niming/weipa/ui/main/adapter/FollowListAdapter;", "setMAdapter", "(Lcom/niming/weipa/ui/main/adapter/FollowListAdapter;)V", "uid", "followList", "", "getVideoInfo", "getViewRes", "initMenu", "initRecyclerView", "initRefreshLayout", "initTopAnchorRecyclerView", "initView", "view", "Landroid/view/View;", "onClick", "v", "onMessageEvent", NotificationCompat.r0, "Lcom/niming/weipa/model/RefreshEvent;", "onVisibleToUserChanged", "isVisibleToUser", "", "invokeInResumeOrPause", "Companion", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* compiled from: FollowFragment.kt */
public final class l extends com.niming.weipa.base.d {
    @NotNull
    public static final a T0 = new a(null);
    @NotNull
    private com.niming.weipa.ui.main.p.c U0 = new com.niming.weipa.ui.main.p.c();
    @NotNull
    private String V0 = "";
    private int W0 = -1;
    @NotNull
    private String X0 = "";
    @NotNull
    private com.niming.weipa.g.a Y0 = new c(this);
    @NotNull
    public Map<Integer, View> Z0 = new LinkedHashMap();

    @Metadata(d1 = {"\u0000\u0012\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\b\u0003\u0018\u00002\u00020\u0001B\u0007\b\u0002¢\u0006\u0002\u0010\u0002J\u0006\u0010\u0003\u001a\u00020\u0004¨\u0006\u0005"}, d2 = {"Lcom/niming/weipa/ui/main/FollowFragment$Companion;", "", "()V", "newInstance", "Lcom/niming/weipa/ui/main/FollowFragment;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: FollowFragment.kt */
    public static final class a {
        private a() {
        }

        public /* synthetic */ a(DefaultConstructorMarker defaultConstructorMarker) {
            this();
        }

        @NotNull
        public final l a() {
            Bundle bundle = new Bundle();
            l lVar = new l();
            lVar.setArguments(bundle);
            return lVar;
        }
    }

    @Metadata(d1 = {"\u0000\u0017\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J\u0010\u0010\u0002\u001a\u00020\u00032\u0006\u0010\u0004\u001a\u00020\u0005H\u0014¨\u0006\u0006"}, d2 = {"com/niming/weipa/ui/main/FollowFragment$followList$1", "Lcom/niming/weipa/net/AbsHttpCallback;", "onSuccess", "", j.f6041c, "Lcom/niming/framework/net/Result;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: FollowFragment.kt */
    public static final class b extends com.niming.weipa.g.a {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ l f19830a;

        b(l lVar) {
            this.f19830a = lVar;
        }

        /* access modifiers changed from: protected */
        @Override // com.niming.weipa.g.a
        public void onSuccess(@NotNull Result result) {
            Intrinsics.checkNotNullParameter(result, j.f6041c);
            if (result.isOk()) {
                List a2 = g.a(result.getDataStr("list"), UphostListBean.class);
                if (a2.isEmpty()) {
                    FrameLayout frameLayout = (FrameLayout) this.f19830a.h0(R.id.follow_head);
                    if (frameLayout != null) {
                        frameLayout.setVisibility(8);
                    }
                    ((XRefreshLayout) this.f19830a.h0(R.id.refreshLayout)).setVisibility(8);
                    ((CheckVideoTypeMenu) this.f19830a.h0(R.id.checkVideoTypeMenu)).setVisibility(8);
                    ((LinearLayout) this.f19830a.h0(R.id.ll_error)).setVisibility(0);
                    return;
                }
                FrameLayout frameLayout2 = (FrameLayout) this.f19830a.h0(R.id.follow_head);
                if (frameLayout2 != null) {
                    frameLayout2.setVisibility(0);
                }
                ((XRefreshLayout) this.f19830a.h0(R.id.refreshLayout)).setVisibility(0);
                ((CheckVideoTypeMenu) this.f19830a.h0(R.id.checkVideoTypeMenu)).setVisibility(0);
                ((LinearLayout) this.f19830a.h0(R.id.ll_error)).setVisibility(8);
                this.f19830a.n0().s1(a2);
                return;
            }
            ToastUtils.W(result.getMessage(), new Object[0]);
        }
    }

    @Metadata(d1 = {"\u0000\u0019\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J\b\u0010\u0002\u001a\u00020\u0003H\u0016J\u0010\u0010\u0004\u001a\u00020\u00032\u0006\u0010\u0005\u001a\u00020\u0006H\u0014¨\u0006\u0007"}, d2 = {"com/niming/weipa/ui/main/FollowFragment$httpCallback$1", "Lcom/niming/weipa/net/AbsHttpCallback;", "onFinish", "", "onSuccess", j.f6041c, "Lcom/niming/framework/net/Result;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: FollowFragment.kt */
    public static final class c extends com.niming.weipa.g.a {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ l f19831a;

        c(l lVar) {
            this.f19831a = lVar;
        }

        @Override // com.lzy.okgo.d.c, com.lzy.okgo.d.a, com.niming.weipa.g.a
        public void onFinish() {
            super.onFinish();
            this.f19831a.S();
            this.f19831a.setStatusComplete();
            l lVar = this.f19831a;
            int i = R.id.refreshLayout;
            XRefreshLayout xRefreshLayout = (XRefreshLayout) lVar.h0(i);
            if (xRefreshLayout != null) {
                xRefreshLayout.H();
            }
            XRefreshLayout xRefreshLayout2 = (XRefreshLayout) this.f19831a.h0(i);
            if (xRefreshLayout2 != null) {
                xRefreshLayout2.g();
            }
        }

        /* access modifiers changed from: protected */
        @Override // com.niming.weipa.g.a
        public void onSuccess(@NotNull Result result) {
            Intrinsics.checkNotNullParameter(result, j.f6041c);
            if (result.isOk()) {
                List a2 = g.a(result.getData(), VideoInfo2.class);
                if (((com.niming.weipa.base.d) this.f19831a).P0 == 1) {
                    VideoRecyclerView videoRecyclerView = (VideoRecyclerView) this.f19831a.h0(R.id.videoRecyclerView);
                    if (videoRecyclerView != null) {
                        Intrinsics.checkNotNullExpressionValue(a2, "videoInfos");
                        VideoRecyclerView.j(videoRecyclerView, a2, false, 2, null);
                    }
                } else if (a2.size() == 0) {
                    l lVar = this.f19831a;
                    ((com.niming.weipa.base.d) lVar).P0--;
                } else {
                    VideoRecyclerView videoRecyclerView2 = (VideoRecyclerView) this.f19831a.h0(R.id.videoRecyclerView);
                    if (videoRecyclerView2 != null) {
                        Intrinsics.checkNotNullExpressionValue(a2, "videoInfos");
                        VideoRecyclerView.d(videoRecyclerView2, a2, false, 2, null);
                    }
                }
            }
        }
    }

    /* access modifiers changed from: package-private */
    @Metadata(d1 = {"\u0000\u000e\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0010\u000e\n\u0000\u0010\u0000\u001a\u00020\u00012\u0006\u0010\u0002\u001a\u00020\u0003H\n¢\u0006\u0002\b\u0004"}, d2 = {"<anonymous>", "", "it", "", "invoke"}, k = 3, mv = {1, 6, 0}, xi = 48)
    /* compiled from: FollowFragment.kt */
    public static final class d extends Lambda implements Function1<String, Unit> {
        final /* synthetic */ ArrayList<String> $menuData;
        final /* synthetic */ l this$0;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        d(l lVar, ArrayList<String> arrayList) {
            super(1);
            this.this$0 = lVar;
            this.$menuData = arrayList;
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // kotlin.jvm.functions.Function1
        public /* bridge */ /* synthetic */ Unit invoke(String str) {
            invoke(str);
            return Unit.INSTANCE;
        }

        public final void invoke(@NotNull String str) {
            Intrinsics.checkNotNullParameter(str, "it");
            ((com.niming.weipa.base.d) this.this$0).P0 = 1;
            if (Intrinsics.areEqual(str, this.$menuData.get(0))) {
                this.this$0.D0("");
                this.this$0.o0();
            } else if (Intrinsics.areEqual(str, this.$menuData.get(1))) {
                this.this$0.D0("1");
                this.this$0.o0();
            } else if (Intrinsics.areEqual(str, this.$menuData.get(2))) {
                this.this$0.D0("0");
                this.this$0.o0();
            }
            ((VideoRecyclerView) this.this$0.h0(R.id.videoRecyclerView)).getRecyclerView().scrollToPosition(0);
        }
    }

    @Metadata(d1 = {"\u0000!\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0010\b\n\u0000\n\u0002\u0010 \n\u0002\u0018\u0002\n\u0000*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J\u001e\u0010\u0002\u001a\u00020\u00032\u0006\u0010\u0004\u001a\u00020\u00052\f\u0010\u0006\u001a\b\u0012\u0004\u0012\u00020\b0\u0007H\u0016¨\u0006\t"}, d2 = {"com/niming/weipa/ui/main/FollowFragment$initRecyclerView$1", "Lcom/niming/weipa/ui/mine/widget/VideoRecyclerView$OnItemClickListener;", "onItemClickListener", "", "position", "", "datas", "", "Lcom/niming/weipa/model/VideoInfo2;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: FollowFragment.kt */
    public static final class e implements VideoRecyclerView.a {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ l f19832a;

        e(l lVar) {
            this.f19832a = lVar;
        }

        @Override // com.niming.weipa.ui.mine.widget.VideoRecyclerView.a
        public void a(int i, @NotNull List<? extends VideoInfo2> list) {
            Intrinsics.checkNotNullParameter(list, "datas");
            VideoInfo2 videoInfo2 = (VideoInfo2) list.get(i);
            if (videoInfo2.getIs_long() == 1) {
                VideoDetailActivity.a aVar = VideoDetailActivity.Q0;
                Activity activity = ((com.niming.framework.base.b) this.f19832a).I0;
                Intrinsics.checkNotNullExpressionValue(activity, "activity");
                VideoDetailActivity.a.b(aVar, activity, videoInfo2, 0, 4, null);
            }
        }
    }

    @Metadata(d1 = {"\u0000\u0010\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\u0010\u0000\u001a\u00020\u00012\u000e\u0010\u0002\u001a\n \u0004*\u0004\u0018\u00010\u00030\u0003H\n¢\u0006\u0002\b\u0005"}, d2 = {"<anonymous>", "", "it", "Landroid/widget/ImageView;", "kotlin.jvm.PlatformType", "invoke"}, k = 3, mv = {1, 6, 0}, xi = 48)
    /* compiled from: FollowFragment.kt */
    static final class f extends Lambda implements Function1<ImageView, Unit> {
        final /* synthetic */ l this$0;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        f(l lVar) {
            super(1);
            this.this$0 = lVar;
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // kotlin.jvm.functions.Function1
        public /* bridge */ /* synthetic */ Unit invoke(ImageView imageView) {
            invoke(imageView);
            return Unit.INSTANCE;
        }

        public final void invoke(ImageView imageView) {
            FollowUpHostAct.a aVar = FollowUpHostAct.f19803a;
            Activity activity = ((com.niming.framework.base.b) this.this$0).I0;
            Intrinsics.checkNotNullExpressionValue(activity, "activity");
            aVar.a(activity);
        }
    }

    private final void l0() {
        com.niming.weipa.g.c.c0().P0(1, "favorite", "1", new b(this));
    }

    private final void p0() {
        ArrayList<String> b2 = v.b("全部", "长视频", "短视频");
        ((CheckVideoTypeMenu) h0(R.id.checkVideoTypeMenu)).k("", b2, new d(this, b2));
    }

    private final void q0() {
        ((VideoRecyclerView) h0(R.id.videoRecyclerView)).setOnItemClickListener1(new e(this));
    }

    private final void r0() {
        int i = R.id.refreshLayout;
        ((XRefreshLayout) h0(i)).h0(new b(this));
        ((XRefreshLayout) h0(i)).O(new a(this));
    }

    /* access modifiers changed from: private */
    public static final void s0(l lVar, com.scwang.smartrefresh.layout.b.j jVar) {
        Intrinsics.checkNotNullParameter(lVar, "this$0");
        Intrinsics.checkNotNullParameter(jVar, "it");
        lVar.P0 = 1;
        lVar.o0();
    }

    /* access modifiers changed from: private */
    public static final void t0(l lVar, com.scwang.smartrefresh.layout.b.j jVar) {
        Intrinsics.checkNotNullParameter(lVar, "this$0");
        Intrinsics.checkNotNullParameter(jVar, "it");
        lVar.P0++;
        lVar.o0();
    }

    private final void u0() {
        int i = R.id.rvFocusOn;
        ((RecyclerView) h0(i)).setAdapter(this.U0);
        ((RecyclerView) h0(i)).setLayoutManager(new LinearLayoutManager(getContext(), 0, false));
        ((RecyclerView) h0(i)).setHasFixedSize(true);
        this.U0.m(new c(this));
    }

    /* access modifiers changed from: private */
    public static final void v0(l lVar, BaseQuickAdapter baseQuickAdapter, View view, int i) {
        Intrinsics.checkNotNullParameter(lVar, "this$0");
        Intrinsics.checkNotNullParameter(baseQuickAdapter, "adapter");
        Intrinsics.checkNotNullParameter(view, "view");
        if (!com.niming.framework.b.b.a().c()) {
            int i2 = lVar.W0;
            if (i2 == i) {
                Object obj = baseQuickAdapter.getData().get(i);
                Objects.requireNonNull(obj, "null cannot be cast to non-null type com.niming.weipa.model.UphostListBean");
                if (((UphostListBean) obj).isSelected()) {
                    ((UphostListBean) lVar.U0.getData().get(i)).setSelected(false);
                    lVar.X0 = "";
                } else {
                    ((UphostListBean) lVar.U0.getData().get(i)).setSelected(true);
                    Object obj2 = baseQuickAdapter.getData().get(i);
                    Objects.requireNonNull(obj2, "null cannot be cast to non-null type com.niming.weipa.model.UphostListBean");
                    String code = ((UphostListBean) obj2).getCode();
                    Intrinsics.checkNotNullExpressionValue(code, "adapter.data[position] as UphostListBean).code");
                    lVar.X0 = code;
                }
                baseQuickAdapter.notifyItemChanged(i);
            } else {
                if (i2 != -1) {
                    ((UphostListBean) lVar.U0.getData().get(lVar.W0)).setSelected(false);
                }
                ((UphostListBean) lVar.U0.getData().get(i)).setSelected(true);
                String code2 = ((UphostListBean) lVar.U0.getData().get(i)).getCode();
                Intrinsics.checkNotNullExpressionValue(code2, "mAdapter.data[position].code");
                lVar.X0 = code2;
                baseQuickAdapter.notifyDataSetChanged();
                lVar.W0 = i;
            }
            lVar.o0();
        }
    }

    @Subscribe(threadMode = ThreadMode.MAIN)
    public final void A0(@NotNull RefreshEvent refreshEvent) {
        Intrinsics.checkNotNullParameter(refreshEvent, NotificationCompat.r0);
        if (refreshEvent.isCode(33)) {
            l0();
            o0();
        }
    }

    public final void B0(@NotNull com.niming.weipa.g.a aVar) {
        Intrinsics.checkNotNullParameter(aVar, "<set-?>");
        this.Y0 = aVar;
    }

    public final void C0(@NotNull com.niming.weipa.ui.main.p.c cVar) {
        Intrinsics.checkNotNullParameter(cVar, "<set-?>");
        this.U0 = cVar;
    }

    public final void D0(@NotNull String str) {
        Intrinsics.checkNotNullParameter(str, "<set-?>");
        this.V0 = str;
    }

    @Override // com.niming.framework.base.b, com.niming.framework.base.e.b
    public void a(boolean z, boolean z2) {
        super.a(z, z2);
        if (!z) {
            com.lzy.okgo.b.f(com.lzy.okgo.b.p().q(), "relationList");
            com.lzy.okgo.b.f(com.lzy.okgo.b.p().q(), "videoAttention");
        }
    }

    public void f0() {
        this.Z0.clear();
    }

    @Override // com.niming.framework.base.g
    public int getViewRes() {
        return com.hj.chen.new1126.R.layout.fragment_follow;
    }

    @Nullable
    public View h0(int i) {
        View findViewById;
        Map<Integer, View> map = this.Z0;
        View view = map.get(Integer.valueOf(i));
        if (view != null) {
            return view;
        }
        View view2 = getView();
        if (view2 == null || (findViewById = view2.findViewById(i)) == null) {
            return null;
        }
        map.put(Integer.valueOf(i), findViewById);
        return findViewById;
    }

    @Override // com.niming.weipa.base.d, com.niming.framework.base.g
    public void j(@Nullable View view) {
        super.j(view);
        r0();
        q0();
        u0();
        p0();
        setStatusLoading((XRefreshLayout) h0(R.id.refreshLayout));
        u.f((ImageView) h0(R.id.iv_more), 0, new f(this), 1, null);
        l0();
        o0();
    }

    @NotNull
    public final com.niming.weipa.g.a m0() {
        return this.Y0;
    }

    @NotNull
    public final com.niming.weipa.ui.main.p.c n0() {
        return this.U0;
    }

    public final void o0() {
        d0();
        com.niming.weipa.g.c.c0().m2(this.V0, this.P0, this.X0, this.Y0);
    }

    public void onClick(@Nullable View view) {
    }

    @Override // com.niming.weipa.base.d, androidx.fragment.app.Fragment
    public /* synthetic */ void onDestroyView() {
        super.onDestroyView();
        f0();
    }

    @NotNull
    public final String w0() {
        return this.V0;
    }
}
