package com.niming.weipa.ui.main;

import android.app.Activity;
import android.os.Bundle;
import android.view.View;
import android.widget.ImageView;
import androidx.recyclerview.widget.GridLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import com.alipay.sdk.util.j;
import com.blankj.utilcode.util.k0;
import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.viewholder.BaseViewHolder;
import com.niming.framework.b.g;
import com.niming.framework.net.Result;
import com.niming.framework.widget.XRefreshLayout;
import com.niming.weipa.R;
import com.niming.weipa.model.VideoInfo2;
import com.niming.weipa.ui.focus_on.activity.VideoDetailActivity;
import com.niming.weipa.widget.f;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;
import java.util.Objects;
import kotlin.Lazy;
import kotlin.LazyKt__LazyJVMKt;
import kotlin.Metadata;
import kotlin.jvm.functions.Function0;
import kotlin.jvm.internal.DefaultConstructorMarker;
import kotlin.jvm.internal.Intrinsics;
import kotlin.jvm.internal.Lambda;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

@Metadata(d1 = {"\u00003\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\b\u0003\n\u0002\u0010\u000e\n\u0002\b\u0005\n\u0002\u0010\b\n\u0002\b\u0004\n\u0002\u0010\u0002\n\u0002\b\u0005\n\u0002\u0018\u0002\n\u0002\b\u0004*\u0001\u0004\u0018\u0000 \u001b2\u00020\u0001:\u0001\u001bB\u0005¢\u0006\u0002\u0010\u0002J\b\u0010\u0011\u001a\u00020\u0012H\u0002J\b\u0010\u0013\u001a\u00020\rH\u0016J\u0006\u0010\u0014\u001a\u00020\u0012J\b\u0010\u0015\u001a\u00020\u0012H\u0002J\u0012\u0010\u0016\u001a\u00020\u00122\b\u0010\u0017\u001a\u0004\u0018\u00010\u0018H\u0016J\u0012\u0010\u0019\u001a\u00020\u00122\b\u0010\u001a\u001a\u0004\u0018\u00010\u0018H\u0016R\u0010\u0010\u0003\u001a\u00020\u0004X\u000e¢\u0006\u0004\n\u0002\u0010\u0005R\u001d\u0010\u0006\u001a\u0004\u0018\u00010\u00078BX\u0002¢\u0006\f\n\u0004\b\n\u0010\u000b\u001a\u0004\b\b\u0010\tR\u001b\u0010\f\u001a\u00020\r8BX\u0002¢\u0006\f\n\u0004\b\u0010\u0010\u000b\u001a\u0004\b\u000e\u0010\u000f¨\u0006\u001c"}, d2 = {"Lcom/niming/weipa/ui/main/TagVideoFragment;", "Lcom/niming/weipa/base/BaseFragment;", "()V", "mVideoAdapter", "com/niming/weipa/ui/main/TagVideoFragment$mVideoAdapter$1", "Lcom/niming/weipa/ui/main/TagVideoFragment$mVideoAdapter$1;", o.V0, "", "getOrder", "()Ljava/lang/String;", "order$delegate", "Lkotlin/Lazy;", "tagId", "", "getTagId", "()I", "tagId$delegate", "getVideoInfo", "", "getViewRes", "initRecyclerView", "initRefreshLayout", "initView", "view", "Landroid/view/View;", "onClick", "v", "Companion", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* compiled from: TagVideoFragment.kt */
public final class o extends com.niming.weipa.base.d {
    @NotNull
    public static final a T0 = new a(null);
    @NotNull
    public static final String U0 = "tagID";
    @NotNull
    public static final String V0 = "order";
    @NotNull
    private c W0;
    @NotNull
    private final Lazy X0 = LazyKt__LazyJVMKt.lazy(new e(this));
    @NotNull
    private final Lazy Y0 = LazyKt__LazyJVMKt.lazy(new d(this));
    @NotNull
    public Map<Integer, View> Z0 = new LinkedHashMap();

    @Metadata(d1 = {"\u0000\"\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\b\u0002\n\u0002\u0010\u000e\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\b\n\u0002\b\u0002\b\u0003\u0018\u00002\u00020\u0001B\u0007\b\u0002¢\u0006\u0002\u0010\u0002J\u0016\u0010\u0006\u001a\u00020\u00072\u0006\u0010\b\u001a\u00020\t2\u0006\u0010\n\u001a\u00020\u0004R\u000e\u0010\u0003\u001a\u00020\u0004XT¢\u0006\u0002\n\u0000R\u000e\u0010\u0005\u001a\u00020\u0004XT¢\u0006\u0002\n\u0000¨\u0006\u000b"}, d2 = {"Lcom/niming/weipa/ui/main/TagVideoFragment$Companion;", "", "()V", "KEY", "", "KEY1", "newInstance", "Lcom/niming/weipa/ui/main/TagVideoFragment;", "tagId", "", o.V0, "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: TagVideoFragment.kt */
    public static final class a {
        private a() {
        }

        public /* synthetic */ a(DefaultConstructorMarker defaultConstructorMarker) {
            this();
        }

        @NotNull
        public final o a(int i, @NotNull String str) {
            Intrinsics.checkNotNullParameter(str, o.V0);
            Bundle bundle = new Bundle();
            bundle.putInt("tagID", i);
            bundle.putString(o.V0, str);
            o oVar = new o();
            oVar.setArguments(bundle);
            return oVar;
        }
    }

    @Metadata(d1 = {"\u0000\u0017\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J\u0010\u0010\u0002\u001a\u00020\u00032\u0006\u0010\u0004\u001a\u00020\u0005H\u0014¨\u0006\u0006"}, d2 = {"com/niming/weipa/ui/main/TagVideoFragment$getVideoInfo$1", "Lcom/niming/weipa/net/AbsHttpCallback;", "onSuccess", "", j.f6041c, "Lcom/niming/framework/net/Result;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: TagVideoFragment.kt */
    public static final class b extends com.niming.weipa.g.a {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ o f19834a;

        b(o oVar) {
            this.f19834a = oVar;
        }

        /* access modifiers changed from: protected */
        @Override // com.niming.weipa.g.a
        public void onSuccess(@NotNull Result result) {
            Intrinsics.checkNotNullParameter(result, j.f6041c);
            if (result.isOk()) {
                List a2 = g.a(result.getData(), VideoInfo2.class);
                if (a2 != null) {
                    if (((com.niming.weipa.base.d) this.f19834a).P0 == 1) {
                        this.f19834a.W0.s1(a2);
                    } else {
                        this.f19834a.W0.B(a2);
                        if (k0.o(a2)) {
                            o oVar = this.f19834a;
                            ((com.niming.weipa.base.d) oVar).P0--;
                        }
                    }
                } else {
                    return;
                }
            }
            this.f19834a.setStatusComplete();
            o oVar2 = this.f19834a;
            int i = R.id.refresh_layout;
            if (((XRefreshLayout) oVar2.h0(i)) != null) {
                ((XRefreshLayout) this.f19834a.h0(i)).H();
                ((XRefreshLayout) this.f19834a.h0(i)).g();
            }
        }
    }

    @Metadata(d1 = {"\u0000\u001b\n\u0000\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0002\b\u0003*\u0001\u0000\b\n\u0018\u00002\u000e\u0012\u0004\u0012\u00020\u0002\u0012\u0004\u0012\u00020\u00030\u0001J\u0018\u0010\u0004\u001a\u00020\u00052\u0006\u0010\u0006\u001a\u00020\u00032\u0006\u0010\u0007\u001a\u00020\u0002H\u0014¨\u0006\b"}, d2 = {"com/niming/weipa/ui/main/TagVideoFragment$mVideoAdapter$1", "Lcom/chad/library/adapter/base/BaseQuickAdapter;", "Lcom/niming/weipa/model/VideoInfo2;", "Lcom/chad/library/adapter/base/viewholder/BaseViewHolder;", "convert", "", "holder", "item", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: TagVideoFragment.kt */
    public static final class c extends BaseQuickAdapter<VideoInfo2, BaseViewHolder> {
        c() {
            super(com.hj.chen.new1126.R.layout.item_video_tag, null, 2, null);
        }

        /* access modifiers changed from: protected */
        /* renamed from: G1 */
        public void N(@NotNull BaseViewHolder baseViewHolder, @NotNull VideoInfo2 videoInfo2) {
            Intrinsics.checkNotNullParameter(baseViewHolder, "holder");
            Intrinsics.checkNotNullParameter(videoInfo2, "item");
            baseViewHolder.setText(com.hj.chen.new1126.R.id.tv_title, videoInfo2.getTitle());
            baseViewHolder.setText(com.hj.chen.new1126.R.id.tvDuration, com.shuyu.gsyvideoplayer.k.b.r(videoInfo2.getDuration()));
            baseViewHolder.setText(com.hj.chen.new1126.R.id.tv_play_num, Intrinsics.stringPlus(com.niming.weipa.utils.k0.a(String.valueOf(videoInfo2.getPlay() < 0 ? 0 : videoInfo2.getPlay())), "播放"));
            com.niming.weipa.e.b.k(getContext(), videoInfo2.getCover(), (ImageView) baseViewHolder.getView(com.hj.chen.new1126.R.id.iv_cover));
        }
    }

    @Metadata(d1 = {"\u0000\b\n\u0000\n\u0002\u0010\u000e\n\u0000\u0010\u0000\u001a\u0004\u0018\u00010\u0001H\n¢\u0006\u0002\b\u0002"}, d2 = {"<anonymous>", "", "invoke"}, k = 3, mv = {1, 6, 0}, xi = 48)
    /* compiled from: TagVideoFragment.kt */
    static final class d extends Lambda implements Function0<String> {
        final /* synthetic */ o this$0;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        d(o oVar) {
            super(0);
            this.this$0 = oVar;
        }

        @Nullable
        /* renamed from: a */
        public final String invoke() {
            Bundle arguments = this.this$0.getArguments();
            if (arguments == null) {
                return null;
            }
            return arguments.getString(o.V0, "online_at");
        }
    }

    @Metadata(d1 = {"\u0000\n\n\u0000\n\u0002\u0010\b\n\u0002\b\u0002\u0010\u0000\u001a\u00020\u0001H\n¢\u0006\u0004\b\u0002\u0010\u0003"}, d2 = {"<anonymous>", "", "invoke", "()Ljava/lang/Integer;"}, k = 3, mv = {1, 6, 0}, xi = 48)
    /* compiled from: TagVideoFragment.kt */
    static final class e extends Lambda implements Function0<Integer> {
        final /* synthetic */ o this$0;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        e(o oVar) {
            super(0);
            this.this$0 = oVar;
        }

        @NotNull
        /* renamed from: a */
        public final Integer invoke() {
            Bundle arguments = this.this$0.getArguments();
            int i = 0;
            if (arguments != null) {
                i = arguments.getInt("tagID", 0);
            }
            return Integer.valueOf(i);
        }
    }

    public o() {
        c cVar = new c();
        cVar.m(new i(this));
        this.W0 = cVar;
    }

    private final String l0() {
        return (String) this.Y0.getValue();
    }

    private final int m0() {
        return ((Number) this.X0.getValue()).intValue();
    }

    private final void n0() {
        com.niming.weipa.g.c.c0().O1(m0(), this.P0, l0(), new b(this));
    }

    private final void p0() {
        int i = R.id.refresh_layout;
        ((XRefreshLayout) h0(i)).h0(new j(this));
        ((XRefreshLayout) h0(i)).O(new k(this));
    }

    /* access modifiers changed from: private */
    public static final void q0(o oVar, com.scwang.smartrefresh.layout.b.j jVar) {
        Intrinsics.checkNotNullParameter(oVar, "this$0");
        Intrinsics.checkNotNullParameter(jVar, "it");
        oVar.P0 = 1;
        oVar.n0();
    }

    /* access modifiers changed from: private */
    public static final void r0(o oVar, com.scwang.smartrefresh.layout.b.j jVar) {
        Intrinsics.checkNotNullParameter(oVar, "this$0");
        Intrinsics.checkNotNullParameter(jVar, "it");
        oVar.P0++;
        oVar.n0();
    }

    /* access modifiers changed from: private */
    public static final void v0(o oVar, BaseQuickAdapter baseQuickAdapter, View view, int i) {
        Intrinsics.checkNotNullParameter(oVar, "this$0");
        Intrinsics.checkNotNullParameter(baseQuickAdapter, "adapter");
        Intrinsics.checkNotNullParameter(view, "view");
        if (!com.niming.framework.b.b.a().c()) {
            Object obj = baseQuickAdapter.getData().get(i);
            Objects.requireNonNull(obj, "null cannot be cast to non-null type com.niming.weipa.model.VideoInfo2");
            VideoDetailActivity.a aVar = VideoDetailActivity.Q0;
            Activity activity = oVar.I0;
            Intrinsics.checkNotNullExpressionValue(activity, "activity");
            VideoDetailActivity.a.b(aVar, activity, (VideoInfo2) obj, 0, 4, null);
        }
    }

    public void f0() {
        this.Z0.clear();
    }

    @Override // com.niming.framework.base.g
    public int getViewRes() {
        return com.hj.chen.new1126.R.layout.frg_tag_video;
    }

    @Nullable
    public View h0(int i) {
        View findViewById;
        Map<Integer, View> map = this.Z0;
        View view = map.get(Integer.valueOf(i));
        if (view != null) {
            return view;
        }
        View view2 = getView();
        if (view2 == null || (findViewById = view2.findViewById(i)) == null) {
            return null;
        }
        map.put(Integer.valueOf(i), findViewById);
        return findViewById;
    }

    @Override // com.niming.weipa.base.d, com.niming.framework.base.g
    public void j(@Nullable View view) {
        super.j(view);
        o0();
        p0();
        n0();
    }

    public final void o0() {
        int i = R.id.recycler_view;
        ((RecyclerView) h0(i)).setAdapter(this.W0);
        ((RecyclerView) h0(i)).setLayoutManager(new GridLayoutManager(this.I0, 2));
        if (((RecyclerView) h0(i)).getItemDecorationCount() == 0) {
            ((RecyclerView) h0(i)).addItemDecoration(new f.a(getContext()).b(com.hj.chen.new1126.R.color.transparent).d(c.d.a.a.j.b.a(getContext(), 10.0f)).k(c.d.a.a.j.b.a(getContext(), 10.0f)).e(false).g(false).h(false).a());
        }
    }

    public void onClick(@Nullable View view) {
    }

    @Override // com.niming.weipa.base.d, androidx.fragment.app.Fragment
    public /* synthetic */ void onDestroyView() {
        super.onDestroyView();
        f0();
    }
}
