package com.niming.weipa.ui.mine.model;

import androidx.annotation.Keep;
import com.ibm.icu.text.PluralRules;
import kotlin.Metadata;
import kotlin.jvm.internal.Intrinsics;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

@Keep
@Metadata(d1 = {"\u0000\u001e\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0000\n\u0002\u0010\u000e\n\u0000\n\u0002\u0010\b\n\u0000\n\u0002\u0010\u000b\n\u0002\b\u0017\b\b\u0018\u00002\u00020\u0001B%\u0012\u0006\u0010\u0002\u001a\u00020\u0003\u0012\u0006\u0010\u0004\u001a\u00020\u0005\u0012\u0006\u0010\u0006\u001a\u00020\u0007\u0012\u0006\u0010\b\u001a\u00020\u0003¢\u0006\u0002\u0010\tJ\t\u0010\u0015\u001a\u00020\u0003HÆ\u0003J\t\u0010\u0016\u001a\u00020\u0005HÆ\u0003J\t\u0010\u0017\u001a\u00020\u0007HÆ\u0003J\t\u0010\u0018\u001a\u00020\u0003HÆ\u0003J1\u0010\u0019\u001a\u00020\u00002\b\b\u0002\u0010\u0002\u001a\u00020\u00032\b\b\u0002\u0010\u0004\u001a\u00020\u00052\b\b\u0002\u0010\u0006\u001a\u00020\u00072\b\b\u0002\u0010\b\u001a\u00020\u0003HÆ\u0001J\u0013\u0010\u001a\u001a\u00020\u00072\b\u0010\u001b\u001a\u0004\u0018\u00010\u0001HÖ\u0003J\t\u0010\u001c\u001a\u00020\u0005HÖ\u0001J\t\u0010\u001d\u001a\u00020\u0003HÖ\u0001R\u001a\u0010\b\u001a\u00020\u0003X\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\n\u0010\u000b\"\u0004\b\f\u0010\rR\u0011\u0010\u0004\u001a\u00020\u0005¢\u0006\b\n\u0000\u001a\u0004\b\u000e\u0010\u000fR\u0011\u0010\u0002\u001a\u00020\u0003¢\u0006\b\n\u0000\u001a\u0004\b\u0010\u0010\u000bR\u001a\u0010\u0006\u001a\u00020\u0007X\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u0011\u0010\u0012\"\u0004\b\u0013\u0010\u0014¨\u0006\u001e"}, d2 = {"Lcom/niming/weipa/ui/mine/model/AppDetailData;", "", "name", "", "icon", "", "selected", "", "cls", "(Ljava/lang/String;IZLjava/lang/String;)V", "getCls", "()Ljava/lang/String;", "setCls", "(Ljava/lang/String;)V", "getIcon", "()I", "getName", "getSelected", "()Z", "setSelected", "(Z)V", "component1", "component2", "component3", "component4", "copy", "equals", PluralRules.KEYWORD_OTHER, "hashCode", "toString", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* compiled from: AppDetailData.kt */
public final class AppDetailData {
    @NotNull
    private String cls;
    private final int icon;
    @NotNull
    private final String name;
    private boolean selected;

    public AppDetailData(@NotNull String str, int i, boolean z, @NotNull String str2) {
        Intrinsics.checkNotNullParameter(str, "name");
        Intrinsics.checkNotNullParameter(str2, "cls");
        this.name = str;
        this.icon = i;
        this.selected = z;
        this.cls = str2;
    }

    public static /* synthetic */ AppDetailData copy$default(AppDetailData appDetailData, String str, int i, boolean z, String str2, int i2, Object obj) {
        if ((i2 & 1) != 0) {
            str = appDetailData.name;
        }
        if ((i2 & 2) != 0) {
            i = appDetailData.icon;
        }
        if ((i2 & 4) != 0) {
            z = appDetailData.selected;
        }
        if ((i2 & 8) != 0) {
            str2 = appDetailData.cls;
        }
        return appDetailData.copy(str, i, z, str2);
    }

    @NotNull
    public final String component1() {
        return this.name;
    }

    public final int component2() {
        return this.icon;
    }

    public final boolean component3() {
        return this.selected;
    }

    @NotNull
    public final String component4() {
        return this.cls;
    }

    @NotNull
    public final AppDetailData copy(@NotNull String str, int i, boolean z, @NotNull String str2) {
        Intrinsics.checkNotNullParameter(str, "name");
        Intrinsics.checkNotNullParameter(str2, "cls");
        return new AppDetailData(str, i, z, str2);
    }

    public boolean equals(@Nullable Object obj) {
        if (this == obj) {
            return true;
        }
        if (!(obj instanceof AppDetailData)) {
            return false;
        }
        AppDetailData appDetailData = (AppDetailData) obj;
        return Intrinsics.areEqual(this.name, appDetailData.name) && this.icon == appDetailData.icon && this.selected == appDetailData.selected && Intrinsics.areEqual(this.cls, appDetailData.cls);
    }

    @NotNull
    public final String getCls() {
        return this.cls;
    }

    public final int getIcon() {
        return this.icon;
    }

    @NotNull
    public final String getName() {
        return this.name;
    }

    public final boolean getSelected() {
        return this.selected;
    }

    public int hashCode() {
        int hashCode = ((this.name.hashCode() * 31) + this.icon) * 31;
        boolean z = this.selected;
        if (z) {
            z = true;
        }
        int i = z ? 1 : 0;
        int i2 = z ? 1 : 0;
        int i3 = z ? 1 : 0;
        return ((hashCode + i) * 31) + this.cls.hashCode();
    }

    public final void setCls(@NotNull String str) {
        Intrinsics.checkNotNullParameter(str, "<set-?>");
        this.cls = str;
    }

    public final void setSelected(boolean z) {
        this.selected = z;
    }

    @NotNull
    public String toString() {
        return "AppDetailData(name=" + this.name + ", icon=" + this.icon + ", selected=" + this.selected + ", cls=" + this.cls + ')';
    }
}
