package com.niming.weipa.ui.publish;

import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import com.blankj.utilcode.util.e;
import com.hj.chen.new1126.R;
import com.niming.framework.b.i;
import com.niming.weipa.model.VideoInfo2;
import com.niming.weipa.ui.focus_on.BaseVideoDetailActivity;
import com.niming.weipa.widget.XVideoPlayer;
import java.io.Serializable;
import java.util.LinkedHashMap;
import java.util.Map;
import java.util.Objects;
import kotlin.Metadata;
import kotlin.jvm.JvmStatic;
import kotlin.jvm.internal.DefaultConstructorMarker;
import kotlin.jvm.internal.Intrinsics;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

@Metadata(d1 = {"\u0000 \n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010\b\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\u0018\u0000 \t2\u00020\u0001:\u0001\tB\u0005¢\u0006\u0002\u0010\u0002J\b\u0010\u0003\u001a\u00020\u0004H\u0016J\u0012\u0010\u0005\u001a\u00020\u00062\b\u0010\u0007\u001a\u0004\u0018\u00010\bH\u0016¨\u0006\n"}, d2 = {"Lcom/niming/weipa/ui/publish/PlayVideoActivity;", "Lcom/niming/weipa/ui/focus_on/BaseVideoDetailActivity;", "()V", "getViewRes", "", "initView", "", "savedInstanceState", "Landroid/os/Bundle;", "Companion", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* compiled from: PlayVideoActivity.kt */
public final class PlayVideoActivity extends BaseVideoDetailActivity {
    @NotNull
    public static final a Q0 = new a(null);
    @NotNull
    public Map<Integer, View> R0 = new LinkedHashMap();

    @Metadata(d1 = {"\u0000\u001e\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\b\u0002\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\b\u0003\u0018\u00002\u00020\u0001B\u0007\b\u0002¢\u0006\u0002\u0010\u0002J\u0018\u0010\u0003\u001a\u00020\u00042\u0006\u0010\u0005\u001a\u00020\u00062\u0006\u0010\u0007\u001a\u00020\bH\u0007¨\u0006\t"}, d2 = {"Lcom/niming/weipa/ui/publish/PlayVideoActivity$Companion;", "", "()V", "start", "", "context", "Landroid/content/Context;", "videoInfo2", "Lcom/niming/weipa/model/VideoInfo2;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: PlayVideoActivity.kt */
    public static final class a {
        private a() {
        }

        public /* synthetic */ a(DefaultConstructorMarker defaultConstructorMarker) {
            this();
        }

        @JvmStatic
        public final void a(@NotNull Context context, @NotNull VideoInfo2 videoInfo2) {
            Intrinsics.checkNotNullParameter(context, "context");
            Intrinsics.checkNotNullParameter(videoInfo2, "videoInfo2");
            context.startActivity(new Intent(context, PlayVideoActivity.class).putExtra("VideoInfo2", videoInfo2));
        }
    }

    @JvmStatic
    public static final void H0(@NotNull Context context, @NotNull VideoInfo2 videoInfo2) {
        Q0.a(context, videoInfo2);
    }

    @Override // com.niming.weipa.base.BaseActivity, com.niming.weipa.ui.focus_on.BaseVideoDetailActivity
    public void _$_clearFindViewByIdCache() {
        this.R0.clear();
    }

    @Override // com.niming.weipa.base.BaseActivity, com.niming.weipa.ui.focus_on.BaseVideoDetailActivity
    @Nullable
    public View _$_findCachedViewById(int i) {
        Map<Integer, View> map = this.R0;
        View view = map.get(Integer.valueOf(i));
        if (view != null) {
            return view;
        }
        View findViewById = findViewById(i);
        if (findViewById == null) {
            return null;
        }
        map.put(Integer.valueOf(i), findViewById);
        return findViewById;
    }

    @Override // com.niming.framework.base.f
    public int getViewRes() {
        return R.layout.activity_play_video;
    }

    @Override // com.niming.weipa.base.BaseActivity, com.niming.framework.base.f
    public void initView(@Nullable Bundle bundle) {
        super.initView(bundle);
        if (e.v()) {
            e.w(this.activity, getResources().getColor(R.color.main_tab_bg_color));
        }
        e.L(this.activity, false);
        e.D(this.activity, getResources().getColor(R.color.main_tab_bg_color));
        Activity activity = this.activity;
        int i = com.niming.weipa.R.id.detailVideoPlayer;
        i.n(activity, (XVideoPlayer) _$_findCachedViewById(i));
        Serializable serializableExtra = getIntent().getSerializableExtra("VideoInfo2");
        Objects.requireNonNull(serializableExtra, "null cannot be cast to non-null type com.niming.weipa.model.VideoInfo2");
        u0((VideoInfo2) serializableExtra);
        ((XVideoPlayer) _$_findCachedViewById(i)).setClickEnable(true);
    }
}
