package com.niming.weipa.ui.search.f;

import android.view.View;
import com.alipay.sdk.util.j;
import com.blankj.utilcode.util.LogUtils;
import com.blankj.utilcode.util.k0;
import com.niming.framework.b.g;
import com.niming.framework.net.Result;
import com.niming.framework.widget.XRefreshLayout;
import com.niming.weipa.base.d;
import com.niming.weipa.model.NoticeEvent;
import com.niming.weipa.model.VideoInfo2;
import com.niming.weipa.ui.feedback.FeedbackReplyActivity;
import com.niming.weipa.ui.mine.profile_home.BaseLongVideoFragment;
import com.niming.weipa.ui.search.view.FinallySearchEmptyViewV2;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;
import java.util.Objects;
import kotlin.Metadata;
import kotlin.jvm.internal.Intrinsics;
import org.greenrobot.eventbus.Subscribe;
import org.greenrobot.eventbus.ThreadMode;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

@Metadata(d1 = {"\u0000<\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010\u000b\n\u0002\b\u0004\n\u0002\u0010\u000e\n\u0002\b\u0005\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0018\u0002\n\u0002\b\b\n\u0002\u0010\u0002\n\u0002\b\u0003\n\u0002\u0018\u0002\n\u0002\b\u0007\b&\u0018\u00002\u00020\u0001:\u0001(B\u0005¢\u0006\u0002\u0010\u0002J\b\u0010\u001d\u001a\u00020\u001eH\u0014J\u0006\u0010\u001f\u001a\u00020\u001eJ\u0010\u0010 \u001a\u00020\u001e2\u0006\u0010!\u001a\u00020\"H\u0007J\b\u0010#\u001a\u00020\u001eH&J\b\u0010$\u001a\u00020\u001eH&J\u000e\u0010%\u001a\u00020\u001e2\u0006\u0010\b\u001a\u00020\tJ\u000e\u0010&\u001a\u00020\u001e2\u0006\u0010'\u001a\u00020\u000fR\u001a\u0010\u0003\u001a\u00020\u0004X\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u0003\u0010\u0005\"\u0004\b\u0006\u0010\u0007R\u001a\u0010\b\u001a\u00020\tX\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\n\u0010\u000b\"\u0004\b\f\u0010\rR\u001c\u0010\u000e\u001a\u0004\u0018\u00010\u000fX\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u0010\u0010\u0011\"\u0004\b\u0012\u0010\u0013R\u001a\u0010\u0014\u001a\u00020\u0015X\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u0016\u0010\u0017\"\u0004\b\u0018\u0010\u0019R\u001a\u0010\u001a\u001a\u00020\u0015X\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u001b\u0010\u0017\"\u0004\b\u001c\u0010\u0019¨\u0006)"}, d2 = {"Lcom/niming/weipa/ui/search/fragment/BaseSearchVideoFragment;", "Lcom/niming/weipa/ui/mine/profile_home/BaseLongVideoFragment;", "()V", "isShowHeader", "", "()Z", "setShowHeader", "(Z)V", "key", "", "getKey", "()Ljava/lang/String;", "setKey", "(Ljava/lang/String;)V", "onSearchResultListenner", "Lcom/niming/weipa/ui/search/fragment/BaseSearchVideoFragment$OnSearchResultListener;", "getOnSearchResultListenner", "()Lcom/niming/weipa/ui/search/fragment/BaseSearchVideoFragment$OnSearchResultListener;", "setOnSearchResultListenner", "(Lcom/niming/weipa/ui/search/fragment/BaseSearchVideoFragment$OnSearchResultListener;)V", "searchBuyKeyCallback", "Lcom/niming/weipa/net/AbsHttpCallback;", "getSearchBuyKeyCallback", "()Lcom/niming/weipa/net/AbsHttpCallback;", "setSearchBuyKeyCallback", "(Lcom/niming/weipa/net/AbsHttpCallback;)V", "searchByRecomandCallback", "getSearchByRecomandCallback", "setSearchByRecomandCallback", "getVideoInfo", "", "hiddenNodataHeader", "onNoticeEvent", FeedbackReplyActivity.K0, "Lcom/niming/weipa/model/NoticeEvent;", "searchBuyKey", "searchBuyRecommend", "searchKey", "setOnSearchResultListener", "searchResultListener", "OnSearchResultListener", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* compiled from: BaseSearchVideoFragment.kt */
public abstract class o extends BaseLongVideoFragment {
    @NotNull
    private String V0 = "";
    @Nullable
    private a W0;
    private boolean X0 = true;
    @NotNull
    private com.niming.weipa.g.a Y0 = new b(this);
    @NotNull
    private com.niming.weipa.g.a Z0 = new c(this);
    @NotNull
    public Map<Integer, View> a1 = new LinkedHashMap();

    @Metadata(d1 = {"\u0000\u0016\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0010\u000b\n\u0000\bf\u0018\u00002\u00020\u0001J\u0010\u0010\u0002\u001a\u00020\u00032\u0006\u0010\u0004\u001a\u00020\u0005H&¨\u0006\u0006"}, d2 = {"Lcom/niming/weipa/ui/search/fragment/BaseSearchVideoFragment$OnSearchResultListener;", "", "onSearchResult", "", "resultIsEmpty", "", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: BaseSearchVideoFragment.kt */
    public interface a {
        void a(boolean z);
    }

    @Metadata(d1 = {"\u0000\u0019\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J\b\u0010\u0002\u001a\u00020\u0003H\u0016J\u0012\u0010\u0004\u001a\u00020\u00032\b\u0010\u0005\u001a\u0004\u0018\u00010\u0006H\u0014¨\u0006\u0007"}, d2 = {"com/niming/weipa/ui/search/fragment/BaseSearchVideoFragment$searchBuyKeyCallback$1", "Lcom/niming/weipa/net/AbsHttpCallback;", "onFinish", "", "onSuccess", j.f6041c, "Lcom/niming/framework/net/Result;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: BaseSearchVideoFragment.kt */
    public static final class b extends com.niming.weipa.g.a {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ o f20193a;

        b(o oVar) {
            this.f20193a = oVar;
        }

        @Override // com.lzy.okgo.d.c, com.lzy.okgo.d.a, com.niming.weipa.g.a
        public void onFinish() {
            super.onFinish();
            this.f20193a.S();
        }

        /* access modifiers changed from: protected */
        @Override // com.niming.weipa.g.a
        public void onSuccess(@Nullable Result result) {
            Intrinsics.checkNotNull(result);
            if (result.isOk()) {
                List a2 = g.a(result.getData(), VideoInfo2.class);
                if (((BaseLongVideoFragment) this.f20193a).T0 != null) {
                    a v0 = this.f20193a.v0();
                    if (v0 != null) {
                        v0.a(true);
                    }
                    if (((d) this.f20193a).P0 != 1) {
                        ((BaseLongVideoFragment) this.f20193a).T0.addAll(a2);
                        if (k0.o(a2)) {
                            o oVar = this.f20193a;
                            ((d) oVar).P0--;
                        }
                    } else if (a2.size() == 0) {
                        this.f20193a.C0();
                        return;
                    } else {
                        ((BaseLongVideoFragment) this.f20193a).T0.replaceAll(a2);
                    }
                    ((BaseLongVideoFragment) this.f20193a).T0.removeHeaderView();
                } else {
                    return;
                }
            }
            this.f20193a.setStatusComplete();
            XRefreshLayout xRefreshLayout = this.f20193a.refreshLayout;
            if (xRefreshLayout != null) {
                xRefreshLayout.H();
                this.f20193a.refreshLayout.g();
            }
        }
    }

    @Metadata(d1 = {"\u0000\u0017\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J\u0012\u0010\u0002\u001a\u00020\u00032\b\u0010\u0004\u001a\u0004\u0018\u00010\u0005H\u0014¨\u0006\u0006"}, d2 = {"com/niming/weipa/ui/search/fragment/BaseSearchVideoFragment$searchByRecomandCallback$1", "Lcom/niming/weipa/net/AbsHttpCallback;", "onSuccess", "", j.f6041c, "Lcom/niming/framework/net/Result;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: BaseSearchVideoFragment.kt */
    public static final class c extends com.niming.weipa.g.a {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ o f20194a;

        c(o oVar) {
            this.f20194a = oVar;
        }

        /* access modifiers changed from: protected */
        @Override // com.niming.weipa.g.a
        public void onSuccess(@Nullable Result result) {
            Intrinsics.checkNotNull(result);
            if (result.isOk()) {
                List a2 = g.a(result.getData(), VideoInfo2.class);
                if (k0.z(a2)) {
                    if (((BaseLongVideoFragment) this.f20194a).T0 != null) {
                        ((BaseLongVideoFragment) this.f20194a).T0.removeHeaderView();
                        if (this.f20194a.z0() && this.f20194a.getContext() != null) {
                            ((BaseLongVideoFragment) this.f20194a).T0.addHeaderView(new FinallySearchEmptyViewV2(this.f20194a.getContext()));
                        }
                    } else {
                        return;
                    }
                }
                if (((d) this.f20194a).P0 == 1) {
                    ((BaseLongVideoFragment) this.f20194a).T0.replaceAll(a2);
                } else {
                    ((BaseLongVideoFragment) this.f20194a).T0.addAll(a2);
                    if (k0.o(a2)) {
                        o oVar = this.f20194a;
                        ((d) oVar).P0--;
                    }
                }
            }
            this.f20194a.setStatusComplete();
            XRefreshLayout xRefreshLayout = this.f20194a.refreshLayout;
            if (xRefreshLayout != null) {
                xRefreshLayout.H();
                this.f20194a.refreshLayout.g();
            }
        }
    }

    @Subscribe(threadMode = ThreadMode.MAIN)
    public final void A0(@NotNull NoticeEvent noticeEvent) {
        Intrinsics.checkNotNullParameter(noticeEvent, FeedbackReplyActivity.K0);
        if (noticeEvent.isCode(1)) {
            Object data = noticeEvent.getData();
            Objects.requireNonNull(data, "null cannot be cast to non-null type kotlin.Int");
            if (((Integer) data).intValue() != 2 && this.recyclerView != null) {
                LogUtils.m("BaseSearchVideoFragment", "recycledViewPool.clear");
                n0();
            }
        }
    }

    public abstract void B0();

    public abstract void C0();

    public final void D0(@NotNull String str) {
        Intrinsics.checkNotNullParameter(str, "key");
        this.V0 = str;
        j0();
    }

    public final void E0(@NotNull String str) {
        Intrinsics.checkNotNullParameter(str, "<set-?>");
        this.V0 = str;
    }

    public final void F0(@NotNull a aVar) {
        Intrinsics.checkNotNullParameter(aVar, "searchResultListener");
        this.W0 = aVar;
    }

    public final void G0(@Nullable a aVar) {
        this.W0 = aVar;
    }

    public final void H0(@NotNull com.niming.weipa.g.a aVar) {
        Intrinsics.checkNotNullParameter(aVar, "<set-?>");
        this.Y0 = aVar;
    }

    public final void I0(@NotNull com.niming.weipa.g.a aVar) {
        Intrinsics.checkNotNullParameter(aVar, "<set-?>");
        this.Z0 = aVar;
    }

    public final void J0(boolean z) {
        this.X0 = z;
    }

    /* access modifiers changed from: protected */
    @Override // com.niming.weipa.ui.mine.profile_home.BaseLongVideoFragment
    public void j0() {
        if (this.V0.length() == 0) {
            this.X0 = false;
            a aVar = this.W0;
            if (aVar != null) {
                aVar.a(false);
            }
            C0();
            return;
        }
        this.X0 = true;
        B0();
    }

    @Override // com.niming.weipa.base.d, androidx.fragment.app.Fragment
    public /* synthetic */ void onDestroyView() {
        super.onDestroyView();
        p0();
    }

    public void p0() {
        this.a1.clear();
    }

    @Nullable
    public View q0(int i) {
        View findViewById;
        Map<Integer, View> map = this.a1;
        View view = map.get(Integer.valueOf(i));
        if (view != null) {
            return view;
        }
        View view2 = getView();
        if (view2 == null || (findViewById = view2.findViewById(i)) == null) {
            return null;
        }
        map.put(Integer.valueOf(i), findViewById);
        return findViewById;
    }

    @NotNull
    public final String u0() {
        return this.V0;
    }

    @Nullable
    public final a v0() {
        return this.W0;
    }

    @NotNull
    public final com.niming.weipa.g.a w0() {
        return this.Y0;
    }

    @NotNull
    public final com.niming.weipa.g.a x0() {
        return this.Z0;
    }

    public final void y0() {
        com.niming.baseadapter.b bVar = this.T0;
        if (bVar != null) {
            bVar.removeHeaderView();
        }
    }

    public final boolean z0() {
        return this.X0;
    }
}
