package com.niming.weipa.ui.vip;

import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.ImageView;
import android.widget.TextView;
import androidx.core.app.NotificationCompat;
import androidx.core.widget.NestedScrollView;
import com.alipay.sdk.util.j;
import com.blankj.utilcode.util.LogUtils;
import com.blankj.utilcode.util.ToastUtils;
import com.google.firebase.analytics.FirebaseAnalytics;
import com.ibm.icu.impl.number.Padder;
import com.ibm.icu.text.DateFormat;
import com.liulishuo.filedownloader.services.f;
import com.niming.framework.b.g;
import com.niming.framework.net.Result;
import com.niming.framework.widget.TitleView;
import com.niming.weipa.R;
import com.niming.weipa.base.BaseActivity;
import com.niming.weipa.model.BuyVipModel;
import com.niming.weipa.model.VipListsModel;
import com.niming.weipa.ui.vip.PayWaitingActivity;
import com.niming.weipa.ui.vip.widget.PayTypeView1;
import com.niming.weipa.ui.vip.widget.PrePayRecommendView;
import com.niming.weipa.update.NoticeAppDialogFragment;
import com.niming.weipa.utils.u;
import com.niming.weipa.utils.w;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;
import kotlin.Metadata;
import kotlin.Unit;
import kotlin.jvm.JvmStatic;
import kotlin.jvm.functions.Function1;
import kotlin.jvm.internal.DefaultConstructorMarker;
import kotlin.jvm.internal.Intrinsics;
import kotlin.jvm.internal.Lambda;
import kotlin.text.StringsKt__StringsKt;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

@Metadata(d1 = {"\u0000>\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0010!\n\u0002\u0018\u0002\n\u0002\b\n\n\u0002\u0010\u0002\n\u0000\n\u0002\u0010\b\n\u0002\b\b\n\u0002\u0018\u0002\n\u0002\b\u0003\n\u0002\u0010\u000e\n\u0002\b\u0007\u0018\u0000 +2\u00020\u0001:\u0001+B\u0005¢\u0006\u0002\u0010\u0002J\b\u0010\u0015\u001a\u00020\u0016H\u0002J\b\u0010\u0017\u001a\u00020\u0018H\u0016J\b\u0010\u0019\u001a\u00020\u0016H\u0002J\b\u0010\u001a\u001a\u00020\u0016H\u0002J\u0010\u0010\u001b\u001a\u00020\u00162\u0006\u0010\u001c\u001a\u00020\u000bH\u0002J\b\u0010\u001d\u001a\u00020\u0016H\u0002J\b\u0010\u001e\u001a\u00020\u0016H\u0002J\u0012\u0010\u001f\u001a\u00020\u00162\b\u0010 \u001a\u0004\u0018\u00010!H\u0016J\u0010\u0010\"\u001a\u00020\u00162\u0006\u0010\u0003\u001a\u00020\u0004H\u0002J\u0010\u0010#\u001a\u00020\u00162\u0006\u0010$\u001a\u00020%H\u0002J(\u0010&\u001a\u00020\u00162\u0006\u0010'\u001a\u00020\u00182\u0006\u0010(\u001a\u00020%2\u0006\u0010)\u001a\u00020%2\u0006\u0010*\u001a\u00020\u0018H\u0002R\u001c\u0010\u0003\u001a\u0004\u0018\u00010\u0004X\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u0005\u0010\u0006\"\u0004\b\u0007\u0010\bR\"\u0010\t\u001a\n\u0012\u0004\u0012\u00020\u000b\u0018\u00010\nX\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\f\u0010\r\"\u0004\b\u000e\u0010\u000fR\u001c\u0010\u0010\u001a\u0004\u0018\u00010\u000bX\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u0011\u0010\u0012\"\u0004\b\u0013\u0010\u0014¨\u0006,"}, d2 = {"Lcom/niming/weipa/ui/vip/RecreationMemberCenterAct;", "Lcom/niming/weipa/base/BaseActivity;", "()V", "buyVipModel", "Lcom/niming/weipa/model/BuyVipModel;", "getBuyVipModel", "()Lcom/niming/weipa/model/BuyVipModel;", "setBuyVipModel", "(Lcom/niming/weipa/model/BuyVipModel;)V", "dataList", "", "Lcom/niming/weipa/model/VipListsModel;", "getDataList", "()Ljava/util/List;", "setDataList", "(Ljava/util/List;)V", "vipModel", "getVipModel", "()Lcom/niming/weipa/model/VipListsModel;", "setVipModel", "(Lcom/niming/weipa/model/VipListsModel;)V", "getData", "", "getViewRes", "", "initListener", "initPrePayRecommend", "initPrice", "vipListsModel", "initTitle", "initUserUI", "initView", "savedInstanceState", "Landroid/os/Bundle;", "intentPayWait", "showErrorPay", NotificationCompat.w0, "", "submit", "vip_id", "payment_id", FirebaseAnalytics.b.z, "order_type", "Companion", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* compiled from: RecreationMemberCenterAct.kt */
public final class RecreationMemberCenterAct extends BaseActivity {
    @NotNull

    /* renamed from: a  reason: collision with root package name */
    public static final a f20314a = new a(null);
    @Nullable
    private BuyVipModel I0;
    @Nullable
    private List<VipListsModel> J0;
    @NotNull
    public Map<Integer, View> K0 = new LinkedHashMap();
    @Nullable

    /* renamed from: b  reason: collision with root package name */
    private VipListsModel f20315b;

    @Metadata(d1 = {"\u0000\u0018\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\b\u0002\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\b\u0003\u0018\u00002\u00020\u0001B\u0007\b\u0002¢\u0006\u0002\u0010\u0002J\u0010\u0010\u0003\u001a\u00020\u00042\u0006\u0010\u0005\u001a\u00020\u0006H\u0007¨\u0006\u0007"}, d2 = {"Lcom/niming/weipa/ui/vip/RecreationMemberCenterAct$Companion;", "", "()V", "start", "", "context", "Landroid/content/Context;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: RecreationMemberCenterAct.kt */
    public static final class a {
        private a() {
        }

        public /* synthetic */ a(DefaultConstructorMarker defaultConstructorMarker) {
            this();
        }

        @JvmStatic
        public final void a(@NotNull Context context) {
            Intrinsics.checkNotNullParameter(context, "context");
            context.startActivity(new Intent(context, RecreationMemberCenterAct.class));
        }
    }

    @Metadata(d1 = {"\u0000\u0017\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J\u0010\u0010\u0002\u001a\u00020\u00032\u0006\u0010\u0004\u001a\u00020\u0005H\u0014¨\u0006\u0006"}, d2 = {"com/niming/weipa/ui/vip/RecreationMemberCenterAct$getData$1", "Lcom/niming/weipa/net/AbsHttpCallback;", "onSuccess", "", j.f6041c, "Lcom/niming/framework/net/Result;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: RecreationMemberCenterAct.kt */
    public static final class b extends com.niming.weipa.g.a {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ RecreationMemberCenterAct f20316a;

        b(RecreationMemberCenterAct recreationMemberCenterAct) {
            this.f20316a = recreationMemberCenterAct;
        }

        /* access modifiers changed from: protected */
        @Override // com.niming.weipa.g.a
        public void onSuccess(@NotNull Result result) {
            Intrinsics.checkNotNullParameter(result, j.f6041c);
            if (result.isOk()) {
                List<VipListsModel> a2 = g.a(result.getDataStr("package"), VipListsModel.class);
                if (a2 != null && (!a2.isEmpty())) {
                    this.f20316a.z0(a2);
                    this.f20316a.p0();
                }
                this.f20316a.setStatusComplete();
                return;
            }
            this.f20316a.setStatusNetworkError();
            ToastUtils.W(result.getMessage(), new Object[0]);
        }
    }

    /* access modifiers changed from: package-private */
    @Metadata(d1 = {"\u0000\u0010\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\u0010\u0000\u001a\u00020\u00012\u000e\u0010\u0002\u001a\n \u0004*\u0004\u0018\u00010\u00030\u0003H\n¢\u0006\u0002\b\u0005"}, d2 = {"<anonymous>", "", "it", "Landroid/widget/Button;", "kotlin.jvm.PlatformType", "invoke"}, k = 3, mv = {1, 6, 0}, xi = 48)
    /* compiled from: RecreationMemberCenterAct.kt */
    public static final class c extends Lambda implements Function1<Button, Unit> {
        final /* synthetic */ RecreationMemberCenterAct this$0;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        c(RecreationMemberCenterAct recreationMemberCenterAct) {
            super(1);
            this.this$0 = recreationMemberCenterAct;
        }

        public final void a(Button button) {
            VipListsModel.PaymentBean selectedPayType = ((PayTypeView1) this.this$0._$_findCachedViewById(R.id.pay_type_view)).getSelectedPayType();
            if (selectedPayType != null) {
                VipListsModel o0 = this.this$0.o0();
                if (o0 != null) {
                    int id = o0.getId();
                    RecreationMemberCenterAct recreationMemberCenterAct = this.this$0;
                    String id2 = selectedPayType.getId();
                    Intrinsics.checkNotNullExpressionValue(id2, "paymentBean.id");
                    VipListsModel o02 = recreationMemberCenterAct.o0();
                    Intrinsics.checkNotNull(o02);
                    String price = o02.getPrice();
                    Intrinsics.checkNotNullExpressionValue(price, "vipModel!!.price");
                    recreationMemberCenterAct.C0(id, id2, price, 5);
                    return;
                }
                return;
            }
            ToastUtils.S("请选择支付方式呢", new Object[0]);
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // kotlin.jvm.functions.Function1
        public /* bridge */ /* synthetic */ Unit invoke(Button button) {
            a(button);
            return Unit.INSTANCE;
        }
    }

    @Metadata(d1 = {"\u0000\u0013\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0002\b\u0002*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J\b\u0010\u0002\u001a\u00020\u0003H\u0016J\b\u0010\u0004\u001a\u00020\u0003H\u0016¨\u0006\u0005"}, d2 = {"com/niming/weipa/ui/vip/RecreationMemberCenterAct$showErrorPay$1", "Lcom/niming/weipa/update/NoticeAppDialogFragment$NoticeAppDialogFragmentListener;", "clickClose", "", "clickSure", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: RecreationMemberCenterAct.kt */
    public static final class d implements NoticeAppDialogFragment.a {
        d() {
        }

        @Override // com.niming.weipa.update.NoticeAppDialogFragment.a
        public void a() {
        }

        @Override // com.niming.weipa.update.NoticeAppDialogFragment.a
        public void b() {
        }
    }

    @Metadata(d1 = {"\u0000\u0019\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J\b\u0010\u0002\u001a\u00020\u0003H\u0016J\u0010\u0010\u0004\u001a\u00020\u00032\u0006\u0010\u0005\u001a\u00020\u0006H\u0014¨\u0006\u0007"}, d2 = {"com/niming/weipa/ui/vip/RecreationMemberCenterAct$submit$1", "Lcom/niming/weipa/net/AbsHttpCallback;", "onFinish", "", "onSuccess", j.f6041c, "Lcom/niming/framework/net/Result;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: RecreationMemberCenterAct.kt */
    public static final class e extends com.niming.weipa.g.a {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ RecreationMemberCenterAct f20317a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ String f20318b;

        e(RecreationMemberCenterAct recreationMemberCenterAct, String str) {
            this.f20317a = recreationMemberCenterAct;
            this.f20318b = str;
        }

        /* access modifiers changed from: private */
        public static final void b(BuyVipModel buyVipModel, String str) {
            LogUtils.l(Intrinsics.stringPlus("buyVipModel.link = ", buyVipModel.getLink()));
            if (w.b().c(str, "resultStatus=\\{(.+?)\\}").equals("9000")) {
                ToastUtils.S("支付成功，尽情玩耍吧！", new Object[0]);
            } else {
                ToastUtils.S("支付未完成", new Object[0]);
            }
        }

        @Override // com.lzy.okgo.d.c, com.lzy.okgo.d.a, com.niming.weipa.g.a
        public void onFinish() {
            super.onFinish();
            this.f20317a.dismissDialog();
            ((Button) this.f20317a._$_findCachedViewById(R.id.tv_submit)).setEnabled(true);
        }

        /* access modifiers changed from: protected */
        @Override // com.niming.weipa.g.a
        public void onSuccess(@NotNull Result result) {
            Intrinsics.checkNotNullParameter(result, j.f6041c);
            if (result.isOk()) {
                BuyVipModel buyVipModel = (BuyVipModel) g.b(result.getData(), BuyVipModel.class);
                this.f20317a.y0(buyVipModel);
                BuyVipModel m0 = this.f20317a.m0();
                if (m0 != null) {
                    m0.setPrice(this.f20318b);
                }
                LogUtils.l(Intrinsics.stringPlus("buyVipModel.type = ", buyVipModel.getType()));
                LogUtils.l(Intrinsics.stringPlus("buyVipModel.link = ", buyVipModel.getLink()));
                String type = buyVipModel.getType();
                if (type != null) {
                    int hashCode = type.hashCode();
                    if (hashCode != -1414960566) {
                        if (hashCode != -791770330) {
                            if (hashCode != 116079 || !type.equals("url")) {
                                return;
                            }
                            if (Intrinsics.areEqual(DateFormat.YEAR, buyVipModel.getJump())) {
                                try {
                                    RecreationMemberCenterAct recreationMemberCenterAct = this.f20317a;
                                    Intrinsics.checkNotNullExpressionValue(buyVipModel, f.f16553b);
                                    recreationMemberCenterAct.v0(buyVipModel);
                                    this.f20317a.startActivity(new Intent("android.intent.action.VIEW", Uri.parse(buyVipModel.getLink())));
                                } catch (Exception unused) {
                                }
                            } else {
                                ToastUtils.W("購買成功 - -", new Object[0]);
                            }
                        } else if (type.equals("wechat")) {
                            ToastUtils.W("尚未开通", new Object[0]);
                        }
                    } else if (type.equals("alipay")) {
                        com.monter.alipay.a.a().b(buyVipModel.getLink(), ((com.niming.framework.base.BaseActivity) this.f20317a).activity, new m(buyVipModel));
                    }
                }
            } else {
                RecreationMemberCenterAct recreationMemberCenterAct2 = this.f20317a;
                String message = result.getMessage();
                Intrinsics.checkNotNullExpressionValue(message, "result.message");
                recreationMemberCenterAct2.B0(message);
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void B0(String str) {
        NoticeAppDialogFragment a0 = NoticeAppDialogFragment.a0(str, "好的");
        a0.b0(new d());
        a0.f0(this.activity);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void C0(int i, String str, String str2, int i2) {
        ((Button) _$_findCachedViewById(R.id.tv_submit)).setEnabled(false);
        showDialog("加载中..");
        com.niming.weipa.g.c.c0().g(i, str, i2, new e(this, str2));
    }

    private final void getData() {
        com.niming.weipa.g.c.c0().u0(5, new b(this));
    }

    private final void initListener() {
        u.f((Button) _$_findCachedViewById(R.id.tv_submit), 0, new c(this), 1, null);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void p0() {
        List<VipListsModel> list = this.J0;
        Intrinsics.checkNotNull(list);
        for (VipListsModel vipListsModel : list) {
            List<VipListsModel.PaymentBean> payment = vipListsModel.getPayment();
            Intrinsics.checkNotNullExpressionValue(payment, "value.payment");
            if (!payment.isEmpty()) {
                vipListsModel.getPayment().get(0).setSelected(true);
            }
        }
        PayTypeView1 payTypeView1 = (PayTypeView1) _$_findCachedViewById(R.id.pay_type_view);
        if (payTypeView1 != null) {
            List<VipListsModel> list2 = this.J0;
            Intrinsics.checkNotNull(list2);
            payTypeView1.setPosition(list2.size());
        }
        int i = R.id.pre_pay_recommend_view;
        ((PrePayRecommendView) _$_findCachedViewById(i)).setListener(new k(this));
        ((PrePayRecommendView) _$_findCachedViewById(i)).setDatas(this.J0);
    }

    /* access modifiers changed from: private */
    public static final void q0(RecreationMemberCenterAct recreationMemberCenterAct, VipListsModel vipListsModel, int i) {
        Intrinsics.checkNotNullParameter(recreationMemberCenterAct, "this$0");
        recreationMemberCenterAct.f20315b = vipListsModel;
        EntertainmentMemberPrivilegeView entertainmentMemberPrivilegeView = (EntertainmentMemberPrivilegeView) recreationMemberCenterAct._$_findCachedViewById(R.id.vip_privilege_view);
        List<VipListsModel.PaymentBean> list = null;
        if (entertainmentMemberPrivilegeView != null) {
            entertainmentMemberPrivilegeView.setData(vipListsModel == null ? null : vipListsModel.getVip_card_authority());
        }
        PayTypeView1 payTypeView1 = (PayTypeView1) recreationMemberCenterAct._$_findCachedViewById(R.id.pay_type_view);
        if (payTypeView1 != null) {
            if (vipListsModel != null) {
                list = vipListsModel.getPayment();
            }
            payTypeView1.d(list, i);
        }
        if (vipListsModel != null) {
            recreationMemberCenterAct.r0(vipListsModel);
        }
    }

    private final void r0(VipListsModel vipListsModel) {
        ((TextView) _$_findCachedViewById(R.id.tvAmount)).setText(Intrinsics.stringPlus("实付:¥", vipListsModel.getPrice()));
    }

    private final void s0() {
        int i = R.id.titleView;
        TitleView titleView = (TitleView) _$_findCachedViewById(i);
        Intrinsics.checkNotNullExpressionValue(titleView, "titleView");
        initTitle(titleView, "娱乐会员");
        ((TitleView) _$_findCachedViewById(i)).getRightText().setTextColor(this.activity.getResources().getColor(com.hj.chen.new1126.R.color.color_text_white));
        ((TitleView) _$_findCachedViewById(i)).j("充值记录", new l(this));
    }

    @JvmStatic
    public static final void start(@NotNull Context context) {
        f20314a.a(context);
    }

    /* access modifiers changed from: private */
    public static final void t0(RecreationMemberCenterAct recreationMemberCenterAct, View view) {
        Intrinsics.checkNotNullParameter(recreationMemberCenterAct, "this$0");
        VipBuyRecordActivity.r0(recreationMemberCenterAct.activity, VipBuyRecordActivity.f20319a);
    }

    private final void u0() {
        com.niming.weipa.e.b.g(this.activity, getUserInfo2().getAvatar(), (ImageView) _$_findCachedViewById(R.id.iv_user_avatar));
        ((TextView) _$_findCachedViewById(R.id.tv_user_name)).setText(getUserInfo2().getNick());
        if (getUserInfo2().getRecreation_vip() == 1) {
            String recreation_vip_expired = getUserInfo2().getRecreation_vip_expired();
            Intrinsics.checkNotNullExpressionValue(recreation_vip_expired, "userInfo2.recreation_vip_expired");
            ((TextView) _$_findCachedViewById(R.id.tv_user_sub_title)).setText("已开通娱乐VIP " + ((String) StringsKt__StringsKt.split$default((CharSequence) recreation_vip_expired, new String[]{Padder.f14124a}, false, 0, 6, (Object) null).get(0)) + "到期");
            return;
        }
        ((TextView) _$_findCachedViewById(R.id.tv_user_sub_title)).setText("您当前未开通VIP");
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void v0(BuyVipModel buyVipModel) {
        PayWaitingActivity.a aVar = PayWaitingActivity.f20312a;
        Activity activity = this.activity;
        Intrinsics.checkNotNullExpressionValue(activity, "activity");
        aVar.a(activity, buyVipModel);
    }

    public final void A0(@Nullable VipListsModel vipListsModel) {
        this.f20315b = vipListsModel;
    }

    @Override // com.niming.weipa.base.BaseActivity
    public void _$_clearFindViewByIdCache() {
        this.K0.clear();
    }

    @Override // com.niming.weipa.base.BaseActivity
    @Nullable
    public View _$_findCachedViewById(int i) {
        Map<Integer, View> map = this.K0;
        View view = map.get(Integer.valueOf(i));
        if (view != null) {
            return view;
        }
        View findViewById = findViewById(i);
        if (findViewById == null) {
            return null;
        }
        map.put(Integer.valueOf(i), findViewById);
        return findViewById;
    }

    @Override // com.niming.framework.base.f
    public int getViewRes() {
        return com.hj.chen.new1126.R.layout.activity_entainment_center;
    }

    @Override // com.niming.weipa.base.BaseActivity, com.niming.framework.base.f
    public void initView(@Nullable Bundle bundle) {
        super.initView(bundle);
        s0();
        setStatusLoading((NestedScrollView) _$_findCachedViewById(R.id.nsv_container));
        u0();
        initListener();
        getData();
    }

    @Nullable
    public final BuyVipModel m0() {
        return this.I0;
    }

    @Nullable
    public final List<VipListsModel> n0() {
        return this.J0;
    }

    @Nullable
    public final VipListsModel o0() {
        return this.f20315b;
    }

    public final void y0(@Nullable BuyVipModel buyVipModel) {
        this.I0 = buyVipModel;
    }

    public final void z0(@Nullable List<VipListsModel> list) {
        this.J0 = list;
    }
}
