package com.niming.weipa.update;

import android.annotation.SuppressLint;
import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.text.TextUtils;
import android.view.View;
import android.widget.FrameLayout;
import android.widget.ImageView;
import android.widget.TextView;
import androidx.annotation.Nullable;
import androidx.fragment.app.FragmentActivity;
import butterknife.BindView;
import butterknife.ButterKnife;
import butterknife.OnClick;
import butterknife.Unbinder;
import cc.shinichi.library.ImagePreview;
import com.bilibili.boxing.model.config.BoxingConfig;
import com.bilibili.boxing.model.entity.BaseMedia;
import com.bilibili.boxing_impl.ui.BoxingActivity;
import com.blankj.utilcode.util.ToastUtils;
import com.blankj.utilcode.util.a0;
import com.blankj.utilcode.util.l0;
import com.hj.chen.new1126.R;
import com.niming.framework.net.Result;
import com.niming.framework.widget.d.g;
import com.niming.weipa.model.LogVipOrderModel;
import com.niming.weipa.ui.main.o;
import com.niming.weipa.utils.h0;
import java.io.File;
import java.util.ArrayList;
import java.util.List;
import org.greenrobot.eventbus.Subscribe;
import tv.danmaku.ijk.media.player.IjkMediaPlayer;

public class UploadProofDialogFragment extends com.niming.framework.base.a {
    public static final int M0 = 42;
    public static final int N0 = 12;
    Unbinder O0;
    private List<BaseMedia> P0;
    private BaseMedia Q0;
    private BaseMedia R0;
    private LogVipOrderModel.DataBean S0;
    private String T0 = "";
    int U0;
    private g V0;
    @SuppressLint({"HandlerLeak"})
    Handler W0 = new a();
    f X0;
    @BindView(R.id.flProofContainerAdd)
    FrameLayout flProofContainerAdd;
    @BindView(R.id.flProofContainerOne)
    FrameLayout flProofContainerOne;
    @BindView(R.id.flProofContainerTwo)
    FrameLayout flProofContainerTwo;
    @BindView(R.id.ivDeleteProofOne)
    ImageView ivDeleteProofOne;
    @BindView(R.id.ivDeleteProofTwo)
    ImageView ivDeleteProofTwo;
    @BindView(R.id.iv_notice_close)
    ImageView ivNoticeClose;
    @BindView(R.id.ivProofOne)
    ImageView ivProofOne;
    @BindView(R.id.ivProofTwo)
    ImageView ivProofTwo;
    @BindView(R.id.tvUploadProof)
    TextView tvUploadProof;

    class a extends Handler {
        a() {
        }

        public void handleMessage(Message message) {
            int i = message.what;
            if (i == 1) {
                UploadProofDialogFragment uploadProofDialogFragment = UploadProofDialogFragment.this;
                int i2 = uploadProofDialogFragment.U0 + 1;
                uploadProofDialogFragment.U0 = i2;
                if (i2 == 2) {
                    uploadProofDialogFragment.k0();
                }
            } else if (i == 2) {
                h0.a("ttttt", IjkMediaPlayer.f.m);
                UploadProofDialogFragment.this.n0(false);
            }
        }
    }

    /* access modifiers changed from: package-private */
    public class b extends com.niming.weipa.g.a {
        b() {
        }

        /* access modifiers changed from: protected */
        @Override // com.niming.weipa.g.a
        public void onSuccess(Result result) {
            h0.a("ttttt", "result = " + result.getData());
            UploadProofDialogFragment.this.n0(false);
            f fVar = UploadProofDialogFragment.this.X0;
            if (fVar != null) {
                fVar.a();
            }
        }
    }

    /* access modifiers changed from: package-private */
    public class c implements top.zibin.luban.g {

        class a extends com.niming.weipa.g.a {
            a() {
            }

            /* access modifiers changed from: protected */
            @Override // com.niming.weipa.g.a
            public void onSuccess(Result result) {
                if (result.isOk()) {
                    String resultStr = result.getResultStr("file_path");
                    UploadProofDialogFragment uploadProofDialogFragment = UploadProofDialogFragment.this;
                    uploadProofDialogFragment.T0 = UploadProofDialogFragment.this.T0 + resultStr + ",";
                    UploadProofDialogFragment.this.W0.sendEmptyMessage(1);
                    return;
                }
                ToastUtils.V(result.getMessage());
                UploadProofDialogFragment.this.W0.sendEmptyMessage(2);
            }
        }

        c() {
        }

        @Override // top.zibin.luban.g
        public void a() {
        }

        @Override // top.zibin.luban.g
        public void b(Throwable th) {
            h0.a("niming", "===压缩失败" + th.getLocalizedMessage());
            UploadProofDialogFragment.this.W0.sendEmptyMessage(2);
        }

        @Override // top.zibin.luban.g
        public void c(File file) {
            com.niming.weipa.g.c.c0().T1(file, o.V0, new a());
        }
    }

    /* access modifiers changed from: package-private */
    public class d implements top.zibin.luban.c {
        d() {
        }

        @Override // top.zibin.luban.c
        public boolean a(String str) {
            return !TextUtils.isEmpty(str) && !str.toLowerCase().endsWith(".gif");
        }
    }

    public static class e {

        /* renamed from: a  reason: collision with root package name */
        private int f20501a;

        /* renamed from: b  reason: collision with root package name */
        private Intent f20502b;

        public e(int i, Intent intent) {
            this.f20501a = i;
            this.f20502b = intent;
        }

        public int c() {
            return this.f20501a;
        }

        public Intent d() {
            return this.f20502b;
        }

        public void e(int i) {
            this.f20501a = i;
        }

        public void f(Intent intent) {
            this.f20502b = intent;
        }
    }

    public interface f {
        void a();

        void b();

        void dismiss();
    }

    private int b0() {
        int i = this.Q0 == null ? 1 : 0;
        return this.R0 == null ? i + 1 : i;
    }

    private void d0() {
        if (this.Q0 != null) {
            this.Q0 = null;
            this.flProofContainerOne.setVisibility(8);
            o0();
        }
    }

    private void f0() {
        if (this.R0 != null) {
            this.R0 = null;
            this.flProofContainerTwo.setVisibility(8);
            o0();
        }
    }

    public static UploadProofDialogFragment h0(LogVipOrderModel.DataBean dataBean) {
        Bundle bundle = new Bundle();
        UploadProofDialogFragment uploadProofDialogFragment = new UploadProofDialogFragment();
        bundle.putSerializable("dataBean", dataBean);
        uploadProofDialogFragment.setArguments(bundle);
        return uploadProofDialogFragment;
    }

    private void j0() {
        this.V0 = new g.a().f(true).e();
        n0(true);
        r0(this.Q0);
        r0(this.R0);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void k0() {
        if (TextUtils.isEmpty(this.T0)) {
            ToastUtils.V("未選取憑證");
            return;
        }
        com.niming.weipa.g.c c0 = com.niming.weipa.g.c.c0();
        String order_sn = this.S0.getOrder_sn();
        String str = this.T0;
        c0.B0(order_sn, str.substring(0, str.length() - 1), new b());
    }

    private void o0() {
        if (this.Q0 == null || this.R0 == null) {
            this.flProofContainerAdd.setVisibility(0);
        } else {
            this.flProofContainerAdd.setVisibility(8);
        }
    }

    private void p0(BaseMedia baseMedia) {
        this.flProofContainerOne.setVisibility(0);
        this.Q0 = baseMedia;
        com.niming.weipa.e.b.p(getActivity(), baseMedia.getPath(), this.ivProofOne, 10);
        o0();
    }

    private void q0(BaseMedia baseMedia) {
        this.flProofContainerTwo.setVisibility(0);
        this.R0 = baseMedia;
        com.niming.weipa.e.b.p(getActivity(), baseMedia.getPath(), this.ivProofTwo, 10);
        o0();
    }

    private void r0(BaseMedia baseMedia) {
        if (baseMedia == null) {
            this.W0.sendEmptyMessage(1);
            return;
        }
        String str = l0.h() + File.separator + "compress";
        a0.l(str);
        top.zibin.luban.f.n(getActivity()).p(baseMedia.getPath()).l(100).w(str).i(new d()).t(new c()).m();
    }

    private void s0(BaseMedia baseMedia) {
        ImagePreview.j().C(getActivity()).L(0).I(baseMedia.getPath()).F(true).S(false).V(500).W();
    }

    @Override // com.niming.framework.base.a
    public float M() {
        return 0.3f;
    }

    @Override // com.niming.framework.base.a
    public int O() {
        return 17;
    }

    /* access modifiers changed from: protected */
    @Override // com.niming.framework.base.a
    public boolean P() {
        return super.P();
    }

    /* access modifiers changed from: protected */
    @Override // com.niming.framework.base.a
    public void S(Bundle bundle) {
        super.S(bundle);
    }

    /* access modifiers changed from: protected */
    @Override // com.niming.framework.base.a
    public boolean V() {
        return super.V();
    }

    /* access modifiers changed from: protected */
    @Override // com.niming.framework.base.a
    public int getViewRes() {
        return R.layout.dialog_fragment_upload_proof;
    }

    @Subscribe
    public void i0(e eVar) {
        if (eVar != null) {
            int i = eVar.f20501a;
            if (i == 12) {
                eVar.f20502b.getParcelableArrayListExtra(com.bilibili.boxing.b.f6295a);
            } else if (i == 42) {
                ArrayList<BaseMedia> c2 = com.bilibili.boxing.b.c(eVar.d());
                this.P0 = c2;
                if (c2 != null) {
                    if (c2.size() == 1) {
                        if (this.Q0 == null) {
                            p0(this.P0.get(0));
                        } else {
                            q0(this.P0.get(0));
                        }
                    } else if (this.P0.size() == 2) {
                        p0(this.P0.get(0));
                        q0(this.P0.get(1));
                    }
                }
            }
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.niming.framework.base.a
    public void j(View view) {
        this.O0 = ButterKnife.f(this, view);
    }

    public void l0(f fVar) {
        this.X0 = fVar;
    }

    public void m0(Activity activity) {
        if (activity instanceof FragmentActivity) {
            show(((FragmentActivity) activity).getSupportFragmentManager(), getClass().getSimpleName());
        }
    }

    public void n0(boolean z) {
        if (z) {
            this.V0.f0(getActivity(), "正在上傳憑證");
            return;
        }
        this.V0.dismissAllowingStateLoss();
        dismissAllowingStateLoss();
        this.tvUploadProof.setEnabled(true);
    }

    @Override // androidx.fragment.app.b, androidx.fragment.app.Fragment
    public void onCreate(@Nullable Bundle bundle) {
        super.onCreate(bundle);
        this.S0 = (LogVipOrderModel.DataBean) getArguments().getSerializable("dataBean");
        com.niming.framework.b.d.a(this);
    }

    @Override // com.niming.framework.base.a, androidx.fragment.app.Fragment
    public void onDestroy() {
        f fVar = this.X0;
        if (fVar != null) {
            fVar.dismiss();
        }
        super.onDestroy();
        com.lzy.okgo.b.p().e(this);
        com.niming.framework.b.d.c(this);
    }

    @Override // com.niming.framework.base.a, androidx.fragment.app.b, androidx.fragment.app.Fragment
    public void onDestroyView() {
        super.onDestroyView();
        this.O0.unbind();
    }

    @OnClick({R.id.ivDemo, R.id.tvUploadProof, R.id.ivProofOne, R.id.ivProofTwo, R.id.iv_notice_close, R.id.flProofContainerAdd, R.id.ivDeleteProofOne, R.id.ivDeleteProofTwo})
    public void onViewClicked(View view) {
        switch (view.getId()) {
            case R.id.flProofContainerAdd /*{ENCODED_INT: 2131296716}*/:
                if (b0() != 0) {
                    BoxingConfig boxingConfig = new BoxingConfig(BoxingConfig.Mode.MULTI_IMG);
                    boxingConfig.C(b0()).F(R.drawable.icon_img_placeholder).A(R.drawable.icon_img_placeholder);
                    com.bilibili.boxing.b.f(boxingConfig).o(getActivity(), BoxingActivity.class).i(getActivity(), 42);
                    return;
                }
                return;
            case R.id.ivDeleteProofOne /*{ENCODED_INT: 2131296866}*/:
                d0();
                return;
            case R.id.ivDeleteProofTwo /*{ENCODED_INT: 2131296867}*/:
                f0();
                return;
            case R.id.ivProofOne /*{ENCODED_INT: 2131296891}*/:
                BaseMedia baseMedia = this.Q0;
                if (baseMedia != null) {
                    s0(baseMedia);
                    return;
                }
                return;
            case R.id.ivProofTwo /*{ENCODED_INT: 2131296892}*/:
                BaseMedia baseMedia2 = this.R0;
                if (baseMedia2 != null) {
                    s0(baseMedia2);
                    return;
                }
                return;
            case R.id.iv_notice_close /*{ENCODED_INT: 2131296948}*/:
                dismissAllowingStateLoss();
                return;
            case R.id.tvUploadProof /*{ENCODED_INT: 2131297703}*/:
                j0();
                return;
            default:
                return;
        }
    }

    @Override // com.niming.framework.base.a, androidx.fragment.app.b, androidx.viewpager.widget.b.a
    public void show(androidx.fragment.app.g gVar, String str) {
        f fVar = this.X0;
        if (fVar != null) {
            fVar.b();
        }
        super.show(gVar, str);
    }
}
