package com.niming.weipa.utils;

import android.view.View;
import java.util.Objects;
import kotlin.Unit;
import kotlin.jvm.functions.Function1;
import kotlin.jvm.internal.Intrinsics;

public final class u {
    public static final <T extends View> void b(T t, Function1<? super T, Unit> function1) {
        Intrinsics.checkNotNullParameter(t, "<this>");
        Intrinsics.checkNotNullParameter(function1, "block");
        t.setOnClickListener(new a(function1));
    }

    public static final void c(Function1 function1, View view) {
        Intrinsics.checkNotNullParameter(function1, "$block");
        Objects.requireNonNull(view, "null cannot be cast to non-null type T of com.niming.weipa.utils.ClickUtilsKt.click$lambda-0");
        function1.invoke(view);
    }

    public static final <T extends View> boolean d(T t) {
        long currentTimeMillis = System.currentTimeMillis();
        boolean z = currentTimeMillis - i(t) >= h(t);
        m(t, currentTimeMillis);
        return z;
    }

    public static final <T extends View> void e(T t, long j, Function1<? super T, Unit> function1) {
        Intrinsics.checkNotNullParameter(t, "<this>");
        Intrinsics.checkNotNullParameter(function1, "block");
        l(t, j);
        t.setOnClickListener(new b(t, function1));
    }

    public static /* synthetic */ void f(View view, long j, Function1 function1, int i, Object obj) {
        if ((i & 1) != 0) {
            j = 600;
        }
        e(view, j, function1);
    }

    public static final void g(View view, Function1 function1, View view2) {
        Intrinsics.checkNotNullParameter(view, "$this_clickWithTrigger");
        Intrinsics.checkNotNullParameter(function1, "$block");
        if (d(view)) {
            Objects.requireNonNull(view2, "null cannot be cast to non-null type T of com.niming.weipa.utils.ClickUtilsKt.clickWithTrigger$lambda-1");
            function1.invoke(view2);
        }
    }

    private static final <T extends View> long h(T t) {
        if (t.getTag(1123461123) == null) {
            return 600;
        }
        Object tag = t.getTag(1123461123);
        Objects.requireNonNull(tag, "null cannot be cast to non-null type kotlin.Long");
        return ((Long) tag).longValue();
    }

    private static final <T extends View> long i(T t) {
        if (t.getTag(1123460103) == null) {
            return -601;
        }
        Object tag = t.getTag(1123460103);
        Objects.requireNonNull(tag, "null cannot be cast to non-null type kotlin.Long");
        return ((Long) tag).longValue();
    }

    private static final <T extends View> void l(T t, long j) {
        t.setTag(1123461123, Long.valueOf(j));
    }

    private static final <T extends View> void m(T t, long j) {
        t.setTag(1123460103, Long.valueOf(j));
    }

    public static final <T extends View> T n(T t, long j) {
        Intrinsics.checkNotNullParameter(t, "<this>");
        l(t, j);
        return t;
    }

    public static /* synthetic */ View o(View view, long j, int i, Object obj) {
        if ((i & 1) != 0) {
            j = 600;
        }
        return n(view, j);
    }
}
