package com.niming.weipa.widget;

import android.content.Context;
import android.util.AttributeSet;
import android.util.Log;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.viewpager.widget.ViewPager;

public class BanSlideViewPager extends ViewPager {
    private boolean f2 = true;
    private boolean g2 = true;
    private float h2;
    private float i2;

    public BanSlideViewPager(@NonNull Context context) {
        super(context);
    }

    @Override // androidx.viewpager.widget.ViewPager
    public void S(int i, boolean z) {
        super.S(i, z);
    }

    @Override // androidx.viewpager.widget.ViewPager
    public boolean canScrollHorizontally(int i) {
        Log.d("nnnn", "====canScrollHorizontally direction:" + i);
        return super.canScrollHorizontally(i);
    }

    public boolean dispatchTouchEvent(MotionEvent motionEvent) {
        Log.d("nnnn", "=====dispatchTouchEvent:" + motionEvent.getAction() + "  " + motionEvent.getX());
        return super.dispatchTouchEvent(motionEvent);
    }

    /* access modifiers changed from: protected */
    @Override // androidx.viewpager.widget.ViewPager
    public boolean g(View view, boolean z, int i, int i3, int i4) {
        int i5;
        int i6;
        if (view instanceof ViewGroup) {
            Log.d("nnnnn", "===" + view.getClass().getSimpleName() + " checkV: " + z + " dx:" + i + " x:" + i3 + " y:" + i4);
            if (!this.f2 && i < 0) {
                return true;
            }
            if (!this.g2 && i > 0) {
                return true;
            }
            ViewGroup viewGroup = (ViewGroup) view;
            int scrollX = view.getScrollX();
            int scrollY = view.getScrollY();
            int childCount = viewGroup.getChildCount() - 1;
            while (childCount >= 0) {
                View childAt = viewGroup.getChildAt(childCount);
                int i7 = i3 + scrollX;
                if (i7 < childAt.getLeft() || i7 >= childAt.getRight() || (i6 = i4 + scrollY) < childAt.getTop() || i6 >= childAt.getBottom() || childAt.getVisibility() != 0) {
                    i5 = childCount;
                } else {
                    i5 = childCount;
                    if (g(childAt, true, i, i7 - childAt.getLeft(), i6 - childAt.getTop())) {
                        return true;
                    }
                }
                childCount = i5 - 1;
            }
        }
        if (!z || !view.canScrollHorizontally(-i)) {
            return false;
        }
        return true;
    }

    @Override // androidx.viewpager.widget.ViewPager
    public boolean onInterceptTouchEvent(MotionEvent motionEvent) {
        if (!this.f2 || !this.g2) {
            return false;
        }
        Log.d("nnnnn", "===onInterceptTouchEvent isCanLeftScroll: " + this.f2 + " isCanRightScroll： " + this.g2);
        return super.onInterceptTouchEvent(motionEvent);
    }

    @Override // androidx.viewpager.widget.ViewPager
    public boolean onTouchEvent(MotionEvent motionEvent) {
        if (!this.f2 && !this.g2) {
            return false;
        }
        Log.d("nnnnn", "===onTouchEvent isCanLeftScroll: " + this.f2 + " isCanRightScroll： " + this.g2);
        return super.onTouchEvent(motionEvent);
    }

    public void scrollTo(int i, int i3) {
        super.scrollTo(i, i3);
    }

    public void setCanLeftScroll(boolean z) {
        this.f2 = z;
    }

    public void setCanRightScroll(boolean z) {
        this.g2 = z;
    }

    @Override // androidx.viewpager.widget.ViewPager
    public void setCurrentItem(int i) {
        if (this.f2 || this.g2) {
            super.setCurrentItem(i);
        } else {
            S(i, false);
        }
    }

    public void setScrollEnable(boolean z) {
        this.f2 = z;
        this.g2 = z;
    }

    public BanSlideViewPager(@NonNull Context context, @Nullable AttributeSet attributeSet) {
        super(context, attributeSet);
    }
}
