package com.niming.weipa.widget;

import android.app.Activity;
import android.os.Bundle;
import android.text.SpannableStringBuilder;
import android.text.SpannedString;
import android.text.style.ImageSpan;
import android.view.View;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.TextView;
import androidx.fragment.app.FragmentActivity;
import com.hj.chen.new1126.R;
import com.ibm.icu.text.DateFormat;
import com.niming.weipa.ui.vip.DiamondDetailActivity;
import com.niming.weipa.utils.u;
import com.niming.weipa.utils.v;
import java.util.LinkedHashMap;
import java.util.Map;
import kotlin.Metadata;
import kotlin.Unit;
import kotlin.jvm.functions.Function1;
import kotlin.jvm.internal.DefaultConstructorMarker;
import kotlin.jvm.internal.Intrinsics;
import kotlin.jvm.internal.Lambda;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

@Metadata(d1 = {"\u0000R\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0010\u000b\n\u0002\b\u0005\n\u0002\u0010\b\n\u0002\b\t\n\u0002\u0010\u000e\n\u0002\b\u0005\n\u0002\u0010\u0007\n\u0002\b\u0003\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0004\n\u0002\u0018\u0002\n\u0002\b\u0005\u0018\u0000 12\u00020\u0001:\u000212B\u0005¢\u0006\u0002\u0010\u0002J\b\u0010\u001f\u001a\u00020 H\u0016J\b\u0010!\u001a\u00020\u0010H\u0016J\b\u0010\"\u001a\u00020\u0010H\u0014J\u0012\u0010#\u001a\u00020$2\b\u0010%\u001a\u0004\u0018\u00010&H\u0014J\u0010\u0010'\u001a\u00020$2\u0006\u0010(\u001a\u00020)H\u0014J\u000e\u0010*\u001a\u00020$2\u0006\u0010+\u001a\u00020\u0004J\u0010\u0010,\u001a\u00020$2\b\u0010-\u001a\u0004\u0018\u00010.J\u000e\u0010/\u001a\u00020$2\u0006\u00100\u001a\u00020\u001aR\u001a\u0010\u0003\u001a\u00020\u0004X.¢\u0006\u000e\n\u0000\u001a\u0004\b\u0005\u0010\u0006\"\u0004\b\u0007\u0010\bR\u001a\u0010\t\u001a\u00020\nX\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u000b\u0010\f\"\u0004\b\r\u0010\u000eR\u001e\u0010\u000f\u001a\u0004\u0018\u00010\u0010X\u000e¢\u0006\u0010\n\u0002\u0010\u0015\u001a\u0004\b\u0011\u0010\u0012\"\u0004\b\u0013\u0010\u0014R\u001e\u0010\u0016\u001a\u0004\u0018\u00010\u0010X\u000e¢\u0006\u0010\n\u0002\u0010\u0015\u001a\u0004\b\u0017\u0010\u0012\"\u0004\b\u0018\u0010\u0014R\u001a\u0010\u0019\u001a\u00020\u001aX.¢\u0006\u000e\n\u0000\u001a\u0004\b\u001b\u0010\u001c\"\u0004\b\u001d\u0010\u001e¨\u00063"}, d2 = {"Lcom/niming/weipa/widget/VideoVipPayDiamondDialogFragment;", "Lcom/niming/framework/base/BaseDialogFragment;", "()V", "clickMakeSure", "Lcom/niming/weipa/widget/VideoVipPayDiamondDialogFragment$OnClickMakeSure;", "getClickMakeSure", "()Lcom/niming/weipa/widget/VideoVipPayDiamondDialogFragment$OnClickMakeSure;", "setClickMakeSure", "(Lcom/niming/weipa/widget/VideoVipPayDiamondDialogFragment$OnClickMakeSure;)V", "diamondNotEnough", "", "getDiamondNotEnough", "()Z", "setDiamondNotEnough", "(Z)V", "haveVipCoins", "", "getHaveVipCoins", "()Ljava/lang/Integer;", "setHaveVipCoins", "(Ljava/lang/Integer;)V", "Ljava/lang/Integer;", "notVipCoins", "getNotVipCoins", "setNotVipCoins", "tips", "", "getTips", "()Ljava/lang/String;", "setTips", "(Ljava/lang/String;)V", "getDimAmount", "", "getGravity", "getViewRes", "initBundle", "", "bundle", "Landroid/os/Bundle;", "initView", "view", "Landroid/view/View;", "setOnClickMakeSure", "onClickMakeSure", "show", "activity", "Landroid/app/Activity;", "updateMakeSureText", "text", "Companion", "OnClickMakeSure", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* compiled from: VideoVipPayDiamondDialogFragment.kt */
public final class m extends com.niming.framework.base.a {
    @NotNull
    public static final a M0 = new a(null);
    public String N0;
    public b O0;
    private boolean P0;
    @Nullable
    private Integer Q0;
    @Nullable
    private Integer R0;
    @NotNull
    public Map<Integer, View> S0 = new LinkedHashMap();

    @Metadata(d1 = {"\u0000 \n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u000e\n\u0000\n\u0002\u0010\b\n\u0002\b\u0002\b\u0003\u0018\u00002\u00020\u0001B\u0007\b\u0002¢\u0006\u0002\u0010\u0002J \u0010\u0003\u001a\u00020\u00042\b\u0010\u0005\u001a\u0004\u0018\u00010\u00062\u0006\u0010\u0007\u001a\u00020\b2\u0006\u0010\t\u001a\u00020\b¨\u0006\n"}, d2 = {"Lcom/niming/weipa/widget/VideoVipPayDiamondDialogFragment$Companion;", "", "()V", "instance", "Lcom/niming/weipa/widget/VideoVipPayDiamondDialogFragment;", "tips", "", "haveVipCoins", "", "notVipCoins", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: VideoVipPayDiamondDialogFragment.kt */
    public static final class a {
        private a() {
        }

        public /* synthetic */ a(DefaultConstructorMarker defaultConstructorMarker) {
            this();
        }

        @NotNull
        public final m a(@Nullable String str, int i, int i2) {
            Bundle bundle = new Bundle();
            bundle.putString("tips", str);
            bundle.putInt("haveVipCoins", i);
            bundle.putInt("notVipCoins", i2);
            m mVar = new m();
            mVar.setArguments(bundle);
            return mVar;
        }
    }

    @Metadata(d1 = {"\u0000\u0010\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0000\n\u0002\u0010\u0002\n\u0000\bf\u0018\u00002\u00020\u0001J\b\u0010\u0002\u001a\u00020\u0003H&¨\u0006\u0004"}, d2 = {"Lcom/niming/weipa/widget/VideoVipPayDiamondDialogFragment$OnClickMakeSure;", "", "clickMakeSure", "", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: VideoVipPayDiamondDialogFragment.kt */
    public interface b {
        void a();
    }

    @Metadata(d1 = {"\u0000\u0010\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\u0010\u0000\u001a\u00020\u00012\u000e\u0010\u0002\u001a\n \u0004*\u0004\u0018\u00010\u00030\u0003H\n¢\u0006\u0002\b\u0005"}, d2 = {"<anonymous>", "", "it", "Landroid/widget/LinearLayout;", "kotlin.jvm.PlatformType", "invoke"}, k = 3, mv = {1, 6, 0}, xi = 48)
    /* compiled from: VideoVipPayDiamondDialogFragment.kt */
    static final class c extends Lambda implements Function1<LinearLayout, Unit> {
        final /* synthetic */ m this$0;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        c(m mVar) {
            super(1);
            this.this$0 = mVar;
        }

        public final void a(LinearLayout linearLayout) {
            this.this$0.dismissAllowingStateLoss();
            this.this$0.a0().a();
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // kotlin.jvm.functions.Function1
        public /* bridge */ /* synthetic */ Unit invoke(LinearLayout linearLayout) {
            a(linearLayout);
            return Unit.INSTANCE;
        }
    }

    @Metadata(d1 = {"\u0000\u0010\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\u0010\u0000\u001a\u00020\u00012\u000e\u0010\u0002\u001a\n \u0004*\u0004\u0018\u00010\u00030\u0003H\n¢\u0006\u0002\b\u0005"}, d2 = {"<anonymous>", "", "it", "Landroid/widget/TextView;", "kotlin.jvm.PlatformType", "invoke"}, k = 3, mv = {1, 6, 0}, xi = 48)
    /* compiled from: VideoVipPayDiamondDialogFragment.kt */
    static final class d extends Lambda implements Function1<TextView, Unit> {
        final /* synthetic */ m this$0;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        d(m mVar) {
            super(1);
            this.this$0 = mVar;
        }

        public final void a(TextView textView) {
            DiamondDetailActivity.a aVar = DiamondDetailActivity.f20290a;
            FragmentActivity requireActivity = this.this$0.requireActivity();
            Intrinsics.checkNotNullExpressionValue(requireActivity, "requireActivity()");
            aVar.a(requireActivity);
            this.this$0.dismiss();
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // kotlin.jvm.functions.Function1
        public /* bridge */ /* synthetic */ Unit invoke(TextView textView) {
            a(textView);
            return Unit.INSTANCE;
        }
    }

    @Metadata(d1 = {"\u0000\u0010\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\u0010\u0000\u001a\u00020\u00012\u000e\u0010\u0002\u001a\n \u0004*\u0004\u0018\u00010\u00030\u0003H\n¢\u0006\u0002\b\u0005"}, d2 = {"<anonymous>", "", "it", "Landroid/widget/ImageView;", "kotlin.jvm.PlatformType", "invoke"}, k = 3, mv = {1, 6, 0}, xi = 48)
    /* compiled from: VideoVipPayDiamondDialogFragment.kt */
    static final class e extends Lambda implements Function1<ImageView, Unit> {
        final /* synthetic */ m this$0;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        e(m mVar) {
            super(1);
            this.this$0 = mVar;
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // kotlin.jvm.functions.Function1
        public /* bridge */ /* synthetic */ Unit invoke(ImageView imageView) {
            invoke(imageView);
            return Unit.INSTANCE;
        }

        public final void invoke(ImageView imageView) {
            this.this$0.dismiss();
        }
    }

    @Override // com.niming.framework.base.a
    public float M() {
        return 0.5f;
    }

    @Override // com.niming.framework.base.a
    public int O() {
        return 17;
    }

    /* access modifiers changed from: protected */
    @Override // com.niming.framework.base.a
    public void S(@Nullable Bundle bundle) {
        String str;
        Integer num;
        super.S(bundle);
        Integer num2 = null;
        if (bundle == null) {
            str = null;
        } else {
            str = bundle.getString("tips");
        }
        n0(String.valueOf(str));
        if (bundle == null) {
            num = null;
        } else {
            num = Integer.valueOf(bundle.getInt("haveVipCoins"));
        }
        this.Q0 = num;
        if (bundle != null) {
            num2 = Integer.valueOf(bundle.getInt("notVipCoins"));
        }
        this.R0 = num2;
    }

    public void W() {
        this.S0.clear();
    }

    @Nullable
    public View Z(int i) {
        View findViewById;
        Map<Integer, View> map = this.S0;
        View view = map.get(Integer.valueOf(i));
        if (view != null) {
            return view;
        }
        View view2 = getView();
        if (view2 == null || (findViewById = view2.findViewById(i)) == null) {
            return null;
        }
        map.put(Integer.valueOf(i), findViewById);
        return findViewById;
    }

    @NotNull
    public final b a0() {
        b bVar = this.O0;
        if (bVar != null) {
            return bVar;
        }
        Intrinsics.throwUninitializedPropertyAccessException("clickMakeSure");
        return null;
    }

    public final boolean b0() {
        return this.P0;
    }

    @Nullable
    public final Integer d0() {
        return this.Q0;
    }

    @Nullable
    public final Integer f0() {
        return this.R0;
    }

    /* access modifiers changed from: protected */
    @Override // com.niming.framework.base.a
    public int getViewRes() {
        return R.layout.dialog_fragment_video_vip_pay_diamond;
    }

    @NotNull
    public final String h0() {
        String str = this.N0;
        if (str != null) {
            return str;
        }
        Intrinsics.throwUninitializedPropertyAccessException("tips");
        return null;
    }

    public final void i0(@NotNull b bVar) {
        Intrinsics.checkNotNullParameter(bVar, "<set-?>");
        this.O0 = bVar;
    }

    /* access modifiers changed from: protected */
    @Override // com.niming.framework.base.a
    public void j(@NotNull View view) {
        Intrinsics.checkNotNullParameter(view, "view");
        ((TextView) Z(com.niming.weipa.R.id.tvTips)).setText(Intrinsics.stringPlus("支持原创，付费给 ", h0()));
        int coins = v.k().getCoins();
        Integer num = this.Q0;
        Intrinsics.checkNotNull(num);
        if (coins < num.intValue()) {
            ((TextView) Z(com.niming.weipa.R.id.tv_recharge)).setVisibility(0);
            ((LinearLayout) Z(com.niming.weipa.R.id.ll_buy)).setVisibility(8);
        } else {
            ((LinearLayout) Z(com.niming.weipa.R.id.ll_buy)).setVisibility(0);
            ((TextView) Z(com.niming.weipa.R.id.tv_recharge)).setVisibility(8);
            if (Intrinsics.areEqual(DateFormat.YEAR, v.k().getIs_vip())) {
                SpannableStringBuilder spannableStringBuilder = new SpannableStringBuilder();
                SpannableStringBuilder append = spannableStringBuilder.append((CharSequence) "VIP").append((CharSequence) String.valueOf(d0()));
                Intrinsics.checkNotNullExpressionValue(append, "append(\"VIP\").append(haveVipCoins.toString())");
                ImageSpan imageSpan = new ImageSpan(getActivity(), (int) R.drawable.ic_short_diamond);
                int length = append.length();
                append.append((CharSequence) "1");
                append.setSpan(imageSpan, length, append.length(), 17);
                append.append((CharSequence) "购买");
                ((TextView) Z(com.niming.weipa.R.id.tvMakeSure)).setText(new SpannedString(spannableStringBuilder));
            } else {
                SpannableStringBuilder spannableStringBuilder2 = new SpannableStringBuilder();
                SpannableStringBuilder append2 = spannableStringBuilder2.append((CharSequence) String.valueOf(f0()));
                Intrinsics.checkNotNullExpressionValue(append2, "append(notVipCoins.toString())");
                ImageSpan imageSpan2 = new ImageSpan(getActivity(), (int) R.drawable.ic_short_diamond);
                int length2 = append2.length();
                append2.append((CharSequence) "1");
                append2.setSpan(imageSpan2, length2, append2.length(), 17);
                append2.append((CharSequence) "购买");
                ((TextView) Z(com.niming.weipa.R.id.tvMakeSure)).setText(new SpannedString(spannableStringBuilder2));
            }
        }
        Integer num2 = this.Q0;
        if (num2 != null) {
            int intValue = num2.intValue();
            ((TextView) Z(com.niming.weipa.R.id.tvHaveVipTips)).setText("VIP优惠价：" + intValue + "金币");
        }
        Integer num3 = this.R0;
        if (num3 != null) {
            int intValue2 = num3.intValue();
            ((TextView) Z(com.niming.weipa.R.id.tvNotHaveVipTips)).setText("非会员价：" + intValue2 + "金币");
        }
        u.f((LinearLayout) Z(com.niming.weipa.R.id.ll_buy), 0, new c(this), 1, null);
        u.f((TextView) Z(com.niming.weipa.R.id.tv_recharge), 0, new d(this), 1, null);
        u.f((ImageView) Z(com.niming.weipa.R.id.iv_close_dialog), 0, new e(this), 1, null);
    }

    public final void j0(boolean z) {
        this.P0 = z;
    }

    public final void k0(@Nullable Integer num) {
        this.Q0 = num;
    }

    public final void l0(@Nullable Integer num) {
        this.R0 = num;
    }

    public final void m0(@NotNull b bVar) {
        Intrinsics.checkNotNullParameter(bVar, "onClickMakeSure");
        i0(bVar);
    }

    public final void n0(@NotNull String str) {
        Intrinsics.checkNotNullParameter(str, "<set-?>");
        this.N0 = str;
    }

    public final void o0(@Nullable Activity activity) {
        if (activity instanceof FragmentActivity) {
            show(((FragmentActivity) activity).getSupportFragmentManager(), m.class.getSimpleName());
        }
    }

    @Override // com.niming.framework.base.a, androidx.fragment.app.b, androidx.fragment.app.Fragment
    public /* synthetic */ void onDestroyView() {
        super.onDestroyView();
        W();
    }

    public final void p0(@NotNull String str) {
        Intrinsics.checkNotNullParameter(str, "text");
        this.P0 = true;
        ((TextView) Z(com.niming.weipa.R.id.tvMakeSure)).setText(str);
    }
}
