package com.niming.weipa.work;

import android.content.Context;
import android.text.TextUtils;
import android.util.Log;
import androidx.annotation.NonNull;
import androidx.work.ListenableWorker;
import androidx.work.Worker;
import androidx.work.WorkerParameters;
import com.blankj.utilcode.util.k0;
import com.niming.framework.b.d;
import com.niming.framework.b.g;
import com.niming.framework.net.Result;
import com.niming.weipa.db.PostWorkUtil;
import com.niming.weipa.g.c;
import com.niming.weipa.model.LabelTagInfoModel;
import com.niming.weipa.model.PostWork;
import com.niming.weipa.model.PostWorkEvent;
import java.util.List;
import java.util.UUID;
import okhttp3.j0;

public class SumitDataWork extends Worker {
    public SumitDataWork(@NonNull Context context, @NonNull WorkerParameters workerParameters) {
        super(context, workerParameters);
    }

    @Override // androidx.work.Worker
    @NonNull
    public ListenableWorker.a w() {
        String u = e().u(PostWorkUtil.WORK_PARAMS_KEY);
        UUID d2 = d();
        Log.d("postwork", "===SumitDataWork:" + d2 + "postWorkId：" + u);
        StringBuilder sb = new StringBuilder();
        sb.append(u);
        sb.append("");
        PostWork byId = PostWorkUtil.getById(sb.toString());
        Log.d("postwork", "===SumitDataWork:" + g.c(byId));
        if (byId == null) {
            return ListenableWorker.a.a();
        }
        if (TextUtils.isEmpty(byId.getRemoteCover()) || TextUtils.isEmpty(byId.getRemoteVideoName()) || TextUtils.isEmpty(byId.getRemoteVideoPath())) {
            byId.setStatus(3);
            PostWorkUtil.update(byId);
            Log.d("postwork", "===提交视频失败了");
            return ListenableWorker.a.d();
        }
        try {
            String content = byId.getContent();
            String topic_id = byId.getTopic_id();
            String remoteCover = byId.getRemoteCover();
            long duration = byId.getDuration();
            byId.getRemoteVideoName();
            String remoteVideoPath = byId.getRemoteVideoPath();
            String type = byId.getType();
            int coins = byId.getCoins();
            StringBuilder sb2 = new StringBuilder();
            if (type != null) {
                List a2 = g.a(type, LabelTagInfoModel.class);
                for (int i = 0; i < a2.size(); i++) {
                    if (i == a2.size() - 1) {
                        sb2.append(((LabelTagInfoModel) a2.get(i)).getId());
                    } else {
                        sb2.append(((LabelTagInfoModel) a2.get(i)).getId());
                        sb2.append(",");
                    }
                }
            }
            c c0 = c.c0();
            j0 N2 = c0.N2(topic_id, coins, content, remoteCover, duration + "", sb2.toString(), remoteVideoPath);
            if (N2 == null) {
                throw new Exception("");
            } else if (N2.M()) {
                Result result = (Result) g.b(N2.a().O(), Result.class);
                if (!k0.y(result)) {
                    throw new Exception("");
                } else if (result.isOk()) {
                    byId.setStatus(2);
                    byId.setWorkId(result.getResult());
                    PostWorkUtil.update(byId);
                    Log.d("postwork", "===提交视频成功");
                    d.b(new PostWorkEvent(3));
                    return ListenableWorker.a.d();
                } else {
                    throw new Exception("");
                }
            } else {
                throw new Exception("");
            }
        } catch (Exception e2) {
            byId.setStatus(3);
            PostWorkUtil.update(byId);
            Log.d("postwork", "===提交视频失败了" + e2.getLocalizedMessage());
        }
    }
}
