package com.shuyu.gsyvideoplayer.j.c;

import android.annotation.SuppressLint;
import android.graphics.SurfaceTexture;
import android.opengl.GLES20;
import android.opengl.Matrix;
import android.view.Surface;
import androidx.work.d;
import com.shuyu.gsyvideoplayer.g.e;
import com.shuyu.gsyvideoplayer.j.b.q;
import com.shuyu.gsyvideoplayer.render.view.GSYVideoGLView;
import java.nio.Buffer;
import java.nio.ByteBuffer;
import java.nio.ByteOrder;
import java.nio.FloatBuffer;
import javax.microedition.khronos.egl.EGLConfig;
import javax.microedition.khronos.opengles.GL10;

@SuppressLint({"ViewConstructor"})
/* compiled from: GSYVideoGLViewSimpleRender */
public class b extends a {
    private static final int T0 = 4;
    private static final int U0 = 20;
    private static final int V0 = 0;
    private static final int W0 = 3;
    protected static final int X0 = 36197;
    private final float[] Y0;
    private final String Z0 = "uniform mat4 uMVPMatrix;\nuniform mat4 uSTMatrix;\nattribute vec4 aPosition;\nattribute vec4 aTextureCoord;\nvarying vec2 vTextureCoord;\nvoid main() {\n  gl_Position = uMVPMatrix * aPosition;\n  vTextureCoord = (uSTMatrix * aTextureCoord).xy;\n}\n";
    private int a1;
    private int[] b1 = new int[2];
    private int c1;
    private int d1;
    private int e1;
    private int f1;
    private boolean g1 = false;
    private boolean h1 = false;
    private FloatBuffer i1;
    private SurfaceTexture j1;
    private e k1;
    private GSYVideoGLView.c l1 = new q();

    public b() {
        float[] fArr = {-1.0f, -1.0f, 0.0f, 0.0f, 0.0f, 1.0f, -1.0f, 0.0f, 1.0f, 0.0f, -1.0f, 1.0f, 0.0f, 0.0f, 1.0f, 1.0f, 1.0f, 0.0f, 1.0f, 1.0f};
        this.Y0 = fArr;
        FloatBuffer asFloatBuffer = ByteBuffer.allocateDirect(fArr.length * 4).order(ByteOrder.nativeOrder()).asFloatBuffer();
        this.i1 = asFloatBuffer;
        asFloatBuffer.put(fArr).position(0);
        Matrix.setIdentityM(this.K0, 0);
        Matrix.setIdentityM(this.J0, 0);
    }

    public int A() {
        return this.e1;
    }

    public int B() {
        return this.f1;
    }

    public int C() {
        return this.c1;
    }

    public int D() {
        return this.d1;
    }

    public int E() {
        return this.a1;
    }

    public float[] F() {
        return this.K0;
    }

    public int[] G() {
        return this.b1;
    }

    /* access modifiers changed from: protected */
    public String H() {
        return "uniform mat4 uMVPMatrix;\nuniform mat4 uSTMatrix;\nattribute vec4 aPosition;\nattribute vec4 aTextureCoord;\nvarying vec2 vTextureCoord;\nvoid main() {\n  gl_Position = uMVPMatrix * aPosition;\n  vTextureCoord = (uSTMatrix * aTextureCoord).xy;\n}\n";
    }

    /* access modifiers changed from: protected */
    public void I() {
        if (this.P0) {
            this.a1 = c(H(), z());
            this.P0 = false;
        }
        GLES20.glClearColor(0.0f, 0.0f, 0.0f, 1.0f);
        GLES20.glClear(16640);
        GLES20.glUseProgram(this.a1);
        a("glUseProgram");
    }

    /* access modifiers changed from: protected */
    public void J() {
        this.i1.position(0);
        GLES20.glVertexAttribPointer(this.e1, 3, 5126, false, 20, (Buffer) this.i1);
        a("glVertexAttribPointer maPosition");
        GLES20.glEnableVertexAttribArray(this.e1);
        a("glEnableVertexAttribArray maPositionHandle");
        this.i1.position(3);
        GLES20.glVertexAttribPointer(this.f1, 3, 5126, false, 20, (Buffer) this.i1);
        a("glVertexAttribPointer maTextureHandle");
        GLES20.glEnableVertexAttribArray(this.f1);
        a("glEnableVertexAttribArray maTextureHandle");
        GLES20.glUniformMatrix4fv(this.c1, 1, false, this.J0, 0);
        GLES20.glUniformMatrix4fv(this.d1, 1, false, this.K0, 0);
        GLES20.glDrawArrays(5, 0, 4);
        a("glDrawArrays");
    }

    /* access modifiers changed from: protected */
    public void K(GL10 gl10) {
        if (this.h1) {
            this.h1 = false;
            if (this.k1 != null) {
                this.k1.a(b(0, 0, this.I0.getWidth(), this.I0.getHeight(), gl10));
            }
        }
    }

    @Override // com.shuyu.gsyvideoplayer.j.c.a
    public GSYVideoGLView.c h() {
        return this.l1;
    }

    @Override // com.shuyu.gsyvideoplayer.j.c.a
    public void l() {
    }

    public void onDrawFrame(GL10 gl10) {
        synchronized (this) {
            if (this.g1) {
                this.j1.updateTexImage();
                this.j1.getTransformMatrix(this.K0);
                this.g1 = false;
            }
        }
        I();
        y();
        J();
        K(gl10);
        GLES20.glFinish();
    }

    public synchronized void onFrameAvailable(SurfaceTexture surfaceTexture) {
        this.g1 = true;
    }

    public void onSurfaceChanged(GL10 gl10, int i, int i2) {
        GLES20.glViewport(0, 0, i, i2);
    }

    public void onSurfaceCreated(GL10 gl10, EGLConfig eGLConfig) {
        int c2 = c(H(), z());
        this.a1 = c2;
        if (c2 != 0) {
            this.e1 = GLES20.glGetAttribLocation(c2, "aPosition");
            a("glGetAttribLocation aPosition");
            if (this.e1 != -1) {
                this.f1 = GLES20.glGetAttribLocation(this.a1, "aTextureCoord");
                a("glGetAttribLocation aTextureCoord");
                if (this.f1 != -1) {
                    this.c1 = GLES20.glGetUniformLocation(this.a1, "uMVPMatrix");
                    a("glGetUniformLocation uMVPMatrix");
                    if (this.c1 != -1) {
                        this.d1 = GLES20.glGetUniformLocation(this.a1, "uSTMatrix");
                        a("glGetUniformLocation uSTMatrix");
                        if (this.d1 != -1) {
                            GLES20.glGenTextures(2, this.b1, 0);
                            GLES20.glBindTexture(X0, this.b1[0]);
                            a("glBindTexture mTextureID");
                            GLES20.glTexParameteri(3553, 10241, 9729);
                            GLES20.glTexParameteri(3553, d.f4452c, 9729);
                            GLES20.glTexParameteri(3553, 10242, 33071);
                            GLES20.glTexParameteri(3553, 10243, 33071);
                            SurfaceTexture surfaceTexture = new SurfaceTexture(this.b1[0]);
                            this.j1 = surfaceTexture;
                            surfaceTexture.setOnFrameAvailableListener(this);
                            m(new Surface(this.j1));
                            return;
                        }
                        throw new RuntimeException("Could not get attrib location for uSTMatrix");
                    }
                    throw new RuntimeException("Could not get attrib location for uMVPMatrix");
                }
                throw new RuntimeException("Could not get attrib location for aTextureCoord");
            }
            throw new RuntimeException("Could not get attrib location for aPosition");
        }
    }

    @Override // com.shuyu.gsyvideoplayer.j.c.a
    public void r(GSYVideoGLView.c cVar) {
        if (cVar != null) {
            this.l1 = cVar;
        }
        this.P0 = true;
        this.Q0 = true;
    }

    @Override // com.shuyu.gsyvideoplayer.j.c.a
    public void u(e eVar, boolean z) {
        this.k1 = eVar;
        this.f21038a = z;
    }

    @Override // com.shuyu.gsyvideoplayer.j.c.a
    public void x() {
        this.h1 = true;
    }

    /* access modifiers changed from: protected */
    public void y() {
        GLES20.glActiveTexture(33984);
        GLES20.glBindTexture(X0, this.b1[0]);
    }

    /* access modifiers changed from: protected */
    public String z() {
        return this.l1.a(this.I0);
    }
}
