package com.shuyu.gsyvideoplayer.k;

import android.app.Activity;
import android.content.Context;
import android.content.ContextWrapper;
import android.net.ConnectivityManager;
import android.os.Build;
import android.util.DisplayMetrics;
import android.util.TypedValue;
import android.view.WindowManager;
import androidx.appcompat.app.ActionBar;
import androidx.appcompat.app.AppCompatActivity;
import androidx.appcompat.c.d;
import androidx.appcompat.widget.c0;
import androidx.fragment.app.FragmentActivity;
import com.blankj.utilcode.constant.a;
import java.io.File;
import java.util.Formatter;
import java.util.Locale;
import tv.danmaku.ijk.media.player.i;

/* compiled from: CommonUtil */
public class b {
    public static void a(String str) {
        File file = new File(str);
        if (!file.exists()) {
            return;
        }
        if (file.isFile()) {
            file.delete();
            return;
        }
        String[] list = file.list();
        for (String str2 : list) {
            a(str + File.separator + str2);
        }
        file.delete();
    }

    public static int b(Context context, float f) {
        return (int) ((f * context.getResources().getDisplayMetrics().density) + 0.5f);
    }

    public static int c(Activity activity) {
        TypedValue typedValue = new TypedValue();
        if (activity.getTheme().resolveAttribute(16843499, typedValue, true)) {
            return TypedValue.complexToDimensionPixelSize(typedValue.data, activity.getResources().getDisplayMetrics());
        }
        return 0;
    }

    public static Activity d(Context context) {
        if (context == null) {
            return null;
        }
        if (context instanceof Activity) {
            return (Activity) context;
        }
        if (context instanceof c0) {
            return o(((c0) context).getBaseContext());
        }
        if (context instanceof ContextWrapper) {
            return o(((ContextWrapper) context).getBaseContext());
        }
        return null;
    }

    public static AppCompatActivity e(Context context) {
        if (context == null) {
            return null;
        }
        if (context instanceof AppCompatActivity) {
            return (AppCompatActivity) context;
        }
        if (context instanceof d) {
            return e(((d) context).getBaseContext());
        }
        return null;
    }

    public static boolean f(Activity activity) {
        if (activity.getWindowManager().getDefaultDisplay().getRotation() == 1 || activity.getWindowManager().getDefaultDisplay().getRotation() == 3) {
            return true;
        }
        return false;
    }

    public static int g(Context context) {
        DisplayMetrics displayMetrics = new DisplayMetrics();
        ((WindowManager) context.getSystemService("window")).getDefaultDisplay().getMetrics(displayMetrics);
        return displayMetrics.heightPixels;
    }

    public static int h(Context context) {
        DisplayMetrics displayMetrics = new DisplayMetrics();
        ((WindowManager) context.getSystemService("window")).getDefaultDisplay().getMetrics(displayMetrics);
        return displayMetrics.widthPixels;
    }

    public static int i(Context context) {
        int identifier = context.getResources().getIdentifier("status_bar_height", "dimen", "android");
        if (identifier > 0) {
            return context.getResources().getDimensionPixelSize(identifier);
        }
        return 0;
    }

    public static String j(long j) {
        if (j >= 0 && j < 1024) {
            return j + " KB/s";
        } else if (j >= 1024 && j < 1048576) {
            return Long.toString(j / 1024) + " KB/s";
        } else if (j < 1048576 || j >= i.X) {
            return "";
        } else {
            return Long.toString(j / 1048576) + " MB/s";
        }
    }

    public static void k(Context context) {
        if (Build.VERSION.SDK_INT >= 19) {
            ((Activity) context).getWindow().getDecorView().setSystemUiVisibility(2562);
        } else {
            ((Activity) context).getWindow().getDecorView().setSystemUiVisibility(514);
        }
    }

    public static void l(Context context, boolean z, boolean z2) {
        AppCompatActivity e2;
        ActionBar supportActionBar;
        if (!(!z || (e2 = e(context)) == null || (supportActionBar = e2.getSupportActionBar()) == null)) {
            supportActionBar.u0(false);
            supportActionBar.C();
        }
        if (!z2) {
            return;
        }
        if (context instanceof FragmentActivity) {
            ((FragmentActivity) context).getWindow().setFlags(1024, 1024);
        } else {
            e(context).getWindow().setFlags(1024, 1024);
        }
    }

    public static boolean m(Context context) {
        if (((ConnectivityManager) context.getSystemService("connectivity")).getNetworkInfo(1).isConnected()) {
            return true;
        }
        return false;
    }

    public static int n(Context context, float f) {
        return (int) ((f / context.getResources().getDisplayMetrics().density) + 0.5f);
    }

    public static Activity o(Context context) {
        if (context == null) {
            return null;
        }
        if (context instanceof Activity) {
            return (Activity) context;
        }
        if (context instanceof c0) {
            return o(((c0) context).getBaseContext());
        }
        if (context instanceof ContextWrapper) {
            return o(((ContextWrapper) context).getBaseContext());
        }
        return null;
    }

    public static void p(Context context, int i) {
        ((Activity) context).getWindow().getDecorView().setSystemUiVisibility(i);
    }

    public static void q(Context context, boolean z, boolean z2) {
        AppCompatActivity e2;
        ActionBar supportActionBar;
        if (!(!z || (e2 = e(context)) == null || (supportActionBar = e2.getSupportActionBar()) == null)) {
            supportActionBar.u0(false);
            supportActionBar.C0();
        }
        if (!z2) {
            return;
        }
        if (context instanceof FragmentActivity) {
            ((FragmentActivity) context).getWindow().clearFlags(1024);
        } else {
            e(context).getWindow().clearFlags(1024);
        }
    }

    public static String r(int i) {
        if (i <= 0 || i >= 86400000) {
            return "00:00";
        }
        int i2 = i / 1000;
        int i3 = i2 % 60;
        int i4 = (i2 / 60) % 60;
        int i5 = i2 / a.f6461c;
        Formatter formatter = new Formatter(new StringBuilder(), Locale.getDefault());
        if (i5 > 0) {
            return formatter.format("%d:%02d:%02d", Integer.valueOf(i5), Integer.valueOf(i4), Integer.valueOf(i3)).toString();
        }
        return formatter.format("%02d:%02d", Integer.valueOf(i4), Integer.valueOf(i3)).toString();
    }
}
