package com.yalantis.ucrop;

import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import android.os.Environment;
import android.text.TextUtils;
import android.view.View;
import android.view.animation.AnimationUtils;
import android.widget.FrameLayout;
import android.widget.RelativeLayout;
import androidx.core.content.d;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import androidx.recyclerview.widget.c0;
import com.luck.picture.lib.R;
import com.luck.picture.lib.config.b;
import com.luck.picture.lib.entity.LocalMedia;
import com.luck.picture.lib.z0.k;
import com.luck.picture.lib.z0.l;
import com.yalantis.ucrop.a;
import com.yalantis.ucrop.b;
import com.yalantis.ucrop.e.e;
import java.io.File;
import java.util.ArrayList;
import java.util.Objects;

public class PictureMultiCuttingActivity extends UCropActivity {
    private static final int D1 = 1;
    private RecyclerView E1;
    private a F1;
    private final ArrayList<LocalMedia> G1 = new ArrayList<>();
    private boolean H1;
    private int I1;
    private int J1;
    private String K1;
    private boolean L1;
    private boolean M1;

    /* access modifiers changed from: package-private */
    public class a implements a.b {
        a() {
        }

        @Override // com.yalantis.ucrop.a.b
        public void a(int i, View view) {
            if (!b.m(((LocalMedia) PictureMultiCuttingActivity.this.G1.get(i)).p()) && PictureMultiCuttingActivity.this.I1 != i) {
                PictureMultiCuttingActivity.this.i1();
                PictureMultiCuttingActivity.this.I1 = i;
                PictureMultiCuttingActivity pictureMultiCuttingActivity = PictureMultiCuttingActivity.this;
                pictureMultiCuttingActivity.J1 = pictureMultiCuttingActivity.I1;
                PictureMultiCuttingActivity.this.g1();
            }
        }
    }

    private void b1() {
        boolean booleanExtra = getIntent().getBooleanExtra(b.a.M, true);
        RecyclerView recyclerView = new RecyclerView(this);
        this.E1 = recyclerView;
        int i = R.id.id_recycler;
        recyclerView.setId(i);
        this.E1.setBackgroundColor(d.f(this, R.color.ucrop_color_widget_background));
        this.E1.setLayoutParams(new RelativeLayout.LayoutParams(-1, k.a(this, 80.0f)));
        LinearLayoutManager linearLayoutManager = new LinearLayoutManager(this);
        linearLayoutManager.setOrientation(0);
        if (this.M1) {
            this.E1.setLayoutAnimation(AnimationUtils.loadLayoutAnimation(getApplicationContext(), R.anim.ucrop_layout_animation_fall_down));
        }
        this.E1.setLayoutManager(linearLayoutManager);
        RecyclerView.ItemAnimator itemAnimator = this.E1.getItemAnimator();
        Objects.requireNonNull(itemAnimator);
        ((c0) itemAnimator).Y(false);
        h1();
        this.G1.get(this.I1).S(true);
        a aVar = new a(this.G1);
        this.F1 = aVar;
        this.E1.setAdapter(aVar);
        if (booleanExtra) {
            this.F1.q(new a());
        }
        this.e1.addView(this.E1);
        c1(this.c1);
        ((RelativeLayout.LayoutParams) ((FrameLayout) findViewById(R.id.ucrop_frame)).getLayoutParams()).addRule(2, i);
        ((RelativeLayout.LayoutParams) this.E1.getLayoutParams()).addRule(2, R.id.controls_wrapper);
    }

    private void c1(boolean z) {
        if (this.E1.getLayoutParams() != null) {
            if (z) {
                ((RelativeLayout.LayoutParams) this.E1.getLayoutParams()).addRule(12, 0);
                ((RelativeLayout.LayoutParams) this.E1.getLayoutParams()).addRule(2, R.id.wrapper_controls);
                return;
            }
            ((RelativeLayout.LayoutParams) this.E1.getLayoutParams()).addRule(12);
            ((RelativeLayout.LayoutParams) this.E1.getLayoutParams()).addRule(2, 0);
        }
    }

    private void d1(int i) {
        for (int i2 = 0; i2 < i; i2++) {
            LocalMedia localMedia = this.G1.get(i2);
            if (localMedia != null && com.luck.picture.lib.config.b.l(localMedia.p())) {
                this.I1 = i2;
                return;
            }
        }
    }

    private void e1() {
        ArrayList<LocalMedia> arrayList = this.G1;
        if (arrayList == null || arrayList.size() == 0) {
            onBackPressed();
            return;
        }
        int size = this.G1.size();
        if (this.H1) {
            d1(size);
        }
    }

    private void f1() {
        h1();
        this.G1.get(this.I1).S(true);
        this.F1.notifyItemChanged(this.I1);
        this.e1.addView(this.E1);
        c1(this.c1);
        ((RelativeLayout.LayoutParams) ((FrameLayout) findViewById(R.id.ucrop_frame)).getLayoutParams()).addRule(2, R.id.id_recycler);
        ((RelativeLayout.LayoutParams) this.E1.getLayoutParams()).addRule(2, R.id.controls_wrapper);
    }

    private void h1() {
        int size = this.G1.size();
        for (int i = 0; i < size; i++) {
            this.G1.get(i).S(false);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void i1() {
        int i;
        int size = this.G1.size();
        if (size > 1 && size > (i = this.J1)) {
            this.G1.get(i).S(false);
            this.F1.notifyItemChanged(this.I1);
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.yalantis.ucrop.UCropActivity
    public void M0(Uri uri, float f, int i, int i2, int i3, int i4) {
        try {
            int size = this.G1.size();
            int i5 = this.I1;
            if (size < i5) {
                onBackPressed();
                return;
            }
            LocalMedia localMedia = this.G1.get(i5);
            localMedia.T(uri.getPath());
            localMedia.S(true);
            localMedia.R(f);
            localMedia.P(i);
            localMedia.Q(i2);
            localMedia.N(i3);
            localMedia.M(i4);
            localMedia.F(l.a() ? localMedia.j() : localMedia.a());
            localMedia.j0(!TextUtils.isEmpty(localMedia.j()) ? new File(localMedia.j()).length() : localMedia.x());
            i1();
            int i6 = this.I1 + 1;
            this.I1 = i6;
            if (this.H1 && i6 < this.G1.size() && com.luck.picture.lib.config.b.m(this.G1.get(this.I1).p())) {
                while (true) {
                    if (this.I1 >= this.G1.size()) {
                        break;
                    } else if (com.luck.picture.lib.config.b.l(this.G1.get(this.I1).p())) {
                        break;
                    } else {
                        this.I1++;
                    }
                }
            }
            int i7 = this.I1;
            this.J1 = i7;
            if (i7 >= this.G1.size()) {
                for (int i8 = 0; i8 < this.G1.size(); i8++) {
                    LocalMedia localMedia2 = this.G1.get(i8);
                    localMedia2.S(!TextUtils.isEmpty(localMedia2.j()));
                }
                setResult(-1, new Intent().putExtra(b.a.S, this.G1));
                onBackPressed();
                return;
            }
            g1();
        } catch (Exception e2) {
            e2.printStackTrace();
        }
    }

    /* access modifiers changed from: protected */
    public void g1() {
        Uri uri;
        String str;
        this.e1.removeView(this.E1);
        View view = this.s1;
        if (view != null) {
            this.e1.removeView(view);
        }
        setContentView(R.layout.ucrop_activity_photobox);
        this.e1 = (RelativeLayout) findViewById(R.id.ucrop_photobox);
        r0();
        Intent intent = getIntent();
        Bundle extras = intent.getExtras();
        if (extras == null) {
            extras = new Bundle();
        }
        LocalMedia localMedia = this.G1.get(this.I1);
        String u = localMedia.u();
        boolean k = com.luck.picture.lib.config.b.k(u);
        String c2 = com.luck.picture.lib.config.b.c(com.luck.picture.lib.config.b.g(u) ? e.d(this, Uri.parse(u)) : u);
        if (!TextUtils.isEmpty(localMedia.a())) {
            uri = Uri.fromFile(new File(localMedia.a()));
        } else {
            uri = (k || com.luck.picture.lib.config.b.g(u)) ? Uri.parse(u) : Uri.fromFile(new File(u));
        }
        extras.putParcelable(b.f, uri);
        File externalFilesDir = Environment.getExternalStorageState().equals("mounted") ? getExternalFilesDir(Environment.DIRECTORY_PICTURES) : getCacheDir();
        if (TextUtils.isEmpty(this.K1)) {
            str = com.luck.picture.lib.z0.e.e("IMG_CROP_") + c2;
        } else {
            str = this.L1 ? this.K1 : e.i(this.K1);
        }
        extras.putParcelable(b.g, Uri.fromFile(new File(externalFilesDir, str)));
        intent.putExtras(extras);
        V0(intent);
        f1();
        H0(intent);
        I0();
        double a2 = (double) (this.I1 * k.a(this, 60.0f));
        int i = this.S0;
        if (a2 > ((double) i) * 0.8d) {
            this.E1.scrollBy(k.a(this, 60.0f), 0);
        } else if (a2 < ((double) i) * 0.4d) {
            this.E1.scrollBy(k.a(this, -60.0f), 0);
        }
    }

    @Override // androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity, com.yalantis.ucrop.UCropActivity
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        Intent intent = getIntent();
        this.K1 = intent.getStringExtra(b.a.N);
        this.L1 = intent.getBooleanExtra(b.a.O, false);
        this.H1 = intent.getBooleanExtra(b.a.R, false);
        ArrayList parcelableArrayListExtra = getIntent().getParcelableArrayListExtra(b.a.Q);
        this.M1 = getIntent().getBooleanExtra(b.a.P, true);
        if (parcelableArrayListExtra == null || parcelableArrayListExtra.size() == 0) {
            onBackPressed();
            return;
        }
        this.G1.addAll(parcelableArrayListExtra);
        if (this.G1.size() > 1) {
            e1();
            b1();
        }
    }

    /* access modifiers changed from: protected */
    @Override // androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity
    public void onDestroy() {
        a aVar = this.F1;
        if (aVar != null) {
            aVar.q(null);
        }
        super.onDestroy();
    }
}
