package tv.danmaku.ijk.media.player;

import android.annotation.SuppressLint;
import android.annotation.TargetApi;
import android.content.Context;
import android.content.res.AssetFileDescriptor;
import android.graphics.Rect;
import android.media.MediaCodecInfo;
import android.media.MediaCodecList;
import android.media.RingtoneManager;
import android.net.Uri;
import android.os.Build;
import android.os.Bundle;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.os.ParcelFileDescriptor;
import android.os.PowerManager;
import android.text.TextUtils;
import android.util.Log;
import android.view.Surface;
import android.view.SurfaceHolder;
import com.google.firebase.analytics.FirebaseAnalytics;
import java.io.FileDescriptor;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.lang.ref.WeakReference;
import java.lang.reflect.Field;
import java.security.InvalidParameterException;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.Locale;
import java.util.Map;
import tv.danmaku.ijk.media.player.annotations.AccessedByNative;
import tv.danmaku.ijk.media.player.annotations.CalledByNative;
import tv.danmaku.ijk.media.player.i;
import tv.danmaku.ijk.media.player.misc.IAndroidIO;
import tv.danmaku.ijk.media.player.misc.IMediaDataSource;

public final class IjkMediaPlayer extends a {
    public static final int A1 = 2;
    public static final int B1 = 3;
    public static final int C1 = 20005;
    public static final int D1 = 20006;
    public static final int E1 = 20007;
    public static final int F1 = 20008;
    public static final int G1 = 20009;
    public static final int H1 = 20010;
    public static final int I1 = 20201;
    public static final int J1 = 20202;
    public static final int K1 = 20203;
    public static final int L1 = 20204;
    public static final int M1 = 20205;
    public static final int N1 = 20206;
    private static final String O0 = "tv.danmaku.ijk.media.player.IjkMediaPlayer";
    public static final int O1 = 20207;
    private static final int P0 = 0;
    public static final int P1 = 20208;
    private static final int Q0 = 1;
    public static final int Q1 = 20209;
    private static final int R0 = 2;
    public static final int R1 = 20210;
    private static final int S0 = 3;
    public static final int S1 = 20100;
    private static final int T0 = 4;
    public static final int T1 = 20200;
    private static final int U0 = 5;
    public static final int U1 = 20300;
    private static final int V0 = 99;
    public static final int V1 = 20211;
    private static final int W0 = 100;
    private static final g W1 = new a();
    private static final int X0 = 200;
    private static volatile boolean X1 = false;
    protected static final int Y0 = 10001;
    private static volatile boolean Y1 = false;
    public static final int Z0 = 0;
    public static final int a1 = 1;
    public static final int b1 = 2;
    public static final int c1 = 3;
    public static final int d1 = 4;
    public static final int e1 = 5;
    public static final int f1 = 6;
    public static final int g1 = 7;
    public static final int h1 = 8;
    public static final int i1 = 1;
    public static final int j1 = 2;
    public static final int k1 = 3;
    public static final int l1 = 4;
    public static final int m1 = 842094169;
    public static final int n1 = 909203026;
    public static final int o1 = 842225234;
    public static final int p1 = 10001;
    public static final int q1 = 10002;
    public static final int r1 = 10003;
    public static final int s1 = 10007;
    public static final int t1 = 20001;
    public static final int u1 = 20002;
    public static final int v1 = 20011;
    public static final int w1 = 20003;
    public static final int x1 = 20004;
    public static final int y1 = 0;
    public static final int z1 = 1;
    @AccessedByNative
    private long Z1;
    @AccessedByNative
    private long a2;
    @AccessedByNative
    private long b2;
    @AccessedByNative
    private int c2;
    @AccessedByNative
    private int d2;
    private SurfaceHolder e2;
    private c f2;
    private PowerManager.WakeLock g2;
    private boolean h2;
    private boolean i2;
    private int j2;
    private int k2;
    private int l2;
    private int m2;
    private String n2;
    private d o2;
    private f p2;
    private e q2;

    static class a implements g {
        a() {
        }

        @Override // tv.danmaku.ijk.media.player.g
        public void a(String str) throws UnsatisfiedLinkError, SecurityException {
            System.loadLibrary(str);
        }
    }

    public static class b implements e {

        /* renamed from: a  reason: collision with root package name */
        public static final b f23025a = new b();

        @Override // tv.danmaku.ijk.media.player.IjkMediaPlayer.e
        @TargetApi(16)
        public String a(d dVar, String str, int i, int i2) {
            String[] supportedTypes;
            h f;
            if (Build.VERSION.SDK_INT < 16 || TextUtils.isEmpty(str)) {
                return null;
            }
            Log.i(IjkMediaPlayer.O0, String.format(Locale.US, "onSelectCodec: mime=%s, profile=%d, level=%d", str, Integer.valueOf(i), Integer.valueOf(i2)));
            ArrayList arrayList = new ArrayList();
            int codecCount = MediaCodecList.getCodecCount();
            for (int i3 = 0; i3 < codecCount; i3++) {
                MediaCodecInfo codecInfoAt = MediaCodecList.getCodecInfoAt(i3);
                Log.d(IjkMediaPlayer.O0, String.format(Locale.US, "  found codec: %s", codecInfoAt.getName()));
                if (!codecInfoAt.isEncoder() && (supportedTypes = codecInfoAt.getSupportedTypes()) != null) {
                    for (String str2 : supportedTypes) {
                        if (!TextUtils.isEmpty(str2)) {
                            String str3 = IjkMediaPlayer.O0;
                            Locale locale = Locale.US;
                            Log.d(str3, String.format(locale, "    mime: %s", str2));
                            if (str2.equalsIgnoreCase(str) && (f = h.f(codecInfoAt, str)) != null) {
                                arrayList.add(f);
                                Log.i(IjkMediaPlayer.O0, String.format(locale, "candidate codec: %s rank=%d", codecInfoAt.getName(), Integer.valueOf(f.l)));
                                f.a(str);
                            }
                        }
                    }
                }
            }
            if (arrayList.isEmpty()) {
                return null;
            }
            h hVar = (h) arrayList.get(0);
            Iterator it = arrayList.iterator();
            while (it.hasNext()) {
                h hVar2 = (h) it.next();
                if (hVar2.l > hVar.l) {
                    hVar = hVar2;
                }
            }
            if (hVar.l < 600) {
                Log.w(IjkMediaPlayer.O0, String.format(Locale.US, "unaccetable codec: %s", hVar.k.getName()));
                return null;
            }
            Log.i(IjkMediaPlayer.O0, String.format(Locale.US, "selected codec: %s rank=%d", hVar.k.getName(), Integer.valueOf(hVar.l)));
            return hVar.k.getName();
        }
    }

    /* access modifiers changed from: private */
    public static class c extends Handler {

        /* renamed from: a  reason: collision with root package name */
        private final WeakReference<IjkMediaPlayer> f23026a;

        public c(IjkMediaPlayer ijkMediaPlayer, Looper looper) {
            super(looper);
            this.f23026a = new WeakReference<>(ijkMediaPlayer);
        }

        public void handleMessage(Message message) {
            IjkMediaPlayer ijkMediaPlayer = this.f23026a.get();
            if (ijkMediaPlayer != null) {
                long j = 0;
                if (ijkMediaPlayer.Z1 != 0) {
                    int i = message.what;
                    if (i == 0) {
                        return;
                    }
                    if (i == 1) {
                        ijkMediaPlayer.C0();
                        return;
                    } else if (i == 2) {
                        ijkMediaPlayer.M1(false);
                        ijkMediaPlayer.z0();
                        return;
                    } else if (i == 3) {
                        long j2 = (long) message.arg1;
                        if (j2 < 0) {
                            j2 = 0;
                        }
                        long duration = ijkMediaPlayer.getDuration();
                        long j3 = 100;
                        if (duration > 0) {
                            j = (j2 * 100) / duration;
                        }
                        if (j < 100) {
                            j3 = j;
                        }
                        ijkMediaPlayer.y0((int) j3);
                        return;
                    } else if (i == 4) {
                        ijkMediaPlayer.D0();
                        return;
                    } else if (i == 5) {
                        ijkMediaPlayer.j2 = message.arg1;
                        ijkMediaPlayer.k2 = message.arg2;
                        ijkMediaPlayer.F0(ijkMediaPlayer.j2, ijkMediaPlayer.k2, ijkMediaPlayer.l2, ijkMediaPlayer.m2);
                        return;
                    } else if (i != 99) {
                        if (i == 100) {
                            tv.danmaku.ijk.media.player.n.a.d(IjkMediaPlayer.O0, "Error (" + message.arg1 + "," + message.arg2 + ")");
                            if (!ijkMediaPlayer.A0(message.arg1, message.arg2)) {
                                ijkMediaPlayer.z0();
                            }
                            ijkMediaPlayer.M1(false);
                            return;
                        } else if (i == 200) {
                            if (message.arg1 == 3) {
                                tv.danmaku.ijk.media.player.n.a.g(IjkMediaPlayer.O0, "Info: MEDIA_INFO_VIDEO_RENDERING_START\n");
                            }
                            ijkMediaPlayer.B0(message.arg1, message.arg2);
                            return;
                        } else if (i != 10001) {
                            tv.danmaku.ijk.media.player.n.a.d(IjkMediaPlayer.O0, "Unknown message type " + message.what);
                            return;
                        } else {
                            ijkMediaPlayer.l2 = message.arg1;
                            ijkMediaPlayer.m2 = message.arg2;
                            ijkMediaPlayer.F0(ijkMediaPlayer.j2, ijkMediaPlayer.k2, ijkMediaPlayer.l2, ijkMediaPlayer.m2);
                            return;
                        }
                    } else if (message.obj == null) {
                        ijkMediaPlayer.E0(null);
                        return;
                    } else {
                        ijkMediaPlayer.E0(new j(new Rect(0, 0, 1, 1), (String) message.obj));
                        return;
                    }
                }
            }
            tv.danmaku.ijk.media.player.n.a.o(IjkMediaPlayer.O0, "IjkMediaPlayer went away with unhandled events");
        }
    }

    public interface d {
        String a(int i);
    }

    public interface e {
        String a(d dVar, String str, int i, int i2);
    }

    public interface f {

        /* renamed from: a  reason: collision with root package name */
        public static final int f23027a = 131073;

        /* renamed from: b  reason: collision with root package name */
        public static final int f23028b = 131074;

        /* renamed from: c  reason: collision with root package name */
        public static final int f23029c = 131075;

        /* renamed from: d  reason: collision with root package name */
        public static final int f23030d = 131077;

        /* renamed from: e  reason: collision with root package name */
        public static final int f23031e = 131079;
        public static final int f = 1;
        public static final int g = 2;
        public static final int h = 3;
        public static final int i = 4;
        public static final String j = "url";
        public static final String k = "segment_index";
        public static final String l = "retry_counter";
        public static final String m = "error";
        public static final String n = "family";
        public static final String o = "ip";
        public static final String p = "port";
        public static final String q = "fd";
        public static final String r = "offset";
        public static final String s = "http_code";
        public static final String t = "file_size";

        boolean a(int i2, Bundle bundle);
    }

    public IjkMediaPlayer() {
        this(W1);
    }

    @CalledByNative
    private static void A1(Object obj, int i, int i3, int i4, Object obj2) {
        IjkMediaPlayer ijkMediaPlayer;
        if (obj != null && (ijkMediaPlayer = (IjkMediaPlayer) ((WeakReference) obj).get()) != null) {
            if (i == 200 && i3 == 2) {
                ijkMediaPlayer.start();
            }
            c cVar = ijkMediaPlayer.f2;
            if (cVar != null) {
                ijkMediaPlayer.f2.sendMessage(cVar.obtainMessage(i, i3, i4, obj2));
            }
        }
    }

    private void E1(FileDescriptor fileDescriptor, long j, long j3) throws IOException, IllegalArgumentException, IllegalStateException {
        U(fileDescriptor);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    @SuppressLint({"Wakelock"})
    private void M1(boolean z) {
        PowerManager.WakeLock wakeLock = this.g2;
        if (wakeLock != null) {
            if (z && !wakeLock.isHeld()) {
                this.g2.acquire();
            } else if (!z && this.g2.isHeld()) {
                this.g2.release();
            }
        }
        this.i2 = z;
        N1();
    }

    private void N1() {
        SurfaceHolder surfaceHolder = this.e2;
        if (surfaceHolder != null) {
            surfaceHolder.setKeepScreenOn(this.h2 && this.i2);
        }
    }

    private native String _getAudioCodecInfo();

    private static native String _getColorFormatName(int i);

    private native int _getLoopCount();

    private native Bundle _getMediaMeta();

    private native float _getPropertyFloat(int i, float f3);

    private native long _getPropertyLong(int i, long j);

    private native String _getVideoCodecInfo();

    private native void _pause() throws IllegalStateException;

    private native void _release();

    private native void _reset();

    private native void _setAndroidIOCallback(IAndroidIO iAndroidIO) throws IllegalArgumentException, SecurityException, IllegalStateException;

    private native void _setDataSource(String str, String[] strArr, String[] strArr2) throws IOException, IllegalArgumentException, SecurityException, IllegalStateException;

    private native void _setDataSource(IMediaDataSource iMediaDataSource) throws IllegalArgumentException, SecurityException, IllegalStateException;

    private native void _setDataSourceFd(int i) throws IOException, IllegalArgumentException, SecurityException, IllegalStateException;

    private native void _setFrameAtTime(String str, long j, long j3, int i, int i3) throws IllegalArgumentException, IllegalStateException;

    private native void _setLoopCount(int i);

    private native void _setOption(int i, String str, long j);

    private native void _setOption(int i, String str, String str2);

    private native void _setPropertyFloat(int i, float f3);

    private native void _setPropertyLong(int i, long j);

    private native void _setStreamSelected(int i, boolean z);

    private native void _setVideoSurface(Surface surface);

    private native void _start() throws IllegalStateException;

    private native void _stop() throws IllegalStateException;

    public static String e1(int i) {
        return _getColorFormatName(i);
    }

    private native void native_finalize();

    private static native void native_init();

    private native void native_message_loop(Object obj);

    public static native void native_profileBegin(String str);

    public static native void native_profileEnd();

    public static native void native_setLogLevel(int i);

    private native void native_setup(Object obj);

    private static void v1() {
        synchronized (IjkMediaPlayer.class) {
            if (!Y1) {
                native_init();
                Y1 = true;
            }
        }
    }

    private void w1(g gVar) {
        x1(gVar);
        v1();
        Looper myLooper = Looper.myLooper();
        if (myLooper != null) {
            this.f2 = new c(this, myLooper);
        } else {
            Looper mainLooper = Looper.getMainLooper();
            if (mainLooper != null) {
                this.f2 = new c(this, mainLooper);
            } else {
                this.f2 = null;
            }
        }
        native_setup(new WeakReference(this));
    }

    public static void x1(g gVar) {
        synchronized (IjkMediaPlayer.class) {
            if (!X1) {
                if (gVar == null) {
                    gVar = W1;
                }
                gVar.a("ijkffmpeg");
                gVar.a("ijksdl");
                gVar.a("ijkplayer");
                X1 = true;
            }
        }
    }

    @CalledByNative
    private static boolean y1(Object obj, int i, Bundle bundle) {
        d dVar;
        tv.danmaku.ijk.media.player.n.a.i(O0, "onNativeInvoke %d", Integer.valueOf(i));
        if (obj == null || !(obj instanceof WeakReference)) {
            throw new IllegalStateException("<null weakThiz>.onNativeInvoke()");
        }
        IjkMediaPlayer ijkMediaPlayer = (IjkMediaPlayer) ((WeakReference) obj).get();
        if (ijkMediaPlayer != null) {
            f fVar = ijkMediaPlayer.p2;
            if (fVar != null && fVar.a(i, bundle)) {
                return true;
            }
            if (i != 131079 || (dVar = ijkMediaPlayer.o2) == null) {
                return false;
            }
            int i3 = bundle.getInt(f.k, -1);
            if (i3 >= 0) {
                String a3 = dVar.a(i3);
                if (a3 != null) {
                    bundle.putString("url", a3);
                    return true;
                }
                throw new RuntimeException(new IOException("onNativeInvoke() = <NULL newUrl>"));
            }
            throw new InvalidParameterException("onNativeInvoke(invalid segment index)");
        }
        throw new IllegalStateException("<null weakPlayer>.onNativeInvoke()");
    }

    @CalledByNative
    private static String z1(Object obj, String str, int i, int i3) {
        IjkMediaPlayer ijkMediaPlayer;
        if (obj == null || !(obj instanceof WeakReference) || (ijkMediaPlayer = (IjkMediaPlayer) ((WeakReference) obj).get()) == null) {
            return null;
        }
        e eVar = ijkMediaPlayer.q2;
        if (eVar == null) {
            eVar = b.f23025a;
        }
        return eVar.a(ijkMediaPlayer, str, i, i3);
    }

    @Override // tv.danmaku.ijk.media.player.a, tv.danmaku.ijk.media.player.d
    public void B(IMediaDataSource iMediaDataSource) throws IllegalArgumentException, SecurityException, IllegalStateException {
        _setDataSource(iMediaDataSource);
    }

    public void B1(int i) {
        _setStreamSelected(i, true);
    }

    public void C1(IAndroidIO iAndroidIO) throws IllegalArgumentException, SecurityException, IllegalStateException {
        _setAndroidIOCallback(iAndroidIO);
    }

    public void D1(int i) {
        _setPropertyLong(R1, (long) i);
    }

    public void F1(String str, Map<String, String> map) throws IOException, IllegalArgumentException, SecurityException, IllegalStateException {
        if (map != null && !map.isEmpty()) {
            StringBuilder sb = new StringBuilder();
            for (Map.Entry<String, String> entry : map.entrySet()) {
                sb.append(entry.getKey());
                sb.append(":");
                if (!TextUtils.isEmpty(entry.getValue())) {
                    sb.append(entry.getValue());
                }
                sb.append("\r\n");
                K1(1, "headers", sb.toString());
                K1(1, "protocol_whitelist", "async,cache,crypto,file,http,https,ijkhttphook,ijkinject,ijklivehook,ijklongurl,ijksegment,ijktcphook,pipe,rtp,tcp,tls,udp,ijkurlhook,data");
            }
        }
        k0(str);
    }

    @Override // tv.danmaku.ijk.media.player.a
    public void G0() {
        super.G0();
        this.q2 = null;
    }

    public void G1(d dVar) {
        this.o2 = dVar;
    }

    public void H1(e eVar) {
        this.q2 = eVar;
    }

    public void I1(f fVar) {
        this.p2 = fVar;
    }

    public void J1(int i, String str, long j) {
        _setOption(i, str, j);
    }

    public void K1(int i, String str, String str2) {
        _setOption(i, str, str2);
    }

    public void L1(float f3) {
        _setPropertyFloat(10003, f3);
    }

    @Override // tv.danmaku.ijk.media.player.d
    public void M(int i) {
    }

    @Override // tv.danmaku.ijk.media.player.d
    public boolean P() {
        return _getLoopCount() != 1;
    }

    @Override // tv.danmaku.ijk.media.player.d
    public void S(Surface surface) {
        if (this.h2 && surface != null) {
            tv.danmaku.ijk.media.player.n.a.o(O0, "setScreenOnWhilePlaying(true) is ineffective for Surface");
        }
        this.e2 = null;
        _setVideoSurface(surface);
        N1();
    }

    public void S0(int i) {
        _setStreamSelected(i, false);
    }

    public long T0() {
        return _getPropertyLong(I1, 0);
    }

    @Override // tv.danmaku.ijk.media.player.d
    @TargetApi(13)
    public void U(FileDescriptor fileDescriptor) throws IOException, IllegalArgumentException, IllegalStateException {
        if (Build.VERSION.SDK_INT < 12) {
            try {
                Field declaredField = fileDescriptor.getClass().getDeclaredField("descriptor");
                declaredField.setAccessible(true);
                _setDataSourceFd(declaredField.getInt(fileDescriptor));
            } catch (NoSuchFieldException e3) {
                throw new RuntimeException(e3);
            } catch (IllegalAccessException e4) {
                throw new RuntimeException(e4);
            }
        } else {
            ParcelFileDescriptor dup = ParcelFileDescriptor.dup(fileDescriptor);
            try {
                _setDataSourceFd(dup.getFd());
            } finally {
                dup.close();
            }
        }
    }

    public long U0() {
        return _getPropertyLong(K1, 0);
    }

    @Override // tv.danmaku.ijk.media.player.d
    public void V(boolean z) {
    }

    public long V0() {
        return _getPropertyLong(J1, 0);
    }

    public long W0() {
        return _getPropertyLong(F1, 0);
    }

    @Override // tv.danmaku.ijk.media.player.d
    public void X(SurfaceHolder surfaceHolder) {
        this.e2 = surfaceHolder;
        _setVideoSurface(surfaceHolder != null ? surfaceHolder.getSurface() : null);
        N1();
    }

    public long X0() {
        return _getPropertyLong(D1, 0);
    }

    @Override // tv.danmaku.ijk.media.player.d
    public void Y(boolean z) {
    }

    public long Y0() {
        return _getPropertyLong(H1, 0);
    }

    public long Z0() {
        return _getPropertyLong(S1, 0);
    }

    public native void _prepareAsync() throws IllegalStateException;

    @Override // tv.danmaku.ijk.media.player.d
    public void a() {
        M1(false);
        _reset();
        this.f2.removeCallbacksAndMessages(null);
        this.j2 = 0;
        this.k2 = 0;
    }

    public long a1() {
        return _getPropertyLong(P1, 0);
    }

    @Override // tv.danmaku.ijk.media.player.d
    public int b() {
        return this.j2;
    }

    public long b1() {
        return _getPropertyLong(N1, 0);
    }

    @Override // tv.danmaku.ijk.media.player.d
    public int c() {
        return this.k2;
    }

    public long c1() {
        return _getPropertyLong(O1, 0);
    }

    @Override // tv.danmaku.ijk.media.player.d
    public String d() {
        return this.n2;
    }

    public long d1() {
        return _getPropertyLong(M1, 0);
    }

    public float f1() {
        return _getPropertyFloat(10007, 0.0f);
    }

    /* access modifiers changed from: protected */
    public void finalize() throws Throwable {
        super.finalize();
        native_finalize();
    }

    @Override // tv.danmaku.ijk.media.player.d
    public void g(boolean z) {
        int i = !z ? 1 : 0;
        J1(4, "loop", (long) i);
        _setLoopCount(i);
    }

    public long g1() {
        return _getPropertyLong(Q1, 0);
    }

    @Override // tv.danmaku.ijk.media.player.d
    public native int getAudioSessionId();

    @Override // tv.danmaku.ijk.media.player.d
    public native long getCurrentPosition();

    @Override // tv.danmaku.ijk.media.player.d
    public native long getDuration();

    @Override // tv.danmaku.ijk.media.player.d
    public int getVideoSarDen() {
        return this.m2;
    }

    @Override // tv.danmaku.ijk.media.player.d
    public int getVideoSarNum() {
        return this.l2;
    }

    public Bundle h1() {
        return _getMediaMeta();
    }

    public long i1() {
        return _getPropertyLong(U1, 0);
    }

    @Override // tv.danmaku.ijk.media.player.d
    public native boolean isPlaying();

    public int j1(int i) {
        long _getPropertyLong;
        if (i == 1) {
            _getPropertyLong = _getPropertyLong(t1, -1);
        } else if (i == 2) {
            _getPropertyLong = _getPropertyLong(u1, -1);
        } else if (i != 3) {
            return -1;
        } else {
            _getPropertyLong = _getPropertyLong(v1, -1);
        }
        return (int) _getPropertyLong;
    }

    @Override // tv.danmaku.ijk.media.player.d
    public void k0(String str) throws IOException, IllegalArgumentException, SecurityException, IllegalStateException {
        this.n2 = str;
        _setDataSource(str, null, null);
    }

    public float k1(float f3) {
        return _getPropertyFloat(10003, 0.0f);
    }

    @Override // tv.danmaku.ijk.media.player.d
    public void l0() throws IllegalStateException {
        _prepareAsync();
    }

    public long l1() {
        return _getPropertyLong(T1, 0);
    }

    @Override // tv.danmaku.ijk.media.player.d
    public void m0(boolean z) {
        if (this.h2 != z) {
            if (z && this.e2 == null) {
                tv.danmaku.ijk.media.player.n.a.o(O0, "setScreenOnWhilePlaying(true) is ineffective without a SurfaceHolder");
            }
            this.h2 = z;
            N1();
        }
    }

    /* renamed from: m1 */
    public tv.danmaku.ijk.media.player.misc.f[] H() {
        i h;
        Bundle h12 = h1();
        if (h12 == null || (h = i.h(h12)) == null || h.Y0 == null) {
            return null;
        }
        ArrayList arrayList = new ArrayList();
        Iterator<i.a> it = h.Y0.iterator();
        while (it.hasNext()) {
            i.a next = it.next();
            tv.danmaku.ijk.media.player.misc.f fVar = new tv.danmaku.ijk.media.player.misc.f(next);
            if (next.f23054c.equalsIgnoreCase("video")) {
                fVar.d(1);
            } else if (next.f23054c.equalsIgnoreCase("audio")) {
                fVar.d(2);
            } else if (next.f23054c.equalsIgnoreCase("timedtext")) {
                fVar.d(3);
            }
            arrayList.add(fVar);
        }
        return (tv.danmaku.ijk.media.player.misc.f[]) arrayList.toArray(new tv.danmaku.ijk.media.player.misc.f[arrayList.size()]);
    }

    @Override // tv.danmaku.ijk.media.player.d
    @SuppressLint({"Wakelock"})
    public void n0(Context context, int i) {
        boolean z;
        PowerManager.WakeLock wakeLock = this.g2;
        if (wakeLock != null) {
            if (wakeLock.isHeld()) {
                z = true;
                this.g2.release();
            } else {
                z = false;
            }
            this.g2 = null;
        } else {
            z = false;
        }
        PowerManager.WakeLock newWakeLock = ((PowerManager) context.getSystemService("power")).newWakeLock(i | 536870912, IjkMediaPlayer.class.getName());
        this.g2 = newWakeLock;
        newWakeLock.setReferenceCounted(false);
        if (z) {
            this.g2.acquire();
        }
    }

    public long n1() {
        return _getPropertyLong(L1, 0);
    }

    public long o1() {
        return _getPropertyLong(E1, 0);
    }

    public long p1() {
        return _getPropertyLong(C1, 0);
    }

    @Override // tv.danmaku.ijk.media.player.d
    public void pause() throws IllegalStateException {
        M1(false);
        _pause();
    }

    @Override // tv.danmaku.ijk.media.player.d
    public k q() {
        k kVar = new k();
        kVar.f23059a = "ijkplayer";
        String _getVideoCodecInfo = _getVideoCodecInfo();
        if (!TextUtils.isEmpty(_getVideoCodecInfo)) {
            String[] split = _getVideoCodecInfo.split(",");
            if (split.length >= 2) {
                kVar.f23060b = split[0];
                kVar.f23061c = split[1];
            } else if (split.length >= 1) {
                kVar.f23060b = split[0];
                kVar.f23061c = "";
            }
        }
        String _getAudioCodecInfo = _getAudioCodecInfo();
        if (!TextUtils.isEmpty(_getAudioCodecInfo)) {
            String[] split2 = _getAudioCodecInfo.split(",");
            if (split2.length >= 2) {
                kVar.f23062d = split2[0];
                kVar.f23063e = split2[1];
            } else if (split2.length >= 1) {
                kVar.f23062d = split2[0];
                kVar.f23063e = "";
            }
        }
        try {
            kVar.f = i.h(_getMediaMeta());
        } catch (Throwable th) {
            th.printStackTrace();
        }
        return kVar;
    }

    public long q1() {
        return _getPropertyLong(G1, 0);
    }

    @Override // tv.danmaku.ijk.media.player.d
    public void r0(Context context, Uri uri) throws IOException, IllegalArgumentException, SecurityException, IllegalStateException {
        s0(context, uri, null);
    }

    public float r1() {
        return _getPropertyFloat(10001, 0.0f);
    }

    @Override // tv.danmaku.ijk.media.player.d
    public void release() {
        M1(false);
        N1();
        G0();
        _release();
    }

    @Override // tv.danmaku.ijk.media.player.d
    public boolean s() {
        return true;
    }

    /* JADX WARNING: Code restructure failed: missing block: B:29:0x007c, code lost:
        if (0 == 0) goto L_0x0085;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:31:0x0080, code lost:
        if (0 == 0) goto L_0x0085;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:32:0x0082, code lost:
        r0.close();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:33:0x0085, code lost:
        android.util.Log.d(tv.danmaku.ijk.media.player.IjkMediaPlayer.O0, "Couldn't open file on client side, trying server side");
        F1(r9.toString(), r10);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:34:0x0093, code lost:
        return;
     */
    @Override // tv.danmaku.ijk.media.player.d
    @TargetApi(14)
    public void s0(Context context, Uri uri, Map<String, String> map) throws IOException, IllegalArgumentException, SecurityException, IllegalStateException {
        String scheme = uri.getScheme();
        if ("file".equals(scheme)) {
            k0(uri.getPath());
        } else if (!FirebaseAnalytics.b.N.equals(scheme) || !"settings".equals(uri.getAuthority()) || (uri = RingtoneManager.getActualDefaultRingtoneUri(context, RingtoneManager.getDefaultType(uri))) != null) {
            AssetFileDescriptor assetFileDescriptor = null;
            try {
                AssetFileDescriptor openAssetFileDescriptor = context.getContentResolver().openAssetFileDescriptor(uri, "r");
                if (openAssetFileDescriptor != null) {
                    if (openAssetFileDescriptor.getDeclaredLength() < 0) {
                        U(openAssetFileDescriptor.getFileDescriptor());
                    } else {
                        E1(openAssetFileDescriptor.getFileDescriptor(), openAssetFileDescriptor.getStartOffset(), openAssetFileDescriptor.getDeclaredLength());
                    }
                    openAssetFileDescriptor.close();
                } else if (openAssetFileDescriptor != null) {
                    openAssetFileDescriptor.close();
                }
            } catch (SecurityException unused) {
            } catch (IOException unused2) {
            } catch (Throwable th) {
                if (0 != 0) {
                    assetFileDescriptor.close();
                }
                throw th;
            }
        } else {
            throw new FileNotFoundException("Failed to resolve default ringtone");
        }
    }

    public int s1() {
        return (int) _getPropertyLong(w1, 0);
    }

    @Override // tv.danmaku.ijk.media.player.d
    public native void seekTo(long j) throws IllegalStateException;

    @Override // tv.danmaku.ijk.media.player.d
    public native void setVolume(float f3, float f4);

    @Override // tv.danmaku.ijk.media.player.d
    public void start() throws IllegalStateException {
        M1(true);
        _start();
    }

    @Override // tv.danmaku.ijk.media.player.d
    public void stop() throws IllegalStateException {
        M1(false);
        _stop();
    }

    public float t1() {
        return _getPropertyFloat(10002, 0.0f);
    }

    public void u1() {
        _setPropertyLong(V1, 1);
    }

    public IjkMediaPlayer(g gVar) {
        this.g2 = null;
        w1(gVar);
    }
}
