package tv.danmaku.ijk.media.player.misc;

import android.annotation.TargetApi;
import android.media.MediaFormat;
import android.media.MediaPlayer;
import android.os.Build;
import com.google.android.exoplayer2.C;

/* compiled from: AndroidTrackInfo */
public class b implements d {
    private final MediaPlayer.TrackInfo g;

    private b(MediaPlayer.TrackInfo trackInfo) {
        this.g = trackInfo;
    }

    public static b[] c(MediaPlayer mediaPlayer) {
        if (Build.VERSION.SDK_INT >= 16) {
            return d(mediaPlayer.getTrackInfo());
        }
        return null;
    }

    private static b[] d(MediaPlayer.TrackInfo[] trackInfoArr) {
        if (trackInfoArr == null) {
            return null;
        }
        b[] bVarArr = new b[trackInfoArr.length];
        for (int i = 0; i < trackInfoArr.length; i++) {
            bVarArr[i] = new b(trackInfoArr[i]);
        }
        return bVarArr;
    }

    @Override // tv.danmaku.ijk.media.player.misc.d
    @TargetApi(16)
    public String a() {
        MediaPlayer.TrackInfo trackInfo = this.g;
        return trackInfo != null ? trackInfo.toString() : "null";
    }

    @Override // tv.danmaku.ijk.media.player.misc.d
    @TargetApi(16)
    public String b() {
        MediaPlayer.TrackInfo trackInfo = this.g;
        if (trackInfo == null) {
            return C.r0;
        }
        return trackInfo.getLanguage();
    }

    @Override // tv.danmaku.ijk.media.player.misc.d
    @TargetApi(16)
    public int e() {
        MediaPlayer.TrackInfo trackInfo = this.g;
        if (trackInfo == null) {
            return 0;
        }
        return trackInfo.getTrackType();
    }

    @Override // tv.danmaku.ijk.media.player.misc.d
    @TargetApi(19)
    public c s() {
        MediaFormat format;
        MediaPlayer.TrackInfo trackInfo = this.g;
        if (trackInfo == null || Build.VERSION.SDK_INT < 19 || (format = trackInfo.getFormat()) == null) {
            return null;
        }
        return new a(format);
    }

    @TargetApi(16)
    public String toString() {
        StringBuilder sb = new StringBuilder(128);
        sb.append(getClass().getSimpleName());
        sb.append('{');
        MediaPlayer.TrackInfo trackInfo = this.g;
        if (trackInfo != null) {
            sb.append(trackInfo.toString());
        } else {
            sb.append("null");
        }
        sb.append('}');
        return sb.toString();
    }
}
